Home

Network Analyzers / E5080A

Help

Quick Start | 1. Setup | 2. Optimize | 3. Calibrate
4. Analyze Data | 5. Print/Save | System Settings | Programming

Critical Information

Revision History | Firmware Revision: A.11.7x/ Help Edition Date: 2016-01-05
VNA Applications | VNA Connectivity
Measurement Tutorials | Product Support / Specs
Links to Network Analyzer Application Notes | Links to YouTube Videos

Still looking for answers?

Post your question at the Keysight Discussion Forums

Note: These help pages are best viewed using Microsoft Internet Explorer. Some scripts may not work correctly using other browsers.


Critical Information

Read the following and save yourself valuable time and repair costs:

  • During boot up of Windows or of the Network Analyzer application program, do NOT press keys on the front panel, rotate the RPG knob, or connect a USB device. Doing so MAY lead to a front panel lockup state. To clear this state; Shutdown and Restart (do not Hibernate) the VNA.

  • Prevent Damage to your VNA Solid State Drive.

  • Follow proper VNA Shutdown procedures.

  • Perform Display Test to see if your VNA meets specification.

  • See DC Voltage damage levels for your VNA model.

  • See Preventing Electrostatic Damage on your VNA

  • See Preventing Test Port Connector Damage

  • The VNA does NOT have antivirus protection when shipped. Use of an antivirus program is strongly recommended if you connect the VNA to the Internet.


Revision History

  • First Release: 5-Jan-2016

Last modified:

5-Jan-2016

New topic


Setup New VNA Users

VNA User Accounts and Passwords

Important: When the VNA power is switched on, it AUTOMATICALLY logs into Windows using the default user name and password. You do NOT need to log on. This gives anyone full access to the analyzer. The following steps can be taken to increase security of your VNA.

  • Require users to logon when the VNA computer is turned ON - Learn how to enable this feature

  • Setup individual accounts on the VNA with varying level of access - Learn how to Add or Change User Accounts and Passwords

Please read about Anti-virus protection for VNA

Existing User Accounts

The following user accounts already exist on new VNAs.

User Name | Password | Type | Description
Instrument | measure4u | Administrator | Auto Log On is activated by default.
Administrator | Keysight4u! | Built-in Administrator | For user maintenance purpose.
Keysightonly | Not disclosed to user | Administrator | This account is used by Keysight Service in case of repair/maintenance. Do not remove this account.

Note: The user name is not case sensitive. The password is case sensitive.

Note: The VNA local policies are set so that, if logon is required, you must retype the user name (and password) every time. Do not change the local policies on the VNA.

Add or Change User Accounts, Passwords, and Require Logon

If the analyzer is in a secure environment, you can setup VNA users by name and grant various levels of access. This is particularly important when the VNA is remotely controlled or accessed over LAN.

You can designate a person as the administrator and then configure the VNA to allow others to use it with reduced permissions. That is, other people can be signed on to use the analyzer but they will not have the ability to perform all of the administrative functions that you can as the administrator.

Note: To connect and install a new ECal module, you must be logged on with an Administrator account. A user account with limited access will NOT allow an ECal module driver to be loaded. Learn more.

Learn more about Microsoft User Account Permissions (internet connection required).

How to add a user account and require logon

Click Start, then Control Panel

Click User Accounts

Click Manage another account.

CAUTION: Although allowed by Windows, do NOT allow an Administrator account without a password. Internet viruses look for, and exploit, this condition.

Click Create a new account.

Enter an account name.

Select an account type.

Click Create Account.

Note:

A standard user account will NOT allow an ECal module driver to be loaded. Learn more.

Optional: Click Create a password to require the user to enter a password when logging on.

Last Modified:

5-Jan-2016

First Release


The VNA SSD Recovery Process

Recovering from VNA Solid State Drive Problems

The leading cause of VNA failures is problems with the VNA Solid State Drive (SSD). These problems are usually preventable (see Preventing VNA SSD Problems), and in many cases, recoverable. The following could save you weeks of downtime and the cost of replacing your VNA SSD.

This document is now on the Keysight VNA Support Website: http://www.keysight.com/find/na.

If your VNA does experience a Solid State Drive Problem, you will not be able to access this Help file, but you may be able to access the Internet from another computer.


Windows Considerations

Microsoft Windows Considerations

In this topic:

  • Microsoft Windows on the VNA

  • LAN Connections

  • Mouse Configuration

  • Windows Theme

  • Printing

Microsoft Windows on the VNA

The VNA is shipped from the factory with Windows® Embedded Standard 7 operating system. This OS supports both 32-bit and 64-bit applications.

VERY IMPORTANT Protect your hard drive!

The leading cause of VNA failures is problems with the VNA Solid State Drive (SSD). These problems are usually preventable and in many cases, recoverable. Learn more about protecting VNA.

Using USB

The VNA has USB ports on the front panel and on the rear panel. The main advantages of USB are “hot” connects and disconnects and fast data transfer speeds. Electronic Calibration modules are also available with USB connections.

The first time you plug a device into a USB port there is some wait time. Windows reports it is identifying the hardware, searching for the correct driver and then installing the driver (if it was found).

Connecting that same device back into that same port later is quick and easy, but if you move the device to a different USB port, you will have to wait through the hardware ID and driver search again.

Learn about USB limitations.

LAN Connections

Windows supports DHCP and fixed IP addressing. Also, “Hot” connect and disconnect of the LAN cable, as well as a visual indicator of LAN status in system tray area, makes LAN connections more intuitive. In addition, the Hardware Wizard helps users with system hardware configuration.

Mouse Configuration

By default, Windows does not allow you to select to make the button on the right the one you use for primary functions such as selecting and dragging. To change any mouse properties, click Start > Control Panel > Mouse. In the Mouse Properties dialog box, select any settings that you would like to change, click Apply and then click OK.

Windows Themes

The VNA application is designed for best viewed in, Keysight Technologies theme. To change the theme:

  1. Minimize VNA application.

  2. Right-click on the Desktop, then click Personalize

  3. Use the scrollbar and then select a Theme.

Printing

Adding a printer should be done outside of the VNA application. Learn more.

Last modified:

30-Jun-2014

First release


Front Panel Tour

Click on an area of the image to learn more.

Power Switch

Used for choosing between power-on ( | ) and standby (O) state.

Learn to power ON and OFF the VNA.

LCD Touchscreen

VNA is equipped with a 12.1-inch TFT color, touch-sensitive LCD screen for displaying traces, scales, settings, softkeys and other measurement related information. The touchscreen LCD allows to manipulate softkeys by touching the LCD screen directly. For more on the LCD touchscreen, see Screen Display Tour.

Note:

Do not press the surface of the LCD touchscreen with a sharp object (e.g., a nail, pen, or screwdriver). Pressing the surface with a sharp-pointed object will damage the LCD screen surface or cause the screen to fail.

Valid pixels are 99.998 % and more. Below 0.002 % of fixed points of black, blue, green or red are not regarded as failure.

Knob

Rotate to increase or decrease the value of the active entry or adjust the marker location.

USB Hub

This USB hub contains four USB ports to power VNA peripherals. There are also four USB ports on the rear panel.

Limitation: The total power consumption for all eight USB ports is limited to 4.0 amps. If this limit is exceeded, all USB ports are disabled until a device is removed and power consumption falls below the limit. When first connected, ECal modules 8509x and N4431 draw significantly more current than other modules.

Note:

The FIRST TIME each USB device (ECal module, power sensor, and so forth) by serial number is connected to a specific VNA USB port, you must be logged in to the VNA with an Administrator account. Learn how.

When a New Hardware Found dialog appears, click OK to install the device.

After being installed, when the same USB device is connected to that same USB port, you can be logged in to the VNA with a Limited / User account.

Test Ports

The models are available with 2 or 4 test ports. The port to which the DUT is connected. Number of ports depends on the option. While signals are being output from a test port, the blue LED above the test port is lit.

See Specs for more information about the Test port connectors and Input damage levels.

Note: Do not apply DC voltage or current to the test port. Applying DC voltage or current may lead to device failure. In particular, the capacitor might remain charged. Connect the measurement sample (DUT) to the test port (or the test fixture, cables, etc. connected to the test port) after the analyzer has been completely discharged. The maximum DC limit of test port is 35V.

Ground terminal

Connect a banana-type plug to this terminal for grounding to the VNA chassis.

Hardkeys

INSTRUMENT Keys

Manages the Traces and Channels on the VNA display.

Hard Key | Invokes these Softkeys
Prev | Makes the previous Trace/Channel/Window active.
Next | Makes the next Trace/Channel/Window active.
Trace | Invokes the Traces softkey menu which allows to manage the traces.
Channel | Invokes the Channels softkey menu which allows to manage channels.

RESPONSE Keys

Performs operations on measurement traces after data is measured and control all aspects of Data Analysis.

Hard Key

Invokes these Softkeys

Meas

S-Parameters

Balanced Parameters

  • Balance Source/Topology

Receivers

Waveguide

Auxiliary Inputs

Measurement Overview

  • Measurement Class

  • Conversions

  • Correction

  • Trace Hold

  • Equation Editor

  • Memory

  • Time Domain

Format

Format 1

  • Format

  • Group Delay Aperture

Format 2

Scale

Main Scale

  • Autoscale/ Velocity Factor

  • Media -Waveguide/coax

  • Scale

  • Reference Level

  • Reference Position

  • Scale Coupling

Electrical Delay

  • Delay Time

  • Delay Distance

  • Distance Units

  • Velocity Factor

  • Media -Waveguide/coax

  • Waveguide cutoff frequency

Constants

  • System Z0

  • Phase Offset

  • Magnitude Offset

  • Magnitude Slope

Math

Main Memory

  • Data/Memory Math

  • Display Data/Memory Trace

Analysis

  • Conversions

  • Equation Editor

  • Trace Statistics

  • Limit Test Setup

  • Limit Table

Time Domain

  • Transform

  • Time Domain Mode

  • Time Domain Toolbar

Time Gating

  • Gating

  • Gate Type

  • Gate Shape

Avg

Main Avaraging

  • Averaging

  • Averagiing Restart

  • IF Bandwidth

  • LF Auto BW

Smoothing

  • Smoothing

  • Smooth Percent

  • Smooth Points

Group Delay

  • Aperture Percent

  • Aperture Points

  • Aperture Frequency

Cal

Main Cal

  • Basic Cal

  • Cal Wizard

  • Cal All Wizards

  • Correction

  • Interpolation

Others Cals

  • Source Power Cal

  • Receiver Power Cal

  • Receiver Interpolation

  • Cal Preferences Wizard

Port Extension

  • Port Extension

  • Time

  • Distance

  • Velocity

  • DC Loss

  • Auto Port Extension

Cal Sets & Cal Kits

  • Cal Set

  • Cal Set Viewer

  • Cal Kit

  • Ecal Confidence Check

  • Characterize ECal Module

  • ECal Memory

Fixtures

  • Apply Fixtures

  • Power Compensation

  • 2-port De-Embedded

  • N-port De-Embedded

  • Cal Plane Manager

Fixture Match

  • Apply Fixtures

  • Port Matching

  • Differential Port Matching

  • Port Z Conversion

  • Differential Impedance Conversion

  • Common Mode Impedance Conversion

Marker

Markers 1-7

Markers 8-15

Marker Setup

  • Delta

  • Discrete

  • Type

  • Format

  • Coupled

  • Marker Display

  • Marker Table

  • All Off

Marker -> Functions

  • Marker -> Start

  • Marker -> Stop

  • Marker -> Center

  • Marker -> Reference Level

  • Marker -> Delay

  • Marker -> CW Frequency

Search

Main Search

  • Maximum Search

  • Minimum Search

  • Domain

  • Tracking

Peak

  • Peak Search

  • Threshold

  • Excursion

  • Peak Polarity

  • Tracking

Target

  • Target Search

  • Target Value

  • Transition

  • Tracking

Multi Peak Search & Target

  • Multi Peak Search

  • Peak Threshold

  • Peak Excursion

  • Peak Polarity

  • Multi Target Search

  • Target Value

  • Transition

  • Tracking

Bandwiidth & Notch

  • Bandwidth Search

  • BW Reference To Marker/Peak

  • BW Level

  • Notch Search

  • Notch Reference To Marker/Peak

  • Notch Level

  • Tracking

Compresssion & Saturation

  • Compression Search

  • Compression Level

  • Saturation Search

  • Pmax Backoff

  • Tracking

Normal Operating Point

  • Normal Operating Search

  • Backoff

  • Pin Offset

  • Tracking

STIMULUS Keys

Controls settings that determine what data (stimulus range), and how data (sweep type and triggering), is measured.

Hard Key

Invokes these Softkeys - Click to learn more

Freq

Frequency Range

Frequency Offset Mode

Power

Main Power Level

  • Power Level

  • RF Power

  • Power and Attenuators

Port Power

  • Power Level

  • Source State

  • Coupling

Leveling & Offsets

  • Slope

  • Offset

  • Limit

  • Offsets & Limits

Sweep

Main Sweep

  • Number of Points

  • Sweep Type

Sweep Timing

  • Sweep Time

  • Dwell Time

  • Sweep Delay

  • Sweep Mode

Source Type

  • Frequency Offset

  • Balanced Source/Topology

  • Shift LO

Segment Table

  • Segment Table Settings

Trigger

Main Trigger

  • Trigger Source

    • Internal

    • Manual

    • External

  • Trigger settings

UTILITY Keys

Performs global VNA operations.

Hard Key

Invokes these Softkeys - Click to learn more

Save

Recall

Recall

  • Recall State

  • Recall Order

  • Recall Register

  • Recall Calset

  • Recall Data

Save State

  • Save State

  • Auto Save

  • Save Register

  • Save Type

  • Delete State

Save Other

  • Save Calset

  • Save Trace

  • Save Data.

  • Save Screen

  • Save User Preset

  • Manage Files

Macro/Local

(NOT IMPLEMENT YET)

Undo

Main Undo

  • Undo

  • Redo

  • Return To Task

  • Clear Undo History

System

Main System

  • Show Taskbar

  • Move Application to Back

  • Minimize Application

  • Exit

  • Security Setting

  • Control Panel

  • Manage Files

System Settings

  • Next/Previous Keys

  • Preferences

  • SICL / GPIB

  • LAN Status

  • Code Emulation

  • Control Panel (Windows)

  • System Z0

  • Power Meter Settings

  • Millimeter Module

Print

  • Print

  • Print to File

  • Page Setup

  • Print Colors

Help

  • NA Help

  • On The Web

  • Error Display

  • View Error Log

  • About NA

Service 1

  • Agile Update

  • Operator's Check

  • System Verification

  • Adjustments

Service 2

  • Display Test

  • Front Panel Test

  • Rear Panel/H11 Test

  • Node Monitor

  • Performance Tests

Service 3

  • Receiver Display

  • View EEPROM Headers

  • Restore Ecal Memory

  • Old Port Extensions

  • Speaker Volume

  • Clear Undo History

  • Receiver Temperature

Help

Launches this Help file.

Preset

Standard Preset

User Preset

Factory Preset

User Preset Setting

Confirm Preset

ENTRY Keys

Hard Key

Invokes these Softkeys

OK

Closes a dialog box and enters any values made in the dialog box.

Cancel

Closes a dialog box.

Back Space

Back Space. Backs up the cursor and deletes any previous selection.

0 to 9

Selects values for measurement settings, then press Enter or T/p - G/n - M/u - k/m to complete the selection.

T/p

G/n

M/u

k/m

Completes the value selection, assigning a unit of measurement.

  • T/p (Tera/piko) E12 or E-12

  • G/n (Giga/Nano) E9 or E-9

  • M/u (Mega/micro) E6 or E-6

  • k/m (kilo/milli) E3 or E-3

Enter

Enters the values that you select for the measurement settings.

Decimal point

Enters a decimal point to designate fractions of a whole number.

+/-

Plus - Minus Toggles between a positive and negative value entry if it is the first key pressed in the entry.

Navigation Keys

These keys allow you to navigate through menus and dialog boxes and select choices from the active entry toolbar.

Hard Key

Invokes these Softkeys

Left / Right

Moves left and right through menus.

Moves tab-left and tab-right within dialog boxes.

Up / Down

Moves up and down through menus.

Behaves as follows in a dialog box:

  • Modifies a numeric value

  • Moves through items in a drop-down list

  • Moves through options buttons in a group of option buttons

Click

Makes a selection just like a mouse click.

Last modified:

5-Jan-2016

First release


Screen Display Tour

Click on image areas to learn more.

Change VNA Display Settings

The VNA display is controlled by a third-party display driver. This driver is capable of producing many display effects which are beyond the basic needs of the VNA measurement environment. Keysight does not specify or warranty these display settings.

WARNING: The VNA display must remain in the 16-bit color setting in order to comply with international emissions regulations.

Restore VNA Display Settings

When using external programs to control the VNA, it is possible that the display settings may become corrupt. When this occurs, the following will restore the VNA display settings:

  • Press System > Main > Minimize Application.

  • Right-click on the desktop, then click Personalize.

  • On the Themes tab, select Keysight Theme.

See Also

  • About the Touchscreen

  • Front Panel Tour

  • Marker Drag

  • Expanded Mouse capabilities

  • Customize the VNA Screen

  • Learn to test the display screen

About the Touchscreen

The VNA is equipped with a 12.1-inch High resolution, color, touch-sensitive LCD screen for displaying traces, softkeys, and other measurement related information. The touchscreen LCD allows you to make measurement settings by touching the LCD screen directly with a finger.

Important:

  • Do not press the surface of the LCD screen with a sharp object such as a pen. This will damage the LCD screen surface or cause the screen to fail.

  • Occasionally, a few pixels may appear on the screen as a fixed point of blue, green or red. This is not a failure of the LCD screen and does not affect the performance of your product.

  • Because of the LCD screen, burn-in is not likely. In addition, we do not recommend using a screen-saver on the VNA.

How to Calibrate or turn ON | OFF the Touchscreen

Using Hardkey/SoftTab/Softkey

  1. Press Display > Display Settings.

  2. Click Touchscreen to turn ON/OFF.

The touchscreen ON | OFF setting remains until changed again from this menu, the Preferences dialog, or remotely.

Active Entry

Allows you easily select the tools. Learn more.

Trace Status

Provides details of each trace in the window. Highlighted trace indicates the active trace. Learn more.

Entry Toolbar

Along with the softkeys, allows numeric values to be entered for settings.

Marker Readout

Provides stimulus and response information for markers. Learn about Customizing the Marker Readout Area. See also Marker Drag.

Softkeys

The combination of hardkeys and softkeys allow easy access to all VNA features without a mouse.

SoftTabs

These indicates that pressing the tabs will display softkeys.

Hardkeys

Performs interface operations that are equivalent to those of keys in the INSTRUMENT keys, RESPONSE keys, STIMULUS keys and UTILITY keys on the front panel of VNA. Learn more.

Window Number

Provides window identification which is useful for remote programmers.

Status Bar

Provides detail about all aspects of the status of the VNA. Learn more.

Stimulus Range

Displays the start and stop values of the sweep range.

Softkey Toolbar

These is known as shortcut icon in order to allows you to quickly select the tools on softkey. Learn more.

Marker Drag

Drag a displayed marker across the trace using a finger (with touchscreen ON) or a mouse. Learn more.

Expanded Mouse Capabilities

  • Cursor changes to a “hand” when hovering over a clickable object.

  • Right-click on the Entry toolbar to launch a mouse-compatible numeric pad.

For Windows

  • Right-click on a window area to make selections pertaining to that window.

  • Double-click on a window area to maximize the window. To return to original window configuration, right-click on window area, then click Tile.

  • Left-click on X-axis annotation to select the active channel/trace.

  • Right-click on X-axis annotation and click Start/Stop/Center... to change stimulus properties.

  • Quickly change Scale, Reference Level, and Position. Learn how.

  • Right-click on Y-axis annotation and click Scale... to change Scale.

  • Drag a trace from one window to another. Click or touch either the trace or the Trace Status. Drag the trace to another window, then release the mouse or lift your finger.

For Traces

  • Left-click a trace or Trace Status to make it the selected trace.

  • Double-click on a trace or Trace Status to maximize the trace. Double-click again to return to the original trace configuration. See programming commands.

  • Set a preference to always widen the active trace.

  • Set a preference to briefly widen the active trace.

  • Drag a trace from one window to another. Click or touch either the trace or Trace Status. Drag the trace to another window, then release the mouse or lift your finger.

For Markers

  • Right-click on a trace or Trace Status to add a marker.

  • Right-click a marker to make selections pertaining to that marker, such as Marker Search or Function.

For Softkeys

  • Use the Touchscreen or adjacent buttons to select from eight dynamic softkey menu choices.

  • To Show the softkeys, press any front-panel hardkeys on the screen that launches a softkey menu.

Softkey Annotations

Item

Description

Menu ...

Selection launches a dialog box.

Menu

Selection launches more related softkeys on the left side.

Last Modified:

5-Jan-2016

First Release


Rear Panel Tour

Click on an area of the image to learn more.

Fan

The cooling fan for controlling the temperature inside the VNA. This fan exhausts heated air from inside the analyzer to the outside.

Line Switch

This switch must always keep it ON ( | ).

Caution: Do not use this switch to turn off (O) the mains. Doing so may cause the VNA to fail. For more information, see the description of the Line Power.

Line Power

The receptacle to which the power cable is connected.

Note: To connect the device to a power source (outlet), use the supplied three-prong power cable with a ground conductor. The plug attached to the power cable (on the power outlet side or device side of the cable) serves as the disconnecting device (device that cuts off power supply) of the VNA. The power supply must be cut off to avoid such danger as electric shock, pull out the power cable plug (on the power outlet side or device side of the cable). For the procedure for turning off the mains in normal use, see the description in Power Switch.

See Specifications

External Reference Signal Input Port (10MHz Ref In)

When a 10 MHz external reference signal is detected at this port, it will be used as the instrument frequency reference instead of the internal frequency reference.

Notes: When the external frequency reference signal is input to this connector, the measurement signal from the VNA is automatically phase-locked to the reference signal. When an input signal is not present, the frequency reference signal inside the VNA is automatically used. The ExtRef on the instrument status bar is displayed in blue when the system is phase-locked to the external reference signal and in gray when not phase-locked.

When using Option 1E5 (high stability frequency reference), connect this connector to the High Stability Frequency Reference Output Connector (Ref Oven, Option 1E5 only) by using the BNC(m)-BNC(m) cable included with the option.

Specification | Value
Connector type | BNC(f) connector
Input signal | 10MHz ± 10ppm, - 3 to + 10 dBm

See SCPI command that detects an external reference signal at this connector.

See Specifications

Internal Reference Signal Output Port (10MHz Ref Out)

A connector for outputting the internal frequency reference signal from the VNA in order to use by others test equipment. By connecting this output connector to the external reference signal input connector of another device, the device can be phase-locked to the internal reference signal of the VNA and used under this condition.

Specification | Value
Connector type | BNC(f) connector
Output signal | 10MHz ± 5ppm, 0 dBm ± 3dBm
Output impedance (Typical) | 50 ohm

See Specifications

High Stability Frequency Reference Output Port (Ref Oven, Option 1E5 only)

When Option 1E5 (high stability frequency reference) is installed, the reference signal is output from this connector. See Specifications

Specification | Value
Connector type | BNC connector, female
Output signal (Typical) | 10MHz ± 1ppm, 0 dBm minimum

Note: When Option 1E5 (high stability frequency reference) is installed, connect this connector to the External Reference Signal Input Connector (10MHz Ref In) by using the BNC(m)-BNC(m) cable included with the option.

Auxiliary Input Ports (AUX IN 1&2)

The Auxiliary Input Ports are used to input DC signal for DC signal measurement.

GPIB (General Purpose Interface Bus) Controller and Talker/Listener Port

The VNA can be a GPIB Controller and Talker/Listener.

The connection of an external controller through GPIB connector allows you to configure an automatic measurement system. This GPIB connector is used only for controlling the VNA from an external controller. Use USB/GPIB interface to control other devices from the VNA. You cannot control other devices from the VNA through this GPIB connector. Learn more.

USB (USBTMC) Device

Through this port, you able to control the VNA from external controllers. For more information on the measurement system using the USB port, see the Remote Control of SCPI USB Devices Connected to a VNA.

Specification | Value
Connector type | Universal serial bus (USB) jack, type B (4 contact positions), Female
Compliance Standards | USBTMC-USB488 and USB2.0

Learn more

VGA Connector

A terminal which an external color monitor (display device) can be connected. By connecting a color monitor to this terminal, the same information shown on the LCD touchscreen of the main body can be displayed on an external color monitor.

USB (Universal Serial Bus) Hub

This USB hub contains four USB ports to power VNA peripherals. There are also four USB ports on the front panel.

The four USB are provide that can use for connecting to ECal (Electronic Calibration) module, USB, Multiport test set or a printer. Connecting a designated ECal module to this port enables ECal measurements to be taken. Connecting a compatible printer to this port enables screen information on the VNA to be printed.

Limitation: The total power consumption for all eight USB ports is limited to 4.0 amps. If this limit is exceeded, all USB ports are disabled until a device is removed and power consumption falls below the limit. When first connected, ECal modules 8509x and N4431 draw significantly more current than other modules. See Specifications.

See Important First-time USB connection note.

LAN (Local Area Network) Connector

A terminal for connecting the VNA to a LAN enables you to access the solid state drive of this instrument from an external PC or to control this instrument by using SICL-LAN or telnet.

This 10/100Base-T Ethernet connection has a standard 8-pin configuration and auto selects between the two data rates.

Material Handler I/O

The terminal which is an automatic machine (handler) used on a production line is connected. See details.

Measure (External) Trigger In

When enabled, VNA is triggered by signals on this connector.

A connector to which measure trigger signals are input. This connector detects the downward transition from the HIGH state in TTL signals as the trigger signal. To use this connector to generate a trigger, you must set the trigger source to "external" (key operation: Trigger > Main > Trigger Source > External).

Connector type: BNC connector, female. Learn more.

Auxiliary Trigger Out

When enabled, VNA outputs signals on these connectors either before or after a measurement. Learn more.

Solid State Drive (SSD)

There are two options for SSD.

  • Non removable SSD option.

  • Removable SSD option

See Service Guide to learn how to remove the SSD. (Internet connection required)

See Preventing VNA Solid State Drive Problems

Certificate of Authenticity Label

The label showing the information of the Certificate of Authenticity of Windows.

Serial Number Plate

The label showing the product number, serial number and the installed option number. The accessary and system rack options are not listed on this label. (CFGxxx or ATOxxx in the first line is for Keysight Use Only.)

Bias Input Ports

This BNC female connector allows external bias to be applied at the test ports.

Connect your DC Power Supply to apply Bias Input to the VNA ports through the BNC connectors.

Caution: Do not apply DC voltage exceeding 35 volt.

Fuse for Bias Input Ports

Specification | Description
Fuse Rating | 0.5A/125V
Part Number | 2110-1439

  • The bias fuses are rated for 0.5A. You are responsible to ensure that devices connected to the test port do NOT draw more current than 0.5A. This will occur, for example, if a calibration SHORT is connected to the test port with bias power ON.

  • The VNA will meet all of its RF specifications with bias up to 200 mA. As the DC bias is increased, corrected source match and directivity will degrade at low RF frequencies.

Last modified:

5-Jan-2016

First Release


Powering the VNA ON and OFF

The following is described in this topic:

  • How to Log Off, Shut Down or Restart the VNA

  • ON Mode

  • Shutdown Mode

  • Unplugging the VNA

Notes: During boot up of Windows or of the Network Analyzer application program, do NOT press any keys on the front panel, rotate the RPG knob or connect a USB device. Doing so MAY lead to a front panel lockup state. If the VNA front-panel keypad or USB ports are not responding, SHUTDOWN or RESTART the VNA.

Log off, Shut down or Restart the VNA

How to Log off, Shut down or Restart the VNA

  1. Minimize the VNA appliction.

  2. Click Window Start.

  3. There are some action to choose:

    • Log off (closes programs)

    • Shut down

    • Restart (shutdown and start)

OR

  1. Press the front-panel VNA power button (Only for Shutdown)

Note: ONLY if the VNA is locked and you cannot operate the mouse or keypad - Press and hold the power button for at least four seconds. This practice should be avoided! Repeated shutdowns in this manner WILL damage the Solid State Drive. Learn more about damaging the VNA hard drive.

ON Mode

  • To turn ON the VNA, press the power button.

  • The power indicator will change to green when power is ON.

Shutdown Mode

  • In shut down mode, the current instrument state is NOT automatically saved before the VNA is powered OFF.

  • When the VNA is again powered ON, a full system boot-up is performed and the VNA powers-up in the preset settings.

  • A password may be required to resume VNA operation after being in Shutdown mode. Learn more.

  • To guarantee that your measurements meet the VNA specified performance, allow the VNA to warm-up for 90 minutes after the power indicator has turned green.

  • The power indicator will change to orange when power is OFF.

Note: If the VNA is locked and you cannot operate the mouse or keypad, shut down the VNA by pressing and holding the power button for at least four seconds.
This practice should be avoided! Repeated shutdowns in this manner WILL damage the hard drive. Learn more about damaging the VNA hard drive.

Unplugging the VNA

  • Remove the power cord from the VNA ONLY when the power indicator is orange, in either Hibernate or Shutdown mode. If the power cord is removed while the power indicator is green (VNA ON), it has high possibility to cause damage the solid state drive.

  • The indicator will remain orange for several seconds after the power cord has been removed.

Last Modified:

7-Aug-2014

First Release


Traces, Channels, and Windows on the VNA

Traces, Channels, Windows and Sheets on the VNA

It is critical to understand the meaning of the following terms as they are used on the VNA.

  • Traces - Managing

    • Trace Max

    • Trace Hold

  • Channels - Managing

  • Windows - Managing

  • Sheets - Managing

Other Quick Start topics

Traces

Traces are a series of measured data points. There is no theoretical limit to the number of traces. However, the practical limit is the maximum number of windows times the maximum number of traces per window (24). If the traces is exceed the maximum traces per window, it will automatically open another window for the trace.

In addition, one memory trace can be stored and displayed for every data trace. Learn more about Math/Memory traces.

Trace settings affect the presentation and mathematical operations of the measured data.

The following are Trace settings:

  • Parameter

  • Format and Scale

  • Smoothing

  • Correction ON/OFF

  • Electrical Delay

  • Phase Offset

  • Trace Math

  • Markers

  • Time Domain (Opt 010)

Managing Traces

  • How to Add a trace

  • How to Select a trace

  • How to Delete a trace

  • How to Move a trace

  • How to Maximize a trace

  • How to Hold a trace at the max or mini point

  • How to display a custom trace title (separate topic)

  • How to display a wide active trace (separate topic)

How to Add a trace

The only measurements that can be selected are those in the same measurement class as is currently assigned to the channel. To select a measurement other than these, first select the appropriate measurement class to a new or existing channel. Learn how.

A trace must be selected (active) before its trace settings can be changed.

How to know which trace is Active?

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. For Traces 1-8, press Trace > Trace 1-8 > click left side Trace 1-8 small button
    (Example: Click on left side Trace 1 small button and Trace 1 is active when it turns green color, so Trace 1 added).

  2. For Traces 9-16, press Trace > Trace 9-16 > click left side Trace 9-16 small button
    (Example: Click on left side Trace 9 small button and Trace 9 is active when it turns green color, so Trace 1 is added).

  3. For other traces numbers, press Trace > Trace Setup > Add Trace, then select New Trace, New Trace + Channel, New Trace + Window, New trace + Channel + Window, or Create Traces....

  1. Right click on the grid box and then select New Trace....

How to Select a trace

The only measurements that can be selected are those in the same measurement class as is currently assigned to the channel. To select a measurement other than these, first select the appropriate measurement class to a new or existing channel. Learn how.

A trace must be selected (active) before its trace settings can be changed.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Trace > Trace Setup > Select.

  2. Select a trace number which corresponds to the desired measurement parameter.

  1. Click on any trace of Trace Status label above the grid box.

How to Delete a trace

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. For Traces 1-8, press Trace > Trace 1-8 > click left side Trace 1-8 small button
    (Example: Click on left side Trace 1 small button and Trace 1 is inactive when it is not in green color).

  2. For Traces 9-16, press Trace > Trace 9-16 > click left side Trace 9-16 small button
    (Example: Click on left side Trace 9 small button and Trace 9 is inactive when it is not in green color).

  3. For other trace numbers, press Trace > Trace Setup > Delete Trace..., then select a trace number.

  1. Right-click the Trace Status label above the grid box, then click Delete Trace....

How to Move a trace to a different window

You can DRAG a trace from one window to another, or...

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Trace > Trace Setup > Move Trace....

  2. Select a window number in the following dialog, and then click OK.

  1. Right-click any trace of Trace Status label above the grid box, then click Move Trace....

  2. Select a window number in the following dialog, and then click OK.

Move Traces Dialog Box Help

Note: Only ONE trace can be move in one time.

Move Trace N to window - Transfer the selected trace to any Window that listed.

Trace Max

How to maximize the active trace - the ONLY trace on the screen display. All other traces are hidden.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Trace > Trace Setup > Trace Max (ON). With Trace Max (ON), select a different trace to make that trace visible.

  2. To make all traces visible again, select Trace Max (OFF).

  1. Right-click the Trace Status label above the grid box, then click Trace Max.

  2. Double click on the active trace to make all traces visible again.

Trace Hold

How to hold the active trace at the maximum or minimum point.

Using Hardkey/SoftTab/Softkey

  1. Press Trace > Trace Setup > Trace Hold > OFF | Minimum | Maximum.

  2. Restart resets the trace.

Maximum/Minimum trace hold can be applied with several conditions:

  • Feature is applicable to any data trace, not to memory traces.

  • When the stimulus or any data post processing setting is changed, the trace hold data will be reset. These settings include:

  • Smoothing on/off.

  • Smoothing Aperture.

  • Gating on/off.

  • Transform on/off.

  • Conversion state change, conversion type change.

  • Data Math Function (Data/Mem) change.

  • Equation Editor state change, formula change.

  • Parameter change.

  • Formatting change.

  • Minimum/maximum comparison is done with formatted data. For Smith and Polar formats, absolute data is used and not phase.

  • Trace hold data can be recalled.

  • Data save files formats

    • SnP: do not save trace hold data

    • Citifile, CSV, MDF, PRN: save trace hold data

Note: Citifiles can be recalled and viewed in the VNA.

  • Use SCPI commands to get trace hold data. If trace hold is active, then the data returned from the remote interfaces will be the trace hold data.

Channels

Channels contain traces. Channel settings determine how the trace data is measured. All traces that are assigned to a channel share the same channel settings. The following are channel settings:

  • Frequency range

  • Power level

  • Calibration

  • IF Bandwidth

  • Number of Points

  • Sweep Settings

  • Average

  • Trigger (some settings are global)

Managing Channels

How to select a channel

A channel must be selected (active) before its settings can be changed.

To make a channel active, select a trace in that channel or click the Trace Status button of a Trace in that channel

How to Add a channel

Using Hardkey/SoftTab/Softkey

  1. Press Channel > Channel 1-8 > click left side Channel 1-8 small button
    (Example: Click on left side Channel 1 small button and Channel 1 is active when it turns green color, so Channel 1 added).

  2. For other channel numbers, press Channel > Channel Setup > Add Channel, then select New Trace + Channel or New Trace + Channel + Window.

No programing are available for this feature

How to Delete a channel

Using Hardkey/SoftTab/Softkey

  1. Press Channel > Channel 1-8 > click left side Channel 1-8 small button
    (Example: Click on left side Channel 1 small button and Channel 1 is inactive when it is not in green color).

  2. For other channel numbers, press Channel > Channel Setup > Delete Channel, then select a channel.

Windows

Windows are used for viewing traces.

  • The VNA can show an UNLIMITED number of windows on the screen with the following limitations:

    • The COM property Maximum Number Of Windows returns 1000 ('unlimited' is not a number).

    • The SCPI status register can only track the status of up to 576 traces.

  • Each window can contain up to 24 traces .

  • Windows are completely independent of channels.

  • See Customize the VNA screen to learn how to make other window settings.

The following is a window containing two traces. Both traces use the same channel 1 settings as indicated by the annotation at the bottom of the window.

VNA shows the window number in the lower-left corner of the window. The following shows window 5.

Managing Windows

How to make various window settings

New, Close, Tile, Cascade, Minimize, Maximize

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Window 1-8 > click left side Window 1-8 small button
    (Example: Click on left side Window 1 small button and Window 1 is active when it turns green color, so Window 1 added).

  2. For other windows, press Display > Window Setup > Add Window, then select a New Window, New Trace + Window or New Trace + Channel + Window.

  1. Right-click on any area of grid box and then select New Window.

How to Delete a Window

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Window 1-8 > click left side Window 1-8 small button
    (Example: Click on left side Window 1 small button and Window 1 is inactive when it is not in green color).

  2. For other windows, press Display > Window Setup > Delete Window, then select a window.

  1. Right-click any area of grid box and then select Close Window.

Window Max

How to Maximize the active window - the ONLY window on the screen display. All other windows are hidden.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Window Setup > Window Max (ON). With Window Max (ON), select a different trace to make that window visible.

  2. To make all windows visible again, select Window Max (OFF).

  1. Right-click any area of grid box and then select Maximize.

Sheet

Sheets are used to group VNA windows. Tabbed sheet provides an easy way to switch multiple display settings quickly.

Features and actions that can performed with tabbed sheets

    • Add/Delete/Select sheet

    • Move window to sheet

    • Measurement can be performed on traces/channels in inactive sheets

    • Easy setup for channel per window

    • Easy setup for channel per sheet

Managing Sheet

How to Add Sheet

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Sheet Setup > Add Sheet.

  2. The select one a New Sheet, New Trace + Sheet or New Trace + Channel + Sheet.

  1. Click on the sheet tab.

How to Delete a Sheet

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Sheet Setup > Delete Sheet.

  2. Then select a sheet.

  1. Click on the sheet tab.

How to View a Sheet

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Sheet Setup > Sheet.

  2. Then select a sheet.

  1. Click on the sheet tab.

How to Change Sheet Title

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Sheet Setup > Sheet Title....

  2. In the pop up Sheet title box, enter the title and click OK.

None

How to Change Sheet Layout

This is a sheet auto-layout option, for quicker selection instead of selecting the trace, channel, window and sheet separately. 4 auto-layout options are available.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Sheet Setup > Sheet Layout.

  2. The select one a 1 Sheet, 1 Trace per Sheet, 1 Channel per Sheet or 1 Window per Sheet.

None

Last modified:

5-Jan-2016

First Release


Quick Start Dialog

Quick start is a simple wizard which helps to setup the setting for the typical measurements. This feature allows user to select from a set of pre-configured measurement layouts.

How to Open Quick Start Dialog Box

Using Hardkey/SoftTab/Softkey

  1. Press Setup > Main > Quick Start....

The measurement comprises the following THREE steps.

Step 1: Quick Start Dialog

You are able to select a layout template for typical measurement.

S-Parameter Measurements

Balanced Measurements

Other Measurements

If "Create in new channel" checkbox is enabled, a new channel and window(s) will be created.

If "Create in new channel" checkbox is disabled, when a template is selected then the active channel will be used for the new measurements. If the active trace is displayed in a window with traces on other channels, then the trace will be deleted and a new window(s) will be opened for the new measurements.

If "Display Smith Chart" checkbox is enabled, the active trace in a window will turn to display Smith Chart.

If "Display Smith Chart" checkbox is disabled, no changes on the active trace in a window.

Step 2: Stimulus Settings Dialogs

This step is used to set stimulus for the measurement.

S-Parameter & Balanced

Option Required:

None

If any one of the following measurement is selected in Step 1, Frequency Sweep Settings dialog will appear.

  • S-parameter measurements

  • Balanced measurements

  • Unratioed Receiver measurements

Enter:

  • Start/Stop Frequency

  • Sweep Type: Lin or Log Frequency

  • Power

  • IF Bandwidth

  • Number of Points

Learn more about S-parameter measurements, Differential (Balanced) measurements and Unratioed Receiver measurements.

Power

Option Required:

None

If any one of Power Sweep measurements is selected in Step 1, Power Sweep Settings dialog will appear.

Enter:

  • Start/Stop Power

  • CW Frequency

  • IF Bandwidth

  • Number of Points

Learn more about Power Sweep measurements.

Receiver Frequency Offset

Option Required:

009

If any one of Frequency Offset Measurements (FOM) is selected in Step 1, Frequency Offset Settings dialog will appear.

Enter:

  • Source Start/Stop

  • Receiver Start/Stop

  • Power

  • IF Bandwidth

  • Number of Points

Learn more about FOM.

Time Domain

Option Required:

010

If any one of Time Domain measurements is selected in Step 1, Time Domain Settings dialog will appear.

Enter:

  • Start/Stop Time

  • Transform Mode (Time Domain Settings dialog auto-select the start frequency if a LPF transform mode is selected.)

  • Start/Stop Frequency

  • Power

  • IF Bandwidth

  • Number of Points

Learn more about Time Domain measurements.

Mixer

Option Required:

009

If any one of SMC Measurements is selected in Step 1, Mixer Quick Settings dialog will appear.

Enter:

  • Equation: Output = Input - LO, Output = Input + LO, Output = LO - Input

  • Input, LO and Output Frequencies and configuration.

Learn more about SMC Measurements

Steps 3: Cal Wizard Dialog (Optional)

If "Calibrate this setup" checkbox is enabled, the Cal Wizard Dialog will appear when Stimulus Settings Dialog is dismissed with the "OK" button.

If "Calibrate this setup" checkbox is disabled, the Cal Wizard Dialog will NOT appear.

Cal Wizard functions:

  • Smart Cal Wizard

  • SMC Cal Wizard

Last modified:

5-Jan-2016

First Release


Basic Measurement Sequence

The following process can be used to setup all VNA measurements:

Step 1. Set Up Measurements
Reset the analyzer, create a measurement state and adjust the display.

Step 2. Optimize Measurements
Improve measurement accuracy and throughput using techniques and functions.

Step 3. Perform a Measurement Calibration
Reduce the measurement errors by performing a calibration.

Step 4. Analyze Data
Analyze the measurement results using markers, math operations and limit tests.

Step 5. Print, Save or Recall Data
Save or print the measurement data.


Connectivity Guide

VNA Connectivity Guide

The VNA as a PC

  • VNA User Accounts and Passwords

  • Using VNC to Control the VNA User Interface

GPIB Programming

  • Configure for GPIB, SCPI and SICL

Controlling External Devices

  • Configure an External Device

  • E5092 Test Set Control

  • Interface Control Feature


VNA Preferences

VNA preferences are settings that survive a Preset or VNA Shutdown. VNA Preferences are listed on this page with links to locations that provide more information.

How to set VNA Preferences

Using Hardkey/SoftTab/Softkey

  1. Press System > System Settings > Preferences....

Preferences Dialog Box Help

VNA Preferences survive a Preset and a system reboot.

A checked box makes the following statements true unless stated otherwise.

Avg: On PRESET set two-point Group Delay Aperture - Group delay aperture set to 2 points. Learn more.

Avg: On PRESET set two-point Group Delay Aperture (default) - Group delay aperture is set to 11 points.

Cal: Always use Internal Trigger during cal - Only use Internal Trigger source

Cal: Always use Internal Trigger during cal (default) -use the other Trigger source

This setting only affects calibrations performed using SCPI. Cals performed from the User Interface ALWAYS offer a choice to save to a named Cal Set.

Cal: (SCPI only) Auto-save to User Cal Set - Always automatically save completed calibrations to an auto-named User Cal Set. Caution: This can cause a lot of save User Cal Sets. Learn more.

Cal: (SCPI only) Auto-save to User Cal Set (default) - Save completed calibrations to Cal Registers to default, instead of User Cal Sets.

The following message appears when both the Cal Set choices above and below are selected:

"Cal: Auto-save preferences conflict "

Cal: (SCPI) Auto-save to User Cal Set (above)- or - Cal: (SCPI) Auto-save to current Cal Set (below)

Uncheck one of these.

This setting only affects calibrations performed using SCPI. Cals performed from the User Interface ALWAYS offer a choice to save to a named Cal Set.

Cal: (SCPI) Auto-save to current Cal Set - Always automatically save a completed Cal to the Cal Set that is currently selected on the specified channel, which could be the channel Cal Register. If the channel does not yet have a selected Cal Set, the Cal will be saved to a new User Cal Set with an automatically-generated name.

Cal: (SCPI) Auto-save to current Cal Set (default)- Do NOT automatically save a completed Cal to the Cal Set that is currently selected on the specified channel.

Cal: For Frequency Offset, use Primary frequencies - Use when making mm Wave measurements without a test set.

Cal: For Frequency Offset, use Primary frequencies (default) - Do NOT use when making mm Wave measurements without a test set.

Display: Selected trace changes width briefly - The selected trace changes width briefly in order to improve visibility.

Display: Selected trace changes width briefly (default) - The selected trace does NOT change width briefly.

Display: Selected Trace is wider - The active (selected) trace is always wider.

Display: Selected Trace is wider - The selected trace is the narrow, default size.

Display: Touchscreen On (default) - Selections can be made by touching the screen.

Display: Touchscreen On - Selections can NOT be made by touching the screen.

Ext Device: De-activate on Preset and Recall (default) - External devices are de-activated when the VNA is Preset or when a Instrument State is recalled.

Ext Device: De-activate on Preset and Recall - External devices remain active when the VNA is Preset or when a Instrument State is recalled.

Learn more about External Devices.

Limit: Draw failed trace segments in red - Failed segments are drawn in red.

Limit: Draw failed trace segments in red (default)- Failed data points (dots) are drawn in red.

Limit: Draw limit lines in red (default) - The limit line is red colors.

Limit: Draw limit lines in red - The limit line color is same as the trace color.

Limit: Test the nearest measurement point (default) - When the stimulus of measurement point is not the same as the limit test point, the nearest limit test point is used for pass/fail judgement.

Limit: Test the nearest measurement point - The pass/fail is judged at only the stimulus of limit test point.

Marker: Coupling controls on|off state of markers - If Coupled Channels is On and a marker is turned on for one trace, the marker with the same marker number will be turned on for all traces coupled to the original trace.

Marker: Coupling controls on|off state of markers - If Coupled Channels is On and a marker is turned on for one trace, no other marker on other traces is affected.

Marker: On Preset, Coupling Method is Channel - Coupling Method is set to "Channel" when preset is selected.

Marker: On Preset, Coupling Method is Channel - Coupling Method is set to "All" when preset is selected.

Marker: On Preset, Coupled Markers is On - Coupled Markers is set to ON when preset is selected.

Marker: On Preset, Coupled Markers is On - Coupled Markers is set to OFF when preset is selected.

Marker: Programming treats Mkr 10 as Reference - A marker programming command that includes 10 as its marker number argument will operate on the Reference Marker (NOT the general-purpose Marker 10).

Marker: Programming treats Mkr 10 as Reference (Default) - A marker programming command that includes 10 as its marker number argument will operate on a general-purpose Marker 10 (NOT the Reference marker).

Marker: Use single marker for marker search (default) - Use one marker for marker search. Sub Marker are displayed and used for Bandwidth, Notch searches. This mode is compatible with the E5071C.

Marker: Use single marker for marker search - Use multi marker for marker search.

Memory: Data Math 8510 Mode - Simulate the Keysight 8510 data processing chain as it pertains to Trace Math and Memory. Learn more.

Memory: Data Math 8510 Mode (default) - Standard VNA data processing chain.

Power: On Preset turn power on (default) - Instrument Preset always turns source power ON.

Power: On Preset turn power on - When the current source power setting is OFF, source power remains OFF after Preset. When the current power setting is ON, source power is turned ON after Preset.

Power: Report source unleveled events as errors - Enable the source unleveled events reported as errors. Learn more.

Power: Report source unleveled events as errors - Disable the source unleveled events reportws as errors. (Default)

Preset: Confirm preset - When Preset button at hardkey is pressed, VNA firmware immediately preset (Hardkey is required only).

Preset: Confirm preset (defaul) - When Preset > Preset is pressed, VNA firmware immediately preset (Hardkey and Softkey are required).

Preset: On Preset show Quick Start dialog - Quick start dialog is display when Preset.

Preset: On Preset show Quick Start dialog - Quick start dialog do NOT display when Preset.

Recall: Softkey order is most recently used - Recall softkey order which is most recently used.

Recall: Softkey order is most recently used (default) - Do NOT recall softkey order which is most recently used.

Scale: On Preset Couple scale to Window - Scale coupling is set to Window when Preset.

Scale: On Preset Couple scale to Window (default) - Scale coupling is set to Off by default when Preset.

Sweep: On Preset set Sweep mode to Stepped (default) - Sweep mode is always set to Stepped when Preset.

Sweep: On Preset set Sweep mode to Stepped - Sweep mode is NOT always set to Stepped when Preset.

Sweep: Use only ramp sweeps for Auto Sweep Mode - The auto sweep mode is only apply by ramp sweeps.

Sweep: Use only ramp sweeps for Auto Sweep Mode - The auto sweep mode is NOT only apply for ramp sweeps.

System: Enable sound (default) - Instrument speaker turns ON.

System: Enable sound - Instrument speaker turns OFF.

System: Use keyboard to navigate softkeys - Enable the keyboard to browse the softkeys.

System: Use keyboard to navigate softkeys (default) - Disable the keyboard to browse the softkeys.

The More buttons launch dialogs that contain predefined preferences:

Data Saves...

Define Data Saves - While not explicitly called Preferences, all of these settings survive a shutdown. Learn more.

Power Limit...

Offsets and Limits - Sets Power Limits and Offsets. Learn more.

Transparency...

Dialog Transparency - Some VNA dialogs can be viewed in various levels of transparency. Learn more.

Language...

Help - Sets the language of the built-in help (English or other localized language). Learn more.

User Preset...

User Preset - Specify the Instrument State file that the VNA will use when Preset. Learn more.

Page Setup...

Page Setup - Standard printer settings (Paper, Orientation, Window, Channel Settings Table and Trace Attributes Table) do NOT survive a VNA shutdown.

All other settings DO survive a VNA shutdown. Learn more.

Disp Colors...

Display Colors - Sets VNA display items to custom colors. Learn more.

Print Colors...

Print Colors - Sets VNA print items to custom colors. Learn more.

Although they are called preferences, the following settings do NOT survive a VNA shutdown.

Calibration | UI Setting
Perform orientation of the ECal module during calibration? | ECal Wizard
Specify ECal port mapping when orientation is OFF | ECal Wizard
Show or hide custom Cal Windows during Cal | Cal Window (remote commands only)

Last Modified:

5-Jan-2016

First Release


VNC

Using VNC to Control the VNA User Interface

VNC (Virtual Network Computing) allows you to control the User Interface of a VNA from any PC. The VNA display appears on the connected PC display. Mouse and keyboard control can occur from both the VNA and PC, although not simultaneously.

Note: For similar functionality, use Windows Remote Desktop. see the Windows help file for more information.

Both the VNA and PC must be connected to the same network. The responsiveness of the VNA while using VNC is dependent of the speed of your internet connection.

Every VNA is shipped with VNC installed. However, you must download and install the VNC software onto the PC.

The following procedures can help you configure VNC to view and control the VNA application from your PC.

On the VNA, run VNC Server

To do this:

  1. Click View, then Minimize Application.

  2. Click Start, then All Programs, then TightVNC, then Tight VNC Server (Application Mode), then Launch VNC Server.

  • When the server is running, the [image] icon is visible in the lower right corner of the display. If not visible, click the up arrow to expand the list of icons.

  • The first time you run VNC Server, you must first set a password to control access from remote PCs.

On the PC, run VNC Viewer

To do this:

  1. Download from http://www.tightvnc.com/ and install TightVNC on the PC.

  2. From the PC Desktop, click Start, then Programs, then TightVNC, then TightVNC Viewer

  3. When prompted for the Hostname, type the full computer name or IP address of the VNA.

  4. When prompted for the password, type the password you set when configuring VNC on the VNA.

Last Modified:

25-Jul-2014

First Release


LXI Compliance

LXI and VXI Compliance

The VNA products are LXI and VXI compliant.

LXI

Learn more about LXI at http://www.lxistandard.org/

VXI

Learn more about VXI at http://www.vxi.org/

LAN Status

When a LAN connection is used with the VNA, the LAN Status dialog allows you to see the IP address and other LAN connection properties.

How to view LAN Status

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press System > System Setting > Lan Status....

  1. Right click on the LCL (or RMT) icons on the status bar.

  2. Select on Lan Status....

LAN Status dialog box help

Indicator Shows the current status of the LAN connection.

NORMAL - Indicates that the VNA LAN is ready for communication.

IDENTIFY - Indicates that a remote computer has invoked an LXI identification operation on the VNA using the web-based interface or LXIDeviceIDState COM property.

FAULT - Indicates that the VNA LAN interface is not connected to the Internet.

IP Address Shows the current IPv4 address of the VNA

IPv6 Link-Local Address Shows the current IPv6 address of the VNA

Computer Name Shows the full computer name of the VNA. Learn how to change this. If you see the IP address listed here, that means there is no DNS server specified in the network setup.

MAC Address Shows the unique address of the VNA computer. Also known as HostID.

LAN Reset Provides a LAN Configuration Initialize (LCI) mechanism. Press to return the following settings to factory default conditions:

  • IP Address Configuration (DHCP): Enabled

  • ICMP Ping Responder: Enabled

  • Web Password for configuration: Resets the password to 'Keysight'.

Web Server Software

If your VNA is LXI Class C compliant (see above), you can connect to the VNA using a web browser over an internet connection.

To do this, when the above dialog indicates a NORMAL condition:

  1. From a web browser, type http://<your_VNA_computer_name>. For example, to connect to the fictitious VNA in the dialog above, type: http://WINDOWS-R4KD3IH

  2. You will see the welcome screen with connection links.

Last modified:

5-Jan-2016

First Release


Dialog Transparency

Most VNA dialogs can be made to appear with various amounts of transparency. This allows you to view the VNA traces through the dialog as you make dialog settings.

How to set Transparency Level

Using a mouse

  1. In tabbed dialogs, cycle through the above transparency settings by pressing the following button multiple times. The following dialog boxes have the transparency settings: Sweep Setup, Quick Start, Time Domain Setup, Limit Test Setup, Time Domain Setup, Port Matching, Customize setup and Trigger.

OR

  1. Launch the Transparency dialog (below) from the Preferences dialog.

No programming commands are available for this feature.

Dialog Transparency Dialog Box Help

Note: This single Transparency setting applies to ALL supported VNA dialogs.

The transparency button improves view-ability. By change the percentage of transparent on this dialog, user may view the result on the display immediately.

  • Opaque (NOT Transparent) - Default setting

  • 8% Transparency

  • 25% Transparency

  • 50% Transparency

Double-click changes transparency - When checked, cycle through the above transparency settings by double-clicking in any non-control area of a dialog that allows transparency.

Notes :

  • The transparency setting is stored as a VNA Preference.

  • The setting survives a VNA Shutdown and Preset

  • It is NOT saved and recalled with instrument state.

Last Modified:

5-Jan-2016

New topic (10.0)


Using Help

This topic discusses the following:

  • VNA Documentation

  • Launching Help

  • Searching Help

  • Localization Help

  • Documentation Warranty

See Also

Help, About Network Analyzer

Other Quick Start Topics

VNA Documentation

This Help file, which is embedded in the VNA, is the Users Guide and Programming Manual for the VNA. The help file is automatically updated on the VNA when firmware is updated. Only the VNA Installation and Quick Start Guide is shipped with new VNA instruments.

Hardcopy manuals are no longer available for purchase with the VNA.

All VNA documentation, including the latest online Web Help version of this Help file, and a printable .PDF version of the Help file, are available at http://www.keysight.com/find/na.

Launching Help

The Help system can be launched in three ways:

  1. From the front panel Help button.

  2. From the Help drop-down menu

  3. From Dialog Box Help

Searching Help

TIP: To Search any topic for a keyword, press Ctrl and F.

Perform a Google search of the online version of VNA Help.

The following rules apply for using full-text search:

  • Searches are not case-sensitive.

  • You can search for any combination of letters (a-z) and numbers (0-9).

  • Punctuation marks (period, colon, semicolon, comma, and hyphen) are ignored during a search.

  • You can group the words of your search using double quotes or parentheses. Examples: "response calibration" or (response calibration). This requirement makes it impossible to search for quotation marks.

  • Use Wildcard expressions:

    • To search for one undefined character use a question mark (?). For example, searching for cal? will find calc and calf.

    • To search for more than one undefined character use an asterisk (*). Searching for Cal* will find calibration and calculate.

  • Use Boolean operators to define a relationship between two or more search words.

Search for | Example | Results will show topics containing:
Two words in the same topic | response AND calibration | Both the words "response" and "calibration".
Either of two words in a topic | response OR calibration | Either the word "response" or the word "calibration" or both.
The first word without the second word in a topic | response NOT calibration | The word "response" but not the word "calibration".
Both words in the same topic, close together. | response NEAR calibration | The word "response" within eight words of the word "callibration".

Localization Help

By default, the VNA shows English built-in help that comes with the firmware. Localized help does not come with the firmware package.

To activate the localized help, follow these steps:

  • Download the localized help from Keysight.com VNA support website (e.g. Simplified Chinese localized help file is named as vnahelp_sc.chm)

  • Copy the localized help (*.chm) to D:\help folder.

  • Press System > System Settings > Preferences....

  • For E5080A, the Language button is activated.

  • Press the Language button and select the localized help, e.g. Simplified Chinese, and press OK. Localized help is now activated

Note: Localized help will not be affected by the Instrument Recovery (SSD re-imaging) cycle.

Documentation Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement will control.


HelpAbout

Help - About Network Analyzer

Click Help > Help > About NA..., then About Network Analyzer to learn the following about your VNA:

  • Model number

  • Frequency range

  • Serial number

  • Installed options (Learn how to install software options)

  • Application Code (firmware) Version

  • Solid State Drive Version

  • System CPU Version - Learn more

  • DSP (Digital Signal Processor.) Version. This is not used for the E5080A.

  • Computer Name - Learn more. This is also reported on the LAN Status / LXI Compliance dialog.

Last Modified:

30-Nov-2009

First Release


Preset the Analyzer

Preset the VNA

When you Preset the VNA, it is set to known, or preset conditions. You can use the factory default preset conditions, or define your own User Preset conditions.

  • Preset (Default) Conditions

  • User Preset Conditions

See other 'Setup Measurements' topics

Preset Default Conditions

How to Preset the VNA

Tip: Press the Preset button to start the VNA application if it is not already running.

Using Hardkey/SoftTab/Softkey

  1. Press Preset > Main > Preset.

When Confirm Preset is Off,

  1. Press Preset.

User Preset Conditions

The analyzer can be preset to either factory default conditions or User Preset conditions.

How to set User Preset

Using Hardkey/SoftTab/Softkey

  1. Press Preset > Main > User Preset....

User Preset dialog box help

With a User Preset saved and enabled, when the VNA is Preset, the User Preset settings are recalled instead of the factory default settings. Calibration data is NOT recalled with a User Preset. Learn more about instrument state settings.

User Preset Enable
Check - The VNA is preset to User Preset conditions when the Preset button is pressed.
Clear - The VNA is preset to Default conditions when the Preset button is pressed.

Save current state as User Preset - Click to store the current instrument state as the User Preset conditions. File is stored as D:\UserPreset.sta.

Load existing file as User Preset - Click to retrieve an instrument state to be used as the User Preset conditions.

Last modified:

1-Jul-2014

First release


Measurement Classes

Measurement Classes are categories of measurements that can coexist on a channel.

  • What are Measurement Classes

See other 'Setup Measurements' topics

What are Measurement Classes

The following table shows the Measurement Classes currently available for the VNA. Within each of these classes there are a number of measurements.

Measurement Classes are categories of measurements that can coexist on a channel. A measurement from one class can NOT reside in a channel with a measurement from another class. For example, a Noise Figure measurement can NOT reside in a channel that is currently hosting Scalar Mixer Measurements.

The Measurement Class dialog is accessed in the following ways:

How to assign a Measurement Class to a Channel

Using Hardkey/SoftTab/Softkey

  1. Press Meas > Meas Overview > Measurement Class > Measurement Class...

Measurement Class dialog box help

Measurements in a measurement class can NOT coexist in a channel with a measurement of a different measurement class.

Select a measurement class for the active channel or new measurement channel.

  • The Standard measurement class contains S-Parameters. Balanced parameters, and Receiver measurements.

  • The Gain Compression measurement class contains Frequency, Power and Compression measurements.

  • All other measurement classes are commonly called "Applications".

Title Bar Indicates the active channel to which the measurement class will be assigned.

Show setup dialog shows the dialog box to set the stimulus.

Confirm changes

  • Check (default setting) to launch the Confirm Measurement Class Change dialog.

  • Clear to perform the 'OK' actions without confirmation. This setting survives a Preset and VNA Shutdown.

New Channel Click to create the measurement class in a new channel and new window. A default measurement for that class is created in the channel.

To change the measurement, click Trace, then select a new measurement.

Choose to do the following:

  • OK - Delete the existing measurements in the active channel. Create the new measurement class, and default measurement, in that channel.

  • Cancel - Do not create the new measurement class. Leave the old measurements (and class) in that channel and return to the Measurement Class dialog box.

Last Modified:

2014-06-28

First release


Measurement Parameters

This topic contains the following information:

  • S-Parameters (pre-selected ratios)

  • Balanced

  • Receivers

  • Ratioed (choose your own ratio)

  • Unratioed Power (absolute power)

  • Auxiliary

Learn about Balanced Measurements

See other 'Setup Measurements' topics

S-Parameters

S-parameters (Scattering Parameters) are used to describe the way of a device modifies a signal. An S-parameter is defined by the ratio of two complex numbers and contains information on the magnitude and phase of the signal.

For a 2-port device, there are four S-Parameters. The syntax for each parameter is described by the following:

S out - in

out = | VNA port number where the device signal output is measured (receiver)
in = | VNA port number where the signal is applied (incident) to the device (source)

Move the mouse over each S-parameter to see the signal flow:

For two-port devices:

  • When the source goes into port 1, the measurement is said to be in the forward direction.

  • When the source goes into port 2, the measurement is said to be in the reverse direction.

The analyzer automatically switches the source and receiver to make a forward or reverse measurement. Therefore, the analyzer can measure all four S-parameters for a two-port device with a single connection.

Common Measurements with S-Parameters

Reflection Measurements
(S11 and S22)

Transmission Measurements
(S21 and S12)

  • Return loss

  • Standing wave ratio (SWR)

  • Reflection coefficient

  • Impedance

  • S11, S22

  • Insertion loss

  • Transmission coefficient

  • Gain/Loss

  • Group delay

  • Deviation from linear phase

  • Electrical delay

  • S21, S12

Receiver Measurements

All VNA models have test port receivers and reference receivers.

For 4-port models

  • R1, R2, R3 and R4 are reference receivers. They measure the signal as it leaves the VNA source.

    • R1 measures the signal out of Port 1

    • R2 measures the signal out of Port 2

    • R3 measures the signal out of Port 3

    • R4 measures the signal out of Port 4

  • A, B, C and D are test port receivers. They measure the signal out (or reflecting off) of the DUT.

    • A measures the signal into VNA Port 1

    • B measures the signal into VNA Port 2

    • C measures the signal into VNA Port 3

    • D measures the signal into VNA Port 4

Receivers can also be specified using Logical Receiver Notation. Learn more.

Ratioed Measurements

Ratioed measurements allow you to choose your own ratio of any two receivers that are available in VNA. S-parameters are actually pre-defined ratio measurements. For example S11 is A/R1.

The following are common uses of ratioed measurements:

  • Comparing the phase between two paths of a device. An example could be something simple like a power splitter or more complicated like a dual-channel receiver.

  • Measurements that require a higher dynamic range than the analyzer provides with S-parameters.

Unratioed (Absolute Power) Measurements

The unratioed power parameter measures the absolute power going into any of the receivers that are available on VNA.

The reference receivers are internally configured to measure the source power for a specific VNA port. Performing an absolute power measurement of a reference receiver using a different source port will measure very little power unless the front panel jumpers are removed and signal is applied directly to the receiver. An example of this would be an R1 measurement using port 2 as the source.

  • Measuring phase using a single receiver yields meaningless data. Phase measurements must be a comparison of two signals.

  • Averaging for Unratioed parameters is computed differently from ratioed parameters. Learn more.

  • Choose Response Cal if ONLY unratioed parameters are being measured. If S-parameters are also being measured, then SmartCal will calibrate the test port receivers in use.

New Trace / Measure Dialog Box Help

Note: The only measurements that are available are those in the measurement class currently assigned to the active channel. Other measurements are NOT compatible.

To create a measurement other than these, first assign the appropriate measurement class to a new or existing channel. Learn how.

Click a tab to create or change measurements.

  • When creating NEW measurements, you can choose more than one.

  • When changing an EXISTING measurement, you can choose ONLY one.

Tabs

S-Parameter - Select a predefined ratioed measurements. Learn more about S-parameters.

ement type. (Multiport VNAs ONLY)

Change - Click to invoke the Balanced DUT Topology/Logical Port mappings dialog box. Learn more about Balanced Measurements.

Receivers - Select receivers to make Ratioed and Unratioed (absolute power) measurements. Learn more about Receiver Measurements.

Ratioed - Check Activate to create or change a measurement. Select a receiver for the Numerator, select another receiver for the Denominator, then select a source port for the measurement.

The Source port is ALWAYS interpreted as a logical port number.

For convenience, the table is populated with common choices.

  • Learn more about External Test Sets and Ratioed Measurements.

  • Learn more about Ratioed Measurements.

Unratioed - Same as Ratioed, but select 1 as the Denominator.

  • Learn more about Unratioed Measurements.

Receiver Notation

Receivers can be also selected using logical receiver notation. This "8510-style" notation makes it easy to refer to receivers with an External Test Set connected to the VNA.

  • aN - Reference receiver for logical port N

  • bN - Test port receiver for logical port N

  • AIN - Analog AUX In N (1 or 2)

For example:

  • For Ratioed measurements: "b12/a1" refers to the logical test port 12 receiver / the logical port 1 reference receiver.

  • For Unratioed measurements: "b10" refers to the logical test port 10 receiver.

  • For Auxiliary measurements: "AI1 refers to AUX IN 1 (ANALOG IN) on the rear panel.

The new style notation (A, B, R1 and so forth) can still be used to refer to the VNA physical receivers. Learn more.

However, ratioed measurements MUST use the same notation to refer to both receivers; either the physical receiver notation (A, R1) or the logical receiver notation (aN, bN). For example, the following mixed notation is NOT allowed: A/b3 and a5/R2.

Programming

When entering receiver letters using programming commands, neither logical or physical receiver notation are case sensitive.

Auxiliary - Select the input of AUX 1 or 2 on the rear panel.

  • AUX port can make a DC measurement.

  • Select the DC range at either 1 V or 10 V by pressing Meas > Auxiliary > AuxIn1 Range or AuxIn2 Range.

Channel / Window Selections

These selections are NOT AVAILABLE when changing an EXISTING measurement. Learn how to change a measurement.

Channel Number - Select the channel for the new traces.

Create in New Window

  • Check to create new traces in a new window.

  • Clear to create new traces in the active window. When the VNA traces per window limitation has been reached, no more traces are added.

About Measurement Parameters (top of page)

Balanced DUT Topology / Logical Port mappings Dialog Box Help

Create or edit DUT Topology and Logical Port Mapping.

A Logical Port is a term used to describe a physical VNA test port that has been remapped to a new port number.

  • Any Two physical VNA ports are mapped to One Balanced Logical port

  • Any One VNA physical port is mapped to One Single-Ended Logical port.

Note: These selections apply to ALL measurements in the channel. If the device topology is changed, any existing measurements in the channel that are incompatible with the new topology will be automatically changed to one that is compatible.

Topology: Describes your DUT as you would like it tested. The following device topologies can be measured by a multiport VNA. When the unit is 2-port model, only balanced can be selected.

  • Balanced
    (1 logical ports - <2 actual ports>)

  • Balanced/Balanced
    (2 logical ports - <4 actual ports>)

  • Single-ended/Balanced
    (2 logical ports - <3 actual ports>)

  • Single-ended - Single-ended/Balanced
    (3 logical ports - <4 actual ports>)

These topologies can be used in the reverse (<==) direction to measure:

  • Balanced/Single-ended - Single-ended topology

For example, to measure a Balanced/Single-ended topology, measure the S12 (reverse direction) of a Single-ended/Balanced topology.

  • Learn about Logical Port mapping when using an External Test Set.

  • Learn more about Balanced Measurements

  • Balanced parameters can be saved to SNP files. Learn more.

Last modified:

5-Jan-2016

First Release


Frequency Range

Frequency range is the span of frequencies you specify for making a device measurement.

  • Setting Frequency Range

  • Zoom

  • CW Frequencies

  • Frequency Resolution

See other 'Setup Measurements' topics

Setting Frequency Range

How to set Frequency Range

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Freq > Main > Start, Stop, Center or Span.

  2. Enter desired frequency value.

  1. Right click on the X-axis label or stimulus range area under grid line.

  2. Click on Start/Stop/Center....

There are two ways to set the frequency range:

  1. Specify the Start and Stop frequencies of the range.

  2. Specify the Center frequency and desired Span of the range.

See the frequency ranges of all VNA models.

Start, Stop, Center, Span Dialog Box Help

Start - Specifies the beginning frequency of the swept measurement range.

Stop - Specifies the end frequency of the swept measurement range.

Center - Specifies the value at the center of the frequency sweep. This value can be anywhere in the analyzer range.

Span - Specifies the span of frequency values measured to either side of the center frequency.

Points - Specifies number of measurement points.

Step - Specifies the step.

Zoom

Zoom allows you to easily change the start and stop frequencies or start and stop power levels in a power sweep.

Zoom operates on the Active Trace and all traces in the same channel as the active trace, regardless of the window in which they appear.

How to Zoom in a measurement window

  1. Left-click the mouse or use a finger, then drag across a portion of a trace.

  2. Release the mouse or lift the finger and the following menu appears:

Select from the following:

    • Zoom - changes the channel stimulus settings to the left and right border values of the Zoom selection.

    • Zoom xy - changes the channel stimulus settings as above. In addition, the Y-axis scale of the active trace changes to the approximate scale of the Zoom selection.

    • Zoom Full Out - changes the channel stimulus settings to the full span of the current calibration. If no calibration is ON, then the stimulus settings are changed to the full span of the VNA model.

Notes:

  • The stimulus settings are changed for ALL traces in the active channel, regardless of the window in which they appear.

  • If markers are in the selected area, they remain in place.

  • If markers are in the unselected area, they are moved to the right or left edge of the new span. When Zoom Full Out is selected, the markers are moved back to their original location.

Zoom is NOT available for the following:

  • Smith Chart or Polar display formats

  • CW Time and Segment sweep type

  • Frequency Offset Measurements

CW Frequencies

Measurements with a CW Time sweep or Power sweep are made at a single frequency rather than over a range of frequencies.

How to set CW Frequency

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Set Sweep Type to CW Time or Power Sweep.

  2. Press Freq > Main > CW.

  3. Enter desired CW frequency.

  1. Set Sweep Type to CW Time or Power Sweep.

  2. Right click on the stimulus range area under grid box.

  3. Click on CW....

CW Frequency Dialog Box Help

CW - Type a value and the first letter of the suffix (k,m,or g) or use the up and down arrows to select any value within the range of the VNA.

Frequency Resolution

The resolution for setting frequency is 1 Hz.

Last modified:

5-Jan-2016

First release


Power Level

Power level is the power of the VNA source at the test ports.

  • How to make Power Settings

  • Power Dialog

  • Power and Attenuator Dialog

See other 'Setup Measurements' topics

Power Settings

The test port output power is specified over frequency.

How to make Power settings

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Power > Main > Power Level / Start Power / Stop Power to enter desired power level.

  2. Press Power > Main > RF Power to turn ON or OFF the RF power.

  3. Press Power > Leveling & Offsets > click left side Slope small button to turn ON or OFF the slope (Green color means the slope is turns ON; Grey color means the slope is turns OFF).

  1. Right click on the X-axis label or stimulus range area under grid line.

  2. Click Power....and then Power:Channel N dialog box appears.

Power Dialog Box Help

Basic control of VNA source power for a specific port.

See advanced control of source power and attenuation.

Power On (All Channels) - also same function as RF Power. Check to enable source power for all channels. Only turns power ON if channel power setting is ON or Auto. See Advanced Power.

Port 'n' - Active source port for which power is being set.

Port Power - Sets the power level for the specified port.

  • To accurately set the power level at any point after the test port, perform a Source Power Calibration.

  • See specified power range of VNA model.

Power Sweep

Start/Stop Power - Set the start and stop power values of a power sweep.

  • These settings are only available when Sweep Type is set to Power Sweep.

  • Uncoupled power sweep power can be set from the Advanced Power dialog.

  • You can Zoom to easily change the start and stop power levels in a power sweep. Learn how.

  • Learn more about Power Sweep.

Power Slope - Helps compensate for cable and test fixture power losses at increased frequency.

Slope - Select to set the power slope. Clear to set power slope OFF.

How to make Power and Attenuators settings

Using Hardkey/SoftTab/Softkey

  1. Press Power > Main > Power and Attenuators... and then Power and Attenuators dialog box appears.

Details setting for Power and Attenuators

  1. Press Power > Main > RF Power to turn ON or OFF the RF power.

  2. Press Power > Port Power > Select Port x to active the selected port.

  3. Press Power > Port Power > Power Level / Start Power / Stop Power to enter desired power level for selected port.

  4. Press Power > Port Power > Source State to choose the source state either Auto, On or Off.

  5. Press Power > Port Power > Coupling to turn ON or OFF the Power Coupled.

  6. Press Power > Leveling & Offsets > click left side Slope small button to turn ON or OFF the slope (Green color means the slope is turns ON; Grey color means the slope is turns OFF).

Power and Attenuators Dialog Box Help

Defines and controls the VNA source power and attenuation for the active channel.

External sources can be controlled from this dialog. Learn more.

Power On (All Channels) - also same function as RF Power. Check to enable source power for all channels. Only turns power ON if channel power setting is ON or Auto.

Port Powers Coupled

  • Coupled (checked) - The power levels are the same at each test port. Set power at any test port and all test ports change to the same power level.

  • Uncoupled (cleared) - The power levels are set independently for each test port. Uncouple power, for example, if you want to measure the gain and reverse-isolation of a high-gain amplifier. The power required for the input port of the amplifier is much lower than the power required for the output port. A power sweep can also be performed with uncoupled power.

Name - Lists the VNA test ports.

State

  • Auto - Source power is turned ON at the specified test port when required by the measurement. This is the most common (default) setting. See also Power ON and OFF during Save/Recall, User Preset and Preset.

  • ON - Source power is ALWAYS ON, regardless of measurements that are in process. Use this setting to supply source power to a DUT port that always requires power, such as an LO port. This could turn OFF power at another test port.

  • OFF - Source power is never ON, regardless of the measurement requirements. Use this setting to prevent damage to a sensitive DUT test port.

Port Power - Sets the power level at the output of the source.

  • To accurately set the power level at any point after the test port, perform a Source Power Calibration.

  • See specified power range of VNA model.

  • See ECal Module Compression Level.

Start/Stop Power - Available ONLY when sweep type is set to Power Sweep. Set the start and stop power values of a power sweep. Learn more about Power Sweep.

  • You can specify whether to maintain source power at either the start power or stop power level at the end of a power sweep. Learn more about Power Level.

  • A power sweep can be performed with uncoupled power. Different power ranges can be swept in the forward and reverse directions.

Leveling Mode (ALC Hardware in Softkey)

  • Internal ALC leveling.

Channel Power Slope - Helps compensate for cable and test fixture power losses at increased frequency. With power slope enabled, the port output power increases (enter positive value) or decreases (enter negative value) as the sweep frequency increases.

Slope - Select to set the power slope. Clear to set power slope OFF.

Power slope is computed and applied from 0 GHz – not from the measurement start frequency. For example, with the following measurement settings:

  • Start/Stop Freq: 1 GHz to 2 GHz

  • Power level: 0 dBm

  • Slope: 1 dB/GHz

The power into the DUT from 1 GHz to 2 GHz is 1 dBm sloping to 2 dBm.

Offset and Limits - Launches the Power Offset and Limits dialog.

Source Unleveled

When the power level that is required at a test port is higher than the VNA can supply, a Source Unleveled error message appears on the screen and the letters LVL appear on the status bar

To resolve an unleveled condition, change either the Test Port Power . If an Unleveled condition exists within the specified power range, contact Technical Support. To set report source unleveled events as errors, please refer enable the preferences dialog.

Important Note: The available power range can also be adjusted AUTOMATICALLY by a Source Power Calibration, Guided Power Cal, or Power Compensation. If you are NOT seeing the range that you expect, or the correct power level at your DUT, view the Power Offset column in the Power Limits and Offsets dialog.

Receiver Attenuators Dialog Box Help

Receiver Attenuation is used to protect the VNA test port receivers from damage or compression.

Note: A preference can be set to mathematically offset (or NOT) the reported power at the test port receivers by the amount of receiver attenuation. By default, All VNA models offset the display.

Learn how to set the preference.

CAUTION! You can damage the analyzer receivers if the power levels exceed the maximum values.

  • See Technical Specifications for the maximum input power to a receiver and receiver compression.

  • See Receiver attenuation values for your VNA model.

Last modified:

5-Jan-2016

First Release


Sweep

Sweep Settings

A sweep is a series of consecutive data point measurements taken over a specified sequence of stimulus values. You can make the following sweep settings:

  • Number of Points (Separate topic)

  • Sweep Type

    • Linear Frequency

    • Log Frequency

    • Power Sweep

    • CW Time

    • Segment Sweep

  • Frequency Range: Start/Stop (Separate topic)

  • Power Sweep

  • Segment Sweep

    • How to make segment sweep settings

    • Segment Table dialog

  • X-Axis Point Spacing - Segment Sweep ONLY

  • Arbitrary Segment Sweep

  • Sweep Time

  • Sweep Setup

    • Auto vs Stepped

    • Dwell Time and Sweep Delay

    • Standard

  • Shift LO (Separate topic)

See Triggering and other 'Setup Measurements' topics

Sweep Type

How to set Sweep Type

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Main > Sweep Type.

  1. Right click on the stimulus range area under grid box.

  2. Click Sweep Setup....

  3. Select Sweep Type tab.

  4. Click Apply to implement the setting changes.

Sweep Type Dialog Box / Sweep > Main > Sweep Type Softtab Help

Note: Sweep Settings are not applied until either OK or Apply is pressed.

Channel - The active channel when Sweep Type was selected. Sweep settings will be applied to this channel.

Linear Frequency - Sets a linear frequency sweep that is displayed on a standard grid with ten equal horizontal divisions.

  • Start - Sets the beginning value of the frequency sweep.

  • Stop - Sets the end value of the frequency sweep.

  • Power - Sets the power level for selective port.

  • Points - Sets the number of data points that the VNA measures during a sweep.

  • IF Bandwidth - Sets the IF (Receiver) bandwidth.

Log Frequency - The source is stepped in logarithmic increments and the data is displayed on a logarithmic X-axis. This is usually slower than a continuous sweep with the same number of points.

  • Start - Sets the beginning value of the frequency sweep.

  • Stop - Sets the end value of the frequency sweep.

  • Power - Sets the power level for selective port.

  • Points - Sets the number of data points that the VNA measures during a sweep.

  • IF Bandwidth - Sets the IF (Receiver) bandwidth.

Power Sweep - Activates a power sweep at a single frequency that specify. Learn more about power sweep

  • Start Power - Sets the beginning value of the power sweep.

  • Stop Power - Sets the end value of the power sweep.

  • CW Freq - Sets the single frequency where the VNA remains during the measurement sweep.

  • Points - Sets the number of data points that the VNA measures during a sweep.

  • IF Bandwidth - Sets the IF (Receiver) bandwidth.

CW Time - Sets the VNA to a single frequency and the data is displayed versus time. Learn more.

  • CW Freq - Sets the frequency where the VNA remains during the measurement.F

  • Power - Sets the power level for selective port.

  • Points - Sets the number of data points that the VNA measures during a sweep.

  • IF Bandwidth - Sets the IF (Receiver) bandwidth.

Segment Sweep - Sets the VNA to sweep through user-defined sweep segments. Learn how to make these settings.

OK - Applies setting changes and closes the dialog box.

Cancel - Closes the dialog. Setting changes that have been made do not apply and save, but it remain setting since the last Apply button is clicked.

Apply - Applies setting changes and leaves the dialog box open to make more setting changes.

Help - Display the Sweep Type dialog box help.

Power Sweep

A power sweep either increases or decreases source power in discrete steps. Power sweep is used to characterize power-sensitive circuits, with measurements such as gain compression.

In the Sweep Type dialog, specify Start Power, Stop Power, CW Frequency, Points and IF Bandwidth.

The remaining power settings apply in power sweep mode:

  • Test Port Power setting is not available.

  • Port Power can be coupled or uncoupled.

  • Power Slope (dB/GHz) is ignored (output frequency is CW).

  • Press Sweep > Main > Number of Points to change the step size of the power sweep.

Notes:

  • Power Sweep has been optimized for speed. For highest measurement accuracy during a power sweep, it may be necessary to increase the Dwell Time to allow the source more time to settle.

Segment Sweep

Segment Sweep activates a sweep which consists of frequency sub-sweeps, called segments. For each segment can define independent power levels, IF bandwidth, IF bandwidth per port, sweep time, delay, sweep mode and Shift LO.

Once a measurement calibration is performed on the entire sweep or across all segments, measurements can be calibrated for one or more segments.

In segment sweep type, the analyzer does the following:

  • Sorts all the defined segments in order of increasing frequency.

  • Measures each point.

  • Displays a single trace that is a composite of all data taken.

Restrictions for segment sweep:

  • The frequency range of a segment is not allowed to overlap the frequency range of any other segment.

  • The number of segments is limited only by the combined number of data points for all segments in a sweep.

How to make segment sweep settings

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Segment Table.

  1. Right click on the X-axis label or stimulus display area under grid line.

  2. Click Sweep Setup... > select Segment Sweep under sweep type.

  3. Click Segment Table....

Segment Table Dialog Box Help / Sweep > Segment Table Softtab Help

Add Segment - adds a sweep segment at last segment.

Insert Segment - adds a sweep segment before the selected segment. You can also click the "down" arrow on your keyboard to quickly add many segments.

Delete Segment - removes the selected segment.

Delete All Segments - removes all segments.

Note: At least ONE segment must be ON or Sweep Type is automatically set to Linear.

Segment Table dialog box

X-Axis Point Spacing - Check to scale the X-axis to include only the segments. Learn more.

Allow Arbitrary Segments - Check to allow arbitrary frequencies (overlapped or reverse sweep). Learn more.

Display Center/Span Freq - Check to display the center/span frequency.

Independent Setting Per Segment

Power Level - Sets the Power level for the segment. Also, the test port power can UNCOUPLE. See Power Coupling.

IF Bandwidth - Sets the IF Bandwidth for the segment.

IF Bandwidth Per Port - Sets the different bandwidth with different port for the segment.

Sweep Time - Sets the Sweep time for the segment.

Delay - Sets the time to wait just before acquisition begins for each segment.

Dwell - Specifies the time the source stays at each measurement point before the analyzer takes the data.

Sweep Mode - Sets the sweep mode to auto or stepped.

Shift LO- Sets the state of Shift LO. Learn More.

R

Save Table - Saves the setting changes in segment table.

Load Table - Apply the setting changes in segment table.

To Modify an Existing Segment

To make the following menu settings available, the segment table must shows first. (Press Sweep > Segment Table)

The above graphic shows the Segment table with all independent settings selected, including source power uncoupled (two power settings).

State - Click the box on the segment to be modified. Then, use the up/down arrow to turn the segment ON or OFF.

Start - Sets start frequency for the segment. Click the box and type a value and the first letter of a suffix (KHz, Mhz, GHz). Or double-click the box to select a value.

Stop - Sets stop frequency for the segment. Click the box and type a value and the first letter of a suffix (KHz, Mhz, GHz). Or double-click the box to select a value.

Note: The segment table truncates the frequency resolution. To verify the frequency resolution that you input, create a marker at the start or stop frequency settings.

Points - Sets number of data points for this segment. Insert a value or double-click the box to select a value.

To set Power Level, IF Bandwidth/IF Bandwidth Per Port, Sweep Time, Delay, Receiver Attenuator Per Port, Sweep Mode and Shift LO independently for each segment:

  1. Press Sweep > Main > Sweep Type > Segment Sweep.

  2. Click on Segment Table > Segment Table....

  3. Click the box and type a value or double-click the box and select a value.

Note: If the following are NOT set, the entire sweep uses the channel IFBW, Power, and Time settings.

X-Axis Point Spacing - Segment Sweep ONLY

This feature affects how a segment trace is drawn on the screen.

How to enable X-axis Point Spacing

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Segment Table > Segment Table....

  2. Tick on X-Axis Point Spacing.

  1. Right click on the X-axis label or stimulus range area under grid line.

  2. Click Sweep Setup... > select Segment Sweep under sweep type.

  3. Click Segment Table....

  4. Tick on X-Axis Point Spacing.

  • Without X-axis point spacing, a multi-segment sweep trace can sometimes result in squeezing many measurement points into a narrow portion of the X-axis.

  • With X-axis point spacing, the X-axis position of each point is chosen so that all measurement points are evenly spaced along the x-axis.

For example, given the following two segments:

Without X-Axis Point Spacing

With X-Axis Point Spacing

Arbitrary Segment Sweep

This feature allows arbitrary frequencies to be entered into the segment sweep table. With this capability, segments can have:

  • Overlapping frequencies.

  • The stop frequency less than the start frequency (reverse sweep).

However, there are several limitation:

  • Sweep mode: Stepped only.

  • Sweep time: When reverse sweep is performed, the sweep time and the wait time before the measurement point becomes longer.

How to enable Arbitrary Segment Sweep

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Segment Table > Segment Table....

  2. Tick on Allow Arbitrary Segment Sweep.

  1. Right click on the X-axis label or stimulus range area under grid line.

  2. Click Sweep Setup... > select Segment Sweep under sweep type.

  3. Click Segment Table....

  4. Tick on Allow Arbitrary Segment Sweep.

Notes:

    • Unusual results may occur when using arbitrary sweep segments with markers, display, limit lines, formatting and some calibration features.

    • When the segment table has both forward and reverse frequency sweep, the correction interpolation may not work properly. Use the same segment table setting at both, correction and measurement. (Make a measurement at the condition where "Cor" is displayed.)

    • When the number of data of segment table exceeds its limitation, the error occurs. In this case, reduce the measurement data size (i.e. NOP, number of channels).

Sweep Time

The VNA automatically maintains the fastest sweep time possible with the selected measurement settings. However, you can increase the sweep time to perform a slower sweep.

How to set Sweep Time

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Sweep Timing > Sweep Time to change Manual.

  2. Input the desired sweep time.

  1. Right click on the X-axis label or stimulus range area under grid line.

  2. Click on Sweep Setup....

  3. Select Timing tab.

  4. Turn off the check box of Auto Sweep Time.

  5. Input the desired sweep time.

Sweep > Sweep Timing Softtab Help

Sweep Time - Specifies the time the VNA takes to acquire data for a sweep. The maximum sweep time of the VNA is depends on various settings (ex, IFBW, Dwell Time, Number of points, etc). Learn about other settings that affect sweep speed.

Sweep Setup

How to make Sweep Setup settings

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Sweep Timing.

  1. Right click on the X-axis label or stimulus range area under grid line.

  2. Click on Sweep Setup....

  3. Select Timing tab.

Sweep Setup Dialog Box / Sweep > Sweep Timing Softtab Help

Time

Sweep Time - same as Sweep Time Softtab Help.

Dwell Time - Specifies the time the source stays at each measurement point before the analyzer takes the data. Only applies to stepped sweep. The maximum dwell time is 20 seconds. See also Electrically Long Devices.

Sweep Delay - Specifies the time to wait just before acquisition begins for each sweep. This delay is in addition to Dwell Time (per point) and External Trigger delay if enabled.

Auto Sweep Time - Automatic adjust the sweep time and dwell time. When "Auto Sweep Time" is checked, the sweep time and dwell time will disable to edit.

Sweep Mode

Auto Sweep - When clicked on Auto Sweep Mode, the VNA choose automatically the fastest sweep mode either Swept (Analog Sweep) or Stepped. (The sweep time for S Sweep is faster than Stepped Sweep.) The mode can change from sweep to sweep. There is NO way to determine whether the VNA is in Analog or Stepped Sweep. If you want to be sure what the current sweep mode is, then switch it to Stepped.

Stepped Sweep - When clicked on Stepped Sweep Mode, the VNA source is tuned, then waits the specified Dwell time, then takes response data, then tunes the source to the next frequency point. This is slower than Analog Sweep, but is more accurate when testing electrically-long devices.

Stepped sweep is automatically selected for a number of reasons. Here are some of the reasons:

  • IF Bandwidth is at, or below, 9 kHz.

  • Source Power Correction is ON unless doing CW measurement.

  • When step mode is a faster way to take the data.

  • For all FOM measurements.

Sweep Sequence

Standard Sweep - When checked, the VNA sweeps all data points for each source port in turn. For a 2-port VNA, this means that all data points are swept in the forward direction, then all data points are swept in the reverse direction. Even when NO reverse parameters are displayed (S22 or S12), reverse measurements are necessary when a full 2-port calibration is correcting the channel. This is the default behavior. Learn more.

Last modified:

5-Jan-2016

First Release


Trigger

A trigger is a signal that causes the VNA to make a measurement sweep. The VNA offers great flexibility in configuring the trigger function.

View the interactive Trigger Model animation to see how triggering works in the VNA.

  • How to Set Trigger

  • Source

  • Scope

  • Channel Settings

  • Restart

  • External and Auxiliary Triggering (separate topic)

See other 'Setup Measurements' topics

Trigger Setting

How to set Triggering

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Trigger > Main > Trigger....

  1. Right click on the Trig or Meas icons on the status bar.

  2. Select on Trigger....

Note: The Continuous, Single, and Hold settings apply ONLY to the active channel. These settings are available from the Trigger menu, Active Entry keys, and softkeys

Trigger Setup Dialog Box Help

View the interactive Trigger Model animation to see how triggering works in the VNA.

Trigger Source

These settings determine where the trigger signals originate for all existing channels. A valid trigger signal can be generated only when the VNA is not sweeping.

Internal - Continuous trigger signals are sent by the VNA as soon as the previous measurement is complete.

Manual - One trigger signal is sent when invoked by the Trigger button, the active toolbar or a programming command.

External (uses MEAS TRIG IN) - Trigger signals sent out or received from various connectors on the rear panel. Learn more about External and AUX Triggering.

Manual Trigger! - Manually sends one trigger signal to the VNA. Available ONLY when Manual trigger is selected.

Trigger Scope

These settings determine what is triggered.

Global - Triggers sent to all triggerable channels. One trigger will sweep all channels that are triggerable. [Default setting]

Channel - A trigger is sent to the current channel, but the channel is incremented to the next triggerable channel after the current channel is complete.

Active Channel - Trigger are sent only to the active channel. The active channel does not change.

Channel Trigger State

These settings determine how many trigger signals the channel will accept.

Continuous - The channel accepts an infinite number of trigger signals.

Groups - The channel accepts only the number of trigger signals that is specified in the Number of Groups text box, then goes into Hold. Before selecting groups you must first increment the Number of Groups text box to greater than one.

Number of Groups - Specify the number of triggers the channel accepts before going into Hold. If in Point Sweep, an entire sweep is considered one group.

First increment to desired number, then select 'Groups'.

Single - The channel accepts ONE trigger signal, then goes into Hold.

Another way to trigger a single measurement is to set Trigger Source to Manual, then send a Manual trigger. However, ALL channels are single triggered.

Hold - The channel accepts NO trigger signals.

Trigger Mode

These settings determine what EACH signal will trigger.

Sweep and Point modes are available ONLY when both Trigger Source = MANUAL or EXTERNAL AND Trigger Scope = CHANNEL.

  • Channel - Each trigger signal causes ALL traces in that channel to be swept in the order specified below.

  • Point - Each Manual or External trigger signal causes one data point to be measured. Subsequent triggers go to the same trace until it is complete, then other traces in the same channel are swept in the order specified below. When in Groups or Single trigger, the count is decremented by one after ALL data points on ALL traces in the channel are measured. See Also, the (point) Sweep Indicator and SCPI Triggering example for use with External.

  • Trace - Available ONLY when Point Sweep is selected. Each trigger signal causes two identical measurements to be triggered separately - one trigger signal is required for each measurement. Other trigger mode settings cause two identical parameters to be measured simultaneously. Trace triggering is NOT permitted when a channel is using a 2 port (or more) S-Parameter calibration.

  • Sweep - Each Manual or External trigger signal causes ALL traces that share a source port to be swept in the order specified below. When in Groups or Single trigger, the count is decremented by one after ALL traces in ALL directions are swept.

When multiport correction is ON, which requires sweeps in more than one direction, traces on the screen will not update until all of the relevant directions have been swept. For example, with all four 2-port S-Parameters displayed:

    • When Full 2-port correction is ON, trigger 1 causes NO traces to update; trigger 2 causes ALL S-Parameters to update. Learn more about sweeps with correction ON.

    • When correction is OFF, trigger 1 causes S11 and S21 to update; trigger 2 causes S22 and S12 to update.

Trace Sweep Order

For ALL Trigger Modes, trigger signals continue in the same channel until all traces in that channel are complete. Triggering then continues to the next channel that is not in HOLD.

Traces within each channel are always swept in the following order:

  • Traces are swept sequentially in source-port order. For example, in a channel with all four 2-port S-parameters, first the source port 1 traces (S11 and S21) are swept simultaneously. Then the source port 2 traces (S22 and S12) are swept simultaneously.

Restart - (Available only from the Trigger menu) Channels in Hold are set to single trigger (the channel accepts a single trigger signal). All other settings are unaffected, including decrementing trigger Groups.

See Also

  • External and AUX Triggering.

  • Interactive Trigger Model animation

Last modified:

5-Jan-2016

First Release


External Triggering

External and Auxiliary Triggering

External and Auxiliary triggering are both used to synchronize the triggering of the VNA with other equipment.

Note: When an External Source is configured as an External Device, the VNA automatically controls all trigger settings. Do NOT make additional trigger settings. Learn more.

  • Overview

  • How to make Trigger Settings:

    • Meas Trig (IN)

    • Auxiliary Triggering

See Also

  • Synchronizing an External Source

  • Trigger

Overview

Ready Signals versus Trigger Signals

A 'Ready for Trigger' signal is different from a Trigger signal. The ready signal indicates that the instrument sending the signal is ready for measurement. The instrument receiving the ready signal would then send a trigger signal, indicating that the measurement will be, or has been, made. Usually the slower instrument sends the trigger signal.

Learn more about each type of triggering signal:

  • Meas Trig IN - This signals are easy to use and limited in ability to configure.

  • AUX TRIG OUT - The connector and signal are highly configurable. Use them to synchronize with any number of devices and equipment.

Meas (External) Trigger Dialog Box Help

See how to access the Trigger Dialog

Meas Trig IN

The trigger input connectors are located on the VNA rear-panel.

These signals can be used when the VNA is communicating with a slow mechanical device. A material handler is very mechanical and takes a relatively long time to load and discharge parts. Here is how these signals work together to communicate:

  1. The VNA sends a 'Ready' signal when it is ready to make a measurement.

  2. The external device sends a trigger signal to the VNA when it is ready for a measurement.

  3. Additional signals are available on the VNA Handler I/O to indicate that the VNA sweep has ended, and that the handler can setup for the next measurement.

Dialog Settings

To cause the VNA to respond to Meas Trig IN or Handler I/O signals, select External on the Trigger Setup tab, Source setting.

Also on the Trigger Setup tab, Scope setting, choose whether one external trigger signal will apply to ALL channels (Global) or one trigger signal per Channel. The following settings apply accordingly.

Main Trigger Input

Global / Channel Trigger Delay - After an external trigger is received, the start of the sweep is held off for this specified amount of time plus any inherent latency.

  • When Trigger Scope = Channel, the delay value is applied to the specified channel.

  • When Trigger Scope = Global, the same delay value is applied to ALL channels.

Source The VNA accepts Trigger IN signals through the following connectors:

  • Meas Trig IN BNC: Trigger input on the rear panel

  • Handler I/O Pin 18

Polarity

High Level - The VNA is triggered when it is armed (ready for trigger) and the TTL signal at the select input is HIGH.

Low Level - The VNA is triggered when it is armed (ready for trigger) and the TTL signal at the select input is LOW.

Positive Edge - After the VNA arms, it will trigger on the next positive edge. If Accept Trigger Before Armed is set, VNA will trigger as soon as it arms if a positive edge was received since the last data was taken.

Negative Edge - After the VNA arms, it will trigger on the next negative edge. If Accept Trigger Before Armed is set, VNA will trigger as soon as it arms if a negative edge was received since the last data was taken.

Accept Trigger Before Armed - When checked, as the VNA becomes armed (ready to be triggered), the VNA will immediately trigger if any triggers were received since the last taking of data. The VNA remembers only one trigger signal. All others are ignored.

  • When this checkbox is cleared, any trigger signal received before VNA is armed is ignored.

  • This feature is only available when positive or negative EDGE triggering is selected.

  • Configure this setting remotely using CONTrol:SIGNal (SCPI)ExternalTriggerConnectionBehavior.

Low latency mode: - When checked, variations in delay time between the reception of a trigger and the start of a one-point measurement are decreased for point trigger measurement. However, the /READY FOR TRIGGER does not output for each points at this mode.

  • Point Trigger: ON, Low Latency: ON

  • Point Trigger: ON, Low Latency: OFF

Ready for Trigger Indicator (OUT)

On the VNA, when External is selected on the Trigger Setup tab, then both Meas Trig IN and Meas Trig Ready (OUT) are enabled.

Choose a connector to send the VNA Ready OUT signal:

  • Handler I/O p21

Choose Polarity of the 'Ready OUT' signal.

  • Ready Low - TTL Low indicates the VNA is ready for trigger (Ready High is not available on the E5080A.)

See Also

  • Learn how to External Trigger during Calibration

Aux Trig 1 Dialog Box Help

See how to access the Trigger Dialog

Note: When an External Source is configured as an External Device, the VNA automatically controls all trigger settings. Do NOT make additional trigger settings. Learn more.

AUX TRIG OUT

The AUX TRIG connector is located on the VNA rear-panel.

  1. the VNA begins the measurement when it receives a Trigger signal from the specified Trigger Source:

    • Internal - Measurement begins immediately.

    • Manual - Measurement begins when the VNA Trigger button is pressed.

    • External - Measurement begins when Meas Trig In signal is received from an external device. This must be configured independently.

  3. The Aux Trig OUT signal can be configured to be sent either just BEFORE the measurement is made or AFTER the measurement is complete. When communicating ONLY with an external source, the Aux Trig OUT signal should be sent AFTER the measurement is complete to indicate that the external source can setup for the next measurement.

Dialog Settings

Enable - Check to use the Aux connector to output signals to an external device.

Channel: This setting is controlled by a VNA Preference setting.

  • Global - ALL Aux Trig settings apply to ALL channels. The Per Point setting (see below) is made on the Trigger Setup tab which also applies to ALL channels.

  • Channel - ALL Aux Trig settings apply to the specified channel. Each channel can be configured independently.

AUX TRIG OUT (To Device)

The following settings control the properties of the signals sent out the rear panel AUX TRIG OUT connector:

Polarity

Positive Pulse - Outgoing pulse is positive.

Negative Pulse - Outgoing pulse is negative.

Position

Before Acquisition - Pulse is sent immediately before data acquisition begins.

After Acquisition - Pulse is sent immediately after data acquisition is complete.

Per Point - Check to cause a trigger output to be sent for each data point. Clear to send a trigger output for each sweep.

When the Aux Trig - "Global" VNA Preference is selected, then the Point setting is made on the Trigger Setup tab. It then applies to ALL channels. When more than one channel is present, the channel setting that was made last is used.

Pulse Duration - Specifies the duration of the positive or negative output trigger pulse.

See Also

  • See how to use these connectors to synchronize with External Sources.

Note: Guided and Unguided Calibration CAN be performed in External Trigger mode. With this optional behavior, while Trigger Source is set to External, trigger signals must be sent for Calibration sweeps. This behavior does not apply to FCA calibrations.

The following dialog box appears on the VNA screen while the VNA is waiting for an External trigger signal.

Click Abort to cancel the wait for a trigger signal.

Last Modified:

5-Jan-2016

First Release


Trigger Model Animation

Speedometer | Trigger Source Internal Manual
 | Trigger Scope Global Channel

Continuous
Groups
Single
Hold
Point

Continuous
Groups
Single
Hold
Point

Continuous
Groups
Single
Hold
Point

About the trigger model

This SIMPLIFIED model can help you learn about the flexible triggering behavior of the analyzer. The triggering of channels is represented by dropping balls.

Although the triggering behavior it is NOT an exact model of the VNA, the following differences are subtle.

  • The timing of setting responses differs from the analyzer. For example, switching to Manual mode occurs immediately in the analyzer. The model waits until the current sweep is complete.

  • The model does not include External triggering.

  • Speedometer - controls the speed of the animation:

Read Text description of triggering behaviors.

This model does not include the new Sweep trigger mode.


Data Format and Scale

Data Format

A data format is the way the VNA presents measurement data graphically. Pick a data format appropriate to the information you want to learn about the test device.

  • Display Format

  • Rectangular (Cartesian) Display Formats

  • Polar

  • Smith Chart

See other 'Setup Measurements' topics

Display Format

How to set the Display Format

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Format > Format 1 or Format 2.

  1. Right-click on the trace status area above the grid box.

  2. Click Format.

  3. Select the desired format.

Format > Format 1, Format 2 SoftTab help

  • Log Mag

  • Phase / Unwrapped Phase

  • Group Delay

  • Smith / Inverse Smith Chart

  • Polar

  • Linear Mag

  • SWR

  • Real

  • Imaginary

Rectangular Display Formats

Seven of the nine available data formats use a rectangular display to present measurement data. This display is also known as Cartesian, X/Y, or rectilinear. The rectangular display is especially useful for clearly displaying frequency response information of your test device.

  • Stimulus data (frequency, power, or time) appears on the X-axis, scaled linearly

  • Measured data appears on the Y-Axis.

Log Mag (Logarithmic Magnitude) Format

  • Displays Magnitude (no phase)

  • Y-axis: dB

  • Typical measurements:

    • Return Loss

    • Insertion Loss or Gain

Phase Format

Measures the phase of a signal relative to the calibration reference plane with a range of +/- 180 degrees.

  • Displays Phase (no magnitude)

  • Y-axis: Phase (degrees)

  • The trace 'wraps' every 180 degrees for easier scaling.

  • Typical Measurements:

    • Deviation from Linear Phase

Unwrapped Phase

  • Same as Phase, but without 180 degree wrapping.

Note: Phase is unwrapped by comparing the phase from one data point to the next. If the phase difference between two points is greater than 180 degrees, or if the phase of the first data point is greater than 180 degrees from DC, than the phase measurement is probably NOT accurate.

Group Delay Format

  • Displays signal transmission (propagation) time through a device

  • Y-axis: Time (seconds)

  • Typical Measurements:

    • Group Delay

See Also:

Group Delay (Measurement)

Comparing the VNA Delay Functions.

Phase Measurement Accuracy

Linear Magnitude Format

  • Displays positive values only

  • Y-axis: Unitless (U) for ratioed measurements
    Watts (W) for unratioed measurements.

  • Typical Measurements:

    • reflection and transmission coefficients (magnitude)

    • time domain transfer

SWR Format

  • Displays reflection measurement data calculated from the formula (1+r)/ (1-r) where r is reflection coefficient.

  • Valid only for reflection measurements.

  • Y axis: Unitless

  • Typical Measurements:

    • SWR

Real Format

  • Displays only the real (resistive) portion of the measured complex data.

  • Can show both positive and negative values.

  • Y axis: Unitless

  • Typical Measurements:

    • time domain

    • auxiliary input voltage signal for service purposes

Imaginary Format

  • Displays only the imaginary (reactive) portion of the measured data.

  • Y - axis: Unitless

  • Typical Measurements:

    • impedance for designing matching network

Polar Format

Polar format is used to view the magnitude and phase of the reflection coefficient (G) from your S11 or S22 measurement.

You can use Markers to display the following:

  • Linear magnitude (in units) or log magnitude (in dB)

  • Phase (in degrees)

  • The dashed circles represent reflection coefficient. The outermost circle represents a reflection coefficient (G) of 1, or total reflected signal. The center of the circle represents a reflection coefficient (G) of 0, or no reflected signal.

  • The radial lines show the phase angle of reflected signal. The right-most position corresponds to zero phase angle, (that is, the reflected signal is at the same phase as the incident signal). Phase differences of 90°, ±180°, and -90° correspond to the top, left-most, and bottom positions on the polar display, respectively.

Smith Chart Format

The Smith chart is a tool that maps the complex reflection coefficient (G) to the test device's impedance.

In a Smith chart, the rectilinear impedance plane is reshaped to form a circular grid, from which the series resistance and reactance can be read (R + jX).

You can use Markers to display the following:

  • Resistance (in units of ohms)

  • Reactance as an equivalent capacitance (in units of farads) or inductance (in units of henrys)

Inverse Smith Chart (also known as Admittance)

Same as standard Smith Chart , except:

  • The plot graticule is reversed right-to-left.

  • Admittance (in units of siemens) instead of resistance.

Interpreting the Smith Chart

  • Every point on the Smith Chart represents a complex impedance made up of a real resistance (r) and an imaginary reactance (r+-jX)

  • The horizontal axis (the solid line) is the real portion of the impedance - the resistance. The center of the horizontal axis always represents the system impedance. To the far right, the value is infinite ohms (open). To the far left, the value is zero ohms (short)

  • The dashed circles that intersect the horizontal axis represent constant resistance.

  • The dashed arcs that are tangent to the horizontal axis represent constant reactance.

  • The upper half of the Smith chart is the area where the reactive component is positive and therefore inductive.

  • The lower half is the area where the reactive component is negative and therefore capacitive.

Last modified:

25-Jul-2014

First Release


Scale

The Scale, Reference Level and Reference Position settings (along with Format) determine how the data trace appears on the VNA screen.

  • Scale, Reference Level and Position

  • Scale Coupling

  • Magnify Mode and Zoom Preference

  • Electrical Delay (Separate topic)

  • Magnitude Offset & Magnitude Slope

  • Phase Offset (Separate topic)

See other 'Setup Measurements' topics

Scale, Reference Level and Position

The Scale, Reference Level and Reference Position settings (along with format) determine how the data trace appears on the VNA screen.

How to set Scale, Reference Level and Position

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Scale > Main > Scale / Reference Level / Reference Position.

  2. Input the desired value.

  1. Right-click on Y-axis annotation or the trace status label above the grid box.

  2. Select Scale....

Scale Dialog Box Help / Scale > Main Softtab Help

Note: The scale settings are set to couple with other traces in each window. The following settings assume that Scale Coupling is set to OFF. Learn more about Scale Coupling.

Scale

Per Division - Sets the value of the vertical divisions of a rectangular display format. In Polar and Smith Chart formats, scale sets the value of the outer circumference. Range: 0.001 dB/div to 500 dB/div.

Tip: Click on the Y-axis labels, then use a mouse scroll wheel to change scale in preset increments

Autoscale - Automatically sets value of the vertical divisions and reference value to fit the ACTIVE data trace within the grid area of the screen. The stimulus values and reference position are not affected.

The analyzer determines the smallest possible scale factor that will allow all the displayed data to fit onto 80 percent of the vertical grid.

The reference value is chosen to center the trace on the screen.

Tip: Double click on the Y-axis labels to autoscale the active trace.

Autoscale All - Automatically scales ALL data traces in the ACTIVE WINDOW to fit vertically within the grid area of the screen.

Reference

Level

In rectangular formats, sets the value of the reference line, denoted by [image] on the VNA screen. Range: -500 dB to 500 dB.

In Polar and Smith chart formats, reference level is not applicable.

Tip: Click on the Y-axis labels, then drag up or down to change the reference level in preset increments.

Position

In rectangular formats, sets the position of the reference line. Zero is the bottom line of the screen and ten is the top line. Default position is five (middle).

In Polar and Smith chart formats, reference position is not applicable.

Tip: Click on the triangle [image], then drag up or down to change the reference position in preset increments.

Scale Coupling

With Scale Coupling enabled, traces that have the same format will have the same Scale, Reference Level, and Reference Position. You can choose to couple the scale of traces that are in the same window, couple the scale of all traces in all windows, or to have NO coupling.

How to set Scale Coupling

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Scale > Main > Scale Coupling....

  1. Right-click on the Y-axis labels of a window.

  2. Select Scale Coupling....

Scale Coupling Dialog Box Help

Allows traces that share the same format to have the same Scale, Reference Level and Reference Position.

Coupling Method

Off - No coupling. Traces are scaled individually. Default setting.

Window - All traces with the same format in each selected window share the same scale settings.

All: couple between all selected windows

All traces in ALL selected windows with the same format share the same scale settings.

  • When Window or All coupling is enabled, the scale settings for the active trace are assumed by other coupled traces with the same format.

  • When there are traces with a different format present, all traces with that format assume the trace settings of the lowest-numbered trace of that format.

  • Once enabled, scale settings for all coupled traces with the same format can be changed with any coupled trace being active.

Selected Windows

Available when either the Window or All method is selected. Selected windows will participate in scale coupling. All windows are selected by default. Uncheck a checkbox to disable of scale coupling for that window.

About Autoscale and Scale Coupling

Autoscale with Coupling Method

- affects the active trace in the active window. All traces that are coupled to this trace assume the new scale settings of the active trace. This could cause some traces to NOT show on the screen.

Autoscale All with Coupling Method

  • Off - All traces in the active window are autoscaled independently.

  • Window - All traces in each selected window are autoscaled to fit within a common set of scaling factors.

  • All - All traces in all selected windows are autoscaled to fit within a common set of scaling factors.

Magnify Mode and Zoom Preference

The magnify feature allows to magnify all traces in the active window. It allows to zoom into a portion of the display to see the response in detail.

How to magnify the trace

Using Hardkey/SoftTab/Softkey

Using a mouse

None

  1. Left-click and select the area you want to magnify

  2. Right-click and select Magnify from the pop-up menu.

Other methods to set the magnify mode includes:

  • When the Zoom Preference is set to Magnify, a 2-finger spread gesture will turn ON the Magnify mode

  • Click on the Magnify icon at the top of the screen

  • Enable the zoom box select mode and drag the zoom box to select an area, and then choose the Magnify option in the popup menu.

When the Magnify Mode is turned on:

2-finger pinch on the display changes the x and y magnification. If magnification is pinched down to 1:1 scaling, the magnify mode will be turned off.

1-finger drag across display changes the reference of the magnified x and y.

Zoom Preference Dialog Box Help

Zoom Preference allows you to decide the default operation of the 2-finger pinch gesture, from these 4 choices:

2-finger pinch automatically turns on magnify mode so that x and y-axis can be magnified/ This is the default setting.

2-finger pinch changes y-axis scale.

2-finger pinch changes y-axis scale and x-axis stimulus.

2-finger pinch does nothing.

Magnitude Offset

Magnitude Offset allows to offset the magnitude (not phase) data by a fixed or sloped value in dB. If the display format is Linear Magnitude or Real (unitless), the conversion from dB is performed and the correct amount of offset is implemented.

How to set Magnitude Offset

Using Hardkey/SoftTab/Softkey

  1. Press Scale > Constants > Mag Offset / Mag Slope.

Scale > Constants Softtab

The Magnitude offset setting affects only the active trace.

Mag Offset - Offsets the entire data trace by the specified value.

Mag Slope - Offsets the data trace by a value that changes with frequency. The offset slope begins at 0 Hz.

See where this operation is performed in the data processing chain.

Last modified:

23-Jul-2014

First Release


Customize Your Analyzer Screen

Customize the VNA Screen

You can customize VNA screen by showing or hiding the following display elements.

  • Windows (Separate topic)

  • Display Labels

    • Trace Status

    • Y-axis Labels

    • X-axis Labels

  • Marker Display (Separate topic)

  • Tables

  • Toolbars

    • Softkey

    • Hardkey

    • Port Extension

    • Transform

    • Marker

    • Cal Set Viewer

    • Title Bars

    • Active Entry

    • Status bars

    • System Date and Time

  • Display Colors (Separate topic)

  • Grid: SOLID | Dotted

    • Grid Lines

    • Y-axis Divisions

    • Show Table

  • Tools

  • Colors

  • Window Title

  • Trace Title

  • Frequency/Stimulus

  • Minimize Application

See Also

Expanded display capabilities of the VNA

Traces, Channels and Windows on the VNA

See other 'Setup Measurements' topics

Labels

You can display different labels for traces status, Y-axis and X-axis labels.

How to display Labels.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Display Settings > Customize Display....

  2. Select Labels tab.

OR

  1. Press Marker > Marker Setup > Marker Display....

  2. Select Labels tab.

  1. Right click on any window area.

  2. Click Customize Display....

  3. Select Labels tab.

Labels tab Dialog Box Help

Show Labels

Trace Status

Trace status is annotated at the top of each window.

The highlighted trace number indicates Active Trace.

Click the title to select a trace.

Trace Status shows the following:

  • Trace number (Tr x). This is the trace number of the channel; NOT the window trace number which is used in many programming commands.

  • Measurement parameter. This can be replaced with a custom Trace Title.

  • Format

  • Scaling factor

  • Reference level

How to show/hide Trace Status.

Y-axis Labels

"Y-axis Labels" - allows user to show or hide the y-axis labels.

How to show/hide Y-axis Labels.

X-axis Labels

"X-axis Freq Resolution" - allows user to choose the resolution of the frequency display. The pull down selects: 6-digit, GHz, MHz, kHz, Hz. It shows 1Hz resolution, but only shows significant digits.

How to show/hide X-axis Labels.

Grid

How to set VNA Grid and display tables.

Each window can display only one table at a time.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Display Settings > Customize Display...

  2. Select Grid tab.

OR

  1. Press Marker > Marker Setup > Marker Display....

  2. Select Grid tab.

  1. Right click on any window area.

  2. Click Customize Display....

  3. Select Grid tab.

Grid Dialog Box Help

Grid Lines: Solid | Dotted - Set whether to display ALL open window grid lines in solid or dotted lines. The selected setting is shown in CAPS. Once set, new windows are created using this setting. Grid lines return to SOLID when the VNA is Preset.

Set the color of the grid using Display Colors.

How to display grid settings

Y-axis Divisions - Set the desired rows of Y-axis, it can shows 2 to 30.

Show Table

None - Turn OFF the table.

Marker Table

You can display a table of marker settings. These settings include the:

  • Marker number

  • Marker reference (for delta measurements)

  • Frequency

  • Time and Distance (for Time Domain measurements)

  • Response

Learn more about Markers

Limit Line Table

You can display, set up, and modify a table of limit test settings. These include:

  • Type (MIN, MAX, or OFF)

  • Beginning and ending stimulus values

  • Beginning and ending response values

Learn more about Limit Lines.

Segment Sweep Table

You can display, set up, and modify a table of segment sweep settings. These include:

  • State (On/Off)

  • Start and Stop frequencies

  • Number of Points

  • IF Bandwidth (if independent levels)

  • Power Level (if independent levels)

  • Sweep Time (if independent levels)

Learn more about Segment Sweep.

Toolbars

You can display different toolbars to allow you to easily set up and modify measurements.

How to display Toolbars

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Display Settings > Customize Display...

  2. Select Toolbars tab.

OR

  1. Press Marker > Marker Setup > Marker Display....

  2. Select Toolbars tab.

  1. Right click on any window area.

  2. Click Customize Display....

  3. Select Toolbars tab.

Toolbars Dialog Box Help

Show Toolbar

Note: There is also a Cal Set toolbar available for Monitoring Error Terms

Softkey

Softkey is combination of softkeys and SoftTab. Softkey are automatically turned ON when one of the 'function' hardkeys is pressed. This setting allows you to turn the softkeys OFF to show more measurement space on the screen. The softkeys will reappear when another function hardkey is pressed.

Hardkey

These keys also known as Front Keys, it performs interface operations that are equivalent to those of keys in the INSTRUMENT keys, RESPONSE keys, STIMULUS keys and UTILITY keys on the front panel of VNA. Learn more.

Port Extensions Toolbar

The Port Extension toolbar allows you to set Port Extensions while viewing the measurement trace. Learn more about Port Extensions.

Transform (Time Domain) Toolbar

The Time Domain toolbar allows you to do the following:

  • Turn Transform and Gating ON/OFF.

  • Change the Start/Stop times for both Transform and Gating.

  • More... - Launches the Time Domain Transform dialog box.

  • ? - Display the help file.

  • X - Closes the toolbar.

Markers Toolbar

The markers toolbar allows you to set up and modify markers. It shows:

  • Marker number

  • Stimulation value

  • Marker functions:

    • Delta

    • Max/Min

    • Start/Stop

    • Center/Span

Tip: To use the Front Panel Knob to change marker position, first click the Stimulus field of the marker toolbar and then turn the knob.

Learn more about Markers

Cal Set Viewer Toolbar

All Off (NOT on softkeys)

This allows you to hide all toolbars with a single selection. NOT available on sofkeys.

Other Bars

Main Title

The Main Title shows the title of VNA window and Minimize / Maximize icons.

  • Checked - Title bars for all VNA window are shown.

  • Cleared - Title bars for all VNA window are hidden. This allows more room to display measurement results.

Active Entry Toolbar

When used with softkeys, this area allows numeric values to be entered for settings. From the keyboard, enter G for Giga, M for Mega or milli, K for kilo and so forth.

Status Bar

2 Bars

When enabled, the status bar is displayed along the bottom of the VNA screen. The primary status bar shows the following:

Tip: Right-click on many of these items in the status bar for quick access to settings.

  • Active trace

  • Active channel

  • Trigger source

  • Channel Trigger State (Hold, Single, Continuous)

  • IF Bandwidth

  • Error correction for the active trace to the Basic cal, Smart cal and Calibrate All Channels.

    • F: Full Port Calibration, R: Response Calibration, -: Nothing

  • Source Power Calibration

  • Simulation

  • Service

  • RF power

  • Display Update

  • Error messages

  • GPIB status: Local (LCL), Remote Talker Listener (RMT), or System Controller (CTL).

  • System Date and Time - Can be set ON or OFF. How to show/hide the VNA clock.

Note: A second level status bar appears when using External Test Set Control or Interface control.

The status bar state (ON or OFF) will not change when the VNA is Preset.

Clock (System Date and Time)

The VNA system date and time can be shown in the far right corner of the status bar.

The format is: year-month-day hr:min and can NOT be changed.

To hide the clock, right click the mouse on the clock and then click Hide Clock.

Learn how to set the VNA time settings.

Tools

How to set Tools settings

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Display Settings > Customize Display...

  2. Select Tools tab.

OR

  1. Press Marker > Marker Setup > Marker Display....

  2. Select Tools tab.

  1. Right click on any window area.

  2. Click Customize Display....

  3. Select Tools tab.

Tools Dialog Box Help

Tools function to create a shortcut icon to display on Active Entry or Softkey Toolbar. The maximum icons can display on Active Entry is 9, while Softkey Toolbar is 12.

New Window - Create a new window.

New Channel - Create a new channel on active window.

New Channel + Window - Create a new trace and channel to a new window.

New Trace - Create a new trace on active window.

New Trace + Window - Create a new trace to a new window, but the channel is remain.

New Sheet - Create a new sheet.

New Trace + Sheet - Create a new trace to a new sheet, but the channel is remain.

New Channel + Sheet - Create a new trace and channel to a new sheet.

Home - Display VNA Home softkeys.

Favorite - Set favorite application.

Help - Shows Help file.

Show Task Bar - Shows Window bar.

Preference - Display preference dialog box.

Tile Windows

Manages Files - Use to manage the saved files in the "D:\" drive folder. Learn more.

Minimize Application - Restore VNA screen. Learn more.

About Network Analyzer - Display About Network Analyzer dialog box.

Undo - Recover to previous version. Learn more.

Redo - Set to latest version. Learn more.

Screenshot - Save screen figure to D drive (D:\).

Delete - Delete the active window.

Colors

How to set Tools settings

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Display Settings > Customize Display...

  2. Select Colors tab.

  1. Right click on any window area.

  2. Click Customize Display....

  3. Select Colors tab.

Colors Dialog Box Help

Color Theme - Select color theme

Display Colors... - See Display Colors

Window Title

You can create and display a title for each window.

  • The limit is set by the number of windows that are displayed.

  • The title (Window 1) is annotated in the upper-left of the window as follows:

How to enter a Window Title.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Display > Window Setup > Window Title....

  1. Move a cursor in the grid and then right click.

  2. Select Title....

A Window Title dialog box appears as per below:

  1. Click Enable, then type the window title. Click Keyboard to type with a mouse.

  2. To remove the window title, clear the Enable checkbox or delete the text from the dialog entry.

Trace Title

A Trace Title overwrites the Measurement Parameter in the Trace Status area, the Status Bar and hardcopy prints.

  • This title has priority over Equation Editor titles.

  • The practical limit is about 70 characters if there is only one trace.

  • Spaces are accepted but not displayed; use underscores.

  • The title is annotated as follows:

How to enter a Trace Title.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Trace > Trace Setup > Trace Title....

  1. Right-click on the trace status area above the grid box.

  2. Click Trace Title....

A Trace Title dialog box appears as per below:

  1. Click Enable, then type the trace title. Click Keyboard to type with a mouse.

  2. To remove the trace title, clear the Enable checkbox or delete the text from the dialog entry.

Frequency/Stimulus

Frequency/stimulus information is displayed at the bottom of each window on the screen. It shows:

  • Channel number

  • Start value

  • Stop value

How to show/hide Frequency/Stimulus information

Minimize Application

The Network Analyzer application can be minimized to show the desktop and Windows taskbar.

  1. Click System > Main > Minimize Application.

To restore the VNA application, double-click the VNA application on the desktop.

Last modified:

5-Jan-2016

First Release


Copy Channels

Copy channels allows you to make a duplicate channel of the same Measurement Class and with the same stimulus conditions as an existing channel.

  • Why Copy Channels

  • How to Copy Channels

  • List of Channel Settings

Note: Copy Channels CAN be used with VNA Applications, such as FCA, Gain Compression, or Noise Figure.

Other Setup Measurements Topics

Why Copy Channels

Copy channel settings if you need to create several channels that have slightly different settings.

For example, if you have an amplifier that you want to characterize over a frequency span with several different input power levels.

Follow these steps:

  1. Create one measurement with your optimized channel settings.

  2. Copy that channel to new channels.

  3. Change the power level on the new channels.

How to Copy Channels

The alternative to using Copy Channels is to create new default measurements on new channels. Then, change every channel setting to your new requirement. This is very time consuming and thus shows the benefit of the Copy Channels feature.

How to Copy Channels

Using Hardkey/SoftTab/Softkey

  1. Press Channel > Channel Setup > Copy Channel.

  2. Click Copy to Active Window/Copy to New Window/Copy Channel...

Copy Channel dialog box help

Copies an existing channel's settings to another channel. Measurement traces from the source channel are NOT copied.

Copy channel (also known as 'Source' channel): Select a channel to copy.

to (also known as 'Destination' channel): Scroll to select a channel to copy settings to. Compatible channel numbers that are currently being used are highlighted. They can be selected and overwritten.

The following are compatible destination channels:

  • A channel that does not yet exist. The new channel is created with the channel's default measurement.

  • A channel of the same Measurement Class as the source. The existing measurements remain on the destination channel.

  • A channel of any Measurement Class that contains no measurements. Again, the destination channel is created with the channel's default measurement.

Notes:

  • You can copy channel settings to ONLY one new or existing channel. Repeat this operation to copy to more than one channel.

  • The source channel is ALWAYS copied to the Active window. If you want the destination channel in a separate window, first create a compatible new measurement in a new window. Then make sure it is the Active window before you copy the channel into it.

  • The measurement in the destination channel becomes the active measurement.

For example:

  1. Source channel 1: Standard S21 measurement

  2. Destination NEW channel 2

  3. Result: Source channel 1, S21 Measurement AND channel 2, S11 measurement. Both with same stimulus settings and in the same window. Channel 2, S11 measurement is the active measurement.

For more information see Traces, Channels and Windows on the VNA

List of Channel Settings

  • Frequency Span

  • Power

  • Cal Set usage

  • Source Power Cal data

  • IF Bandwidth

  • Number of Points

  • Sweep Settings

  • Average

  • Trigger (some settings)

Last modified:

5-Jan-2016

First Release


Undo

Undo/Redo Settings

If make an incorrect setting, you can quickly recover by selecting Undo. If Undo incorrectly a setting, you can Redo the undone setting.

  • Undo and Redo applies ONLY to selected VNA settings.

  • The Undo stack remembers 16 levels of Undo-able settings.

How to Undo or Redo a setting

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Undo > Main.

  2. Click Undo or Redo.

  1. Click Undo and Redo Icons on Active Entry or Softkey Toolbar.

SCPI programming and Undo/Redo:

  • There are NO Programming commands to invoke Undo/Redo.

  • Programing commands are NOT Undo-able.

  • The Undo stack is cleared when programming commands are sent to the VNA.

Tips:

Undo

Redo

  • Undo/Redo can be stored to a User Key or Favorite softkey.

  • With a keyboard:

    • Undo --> Ctrl+Z

    • Redo --> Ctrl+Y

Clear Undo History

To clear the Undo stack, press Undo > Main > Clear Undo History.

Undo and Security

  • Undo/Redo is disabled with High and Extra security levels. Learn more.

  • State files that are saved for Undo/Redo purposes (for example: Preset) are deleted when any of the following occur:

    • The VNA Security level is changed

    • The VNA App is started or closed.

Selected Undo-able settings

You can Undo or Redo the following VNA settings:

Note: There are several VNA settings that are NOT Undo-able. Because of this, when you attempt to Undo a long sequence of operations, it is unlikely that the original state can be recreated exactly.

  • Preset

  • File Recall

  • Frequency Settings:

    • For Standard Class: Start, Stop, Center, Span, CW

    • For SMC: Mixer Setup dialog Apply

  • Turn off Marker and Marker All OFF

  • Number of Points

  • Power Level - most applications and S-parameters

  • Add or Change Measurement Class

  • Turn OFF Channel

  • Close Window

  • New Channel, new Window and new Trace

  • Delete Trace

  • Window Tile

  • Move Trace, Drag Trace

  • Autoscale All, Autoscale

  • Scale, Reference Level, Reference Position

  • Scale Coupling dialog

  • Electrical Delay

  • Phase Offset

  • Measurement Setups dialog

  • Format

  • Sweep Type

  • Data -> Memory

  • Single Marker Searches (Max, Min, Target, Peak…)

  • Multi-marker Searches (Bandwidth, Power Saturation, Normal Operating Pt)

  • Change a Marker’s stimulus value: softkeys, dialog or drag

  • Change cell in Segment Table

  • Mechanical Settings dialog

Last modified:

5-Jan-2016

First Release


Dynamic Range

Dynamic range is the difference between the analyzer receiver's maximum input power and the minimum measurable power (noise floor). For a measurement to be valid, input signals must be within these boundaries.

Increasing dynamic range is important if you need to measure very large variations in signal amplitude, such as filter bandpass and rejection. The dynamic range is shown below for an example measurement.

To help reduce measurement uncertainty, the analyzer dynamic range should be greater than the response that the DUT exhibits. For example, measurement accuracy is increased when the DUT response is at least 10 dB above the noise floor. The following methods can help you increase the dynamic range.

  • Increase the Device Input Power

  • Reduce the Receiver Noise Floor

Other topics about Optimizing Measurements

Increase Device Input Power

Increase the DUT input power so that the analyzer can more accurately detect and measure the DUT output power. However, use caution - too much power can damage the analyzer receiver or cause compression distortion.

Caution! Test Port RF Power input damage level: +27 dBm.

See how to increase input power to the device

Tip: You can further increase dynamic range by using an external booster amplifier to increase the input power to the DUT. See High Power Amplifier Measurements.

Reduce the Receiver Noise Floor

You can use the following techniques to lower the noise floor and increase the analyzer's dynamic range.

  • Reduce crosstalk between the VNA receivers when measuring signals close to the noise floor. See Receiver Crosstalk.)

  • Use Sweep Averaging - learn more about Sweep Average

  • Reduce the IF Bandwidth - learn more about IF Bandwidth.

  • In Segment sweep mode each segment can have its own IF bandwidth. For example, when measuring a filter:

    • In the passband, the IF bandwidth can be set wider for a fast sweep rate, as long as high-level trace noise is kept sufficiently small.

    • In the reject band, where noise floor contributes significantly to measurement error, the IF bandwidth can be set low enough to achieve the desired reduction in average noise level.

Last Modified:

5-Jan-2016 | First Release


Number of Points

Sweep Setup

A data point is a sample of data representing a measurement at a single stimulus value. You can specify the number of data points that the VNA measures across a sweep. (A "sweep" is a series of consecutive data point measurements, taken over a sequence of stimulus values.)

The VNA sweep time changes proportionally with the number of points. See Technical Specifications for more information on how the number of points, and other settings, affect the sweep time.

How to change the number of data points

Select a number or click Custom to invoke a dialog box

Using Hardkey/SoftTab/Softkey

  1. Press Sweep > Main > Number of Points

Number of Points dialog box help

Specifies the number of data points that the analyzer gathers during a measurement sweep. You can specify any number from 1 to 100,001. The default value varies according to the VNA type.

Note: Some measurement classes may have different maximum points limitations.

Two data points are required for Time Domain.

Tips:

  • To achieve the greatest trace resolution, use the maximum number of data points.

  • For faster throughput use the smallest number of data points that will give you acceptable resolution.

  • To find an optimized number of points, look for a value where there is not a significant difference in the measurement when you increase the number of points.

  • To ensure an accurate measurement calibration, perform the calibration with the same number of points that will be used for the measurement.

The number of points is the number of data items collected in one sweep. It can be set for each channel independently.

  • To obtain a higher trace resolution against the stimulus value, choose a larger value for number of points.

  • To obtain higher throughput, keep the number of points to a smaller value within an allowable trace resolution.

  • To obtain higher measurement accuracy after calibration, perform calibration using the same number of points as in actual measurements.

Last modified:

5-Jan-2016

First Release


Phase Accuracy

Phase Measurement Accuracy

You can increase the accuracy of phase measurements by using the following VNA features.

  • Electrical Delay

  • Phase Offset

  • Spacing Between Frequency Points (Aliasing)

See Also

Port Extensions

Comparing the VNA Delay Functions

Phase Control

Phase Coherent Measurements

Learn more about Phase measurements

Electrical Delay

Electrical delay is a mathematical function that simulates a variable length of lossless transmission line.

Use the electrical delay feature to compensate for the linear phase shift through a device. This feature allows you to look at only the deviation from linear phase of the device.

You can set the electrical delay independently for each measurement trace.

How to set Electrical Delay

Using Hardkey/SoftTab/Softkey

  1. Press Scale > Electrical Delay

Electrical Delay dialog box help

Electrical Delay - Specifies the value of delay added or removed, in Time or Distance. This compensates for the linear phase shift through a device. You can set the electrical delay independently for each measurement trace.

Velocity Factor - Specifies the velocity factor that applies to the medium of the device that was inserted after the measurement calibration. The value for a polyethylene dielectric cable is 0.66 and 0.7 for PTFE dielectric. 1.0 corresponds to the speed of light in a vacuum.

Velocity factor can also be set from the Port Extensions dialog and Time Domain Distance Marker Settings.

Softkey Display - Allows to enter delay in either time or distance using the softkeys and Active Entry toolbar.

Distance Units - Select from Meters, Inches, or Feet. The step size will not change automatically when this value is changed. Learn more about Step Size.

Media

Coax - Select if the added length is coax. Also specify the velocity factor of the coax.

Waveguide - Select if the added length is waveguide. Also specify the low frequency cutoff of the waveguide.

Cutoff Freq - Low frequency cutoff of the waveguide.

Learn about Electrical Delay (scroll up)

Phase Offset

Phase offset mathematically adjusts the phase measurement by a specified amount, up to 360°. Use this feature in the following ways:

  • Improve the display of a phase measurement. This is similar to the way you would change the reference level in an amplitude measurement. Change the phase response to center or align the response on the screen.

  • Emulate a projected phase shift in your measurement. For example, if you know that you need to add a cable and that the length of that cable will add a certain phase shift to your measurement, you can use phase offset to add that amount and simulate the complete device measurement.

How to set Phase Offset

Using Hardkey/SoftTab/Softkey

  1. Press Scale > Constants > Phase Offset

Phase Offset dialog box help

Phase Offset Type a value or use the up and down arrows to select any value.

Learn about Phase Offset (scroll up)

Spacing Between Frequency Points (Aliasing)

The analyzer samples data at discrete frequency points, then connects the points, creating a trace on the screen.

If the phase shift through a device is >180° between adjacent frequency points, the display can look like the phase slope is reversed. This is because the data is undersampled and aliasing is occurring.

If you are measuring group delay and the slope of the phase is reversed, then the group delay will change sign. For example, the following graphic shows a measurement of a SAW bandpass filter.

  • The left measurement has 51 points and indicates the group delay is negative, which is a physical impossibility. That is, the response is below 0 seconds reference line.

  • The right measurement shows an increase to 201 points which indicates the group delay is positive. That is, the response is above the 0 seconds reference line.

Tip: To check if aliasing might be occurring in a measurement, either increase the number of points or reduce the frequency span.

Last modified:

25-Jul-2014

First Release


Electrically Long Devices

Electrically-Long Device Measurements

A signal coming out of a device under test may not be exactly the same frequency as the signal going in to a device at a given instant in time. This can sometimes lead to inaccurate measurement results. You can choose between two techniques to eliminate this situation and increase measurement accuracy.

  • Why Device Delay May Create Inaccurate Results

  • Solutions to Increase Measurement Accuracy

    • Slow the Sweep Speed

Other topics about Optimizing Measurements

Why Device Delay May Create Inaccurate Results

The following graphic shows an example of this situation:

  • In the network analyzer, the source and receiver are phase locked together and sweep simultaneously through a span of frequencies.

  • The signal flow through the Device Under Test (DUT) is shown as different colors for different frequencies.

  • You can see as a stimulus frequency travels through the DUT, the analyzer tunes to a new frequency just before the signal arrives at the receiver. This causes inaccurate measurement results.

.

If the analyzer is measuring a long cable, the signal frequency at the end of the cable will lag behind the network analyzer source frequency. If the frequency shift is appreciable compared to the network analyzer's IF detection bandwidth (typically a few kHz), then the measured result will be in error by the roll-off of the IF filter.

N ote: There is no fixed electrical length of a device where this becomes an issue. This is because there are many variables that lead to measurement speed. When high measurement accuracy is critical, lower the sweep speed until measurement results no longer change.

Solutions to Increase Measurement Accuracy

Choose from the following methods to compensate for the time delay of an electrically long device.

Slow the Sweep Speed

The following methods will slow the sweep speed.

  • Increase the Sweep Time

  • Increase the Number of Points

  • Use Stepped Sweep

  • Set Dwell Time

Last modified:

12-Aug-2014

First Release


Reflection Accuracy

Reflection Accuracy on Low-Loss 2-Port Devices

To make accurate reflection measurements that have a 1-port calibration, you should terminate the unmeasured port.

  • Why Terminate the Unmeasured Port

  • How to Terminate the Unmeasured Port

  • Resulting Measurement Uncertainty

Other topics about Optimizing Measurements

Why Terminate the Unmeasured Port

A 2-port calibration corrects for all 12 twelve error terms. A 1-port calibration corrects for directivity, source match and frequency response, but not load match. Therefore, for highest accuracy, you must make the load match error as small as possible. This especially applies for low-loss, bi-directional devices such as filter passbands and cables. You do not need to be concerned with load match when you are measuring a device with high reverse isolation, such as an amplifier.

How to Terminate the Unmeasured Port

Use one of the following methods:

  • Connect a high-quality termination load (from a calibration kit, for example) to the unmeasured port of your device. This technique yields measurement accuracy close to that of a Full SOLT 2-port calibration.

  • Connect the unmeasured port of your device directly to the analyzer, inserting a 10 dB precision attenuator between the device output and the analyzer. This improves the effective load match of the analyzer by approximately twice the value of the attenuator, or 20 dB.

Resulting Measurement Uncertainty

The following graph illustrates the measurement uncertainty that results from terminating with and without a precision 10 dB attenuator on the output of the test device.

Legend

 | Filter Reflection
------------- | Uncertainty with attenuator
................ | Uncertainty without attenuator

The calculations below show how adding a high-quality 10 dB attenuator improves the load match of the analyzer.

Note: The corresponding linear value is shown in parentheses.

Network Analyzer: |
Load match (NALM) | = 18 dB (.126)
Directivity (NAD) | = 40 db (.010)
Filter: |
Insertion loss (FIL) | = 1dB (.891)
Return loss (FRL) | = 16 dB (.158)
Attenuator: |
Insertion loss (AIL) | = 10 dB (.316)
SWR (ASWR) | = 1.05 (.024) 32.26 dB Return Loss

Calculations:

 | Without Attenuator | With Attenuator
r NA | = (F IL)*(NA LM)*(F IL) = (.891)*(.126)*(.891) =.100 | = (F IL)*(AIL)*(NA LM)*(AIL)*(F IL) = (.891)*(.316)*(.126)*(.316)*(.891) = .010
r Attenuator | NA | = (FIL)*(ASWR)*(FIL) = (.891)*(.024)*(.891) = .019
Worst Case Error (EWC) | = r NA =.1 | = r NA + rAttn. =.01+.019 =.029
Uncertainty Adds | = -20log(FRL)+(EWC)+(NAD) = -20log(.158)+(.100)+(.010) = 11.4 dB | = -20log(FRL)+(EWC)+(NAD) = -20log(.158)+(.029)+(.010) = 14.1 dB
Uncertainty Subtracts | = -20log(FRL)-(EWC)-(NAD) =-20log(.158)-(.100)-(.010) = 26.4 dB | = -20log(FRL)-(EWC)-(NAD) = -20log(.158)-(.029)-(.010) = 18.5 dB

Last Modified:

5-Jan-2016

First Release


Measurement Stability

There are several situations that can cause unstable measurements. To ensure that you are making repeatable measurements, you can use various methods to create a stable measurement environment.

  • Frequency Drift

  • Temperature Drift

  • Inaccurate Measurement Calibrations

  • Device Connections

Other topics about Optimizing Measurements

Frequency Drift

The analyzer frequency accuracy is based on an internal 10 MHz frequency oscillator. See Technical Specifications for stability and aging specifications.

If your measurement application requires better frequency accuracy and stability, you can override the internal frequency standard and provide your own high-stability external frequency source through the 10 MHz Reference Input connector on the rear panel.

Temperature Drift

Thermal expansion and contraction changes the electrical characteristics of the following components:

  • Devices within the analyzer

  • Calibration kit standards

  • Test devices

  • Cables

  • Adapters

To reduce the effects of temperature drift on your measurements, do the following.

  • Switch on the analyzer 1/2 hour before performing a measurement calibration or making a device measurement.

  • One hour before you perform a measurement calibration, open the case of the calibration kit and take the standards out of the protective foam.

  • Use a temperature-controlled environment. All specifications and characteristics apply over a 25 °C ±5 °C range (unless otherwise stated).

  • Ensure the temperature stability of the calibration kit devices.

  • Avoid handling the calibration kit devices unnecessarily during the calibration procedure.

  • Ensure the ambient temperature is ±1°C of the measurement calibration temperature.

Inaccurate Measurement Calibrations

If a measurement calibration is inaccurate, you will not measure the true response of a device under test. To ensure that your calibration is accurate, you should consider the following practices:

  • Perform a measurement calibration at the points where you connect the device under test, that is, the reference plane.

  • If you insert any additional accessory (cable, adapter, attenuator) to the test setup after you have performed a measurement calibration, use the port extensions function to compensate for the added electrical length and delay.

  • Use calibration standards that match the definitions used in the calibration process.

  • Inspect, clean, and gage connectors. See Connector Care.

See Accurate Measurement Calibrations for more detailed information.

Device Connections

Good connections are necessary for repeatable measurements. To help make good connections, do the following:

  • Inspect and clean the connectors for all of the components in the measurement setup.

  • Use proper connection techniques.

  • Avoid moving the cables during a measurement.

Last Modified:

5-Jan-2016

First Release


Trace Noise

Noise Reduction Techniques

Random electrical noise which shows up in the analyzer receiver chain can reduce measurement accuracy. The following VNA functions help reduce trace noise and the noise floor which can lead to better dynamic range and more accurate measurements.

Note: The trace noise in microwave PNAs becomes worse below 748 MHz and is especially obvious between 10 MHz and 45 MHz. See Reduce IFBW.

  • Averaging

  • IF Bandwidth

  • Trace Smoothing

See Also

Group Delay

Increase Dynamic Range

VNA data processing map.

Other topics about Optimizing Measurements

Averaging

Averaging is a feature that reduces the effects of random noise on a measurement. The VNA computes each data point based on the average of several measurements. You determine the number of measurements by setting the Average factor. The higher the average factor, the greater the amount of noise reduction.

Effects of Sweep Average

Both Averaging and IF Bandwidth can be used for the same benefit of general noise reduction. For minimizing very low noise, Averaging is more effective than reducing IF bandwidth. Generally, Averaging takes slightly longer than IF bandwidth reduction to lower noise, especially if many averages are required. Also, changing the IF bandwidth after calibration results in uncertain accuracy.

How to Set Averaging

Using Hardkey/SoftTab/Softkey

  1. Press Avg > Averaging > Enter the Averaging number

IF Bandwidth

The VNA converts the received signal from its source to a lower intermediate frequency (IF). The bandwidth of the IF bandpass filter is adjustable from 40 kHz (for most VNA models) down to a minimum of 1 Hz.

Reducing the IF receiver bandwidth reduces the effect of random noise on a measurement. Each tenfold reduction in IF bandwidth lowers the noise floor by 10 dB. However, narrower IF bandwidths cause longer sweep times.

  • Channel wide - IF bandwidth can be set independently for each channel

  • Segment sweep - IF bandwidth can be set independently for each segment of segment sweep.

  • Calibration - Changing the IF bandwidth after calibration will cause a 'C-delta' correction level, which means that calibration accuracy is uncertain.

Effect of Reducing IF Bandwidth

How to set IF Bandwidth

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Avg > IF Bandwidth > Enter the IF Bandwidth value

  1. Right click on the BW icons on the status bar.

  2. Select on IF Bandwidth....

IF Bandwidth dialog box help

IF Bandwidth Specifies the IF (receiver) bandwidth. The value of IF bandwidth is selected by scrolling through the values available in the IF bandwidth text box. The IF BW is set independently for each channel.

The IF bandwidth is automatically set to equal to or less than 1/5 of each measurement frequency.

When LF Auto BW is checked, the actual IF Bandwidths used are:

  • From 53+ MHz to 175 MHz: 30,000Hz * .025 = 750 Hz (next higher selectable value: 1 kHz.)

  • From 175+ MHz to 250 MHz: 30,000Hz * .15 = 4.5 kHz (next higher selectable value: 5 kHz.)

  • From 250+ MHz to 396 MHz: 30,000Hz * .5 = 15 kHz

  • From 396+ MHz to stop sweep = 30 kHz

Trace Smoothing

Trace smoothing averages a number of adjacent data points to smooth the displayed trace. The number of adjacent data points that get averaged together is also known as the smoothing aperture. You can specify aperture as either the number of data points or the percentage of the x-axis span.

Trace Smoothing reduces the peak-to-peak noise values on broadband measured data. It smooths trace noise and does not increase measurement time significantly.

Because Trace Smoothing follows Format in the VNA data processing map, the formatted data is smoothed. Smoothing is automatically turned off if the format is Polar or Smith Chart.

Learn more about Data Format Types.

See the VNA data processing map.

Tips:

  • Start with a high number of display points and reduce until you are confident that the trace is not giving misleading results.

  • Do not use smoothing for high-resonance devices, or devices with wide trace variations. It may introduce misleading information.

  • Smoothing is set independently for each trace.

Effects of Smoothing on a Trace

How to set Trace Smoothing

Using Hardkey/SoftTab/Softkey

  1. Press Avg > Smoothing > Smoothing ON|OFF

Smoothing When turned ON, smoothing is applied to the displayed trace.

Smooth Percent Specify percent of the swept stimulus span to smooth. For example, for a trace that contains 100 data points, and specify a percent of span = 11%, then the number of data points that are averaged is 11.

Smooth Points Specify the number of adjacent data points to average.

Last modified:

5-Jan-2016

First Release


Crosstalk

Crosstalk is energy leakage between analyzer signal paths. This can be a problem with high-loss transmission measurements. Although the crosstalk specification of the VNA is exceptional, you can reduce the effects of crosstalk by doing the following:

  • Perform an Isolation Calibration

Other topics about Optimizing Measurements

Perform an Isolation Calibration

For transmission measurements, a response and isolation measurement calibration helps reduce crosstalk because the analyzer measures and then subtracts the leakage signal during the measurement calibration. The calibration improves isolation so that it is limited only by the noise floor.

Note: Isolation is never performed on a Smart (Guided) Calibration. Learn more.

Generally, the isolation error falls below the noise floor. So when you are performing an isolation calibration you should use a noise reduction technique such as sweep averages or reducing the IF bandwidth.

Last Modified:

5-Jan-2016

First Release


Effects of Accessories

Accessories in a configuration may affect the results of a device measurement. You can choose between two analyzer features that reduce the effects of accessories.

  • Power Slope to Compensate for Cable Loss

  • Gating to Selectively Remove Responses

Other topics about Optimizing Measurements

Power Slope to Compensate for Cable Loss

If you have a long cable or other accessory in a measurement configuration where a power loss occurs over frequency, apply the power slope function. This function increases the analyzer source power by a rate that you define (dB/GHz).

  1. Press Power > Leveling & Offsets.

  2. If the slope function is not already switched on, click the button beside Slope.

  3. In the Slope box, enter the rate that you want the source power to increase over the frequency sweep.

Gating to Selectively Remove Responses

Gating is a feature in the time domain (option 010) that allows the analyzer to mathematically remove responses. You can set the gate for either a reflection or transmission response, but you will see different results.

  • Gating a reflection response isolates a desired response (such as a filter's return loss), from unwanted responses (such as adapter reflections or connector mismatches).

  • Gating a transmission response isolates a specific path in a multipath device that has long electrical lengths.

See Time Domain Gating for more information.

Last modified:

5-Jan-2016

First Release


Shift LO

Setting Shift LO (Reducing Unnecessary Image Response)

  • Overview

  • Turning ON Shift LO Mode

Other topics about Optimizing Measurements

Overview

The Shift LO mode is used to set the local signal (LO).Generally, the VNA sets the local signal (LO) as RF+IF. However, this causes image to response at certain frequencies. To reduce the unnecessary image response, the LO mode allows you to select the local signal (LO).

Shift LO mode should be turned ON for frequencies below the centre frequency of the bandpass filter and turned OFF for frequencies above the centre frequency of the bandpass filter.

  • Shift LO mode ON: LO = RF-IF

  • Shift LO mode OFF: LO = RF+IF

Note: This function is not available for frequencies below 150 MHz.

Turning ON Shift LO Mode

  1. Press Sweep > Source Control > Shift LO.

  2. Input the maximum frequency.

  3. Click the switch of the softkey to turn on the Shift LO function.

Note: System calibration (adjustment) is not taken into account when Shift LO mode is ON. Calibration should be performed before your measurement. If this function is turned ON after a calibration, “C” is changed to "CΔ" on the status bar.

Note: When List Shift LO in Segment Sweep is OFF, the setting of global setting (Sweep > Source Control > Shift LO) is used.

Max Frequency

Sets the maximum frequency for the measurement sweep. By default, the maximum frequency is set to the maximum frequency of the unit.

Note: This setting is only valid when the Shift LO mode is turned ON.

Last modified:

5-Jan-2016

First Release


Fast Sweep Speed

Achieve Fastest Sweep

You can achieve the fastest measurement sweep by adjusting the following:

  • Sweep Settings

  • Noise Reduction Settings

  • Measurement Calibration Choice

  • Unnecessary Functions

Other topics about Optimizing Measurements

Sweep Settings

Consider changing each of the following settings as suggested.

  • Frequency Span - Measure only the frequencies that are necessary for your device.

  • Segment Sweep - Use segments to focus test data only where you need it.

  • Switch Off Stepped Sweep - Use linear swept mode to minimize sweep time when possible.

  • Auto Sweep Time - Use this default to sweep as quickly as possible for the current settings.

  • Number of Points - Use the minimum number of points required for the measurement.

Note: Sweep time may be longer in the following situations.
* Sweep Time Entry is displayed.
* Sweep Timing or Trigger SoftTab is displayed.

For more information on how number of points and other settings affect sweep cycle time, see Technical Specifications.

Noise Reduction Settings

Using a combination of these settings, you can decrease the sweep time while still achieving an acceptable measurement.

  • IF Bandwidth. Use the widest IF bandwidth that will produce acceptable trace noise and dynamic range.

  • Average. Reduce the average factor, or switch Average off.

Measurement Calibration Choice

Choose the appropriate type of calibration for the required level of accuracy.

When full 2-port error correction is applied, the VNA takes both forward and reverse sweeps to gather all 12 error correction terms. This occurs even with a single S11 measurement displayed. All displayed measurements are updated as the second sweep is performed. Both sweeps are performed using the specified sweep time.

When calibrating greater than 2 ports, the following formula is used to determine the number of sweeps required:

  • N * (N-1) where N = the number of ports.

When full 3-port calibration is applied, 6 sweeps are required; forward and reverse for each port pair. With full 4-port correction, 12 sweeps are required, and so forth.

To limit the measurement time, perform ONLY the level of calibration that your measurements require. For example, if making only an S11 measurement, perform a 1-port calibration on that port.

Sweep speed is about the same for uncorrected measurements and measurements done using a response calibration, or one-port calibration. For more information see Select a Calibration.

Unnecessary Functions

The analyzer must update information for all active functions. To achieve an additional increase in sweep speed, switch off all of the analyzer functions that are not necessary for your measurement application.

  • Delete Unwanted Traces

  • Switch Off Unwanted Markers

  • Switch Off Smoothing

  • Switch Off Limit Testing

  • Switch Off Math Functions

Analyzer sweep speed is dependent on various measurement settings. Experiment with the settings to get the fastest sweep and the measurement results that you need.

Last modified:

13-Aug-2014

First Release


Multiple Measurements for Throughput

Switch Between Multiple Measurements

If you need to make multiple measurements to characterize a device, you can use various methods to increase throughput. Experiment with these methods to find what is best for your measurement application needs.

  • Set Up Measurements for Increased Throughput

    • Arrange Measurements in Sets

    • Use Segment Sweep

    • Trigger Measurements Selectively

  • Automate Changes Between Measurements

  • Recall Measurements Quickly

Other topics about Optimizing Measurements

Set Up Measurements for Increased Throughput

To achieve optimum throughput of devices that require multiple measurements, it is helpful to know the operation of the VNA. This knowledge allows you to set up the measurement scenarios that are best for your applications.

Learn more about Traces, Channels, and Windows on the VNA

Arrange Measurements in Sets

If you arrange measurements to keep the complete set of device measurements in one instrument state, you can save them so that you can later recall a number of measurements with one recall function.

See Pre-configured Measurement Setups for more information.

Use Segment Sweep

Segment sweep is helpful if you need to change the following settings to characterize a device under test.

  • Frequency Range

  • Power Level

  • IF Bandwidth

  • Number of Points

  • Delay

  • Sweep Mode

  • LO Offset

The segment sweep allows you to define a set of frequency ranges that have independent attributes. This allows you to use one measurement sweep to measure a device that has varying characteristics.

See Segment Sweep for more information.

Trigger Measurements Selectively

You can use the measurement trigger to make measurements as follows:

  • Continuously update only the measurements that have rapidly changing data.

  • Occasionally update measurements that have infrequently changing data.

For example, if you had four channels set up as follows:

  • Two channels measuring the data that is used to tune a filter

  • Two channels measuring the data for the out-of-band responses of the filter

You would want to constantly monitor only the measurement data that you use for tuning the filter. If you continuously update all of the channels, this could slow the response of the analyzer so that you would not be able to tune the filter as effectively.

Note: You must either trigger the infrequent measurement manually or with remote interface commands.

To trigger measurements selectively:

This procedure shows you how to set up two different measurements with the following behavior:

  • Channel 1 measurement will continuously update the data.

  • Channel 2 measurement will occasionally update the data.

  1. Press Setup > Quick Start.

  2. At the Quick Start dialog box, click Create in new channel.

  3. Frequency Sweep dialog box shows. Enter the preferred sweep setting.

Set Up a Measurement Trigger for Continuous Updates

  1. Press Trigger > Trigger Source and select Internal.

  2. Press Trigger > Trigger....

  3. At the Trigger dialog box under Channel Trigger State, select Channel 1, and click Continuous.

Set Up a Measurement Trigger for Occasional Updates

  5. At the Trigger dialog box under Channel Trigger State, select Channel 2, and click Single, OK.

  6. Press Trigger > Restart.

Update the Measurement

  7. Click on the lower window to make Channel 2 the active channel.

  8. On the active entry toolbar, click the type of trigger you set up.

    • Click Single if you set up the analyzer for a single sweep per trigger.

    • Click Groups if you set up the multiple sweeps per trigger.

Note: A trace must be active for you to initiate a trigger for that measurement.

Automate Changes Between Measurements

If there are slight differences between the various measurements that you need to characterize a device, you may find that it is faster to change the measurement settings using programming.

Recall Measurements Quickly

The most efficient way to recall measurements is to recall them as a set of measurements (instrument state).

  • It only takes a short time longer to recall an instrument state that includes multiple measurements, than it does to recall an instrument state with only one measurement.

  • Each recall function has time associated with it. You can eliminate that time by setting up the measurements as a set so you can recall them as a set.

See Save and Recall Files for more information.

Last modified:

21-Aug-2014

First Release


Data Transfer Speed

When testing devices remotely using SCPI, the following techniques can be used to transfer data quickly between the VNA and remote computer, helping you achieve the best measurement throughput.

  • Use single sweep (trigger) mode to ensure that a measurement is complete before starting a data transfer.

  • Transfer the minimum amount of data needed. For example, a trace with a few points, using segment sweep rather than a full trace with many linearly spaced points. Also, use markers instead of trace transfers.

  • Choose the REAL data format to provide the fastest transfer speed when using SCPI programs for automated applications.

  • Use SCPI over LAN for applications that are automated with SCPI programs.

  • Use Shared Memory Data Transfer. Learn how.

Other topics about Optimizing Measurements


Speed up PXIe Measurements

Speed up PXIe VNA Measurements

The following features can be used together, or separately, to make faster VNA measurements:

Option 103 - Fast sweep mode.

  • Learn more about the feature.
  • See the SCPI command.

Use PXI-specific 'Trigger' commands

  • SCPI command to set index line logic.

  • SCPI command to efficiently trigger multiple channels.

Shared Memory Data Transfer

  • See SCPI commands

See Also

  • General VNA Measurement Speed Techniques


Using Macros

Macros are executable programs that you write, load into the analyzer, and then run from the analyzer. You can have up to 25 macros set up to run on the analyzer.

  • How to Setup Macros

  • How to Run Macros

  • Macro Example

How to Setup Macros

Using Hardkey/SoftTab/Softkey

  1. Press Macro > Key Setup > Macro Setup...

In the Macro Setup dialog box:

  1. Create an executable program and save it on the VNA hard drive. See SCPI example programs in VBscript.

  2. Use a mouse or the front-panel 'down-arrow' to select a blank line below the last entry. (There may be NO entry.)

  3. Click Edit to start the Edit Macro Setup dialog.

  4. In the Macro Title box, type a descriptive title for your macro.

  5. Click Browse...

  6. Change Files of Type.

  7. Find and select your executable file. Change Files of Type if necessary.

  8. Click OK on the Edit Macro Setup dialog.

  9. Click OK on the Macro Setup dialog.

  10. Press macro to run. It may be necessary to first Preset the VNA to see your macro in the menu.

Macro Setup dialog box help

Macro setup allows you to create up to 25 macros that can be launched from the VNA application.

An external keyboard is required to enter the Macro Title and the Run string parameters.

To add a Macro, use a mouse or the front-panel 'down arrow' (NOT the 'Down' key) to select a blank line. Then click Edit.

Macro Title Shows the titles that appear in the softkeys and menu when you press the Macro key. These titles are associated with the executable files and should be descriptive so you can easily identify them.

Macro Executable Lists the complete path to the executable file. To follow the example of launching the Keysight VNA Series Home Page, the path to the executable could be "C:/Program Files/Internet Explorer/iexplore.exe.

Macro Runstring Parameters Lists the parameters that get passed to the program that is referenced in the executable file. Again following the example of launching the VNA Series Home Page, you could assign the runstring parameters "http://www.Keysight.com/find/pna".

Edit Invokes the Macro Edit dialog box.

Delete Deletes the selected macro.

Up Allows you to reorder the macros, moving the selected macro up one line. This order determines how they appear in the VNA Menu and in the softkeys and when you press the Macro front-panel key.

Down Moves the selection down one line in the list of macros.

Macro Edit dialog box help

Macro Title Add a title that appears in the softkeys and menu.

Macro Executable Set the complete path to the macro executable file. Click Browse to navigate to the macro executable file and establish the complete path to the file.

Macro run string parameters Optionally add parameters that are passed to the program referenced in the executable file.

See Macro Setup dialog box

How to Run Macros

Using Hardkey/SoftTab/Softkey

  1. Press Macro > Macro<#>

  2. then select the macro to run

Macro Example

The following is an example Visual Basic Scripting (vbs) program that you can copy, install, and run on your VNA.

Note: Print these instructions if viewing in the analyzer. This topic will be covered by the Macro Setup dialog box.

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer hard drive in the C:/Documents folder. Name the file FilterTest.vbs

  3. Close Notepad

  4. Setup the macro in the VNA

  5. Run the macro

Notepad is a text editor that is installed on all PCs that use a Microsoft Operating system. To launch Notepad on the analyzer:

  1. Click View, then click Title Bars

  2. Click the Start button on the windows taskbar

  3. Point to Programs, Accessories.

  4. Click Notepad

'Start copying here
'This program creates a S21 measurement
'It is written in VBscript using SCPI commands

Dim app
Dim scpi
'Create / Get the VNA application
Set app = CreateObject ("AgilentPNA835x.Application")
Set scpi = app.ScpiStringParser

'Preset the Analyzer.FPREset presets the setting and deletes all traces and windows
scpi.Execute ("SYST:FPReset")
'Create and turn on window 1
scpi.Execute ("DISPlay:WINDow1:STATE ON")
'Define a measurement name, parameter
scpi.Execute ("CALCulate:PARameter:DEFine:EXT 'MyMeas', 's21'")
'Associate ("FEED") the measurement name ('MyMeas') to WINDow (1), and give the new TRACE a number (1).
scpi.Execute ("DISPlay:WINDow1:TRACe1:FEED 'MyMeas'")

'End copying here

Last Modified:

2-Sep-2014

First Release


Select a Cal Type

Select a Calibration Type

The following calibration types are available in the VNA.

Cal Type | Accuracy | Thru Methods allowed
TRL Family | Very High | All except Unknown Thru
SOLT | High | All
Enhanced Response | High | Defined Thru or Flush Thru
QSOLT (Quick SOLT) | Medium | Defined Thru or Flush Thru
1-Port Reflection | High | Not Applicable
Open/Short Response | Low | Not Applicable
Thru Response | Low | Known Thru or Flush Thru

Learn how to select a default Cal Type.

Other Cal Types (Separate Topic)

  • Source and Receiver Power Cals

See other Calibration Topics

TRL Family

Application: Used to accurately calibrate any pair of ports when calibration standards are not readily available.

Note: A Delta Match Cal may be required.

• Learn more about TRL family cal

• For more information on modifying standards, see Calibration Standards.

General Accuracy: Very High

Standards Required: THRU, REFLECT, LINE or similar combination

Systematic Errors Corrected:

• Directivity

• Source match

• Isolation (see exceptions)

• Load match

• Frequency response transmission tracking

• Frequency response reflection tracking

SOLT

Application: Used to accurately calibrate any number of ports.

General Accuracy: High

Standards Required: (SHORT, OPEN, LOAD, THRU) or ECal module

Systematic Errors Corrected (on all ports):

• Directivity

• Source match

• Isolation (see exceptions)

• Load match

• Frequency response transmission tracking

• Frequency response reflection tracking

Enhanced Response

Application: Used to calibrate two ports when only measurements in one direction (forward OR reverse) are required. Measurements are faster because a second sweep is NOT required.

• Reflection Standards (OPEN, SHORT, LOAD) are connected to the source port to be calibrated.

• Defined THRU or Flush THRU standard is connected between port pairs.

• Much quicker than SOLT when using a mechanical cal kit. ECal can also be used.

To select Enhanced Response:

For a standard S-parameter Cal, select Cal > Main > Basic Cal... .

Then, In the Basic Cal dialog box:

  1. Under 'Cal Type', select Enh Response 1-> 2 Enh or Response 2-> 1.

General Accuracy: High

Standards Required: (SHORT, OPEN, LOAD, Defined THRU or Flush THRU)

Systematic Errors Corrected:

• Directivity (source port)

• Source match (source port)

• Isolation (see exceptions)

• Load match (receiver port) - used only to produce transmission tracking term.

• Frequency response transmission tracking (receiver port).

• Frequency response reflection tracking (source port).

QSOLT (Quick SOLT)

Application: Used to quickly calibrate any number of ports. Developed specifically for use with external multiport test sets.

Note: A Delta Match Cal is required to cal test ports that do not have a dedicated reference receiver.

• Reflection Standards (OPEN, SHORT, LOAD) are connected to only ONE of the ports to be calibrated. The lower port number of the ports to be calibrated is selected by default. This can be changed through the Modify Cal / Cal Type setting.

• Defined THRU or Flush THRU standards are connected from the reflection standard port to the remaining ports to be calibrated.

• Much quicker than SOLT when using a mechanical cal kit.

• Based on TRL math.

General Accuracy: Not as high as SOLT

Standards Required: (SHORT, OPEN, LOAD, Defined THRU or Flush THRU)

Systematic Errors Corrected:

• Directivity

• Source match

• Isolation (see exceptions)

• Load match

• Frequency response transmission tracking

• Frequency response reflection tracking

1-Port (Reflection)

Application: Used to accurately calibrate any single test port for reflection measurements only.

General Accuracy: High

Standards Required: (SHORT, OPEN, LOAD) or ECal module

Systematic Errors Corrected:

• Directivity

• Source match

• Frequency response reflection tracking

Open / Short Response

Application: Used to quickly calibrate any single test port for reflection measurements only.

General Accuracy: Low

Standards Required: OPEN or SHORT

Systematic Errors Corrected:

Frequency response reflection tracking

Thru / Transmission Response (Isolation Optional)

Application: Used to quickly calibrate any pair of test ports for transmission measurements only.

Isolation is not usually recommended. Learn more about Isolation

General Accuracy: Low

Standards Required: THRU

Isolation: One LOAD for each VNA test port.

Systematic Errors Corrected:

• Frequency response transmission tracking

• Isolation

Last modified:

18-Aug-2014

First Release


Calibration Wizard

The Calibration Wizard allows you to choose a Calibration method and then perform the calibration.

  • How to Start Calibration Wizard

  • SmartCal (Guided Calibration)

  • Basic Calibration

  • Saving a Calibration

Other Cal Topics

How to start Calibration Wizard

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Other Cals > Smart Cal...

The Calibration Window / Channel

During a Guided Calibration, a 'Cal Window' is created for you to view the connection of calibration standards before standards are measured. This Cal Window uses a new Cal channel that is created and duplicates the settings in the channel being calibrated. Correction is ALWAYS OFF for the displayed calibration channel. At the completion of the calibration, the calibration channel and window are deleted.

The measurement of calibration standards can be performed while viewing any VNA window configuration you choose. The Cal Window is appended to your Custom Cal Window setting, and all windows are visible and sweeping below the Cal Wizard before the Measure (cal standard) button is pressed. The windows to be viewed and channels to be swept during the cal process are specified using Remote commands.

The Cal Window settings do not work in a FCA channel.

SmartCal (Guided Calibration)

A Guided Calibration automatically determines the calibration type and suggests a calibration kit that matches your DUT connectors. Guided Calibration can perform the following Cal Types:

  • ALL Cals EXCEPT Open, Short, and Thru Response Cals.

  • ECal on one or more ports.

  • TRL - Learn how to do TRL cals

Note: SmartCal DOES allow you to measure calibration standards in any order. However, you must click Next and Back without measuring standards until you get to the standard you want to measure.

The VNA displays the following dialog boxes when performing a Guided calibration on standard channels.

To learn about Calibrations for Application channels, refer to the help topic for the Application.

Select Ports for Guided Calibration dialog box help

Allows you to select ports to calibrate.

Cal Type Selection Select the number of ports to calibrate.

N Port Cal Configuration If not calibrating all VNA ports, specify which ports to calibrate.

Calibrate source and receiver power Check to perform a Guided Power Calibration. Learn more.

See Also: Use Multiple Power Sensors to perform a Guided Power Cal

Back Return to Cal Wizard Begin dialog. If you did not see the 'Cal Wizard Begin' dialog but want to, click Back, then clear the Save Preferences checkbox.

For greater than 4-port cals, see External Test Set calibration - Select Cal Type.

Select DUT Connectors and Cal Kits dialog box help

Allows you to select the connector type and Cal Kit for each DUT port to be calibrated.

Connectors To change selection, click the connector field for each DUT port.

If your DUT connectors are not listed, you can create your own connector type and calibration kit file. The VNA includes the following example cal kits that can be used as a template. See Calibration kits for more information.

  • If using a gendered (male and female) connector type, select Type A as the connector type.

  • If using a connectorless device such as on-wafer probes., select Type B as the connector type.

Cal Kits Select the Cal Kit to be used to calibrate each test port. The list for each DUT Port displays kits having the same connector type as the DUT.

Identical ECal models connected? ECal modules can be distinguished by serial number. This can have implications on your remote SCPI programs.

Cal Kit Notes

85056K

The 85056K definitions in the VNA are for 2.92mm standards (2.4mm plus 2.92 adapters). To calibrate 2.4 mm connectors using the 85056K cal kit, select 85056A as the cal kit when you need the sliding load. Otherwise, select 85056D as the cal kit. Both the 85056A and the 85056D kits contains exactly the same standards as the 85056K cal kit WITHOUT the adapters.

TRL

  • To perform a TRL Cal, assign a TRL Cal Kit to the lowest port number of each port pair.

  • When selecting a TRL Cal Kit on a PNA-L model that requires a Delta Match Cal, and a Global Delta Match Cal is not available, the Cal type will be set to SOLT and a "Could not find a Global Delta Match Cal." message is displayed on the dialog box. If the selected Cal Kit will not support SOLT, the Next button will not be available. Then you must select a different Cal Kit to proceed or Cancel and perform a Global Delta Match Cal.

Modify Cal Check, then click Next, to Modify Cal (Standards AND Thru Method).

For greater than 4-port cals, see External Test Set calibration - Select DUT Connectors.

Error dialog box help

The current cal kit does not cover the current frequency range of the measurement. Do one of the following to correct the problem:

Cal Kit Class Category Choose from SOLT and TRL. Not available with ECal modules. Click Edit to modify the appropriate class assignments.

Frequency Change the frequency range of the active channel.

Edit Modify the class assignments so that a different standard is selected.

Back Select a different Cal Kit that covers the required frequency range.

Cancel Exit the Cal Wizard

Modify Cal dialog box help

Thru #n

Lists the proposed Thru connections to be made during the calibration process. You can change these Thru connections to better suit your test setup.

  • The proposed Thru connections are listed automatically.

  • Additional Thru connections can be selected for higher accuracy. Learn more.

Add Thru

Click to add a Thru connection. Learn more

Remove Thru

Select a Thru by clicking the "Thru #N" field or the "1st Port / 2nd Port" field. Then click "Remove Thru". This selection is NOT available if the selected Thru is required for the calibration.

1st Port / 2nd Port

Click to select the two ports to be included in the Thru connection. The order of the port numbers is not critical.

Thru Cal Method

Lists the available Thru Cal methods for the specified port pairs.

Learn about the Thru Cal Method choices.

Cal Type/ Stds

Click to invoke the View / Modify Properties of Cal dialog box

Do orientation - Appears ONLY if an ECal module is selected for use.

When this box is checked (default) the VNA automatically senses the model and direction in which an ECal module port is connected to the VNA ports. If power to the ECal module is too low, it will appear as if there is no ECal module connected. If you use low power and are having this problem, clear this check box to provide the orientation manually.

Orientation occurs first at the middle of the frequency range that you are calibrating. If a signal is not detected, it tries again at the lowest frequency in the range.

Choose delta match - Available when a Delta Match Cal is required.

  • Check, then click Next to invoke the Select Cal Set for Delta Match dialog box.

  • Clear - The Cal Wizard uses the Global Delta Match Cal if available.

View/Detect ECal Characterizations - Appears ONLY if an ECal module is selected for use.

Click to invoke the View ECal Modules and Characterizations dialog box. Displays a list of ECal modules that are connected to the VNA.

View/Modify Properties of Cal for Ports... dialog box help

Select calibration type

Another chance to change the Thru method.

Learn about the Thru Cal Method choices.

Advanced

Select the cal method for each connector of the Thru pair.

  • TRL - Available ONLY when a TRL cal kit was selected for the lowest port number of the port pair.

  • QSOLT Available ONLY when "Defined Thru" or "Flush Thru" is selected. "QSOLT 2 <= 1" refers to the receive port 2 and source port 1(where reflection standards are connected).

  • Enhanced Response Available ONLY when "Defined Thru" or "Flush Thru" is selected."EnhResp 2 <= 1" refers to the receive port 2 and source port 1.

  • Transmission Response Available ONLY when "Defined Thru" or "Flush Thru" is selected, when Mechanical Cal is selected, and when 2 ports are being calibrated. "TransResp 2 <= 1" refers to the receive port 2 and source port 1.

View Modify Click to invoke the Preview and Modify Calibration Selections dialog box.

Note: Changes made to the Cal Kit through this dialog are temporary that last only for this calibration. To make permanent changes to the Cal Kit, perform Advanced Modify Cal Kits.

Select Cal Set for Delta Match dialog box help

This dialog box appears when a Delta Match Cal is required and Choose delta match was selected. Learn more.

Displays the Cal Sets that meet the requirements of the Delta Match Cal.

Select either a User Cal Set or Global Delta Match Cal.

If there is no suitable choice for a Delta Match Cal:

  1. Click Cancel, then Cancel again to quit the Cal Wizard.

  2. Perform either a Global Delta Match Cal or a SOLT cal and save the result in a User Cal Set.

  3. Start the Cal Wizard to re-initiate this calibration.

  4. Select the Global Delta Match Cal or User Cal Set.

Calibration Steps dialog box help

Note: Beginning in VNA Rev. 6.0, calibration can be performed with External triggers. Learn more.

As each new cal step prompt appears, the traces are setup for the next standard measurement. Also, sweeps are triggered continuously until the Measure button is pressed. This way you can view the integrity of the standard connection.

Prompts for standards to be measured.

Measure Click to measure the standard.

Done Click after a standard is re-measured and all measurements for the calibration are complete.

Next Click to continue to the next calibration step. Does NOT measure the standard.

If a standard is NOT measured, a warning appears and Done will not be available after the last Cal step.

Note: Smart (Guided) Cal allows you to measure calibration standards in any order. However, you must click Next and Back without measuring standards until you get to the standard you want to measure.

Sliding Load Measurement dialog box help

Allows you to measure the sliding load standard.

To ensure an accurate calibration, carefully follow the instructions that were provided with your siding load.

To Measure a Sliding Load:

  1. Connect the sliding load to the measurement port.

  2. Position the sliding element, then click Measure. Do not move the sliding element until measurement is complete.

  3. Measure the sliding load for at least five and up to seven positions for best accuracy.

Note: The positions of the sliding element should cover the full length of the slide, but be unequally spaced to reduce the possibility of overlapping data points. Most sliding loads have marks for each slide position.

  4. Click Done after the final measurement.

  5. Remove sliding load from the measurement port.

  6. Measure the remaining standards.

Specify delay dialog box help

This dialog appears ONLY when Adapter Removal or Unknown Thru calibrations are performed.

The following values were estimated from the measurement. Most of the time, they are adequate. However, for CW sweep or frequency sweep with large step sizes, the accuracy of the values may be improved.

Adapter delay To improve this value, measure and record the delay of the adapter with a dense step size. Enter that value here. The required precision value is the accuracy that is required to characterize the delay value.

Nominal phase offset (Waveguide ONLY). To improve this value, measure and record the phase offset of the Waveguide adapter with dense step size. Enter that value here.

When one connector is coax and the other connector is waveguide, the phase offset has an ambiguity of 180 degrees. For consistency, the estimate provided here is always between 0 and 180 degrees. You can change this estimate to any value between -180 degrees and +180 degrees.

The Calibration Complete dialog box appears after all standards are measured.

Basic Calibration

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Main > Basic Cal...

It provides basic calibration. The limitations of basic calibration are, it is for:

  • one connector type

  • one cal kit

  • one cal type

  • no isolation cal

  • no power calibration

Basic Cal dialog box help

N

Connector Type Allows user to select single connector type.

Cal Kit Allows users to select single Cal Kit. The displayed selection options are according to the selected connector type.

Port Allows users to select the port gender. No Connect indicates that no port is connected to the VNA.

Cal Type Allows users to select calibration type. The displayed selection options are according to the selected cal kit, connector type and gender.

Save As Calset... Its grayed out when calibration is incomplete. Once the calibration is completed, press this button to save the calibration.

Saving a Calibration

SmartCal, ECal, and Unguided Calibrations end with the following dialog box:

Calibration Completed dialog box help

Finish Save to the channel's calibration register.

Save As User Cal Set Invokes the Save as User Cal Set dialog box AND save to the channel's calibration register.

Cancel Calibration is NOT applied or saved.

Learn about Calibration Registers.

Learn about User Cal Sets

Save as User Cal Set dialog box help

Existing Cal Sets - Lists the Cal Set names saved on the VNA.

Select Cal Set from list or type new name below Specify a name for the new Cal Set. Either accept the suggested new name, type a new name, or select a name from the list to overwrite an existing name.

Edit Name If there is no keyboard, click to start the VNA typing tool that can be used from the VNA front panel.

Save Saves the Cal Set to the new Cal Set name.

Learn about User Cal Sets

Last modified:

14-Aug-2014

First Release


Guided Power Calibration

Source and Receiver Power Calibration can be performed during a standard S-parameter Guided Calibration. This power cal provides the following enhancements over the standard source and receiver power calibration:

  • A source and receiver power cal can be performed for all VNA ports with a single power sensor connection.

  • Multiple power sensors can be used to cover wide frequency ranges.

  • The receivers are corrected automatically.

  • Optionally compensates for an adapter that may be used to connect the power sensor.

  • Provides optional match-corrected power measurements.

  • Source and Receiver power correction is stored to the Cal Set along with S-parameter correction.

Note: A Guided Power Calibration is not accurate when Frequency Offset Mode is enabled.

Learn more about the standard Source and Receiver Power Cals.

How to perform a Guided Power Cal

  1. In a Standard (S-parameter) channel, setup your measurements (sweep type, frequency range, IFBW, and so forth). A special version of this feature is available on mmWave SMC measurements. Learn more.

  2. Connect the Power Meter / Sensor the same as a standard Source Power Cal. Learn more.

    • See Supported Power Meters

    • See Important first-time USB connection note.

  3. Start the Cal Wizard, then select Guided (Smart) Cal. Learn how.

On the following Select Ports dialog, check Calibrate source and receiver power, then click Next.

Two Cal Wizard pages later, complete the following dialog.

Power Cal Settings dialog box help

Note: A Use Power Table checkbox (not shown) is available when a mmWave SMC measurement is active. Learn more.

Power Cal at: Select the source port for which a Power Calibration will be performed. The source and receiver correction will be transferred to all other sources and receivers involved in the S-parameter measurements.

Use Multiple Sensors NOT available with SMC measurements.

Check this box to use one or more power sensors that are configured as PMAR devices. This dialog is replaced with the Multiple Sensors dialog. See following image.

When "Use Multiple Sensors" is cleared (default setting), click Power Meter Settings to configure the power meter.

De-embed (power sensor) adapter When the power sensor connector is NOT the same type and gender as the DUT connector for the specified port, then for optimum accuracy, extra cal steps are required to measure and correct for the adapter that is used to connect the power sensor to the reference plane.

Clear this box to NOT compensate for the added adapter.

Check this box to perform extra calibration steps to measure and correct for the adapter.

Then select the Power Sensor Connector type and gender of the power sensor. "Ignored" does NOT compensate for the added adapter, just as if the checkbox were cleared.

When this connector matches the DUT connector for the same port, then the VNA assumes that there is no adapter. Extra cal steps are NOT required and the Cal Kit selection is not available.

Otherwise, select the Cal Kit to be used to calibrate at the adapter.

See Accuracy Settings below.

Power Cal Settings - Use Multiple Sensors dialog box help

Notes

"Multiple sensors" are allowed ONLY on standard channels and during a Cal All calibration.

The power sensors that are used as "multiple sensors" MUST be configured PMAR devices.

Power Cal at: Select the source port for which a Power Calibration will be performed. The source and receiver correction will be transferred to all other sources and receivers involved in the S-parameter measurements.

Sensor Settings Click to start the Sensor Settings dialog, used to ADD / Configure an External Device.

Sensor Grid

Sensor Select the power sensor and the associated Start and Stop frequency range.

Adapter When the power sensor connector is NOT the same type and gender as the DUT connector for the specified port, then for optimum accuracy, extra cal steps are required to measure and correct for the adapter that is used to connect the power sensor to the reference plane.

Clear this box to NOT compensate for the added adapter.

Check this box to perform extra calibration steps to measure and correct for the adapter. Then specify the Power Sensor Connector type and gender of the power sensor. When this connector matches the DUT connector for the same port, then extra cal steps are NOT required, and the Cal Kit selection is not available. Otherwise, select the Cal Kit to be used to calibrate at the adapter.

Remove Click to remove the power sensor from the list.

Add Sensor Click to add a new line, then click the down-arrow to select a sensor. If a power sensor does NOT appear in the list, click the Sensor Settings button to configure a power sensor.

Accuracy

Tolerance When consecutive power sensor readings are within this value of each other, then the reading is considered settled.

Max Number of Readings Sets the maximum number of readings the power sensor will take to achieve settling. Each power reading is "settled" when either:

  • Two consecutive readings are within this Tolerance value or

  • When the Max Number of Readings has been met.

The readings that were taken are averaged together to become the "settled" reading.

Power Sensor Connection step dialog box help

Power Level Set the power level at which the Source Power Cal is to be performed.

It is usually best to perform the Source Power Cal at 0 dBm because the power sensor is calibrated at that level. If 0 dBm is not achievable for your measurement, then set to the power level with the lowest level of measurement noise.

Turn OFF Match Correction

During a Guided Power Cal, the match between the power sensor and the VNA source port is measured. The source power correction array is compensated to account for the measured mismatch. In addition, the reference receiver measurement is also compensated to account for the mismatch of the DUT.

How to turn OFF match correction:

Click Main, then Correction Methods.

Correction Methods dialog box help

By default, the Guided Power Cal applies match correction to the receiver measurements. However, you may want to turn OFF match correction in the following cases:

  • When making non-traditional measurements, such as high-power or multiport configurations. Because of added components or reconfigurations, the mismatch measurement may not be valid.

  • When you have a remote program that already accounts for the match effects of the sensor.

Clear the box to NOT apply match correction on all receivers used on this channel. The receivers are still corrected using standard receiver calibration. Learn more.

Check the box to apply match correction on all receivers used on this channel.

Last Modified:

18-Nov-2014

Initial Release


Calibrate All Channels

"Cal All" allows you to calibrate multiple channels in a single calibration session. This not only reduces the number of connections that need to be made, but also the number of cal standard measurements that must be performed.

In this topic:

  • Features

  • Limitations

  • How to perform a Cal All Channels Calibration

    • Select Channels dialog

    • Measurement Class Cal Properties dialog

    • Calibration Attenuator Settings dialog

    • Select DUT Connectors and Cal Kits dialog

    • Power Cal Settings dialog

    • Cal Steps dialog

    • Finish

    Note: Call All is disabled when one and more M9377A are installed.

Other Cal Topics

Features

Cal All offers a single, optimized calibration procedure for all channels (with some limitations, see below). The optimizations include:

  • Minimizing the number of physical connection of standards.

  • Minimizing the number of power meter calibration sweeps.

  • User-settable power levels for S-Parameter as well as power calibration steps.

  • Accounting for different switch and attenuator settings among different channels. This reduces the number of measurements required to characterize different switch/attenuator settings (channel setup differences).

  • Cal All will produce the same number and format of Cal Sets (error terms) that would be realized had the calibrations been performed one at a time.

Limitations

  • SMC+ Phase with phase enabled is supported using a known delay mixer or a phase reference cal set. S2P file characterized mixers are NOT supported.

  • Starting the VNA in Multiport mode is NOT supported.

  • Cal All is performed at one IFBW.

  • All channels that are calibrated are forced into stepped sweep mode.

  • All channels to be calibrated MUST have the same cal reference plane. In other words, Cal All cannot compensate for any path changes that occur external to the VNA.

How to perform a Cal All Channels Calibration

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Call All...

Selected Channels dialog box help

  1. Check the channels to be calibrated.

  2. Check the ports to be calibrated.

  3. Click Next>

Note: To perform an LO power cal for a mixer channel, set the LO port to a VNA or external source in the Mixer Setup dialog. Then select that port in this dialog.

Measurement Class Cal Properties dialog box help

Confirm or change the following unique cal properties for each channel to be calibrated. Click a link to learn about these properties.

The properties with (NOT available in Cal All) are NOT available in a Cal All calibration as they are in a stand-alone calibration.

Gain Compression

  • No unique properties.

SMC (VMC is NOT offered)

 | Programming
UI Setting | Property | Value
Enable Phase Correction | "Enable Phase Correction" | "true" or "false"
Phase Correction Method | "Phase Correction Method" | "Use Mixer Delay" "Use Receiver Characterization Calset"
Mixer Delay | "Mixer Delay" | Real number indicating delay value.
Receiver Characterization Cal Set | "Calset" | String of Cal Set Name
Characterized mixer (s2p file) (NOT available in Cal All) |  |

Standard Channel

 | Programming
UI Setting | Property | Value
Include Power Calibration | "Include Power Calibration" | "true" or "false"

The power cal is optional only if none of the selected channels require a power cal.

Calibration Attenuator Settings dialog box help

This dialog shows the Power, Attenuator, and IFBW settings for the Cal All calibration. The default values for the Cal All session are the preset values of a standard S-parameter channel. These values are not necessarily the same as those of the channels that are selected for calibration. When there are differences in measurement path (switch) settings between the Cal All channel and the selected channels, these differences are detected by Cal All and additional measurements are made for each path condition. These additional measurements allow Cal All to produce error terms appropriate for each of the selected channels. In general, the Cal All session should be performed at a power level that is high enough to prevent noise in the error terms. However, an increase in power could cause compression or damage to the VNA receivers. The following settings allow you to increase the power level ONLY during the Cal All session.

Power Limit (Disable)

Cal All shows you when power limits are enabled. This setting provides you a convenient way to TEMPORARILY disable these limits in order to take advantage of the power settings available in Cal All. If power limits are on, your DUT is probably a high-gain device and the attenuator settings in your channels are high resulting in lower power at the cal reference plane. This lower signal can result in noisier measurements during the acquisition of cal. This situation is precisely what Cal All is intended to improve. Cal All allows you to configure the calibration conditions for better signal-to-noise performance during the cal while leaving your DUT conditions alone. You can elect to clear the “Disable Power Limits during cal” checkbox when you prefer to calibrate at a higher power level than is allowed by your limit. The limit is restored after the Cal All session.

Source / Receiver Attenuator

Note: M9485A does not support this function

By default, the Cal All calibration is performed with Source and Receiver attenuators set to 0. Change the Source or Receiver attenuator settings when external hardware (such as a booster amplifier) would cause the VNA receivers to be compressed or damaged.

You may also want to change the attenuator or path configuration settings to force the cal channel to match settings of the selected channels. If all of the selected channels are set to identical hardware settings, it may be better to apply these settings to the cal channel. For example, if your channels all use a 5 or 10 dB attenuator step at port 1, you might elect to change the Cal All channel to use the same low attenuator settings. This will result in the cal measurements being made under the same path conditions as the channel and it will eliminate the need to mathematically compensate for the difference. However, if large attenuator values are used, the default Cal All settings will likely improve your results.

S-Parameter Cal Port Power

Set the power level at which the S-Parameter cal is performed.

Power Offsets

Power Offsets are channel-scoped. Consequently, offsets that you already set are NOT automatically copied to the Cal All session. This setting allows you to also apply a Power Offset during the Cal All session. Learn about Power Offsets.

IF Bandwidth

Set the IFBW used to perform the Cal All calibration. The default IFBW setting of 1 kHz is a good nominal setting for most measurements. Lowering the IFBW removes noise from the calibration measurement, but also causes slower sweeps.

Path Configuration

Note: M9485A/E5080A does not support this function

In addition to application-specific calibration requirements, Cal All performs an S-parameter calibration + power cal on behalf of all the selected channels. By default, this calibration is performed with standard channel default hardware paths:

  • Bypass switches are set to “Thru”

  • Noise switches are set to Normal.

Path configuration differences between your channel and the Cal All channel are mathematically removed.

The Path Configuration dialog allows you to change the path settings for this portion of Cal All calibration.

Select DUT Connectors and Cal Kits dialog box help

For each DUT port:

  • Select the connector at the calibration reference plane (where the cal standards will be connected).

  • Select the cal kit to be used.

Check Modify Cal to change the Thru method. An Unknown Thru cal is performed by default. Learn about THRU methods.

Learn more about this dialog.

Power Cal Settings dialog box help

A guided power cal is performed on the source ports for the Cal All calibration.

This dialog is displayed for each source port to receive a power cal.

To perform an LO power cal for a mixer channel, set the LO port to a VNA or external source in the Mixer Setup dialog. Then select that port in the Selected Channels dialog.

  • To use the same power sensor for all power cals, do NOT check Use Multiple Sensors.

  • To use different power sensors, check Use Multiple Sensors. The sensor must be configured as a PMAR device. Learn how.

Learn about this dialog box.

Cal All Summary dialog box help

This page is a summary of the Cal All settings. Confirm the settings, then click Next > or < Back to change settings.

Cal Steps dialog box help

Follow the prompts to connect each standard. Then click Measure.

Click Re-measure if necessary.

Then click Next >

Finish Cal dialog box help

Click Finish to save the Cal All session results to Cal Registers.

Or click Save As User CalSet, then enter a prefix title. The Meas Class and channel number are appended to this prefix to save to a User Cal Set for each calibrated channel.

Learn more about this dialog.

Last modified:

5-Jan-2016

First Release


Using Cal Sets

Using Calibration Sets

  • What are VNA Cal Sets

  • Cal Registers and User Cal Sets

  • How to Manage and Apply Cal Sets

  • Examples of Cal Set Usage

  • Archiving Cal Sets using .cal files

See Also

Save and Recall: Instrument States and Cal Set Data

See other Calibration Topics

What are VNA Cal Sets

At the completion of a calibration, all calibration data is stored to a Cal Set. The Cal Set can be applied later to any channel that has the same stimulus settings as the Cal Set, thereby saving the time it takes to perform another calibration. The following data is saved to a Cal Set:

  • Name

  • Cal Set Description

  • Cal Set Attributes - stimulus settings, cal type, port association

  • Standards data

  • Error term data

  • GUID (Globally Unique IDentifier)

Cal Registers and User Cal Sets

There are two types of Cal Sets:

  • Cal Registers (channel specific)

  • User Cal Sets

Calibration data is automatically saved to a Cal Register at the end of every calibration. You can also choose to save the cal data to a User Cal Set.

Calibration Registers

New with VNA Release 5.0, Calibration Registers are designed to simplify calibrations for most users. When a calibration is complete, the data is automatically saved to the channel's Cal Register, overwriting (or appended to) the previous cal data stored in that register. This concept is similar to previous Keysight Vector Network Analyzers.

  • Every channel has ONE dedicated Cal Register. They are named CHn_CALREG, where n is the channel number. The name cannot be changed.

  • Cal Registers are more volatile because they are overwritten (or appended) each time a calibration is performed on that channel. The Cal data is always saved, but only temporarily.

  • Cal Registers can be applied to other measurements, but ONLY on the same channel as the Cal Register.

User Cal Sets

At the end of a calibration, you can choose to also save cal data to an existing or new User Cal Set.

  • User Cal Sets can be applied to any number of channels simultaneously.

  • User Cal Sets are named by you for easy identification.

  • You can have an unlimited number of User Cal Sets.

  • At any time, you can copy Cal Register data to create a User Cal Set. See Cal Set Properties.

Note: You can set a Preference to revert the pre-5.0 behavior - Cal data was automatically saved to a User Cal Set instead of a Cal Register.

Appending Data in a Cal Set

At the end of a calibration, data is saved to the channel's Cal Register and, if you choose, to a User Cal Set. When you choose to save to an existing User Cal Set, the VNA attempts to append the new error terms to the existing User Cal Set. The existing Cal Set data is completely overwritten UNLESS the new data can coexist with the existing data according to the following two rules:

  • The stimulus settings of the new data must exactly match the existing data.

  • The new cal must involve different ports from the existing cal.

For example:

Case 1 - An existing Cal Set contains a full 2-port cal between ports 1 and 2. Using the same stimulus settings, you perform a 1-port cal on port 3. At the end of the cal, you click Save As User Cal Set and select the existing full 2-port User Cal Set.

Result: The 1-port cal is appended to the 2-port User Cal Set. There is NO overlap between them.

Case 2 - Same situation as Case 1, except the 1-port cal is performed on port 1.

Result: The Cal Set will contain a 1 port cal on port1 and a 1 port cal on port 2. The overlapping tracking terms are removed rendering the original full 2 port cal invalid.

How to Manage and Apply Cal Sets and Cal Types

The VNA attempts to apply a Cal Set, and turn error correction ON, for ALL of the measurements on the active channel. This may not always be possible. For example, suppose a channel contains both S11 (reflection) and S21 (transmission) measurements. If a Cal Set that contains only an S11 Cal Type is applied to that channel, the Cal Set does not contain the error terms to correct the S21 measurement. Error correction is turned ON for the S11 measurement and NOT turned on for the S21 measurement.

There are two ways to apply an existing Cal Set (Cal Register or User Cal Set) to a measurement:

  1. Recalling an Instrument State with Cal data (.cst file) - A .cst file contains an Instrument State with all measurement attributes AND a 'pointer' to the Cal Set that was used to calibrate the measurement. Before saving a .cst file, be sure that a User Cal Set (NOT a Cal Register) is being used for the measurement. Because Cal Registers are automatically overwritten when a new calibration is performed, it is likely that the Cal Register data will change before the .cst file is recalled.

  2. Create a new measurement and select a Cal Set to apply to the active channel.

Note: NEVER copy or modify Cal Sets from Windows Explorer or other applications. Cal Sets should only be accessed through the VNA Application.

How to select and apply a Cal Set to the active channel

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Cal Sets & Cal Kits > Cal Set...

Calibration Selection dialog box help

This dialog box allows you to manage and apply Cal Sets.

Although the number of Cal Sets you can have is limited only by the amount of VNA memory, it is considered unusual to have more than about 10 existing Cal Sets, or one current Cal Set for every unique channel setup. Old Cal Sets (with 'stale' data) should be deleted or overwritten.

The active channel's Cal Register always appears, even if empty. Cal Registers that belong to other channels appear in the list of Cal Sets only if the channel exists, and only if they contain data.

  • Learn about Cal Registers.

  • Learn how to View the Error Terms of a Cal Set.

To apply a Cal Set to the active channel, click a row to select that Cal Set, then click Apply Cal.

Note: A Cal Set must have been generated from the same measurement class as the active channel in order for it to Applied.

Columns click a heading to sort by that column

Cal Set Name Name to identify the Cal Set.

Description User-settable text to further identify the Cal Set.

Channels Channel numbers that are currently using this Cal Set. A blank entry means it is not currently in use.

CalType / Ports Type of Cal contained in the Cal Set. Learn about applying appropriate Cal Types.

Cal Type Abbreviations:

1P, 2P, 3P, 4P... - Full n-Port calibration

+ - Indicates a Power Correction is included in the Cal Set

R - Response (instead of ports, shows the measurement type that it corrects.)

ER/x-y Enhanced Response, where x is the receive port; y is the source port.

SMC Scalar Mixer Cal

Modified Date and time the Cal Set was last modified.

Buttons

Copy Invokes the Save as User Cal Set dialog box. Type a name for the copy of the selected Cal Set data.

Edit / Properties Invokes the Cal Set Properties dialog box. This allows you to view all of the Cal Set properties and create a duplicate User Cal Set from an existing User Cal Set or Cal Register.

Delete Permanently deletes the Cal Set after you choose OK to a warning prompt.

Delete All Permanently deletes ALL listed Cal Sets and Cal Registers after you choose OK to a warning prompt.

Apply Cal Applies the selected Cal Set to the active channel. If the stimulus settings of the Cal Set and channel are different, a choice must be made.

Unselect Available ONLY if the selected Cal Set is being used by the active channel. Click to 'Un-apply' the Cal Set, then click Close to exit with the Cal Set un-applied.

OK Always APPLIES THE SELECTED CAL SET to the active channel, then closes the dialog box.

Close Exit the dialog box. Performs no further action.

Cal Set Properties dialog box help

Allows you to view all of the Cal Set properties and create a duplicate User Cal Set from an existing User Cal Set or Cal Register.

Name Edit name of the User Cal Set. You can NOT change the name of a Cal Register.

Description Descriptive text to further identify the Cal Set.

Cal Set Properties Lists descriptive information and stimulus conditions of the Cal Set.

Learn how to View the Error Terms of a Cal Set.

Stimulus Setting Different between Cal Set and Measurement

Select Cal Set -- Choose Stimulus Settings dialog box help

The Cal Set contains the channel stimulus settings that were in place when the Cal Set was saved. This dialog appears when the Cal Set channel settings are different than those of the channel to which the Cal Set is being applied. Choose between the following options.. (See above image).

  • A. Keep the Active Channel Stimulus settings. Interpolate if possible.

    • If the Cal Set frequency range is greater the active channel, then Interpolation will be turned ON. Learn more about Interpolation Accuracy

    • If the Cal Set frequency range is less than the active channel, then this option is not available.

  • B. Keep the Cal Set Stimulus settings. The Active Channel stimulus setting are changed.

OK Make the change.

Cancel Cal Set will NOT be applied.

Examples of Cal Set Usage

The following examples show how Cal Sets increase flexibility and speed in making analyzer measurements.

  • Using one User Cal Set with many Channels

  • Using one Measurement with many Cal Sets

Using one User Cal Set with many Channels

It is possible to do one calibration, then apply it to several channels.

An example:

During a manufacturing process, you may have many calibrated channels. You may wish to continuously cycle through the measurements and examine them individually. Occasionally, you may wish to refresh the calibration without having to recreate all the measurement state files.

Here is how: Examine the stimulus settings for each channel. Then make the User Cal Set stimulus range a super-set of the whole group. Each channel can then use the same User Cal Set. Some calibrations will be interpolated. Note: Make sure that interpolation is turned on.

Notice in the following image, Cal Set 78 is used on more than one channel, in this case Channel 5 and 16 .

Channel Cal Set

Using one Measurement with many Cal Sets

The drawback with having one very large User Cal Set associated with many instrument states could be a loss of accuracy due to interpolation. In such cases, consider using one User Cal Set for each stimulus setting.. The stimulus conditions can then be changed for a channel by applying different User Cal Sets. Other settings (window setups, measurement definitions, scaling, limits, markers) will not change. This may result in faster state changes than if you saved and recalled *.cst files for each set of stimulus conditions.

Example #1: An amplifier needs to be measured at several input power levels. Calibrate at several power levels and save each calibration in a separate User Cal Set. Then, apply the User Cal Sets to the single measurement consecutively.

Example #2: Making an S21 Measurement, you need to measure both wide span and narrow span characteristics of the device. One Cal Set covers the wide span setup; another the narrow span setup.

Archiving Cal Sets using .cal or .csa files

Because User Cal Sets can easily be deleted, provide extra backup by also saving your calibration as a .cal or .csa file (see saving a .cal file).

Example:

One person performs a calibration, names and saves it as a User Cal Set. This Cal Set is available for any other person to use. A second user could accidentally delete or modify the User Cal Set requiring the originator to repeat the calibration.

Security can be provided for calibration data by saving the Cal Set to a .cal file or .csa file. At a later time, the file could be recalled and the original calibration restored.

Last modified:

5-Jan-2016

First Release


Error Correction and Interpolation

Error Correction and Interpolation settings work together to provide you with the highest level of calibration accuracy possible.

  • How to set Error Correction

  • Error Correction

  • Viewing Correction Levels

  • How to set Interpolation

  • Interpolation Accuracy

See other Calibration Topics

How to set Error Correction

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Main > Correction > Channel Correction On|Channel Correction Off

Error Correction

The Error Correction ON setting means that the calibration error terms are applied to the measurement. Error Correction is automatically turned ON when a calibration is performed or if a Cal Set is applied to a measurement. The VNA attempts to turn error correction ON for ALL of the measurements on the active channel. This may not always be possible when applying Cal Sets. For more information, see Applying Cal Sets.

When full 2-port error correction is ON, both forward and reverse sweeps are required to gather all 12 error terms, even if only one reflection measurement is displayed. This may result in a higher measurement speed than expected. Learn more.

You can always turn Error Correction OFF for the active measurement by clicking Correction OFF. The VNA will turn Error Correction OFF automatically when making stimulus changes under some conditions. To turn correction back ON, click Correction ON. Then:

  • If Interpolation can NOT be performed, a dialog box will ask if you would like to change the stimulus settings to those of the applied calibration. Click OK or Cancel.

  • If Interpolation can be performed, the stimulus setting will change and correction turned ON.

Viewing Correction Level

The correction level provides information about the accuracy of the active measurement. Correction level notation is displayed on the status bar for different calibration types like response, full 2-port, TRL, or power calibration.

To View Correction Levels:

In the View menu, click Status Bar. The status bar appears and displays the following items:

Correction Level |  | Accuracy
C | Full | Highest
C* | Interpolated | Uncertain
CD | Changed | Uncertain
No Cor | No Correction | Lowest

C Full Correction

Full Correction level is displayed immediately after a calibration is performed or when a valid Cal Set is applied. If you require optimum accuracy, avoid adjusting analyzer settings after calibration so your measurement remains at this level.

C* Interpolated Correction

"C star" appears in the status bar when a measurement is being interpolated. See Interpolation (above) and Interpolation Accuracy.

CD Changed Settings

"C-delta" appears in the status bar when one or more of the following stimulus settings change. The resulting measurement accuracy depends on which parameter has changed and how much it has changed. For optimum accuracy, recalibrate using the new settings.

  • Sweep time

  • IF Bandwidth

  • Port power

  • Stepped sweep enabled/disabled

  • Receiver attenuators

No Cor No Correction

The following will cause the VNA to turn Error Correction OFF for the channel:

  • Decrease the start frequency

  • Increase the stop frequency

  • Change start frequency, stop frequency, or number of points with Interpolation OFF.

  • Change sweep type

How to set Interpolation

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Main > Interpolation > ON|OF

Interpolation

Calibration interpolation adjusts calibration error terms to match changes to the following settings that you make AFTER a calibration is performed or a Cal Set applied.

The Interpolation ON setting means that interpolation is enabled for the active measurement. This does not necessarily mean that the measurement is interpolated. When enabled (ON), if interpolation becomes necessary because you change any of the following stimulus settings, then interpolation will be applied. When stimulus settings change while interpolation is OFF, interpolation is NOT applied but instead, error correction is turned OFF.

Interpolation occurs (if enabled) when you change any of the following settings:

  • Start frequency increased

  • Stop frequency decreased

  • Number of points

Note: Decreasing the start frequency, or increasing the stop frequency will always turn correction OFF. (Exception: Power Calibration DOES extrapolate to the start and stop frequencies.)

Interpolation Accuracy

When a measurement is interpolated, the accuracy of the measurements cannot be predicted. It may be affected significantly or not at all. Identifying measurement errors in these cases must be determined on a case-by-case basis. In general, the magnitude and phase stimulus from the VNA and the response from the DUT need to be smooth and continuous for measurement interpolation to give accurate results.

Significant measurement inaccuracy WILL occur when the phase shift response between measurement points increases changes more than 180 degrees. The VNA will incorrectly interpolate the new phase data. For more information, see phase accuracy.

In general, the chances of significant inaccuracy increases when interpolating measurements under the following conditions:

  • when frequency span between measurement points becomes much greater.

  • when measurement frequencies are above 10 GHz where phase changes happen more rapidly.

  • when interpolating across frequency band crossings. Learn more about band crossings.

Note: When the interpolation algorithm encounters an abrupt or large change in the response magnitude or phase, such as can occur at band crossings, large interpolation errors can be included in the displayed data. These errors can be seen as steps or spikes. If this occurs, consider turning off interpolation, changing the measurement parameters, or creating sweep segments that skip over the band crossings.

Last modified:

5-Jan-2016

First Release


Using ECal

This topic discusses all aspects of performing an ECal:

  • ECal Overview

  • Connect ECal Module to the VNA

  • How to Perform a Calibration Using ECal

See Also:

ECal User-Characterization

Perform a 4-Port Cal with ONE 2-Port ECal Module

Restore ECal Module Memory

See other Calibration Topics

ECal Overview

ECal is a complete solid-state calibration solution. Every ECal module contains electronic standards that are automatically switched into position during a VNA measurement calibration. These electronic standards have been measured at the factory and the data stored within the memory of the ECal module. The VNA uses this stored data, along with the PNA-measured data, to calculate the error terms for a measurement calibration.

ECal modules are available in 2-port and 4-port models and a variety of connector types, covering many frequency ranges. See Analyzer Accessories for more about available ECal modules and ordering information.

You can perform the following calibrations with ECal:

  • 1-Port Reflection calibration

  • Full 2-Port calibration

  • Full 3-Port calibration

  • Full 4-Port calibration

Verify the validity of a mechanical or ECal calibration with ECal confidence check.

Care and Handling of ECal Modules

You can improve accuracy, repeatability, and avoid costly repair of equipment in the following ways.

  • Practice proper connector care. See Connector Care.

  • Protect equipment against ESD damage. Read Electrostatic Discharge Protection.

Power Level into an ECal module

  • NEVER exceed the following Damage levels to the ECal module.

  • For highest accuracy, do not exceed the following ECal Compression levels when calibrating:

Model | Compression level | Damage level
N469x series | -5 dBm | +10 dBm
N4432A series N4433A series | -7 dBm | +20 dBm
N4431x series | +7 dBm | +20 dBm
8509x series | +9 dBm | +20 dBm

Connect ECal Module to the VNA

ECal modules are controlled and powered through a USB connection to the VNA. When you connect the module, the VNA automatically recognizes the type of module, frequency range, and connector type.

.

ECal modules connect to the USB port on the front or rear panel of the VNA.

  1. Wear a grounded wrist strap when making connections.

  2. Connect the USB cable Type B connector to the ECal module and the USB cable Type A connector to the front or rear panel USB connector of the analyzer.

Notes:

  • Unused ECal modules that have completed a calibration may remain connected to the USB port.

  • You can connect and disconnect the ECal module while the analyzer is operating. However, DO NOT connect or disconnect the module while data transfer is in progress. This can result in damage or at least corrupted data.

How to Perform a Calibration Using ECal

Select an ECal module that has connectors of the same type and gender as the DUT. If such an ECal module is not available, a module with connectors different from the DUT can be used by using Advanced Settings or User Characterization. See Also: Perform a 4-Port Cal with ONE 2-Port ECal Module

Connect the ECal module ports to the VNA ports. During the calibration process the VNA can either automatically detect how the ECal module is connected, or the orientation can be performed manually.

  1. Connect the ECal module USB cable to the analyzer USB. See Connect ECal Module USB to VNA USB.

  2. Allow the module to warm up until it indicates READY.

  3. Enter the analyzer settings. See Set Up Measurements.

  4. Do one of the following to start the Calibration Wizard

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Main > Ecal.

  2. In the Guided Calibration Wizard dialog box (step 2), select ECal option from the Cal Kits combo box..

Select Calibration Ports and ECal Module dialog box help

Allows you to select calibration type and settings.

Cal Type Selection / Configuration Select the number of ports to calibrate. Then select the port number configuration.

4 Port ECal Available only if using a 4-port VNA. No additional configuration necessary.

3 Port ECal Available only if using a 4-port VNA.

2 Port ECal

1 Port ECal- (Reflection) Advanced Settings are not available.

View/Select ECal Module Click to Select the ECal module if more than one ECal module is connected to the VNA. Also, Select the User Characterization within the module. Learn more about User Characterization.

Show Advanced Settings Check to display the Advanced Settings when Next is clicked.

Back Return to Cal Wizard Begin dialog. If checked, you can clear the Save Preferences checkbox to see the Begin page when the Cal Wizard begins.

Note: The VNA no longer allows ECal isolation to be performed. The inherent isolation of the VNA is better than that attained with correction using an ECal module.

Note: Terminate any unused ECal ports with a 50 ohm load.

Note: Do not connect any USB memory during ECal calibration.

ECal module not found dialog box help

When this dialog appears, the ECal module is not connected or has not been recognized by the network analyzer.

Retry Check the USB connections and click to continue.

Notes:

  • If your ECal module is not detected, try to unplug, then reconnect the USB connector to the VNA.

  • When the ECal module is connected to the network analyzer for the first time, it may take approximately 30 seconds for the analyzer to recognize the module and make it available for calibration.

  • For best accuracy, allow the ECal module to warm-up until it indicates READY.

  • Keysight 8509x and N4431 ECal modules, when first connected, draw significantly more current than other modules. This could cause the USB to stop working in certain situations. See USB limitations.

  • See Connect ECal Module USB to VNA USB.

Select Module and Characterization dialog box help

ECal Module Select one of the ECal modules that are connected to the VNA.

Detect Connected ECals Click to rescan the USB for ECal modules.

Available Characterizations

ECal Module Memory - Displays the factory and user characterizations that are stored in the ECal module.

VNA Disk Memory - Displays the user characterizations that are stored in VNA Disk Memory. Learn more User Characterizations in VNA Disk Memory.

Select either the characterization data to use for the calibration. Once selected, that characterization becomes the default selection until the VNA is turned OFF and restarted. When restarted, Factory again becomes the default selection.

Error: Frequency Range dialog box help

When this dialog appears, the current cal standards (or ECAL module) does not cover the current frequency range of the measurement. Do one of the following to correct the problem:

Cal Kit Class Category Not available with ECal modules.

Frequency Change the frequency range of the active channel.

Edit Not available with ECal modules.

Back Select a different characterization that covers the required frequency range.

Cancel Re-characterize the module with an increased frequency range.

Select DUT Connectors and Cal Kits dialog box help

If the ECal module or selected User Characterization has more than one connector type, then the following dialog box is presented which allows you to describe the DUT connector type. Otherwise, click next to proceed to Advanced Settings (if checked) or ECal Steps.

Connectors

The available connectors are listed for each DUT port.

Advanced Settings dialog box help

Thru #n

Lists the proposed Thru connections to be made during the calibration process. You can change these Thru connections to better suit your test setup.

  • The proposed Thru connections are listed automatically.

  • Additional Thru connections can be selected for higher accuracy. Learn more.

  • For Balanced measurements, learn which Thru paths to select.

Add Thru

Click to add a Thru connection. Learn more

Remove Thru

Select a Thru by clicking the "Thru #N" field or the "1st Port / 2nd Port" field. Then click "Remove Thru". This selection is NOT available if the selected Thru is required for the calibration.

1st Port / 2nd Port

Click to change the two ports to be included in the Thru connection. The order of the port numbers (1st or 2nd) is not critical.

Thru Cal Method

Lists the available Thru Cal methods for the specified port pairs.

Learn about ECal Thru Methods

Cal Type/ Stds

Click to invoke the View / Modify Properties of Cal dialog box

Do orientation

When this box is checked (the default setting) the VNA automatically senses the model and direction in which an ECal module port is connected to the VNA ports. If power to the ECal module is too low, it will appear as if there is no ECal module connected. If you use low power and are having this problem, clear this check box to provide the orientation manually.

Orientation occurs first at the middle of the frequency range that you are calibrating. If a signal is not detected, it tries again at the lowest frequency in the range.

Choose delta match

Available only when a Delta Match Cal is required.

  • Check, then click Next to invoke the Select Cal Set for Delta Match dialog box.

  • Clear - The Cal Wizard uses the Global Delta Match Cal if available.

Specify how the ECal module is connected dialog box help

This dialog box appears when the Do orientation checkbox in the previous dialog box is cleared.

Click the ECal Port that is connected to each VNA port.

Electronic Calibration Steps dialog box help

Note: ECal can be performed with External triggers. Learn more.

Displays the instructions for each measurement required for calibration.

Measure Measures the ECal standards.

Done Click when last standard has been measured.

Saving an ECal Calibration

When complete, you can save the new calibration. Learn how.

Last modified:

8-Sep-2014

First Release


ECal User Characterization

  • Overview

  • How to Perform a User Characterization

  • Manage Disk Memory

  • Restore ECal Module Memory

See Also

Using ECal

Perform a 4-Port Cal with a 2-Port ECal Module

Other Calibration Topics

Overview

A user-characterized ECal module allows you to add adapters to the ECal module, re-measure the standards in the ECal module, INCLUDING the adapters, then add that data to ECal memory or save it to the VNA hard drive. This extends the reference plane from the module test ports to the adapters.

Why perform a User Characterization?

  • If you need to use adapters with your ECal module, you could characterize your ECal module with the adapters attached and perform subsequent ECals in a single step.

  • If you have a 4-port ECal module, you could configure the module with adapters of different connector types, then perform a User Characterization of the module. When you need to test a DUT with a pair of the connector types on your module, calibrate the VNA with a 1-step ECal using the same two connectors on the User-characterized module.

  • If you test devices in a fixture, you could embed the characterization of the fixture in the characterization of the module. To do this, during the mechanical calibration portion of the User Characterization, calibrate at the reference plane of the device as you would normally calibrate. Then remove the fixturing to be embedded and insert the ECal module to be characterized. When measuring the ECal module, the VNA removes the effects of the fixturing and stores the measurement results in the user characterized ECal module. Subsequent calibrations with that user-characterized module will also remove the fixture effects.

Notes:

  • Both 2-port and 4-port ECal modules support User Characterization.

  • User Characterization does not delete the factory characterization data. The factory data is saved in the ECal module in addition to the User Characterization data.

  • The ECal Data Wipe Utility is the only way that data can be deleted from the module. Learn more at http://na.tm.Keysight.com/pna/apps/applications.htm.

  • A User Characterization can be performed beyond the frequency range of the ECal module. Although this practice is allowed, calibration accuracy with the extended User Characterization is likely to be degraded. To determine the level of degradation, compare measurements of a variety of devices using a VNA with a mechanical cal kit calibration versus an ECal extended User Characterization calibration.

  • You can save up to 12 User Characterizations in a single ECal module. Previous releases allowed up to 5. There are memory limitations. The VNA will determine if the contents of a User Characterization will fit inside the module before it is performed.

  • Saving a new User Characterization with VNA releases before A.08.33 will erase any User Characterizations greater than 5. This is because the VNA completely rewrites ALL ECal User Characterizations when saving a new one in order to free storage space in the ECal module.

  • A User Characterization can be performed remotely. See programming commands.

User Characterizations can be saved to the VNA Disk Memory. Learn how. Previously, User Characterizations could be saved only to the ECal module memory.

This feature provides the following benefits:

  • A User Characterization using connectors that are NOT included in the supported connector table can NOT be stored to the ECal module. But when stored to disk memory, ANY connector type is allowed by firmware using a description of any length for the User Characterization.

  • There is NO limit to the number of data points allowed in a User Characterization stored to disk memory. When stored in the ECal module, the number of data points is limited by the VNA firmware.

  • The number of User Characterizations that can be stored to disk memory is limited only by available disk space.

  • User Characterizations stored to disk memory can be freely shared between VNAs.

Learn how to Manage User Characterization in Disk Memory.

How to Perform a User Characterization

SUMMARY (A detailed procedure follows.)

1. Select adapters for the module to match the connector configuration of the DUT.

2. Either calibrate the VNA using mechanical standards or recall an existing Cal Set.

3. Measure the ECal module, including adapters, as though it were a DUT.

4. The measurement results are the characterization data that then gets stored inside the module.

Note

A 2-port VNA can be used to perform a User Characterization on a 4-port ECal module. However, a 4-port ECal module has SIX different port pairs. The VNA must be recalibrated for each port pair that uses unique connecter types or gender.

  • If all 4 ECal module ports have the same connector type and gender, then only one VNA calibration is required to measure all six port pairs.

  • If all 4 ECal module ports have different connector types or gender, then 6 calibrations are required.

When more than one VNA calibration is required during a User Characterization, then ALL calibrations must be performed using the standard Cal Wizard, saved to Cal Sets, and then recalled from Cal Sets DURING the User Characterization.

Detailed steps to Perform a User Characterization

  1. Connect the ECal module to the network analyzer with the USB cable. See Connect ECal Module USB to VNA USB.

  2. Allow the module to warm up until it indicates READY.

  3. Preset the analyzer.

  4. Set up the measurement. For best accuracy, the IF bandwidth should be set to 1 kHz or less.

  5. Start and complete the Characterize ECal Module Wizard:

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Cal Sets & Cal Kits > Ecal > Characterize Module...

Select Module and Location dialog box help

ECal Module Select one of the ECal modules that are connected to the VNA.

Detect Connected ECals Click to rescan the USB for ECal modules.

Location

  • ECal Module Memory Click Next to see the following dialog.

  • VNA Disk Memory Enter a Characterization Name. This name appears when selecting a User Characterization to be used with subsequent calibrations.

    • Learn how to manage characterizations that are stored to VNA disk memory.

    • See the benefits of storing the User Characterization to VNA Disk Memory.

Keyboard Launches a keypad that can be used to type a characterization name from the VNA front panel.

Next Click to continue to the Select Connectors for the Characterization dialog box.

See note regarding extended frequency use.

Select User Number for new characterization dialog box help

Scroll to view all of the parameters of the stored characterizations. Select an empty location or select to overwrite an existing characterization.

Next Click to continue to the Select Connectors for the Characterization dialog box.

See note regarding extended frequency use.

Select Connectors for the Characterization dialog box help

Connector Notes

When performing an ECal User Characterization, do NOT use a custom connector name that you added to this list. If you need to use a custom-defined connector type, select "Type B", or one of the "Type A" variations from the list of connectors for each port.

A User Characterization using connectors that are NOT included in the supported connector table can NOT be stored to the ECal module. But when stored to disk memory, ANY connector type is allowed. Learn more about storing to VNA Disk Memory.

Select the adapters for the ECal module test ports. Select No adapter if no adapter is used on a port.

PORT A Lists the connector types available for Port A.

PORT B Lists the connector types available for Port B.

PORT C Lists the connector types available for Port C (available with a 4-port ECal module).

PORT D Lists the connector types available for Port D (available with a 4-port ECal module).

Next Click to continue to the Calibrations to perform or recall dialog box.

Calibrations to perform or recall dialog box help

The VNA must be calibrated before measuring the ECal module and necessary adapters. This dialog box displays the number and types of mechanical calibrations required for the characterization.

Guide me through this cal now Click to perform a Guided calibration. A calibration kit is required for each connector type.

If more than one calibration is required, this selection is not available. See Note.

Let me recall this cal from a cal set Click to select an existing Cal Set. You cannot select a Cal Set that is currently in use. Learn more about Using Cal Sets.

Next Click to continue to either the Select Cal Kits or the Select Cal Set dialog box.

Select Cal Kits dialog box help

Provides a list of calibration kits to perform the calibration. Select the Cal Kit you will use for each port.

Enable Unknown Thru for characterizing the module Check to enable. This reduces the number of steps required to characterize the THRU standard. This setting is available only on VNA models with one reference receiver per test port.

Next Click to continue to the Select Cal Set dialog box.

Select Cal Set dialog box help

The calibration that you perform will be written to a Cal Set. This dialog box allows you to select a Cal Set to overwrite, or to write to a new Cal Set. The current choice is visible below the Select Cal Set button.

Select Cal Set Click to open the Select A Cal Set dialog box.

Create new Cal Set Check to create a new Cal Set to store the calibration. Clear to select and overwrite a stored Cal Set.

Next Click to continue to the Guided Calibration Steps dialog box.

Note: Remember the Cal Set name for future reference.

Guided Calibration Steps dialog box help

Instructs you to connect each calibration standard to the measurement port.

Measure Click to measure the standard.

Back Click to repeat one or more calibration steps.

Done Click after a standard is re-measured and all measurements for the calibration are complete.

Next Click to continue to the next calibration step. (Does not measure the standard.)

Cancel Exits Calibration Wizard.

The Specify nominal delay or Guided Calibration completed dialog box appears when the steps are completed.

Specify nominal delay dialog box help

This dialog ONLY appears when Adapter Removal or Unknown Thru calibrations are performed.

The following values were estimated from the measurement. Most of the time, they are adequate. However, for CW sweep or frequency sweep with large step sizes, the accuracy of the values may be improved.

Nominal adapter delay To improve this value, measure and record the delay of the adapter with a dense step size. Enter that value here.

Nominal phase offset (Waveguide ONLY). To improve this value, measure and record the phase offset of the Waveguide adapter with dense step size. Enter that value here.

When one connector is coax and the other connector is waveguide, the phase offset has an ambiguity of 180 degrees. For consistency, the estimate provided here is always between 0 and 180 degrees. You can change this estimate to any value between -180 degrees and +180 degrees.

Guided Calibration completed dialog box help

Allows you to finish the calibration and continue to the next characterization steps.

No. Finish now Select to save Cal Set data.

Yes Allows selection of Save options.

Next Click to continue to the Exit to Inspect Quality of Calibration dialog box.

Exit to Inspect Quality of Calibration dialog box help

Allows you to exit User Characterization to validate the calibration before proceeding with the characterization.

Back Allows you to repeat calibration.

Next Click to continue to the Characterization Steps dialog box.

Cancel Exits the Calibration.

To return to the current step:

  1. Start User Characterization.

  2. In the Select user number for new characterization dialog box, click Next.

  3. In the Select Connectors for Characterization dialog box, click Next. (Previous entry is stored in memory.)

  4. In the Calibrations to perform or recall dialog box, recall the Cal Set that you just performed.

Characterization Steps dialog box help

Describes the instructions for each measurement required for characterization.

Measure Measures the ECal module.

Next Click to continue to the Information for the New Characterization dialog box when measurements are complete.

Information for the New Characterization dialog box help

Allows you to describe the properties of the User Characterization.

Suggestions for connector abbreviations

To minimize the number of characters, we suggest using the following 3-character codes to describe the connectors listed.

A User Characterization using connectors that are NOT included on this list can NOT be stored to the ECal module. But when stored to disk memory, ANY connector type is allowed. Learn more about storing to VNA Disk Memory.

Connector Type | 3-Character Code
1.0 mm female | 10F
1.0 mm male | 10M
1.85 mm female | 18F
1.85 mm male | 18M
2.4 mm female | 24F
2.4 mm male | 24M
2.92 mm female | 29F
2.92 mm male | 29M
3.5 mm female | 35F
3.5 mm male | 35M
7-16 female | 16F
7-16 male | 16M
Type F female | F7F
Type F male | F7M
N50 female | N5F
N50 male | N5M
N75 female | N7F
N75 male | N7M
APC 7 | 7MM
K-band waveguide | KBW
P-band waveguide | PBW
Q-band waveguide | QBW
R-band waveguide | RBW
U-band waveguide | UBW
V-band waveguide | VBW
W-band waveguide | WBW
X-band waveguide | XBW

Next Click to continue to the Write Characterized Data to the ECal module dialog box.

Write Characterized Data dialog box help

The VNA writes User Characterization and factory characterization data to either the VNA disk memory or the ECal module memory.

Write Click to write data.

The Summary of new User Characterization dialog box opens after data is saved to module.

  • Existing data will be overwritten is you selected a User Characterization number that already has data. Learn more

  • For more information, see Restore ECal module memory.

  • The ECal Data Wipe Utility is the only way that data can be deleted from the module. Learn more at http://na.tm.Keysight.com/pna/apps/applications.htm.

Summary of new User Characterization dialog box help

Verify the status of the ECal User Characterization.

  • ECal module model number

  • summary from User Characterization

Cancel Click to exit (characterization complete).

Finish Click to exit (characterization complete).

Manage ECal User Characterizations in Disk Memory

Normally, User Characterizations that are stored in VNA disk memory can be used indefinitely without needing them to be managed. However, this dialog allows you to backup the characterizations in case they are accidentally erased, or to save them to a file that can be moved to another VNA.

How to Manage ECal User Characterizations in Disk Memory

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Cal Sets & Cal Kits > ECal > Manage Ecal Disk Memory...

Manage ECal User Characterizations in Disk Memory dialog box help

This dialog allows you to do either of the following:

  • Save an existing User Characterization in disk memory to an *.euc file.

  • Load a previously saved *.euc file for use on the VNA with the specified ECal module.

Learn more about User Characterizations stored to Disk Memory.

ECal Module Select an ECal Module from the list for which User Characterizations are currently stored in VNA disk memory.

Save As Saves a User Characterization that is currently in VNA disk memory to a *.euc file. This file can be used as a backup in case the archive file is accidentally deleted, or allows you to move the file to another VNA to be used with the selected ECal Module.

Import Loads a previously saved *.euc file for use on the VNA with the specified ECal module.

Delete Removes a User Characterization from VNA disk memory.

Restore ECal Module Memory

When user-characterized data is written to the ECal module, the entire contents of ECal memory is also written to the VNA hard drive, including the factory ECal data. In the unlikely event that your ECal module memory is lost, you can restore all ECal data to ECal memory.

Caution: If a new factory cal was performed after the ECal memory was written to the VNA, the new factory cal data will also be overwritten.

Note: An ECal Data Wipe Utility destroys all user data per US DoD 5220.22-M. Learn more at http://na.tm.Keysight.com/pna/apps/applications.htm

How to Restore ECal Module Memory

Using Hardkey/SoftTab/Softkey

  1. Press System > Service > Restore Ecal Memory

No Programming commands are available for this feature.

Module to be restored dialog box help

Verify the serial number of the module to be restored. If two modules are connected to the VNA , choose the one to have data restored.

Next Click to write data to the module.

Last modified:

8-Sep-2014

First Release


Perform a 4-Port Cal with a 2-Port ECal Module

Perform a 4-Port Cal with One 2-Port ECal Module

You can perform a 4-port calibration with a 2-Port ECal Module. When all four DUT connectors are the same type and gender, the calibration can occur with only four connections, the same number of connections you would make with a 4-port ECal module.

  • The ECal module must span the frequency range of the measurement.

  • The ECal module must have connectors that match the DUT connectors. Because we are using a 2-port ECal module, this means that the DUT must have only TWO unique connector types and gender. When the DUT has more than two connector types/genders, you can select a different cal kit for each port using SmartCal.

Procedure

  1. Connect the 2-port ECal module to a VNA USB port.

  2. Press Cal, then Start Cal, then Cal Wizard

  3. Select either SmartCal or Use Electronic Calibration then click Next.

  4. Select 4 Port Cal, then click Next to see the following dialog:

  5. Select the DUT Connectors for each port. In this example, all four DUT connectors are Type N, female.

  6. Select the attached ECal module. We are using a 85092-60007 ECal module.

  7. Select Modify Cal (Show Advanced Settings for ECal) then click Next to see the following dialog:

  8. For the fewest number of physical connections, select the default port assignments.

    • The 1st Port selection for each port pair is 1.

    • For single-ended (standard) measurements, THREE is the minimum number of Thru connections. For Balanced measurements, FOUR Thru connections should be made. Learn more.

    • For higher accuracy, select Add Thru. The Cal Wizard will add another port pair which results in more physical connections.

  9. Select ECal Thru as Unknown. This is the most accurate and easiest Thru Cal Method. Learn more.

  10. You may need to clear Do Orientation when calibrating at low power levels. Learn more. This will add additional connection steps.

  11. Follow the prompts to complete the calibration:

    1. Connect ECal to ports 1 and 2. Click Measure.

    2. Connect ECal to ports 1 and 3. Click Measure.

    3. Connect ECal to ports 1 and 4. Click Measure.

  12. At the Specify Delay dialogs, click OK. This is the measured delay for each of the Thru connections in the ECal module. Learn more.

  13. Click either Save As User Cal Set, or Finish.

Last modified:

2-Aug-2011

New topic


TRL Calibration

TRL (Thru, Reflect, Line) represents a family of calibration techniques that measure two transmission standards and one reflection standard to determine the 2-port 12-term error coefficients. For example, TRM (Thru, Reflect, Match), LRL (Line, Reflect, Line), LRM (Line, Reflect, Match) are all included in this family.

The traditional SOLT calibration measures one transmission standard (T) and three reflection standards (SOL) to determine the same error coefficients.

  • Why Perform a TRL Cal?

  • The TRL Calibration Process

  • TRL Cal Kits

  • Cal Standards Used in TRL

  • TRL with an External Test Set

See other Calibration Topics

Why Perform a TRL Cal?

TRL calibration is extremely accurate, in most cases more accurate than an SOLT cal. However, very few calibration kits contain TRL standards. TRL Cal is most often performed when you require a high level of accuracy and do not have calibration standards in the same connector type as your DUT. This is usually the case when using test fixtures, or making on-wafer measurements with probes. Therefore, in some cases you must construct and characterize standards in the same media type as your DUT configuration. It is easier to manufacture and characterize three TRL standards than the four SOLT standards.

Another advantage of TRL calibration is that the TRL standards need not be defined as completely and accurately as the SOLT standards. While SOLT standards are completely characterized and stored as the standard definition, TRL standards are modeled, and not completely characterized. However, TRL cal accuracy is directly proportional to the quality and repeatability of the TRL standards. Physical discontinuities, such as bends in the transmission lines and beads in coaxial structures, will degrade the TRL calibration. The connectors must be clean and allow repeatable connections.

To learn more about Cal Standard requirements, see Cal Standards Used in TRL.

Note: Virtual Device describes a non-physical (connect the two test port reference planes together) type of connection description during the calibration. So, in a cal kit definition, you should in general not define more than one Thru standard with the same connector/gender pairing to each be a Virtual Device. That could cause those Thru standards to all be treated as the same physical connection step during a calibration, which would especially be a problem for TRL calibrations if a Thru standard and Line standard were measured as the same connection step.

The TRL Cal Process

Although TRL can be performed using the Cal Wizard Unguided Cal selection, the following process uses the easier SmartCal selection. Both selections require that you already have TRL calibration standards defined and included in a VNA cal kit.

  1. Preset the VNA

  2. Set up a measurement and the desired stimulus settings.

  3. Click Cal > Other Cals > Smart Cal... .

  4. Select the DUT connectors and Cal Kit for each port. The LOWEST port number of each port pair MUST include TRL standards. TRL appears as the Cal Method.

  5. Check Modify Cal, Next, then View/Modify to change default TRL options if necessary.

  6. Follow the prompts to complete the calibration.

  7. Check the accuracy of the calibration

TRL Cal Kits

Keysight Technologies offers two cal kits that include the required standards to perform a TRL calibration: 85050C (APC 7mm) and 85052C (3.5mm). Both kits include the traditional Short, Open, and Load standards. (The Thru standard, not actually supplied, assumes a zero-length Thru). In addition, the kits include an airline which is used as the LINE standard. To use the airline, the kits include an airline body, center conductor, and insertion / extraction tools. The APC 7 kit includes an adapter to connect the airline to the APC connector.

Cal Standards Used in TRL

These standards must be defined in your TRL cal kit:

THRU

Note: All THRU calibration methods are supported in a TRL Cal EXCEPT Unknown Thru.

  • The THRU standard can be either a zero-length or non-zero length. However, a zero-length THRU is more accurate because it has zero loss and no reflections, by definition.

  • The THRU standard cannot be the same electrical length as the LINE standard.

  • If the insertion phase and electrical length are well-defined, the THRU standard may be used to set the reference plane.

  • Characteristic impedance of the THRU and LINE standards defines the reference impedance of the calibration.

  • If a THRU standard with the correct connectors is NOT available, an adapter removal cal can be performed.

REFLECT

  • The REFLECT standard can be anything with a high reflection, as long as it is the same when connected to both VNA ports.

  • The actual magnitude of the reflection need not be known.

  • The phase of the reflection standard must be known within 1/4 wavelength.

  • If the magnitude and phase of the reflection standard are well-defined, the standard may be used to set the reference plane.

LINE

The LINE and THRU standards establish the reference impedance for the measurement after the calibration is completed. TRL calibration is limited by the following restrictions of the LINE standard:

  • Must be of the same impedance and propagation constant as the THRU standard.

  • The electrical length need only be specified within 1/4 wavelength.

  • Cannot be the same length as the THRU standard.

  • A TRL cal with broad frequency coverage requires multiple LINE standards. For example, a span from 2 GHz to 26 GHz requires two line standards.

  • Must be an appropriate electrical length for the frequency range: at each frequency, the phase difference between the THRU and the LINE should be greater than 20 degrees and less than 160 degrees. This means in practice that a single LINE standard is only usable over an 8:1 frequency range (Frequency Span / Start Frequency). Therefore, for broad frequency coverage, multiple lines are required.

  • At low frequencies, the LINE standard can become too long for practical use. The optimal length of the LINE standard is 1/4 wavelength at the geometric mean of the frequency span (square root of f1 x f2).

Note: The TRL LINE standard must have a delay that is greater than 0 (zero) ps. Otherwise, calibration correction calculations will contain unpredictable results.

MATCH

If the LINE standard of appropriate length or loss cannot be fabricated, a MATCH standard may be used instead of the LINE.

  • The MATCH standard is a low-reflection termination connected to both Port 1 and Port 2.

  • The MATCH standard may be defined as an infinite length transmission line OR as a 1-port low reflect termination, such as a load.

  • When defined as an infinite length transmission line, both test ports must be terminated by a MATCH standard at the same time. When defined as a 1-port load standard, the loads are measured separately. The loads are assumed to have the same characteristics.

  • The impedance of the MATCH standard becomes the reference impedance for the measurement. For best results, use the same load on both ports. The load may be defined using the data-based definition, the arbitrary impedance definition, or the fixed load definition.

See Also

  • See Modify Calibration Kits for detailed information about creating and modifying Calibration kit definitions.

TRL with an External Test Set

TRL CAN be performed with an External Test Set enabled. Previously, a TRL calibration required a VNA with a reference receiver for each test port. With the new TRL method, a Delta Match Calibration is first performed and applied.

Note: See Delta Match Calibration to learn which models require this.

The accuracy of this TRL cal greatly depends on the accuracy of the Delta Match Calibration. With an accurate Delta Match Calibration, the difference in accuracy between a traditional TRL cal and this TRL cal is negligible.

How to Perform a TRL Cal in these cases

  1. Click Cal > Other Cals > Smart Cal... .

  2. Select a TRL cal kit for the ports to be calibrated.

  3. During the calibration, the Cal Wizard prompts you for a valid Delta Match Cal.

Last modified:

2-Sep-2014

First Release


Power Calibration

Source and Receiver Power Calibrations work together to provide very accurate power levels from the source, and very accurate power measurements from the VNA receivers.

  • Source Power Calibration Overview

  • Supported Power Meters and Sensors

  • How to perform Source Power Calibration

  • Setup

  • Source Power Cal dialog

  • Saving a Source Power Calibration

  • Reducing Time to Complete a Source Power Calibration

  • Receiver Power Calibration

  • Saving Receiver Cals

Other Source Power Cal choices

  • Guided Power Cal can be performed during an S-parameter Guided Calibration. Learn more.

  • Receiver Leveling can be used to provide 'real-time' source power cal. Learn more.

  • See Also: Configure an Power Meter As a Receiver (PMAR)

See other Calibration Topics

Source Power Calibration Overview

Perform Source Power Calibration when you need accurate power levels at some point in the measurement path between the VNA test ports. For example, you need to characterize the gain of an amplifier across a frequency range at a specified input power. You would perform a source power cal at the input of the amplifier to ensure the exact power level into the amplifier across the frequency range.

Using a Source Power Cal, you can expect the power at the point of calibration to be within the range of the uncertainty of the power meter and sensor that is used.

Source Power Calibration...

  • Is independent of measurement type. It corrects the VNA source regardless of which receivers are being used in a measurement. Therefore, it can be used with both ratio or non-ratio measurements.

  • Applies ONLY to those measurements on the selected channel that use the test port that was specified as the Source for the calibration. For example, if you specify Channel 1 and Port 1 as the source to be calibrated, only those measurements on channel 1 that use port 1 as the source will be corrected.

  • Can be used in conjunction with other measurement calibrations, such as a full 2-port calibration. For highest accuracy, perform the measurement calibration AFTER the source calibration.

  • Can be used with Power Sweep type. Source Power Cal will correct the power at all power levels across the power sweep.

  • Can be used with Port Power Uncoupled.

  • Forces sweep mode to Stepped on measurements with source power correction turned ON.

  • An external source can be calibrated using Source Power Cal.

Overview of How it works:

See Important First-time USB connection note.

Click to see the detailed procedure

  1. Specify the measurement settings (frequency range, IFBW and so forth).

  2. Start Source Power Calibration.

Note: When using an 848X power sensor (sensors that do NOT have built-in calibration factors), enter the Cal Factors using the Power Sensor Settings dialog, because the VNA instructs the power meter to NOT use the Cal Factor tables internal to the power meter.

  3. Connect a power meter sensor to the point at which you want a known power level. This may be at the input or output of your device, or some other point between the test ports.

  4. The VNA source is stepped through the specified frequency range, and power is measured with the power meter. At each data point, the source power is adjusted until the measured power is within your specified accuracy level.

  5. When complete, the power meter is preset. The source power calibration can be saved as part of the instrument state.

  6. The power meter is removed and the measurement path reconnected.

  7. The calibration is automatically applied to the channel. All measurements on that channel using that source port benefit from the source power cal.

  8. Perform an S-parameter calibration AFTER a Source Power Cal. The S-parameter cal is performed using the corrected stimulus power levels for the relevant ports.

Verify the source power calibration using the following procedure.

  1. Connect the power meter as it was during the source power calibration.

  2. Set the VNA to Point Trigger mode.

  3. Trigger the VNA across the trace. Read about the behavior of the sweep indicator.

  4. At each data point, the power meter should read the corrected power level within the specified tolerance.

Supported Power Meters and Sensors

See Keysight's Power Meters and Sensors Webpage.

USB Power Sensors

  • U848x Series USB Thermocouple Power Sensors

    • These include the following models: U8481A, U8485A, U8487A, U8488A

  • U2020 X-Series USB Peak and Average Power Sensors.

    • The VNA does NOT support peak mode in these sensors, but measures average power.

  • U2000 Series USB power sensors.

  • U2040 X-Series USB and LAN Power Sensors.

USB Notes:

  • From a standard power cal (this topic), only one USB power sensor can be used to cover the entire frequency span. To use multiple power sensors, perform a Guided Power Cal. Learn how.

  • To select a USB power sensor for a standard power cal:

    1. Connect the sensor directly to one of the VNA USB ports.

    2. From the Source Power Cal dialog, click Power Meter Config.

    3. On the Power Meter Settings dialog, select USB.

  • See Important First-time USB connection note.

  • See note about Zeroing USB Power Sensors.

  • See also: Power Meters as Receivers (PMAR)

LAN Notes:

  • LAN power sensors can only be controlled via LAN.

  • Typical LAN ports found on a PC or Keysight instrument are used for data transfer and communication only and will not power up a U2049XA LAN Power Sensor.

  • LAN power sensors must connect to a PoE port (Power over Ethernet), which will supply DC power required to power up the sensor and to transfer data.

  • To select a LAN power sensor for a standard power cal:

    1. Connect the sensor to a PoE/LAN connection.

    2. From the Source Power Cal dialog, click Power Meter Config.

    3. On the Power Meter Settings dialog, select LAN and enter the host name of the power sensor.

Power Meters

  • P Series power meters (N1911A, N1912A, N1921A, N1922A) and all supported sensors.

  • EPM Series power meters (N1913A and N1914A) and all supported sensors.

  • EPM-P Series power meters (E4416A and E4417A) and all supported sensors.

  • EPM-441A and EPM-442A Series power meters and all supporting sensors.

  • E Series power meters (E4412A, E4413A, E4418A, E4418B, E4419A, E4419B, E9300A, E9301A, E9304A, E9304A-H18, E9304A-H20, E9300H, E9304A-H19, E9301H, E9300B and E9301B) and all supported sensors.

  • HP 437B / 438A power meters.

  • ECP-E18A power meters.

  • 8482A power meters.

Power Meter Notes:

  • N1911A, 12A, 13A, and 14A power meters have a device-side USB connector [image] and are controlled by the VNA exactly like a USB sensor. See USB Power Sensors (above). Although these meters may also have a front-panel USB port, USB power sensors must be connected directly to one of the VNA USB ports.

  • Source Power Calibration operates slowly with the Keysight E930x and E932x power sensors.

  • Some Keysight power meters have a mode that emulates the command set of the 437B or 438A power meter. The VNA does NOT support this emulation mode.

  • The 82357B USB/GPIB Interface can be used to control power meters.

  • Create a Custom Power Meter Driver for use with other power meters.

How to perform Source Power Calibration

Note: n Guided Power Cal can be performed during an S-parameter Guided Calibration. Learn more.

  1. Setup your measurement (sweep type, frequency range, IFBW, and so forth). By default, a Source Power Cal is performed on the source port of the active measurement.

  2. Connect coax cable, GPIB cable, and power sensors to the VNA as shown in graphic below.

This image does NOT apply to USB power sensors, which are connected directly to a VNA USB port.

See Important First-time USB connection note.

  3. Apply power to the power meter and allow 30 minutes warm-up time before beginning calibration.

  4. Select Source Power Cal as follows:

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Other Cals > Source Power Cal....

  5. Complete the Source Power Cal dialog box (below), including Options, Loss Compensation and Power Sensor Settings, as needed.

Note: When using an Keysight 848X power sensor (sensors that do NOT have built-in calibration factors), enter the Cal Factors using the Power Sensor Settings dialog, because the VNA instructs the power meter to NOT use the Cal Factor tables internal to the power meter.

  6. When complete, click Take a Cal Sweep in the Source Power Cal dialog box.

  7. Follow the prompts to connect the sensors as required.

  8. At this time you can change the Source Port setting and perform a Source Power Cal on a different port.

  9. When calibration is finished, click OK. Correction is then applied and turned ON for the relevant ports on the active channel.

  10. Remove sensor.

  11. SrcPwrCal is displayed in the status bar when Source Power Correction is applied to the Active Measurement.

  12. Perform a S-parameter calibration, which would use the corrected stimulus power levels for the relevant ports.

To turn Source Power Correction OFF:

  • Cal > Other Cals > Source Power Cal... and turn it OFF.

  • ONLY correction for the source port of the ACTIVE MEASUREMENT is turned OFF (regardless of port power coupling setting.)

Interpolation or Extrapolation

If the original stimulus settings are changed, Interpolation or EXTRAPOLATION is applied and SrcPwrCal* is displayed in the status bar. This is different from measurement calibration interpolation. For example, if the frequency span is increased, the VNA will extrapolate new correction values rather than turn correction off. This is to protect your test device from being overpowered by the source. If the original settings are restored, then source power calibration returns to full correction.

Source Power Cal dialog box help

Note: Be sure that the frequency range of your power sensor covers the frequency range of your measurement. This does NOT occur automatically.

Power

Cal Power The calculated power (in dBm) at the calibration point. This value is the specified VNA source power plus the Power Offset value.

Power Offset Allows you to specify a gain or loss (in dB) to account for components you connect between the source and the reference plane of your measurement. These components will remain during a measurement. For example, specify 10 dB to account for a 10 dB amplifier in the path to your DUT. Following the calibration, the VNA power readouts are adjusted to this value.

To account for components that will be removed when the calibration is complete, use the Loss Compensation table.

Channel and Port Selection

Channel Specifies the channel on which to perform the calibration. This setting defaults to the active channel.

Source Port Specifies the source port to be corrected. This setting defaults to the source port for the active measurement.

Accuracy

At each data point, power is measured using the specified Power Meter Settling Tolerance, then adjusted until the reading is within this Accuracy Tolerance or the Max Number of Readings has been met. The last power reading is plotted on the screen against the Tolerance limit lines.

Tolerance Sets the maximum desired deviation from the specified Cal Power level in 0.005 dB increments from 0 to 5 dB.

Max Number of Readings Sets the maximum number of readings to take at each data point for iterating the source power. Enter a value between 1 and 1000.

Calibration Status

Allows you to turn Source Power Cal ON | OFF and view Cal data for each port, regardless of the active measurement. This feature allows the Internal Second Source to be calibrated and turned ON | OFF, even when being used as an incidental source in a measurement, such as an LO.

Calibration ON Check to turn Source Power Calibration ON for the specified source port.

The displayed text indicates when interpolation is applied for the calibration.

Buttons

Options Invokes the Source Power Cal Options dialog. Label to the left of the button displays the current 'Options' setting.

Power Meter Config Invokes the Power Meter Settings dialog box

Take Cal Sweep Begins source power calibration measurement.

OK Applies calibration. This button is disabled until the Take Cal Sweep has been pressed.

Cancel If a sweep is in progress, cancels the sweep. Press again to close the dialog.

Note: the power meter is operating in 200 r/s mode.

During a measurement, some power meters may display this message on the screen: It means that the meter is operating in 200 readings/sec which is the fastest speed setting for this meter. This is normal operation.

Pass / Fail Limits

Limit lines are drawn on the Source Power Cal measurement graticule area. These lines are at the Cal Power +/- the current setting of Accuracy Tolerance. A FAIL during the Source Power Cal sweep means that the VNA was unable to measure power to within the Accuracy Tolerance. Tight tolerances are more difficult to achieve at lower Cal Power levels. When a FAIL indication appears, increase the Max Number of Readings. If this does not cause a PASS condition, then decrease the Accuracy Tolerance value.

See Also

  • Learn more about Source Power Cal

  • Learn about External Testsets and Source Power Cal.

Source Power Calibration Options dialog box help

Provides options for measurement of the source power.

Note: At low power levels (less than -30 dBm) most power meters are not as accurate as a VNA receiver.

Calibration Reference Choose power meter/VNA receiver to use to measure power.

  • Use a power meter. Traditional source power calibration using only a power meter to measure the source power at each data point. Most accurate (at higher power levels) and slowest method.

Note: Because the following two settings use VNA receivers to make power measurements, they do NOT work correctly when a Frequency Offset value is being used.

  • Use a power meter once, then use the VNA reference receiver. When checked, the first reading at each data point uses a power meter to calibrate the reference receiver. Subsequent readings, if necessary to meet your accuracy requirement, are measured using the reference receiver. This technique is much faster than using the power meter, and more accurate when measuring low power levels.

Note: Do NOT use this setting if there is a component before the power sensor that exhibits non-linear behavior, such as a power amplifier in compression. Use a power meter and Calibrate the source at multiple power levels.

  • Use a receiver. Select a VNA Receiver or a PMAR (Power Meter as Receiver).

VNA receiver - For highest accuracy, first calibrate the receiver by performing a source power cal using a power meter, then a receiver cal. That receiver can then be used to quickly calibrate other VNA source ports, or used on another channel with different stimulus settings. This would be useful, for example, if the power level of the measurement was below the sensitivity of the power sensor. Calibrate the VNA receiver using a source power cal that is within the sensitivity of the sensor. Then, use the calibrated receiver to perform a second source power cal at the reduced power level.

    • The VNA receiver is specified using either standard receiver notation or logical receiver notation.

    • It is best to use the reference receiver for the source port to be calibrated. For example, if calibrating source port 2, specify "R2" or "a2" which is the same port 2 reference receiver using logical receiver notation.

    • To ensure an accurate source power cal, the frequency range over which the receiver was calibrated must be the same or larger than the "receiver only" source power calibration.

    • All accuracy and settling tolerance and number of reading settings apply just as they do with a power meter reading.

PMAR Device - The power meter/sensor must first be configured. Learn how to Configure a PMAR device.

  • Use a power table and the VNA reference receiver Used to provide power leveling with mmWave test set and modules. Learn more.

Calibrate the source at multiple power levels Used primarily with mmWave measurements.

This feature can also be used with standard VNA measurements when a component is used in the source path such as a booster amp which does NOT have linear gain or loss over frequency. If this is not true for your setup but want to improve your source power accuracy, consider using the Receiver Leveling feature.

When checked, source power is measured using the specified 'Cal Reference' device (power meter/sensor or VNA receiver) and iterated on a sweep-to-sweep basis to construct a 2-dimensional power table: Power IN, Power OUT, over all frequencies.

  • Click Power Levels to launch the Source Cal Power Levels dialog box to set the power levels at which source power is to be measured.

  • The source power cal is saved, but the power table is NOT accessible.

Calibrate the VNA reference receiver Check to calibrate the appropriate reference receiver to the power level that is measured at the calibration plane. Do this to make very accurate measurements using the calibrated reference receiver. This cal is done in addition to the standard source power cal using the any of the methods listed above. At the end of the source power cal measurement sweep, you can optionally save the reference receiver cal to a Cal Set to be recalled at a later time. The Cal is saved when the OK button is clicked to close the Source Power Cal dialog.

Source Cal Power Levels dialog box help

This dialog appears when you click Power Levels on the Source Power Cal Options dialog.

Specify the power levels at which the Source Power will be calibrated. These values should be set to a few dB more or less than the measurement power levels.

Max Power - The highest power level at which to calibrate. This value should be a few dB higher than the highest power level of your measurement.

Min Power - The lowest power level at which to calibrate. This value should be a few dB lower than the lowest power level of your measurement.

Power Step - Calibrate at every incremental power level, between the Max and Min Power settings.

Power Meter Settings dialog box help

This dialog appears when you click the Power Meter Config button on many dialog boxes.

Interface

  • GPIB / Address Select GPIB power meter. Then select the address for the power meter. Default is 13. The VNA will search VISA interfaces that are configured in the Keysight IO Libraries on the VNA. Note: Use this selection when using a 82357B USB/GPIB Interface,

  • USB VNA scans for USB power sensors or N191x device-side USB power meters. Select a power sensor from the list. Only ONE USB power sensor can be configured to cover the entire frequency range of the calibration. To use multiple power sensors, perform a Guided Power Cal.

  • LAN Specify the Hostname or IP address of the Power Meter.

  • Any For future use.

Sensors Invokes the power sensor settings dialog box.

Settling

These Settling settings do not apply when a VNA receiver is the power measurement device. Each power meter reading is "settled" when either:

  • two consecutive meter readings are within this Tolerance value or

  • when the Max Number of Readings has been met.

The readings that were taken are averaged together to become the "settled" reading. The settled reading is then compared to the Accuracy Tolerance requirements (tolerance and max readings) specified on the Source Power Cal dialog box.

Tolerance When consecutive power meter readings are within this value of each other, then the reading is considered settled.

Max Number of Readings Sets the maximum number of readings the power meter will take to achieve settling.

Sensor Loss Compensation

Use Loss Table Select this checkbox to apply loss data to Source Power calibration correction (such as for an adapter on the power sensor).

Edit Table Invokes the Power Loss Compensation dialog box.

Power Loss Compensation dialog box help

See Power Loss Compensation Dialog Box Help.

Power Sensor Settings dialog box help

See Power Sensor Setting Dialog box

Saving a Source Power Calibration

Because Source Power Cal calibrates source hardware, the calibration data is saved as part of the Instrument State, in either a .csa file or a .cst file. This correction is applied to all measurements on the channel that uses the calibrated source. See Save Instrument State.

Reducing Time to Complete a Source Power Calibration

The time required to perform a Source Power Calibration depends on source power, number of points, and number of readings taken. You can reduce this measurement time with the following methods:

  • Reduce number of points before calibration. You can reduce the number of points before the measurement, then return the number of points to its original value after calibration is complete and correction is ON. The analyzer will perform a linear interpolation, although with some loss in accuracy.

  • Use an Keysight E-Series sensor. You can obtain 40+ readings per second over GPIB with this type of sensor on the VNA.

  • Increase power to the sensor. Lower power may have longer settling time with some sensors.

  • Check Use Reference Receiver for Iteration.

Receiver Power Calibration

Note: A Guided Power Cal can be performed during an S-parameter Guided Calibration. Learn more.

Receiver power calibration mathematically removes frequency response errors in the specified VNA receiver, and adjusts readings to the same, or a value offset from, the source power calibration level. It is the same as doing a Response Cal or Data / Memory, (Normalization) but with the data shifted to the Cal Power value.

Use Receiver Power Calibration to make very accurate absolute power (amplitude) measurements.

Receiver Power Calibration:

  • Is ONLY allowed when making absolute power (unratioed) measurements.

  • Is most accurate when a source power calibration was performed first.

  • Applies to all unratioed measurements in the active channel using that receiver.

  • Can be saved in a Cal Set and later reapplied to a like measurement.

Interpolation

Like other calibration types, if the original stimulus settings are narrowed, interpolation is applied and C* is displayed in the status bar. If the original stimulus settings are made wider, the VNA will turn Receiver Power Correction OFF.

If the original settings are restored, then receiver power calibration returns to full correction.

How to perform a Receiver Power Calibration

  1. Perform a Source Power Calibration.

  2. Set the active measurement to unratioed. Learn How.

  3. Connect a THRU line from the source port to the receiver port.

  • When performing a receiver power cal on a reference receiver (source 1 and receiver R1), no connection is necessary as the receiver is internally connected to the source.

  • When the source port and receiver port are the same (receiver A, source port 1), then connect an open or short to get maximum power to the receiver. This practice is not recommended. It is best to use different ports for the source and receiver.

  4. Ensure correction for Source Power Calibration is ON as indicated by Src Pwr Cal or Src Pwr Cal* in the status bar.

  5. Start the Calibration Wizard

Using Hardkey/SoftTab/Softkey

  1. Set the active measurement to unratioed. Learn How.

  2. Press Cal > Other Cals > Receiver Power Cal....

Select Calibration Type for Unratioed Measurement dialog box help

Cal Type Selection Select Receiver Power

Receiver Power Configuration

Cal Power Specifies the power level to be displayed on the measurement when complete. (Source Port Power + Power Offset).

Source Port Power Test port Power set for the measurement. Learn how to change Test Port Power

Power Offset Allows you to specify a gain or loss (in dB) to account for components you connect between the source and the reference plane of your measurement AFTER a source power cal has been performed. Following the calibration, the VNA power readouts are adjusted to the Cal Power value.

Next Click to continue the Calibration Wizard.

Notes:

  • When Receiver Power Cal is finished, 'Response' is displayed in the status bar and correction data is applied to subsequent sweeps. This is done because Receiver Power Cals are essentially Response Cals once they are stored and applied. See Saving a Receiver Power Cal below.

  • To turn correction OFF, click Cal > Main > Correction > Channel Correction OFF.

Learn more about Receiver Power Cal (scroll up).

Saving a Receiver Power Calibration

Receiver Power Cal is saved to a Cal Register and optionally to a User Cal Set. It can be applied to measurements in the same way as other Cal Types. Previously, Receiver Power Cal data was saved as part of an Instrument State and was only applied to the measurement on which it was performed.

Learn more about Saving VNA files types.

Last modified:

5-Jan-2016

First Release


Fixture Simulator

The following features allow you to mathematically add (embed) or remove (de-embed) circuits to, or from, your VNA measurements. The mathematical models are applied to specific ports for all measurements on the channel.

Notes

  • The following features are available

    • Port Extensions

    • 2 Port De-embedding

    • Port Matching

    • Port Z Conversion

  • All other fixturing features are available ONLY in a standard class.

  • When fixturing is enabled, all of the enabled fixturing features are applied when snp files are saved.

See Also

  • Procedures: To Embed or De-embed?

  • Characterize Adaptor Macro can be used to create S2P files from Cal Sets.

  • "De-embedding and Embedding S-Parameter Networks Using a Vector Network Analyzer" App note. for more conceptual information on Fixture Simulation.

  • See an example of how these functions can be used to de-embed unwanted effects of a test fixture, and then mathematically embed the DUT in the circuit in which it is used.

Order of Fixture Operations

First, the following Single-ended measurement functions are processed in this order:

  1. Port Extensions

  2. 2-Port De-embedding

  3. Port Matching Circuit Embedding

  4. Port Z (Impedance) Conversion

  5. 4/6/8-Port Network (single-ended) Embed/De-embed

Then, Balanced measurement functions are processed in this order:

  6. Balanced Conversion

  7. Differential / Common Mode Port Z Conversion

  8. Differential Matching Circuit Embedding

  • Source power compensation is then optionally applied to compensate for the aggregate loss through all enabled fixturing operations.

Notes

  • The fixturing operations are applied to the measurement results.

  • The order of operations 1 through 4 can be changed using the SCPI command: CALC:FSIM:SEND:OORD. Learn how to send this command from the GPIB Command Processor Console.

  • The order of the operations 5 through 8 can NOT be changed.

  • In the VNA data processing chain, the Fixture Simulator functions occur at the same time as the Apply Error Terms block.

How to select Fixturing Simulator

About Fixture Simulator ON/off

BOTH of the following must be required to turn a fixturing selection ON.

  1. Turn Apply Fixtures ON
    Port Extensions is NOT affected by fixturing ON/off.

  2. Check Enable on the individual fixturing selection dialog box.

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Fixture Match > Apply Fixtures

Or

  1. Press Cal > Fixtures > Apply Fixtures

Port Matching dialog box help

This function specifies a circuit to embed (add) to the measurement results. See Order of Fixture Operations.

Enable Port Matching Check to apply the settings to the measurement results. Must also enable Fixturing ON/OFF .

Port - Select Port in which to apply simulation.

Circuit Model for Matching - Choose one of circuit model to emulates your fixture at the selected VNA port:

User S2P File Click to specify an S2P file of the circuit model to embed at the selected port. If the normalized impedance value in a recalled User .S2P file is different from the port reference impedance setting of the VNA, the VNA setting is used. Characterize Adaptor Macro can be used to create S2P files from Cal Sets.

Circuit Values

Capacitance (C), Inductance(L), Resistance(R), Conductance(G) Values for the specific components of the circuit type that models your fixture.

Reset Restores the default values.

2 Port De-embedding dialog box help

De-Embed when you have performed a calibration and then added a fixture (an adapter, an attenuator, a longer cable, etc.) that connects between the Cal reference plane and your DUT. This function removes the effects of a component or test fixture from the measurement results.

Note: De-embedding a component with more than 20 dB of loss becomes impractical because of an inability to accurately measure the match of the DUT through such a device.

The de-embedding operation recalls an .s2p file (Touchstone format) which includes the electrical characteristics of a 2-port fixture or device. The file can be in any standard format (real-imaginary, magnitude-angle, dB-angle).

Enable De-embedding Check to apply the settings to the measurement results. Must also enable Fixturing ON/off.

Enable Extrapolation Check to apply a simple extrapolation when the S2P file has a narrower frequency range than the channel. The values for the first and last data points are extended in either direction to cover the frequency range of the measurement. The frequency ranges of both the channel and the S2P file are displayed at the bottom of the dialog.

When extrapolation is necessary and enabled, a message is displayed showing the frequency range to be extrapolated. When extrapolation is necessary and disabled, a message is displayed offering to enable extrapolation.

This setting also causes 4/6/8-port Extrapolation to be enabled and disabled.

Port The VNA port to which the recalled de-embedding file is applied.

From the drop-down menu, select User Defined (S2P File).

Reverse Adaptor Ports Check to cause the Fixture/Adapter to be configured with Port 2 connected to the VNA and Port 1 to be connected to the DUT. The image in the dialog reflects that change.

User S2P File Click to specify an existing .S2P file. If the normalized impedance value in a recalled User .S2P file is different from the port reference impedance setting of the VNA, the VNA setting is used. Characterize Adaptor Macro can be used to create S2P files from Cal Sets.

Port Z (Impedance) Conversion dialog box help

Note: This feature is available to the following SMC and standard (S-Parameter) channels.

This function corrects the measurement and displays the results as if the measurement had been made into the specified impedance value. However, the physical port termination is still approximately 50 ohms.

The specified impedance value is applied to all of the measurements on ONLY the active channel.

See Order of Fixture Operations.

Enable Port Z Conversion Check to apply the settings to the measurement results. Must also enable Fixturing ON/off.

R Real part of the impedance value.

jX Imaginary part of the impedance value.

Close Applies the entries and closes the dialog box

Note: Port Z (Impedance) conversion uses values in the following prioritized order:

  1. Balanced (Differential or Common Mode) - if enabled, these values are always used.

  2. Single Port Impedance - if enabled, this value is used if Balanced is not enabled.

  3. System Impedance - if neither balanced or single port is enabled, this value is used.

4/6/8-Port Embed/De-embed dialog box help

This function specifies a single-ended 4/6/8-port circuit (*.SnP file) to embed (add) or de-embed (remove) from the measurement results. Computation takes place BEFORE Balanced conversion. See Order of Fixture Operations.

There is a single normalized impedance value for each port in the *.SnP file. This impedance value must match the impedance of the previous Port Z setting, or the VNA port impedance.

The VNA will interpolate if the number of data points that are read is different from the current VNA setting.

Enable 4/6/8-Port Embed/De-embed Check to apply the settings to the measurement results. Must also enable Fixturing ON/off.

Enable Extrapolation Check to apply a simple extrapolation when the SnP file has a narrower frequency range than the channel. The values for the first and last data points are extended in either direction to cover the frequency range of the measurement. The frequency ranges of both the channel and the SnP file are displayed at the bottom of the dialog.

When extrapolation is necessary and enabled, a message is displayed showing the frequency range to be extrapolated. When extrapolation is necessary and disabled, a message is displayed offering to enable extrapolation.

This setting also causes 2-port Extrapolation to be enabled and disabled.

Topology

Select a DUT topology. Refer to the images on the 4/6/8-port embed/De-embed dialog box.

  • A - Network 1

  • B - Network 1/3

  • C - Network 1/2/4

NA Ports - Select the VNA Port that is connected to each circuit port.

Network Ports Select the network ports that represent the configuration of the *.S4P, *.S6P, or *.S8P file.

None, Embed, De-embed For Network1 and Network2, select:

  • None - The same as disabling.

  • Embed - Add the specified network circuit to the measurement results. See 2-port Embed image.

  • De-embed - Remove the specified network circuit from the measurement results. See 2-port De-embed image.

Browse For all the network option - Network1, Network2, Network 3 and Network 4, navigate to find the .*S4P file to embed or de-embed.

OK Applies the changes and closes the dialog box.

Cancel Does NOT apply the changes and closes the dialog box.

Differential Impedance Conversion dialog box help

This function sets the Differential impedance value for each balanced port.

The default value for R: is the SUM of the impedance values for both ports that make the logical port. If Port Z Conversion is not enabled, then System Z0 values for both ports are summed.

See Order of Fixture Operations.

Enable Differential Z Conversion Check to apply the settings to the measurement results. Must also enable Fixturing ON/off.

Logical Port Select the logical (balanced) port to receive impedance value. To see logical port numbers, see the measurement topology.

R Real part of the impedance value.

jX Imaginary part of the impedance value.

Close Closes the dialog box.

See note about Port Impedance priority.

Common Mode Impedance Conversion dialog box help

This function sets Common Mode Impedance value for each balanced port.

The default value for R: is calculated as follows.

(Z1 * Z2) / (Z1 + Z2)

Where ports 1 and 2 comprise the logical port:

Z1 = the Port Impedance values for port 1

Z2 = the Port Impedance values for port 2

If Port Z Conversion is not enabled, then System Z0 values for port 1 and 2 are used in the calculation.

See Order of Fixture Operations.

Enable Common Mode Z Conversion Check to apply the settings to the measurement results. Must also enable Fixturing ON/off.

Logical Port Select the logical (balanced) port to receive impedance value. To see logical port numbers, see the measurement topology.

R Real part of the impedance value.

jX Imaginary part of the impedance value.

Close Closes the dialog box.

See note about Port Impedance priority.

Differential Port Matching dialog box help

This function allows the embedding of a differential matching circuit at a balanced port.

See Order of Fixture Operations.

Enable Differential Port Matching Check to embed the selected matching circuit to the measurement results. Must also enable Fixturing ON/off.

Logical Port Choose Logical DUT port to receive the selected matching circuit. To see logical port numbers, see the measurement topology.

Select Circuit Select a matching circuit. Choose from:

  • Shunt L - Shunt C Predefined circuit.

Circuit Values Choose from:

    • C Capacitance value

    • G Conductance value

    • L Inductance value

    • R Resistance value

  • User defined Select an *.S2P file that represents the matching circuit. Then click Browse to navigate to the *.S2P file.

Note: For the *.S2P file:
Port 1 of the circuit is assumed to be connected to the VNA
Port 2 of the circuit is assumed to be connected to the DUT.

  • None No embedded circuit on selected port.

Close Closes the dialog box.

Power Compensation dialog help

This function adjusts the source power at the specified port to compensate for the combined amount of gain or loss through ALL enabled fixturing operations. Use this function to set the power level at the DUT input.

For example:

  • Your DUT requires a fixture on the input port which is connected to VNA port 1.

  • The fixture description (such as an S2P file at the 2-port De-embed function) indicates the fixture has approximately 2 dB of loss across the frequency span.

  • You set source power to 0 dBm. But you want 0 dBm at the DUT input (the fixture output).

  • Check Power Compensation on Port 1 and enable Fixturing.

  • Power Compensation causes the source power to be increased by approximately 2 dB so that the power at the fixture output plane will remain at 0 dBm.

Power Compensation affects all measurements in the channel.

Enable Fixturing to use Power Compensation.

Note: Use caution when applying power compensation. Always test your setup without a DUT in a place. If you are using S2P files, Recall your S2P file into the VNA so you can verify that the device your S2P file describes is what you intended it to be. It is too easy to misalign data in S2P files if they are constructed by hand.

Fixture Simulator Example

The following example shows a DUT and the matching circuit with which the DUT will be used in its intended application. When the DUT is tested in a high-volume manufacturing environment, multiple test fixtures are often required. The most accurate way to test the DUT and ensure measurement consistency between the different test fixtures is to use a simple, repeatable, test fixture without the actual matching elements.

To get the desired performance data, the parasitic effects of the fixture must first be removed (de-embedded) from the measured data. Then a perfect "virtual" matching circuit must be simulated and added mathematically (embedded) to the corrected, measured data. The result is an accurate display of the DUT as though it was actually tested with a physical matching circuit, but without the uncertainties of using real components.

Test Device and the circuit in which it will be used.

Circuit Simulation

This diagram does NOT refer to the order in which operations are performed.

See Order of Fixture Operations.

  1. Create a balanced measurement using single-ended to balanced (SE-Bal) topology. Include all relevant measurement settings (IFBW, number of points, and so forth). Once the measurement is created and calibrated, the measurement parameter can be easily changed. For example, Sdd22 to Sds21.

  2. Calibrate the measurement at the point where the simple test fixture is connected to the VNA. Use accurate calibration standards and definitions.

  3. Remove the effects of the three uncalibrated transmission lines of the simple test fixture. This can be done in several different methods. The easiest is to use manual or automatic Port Extensions to move the calibration reference plane to the DUT. This removes the electrical length and loss of the fixture’s transmission lines, but does not account for fixture mismatch. Another method is to de-embed previously-created *.S2p files of the 3 transmission lines. The files can be created using external ADS modeling software. Another alternative is to create the *.S2P files by independently measuring all 3 ports of the test fixture and saving the results of each to an S2P file.

  4. With the test fixture connected to the VNA and a DUT inserted, the measurement results now appear as though calibration was performed at the connections to the DUT, and the device was measured in a 50-ohm single-ended test environment. The following steps will cause the results to reflect the performance of the device as though the device is embedded in the circuit in which it will be used.

  5. Port 1 of the device is a single-ended port and sees a source impedance the same as the VNA system impedance, so no change is required. However, if Rs were a value other than 50 ohms, Port 1 Impedance Conversion would be used to simulate the different impedance.

  6. Port Matching is used to simulate L1 inductance. Select any of the Shunt L circuits to embed (add) to the measurement results. Enter the value of L and R. The C and G values can be entered as 0 (zero).

  7. Port Matching is used to simulate C1 and C2 capacitance. For both port 2 and port 3, select any of the Series C circuits to embed (add) to the measurement results. Enter the value of C and G. The L and R values can be entered as 0 (zero).

  8. Balanced Conversion mathematically simulates the measurement in balanced mode.

  9. Differential Port Matching is used to simulate L2 inductance. Select Shunt L- Shunt C and enter the inductance / resistance value. The C and G values can be entered as 0 (zero).

  10. Finally, Differential Z Conversion is used to simulate a circuit termination of 200 ohms. If you are making Common Mode measurements, specify Common Mode Z Conversion.

Last modified:

5-Jan-2016

First Release


Port Extensions

Port extensions allow you to electrically move the measurement reference plane after you have performed a calibration.

Note: This feature is available to GCA, and standard (S-Parameter) channels.

  • Why and How to use Port Extensions

  • Manual Port Extensions Procedure

  • Port Extensions dialog and Toolbar

  • Step Size dialog

  • Automatic Port Extension dialog

See Also

VNA Data Flow Map

Fixture Compensation features

Phase Accuracy

Comparing the VNA Delay Functions

Other Calibration Topics

Why use Port Extensions

  1. You are unable to perform a calibration directly at your device because it is in a test fixture. Perform a calibration at a convenient place, then use port extensions to compensate for the time delay (phase shift), and optionally the loss, caused by the fixture.

  2. You have already performed a calibration, and then decide that you need to add a length of transmission line in the measurement configuration. Use port extensions to "tell" the analyzer you have added the length to a specific port.

Important Note: Port Extensions and VNA Data Flow

See VNA Data Flow diagram

Normally, Port Extensions are applied to individual S-parameters in the Phase Correction process and only applies to displayed S-parameters.

However, when Fixturing is ON or when making a Balanced Measurement, Port Extension compensation is applied in the Apply Error Terms process which affects ALL S-parameters, whether displayed or not. This allows all underlying S-parameters to have proper extensions applied.

Therefore, when using Port Extensions with features that require more than a single S-parameter (such as k-factor in equation editor), do one of the following:

  • Enable Fixturing - Individual Fixturing features are NOT required to be enabled.

  • Use 8510 Mode Data Processing.

When Port Extension compensation is applied in the Apply Error Terms process, after a Data-to-Memory operation has been performed, further changes to Port Extensions settings will NOT be applied to the Memory trace.

How to use Port Extensions

  • If you know the electrical length of the fixture or additional transmission line, enter the value directly to the Time setting.

  • If you know the physical length of the fixture or additional transmission line, enter the value directly to the Distance setting.

  • If you do NOT know either the electrical or physical length of the fixture or additional transmission line, you must be able to connect an OPEN or SHORT to the new reference plane - in place of the DUT. In most cases, removing the DUT will leave a suitable OPEN at the new reference plane.

  • Port Extensions can then be added manually (as follows), or by using Automatic Port Extensions.

Manual Port Extensions Procedure

  1. Select a calibrated S11 measurement.

  2. Select Phase format.

  3. With an OPEN or SHORT at the calibration reference plane, verify that the phase across the frequency span is at or near zero.

  4. Connect the fixture or added transmission line and attach an OPEN or SHORT in place of the DUT. In most cases, removing the DUT will leave a suitable OPEN at the new reference plane. On the Port Extension toolbar or dialog, increase either Time or Distance until the phase response is flat across the frequency span of interest.

  5. If you know the loss of the additional transmission line, enter the Loss Compensation values using either one or two data points.

Note: Most OPEN and SHORT standards have delay. Therefore, adjusting delay with this method results in a delay equal to two times the delay of the OPEN or SHORT.

How to access Port Extensions settings

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Port Extension > Port Extensions...

Port Extensions dialog and Toolbar help

Note: This feature is available to the following measurement classes: GCA, Noise Fixture, NFX, and standard (S-Parameter) channels.

Port extensions settings affect all measurements on the active channel that are associated with a particular port.

Learn Why and How to use Port Extensions (scroll up).

Port Extension Turns ON and OFF port extensions on all ports.

Port Select a VNA port for delay and loss values. Port Extensions settings affect ALL measurements on the active channel that are associated with a particular port.

Show Toolbar Check to show the Port Extensions toolbar. The toolbar allows you to make adjustments to the port extensions while showing more of the VNA screen. Beginning with VNA rev A.08.50, this is the only way to show or hide the toolbar.

Delay settings

Enter delay in either Distance or Time by entering a value or clicking the up/down arrows. Click [image] to start the Step Size dialog.

Time The amount of port extension delay in time. Enter a positive value.

Distance The amount of port extension delay in physical length. Enter a positive value.

Distance Units (Dialog ONLY) Select from Meters, Inches, or Feet. The Step Size setting will not change automatically. Learn more.

Loss Compensation

The following settings allow the entire frequency span to be corrected for loss.

Loss at DC Offsets the entire frequency span by this value. Loss1 or Use1 must also be checked. To compensate for loss at DC, enter a positive value which causes the trace to shift in the positive (up) direction.

Loss @Frequency Check the box, and enter values for Loss and Frequency

When Loss1 or Loss1/Loss2 are used, a curved-fit algorithm is used as follows:

Loss1 ONLY:

Loss(f) = Loss1 * (f/Freq1) ^ 0.5

Loss1 and Loss2:

Set the lower frequency to Loss1, and the higher frequency to Loss2.

Loss(f) = Loss1 * (f/Freq1) ^ n

Where:

n = log10 [abs(Loss1/Loss2)] / log10 (Freq1/Freq2)

Note: abs = absolute value

Velocity

Velocity Factor For each port, sets the velocity factor that applies to the medium of the device that was inserted after the measurement calibration. The value for a polyethylene dielectric cable is 0.66 and 0.7 for PTFE dielectric. 1.0 corresponds to the speed of light in a vacuum.

Couple to system Velocity Factor When unchecked, the Velocity Factor is set for only the specified port and only for Port Extensions. When checked, sets the Velocity Factor for all ports. In addition, changing this value also changes this setting for the Electrical Delay and Time Domain Distance Marker features.

Media

For each port, select the media of the added transmission line or fixturing.

Coax Select when the fixture or added transmission line is coax. Also specify the velocity factor of the coax.

Waveguide / Cutoff Frequency Select when the fixture or added transmission line is waveguide. Also enter cutoff (minimum) frequency of the waveguide.

Note: when using a Waveguide cal Kit, set System Z0 to 1 ohm before calibrating.

Couple to system Media Definition. When unchecked, the Waveguide Cutoff Frequency is set for only the specified port and only for Port Extensions. When checked, sets the Waveguide Cutoff Frequency for all ports. In addition, changing this value also changes this setting for the Electrical Delay feature.

Reset All port extensions settings are changed to preset values. The Port Extension ON / OFF state is NOT affected.

Auto Ext. Starts the Automatic Port Extensions dialog box

Note: Individual receiver port extensions (A,B, and so forth) can no longer be set. (Sept. 2004)

Step Size dialog box help

Changes the step size that occurs when the Time or Dist up/down arrows are pressed on the Port Extension toolbar. The Units for step size are changed on the Port Extension dialog.

Auto Step Size is set to the default value.

User Defined Enter a step size value, then click OK.

This value remains the same when the units are changed. For example if a step size of 12 is entered on this dialog, then you change the units from Inches to Feet, the step size of 12 inches becomes 12 feet, not 1 feet. Therefore, change the units first, then set the step size.

Learn about Port Extensions (scroll up)

Automatic Port Extension dialog box help

Automatic Port Extension AUTOMATICALLY performs the same operation as Manual Port Extension. By connecting a SHORT or OPEN, the reference plane is automatically moved to the point at which the standard is connected. In addition, Automatic Port Extension will optionally measure and compensate for the loss of the additional transmission line.

Auto Port Extension is NOT available when:

  • Sweep type is set to power sweep

  • Frequency Offset is ON

  • Media is set to Waveguide

Note: Turn OFF Equations that may exist on the active trace when using Automatic Port Extensions.

Auto Port Extensions Procedure

  1. Connect the added transmission line or fixture. Attach an OPEN or SHORT to all affected ports at the new reference plane. In most cases, removing the DUT will leave a suitable OPEN at the new reference plane.

  2. On the Port Extension toolbar, click Auto Port Ext. Click Show Configuration to make additional settings.

  3. Click Measure to perform the port extension calculations. The resulting delay and loss settings are entered into the port extension toolbar. These settings are saved with Instrument Save or you can manually record the values and enter them again when required.

Settings

Measure either OPEN, SHORT, or both. Press a button to make the measurement of the reflection standard.

Measure either OPEN or SHORT depending on which is most convenient. An ideal OPEN and SHORT, with zero loss and delay, is assumed. Therefore, accuracy is most affected by the quality of the standard. In most cases, removing the DUT will leave a suitable OPEN at the new reference plane. When measuring both OPEN and SHORT standards, the average of the two is used and will slightly improve accuracy.

Selected Ports Indicates the ports that currently have automatic port extension enabled. By default, ALL VNA ports are enabled. To disable a port, see Measure on Port Number below.

Note: Port Extensions settings affect ALL measurements on the active channel that are associated with a particular port.

Show/Hide Configuration Press to either show or hide the following configuration settings in the dialog box.

Measure on Port Number

Select port number to enable or disable automatic port extension.

Enable Check to enable the specified port. All enabled ports will have their reference plane automatically adjusted after performing Automatic Port Extension.

Include Loss Check to automatically measure the loss in the additional transmission line and apply compensation. To calculate loss compensation, frequencies at 1/4 and 3/4 through the frequency range are usually used as Freq1 and Freq2 values. Learn more about Loss Compensation.

Adjust for Mismatch Only available when Include Loss is checked. Mismatch adds ripple to the S11 and S22 traces. If the ripple is large, S11 and S22 can appear greater than 0 dB which leads to numeric instabilities in using the S-parameters. Adjust for mismatch increases the loss of the fixture so that the peak of the ripples is below 0 dB. While this adds more error (all the error is negative) it does allow the S-parameters to be used in simulators without numerical instabilities.

Check - Offsets the trace to cause all of the data points to be at or below zero.

Clear - Most accurate application of the curve-fit calculation, but allows positive responses.

Prompt for Each Standard Check to invoke a prompt when the Measure OPEN or SHORT button is pressed. The prompt will indicate which standard to connect to which port.

Method

Select the span of data points which will be used to determine correction values for phase and loss (optional). If a portion of the current frequency span does not have flat or linear response, you can eliminate this portion from the calculations by using a reduced User Span.

To calculate loss compensation, Current Span and User Span methods usually use frequencies at 1/4 and 3/4 through the frequency range as Freq1 and Freq2 values. See Loss Compensation to learn more about how loss is calculated.

Current Span Use the entire frequency span to determine phase and loss values.

Active Marker Use only the frequency at the active marker, and one data point higher in frequency, to calculate phase and loss values. If a marker is not present, one will be created in the center of the frequency span.

User Span Use the following User Span settings to determine phase and loss values.

User Span

Start Enter start frequency of the user span.

Stop Enter stop frequency of the user span.

Learn about Port Extensions (scroll up).

See also Comparing the VNA Delay Functions

Last modified:

2-Sep-2014

First Release


Swap Adapters Method

Swap Adapters Calibration Method

Although Swap Adapters calibration (also known as Swap Equal Adapters and Equal Length Adapters) method is NOT included in the VNA firmware, you can still perform this calibration.

Before we introduced the of the Unknown Thru method, the Swap Adapters method was often used as a quick alternative to the more tedious adapter removal method. In that case, you would be trading measurement accuracy for convenience. You might still want to perform Swap Adapters if you do NOT have calibration standards with the same connector type as your DUT. A procedure for this is shown below.

For any other reason, the Swap Adapters method is NOT recommended because the Unknown Thru method is more convenient AND more accurate.

There are many variations on the Swap Adapters calibration depending on the number of ports to be calibrated and whether the DUT is insertable or non-insertable. However, the concepts are the same: you perform connect and measure the reflection standards (OPEN, SHORT, and LOAD) with one adapter in place, then swap for a different adapter for the Thru measurement. The adapters must have the same delay, loss, and impedance. The better the adapters match, the better measurement results. Measure the adapters with a calibrated VNA to be sure.

Procedure

The following is an example procedure showing how to perform a Swap Adapters 2-port calibration for a non-insertable DUT. The DUT has 2.92 mm connectors. You do NOT have 2.92 mm calibration standards, but you DO have 2.4 mm standards and adapters that have the same electrical properties as the 2.92 mm adapters.

Adapters A1 and A2 = test port to 2.4 mm adapters

Adapters B1 and B2 = test port to 2.92 mm adapters

  1. Start the Smart Cal. Note: The VNA will NOT prompt you to connect the adapters by name or when to swap the adapters.

  2. Specify the connector type and gender and Cal Kit of the adapter that you will be using (2.4 mm) - NOT the connector type of the DUT (2.92 mm). By specifying the connector gender, you are also specifying the Thru method (flush thru for insertable and Unknown Thru for non-insertable.) For example, when both DUT ports have female connectors, we will perform an Unknown Thru cal.

  3. When prompted for reflection standards on port 1, connect the Open, Short, and Load standards to Adapter A1.

  4. When prompted for reflection standards on port 2, connect the Open, Short, and Load standards to Adapter A2.

  5. When prompted for a Thru connection, swap Adapter A1 and A2 for B1 and B2. Connect the Thru device. This could be any device that meets the requirements of the Unknown Thru standard. In the case of a non-insertable DUT, connect B1 and B2.

  6. Make DUT measurements with Adapters B1 and B2 in place.

Last Modified:

2-Sep-2014

First Release


Cal Plane Manager

Cal Plane Manager (CPM)

Adapters, fixtures, and probes are often used for DUTs that have non-coaxial interfaces. This could make it difficult to calibrate with traditional cal standards. Cal Plane Manager(CPM) allows you to mathematically remove (de-embed), a characterized adapter, test fixture, or probe head from measurements.

In this topic:

  • Features

  • Using Cal Plane Manager

    • Cal Plane Manager

    • Characterize Adapter/Fixture and Apply

    • Calset Selection

    • Port Selection

    • Phase Pivot

    • Select Files

    • Apply De-embedding

    • Select Channels to De-embed

    • Select Calsets to De-embed

  • Direct Receiver Calibration (separate topic)

  • Other Actions

    • Reverse Port Order

    • Create a Transmission Only S2P File

    • Cascade Two S2P Files

Other Cal Topics

Features

  • Characterizes adapters and fixtures in SnP files.

  • Applies the characterizations to existing Cal Sets and channels.

  • Writes to VNA power loss table using the S2P files of fixtures/adapters.

  • Reverses the port order of an existing S2P file.

  • Creates a forward-only S2P file from an existing S2P file.

  • Cascades two S2P files.

Important Notes

  • Adapter/fixture definition: Any physical 2-port device or component that is to be mathematically removed from channel measurements or Cal Sets.

  • The adapter/fixture to be characterized MUST be reciprocal (S21 = S12).

  • Two Tier-1 cals must be performed and saved to Cal Sets BEFORE performing the CPM characterization.

Using Cal Plan Manager

How to start Cal Plane Manager

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Fixtures > Cal Plane Manager...

Cal Plane Manager dialog box help

Choose from the following, then click Next >:

  • Characterize Adapter/Fixture and Apply - Given that you have already performed calibrations both before and after the adapter/fixture, SNP files are generated which characterize the adapter/fixture. These files are then used to de-embed the fixture from the channel and a new calset. Learn how.

  • Apply Adapter/Fixture - The *.SNP files are already saved. Use these files to de-embed the fixture from the channel and a new Cal Set.

  • Direct Receiver Calibration (separate topic)

  • Other Actions

Characterize Adapter/Fixture and Apply dialog box help

Requirements

  • You must have already performed a Tier 1 calibration at the input of the fixture/adapter(s) AND a Tier 2 calibration at the output of the fixture/adapter(s) as in the above image.

  • In addition, the calibrations must have been saved to Cal Sets on the analyzer.

Note: The mechanical switch / attenuator settings of the Tier 1 and Tier 2 cals for CPM MUST be the same settings. Also, when the span or number of points are different between the two cal tiers, there must be sufficient data points to ensure that phase wrapping does NOT occur. This is accomplished when the delta frequency for either calset is less than 12/combined length of the test port cables in meters.

Applications

The following images show the calibration planes of the Tier 1 and Tier 2 calibrations:

Probe Head on Wafer | Probe Head on Fixture | Waveguide Adapter

Procedure

Configuration Select the number of adapter/fixtures to be characterized and de-embedded.

  • Choose One fixture when you have a single fixture/adapter on either the input or output of the DUT.

  • Choose Two fixtures when you have a fixture/adapter on BOTH the input AND output of the DUT.

Browse - Starts the following Calset Selection dialog.

DC Phase - Starts the Phase Pivot dialog.

Click Next >

Calset Selection dialog box help

Choose from the listed Cal Sets on the analyzer to use for the Tier 1 and Tier 2 calibrations.

  • The Tier-1 calset MUST be from a calibration that was performed at the input to the adapter/fixture.

  • The Tier-2 calset MUST be from a calibration that was performed at the DUT reference plane.

Click Filter Calsets to start the following dialog.

Check Enable Filter, then provide advanced filter requirements to narrow the search for appropriate Cal Sets.

Filter Options

Measurement Class - The classes listed are those that are enabled on the analyzer.

Cal Type - Filter for 1P (one-port) or 2P (two-port) Cal Sets.

Calset Name Includes - Filter to include any text that appears in the calset name.

Calset Description Includes - Filter to include any text that appears in the calset description.

Cal Ports - Filter to include only the analyzer ports to be de-embedded.

Active Cals - Filter to include only the Cal Sets that are currently in use on the analyzer.

Last Modified Between - Filter to include only the Cal Sets that were last modified between the two specified dates.

Port Selection dialog box help

In the previous dialog, when a multiport calset is selected for a characterization that involves fewer ports, then select the port in the calset that is used to characterize the fixture/adapter.

Phase Pivot dialog box help

For most devices, the projected phase of S21 at DC crosses the X-axis between 0° and -180°.

The phase pivot point specifies the center of the phase window. It is normally 1 Pi wide. The default value of 0° should be adequate for the majority of adapters.

However, when characterizing electrically long cables, cables with significant mismatch, or high noise in the measurements, it is possible that the projection of phase goes above 0°. This results in a 180° phase difference between the results computed by CPM versus the results you might get by measuring the same adapter with a 2-port calibration.

In these cases, you may have to change the default value to capture the projected phase of S21 at DC.

Select Files dialog box help

For each Fixture (A and B):

  • Click Browse, then navigate to the folder to where the S2P files are to be saved.

  • Enter a filename, then click S2P Format, then choose the format in which the data is to be saved:

    • Log Magnitude & Angle (default)

    • Lin Magnitude & Angle

    • Real & Imaginary

Click Apply to continue to de-embed the fixture.

Click Finish to end with the characterization and close the dialog.

Apply De-embedding dialog box help

Given one S2P file for each fixture/adapter, this dialog will remove the effects of the fixture/adapter from either:

  • one or more Calsets

  • or one or more channels.

For each Fixture (A and B)

  1. Check to enable fixturing.

  2. Select the VNA port the fixture is connected to.

  3. Click Browse, then navigate to the S2P file that represents the fixture/adapter.

  4. Reverse Ports - S2P files that are created using CPM ALWAYS reference port 1 of the fixture/adapter on the side closest to the analyzer and port 2 of the fixture/adapter ALWAYS on the DUT side of the device as in the following image. The application of the S2P file (this dialog) assumes this same orientation. If your S2P files were created using a different (external) application, check the orientation and check Reverse Port Order if necessary.

  5. Choose one of the following De-embed Options

    • De-embed from Calsets - Starts the Select Calsets to De-embed dialog box.

    • De-embed from Channels - Starts the following Select Channels to De-embed dialog.

Select Channels to De-embed dialog box help

De-embedding is performed and applied to specified channels on the analyzer.

Select one more channels currently displayed on the analyzer from which to de-embed the adapter/fixture.

Select Calsets to De-embed dialog box help

This dialog appears when De-embed from Calsets is selected in the previous dialog.

De-embedding is performed and applied to specified Cal Sets. This allows you to easily apply de-embedding in the future by simply applying the de-embedded calset to any channel.

Select Calsets: Select the Cal Sets to which de-embedding will be applied.

Properties View information about the corresponding calset.

Properties

  • Overwrite Selected Calsets - The selected Cal Sets are overwritten with the adapter/fixture de-embedded.

  • Create New Calsets - Select the Cal Sets from which new Cal Sets will be created.

Click Options to start the following dialog.

Calset Name

Auto Name - By default, a new calset will be created using the old calset name with the specified text ("CPM" by default) appended to the beginning of the name. You can change the specified text.

Ask me for each name - Starts the following dialog when OK is pressed.

Preserve Active Cal and Channel associations - When checked (default) the new de-embedded Cal Sets will be used to correct the same displayed channels as the current Cal Sets.

The Existing Calsets that you selected for de-embedding appear in the left column.

The proposed New Calset names appear in the right column.

To change the new Calset name, select, then edit the name.

When finished, click OK.

Other Actions dialog box help

Select one of the actions:

  • Reverse the Port Order of an S2P File.

  • Create a Transmission Only S2P File.

  • Cascade two S2P files.

Write to VNA power sensor loss table. Loads the S2P Frequency / Loss pairs into the VNA Power Loss Compensation table to compensate for losses that occur when using the device to connect a power sensor to the measurement port during a Source Power Cal.

  • Enable Power Sensor Loss Table

  • Then choose from the following:

    • Compute fixture from Calsets. Computes the transmission loss of the fixture based on the selected Cal Sets. This choice is NOT available until two valid Cal Sets are selected.

    • Use an S2P file. Uses the S21 data in an existing S2P file to build the VNA’s power loss table. Select, then click Browse, then navigate to the S2P file, then click Next >.

Note: In the VNA Power Loss Compensation table, loss is expressed as a positive number. CPM assumes that any negative S21 value in the S2P file is a loss and therefore multiplies the S21 values in the file by -1 to express that value as a positive number. This ensures proper handling of the offset during a source power cal.

Reverse Port Order dialog box help

S2P files that are created using CPM ALWAYS reference port 1 of the fixture/adapter on the side closest to the analyzer and port 2 of the fixture/adapter ALWAYS on the DUT side of the device as in the following image.

This action causes ports to be reversed on an existing S2P file.

  • The data for S11 becomes the data for S22 and vice versa.

  • The data for S21 becomes the data for S12 and vice versa.

The resulting file is written in the standard S2P file format.

  1. Original - Navigate to the S2P file to be reversed.

  2. Reversed - Navigate to the folder where the new reversed S2P file will be saved. Enter a filename. By default, the file is saved to the same folder using the filename: <old filename>_Reversed.s2p

  3. Click Finish. The Reversed file is saved to the specified location.

Create a Transmission Only S2P File dialog box help

From an existing S2P file, this feature allows you to zero the S11, S22, or both data columns. The original S21 and S12 data are preserved. This is useful for Enhanced Response calibration / de-embedding.

Original - Click Browse, then navigate to the file to be modified.

Modified - Click Browse, then navigate to the folder and enter or change the filename of the resulting S2P file. The file select dialog allows you to change the format of the data. Click Format, then choose from the following:

  • Log Magnitude & Angle (default)

  • Lin Magnitude & Angle

  • Real & Imaginary

Modifications

Choose to Zero the S11, S22, or both data columns.

Click Finish. The transmission only file is saved to the specified location.

Cascade Two S2P Files dialog box help

This dialog combines the losses and phase shift of two S2P files into a single S2P file.

The stimulus settings of the two input S2P files need not be identical. The frequency range of the cascaded S2P file will be the frequency range that is common between the two input files. In addition, the cascaded S2P file will use the data points of the input file with the denser data points.

For example:

S2P #1: Frequency range = 1 GHz to 5 GHz; 201 pts.

S2P #2: Frequency range = 2 GHz to 6 GHz; 1001 pts.

Cascaded S2P: Frequency range = 2 GHz to 5 GHz using the data points of S2P #2.

S2P #1 - Click Browse, then navigate to one of the S2P files to be cascaded.

S2P #2 - Click Browse, then navigate to the other S2P file to be cascaded.

Cascaded S2P - Click Browse, then navigate to a folder and enter the filename of the resulting S2P file.

Click Finish. The cascaded file is saved to the specified location.

Last Modified:

3-June-2014

New topic


Calibration Overview

The following is discussed in this topic:

  • What Is Measurement Calibration?

  • Why Is Calibration Necessary?

  • Conditions Where Calibration Is Suggested

  • What Is ECal?

See other Calibration Topics

What Is Measurement Calibration?

Calibration removes one or more of the systematic errors using an equation called an error model. Measurement of high quality standards (for example, a short, open, load, and thru) allows the analyzer to solve for the error terms in the error model. See Measurement Errors.

You can choose from different calibration types, depending on the measurement you are making and the level of accuracy you need for the measurement. See Select a Calibration Type.

The accuracy of the calibrated measurements is dependent on the quality of the standards in the calibration kit and how accurately the standards are modeled (defined) in the calibration kit definition file. The calibration-kit definition file is stored in the analyzer. In order to make accurate measurements, the calibration-kit definition must match the actual calibration kit used. To learn more, see Accurate Calibrations.

Calibration Wizard provides the different calibration methods used in the VNA. See Calibration Wizard.

There are quick checks you can do to ensure your measurement calibration is accurate. To learn more see Validity of a Measurement Calibration

If you make your own custom-built calibration standards (for example, during in-fixture measurements), then you must characterize the calibration standards and enter the definitions into a user modified calibration-kit file. For more information on modifying calibration kit files, see Calibration Standards.

Note: Instrument Calibration is ensuring the analyzer hardware is performing as specified. This is not the same as measurement calibration.

Why Is Calibration Necessary?

It is impossible to make perfect hardware that would not need any form of e rror c orrection. Even making the hardware good enough to eliminate the need for error correction for most devices would be extremely expensive.

The accuracy of network analysis is greatly influenced by factors external to the network analyzer. Components of the measurement setup, such as interconnecting cables and adapters, introduce variations in magnitude and phase that can mask the actual response of the device under test.

The best balance is to make the hardware as good as practically possible, balancing performance and cost. Calibration is then a very useful tool to improve measurement accuracy.

Conditions Where Calibration Is Suggested

Generally, you should calibrate for making a measurement under the following circumstances:

  • You want the best accuracy possible.

  • You are adapting to a different connector type or impedance.

  • You are connecting a cable between the test device and an analyzer test port.

  • You are measuring across a wide frequency span or an electrically long device.

  • You are connecting an attenuator or other such device on the input or output of the test device.

If your test setup meets any of the conditions above, the following system characteristics may be affected:

  • Amplitude at device input

  • Frequency response accuracy

  • Directivity

  • Crosstalk (isolation)

  • Source match

  • Load match

What Is ECAL

ECal is a complete solid-state calibration solution. It makes one port (Reflection), full two and three-port calibrations fast and easy. See Using ECal.

  • It is less prone to operator error.

  • The various standards (located inside the calibration module) never wear out because they are switched with PIN-diode or FET switches.

  • The calibration modules are characterized using a TRL-calibrated network analyzer.

  • ECal is not as accurate as a good TRL calibration.

For information about ordering ECal modules, see Analyzer Accessories or contact your Keysight Support Representative

Last Modified:

21-Aug-2014

First Release


Measurement Errors

You can improve accuracy by knowing how errors occur and how to correct for them. This topic discusses the sources of measurement error and how to monitor error terms.

  • Drift Errors

  • Random Errors

  • Systematic Errors

    • 3-Port Error Terms

    • 4-Port Error Terms

  • Monitoring Error Terms

See other Calibration Topics

Drift Errors

Drift errors are due to the instrument or test-system performance changing after a calibration has been done.

Drift errors are primarily caused by thermal expansion characteristics of interconnecting cables within the test set and conversion stability of the microwave frequency converter and can be removed by re-calibrating.

The time frame over which a calibration remains accurate is dependent on the rate of drift that the test system undergoes in your test environment.

Providing a stable ambient temperature usually minimizes drift. For more information, see Measurement Stability.

Random Errors

Random errors are not predictable and cannot be removed through error correction. However, there are things that can be done to minimize their impact on measurement accuracy. The following explains the three main sources of random errors.

Instrument Noise Errors

Noise is unwanted electrical disturbances generated in the components of the analyzer. These disturbances include:

  • Low level noise due to the broadband noise floor of the receiver.

  • High level noise or jitter of the trace data due to the noise floor and the phase noise of the LO source inside the test set.

You can reduce noise errors by doing one or more of the following:

  • Increase the source power to the device being measured - ONLY reduces low-level noise.

  • Narrow the IF bandwidth .

  • Apply several measurement sweep averages.

Switch Repeatability Errors

Mechanical RF switches are used in the analyzer to switch the source attenuator settings.

Sometimes when mechanical RF switches are activated, the contacts close differently from when they were previously activated. When this occurs, it can adversely affect the accuracy of a measurement.

You can reduce the effects of switch repeatability errors by avoiding switching attenuator settings during a critical measurement.

Connector Repeatability Errors

Connector wear causes changes in electrical performance. You can reduce connector repeatability errors by practicing good connector care methods. See Connector Care.

Systematic Errors

Systematic errors are caused by imperfections in the analyzer and test setup.

  • They are repeatable (and therefore predictable), and are assumed to be time invariant.

  • They can be characterized during the calibration process and mathematically reduced during measurements.

  • They are never completely removed. There are always some residual errors due to limitations in the calibration process. The residual (after measurement calibration) systematic errors result from:

    • imperfections in the calibration standards

    • connector interface

    • interconnecting cables

    • instrumentation

Reflection measurements generate the following three systematic errors:

  • Directivity

  • Source Match

  • Frequency Response Reflection Tracking

Transmission measurements generate the following three systematic errors:

  • Isolation

  • Load Match

  • Frequency Response Transmission Tracking

Notes about the following Systematic Error descriptions:

  • The figures for the following six systematic errors show the relevant hardware configured for a forward measurement. For reverse measurements, internal switching in the analyzer makes Port 2 the source and Port 1 the receiver. 'A' becomes the transmitted receiver, 'B' becomes the reflected receiver, and 'R2' becomes the reference receiver. These six systematic errors, times two directions, results in 12 systematic errors for a two port device.

  • For simplicity, it may be stated that ONE standard is used to determine each systematic error. In reality, ALL standards are used to determine ALL of the systematic errors.

  • The following describes an SOLT calibration. This does not apply to TRL, or other types of calibration.

Directivity Error

All network analyzers make reflection measurements using directional couplers or bridges.

With an ideal coupler, only the reflected signal from the DUT appears at the 'A' receiver. In reality, a small amount of incident signal leaks through the forward path of the coupler and into the 'A' receiver. This leakage path, and any other path that allows energy to arrive at the 'A' receiver without reflecting off the DUT, contributes to directivity error.

How the Analyzer Measures and Reduces Directivity Error.

  1. During calibration, a load standard is connected to Port 1. We assume no reflections from the load.

  2. The signal measured at the 'A' receiver results from the incident signal leakage through the coupler and other paths.

  3. Directivity error is mathematically removed from subsequent reflection measurements.

Isolation Error

Ideally, only signal transmitted through the DUT is measured at the 'B' receiver.

In reality, a small amount of signal leaks into the 'B' receiver through various paths in the analyzer.

The signal leakage, also known as crosstalk, is isolation error which can be characterized and reduced by the analyzer.

How the Analyzer Measures and Reduces Isolation Error

  1. During calibration, load standards are connected to both Port 1 and Port 2.

  2. The signal measured at the 'B' receiver is leakage through various paths in the analyzer.

  3. This isolation error is mathematically removed from subsequent transmission measurements.

Source Match Error

Ideally in reflection measurements, all of the signal that is reflected off of the DUT is measured at the 'A' receiver.

In reality, some of the signal reflects off the DUT, and multiple internal reflections occur between the analyzer and the DUT. These reflections combine with the incident signal and are measured at the 'A' receiver, but not at the 'R' receiver.

This measurement error is called source match error which can be characterized and reduced by the analyzer.

How the Analyzer Measures and Reduces Source Match Error

  1. During calibration, all reflection standards are connected to Port 1. Known reflections from the standards are measured at the 'A' receiver.

  2. Complex math is used to calculate source match error.

  3. Source match error is mathematically removed from subsequent reflection and transmission measurements.

Load Match Error

Ideally in transmission measurements, an incident signal is transmitted through the DUT and is measured at the 'B' receiver.

In reality, some of the signal is reflected off of Port 2 and other components and is not measured at the 'B' receiver.

This measurement error is called load match error which can be characterized and reduced by the analyzer.

How the Analyzer Measures and Reduces Load Match Error

  1. The Port 1 and Port 2 test connectors are mated together for a perfect zero-length thru connection. If this is not possible, a characterized thru adapter is inserted. This allows a known amount of incident signal at Port 2.

  2. The signal measured at the 'A' receiver is reflection signal off of Port 2

  3. The resulting load match error is mathematically removed from subsequent transmission and reflection measurements.

Frequency Response Reflection Tracking Error

Reflection measurements are made by comparing signal at the 'A' receiver to signal at the 'R1' receiver. This is called a ratio measurement or "A over R1" (A/R1).

For ideal reflection measurements, the frequency response of the 'A' and 'R1' receivers would be identical.

In reality, they are not, causing a frequency response reflection tracking error. This is the vector sum of all test variations in which magnitude and phase change as a function of frequency. This includes variations contributed by:

  • signal-separation devices

  • test cables

  • adapters

  • variations between the reference and test signal paths

Frequency response reflection tracking error can be characterized and reduced by the analyzer.

How the Analyzer Measures and Reduces Frequency Response Reflection Tracking Error.

  1. During calibration, all reflection standards are used to determine reflection tracking.

  2. The average 'A' receiver response is compared with the 'R1' receiver response.

  3. Complex math is used to calculate Frequency Response Reflection Tracking Error (see the following diagram). This frequency response reflection tracking error is mathematically removed from subsequent DUT measurements.

Note: In reflection response calibrations, only a single calibration standard is measured (open or short) and thus only its contribution to the e rror c orrection is used.

Frequency Response Transmission Tracking Error

Transmission measurements are made by comparing signal at the 'B' receiver to signal at the 'R1' receiver. This is called a ratio measurement or "B over R1" (B/R1).

For ideal transmission measurements, the frequency response of the 'B' and 'R1' receivers would be identical.

In reality, they are not, causing a frequency response transmission tracking error. This is the vector sum of all test variations in which magnitude and phase change as a function of frequency. This includes variations contributed by:

    • signal-separation devices

    • test cables

    • adapters

    • variations between the reference and test signal paths

Frequency response transmission tracking error can be characterized and reduced by the analyzer.

How the Analyzer Measures and Reduces Frequency Response Transmission Tracking Error.

  1. During calibration, the Port 1 and Port 2 test connectors are mated together for a perfect zero-length thru connection. If this is not possible, a characterized thru adapter is inserted. This allows a known amount of incident signal to reach Port 2.

  2. Measurements are made at the 'B' and 'R1' receivers.

  3. Complex math is used to calculate Frequency Response Transmission Tracking Error (see the following diagram). This frequency response transmission tracking error is mathematically removed from subsequent DUT measurements.

.

3-Port Error Terms

The following flow diagram displays the 3-port error term model:

where:

E = error term

DIR = Directivity

MAT = Forward Source Match and Reverse Load Match

TRK = Forward Reflection Tracking and Reverse Transmission Tracking

4-Port error terms

A full 4-port calibration requires the following terms:

Learn about the port numbering convention for error terms.

 |  | Source Port
 |  | 1 | 2 | 3 | 4
R e c P o r t | 1 | DIR 1,1 RTRK 1,1 SRM 1,1 | LDM 1,2 TTRK 1,2 XTLK 1,2 | LDM 1,3 TTRK 1,3 XTLK 1,3 | LDM 1,4 TTRK 1,4 XTLK 1,4
 | 2 | LDM 2,1 TTRK 2,1 XTLK 2,1 | DIR 2,2 RTRK 2,2 SRM 2,2 | LDM 2,3 TTRK 2,3 XTLK 2,3 | LDM 2,4 TTRK 2,4 XTLK 2,4
 | 3 | LDM 3,1 TTRK 3,1 XTLK 3,1 | LDM 3,2 TTRK 3,2 XTLK 3,2 | DIR 3,3 RTRK 3,3 SRM 3,3 | LDM 3,4 TTRK 3,4 XTLK 3,4
 | 4 | LDM 4,1 TTRK 4,1 XTLK 4,1 | LDM 4,2 TTRK 4,2 XTLK 4,2 | LDM 4,3 TTRK 4,3 XTLK 4,3 | DIR 4,4 RTRK 4,4 SRM 4,4

Reflection terms

  • DIR: Directivity

  • RTRK: Reflection Tracking

  • SRM: Source Match

Transmission terms

  • LDM:Load Match

  • TTRK: Transmission Tracking

  • XTLK: Cross Talk

How can we measure only 3 THRU connections?

On a 4-port VNA, a full 4-port cal can be performed while measuring only 3 THRU connections. Measuring more than 3 THRU connections will give higher accuracy.

By measuring all of the reflection terms, and 3 transmission THRU connections, there is adequate information available to calculate the remaining transmission terms. The following is a high level explanation of the concept. The actual calculations are much more complex.

To simplify, let's substitute letters (A,B,C,D) for port numbers from the diagram above so that they can be combined without confusion. Also for simplicity, let's assume that the source match and directivity errors are zero.

 | A | B | C | D
A | AA | AB | AC | AD
B | BA | BB | BC | BD
C | CA | CB | CC | CD
D | DA | DB | DC | DD

  • The reflection errors are all measured (AA, BB, CC, DD).

  • Lets assume we measure a THRU between ports AB, AC, AD. The reverse direction for these THRUs are also measured at the same time (BA, CA, DA).

  • The terms left to calculate are BC, CB, BD, DB, CD, DC.

The following shows how the BC term is calculated from BA and AC:

Similarly:

  • CB is calculated from CA and AB

  • BD is calculated from BA and AD

  • DB is calculated from AB and DA

  • CD is calculated from CA and AD

  • DC is calculated from DA and AC

Monitoring Error Terms using Cal Set Viewer

You can use Cal Set Viewer to monitor the measured data and the calculated error term. This will help to determine the health of your VNA and the accuracy of your measurements.

By printing or saving the error terms, you can periodically compare current error terms with previously recorded error terms that have been generated by the same VNA, measurement setup, and calibration kit. If previously generated values are not available, refer to Typical Error Term Data in Appendix A, "Error Terms", of the Service Guide.

Note: The service guide for your VNA is available at http://www.keysight.com/find/pna

  • A stable system should generate repeatable error terms over about six months.

  • A sudden shift in error terms over the same frequency range, power, and receiver settings, may indicate the need for troubleshooting system components. For information on troubleshooting error terms, see Appendix A , "Error Terms", of the Service Guide.

  • A subtle, long-term shift in error terms often reflects drift or connector and cable wear. The cure is often as simple as cleaning and gauging connectors or inspecting cables.

Viewing Cal Set Data

  • Existing measurement traces are unaffected by the Cal Set Viewer.

  • The Cal Set data trace is presented in the highest unused channel number (usually 32) in the active window.

  • The Cal Set data trace is labeled as S11 in the status bar regardless of the type of error term or standard.

  • Only one Cal Set error term or standard data can be viewed at a time. However, a data trace can be stored into memory and then compared to other data traces.

See the error terms equations.

How to access Cal Set Viewer

Using front-panel
hardkey [softkey] buttons

  1. Press Cal > Cal Sets & Cal Kits > Cal Set Viewer ON|OFF

How to use Cal Set Viewer

  1. Use the down arrow to select a Cal Set. Then click either:

    • Error Terms - calculated data.

    • Standards - the raw measurement data of the Standard. ONLY available with Unguided Cal (not ECal or Guided Cal).

  2. Use the down arrow to select an error term or standard to view.

  3. Select the Enable check box to view the data on the VNA screen.

Port numbering convention for error terms is the same as for S-Parameters:

E Term (Receiver, Source) with the following exceptions:

  • Load Match (2,1) - The match of port 2 which is measured by making an S11 measurement.

  • Load Match (1,2) - The match of port 1 which is measured by making an S22 measurement.

  • Transmission Tracking (2,1) - The port 2 receiver relative to the port 1 reference. (source=port 1).

  • Transmission Tracking (1,2) - The port 1 receiver relative to the port 2 reference. (source=port 2).

  • And so forth for multiport calibrations.

Last modified:

21-Aug-2014

First Release


Accurate Calibrations

Accurate Measurement Calibrations

Calibration accuracy is affected by the type of calibration, quality of the calibration standards, and the care with which the calibration is performed. This section provides additional information about how to make accurate calibrations.

  • Measurement Reference Plane

  • Effects of Using Wrong Calibration Standards

  • Data-based versus Polynomial Calibration Kits

  • Accuracy Level of Interpolated Measurement

  • Effects of Power Level

  • Using Port Extensions

  • Isolation Portion of 2-Port Calibration

  • Choosing a Thru Method

Learn how to determine the validity of your calibration.

See other Calibration Topics

Measurement Reference Plane

Most measurement setups will NOT allow you to connect a device under test (DUT) directly to the VNA front panel test ports. More likely, you would connect your device to test fixtures, adapters, or cables that are connected to the VNA.

A calibration takes place at the points where calibration standards are connected during the calibration process. This is called the measurement reference plane (see graphic). For the highest measurement accuracy, make the calibration reference plane the place where your DUT is connected. When this occurs, the errors associated with the test setup (cables, test fixtures, and adapters used between the analyzer ports and the reference plane) are measured and removed in the calibration process.

Effects of Using Wrong Calibration Standards

Normally, a calibration is performed using a calibration kit that contains standards with connectors of the same type and sex as your DUT.

However, your calibration kit may not always have the same connector type and gender as your device. For example, suppose your device has 3.5mm connectors, but you have a Type-N calibration kit. If you use an adapter to connect the Type-N standards to the 3.5mm test port, then the adapter becomes part of the calibration and NOT part of the test setup. This will result in significant errors in your reflection measurements.

Data-based versus Polynomial Calibration Kits

The Select DUT Connectors and Cal Kits dialog box offers a data-based model and a polynomial model for the newest high-frequency cal kits. See VNA Accessories. The data-based models provide higher accuracy for describing calibration standards than the polynomial models. It is RECOMMENDED that the data-based model be used if the most accurate results are desired.

 | Data-Based Model | Polynomial Model
How accurate is the model? | Provides highest calibration accuracy. Eliminates the errors that can be the result of polynomial model approximations. | Provides high calibration accuracy.
How does the model define calibration standards? | Uses S-Parameter measurements. | Uses traditional four-term polynomial calibration standard modeling parameters.
How do I manually edit the definitions of the calibration standards when using the model? | Use the Advanced Modify Cal Kit function. | Use the Advanced Modify Cal Kit function.
How do I use the Calibration Wizard with the model? | Use only the SmartCal (Guided) Calibration method. | Use the SmartCal (Guided) or the Unguided Mechanical Calibration methods.

Learn about the “Expanded Math” feature.

Effects of Power Level

To attain the most accurate error correction, do NOT change the power level after a calibration is performed. However, when changing power within the same attenuator range at which the measurement calibration was performed, S-parameter measurements can be made with only a small degradation of accuracy. If a different attenuator range is selected, the accuracy of error correction is further degraded.

To check the accuracy of a calibration, see Validity of a Calibration.

Using Port Extensions

Use the port extensions feature after calibration to compensate for phase shift of an extended measurement reference plane due to additions such as cables, adapters, or fixtures.

Port extensions is the simplest method to compensate for phase shift, mismatch, and loss of the path between the calibration reference plane and the DUT.

Learn how to apply port extensions.

Learn about characterizing a test fixture.

Isolation Portion of 2-Port Calibration

The isolation portion of a calibration corrects for crosstalk, the signal leakage between test ports when no device is present. When performing an UNGUIDED 2-port calibration, you have the option of omitting the isolation portion of the calibration.

Note: Isolation can be performed on a Smart (Guided) Calibration ONLY

The uncorrected isolation between the test ports of the VNA is exceptional (typically >100dB). Therefore, you should only perform the Isolation portion of a 2-port calibration when you require isolation that is better than 100dB. Perform an isolation calibration when you are testing a device with high insertion loss, such as some filter stopbands or a switch in the open position.

The isolation calibration can add noise to the error model when the measurement is very close to the noise floor of the analyzer. To improve measurement accuracy, set a narrow IF Bandwidth.

How to perform an isolation calibration

Isolation is measured when the Load standards are connected to the VNA test ports. For best accuracy, connect Load standards to BOTH test ports each time you are prompted to connect a load standard. If two Loads are not available, connect the untested VNA port to any device that will present a good match.

Choosing a Thru Method

When calibrating for a non-insertable device, you must choose a method to calibrate for the THRU error terms. This can have a significant effect on measurement accuracy. Learn more about choosing a thru method.

Last Modified:

5-Jan-2016

First Release.


Calibration Thru Methods

  • What is a Non-Insertable Device

  • Choosing a Thru Method

  • Flush Thru

  • Adapter Removal

  • Swap Adapters (separate topic)

  • Defined Thru

  • Unknown Thru

  • ECal Thru Method Choices

Other Cal Topics

What is a Non-Insertable Device

To understand the Thru method choices, you must first understand what is meant by "Non-Insertable device". These definitions also apply to ECal modules. Substitute "ECal module" for "device". Then see ECal Thru Method Choices.

A non-insertable device is one whose connectors could NOT mate together. They either do not have the same type of connector or they have the same gender. This also means that the test port cables would not mate together, as in the following diagram.

An insertable device is one whose connectors could mate together. They have the same type of connector and opposite,or no, gender. This also means that the test port cables would mate together, as in the following diagram.

Choosing a Thru Method of Calibration

The Thru method is selected from the Cal Wizard. Select the Modify checkbox in the Select DUT Connectors and Cal Kits dialog box.

Notes:

For ECal, the following choices have different meanings. See THRU methods for ECal.

For 4-port calibration, see How can we measure only 3 THRU connections?

Choice for Insertable Devices: FLUSH Thru (also known as Zero-length Thru)

When calibrating for an insertable device, the test ports at your measurement reference plane connect directly together. This is called a zero-length THRU, or Flush THRU meaning that the THRU standard has zero-length: no delay, no loss, no capacitance, and no inductance. Your calibration kit may not have a physical THRU standard because it is assumed you have an insertable device and will be using a zero-length THRU.

Choices for Non-Insertable Devices

The following methods calibrate for a non-insertable device:

  • Adapter Removal Accurate, but least convenient.

  • Defined Thru

  • Unknown Thru Cal Preferred method.

Adapter Removal Calibration

This method is potentially very accurate. However, it requires many connections which increases the chances of inaccurate data.

Two full 2-port calibrations are performed: one with the adapter connected at port 1, and the other with the adapter connected to port 2. The result of the two calibrations is a single full 2-port calibration that includes accurate characterization and removal of the mismatch caused by the adapter.

Performing an Adapter Removal Cal requires:

  • a THRU adapter with connectors that match those on the DUT.

  • calibration standards for both DUT connectors.

To select Adapter Removal during a SmartCal, select the Modify checkbox in the Select DUT Connectors and Cal Kits dialog box. The Cal Wizard will guide you through the steps.

Learn how to perform an Adapter Removal Cal using ECal.

Defined Thru (also known as Known Thru, Cal Kit Thru, ECal Thru, Characterized Thru)

Defined Thru uses the THRU definition that is stored in the Cal Kit file or ECal module. The THRU standard may have worn over time, making it not as accurate as when it was new. Defined Thru is usually more accurate than Adapter Removal, but not as accurate as Unknown Thru method.

Notes

  • If performing an ECal, this is the THRU standard in the ECal Module.

  • If Defined Thru appears as a potential THRU method in the SmartCal Wizard, this means that there is a defined THRU standard in the selected Cal Kit. This could be a Zero-length Thru. The SmartCal Wizard will prompt you to connect the required standard when appropriate.

To define a THRU standard in a Cal Kit (not ECal module):

  1. From the VNA Menu, click Calibration, Advanced Modify Cal Kits.

  2. Select the Cal Kit

  3. Click Edit Kit

  4. Click Add

  5. Select THRU

  6. Complete the dialog box.

The next time you perform a Guided Cal, this Defined THRU standard will be available if the DUT connector types match the THRU standard.

Unknown Thru Cal

Unknown Thru Cal is the preferred THRU method of calibrating the VNA to measure a non-insertable device.

The Unknown Thru calibration is also known as Short-Open-Load-Reciprocal Thru (SOLR) calibration.

  • Very easy to perform.

  • Better accuracy than Defined Thru and usually better than Adapter Removal.

  • Does not rely on existing standard definitions that may no longer be accurate.

  • Causes minimal cable movement if the THRU standard has the same footprint as the DUT. In fact, the DUT can often BE the THRU standard.

  • NOT recommended when there is 40 dB or more of combined loss in the Unknown Thru and calibration path. This would NOT allow enough signal to accurately measure at the receiver.

About the Unknown Thru Process

SmartCal guides you through the process. Although the following process describes ports 1 and 2, Unknown Thru can be performed on any two ports when using a multiport VNA.

  1. Perform 1-port cal on port 1.

  2. Perform 1-port cal on port 2.

  3. Connect Unknown Thru between ports 1 and 2.

  4. Measure Unknown Thru.

  5. Confirm Estimated Delay. This estimate may be wrong if there are too few frequency points over the given frequency span. You can measure the delay value independently and enter that value in the dialog box.

The Unknown Thru Standard

  • Can have up to 40 dB of combined loss in the Unknown Thru and calibration path.

  • Must be reciprocal: S21=S12.

  • Must know the phase response to within 1/4 wavelength (see step 5 above).

  • Can be the DUT if it meets these conditions.

Unknown Thru Limitations

  • Unknown Thru is NOT supported during a TRL calibration.

  • Beginning with VNA code release 5.25, Unknown Thru CAN be performed using a 4-port PNA-L that does NOT have a reference receiver for each test port. However, a Delta Match Calibration is usually required before the Unknown Thru is measured.

  • Unknown Thru is NOT supported on E8801A, E8802A, and E8803A.

ECal Thru Method Choices

When the ECal module connectors exactly match the DUT connectors, choose from the following THRU methods:

ECal Thru as Unknown Thru Learn more about Unknown Thru .

  • Measures the THRU state of the ECal module as an Unknown Thru.

  • The default method when the ECal module connectors match the DUT.

  • Very accurate and easy.

  • May require a Delta Match Cal.

Flush Thru (zero-length Thru) Learn more about Flush Thru

  • Requires an insertable ECal module / DUT.

  • Remove the ECal module and connect the two reference planes directly together for a zero-length thru.

  • Accurate, but not as easy as 'ECal Thru as Unknown Thru'.

ECal (Defined Thru)

  • Measures the THRU state of the ECal module.

  • Very easy, but not as accurate as 'ECal Thru as Unknown Thru'

Unknown Thru

  • Remove the ECal module.

  • Then connect a Thru adapter to be measured as Unknown Thru.

  • May require a Delta Match Cal.

When the ECal module connectors do NOT exactly match the DUT connectors, choose from the following two methods:

Adapter Removal

  • Can be used with ECal when your DUT is NON-insertable. However, the ECal module MUST be insertable, and the adapter connectors must exactly match the connectors of the DUT as in the following diagram.

ECal User Characterization

In cases when adapter removal cannot be performed, ECal User Characterization is ALWAYS possible if you have the right adapters. A User Characterization is performed once and stored in the ECal module. However, accuracy is compromised every time you remove, then reconnect, the adapter with the ECal module.

Last Modified:

21-Aug-2014

First Release


Validity of a Cal

Validity of a Calibration

This section helps you determine if your calibration is valid and how the analyzer displays correction level information for your measurement.

  • Frequency Response of Calibration Standards

  • Validating a Calibration

  • Quick Check

  • ECal Confidence Check

  • Verification Kit

See other Calibration Topics

Frequency Response of Calibration Standards

In order for the response of a calibration standard to show as a dot on the smith chart display format, it must have no phase delay with respect to frequency. The only standards that exhibit such "perfect" response are the following:

  • 7-mm short (with no offset)

  • Type-N male short (with no offset)

There are two reasons why other types of calibration standards show phase delay after calibration:

  1. The reference plane of the standard is electrically offset from the mating plane of the test port. Such devices exhibit the properties of a small length of transmission line, including a certain amount of phase shift.

  2. The standard is an open termination, which by definition exhibits a certain amount of fringe capacitance and therefore phase shift. Open terminations which are offset from the mating plane will exhibit a phase shift due to the offset in addition to the phase shift caused by the fringe capacitance.

The most important point to remember is that all standards are measured in order to remove systematic errors from subsequent device measurements. As a result, if calibration standards with delay and fringe capacitance are measured as a device after a calibration, they will NOT appear to be "perfect". This is an indication that your analyzer is calibrated accurately and working properly.

Validating a Calibration

At the completion of a calibration or selection of a stored Cal Set, validation can accomplish the following:

Improve Measurement Accuracy – Once a measurement calibration has been performed, its performance should be checked before making device measurements. There are several sources of error that can invalidate a calibration: bad cables, dirty or worn calibration standards that no longer behave like the modeled standards, and operator error.

Verify Accuracy of Interpolation – You should validate the calibration if you are testing a device and the measurements are uncertain because of interpolation. For more information see Interpolation Accuracy.

Verify Accuracy of Cal Standards – To check accuracy, a device with a known magnitude and phase response should be measured.

Quick Check

For this test, all you need are a few calibration standards. The device used should not be one of the calibration standards; a measurement of one of these standards is merely a measure of repeatability.

The following reflection and transmission Quick Check tests can be applied to all test ports.

To verify reflection measurements, perform the following steps:

  1. Connect either an OPEN or SHORT standard to port 1. The magnitude of S11 should be close to 0 dB (within a few tenths of a dB).

  2. Connect a load calibration standard to port 1. The magnitude of S11 should be less than the specified calibrated directivity of the analyzer (typically less than -30 dB).

To verify transmission measurements:

  1. Connect a THRU cable (or known device representative of your measurement) from port 1 to port 2. Verify the loss characteristics are equivalent to the known performance of the cable or device.

  2. To verify S21 isolation, connect two loads: one on port 1 and one on port 2. Measure the magnitude of S21 and verify that it is less than the specified isolation (typically less than -80 dB).

Note: To get a more accurate range of expected values for these measurements, consult the analyzer's specifications.

ECal Confidence Check

ECal Confidence Check is a method to check the accuracy of a calibration performed with mechanical standards or an ECal module. The confidence check allows you to measure an impedance state in the ECal module (called the confidence state), and compare it with factory measured data stored in the module.

In order for this test to be valid, the test ports of the ECal module must connect directly to the calibration reference plane (without adapters).

How to Perform ECal Confidence Check:

  1. Connect ECal module to the analyzer with the USB cable. See Connect ECal Module to the VNA. Note: Terminate any unused ECAL ports with a 50 ohm load.

  2. Allow the module to warm up for 15 minutes or until the module indicates READY.

  3. Do one of the following to start ECal Confidence Check

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Cal Sets & Cal Kits > ECal > Confidence Check...

On the following ECal Confidence Check dialog box:

  2. Click Read Module Data. The following occurs:

    • ECal module is set to "confidence state".

    • VNA reads and displays stored data.

    • VNA measures and displays "confidence state".

  3. To view a different parameter, select Change Measurement and select the check box for the desired parameter. The default is the active channel parameter.

  4. Select the viewing option in the Trace View Options block.

  5. Compare the stored and measured data for each measurement parameter.

Notes:

  • After exiting ECal Confidence Check, the ECal module remains in the same impedance state and the factory (or user-characterized) data is still stored in the memory trace. Therefore, you can save both the data and memory trace as a *.csv files and import them to a spreadsheet. Learn how.

  • If the two traces show excessive difference, there may be a loose or dirty connection at the test ports or damage to the test cables. Carefully inspect the cables and connections. Then clean and gage each connector, and re-calibrate if needed.

  • The User Characterization setting selects the user-characterization data instead of the factory characterization data (available when a User-Characterization is stored in the ECal module).

ECal Confidence Check dialog box help

Compares the accuracy of corrected (calibrated) data with stored data in the ECal module. For the check to be valid, the module test ports must connect directly to the calibration reference plane (without an adapter). Learn more about ECal Confidence Check.

Measurement

Change Measurement Opens the Measure dialog box.

Use ECal Module

Read Module Data

  • Copies stored data from the ECal module to Memory.

  • Changes state of ECal module to confidence state.

  • Measures and displays confidence state and Memory trace.

Scale Opens the Scale dialog box.

Show Prompts Check to show a reminder for the connection (default).

Trace View Options

Data and Memory Trace Displays current measurement data and Memory trace.

Data / Memory Performs an operation where the current measurement data is divided by the data in memory.

Data + Memory Performs an operation where the current measurement data is added to the data in memory.

Verification Kit

Measuring known devices, other than calibration standards, is a straightforward way of verifying that the network analyzer system is operating properly. Verification kits use accurately known verification standards with well-defined magnitude and phase response. These kits include precision airlines, mismatch airlines, and precision fixed attenuators. Traceable measurement data is shipped with each kit on disk and verification kits may be re-certified by Keysight.

See Analyzer Accessories for a list of Keysight verification kits.

Last modified:

21-Aug-2014

First Release


Calibration Standards

This following section explains the general principles and terms regarding calibration kit files. To learn how to modify calibration kit files, See Modify Calibration Kits.

  • About Calibration Kits

  • Calibration Standards

  • Standard Type

  • Standard Definitions

  • Class Assignments

See other Calibration Topics

About Calibration Kits

A calibration kit is a set of physical devices called standards. Each standard has a precisely known or predictable magnitude and phase response as a function of frequency.

In order to calibrate the analyzer using the standards in a calibration kit, the response of each standard must be mathematically defined and then organized into standard classes that correspond to the error models used by the analyzer.

To be able to use a particular calibration kit, the known characteristics from each standard in the kit must be stored into analyzer memory. This is done for you with the VNA. All Keysight Cal Kits containing standard definitions are stored in the VNA. For a list of Keysight calibration kits, see Analyzer Accessories.

Calibration Standards

Calibration standards provide the reference for error-corrected measurements in the network analyzer. Each standard has a precisely known definition that includes electrical delay, impedance, and loss. The analyzer stores these definitions and uses them to calculate error correction terms.

During measurement calibration, the analyzer measures standards and mathematically compares the results with "ideal models" of those standards. The differences are separated into error terms that are later removed from device measurements during error correction. See Systematic Errors.

Standard Type

A standard type is one of four basic types that define the form or structure of the model to be used with that standard. The following are the four basic standard types:

Standard

Terminal Impedance

SHORT

zero ohms

OPEN

infinite ohms

LOAD

system impedance, Z0

THRU/LINE

no terminal impedance

Learn about other Calibration Standards:

  • Data-Based Standard

  • Sliding Load

  • Offset Load

  • Arbitrary Impedance Load

Standard Definitions

Standard definitions describe the electrical characteristics of the standards and the frequencies they will be used. Standard definitions can be viewed from the Advanced Modify Cal Kit menu selection. Standard definitions include:

  • Minimum Frequency Specifies the minimum frequency the standard is used for calibration.

  • Maximum Frequency Specifies the maximum frequency the standard is used for calibration.

  • Z0 Specifies the characteristic impedance of the standard (not the system characteristic impedance or the terminal impedance of the standard).

  • Delay Specifies a uniform length of transmission line between the standard being defined and the actual calibration plane.

  • Type Specifies type of standard (SHORT, OPEN, THRU/LINE, LOAD, ARBITRARY).

  • Loss Specifies energy loss, due to skin effect, along a one-way length of coaxial cable.

Loss model equation:

  • The value of loss is entered as ohms/second at 1 GHz.

  • To compute the loss of the standard, measure the delay in seconds and the loss in dB at 1 GHz. Then use the following formula:

Capacitance model equation:

C0, C1, C2, C3. Specifies the fringing capacitance for the open standard.

  • C = (C0) + (C1 x F) + (C2 x F²) + (C3 x F³)

  • (F is the measurement frequency).

  • The terms in the equation are defined when specifying the open as follows:

    • C0 term is the constant term of the third-order polynomial and is expressed in Farads.

    • C1 term is expressed in F/Hz (Farads/Hz).

    • C2 term is expressed in F/Hz².

    • C3 term is expressed in F/Hz³.

Inductance model equation:

L0, L1, L2, L3. Specifies the residual inductance for the short standard.

  • L = (L0) + (L1 x F) + (L2 x F²) + (L3 x F³)

  • (F is the measurement frequency).

  • The terms in the equation are defined when specifying the short as follows:

    • L0 term is the constant term of the third-order polynomial and is expressed in Henries.

    • L1 term is expressed in H/Hz (Henries/Hz)

    • L2 term is expressed in H/Hz².

    • L3 term is expressed in H/Hz³.

Class Assignments

Once a standard is characterized, it must be assigned to a standard "class". A standard class is a group of standards that are organized according to the calibration of the VNA error model.

The number of classes needed for a particular calibration type is equal to the number of error terms being corrected.

A class often consists of a single standard, but may be composed of multiple standards. These may be required for accuracy or to cover a wide frequency range.

Example: A response calibration requires only one class, and the standards for that class may include an OPEN, or SHORT, or THRU. A 1-port calibration requires three classes. A 2-port calibration requires 10 classes, not including two for isolation.

The number of standards assigned to a given class may vary from one to seven for unguided calibrations. Guided calibrations allow as many standards as needed.

Calibration Classes are assigned in the Advanced Modify Cal Kit menu, SOLT or TRL tab.

The different classes used in the VNA:

S11A, S11B, S11C (S22A, S22B, S22C and so forth)

These are the three classes for port 1-reflection calibrations (three classes also for S22 and S33). They are used in the one-port calibrations and the full two-port calibration. They are required in removing the directivity, source match, and reflection tracking errors. Typically, these classes might consist of an open, a short and a load standard for each port.

Transmission and Match (forward and reverse)

These classes are used to perform a full two-port calibration. The transmission class relates primarily to the transmission tracking, while the match class refers to load match. For both of these classes, the typical standard is a thru or delay.

Isolation

The isolation classes are used to perform a full two-port and the TRL two-port calibrations. The isolation classes apply to the forward and reverse crosstalk terms in the VNA error model.

TRL THRU

These are used to perform a TRL two-port calibration. The TRL thru class should contain a thru standard or a short line. If it contains a non-zero length thru standard, then the calibration type is called LRL or LRM.

TRL REFLECT

This class is used to perform a TRL two-port calibration. The TRL reflect class should contain a standard with a high reflection coefficient, typically an open or short. The actual reflection coefficient need not be known, but its phase angle should be specified approximately correctly (± 90 deg). The exact same reflection standard must be used on both ports in the TRL calibration process.

TRL LINE or MATCH

These are used to perform a TRL two-port calibration. The TRL line or match class should contain line standards, load standards, or both. If a line standard is used, its phase shift must differ from that of the TRL THRU standard by 20° to 160°. This limits the useable frequency range to about 8 to 1. Two or more line standards of different lengths may be specified to get broader frequency coverage. It is also common to include a load standard for covering low frequencies, where the line's length would be impractically long. When a load is used, the calibration type is called TRM or LRM.

Note: For more information, read Specifying Calibration Standards and Kits for Keysight Vector Network Analyzers (Application Note 1287-11)


Modify Calibration Kits

VNA CalKit Editor, a standalone application, has been integrated into the VNA Firmware.

The following topics discuss Modifying Calibration Kits:

Using VNA CalKit Editor

  • Connectors Tab

  • Standards Tab

  • SOLT Tab

  • TRL Tab

Concepts

  • Why Modify a Cal Kit

  • VNA Cal Kit File Types

  • About VNA Cal Kits and Firmware Upgrades

Procedures

  • How to Create a New Cal Kit from an Existing Cal Kit

  • Creating Custom Calibration Kits using a New Connector Family

Note: Although the User Interface is changed, the existing remote commands can still be used to modify Cal Kits.

How to Modify Cal Kits

The series of dialog boxes that follow allow you to modify the standard definitions or class assignments of calibration kit files.

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Cal Sets & Cal Kits > Cal Kit...

Edit VNA Cal Kits

Manage Cal Kits dialog box help

Provides access to all Keysight cal kits and allows modification of their standard definitions.

VNA Cal Kits and Firmware Upgrades

  • All VNA cal kits can only be imported by the current firmware revision and later. They can NOT be imported by PAST firmware revisions. Once a Cal Kit has been imported by a later firmware revision, it cannot be imported by the previous version of firmware from which it originated.

Edit... Invokes the Connectors tab of the Edit Kit dialog box to modify selected calibration kit definitions.

Import... Invokes the Import Kit dialog box.

Save... Saves the selected calibration kit definitions using .xkt, .ckt or .prn file type). See VNA Cal Kit File Types topic.

Insert... Invokes a blank Edit Kit dialog box to create new calibration kit definitions.

Delete Deletes selected calibration kit file.

Print... Prints the contents of the selected cal kit to a .prn file.

Save Workspace... Saves ALL cal kits in the VNA to a *.xkw or *.wks file. The *.wks format was the defaultformat used by older revisions of PNA firmware for archiving a group of cal kit definition - it is NOT an Excel spreadsheet file.

Recall Workspace... Opens an archive of cal kits from past firmware upgrades and 'Save As' operations.

Restore Defaults Re-installs the default factory contents of all Keysight cal kits from the VNA hard drive. The factory Keysight cal kits are stored on the VNA hard drive at D:\PnaCalKits\factory.

Installed Kits

For more information see Creating Custom Calibration Kits using a New Connector Family.

Import Kit dialog box help

Note: There is no limit to the number of cal kits that can be imported. However, during an Unguided cal, you can access ONLY mechanical cal kits #1 through 95.

Imports calibration kit definitions from hard disk or other drive that are saved in the various formats.

Files of type Select the file type of your Cal Kit. Learn more about VNA Cal Kit File Types

File name Navigate and select your cal kit file.

Open Imports the selected file. The kit is added at the end of the list of cal kits.

Note: See VNA Cal Kits and Firmware Upgrades

Importing Kits other than current VNA Series Kits

Cal kit files from Keysight "legacy" network analyzers (listed above) may not contain information that the VNA requires. Therefore, the VNA may modify the cal kit name and description, the cal standards, and the cal class assignments in a best effort manner. You may need to correct these modifications after importing your legacy cal kit to meet your specific requirements.

  • "Legacy" cal kit files are based on the analyzer test port gender while VNA cal kits are based on the Device Under Test (DUT) connector gender. Therefore, when the kit is imported, the standard label and description are reversed and are noted as F- (female) and M- (male) .

  • When a Coaxial standard is detected in the kit file, a pair of male/female connectors is typically created.

  • Waveguide standards that are created as connector have no gender.

Last modified:

8-Dec-2014

Initial Release


Why Modify a Cal Kit

For most applications, the default calibration kit models provide sufficient accuracy for your calibration. However, several situations may exist that would require you to create a custom calibration kit:

  • Using a connector interface different from those used in the predefined calibration kit models.

  • Using standards (or combinations of standards) that are different from the predefined calibration kits. For example, using three offset SHORTs instead of an OPEN, SHORT, and LOAD to perform a 1-port calibration.

  • Improving the accuracy of the models for predefined kits. When the model describes the actual performance of the standard, the calibration is more accurate. For example: A 7 mm LOAD is determined to be 50.4 Ω instead of 50.0 Ω.

  • Modifying the THRU definition when performing a calibration for a non-insertable device.

  • Performing a TRL calibration.

Last modified:

21-Aug-2014

First Release


About VNA Cal Kits and Firmware Upgrades

The default "factory" cal kits are overwritten when new firmware is installed. Your custom cal kits (files with custom filenames) are NOT overwritten. However, the custom cal kits must be imported (click Import Kit) into the new firmware.

All VNA cal kits can only be imported by the current firmware revision and later. They can NOT be imported by PAST firmware revisions. Once a Cal Kit has been imported by a later firmware revision, it cannot be imported by the previous version of firmware from which it originated.

When a firmware upgrade takes place, ALL cal kits, both factory and custom, that are present on the VNA are saved to a single *.wks file using a unique filename. These files are NOT Excel spreadsheet files. They are opened using the Open button . They can be used as archives of cal kits from previous firmware versions.

Last modified:

21-Aug-2014

First Release


Creating Custom Calibration Kits using a New Connector Family

Creating a New Connector Family

To create a custom calibration kit that uses a new connector type, you must first define the connector family. The connector family is the name of the connector-type of the calibration kit, such as:

  • APC7

  • 2.4 mm

  • Type-N (50Ω)

Although more than one connector family is allowed, it is best to limit each calibration kit to only one connector family.

If you are using a connector family that has male and female connectors, include definitions of both genders. If you are using a family with no gender, such as APC7, only one connector definition is required.

Use the following steps to create a custom calibration kit:

  1. Press Cal > Cal Sets & Cal Kits > Cal Kit...

  2. At the Manage Cal Kit dialog box, click Edit Kit....

  3. In the Connectors Tab, click Add to name the new connector family.

  4. Enter the Kit Description for the custom cal kit.

  5. Click Add in the Connectors section of the dialog box.

  6. Enter a Connector Family name.

  7. Enter a Description of the connector.

  8. Select the Gender of one of the connectors.

  9. Enter the minimum and maximum Frequency Range.

  10. Enter the Impedance.

  11. Click the down-arrow to select the Media.

  12. Enter the cut-off frequency

  13. Click Apply.

  14. Click OK.

  15. If you need to add another connector gender, in the Connectors Tab, click Add in the Connectors section again for the next connector gender.

  16. If you are adding another connector gender, repeat step 3.

Note: If you have male and female versions of the connector family, you probably do NOT also have a NO GENDER version.

Enter Standards

Now that the connector family is added to the custom cal kit, you are ready to add new calibration standards.

  1. In the Standards Tab, under the list of standards, click Add.

  2. Select the type of standard (OPEN, SHORT, LOAD, or THRU), then click OK.

  3. Complete the information in the dialog box for the standard you selected. Note that for banded standards, the start and stop frequency may be different than the frequency range of the specified connector. Edit the start and stop frequencies as needed. Click OK when all the settings are correct.

  4. Repeat steps 2 - 3, as necessary, to add all standards and definitions to the new custom cal kit.

  5. Assign each of the standards to a calibration class. This is done through the TRL Tab or SOLT Tab

  6. Save the Cal Kit.

Last modified:

21-Aug-2014

First Release


How to Create a New Cal Kit from an Existing Cal Kit

You can create a new custom Cal Kit using an existing Cal Kit as a starting point.

Here is how:

  1. Press Cal > Cal Sets & Cal Kits > Cal Kit...

  2. At the Manage Cal Kit dialog box, click Save As and change the file name. Select either *.xkt, *.ckt or *.prn file type. Learn more about these file types.

  3. Make modifications to your new custom Cal Kit as required.

  4. Routinely save your work by clicking Save.

See Also

About VNA Cal Kits and Firmware Upgrades

Last modified:

22-Aug-2014

First Release


VNA Cal Kit File Types

The VNA Cal Kit editor can open the following types of Cal Kit files:

VNA Families | File Type
Current VNA Series Cal Kits | *.xkt (default with VNA, PNA A.10.00 and above) *.ckt *.ckx
Old VNA Series Cal Kit (before PNA A.07.50) | *.ck1
8510 Cal Kit | .CK_*
8753, 8752, 8719, 8720, or 8722 Cal Kit | *.ck
Current FieldFox Cal Kits | *.xkt
Previous FieldFox Cal Kits | *.xml

The current revision of Cal Kit files can be downloaded at http://na.support.keysight.com/pna/caldefs/stddefs.html

File Save (As)

The VNA Cal Kit Editor can save Cal Kits in three formats:

  • *.xkt - An XML-based format, supported by multiple VNA families (the default format).

  • *.ckt - VNA binary format - can be read by VNA and PNA Rev. A.07.50 and higher. This format is provided for backwards compatibility with older PNA firmware revisions and may not support future new Cal Kit capabilities like the *.xkt format is expected to.

  • *.prn - Cal Kit print files. This is a text file format which can be read into spreadsheets, but the Cal Kit Editor does not read-in these files, it only produces them as a form of documentation.

File Association

With the exception of *.xml, the above file types are automatically associated with the CalKit Editor if they are not already associated with a different program. That means, after running CalKit Editor, double-clicking any of the above file types (except *.xml) will open the file using CalKit Editor.

If you have already associated one of these file types with a different program and would like to change it to CalKit Editor, do the following:

  1. Right-click the file, then click Open With

  2. Browse to the CalKitEditor install folder.

    • C:\Program Files (x86)\Agilent\VNA Cal Kit Editor

  3. Check Always use the selected program to open this kind of file.

  4. Select CalKit Editor.

Last modified:

25-Aug-2014

First Release


Connectors Tab

Cal Kit Name Allows you to change the Name of the selected calibration kit.

Cal Kit Description Allows you to change the description of the selected calibration kit.

Connector Family .Click the down arrow to select the connector family associated with the Cal Kit.

Add Starts the Add Connector dialog box which allows you to add new connector type to the calibration kit.

Delete Deletes - WITHOUT WARNING - the selected connector family.

Note: To modify a connector family or name, Add a new connector, then delete the old connector.

The following is the list of Factory-defined connector type strings:

APC 3.5 female

APC 3.5 male

APC 2.4 female

APC 2.4 male

APC 7

Type N (50) female

Type N (50) male

Type N (75) female

Type N (75) male

Type F (75) female

Type F (75) male

Type A (50) female

Type A (50) male

Type B

7-16 female

7-16 male

2.92 mm female

2.92 mm male

1.85 mm female

1.85 mm male

1.0 mm female

1.0 mm male

X-band waveguide

P-band waveguide

K-band waveguide

Q-band waveguide

R-band waveguide

U-band waveguide

V-band waveguide

W-band waveguide

Frequency Range

Min Allows you to define the lowest frequency at which the standard is used for calibration.

Max Allows you to define the highest frequency at which the standard is used for calibration.

Gender

Gendered - The connector family contains both Male and Female connectors.

Genderless - The connector family does NOT contain Male and Female connectors. APC7 connectors are an example of this connector type.

Impedance

Specify the impedance of the standard.

Media

The medium (or 'geometry') of the connector (COAX or WAVEGUIDE).

Cutoff Frequency If Media is Waveguide, type the low-end cutoff frequency.

Height/Width Ratio Used to calculate waveguide loss. This value is usually on the data sheet for waveguide devices.

About Waveguide Cal Kits

If modifying or creating a waveguide cal kit, be sure to make the following settings. You can create a custom waveguide cal kit using an existing factory waveguide Cal kit as a starting point. The factory cal kits already have these settings.

  • Frequency Range: Min. frequency = Cutoff frequency.

  • Gender: No Gender

  • Impedance Z0: 1 ohm

  • Media: Waveguide

For waveguide, choose TRL (Thru-Reflect-Line) calibration type . These calibration types are more accurate and take fewer steps than SOLT.

Add Connector Family

Enter a name for the new connector family. Then click OK.

Available at the bottom of every tab

Save As - Allows you to save the cal kit to a new file name and type.

Save - Saves the cal kit to the same file name and type.

Close - Closes the cal kit editing session. The file is NOT saved automatically.

Last modified:

25-Aug-2014

First Release


Standards Tab

Allows you to Add, Edit or Delete cal standards in a cal kit.

Add Standard (Open, Short, Load, Thru, or Data-based)

Add Standard dialog box help

Allows you to add standards to the calibration kit file.

Choose from:

  • OPEN

  • SHORT

  • LOAD

  • THRU

  • DATA-BASED

  • ISOLATION

Standards dialog box help

The following fields apply to ALL standard types:

The other areas of the dialog change depending on the type of standard selected.

Identification

Standard ID Number in list of standards

Label Type of standard. This usually appears in prompts for standards.

Description Description of standard.

The following fields apply to ALL standard types EXCEPT the Isolation type:

Connector

Indicates the type and gender (Male, Female, None) of the standard.

Thru and Isolation standards have two connectors.

Data-Based standards MAY have two connectors.

Frequency Range

Min Defines the lowest frequency at which the standard is used for calibration.

Max Defines the highest frequency at which the standard is used for calibration.

The Delay Characteristics fields apply to MOST standard types:

Delay Characteristics

Delay Defines the one-way travel time from the calibration plane to the standard in seconds.

Z0 Defines the impedance of the standard.

Loss Defines energy loss in Gohms, due to skin effect, along a one-way length of coaxial cable.

Other fields are unique to standard type

Choose from:

  • OPEN

  • SHORT

  • LOAD

  • THRU

  • DATA-BASED

  • ISOLATION

Open Standard

C0, C1, C2, C3 Specifies the fringing capacitance.

These are the unique fields of the dialog. See the areas that are common to all standards.

Short Standard

L0, L1, L2, L3 Specifies the residual inductance.

Load Standard

Choose from the following

Fixed Load Specifies the load type as Fixed. The fixed load is assumed to be a perfect termination without reflection.

Sliding Load

A sliding load is defined by making multiple measurements of the device with the sliding load element positioned at various marked positions of a long transmission line. The transmission line is assumed to have zero reflections and the load element has a finite reflection that can be mathematically removed using a least squares circle fitting method.

A sliding load cal can be very accurate when performed perfectly. It can also be very inaccurate when not using proper technique. For accurate results, closely follow the users manual instructions for the sliding load.

Arbitrary Impedance

Specifies the load type that has an impedance value different from system Z0. An arbitrary impedance device is similar to a fixed load except that the load impedance is NOT perfect. Early firmware releases of the VNA series used a fixed resistance value. A complex terminating impedance has been added to allow for more accurate modeling of circuit board or on-wafer devices.

The following Complex Impedance settings are available ONLY when Arbitrary Impedance is selected.

    • Real The real portion of the impedance value.

    • Imaginary The imaginary portion of the impedance value.

Offset Load

Using an Offset Load standard results in a more accurate calibration than with a Broadband Load. Therefore, when performing a calibration using one of the modified Cal Kit definitions, you may be prompted to connect more standards than before this change. To revert to using the Broadband Load Standard without offset, do the following:

  1. Press Cal > Cal Sets & Cal Kits > Cal Kit...

  2. At the Manage Cal Kit dialog box, click Edit Kit....

  3. Select the SOLT tab.

  4. Under the Calibration Kit Classes, select SC (Loads)

  5. Under the SC Selected Standards, select Broadband Load, then click Move Up until the standard is at the top of the list. This will ensure that the Broadband Load is used first.

About Offset Load

An offset load is a compound standard consisting of a load element and two known offset elements (transmission lines) of different length. The shorter offset element can be a zero-length (Flush-thru) offset. The load element is defined as a 1-port reflection standard. An offset load standard is used when the response of the offset elements are more precisely known than the response of the load element. This is the case with waveguide. Measurement of an offset load standard consists of two measurements, one with each of the two offset elements terminated by the load element. The frequency range of the offset load standard should be set so that there will be at least a 20 degree separation between the expected response of each measurement.

To specify more than two offset elements, define multiple offset load standards. In cases where more than two offsets are used, the frequency range may be extended as the internal algorithm at each frequency will search through all of the possible combinations of offsets to find the pair with the widest expected separation to use in determining the actual response of the load element.

The following Offset Load settings are available ONLY when Offset Load is selected.

    • First Offset Standard

    • Second Offset Standard

    • Load Standard

Thru Standard

Connectors - Defines connector type at both ends of the Thru standard.

Virtual Device

Most cal kits have only one Thru standard definition for SOLT calibrations. For these cases, use the default selections (checked for zero-length Thrus and cleared for non-zero-length Thrus).

This checkbox is used to make forward and reverse measurements of your Thru standard for the same pair of ports in two separate steps. This is NOT common for zero-length (Flush) Thru standards.

When checked, calibration prompts involving that Thru will omit the Description. For example “Connect port 1 to port 2”. This is the common prompt for Flush-Thru standards.

When cleared, calibration prompts for that Thru will include the Description. For example “Connect <standard description> between ports 1 and 2”.

To make forward and reverse measurements of your Thru standard for the same pair of ports as two separate steps, do the following:

  1. Create separate definitions of the Thru standard(s) using the same settings, except for the Label and Description. Clear this checkbox for BOTH definitions.

  2. For one Thru definition, in the label and description include the word 'FORWARD' to prompt the operator to use this standard for the forward measurement. Assign this standard to the SOLT “FWD TRANS” and “FWD MATCH” classes of the cal kit.

  3. For the Thru definition, in the label and description include the word 'REVERSE' to prompt the operator to use this standard for the reverse measurement. Assign this standard to the SOLT “REV TRANS” and “REV MATCH” classes of the cal kit.

  4. When you perform SOLT calibrations using this cal kit, the forward measurements of the Thru will be measured in one connection step, and the reverse measurements in another.

Data-Based Standard

Learn about the relative accuracy of Databased versus Polynomial Cal Kits.

The modified file can then be uploaded into the VNA.

Upload Data From File

Click Load Data File, then navigate to the *.dat file which is provided with the data-based Cal Kit. Both Response data and Accuracy (Uncertainty) data is provided in a single *dat file.

For Advanced Users

Response data can be loaded from a *.s2p or *.cti file.

Accuracy data can be loaded from a *.cti file.

Virtual Device

This checkbox is displayed for a Data-Based cal standard when the standard has been defined to have 2 ports.

  • When Cleared (default) calibration prompts for that standard will include it’s Description. For example “Connect <standard description> between ports 1 and 2”.

  • When Checked, calibration prompts for that standard will NOT include its Description, so the prompt will be worded as if the data-based standard is a zero-length Thru connection. For example “Connect port 1 to port 2”.

Isolation Standard

The pair of loads are considered one standard.

Both loads are connected to the VNA and measured with the same prompt.

Available at the bottom of every tab

Save As - Allows you to save the cal kit to a new file name and type.

Save - Saves the cal kit to the same file name and type.

Close - Closes the cal kit editing session. The file is NOT saved automatically.

Last modified:

25-Aug-2014

First Release


SOLT Tab

Note: This dialog looks similar to the dialog that appears after the Cal Wizard View / Modify dialog. However, setting changes in that dialog affect ONLY the calibration that is in progress. These settings, accessed through Modify Cal Kit, changes the cal kit for all future calibrations that use this cal kit.

Allows you to assign single or multiple standards to SOLT Calibration Classes.

Click the TRL tab to assign standards to TRL Calibration Classes.

  1. For each Cal Kit Class, select Available Standards from the left list, then click >> to copy the standard to the Cal Kit.

  2. Use Move Up and Move Down to change the order of the standards. The order is used in guided calibrations to determine which standards in that class will be used in calibrations that involve the frequency ranges over which the standards are defined. Guided cals will include standards in the order in which they appear in this class list, and in the case where standards in the class list have frequency ranges that overlap, the order also determines which standard is used for frequencies in the overlap range. For example, let's assume that you define a broadband Short from Min Freq.= 0 Hz and Max Freq.= 999 GHz, and that standard is listed first in the SB or TRL REFLECT class. If you then list a frequency-banded Short with the same connector below the broadband short in those same classes, then guided calibrations would not use the frequency-banded Shorts because the broadband Shorts would always be given priority.

SOLT <cal class> Label

The cal standard category label that appears in the VNA’s user interface during unguided SOLT calibrations.

Calibration Kit Classes

For each calibration class, select Available Standards, then click >> to move to the Selected Standards list.

  • SA - OPEN Standards

  • SB - SHORT Standards

  • SC - LOAD Standards

  • FWD / REV Trans and Match - THRU Standards. Most Cal Kits do NOT include a physical THRU standard, but assume that an Insertable Thru will be used.

  • ISOLATION - Isolation standard. For VNA analyzers, ISOLATION calibration is not usually recommended. It could be beneficial in some situations where custom user-supplied test set hardware is being used.

Link FWD TRANS, FWD MATCH, REV TRANS, and REV MATCH Check to automatically assign the standard definition for FWD TRANS to FWD MATCH, REV MATCH, and REV TRANS. Clear to separately assign FWD MATCH, REV MATCH and REV TRANS classes (SOLT calibrations only).

Expanded Calibration

The following two check boxes apply ONLY during Guided Calibrations. For Unguided Calibration, these check boxes are ignored, including the case where the multiple standards dialog box is presented.

Measure all mateable standards in class Check this box to attain the highest accuracy possible. For example, if a cal kit contains several load standards, during the calibration process you will be prompted to measure each of the standards. This could require a significant amount of calibration time. When checked, the "Use expanded math when possible" box is also checked automatically.

Use expanded math when possible Some kits contain multiple calibration standards of the same type that together cover a very wide frequency range. (For example: multiple shorts, or a lowband load and a sliding load.) If a calibration requires more than one standard to cover the calibration frequency range, there can be regions of overlapping measurements. When this checkbox is selected, the VNA automatically computes the most accurate measurement in the overlap regions using a "weighted least squares fit" algorithm. This function improves accuracy without slowing the calibration speed.

  • Manually select this checkbox only when using a cal kit that contains multiple standards of the same type. (For example: multiple shorts, or a lowband load and a sliding load.)

  • The checkbox is cleared by default when a polynomial model is selected from the cal kit menu.

  • The checkbox is selected by default when the 85058B or 85058E data-based model is selected from the cal kit menu.

Available at the bottom of every tab

Save As - Allows you to save the cal kit to a new file name and type.

Save - Saves the cal kit to the same file name and type.

Close - Closes the cal kit editing session. The file is NOT saved automatically.

Last modified:

25-Aug-2014

First Release


TRL Tab

On the image below, click a setting area to learn more.

Allows you to assign single or multiple standards to Calibration Classes.

  1. For each Cal Kit Class, select Available Standards from the left list, then click >> to copy the standard to the Cal Kit.

  2. Use Move Up and Move Down to change the order of the standards. The order is used in guided calibrations to determine which standards in that class will be used in calibrations that involve the frequency ranges over which the standards are defined. Guided cals will include standards in the order in which they appear in this class list, and in the case where standards in the class list have frequency ranges that overlap, the order also determines which standard is used for frequencies in the overlap range. For example, let's assume that you define a broadband Short from Min Freq.= 0 Hz and Max Freq.= 999 GHz, and that standard is listed first in the SB or TRL REFLECT class. If you then list a frequency-banded Short with the same connector below the broadband short in those same classes, then guided calibrations would not use the frequency-banded Shorts because the broadband Shorts would always be given priority.

Note: The TRL LINE/MATCH class has a slight exception to these prioritization behaviors. In general, Line standards are given a higher priority than Match standards. So if a Line standard and a Match standard are defined to have the same frequency range and the Match standard is listed above the Line standard in the class order, a guided TRL cal will still prefer to use the Line standard rather than the Match standard.

TRL <cal class> Label

The cal standard category label that appears in the VNA’s user interface during unguided TRL calibrations.

Cal Kit Classes

  • For VNA analyzers, ISOLATION calibration is not usually recommended. It could be beneficial in some situations where custom user-supplied test set hardware is being used.

TRL THRU

Note: All THRU calibration methods are supported in a TRL Cal EXCEPT Unknown Thru.

  • The THRU standard can be either a zero-length or non-zero length. However, a zero-length THRU is more accurate because it has zero loss and no reflections, by definition.

  • The THRU standard cannot be the same electrical length as the LINE standard.

  • If the insertion phase and electrical length are well-defined, the THRU standard may be used to set the reference plane.

  • The THRU standard and LINE standard have the same characteristic impedance and are perfectly matched. They define the reference impedance of the calibration.

  • If a THRU standard with the correct connectors is NOT available, an adapter removal cal can be performed.

TRL REFLECT

  • The REFLECT standard can be anything with a high reflection, as long as it is the same when connected to one or more VNA ports.

  • The REFLECT standard on each port is identical.

  • The actual magnitude of the reflection need not be known.

  • The phase of the reflection standard must be known within 1/4 wavelength.

  • If the magnitude and phase of the reflection standard are well-defined, the standard may be used to set the reference plane.

TRL LINE

The LINE and THRU standards establish the reference impedance for the measurement after the calibration is completed. TRL calibration is limited by the following restrictions of the LINE standard:

  • Must be of the same impedance and propagation constant as the THRU standard.

  • The electrical length need only be specified within 1/4 wavelength.

  • Cannot be the same length as the THRU standard.

  • A TRL cal with broad frequency coverage requires multiple LINE standards. For example, a span from 2 GHz to 26 GHz requires two line standards.

  • Must be an appropriate electrical length for the frequency range: at each frequency, the phase difference between the THRU and the LINE should be greater than 20 degrees and less than 160 degrees. This means in practice that a single LINE standard is only usable over an 8:1 frequency range (Frequency Span / Start Frequency). Therefore, for broad frequency coverage, multiple lines are required.

  • At low frequencies, the LINE standard can become too long for practical use. The optimal length of the LINE standard is 1/4 wavelength at the geometric mean of the frequency span (square root of f1 x f2).

Note: The TRL LINE standard must have a delay that is greater than 0 (zero) ps. Otherwise, calibration correction calculations will contain unpredictable results.

TRL MATCH

If the LINE standard of appropriate length or loss cannot be fabricated, a MATCH standard may be used instead of the LINE.

  • The MATCH standard is a low-reflection termination connected to both Port 1 and Port 2.

  • The MATCH standard may be defined as an infinite length transmission line OR as a 1-port low reflect termination, such as a load.

  • When defined as an infinite length transmission line, both test ports must be terminated by a MATCH standard at the same time. When defined as a 1-port load standard, the loads are measured separately. The loads are assumed to have the same characteristics.

  • The impedance of the MATCH standard becomes the reference impedance for the measurement. For best results, use the same load on both ports. The load may be defined using the data-based definition, the arbitrary impedance definition, or the fixed load definition.

Calibration Reference Z0 (TRL only)

System Z0 The system impedance is used as the reference impedance. Choose when the desired test port impedance differs from the impedance of the LINE standard. Also, choose when skin effect impedance correction is desired for coax lines.

Line Z0 The impedance of the line standard is used as the reference impedance, or center of the Smith Chart. Any reflection from the line standard is assumed to be part of the directivity error.

Testport Reference Plane (TRL only)

Thru Standard The THRU standard definition is used to establish the measurement reference plane. Select if the THRU standard is zero-length or very short.

Reflect Standard The REFLECT standard definition is used to establish the position of the measurement reference plane. Select if the THRU standard is not appropriate AND the delay of the REFLECT standard is well defined.

Also, select If a flush short is used for the REFLECT standard because a flush short provides a more accurate phase reference than a Thru standard.

LRL line auto characterization

Note: This setting ONLY applies if an LRL Cal Kit is being modified AND Testport Reference Plane is set to Thru Standard AND the TRL Thru class standard and the TRL Line/Match class standard both have the same values for Offset Z0 and Loss. Otherwise, this setting is ignored.

  • Check the box to allow the VNA to automatically correct for line loss and dispersion characteristics.

  • Clear the box if anomalies appear during a calibrated measurement which may indicate different loss and impedance values for the Line standards.

Available at the bottom of every tab

Save As - Allows you to save the cal kit to a new file name and type.

Save - Saves the cal kit to the same file name and type.

Close - Closes the cal kit editing session. The file is NOT saved automatically.

Last modified:

25-Aug-2014

First Release


Markers

Markers provide a numerical readout of measured data, a search capability for specific values and can change stimulus settings. There are 15 regular markers and one Reference marker (used with Delta markers) available per trace. This topic discusses all aspects of markers.

Note: Marker Readout can be turned ON/OFF and customized from the Customize Display dialog box. Learn more.

  • Creating and Moving Markers

  • Marker Setup

    • Coupling Method

  • Searching with Markers

    • Maximum and Minimum Search

    • Peak Search

    • Multi Peak Search

    • Target Search

    • Multi Target Search

    • Bandwidth and Notch Search

    • Compression Search

    • PSAT Search

    • PNOP Search

  • Search Domain

  • Search Range Indicators

  • Marker Functions (Change Instrument Settings)

  • Marker Display

  • Marker Table

Other Analyze Data topics

Creating and Moving Markers

Creating Markers

How to Create Markers

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Marker > Marker 1-7 / Marker 8-15 / Reference.

  2. Click left side Marker N or Reference small button.

  1. Move the cursor on a trace.

  2. Right-click on the trace then select Add Marker....

Moving a Marker

To move a marker, make the marker active by selecting its number in any of the previous 3 methods. The active marker appears on the analyzer display as Ñ. All of the other markers are inactive and are represented on the analyzer display as D. Then change the stimulus value using any of the following methods:

  • Type a value.

  • Scroll to a stimulus value using the up/down arrows. The resolution can not be changed.

  • Click the stimulus box, then use the front-panel knob.

  • Click and drag Markers using a finger (touchscreen) or by left-click and holding a marker symbol. Then, drag the marker to any point on the trace. This feature is NOT allowed in Smith Chart or Polar display formats or with a Fixed Marker type.

Marker Setup

How to set the Marker Setup.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Marker > Marker Setup.

  2. Set the value or select desired setting for each softkey.

  1. Move the cursor on a marker.

  2. Right-click on the marker then select Marker....

Marker Dialog Box / Marker > Marker Setup Softtab Help

Marker - Specifies the current (active) marker number that you are defining.

On - Check to display the marker and corresponding data on the screen.

Stimulus - Specifies the X-axis value of the active marker. To change stimulus value, type a value, use the up and down arrows, click in the text box and use the front-panel knob or drag the marker on the screen.

Delta Marker - Check to make the active marker display data that is relative to the reference (R) marker. There is only one reference marker per trace. All 15 other markers can be regular markers or delta markers. When a delta marker is created, if not already displayed, the reference marker is displayed automatically. A delta marker can be activated from the Marker dialog box or the Marker Toolbar.

Discrete - Check to display values at only the discrete points where data is measured. Clear to display values that are interpolated from the data points. The interpolated marker will report y-axis data from ANY frequency value between the start and stop frequency.

Checked Fixed - Check to cause the marker to have a fixed X-axis and Y-axis position based on its placement on the trace when it was set to fixed. It does NOT move with trace data amplitude. It can be scrolled left and right on the X-axis by changing the marker stimulus value. Use this marker type to quickly monitor "before and after" changes to your test device. For example, you could use fixed markers to record the difference of test results before and after tuning a filter.

Cleared Fixed - Clear the box to create a Normal marker, which has a fixed stimulus position (X-axis) and responds to changes in data amplitude (Y-axis). It can be scrolled left and right on the X-axis by changing the marker stimulus value. Use this marker type with one of the marker search types to locate the desired data.

(Marker) Format - Displays the marker data in a format that you choose. The Trace Default setting has the same marker and grid formats. Choose from the following:

Log / Phase | Log Magnitude | Real
Lin / Phase | Linear Magnitude | Imaginary
Re / Im | Phase |
R+jX (Complex impedance) | SWR |
G+jB (Complex admittance) | Delay |

Checked Coupled Markers - Check the box to turn on the trace coupling.

Cleared Coupled Markers - Clear the box to turn off the trace coupling.

Coupling Method - Check to couple markers by marker number, 1 to 1, 2 to 2 and so forth. Learn more about Coupling Method.

All Off - Switches OFF all markers on the active trace.

Coupling Method

The coupled markers feature causes markers on different traces to line up with the markers on the selected trace. Markers are coupled by marker number, 1 to 1, 2 to 2, 3 to 3, and so forth. If the x-axis domain is the same (such as frequency or time), coupling occurs either of in a channel or across all channels. Trace markers in a different X-axis domain will not be coupled. If a trace marker has no marker to couple with on the selected trace, the marker remains independent.

All - A marker on one trace is coupled to the same-numbered markers on all channels, all windows and all traces.

Channel - A marker on one trace is coupled to the same numbered markers on traces which share the same channel number as the original trace.

Searching with Markers

You can use markers to search and return data for the following trace criteria:

  • Max and Min: Find the highest or lowest points on the trace

  • Peak: Move to other peaks (left, right, next highest)

  • Multi Peak

  • Target: Find a specific Y-axis value

  • Multi Target:

  • Bandwidth (Filters)

  • Notch (Filters)

  • Compression Point (Amplifiers)

  • About PSAT and PNOP Markers

    • Power Saturation (Amplifiers)

    • Power Normal Operating Point (Amplifiers)

  • Search Domain

  • Search Range Indicators

How to Search with Markers

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Main / Peak / Target / Multi Peak & Target / Bandwidth & Notch / Compression & Saturation / Normal Op Pt.

  1. Move the cursor on a marker.

  2. Right-click on the marker then select Search... to show the Marker Search Dialog box for define the search parameters.

  3. From Search Type of Marker Search dialog box, select the desired search function.

  4. Press Execute or check Tracking. Learn more.

Marker Search Dialog Box / Search Softtab Help

Marker - Specifies the marker that you are defining. Not available for search types that deploy specific markers.

Search Domain - Defines the area where the marker can move or search. For full span, the marker searches for specified values within the full measurement span. For user span, the marker searches for specified values within a measurement span that you define. Learn more about Search Domain.

Search Type

Note: You must either press Execute or check Tracking to initiate all search types. If there is no valid data match for the search type, the marker will not move from its current position.

  • Execute - Click to cause the marker to search for the specified criteria.

  • Tracking - Check to cause the marker to search for the specified criteria with each new sweep. The searches begin with the first sweep after Tracking has been checked, based on the current search type and domain information. Therefore, make sure that the search criteria are in the desired state before using the data. You cannot manually change the stimulus setting for a marker if Tracking is selected for that marker.

    Tracking operation is different depending on "Marker: Use Single Marker for marker Search" setting in the preferences. When the preference is enabled or disabled, all existing marker searches are turned off and tracking is turned off by default.

    On (Checked)

    This is the E5071C-compatible mode. The advanced marker search functions (Bandwidth, Notch, Compression, Saturation and Normal Operating Points) are performed by using dedicated small sub-markers which always track the active marker. In this mode, the marker search tracking function cannot be applied to these advanced marker search functions except Compression Search.

    Off (unchecked)

    This is the PNA (N52xx)-compatible mode. These advanced marker search functions are performed by markers. In the preset condition, the marker search tracking is applied to the advanced marker search function you selected. If you assign the marker search tracking to other marker search function (for example, Max tracking), the tracking operation for these advanced marker searches will be disabled.

Maximum - The marker locates the maximum (highest) data value. Learn more about Maximum Search.

Minimum - The marker locates the minimum (lowest) data value. Learn more about Minimum Search.

Peak - The marker locates the highest peak or lowest valley. Whether peak or valley is determined by the search polarity: Press Search > Peak > Peak Polarity. Learn more about Peak Search.

  • When Peak Polarity is Positive, the marker moves to the maximum peak.

  • When Peak Polarity is Negative, the marker moves to the minimum peak.

Peak Right - The marker locates the next valid peak to the right of its starting position on the X-axis.

Peak Left - The marker locates the next valid peak to the left of its starting position on the X-axis.

Next Peak - The marker locates the peak with the next lower amplitude value relative to its starting position for positive peak search. The next higher valley is searched for negative peak search.

Multi Peak - A function that search for peaks that match the multi-peak search excursion value and multi-peak polarity value. Learn more about Multi Peak Search.

  • Threshold - Value in dB.

  • Excursion - Value in dB.

Target - A function that searches for a target that matches the pre-defined target value and transition types (positive, negative or both (positive and negative)) and then moves the marker to that target. Learn more about Target Search.

Target Left - A function executes the search from the current marker position to the smaller stimulus values and moves the marker to first target encountered.

Target Right - A function executes the search from the current marker position to the larger stimulus values and moves the marker to first target encountered.

Multi Target - A function that search for targets that are of the multi-target value and multi target transition value. Learn more about Multi Target Search.

  • Target - Value in dB.

Compression - A function used the active marker to find the specified gain Compression Level. Learn more about Compression Search.

  • Compression - Value in dB.

Bandwidth - A function for determining the bandwidth of the trace, center frequency, cut-off points (on the higher frequency and the lower frequency sides), Q and insertion loss based on the position of the active marker. Learn more about Bandwidth Search.

Notch - A function is used to obtain the bandwidth, center frequency, cutoff points (high-frequency side and low-frequency side), Q and insertion loss of a trace based on the active marker position. Learn more about Notch Search.

  • Level - Bandwidth and notch level in dB.

Power Saturation - Learn more about PSAT Search.

  • PMax Back-off -Value in dB.

Normal Operating Pt - The output power where the input is offset from the back-off input power by the Pin Offset. Learn more about PNOP Search.

  • Back-off - Value in dB.

  • Pin Offset - X-axis value in dB.

Maximum and Minimum Search

How to create Maximum and Minimum Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Main.

  2. Click Max Search or Min Search.

  3. Optionally click Tracking to search for the specified maximum or minimum level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search....

  3. From Search Type of Marker Search dialog box, select Maximum / Minimum.

  4. Press Execute or check Tracking. Learn more.

You can search for the maximum or minimum measured value on the trace and move a marker to that point.

Search for maximum (Max Search) | Move active marker to point on trace where measured value is greatest.
Search for minimum (Min Search) | Move active marker to point on trace where measured value is lowest.

Note: When the data format is in Smith chart or polar format, execute the search only for the main response value.

Peak Search

How to create Peak Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Peak.

  2. Click Peak Search to show the markers on the peak.

  3. Click Peak Right >> Search, << Peak Left Search or Next Peak Search to move the marker to the peak.

  4. Click Threshold to enter the value of peak threshold.

  5. Click Excursion to enter the lower limit value of peak excursion.

  6. Click Peak Polarity to select a peak polarity.

  7. Optionally click Tracking to search for the specified peak level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search....

  3. From Search Type of Marker Search dialog box, select Peak / Peak Left / Peak Right / Next Peak.

  4. Enter the value of Threshold and Excursion.

  5. Press Execute or check Tracking. Learn more.

A peak is a measurement point whose value is greater or smaller than the adjoining measurement points on its right and left sides. Peaks are classified into the following two types depending on the difference in magnitude from the measurement points on either side of it.

What is "Peak"?

You define what the analyzer considers a "peak" by selecting the following two peak criteria settings:

  • Threshold - To be considered valid for the positive peak search, the peak must be above the threshold level. The valley on either side can be below the threshold level. For negative peak search, valleys below the threshold level are considered valid in the opposite manner.

  • Excursion - The vertical distance (dB) between the peak and the valleys on both sides. To be considered valid, data values must descend from the peak or ascend from the valley on the both sides by the excursion value.

Peak Polarity: | Definition:
Positive | A peak whose measured value is greater than those of the measurement points on either side of it. Detect positive peaks which are larger than Threshold.
Negative | A peak whose measured value is smaller than those of the measurement points on either side of it. Detect negative peaks which are smaller than Threshold.
Both | A peak whose measured value is smaller and greater than those of the measurement points on either side of it. No detection due to it does not use Threshold.

About Peak Excursion Value

The peak excursion value is the smaller of the differences in measured values from the adjoining peaks of the opposite polarity.

Executing a Peak Search

The following 3 methods are available for executing the peak search:

Next Peak | Moves the marker to the maximum peak when peak polarity is Positive or Both. Moves the marker to the minimum peak when peak polarity is Negative.
Peak Left | Executes the search from current marker position to the smaller stimulus values and moves the marker to first peak encountered.
Peak Right | Executes the search from current marker position to the larger stimulus values and moves the marker to first peak encountered.

Note: Peak right, peak left and next peak may not be tracked. If these searches are selected and then tracking is turned on, the peak tracking is enabled.

When the data format is in Smith chart or polar format, execute the search for the main response value of the two marker response values.

Changing the settings of peak excursion value or peak polarity executes new search for multiple peak.

Example:

Threshold Setting: -10dB
Excursion Setting: 1dB
Scale = 1 dB / Division
Mouse over the graphic to find a valid peak.

  • Peak A = Valid Peak (Above Threshold and Excursion Settings)

  • Peak B = Invalid Peak (Below Excursion Setting)

  • Peak C = Invalid Peak (Below Threshold Setting)

Multi Peak Search

How to create Multi Peak Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Multi Peak & Target.

  2. Click Multi Peak Search to show the markers on the multi peaks.

  3. Click Peak Threshold to enter the value of peak threshold.

  4. Click Peak Excursion to enter the lower limit value of peak excursion.

  5. Click Peak Polarity to select a peak polarity.

  6. Optionally click Tracking to search for the specified multi peak level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search....

  3. From Search Type of Marker Search dialog box, select Multi Peak.

  4. Enter the value of Threshold and Excursion.

  5. Press Execute or check Tracking. Learn more.

The multi peak search function enables you to display markers on multiple peaks on traces. Depending on the number of detected peaks, markers 1 through 15 are displayed from the start frequency. The reference marker is not affected.

Multiple peak search has threshold, excursion and polarity as user defined values. This search may have tracking enabled.

When the multiple peak search is executed, previous markers search and tracking are disabled and the settings for the multiple peak search are used.

Note: Do not use individual marker settings or marker domain.

Put markers on each valid peak, using up to 15 markers.

Target Search

How to create Target Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Target.

  2. Click Target Search to enable the target search.

  3. Click Target Right >> Search or << Target Left Search to move the marker to the target.

  4. Click Target Value to input the value of target search.

  5. Click Transition to select a transition type.

  6. Optionally click Tracking to search for the specified target level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search....

  3. From Search Type of Marker Search dialog box, select Target/Target Left/Target Right.

  4. Enter the value of the Target.

  5. Press Execute or check Tracking. Learn more.

The target search is a function that searches for a target that matches the pre-defined target value and transition types (positive, negative or both positive and negative) and then moves the marker to that target.

Target Transition Types

A target is a point that has a specific measured value on the trace. Targets can be divided into the 3 groups shown below depending on their transition type.

Transition Type: | Function:
Positive | When the value of the target is larger than the measured value that precedes immediately it (on the right side).
Negative | When the value of the target is smaller than the measured value that precedes immediately it (on the left side).
Both | When the value of the target is smaller or greater than the measured value that precedes immediately it (on the left and right side).

Executing a Target Search

The following 2 methods are available for executing the target search:

Target Left | Executes the search from the current marker position to the smaller stimulus values and moves the marker to first target encountered.
Target Right | Executes the search from the current marker position to the larger stimulus values and moves the marker to first target encountered.

Note: Target right and target left cannot have tracking enabled. If target left or target right is the selected search and then tracking is enabled, target tracking is enabled.

When the data format is in Smith chart or polar format, execute the search for the main response value of the 2 marker response values.

Changing the settings of target value or transition type executes new search for multiple target.

The marker moves to the first occurrence of the Target value to the right of its current position. Subsequent presses of the Execute button cause the marker to move to the next value to the right that meets the Target value. When the marker reaches the upper end of the stimulus range, it will "wrap around" and continue the search from the lower end of the stimulus range (left side of the window).

  • If Discrete Marker is OFF, the marker locates the interpolated data point that equals the target value.

  • If Discrete Marker is ON and there are two data points on either side of the target value, the marker locates the data point closest to the Target value

Multi Target Search

How to create Peak Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Multi Peak & Target.

  2. Click Multi Target Search to show the markers on the multi target.

  3. Click Target Value to enter the value of target.

  4. Click Transition to select a transition type.

  5. Optionally click Tracking to search for the specified multi target level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search....

  3. From Search Type of Marker Search dialog box, select Multi Target.

  4. Enter the value of the Target.

  5. Press Execute or check Tracking. Learn more.

The multi target search is a function that searches for targets that match to pre-defined target value and transition types (positive, negative or both of positive and negative) and displays markers on the targets being searched.

Depending on the number of detected targets, markers 1 through 15 are displayed from the start frequency. The reference marker is not affected.

When the multi target search is executed, search and tracking settings for markers 1 through 15 are ignored and the settings for the multi target search are used.

Note: Put markers on each found target value, using up to fifteen markers. Reference marker is not affected. Do not use individual marker settings or marker domain. Search range is applied.

Multiple target search has target and transition types as user defined values. This search may have tracking enabled. When this search is executing, previous marker searches are disabled.

Bandwidth and Notch Search

4 markers are automatically deployed to find the first negative or positive bandpass in the selected search domain.

How to create Bandwidth and Notch Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Bandwidth & Notch.

  2. Click left side Bandwidth Search or Notch Search small button to turn it ON/OFF.

  3. For Bandwidth search, click BW Ref To > Marker or Peak.

  4. For Notch search, click Notch Ref To > Marker or Peak.

  5. Specify the BW Level or Notch Level in dB from the peak or valley where bandwidth / notch is measured.

  6. Optionally click Tracking to search for the specified bandwidth or notch level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search....

  3. From Search Type of Marker Search dialog, select Bandwidth or Notch.

  4. Specify the Level in dB from the peak or valley where bandwidth / notch is measured.

  5. Press Execute or check Tracking. Learn more.

Bandwidth Search

The bandwidth search is a function for determining the bandwidth of the trace, center frequency, cut-off points (on the higher frequency and the lower frequency sides), Q and insertion loss based on the position of the active marker. The definitions of the parameters determined through the bandwidth search are shown in below.

Notch Search

The notch search function is used to obtain the bandwidth, center frequency, cutoff points (high-frequency side and low-frequency side), Q and insertion loss of a trace based on the active marker position. The notch search function starts from the left side of the active marker position and ends when points that meet the conditions are found.

The figure and the table below shows the definition of parameters obtained by notch search function. The notch value in figure below must be specified by the user.

The following values are displayed for Bandwidth and Notch Search:

Bandwidth/Notch Parameter: | Definition:
Bandwidth (BW) | The difference in frequency between the higher frequency cut-off and lower frequency cut-off points (High - Low).
Center frequency (cent) | Frequency at the middle point between the lower frequency cut-off and higher frequency cut-off points. (High + Low)/2.
Lower frequency cut-off point (Low) | Lower frequency of 2 measurement points, both separated by the defined bandwidth / notch value from the active marker position.
Higher frequency cut-off point (High) | Higher frequency of 2 measurement points, both separated by the defined bandwidth / notch value from the active marker position.
Q | Ratio of Center Frequency to Bandwidth (Center Frequency / Bandwidth).
Insertion loss (loss) | The measured value of the position of the center frequency at the time the bandwidth/notch search is executed.

  • Bandwidth / Notch Search can be used ONLY with Log Mag display format.

  • To use Bandwidth Search on a peak or valley other than the maximum or minimum values, change the Search Domain.

Compression Search

Uses the active marker to find the specified gain Compression Level.

Note: Valid ONLY for S21 (Gain) measurements with a Power Sweep.

How to create Compresssion Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Comp & Sat.

  2. Click Compression Search to turn ON/OFF.

  3. Specify the Comp Level in dB.

  4. Optionally click Tracking to search for the specified compression level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the maker and then select Search....

  3. From Search Type of Marker Search dialog box, select Compression.

  4. Enter the Y-axis (Power OUT) difference between the first point and the compression marker.

  5. Press Execute or check Tracking. Learn more.

Linear gain is defined as the Y-axis value (gain) of the first data point of the Search Domain (Full Span by default).

Marker > N - X-axis value and Y-axis value.

Comp Pin - Input power (marker X-axis value).

Comp Pout - Output power (Pin + gain).

Comp Level - Compression level found.

  • When Discrete is OFF (default setting), the marker finds the exact specified compression, interpolated between the two closest data points and calculates the Comp Pin and Comp Pout value for that point.

  • The marker can move from one actual measurement point to another. Because it is interpolated, it can also move in the space between measurement points.

  • When Discrete is ON (not interpolated), the marker resides on the closest data point to the requested compression level.

  • A marker moves only between actual measurement points. When a specific marker stimulus value is specified as a numerical value, the marker is placed at the measurement point closest to the specified value. A marker that is placed between interpolated points with the discrete mode off automatically moves to the nearest measurement point when the discrete mode is turned on.

Comp. Not Found - Displayed when the requested compression level is not found.

About PSAT and PNOP Search

Compression measurements based on the Pout vs Pin curves are common in the satellite test industry. In the case of Travelling Wave Tube (TWT) amplifiers, PSAT markers identify the normal operating point near saturation, and the amplifiers are operated with the power slightly backed-off approximately 0.03 to 0.1 dB. For TWT amplifiers, the saturation curve always "folds over" and produces a maximum power out.

For Solid State Power Amplifiers (SSPA), the saturation is not as well defined. A common reference is the Normal Operating Point, which is a power backed-off by 8 to 10 dB from the maximum power. In this case, the normal operating point marker replaces the Psat with the PNOP values. Also, because the backoff is important, the backoff output and input powers are displayed (PBO Out), (PBO in) as well as gain at back off (PBO Gain).

Power Saturation (PSAT) Search

Uses Markers 1, 2, and 3 to quickly identify output power saturation parameters of an amplifier.

Back-off is a point at which the output power is sufficiently lower than the saturated output power so that the device under test behaves in a more linear fashion.

Note: Valid ONLY for Power IN vs Power OUT measurements.

How to make Power IN (X-axis) vs Power OUT (Y-axis) measurement

Using Hardkey/SoftTab/Softkey

  1. Press Preset.

  2. Press Sweep > Main > Sweep Type.

  3. Select Power Sweep.

  4. Press Trace > Trace Setup > Measure... and set Trace Meas to "B" Receiver

  5. Connect DUT input to port 1.

  6. Connect DUT output to port 2.

How to create PSAT Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Comp & Sat.

  2. Click left side Saturation Search small button to turn ON/OFF.

  3. For PMax Back-Off, enter the Y-axis (Power OUT) difference between the Max Power marker (3) and the Back-off marker (2).

  4. Optionally click Tracking to search for the specified power saturation level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search > Search....

  3. From Search Type of Marker Search dialog box, select Power Saturation.

  4. For PMax Back-Off, enter the Y-axis (Power OUT) difference between the Max Power marker (3) and the Back-off marker (2).

  5. Press Execute or check Tracking. Learn more.

This setting uses three markers to calculate and display 10 values.

The three markers:

  • Marker 1: Linear gain; the first data point in the sweep.

  • Marker 2: Specified output power Back-off from max power.

  • Marker 3: Max Power output; usually the last data point.

The 9 displayed values:

Param | Description | Calculated from...
PSat Out | Output power at the saturation point. | Marker 2 Y-axis value
PSat In | Input power at the saturation point. | Marker 2 X-axis value
Gain Sat | Gain at the saturation point. | Psat Out - Psat In
Comp Sat | Compression at the saturation point. | Gain Sat - Gain Linear
PMax Out | Maximum output power. | Marker 3 Y-axis value
PMax In | Input power at the maximum output power. | Marker 3 X-axis value
Gain Max | Gain at the maximum output power. | PMax Out - PMax In
Comp Max | Compression at the maximum output power. | Gain Max - Gain Linear
Gain Linear | Linear gain at the first data point. | Marker 1 - Y-axis value MINUS X-axis value

  • Comp. Not Found is displayed when the requested Back-off point is not found.

  • When Discrete marker is NOT selected (the default setting), the three markers find an interpolated value between the two closest data points.

  • When Discrete marker is selected (NOT interpolated), the three markers reside on the closest data points.

Power Normal Operating Point (PNOP) Search

Uses Markers 1, 2, 3, and 4 to quickly identify Normal Operating Point parameters of an amplifier.

Back-off is a point at which the output power is sufficiently lower than the saturated output power so that the device under test behaves in a more linear fashion.

The power normal operating point is the output power where the input is offset from the back-off input power by the Pin Offset.

Note: Valid ONLY for Power IN vs Power OUT measurements.

See Power Saturation to learn how to make a Power IN (X-axis) vs Power OUT (Y-axis) measurement.

How to create PNOP Search

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Search > Normal Op Pt.

  2. Click left side Normal OP Search small button to turn ON/OFF .

  3. For Back-Off, enter the Y-axis (Power OUT) difference between the Max Power marker (3) and the Back-off marker (2).

  4. For Pin Offset, enter the X-axis (Power IN) difference between Back-off marker (2) and PNOP marker (4).

  5. Optionally click Tracking to search for the specified power normal operating point level with each sweep. Learn more.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Search > Search....

  3. From Search Type of Marker Search dialog box, select Normal Operating Pt.

  4. For Back-Off, enter the Y-axis (Power OUT) difference between the Max Power marker (3) and the Back-off marker (2).

  5. For Pin Offset, enter the X-axis (Power IN) difference between Back-off marker (2) and PNOP marker (4).

  6. Press Execute or check Tracking. Learn more.

This setting uses four markers to calculate and display 12 values.

The four markers:

  • Marker 1: Linear gain; the first data point in the sweep.

  • Marker 2: Max Output Power MINUS the specified Output (Y-axis ) Back-off value in dB.

  • Marker 3: Max Output Power; usually the last data point in the sweep.

  • Marker 4: X-axis value of Back-off (Marker 2) plus the Pin Offset (X-axis) value in dB.

The 11 displayed values:

Param | Description | Calculated from...
Pnop Out | Output power at the power normal operating point. | Marker 4 Y-axis value
Pnop In | Input power at the power normal operating point. | Marker 4 X-axis value
Pnop Gain | Gain at the power normal operating point. | Pnop Out - Pnop In
Pnop Comp | Compression at the power normal operating point. | Pnop Gain - Linear Gain*
PMax Out | Maximum output power. | Marker 3 Y-axis value
PMax In | Input power at the maximum output power. | Marker 3 X-axis value
Gain Max | Gain at the maximum output power. | PMax Out - PMax In
Comp Max | Compression at the maximum output power. | Gain Max - Linear Gain*
PBO Out | Output power at the back-off point. | Marker 2 Y-axis
PBO In | Input power at the back-off point. | Marker 2 X-axis
PBO Gain | Gain at the back-off point. | PBO Out - PBO In

*Linear Gain (not shown): Marker 1 - Y-axis value MINUS X-axis value

  • PNOP Not Found is displayed when the requested back-off level is not found.

  • When Discrete marker is NOT selected (the default setting), the four markers each find an interpolated value between the two closest data points.

  • When Discrete marker is selected (NOT interpolated), the four markers each reside on the closest data point.

Search Domain

Search domain settings restrict the stimulus values (X-axis for rectangular format) to a specified span. Set the Start and Stop stimulus settings of these User spans. If Start is greater than Stop, the marker will not move. Learn how to set Search Domain.

  • The default domain of each new marker is "full span".

  • There are 16 user-defined domains for every channel.

  • The user-defined domains can overlap.

  • More than one marker can use a defined domain.

  • Search Domain settings are shared with Trace Statistics User Ranges

The graphic below shows examples of search domains.

Search Range Indicators

A search range will be indicated with a pair of small, outlined triangles sitting on the X-axis. Although there can be multiple search ranges in use on various markers, only the current-selected search range for the active marker is displayed. This rule prevents the possibility of the X-axis being cluttered with many search range triangles. This rule applies even when there are multiple traces in a window.

Only one search range will be displayed on a grid at any time. The displayed search range will correspond to the active trace and active marker. The color of the range indicators will match that of the active trace.

Range indicators will appear automatically when appropriate and cannot be disabled. The mouse or touchscreen can't be used to “click-and-drag” the position of the range indicators which will alter the search range definition.

Marker Functions - Change Instrument Settings

The following settings change the relevant VNA settings to the position of the active maker.

How to change Instrument settings using markers

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Marker > Marker->Functions.

  1. Move a cursor on a marker.

  2. Right-click on the marker and then select Functions.

  3. Select the desired search function.

  4. Click Function... to show the Marker Function Dialog box.

Marker Function Dialog Box Help / Marker > Marker Function Softtab Help

Marker => Start - Sets the start sweep setting to the value of the active marker.

Marker => Stop - Sets the stop sweep setting to the value of the active marker.

Marker => Center - Sets the center of the sweep to the value of the active marker.

Marker => Ref Level - Sets the screen reference level to the value of the active marker.

Marker => Delay - The phase slope at the active marker stimulus position is used to adjust the line length to the receiver input. This effectively flattens the phase trace around the active marker. Additional Electrical Delay adjustments are required on devices without constant group delay over the measured frequency span. You can use this to measure the electrical length or deviation from linear phase.

This feature adds phase delay to a variation in phase versus frequency. Therefore, it is only applicable for ratioed measurements. See Measurement Parameters.

Marker => Span - Sets the sweep span to the span that is defined by the delta marker and the marker that it references. Unavailable if there is no delta marker.

Marker => CW Freq - Sets the CW frequency to the frequency of the active marker. NOT available when the channel is in CW or Power Sweep. Use this function to first set the CW Frequency to a value that is known to be within the current calibrated range, then set Sweep Type to Power or CW.

Note: Some Marker Functions do not work with channels that are in some Sweep Type.

Marker Function | Sweep Type
 | Lin/Log Freq. | Segment | Power | CW Time
Start, Stop, Center | F |  | S |
Span | S |  | S |
Ref Level | F | S | S | S
Delay | F | S | S | S
CW Freq. | S | S |  |

F: Available in both Standard and SMC classes

S: Available in only Standard Class

Marker Display

The marker display dialog allows you to change how markers and the associated readout is displayed on the VNA screen. Several marker display features also apply to Statistics display.

How to change Marker Display settings

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Marker > Marker Setup > Marker Display....

OR

  1. Press Display > Display Settings > Customize Display....

  2. Select Markers tab.

  1. Move a cursor to the marker data area on top right corner of grid box.

  2. Right click on the marker data display area.

  3. Select Marker Display....

OR

  1. Right click on any window area.

  2. Click Customize Display....

  3. Select Markers tab.

Customize Display Dialog Box Help

The following settings apply to readouts of ALL currently-displayed marker, bandwidth and trace statistics.

These settings revert to their defaults on Preset but ARE stored with Instrument State and User Preset.

General

Checked Show Marker Readout - Shows readout information.

Cleared Show Marker Readout- Shows NO readout information.

Checked Large Readout - Shows the marker readout in large font size for easy reading. However, all readout lines may not be visible.

Cleared Large Readout - Shows the marker readout in normal font size.

Readouts Per Trace - Choose the quantity of marker readouts to show in the window for each trace. Choose to display up to 10 readouts per trace, up to 20 readouts per window. When more markers are present than the specified quantity of readouts, the marker numbers for which readouts are displayed can change depending on the marker number that is active. Readouts Per Trace can be set independently for each window.

Symbol - Choose from the following marker symbols.

Triangle

Flag

Line

Line symbols are NOT used on Smith or Polar display formats.

Symbols can be set independently for each window.

Readout Position - Choose where to place the marker readouts. Marker readouts are right-justified on the specified X-axis and Y-axis position. The default position (10.0, 10.0) is the upper-right corner of the grid. Position (1.0,1.0) is the lower-left corner. Readout position can be set independently for each window. Readout can be turned on for active trace only or all the traces. Each trace may also have its own readout location.

Checked Independent Position Per Trace - Shows each trace readout independent to one another.

Cleared Independent Position Per Trace - Shows all the readout in the same vertical line.

Note: Readout Position can also be changed using a mouse by left-clicking on the top readout and dragging to the new position.

Decimal Places - Choose the marker readout resolution to display. These values also apply to the readouts that are displayed in the marker table. Decimal Places can be set independently for each window.

Stimulus (X-axis) - Choose from 2 to 6 places after the decimal point. Default is 3.

Response (Y-axis) - choose from 1 to 4 places after the decimal point. Default is 2.

Marker Colors - Starts the Display Colors dialog with only the marker colors available. Learn more.

Marker Table

You can display a table that provides a summary of marker data for the active trace. The marker data is displayed in the specified format for each marker.

How to view the Marker Table

Using Hardkey/SoftTab/Softkey

  1. Press Marker > Marker Setup > Marker Table.

Last Modified:

5-Jan-2016

First Release


Math Operations

Using Math / Memory Operations

You can perform four types of math on the active trace versus a memory trace. In addition three statistics (Mean, Standard Deviation and Peak to Peak) can be calculated and displayed for the active data trace.

  • Trace Math

  • Trace Statistics

Note: Trace Math (described here) allows you to quickly apply one of four math operations using memory traces. Equation Editor allows you to build custom equations using several types of traces from the same, or different channels.

Other Analyze Data topics

Trace Math

To perform any of the math operations, you must first store a trace to memory. You can display the memory trace using the View options.

Trace math is performed on the complex data before it is formatted for display. See the VNA data processing map.

Markers can be used while viewing a memory trace.

How to select Trace Math

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Math > Memory.

  1. Right click on any trace status area above the grid box.

  2. Select on Memory....

Normalize, available only from the Memory menu, (not on the Math / Memory dialog), performs the same function as Data->Memory, then Data / Memory.

Math > Memory Softtab / Memory Dialog Box Help

Normalize, available only from the Memory menu, (not on the Math / Memory dialog), performs the same function as Data->Memory, then Data / Memory.

Data->Memory - Puts the active data trace into memory. You can store one memory trace for every displayed trace.

Note: Many VNA features are NOT allowed on Memory traces. For example, Memory traces can NOT be saved to any file type (PRN, SNP, CTI, CSV, MDF).

Data Math

All math operations are performed on linear (real and imaginary) data before being formatted. See the VNA Data flow (below).

Off - No mathematical operation.

Data / Memory - Current measurement data is divided by the data in memory. Use for ratio comparison of two traces, such as measurements of gain or attenuation. Learn more.

Data – Memory - Data in memory is subtracted from the current measurement data. For example, you can use this feature for storing a measured vector error, then subtracting this error from the DUT measurement. Learn more.

Data + Memory - Current measurement data is added to the data in memory. Learn more.

Data * Memory - Current measurement data is multiplied by the data in memory. Learn more.

8510 Mode - Learn more.

Trace View Options

Data Trace - Displays ONLY the Data trace (with selected math operation applied).

Memory Trace - Displays ONLY the trace that was put in memory.

Data and Memory Trace - Displays BOTH the Data trace (with selected math operation applied), and the trace that was put in memory.

Learn more about Trace Math

(Data / Memory) and (Data - Memory)

(Data / Memory) and (Data - Memory) math operations are performed on linear data before it is formatted. Because data is often viewed in log format, it is not always clear which of the two math operations should be used. Remember: dividing linear data is the same as subtracting logarithmic data. The following illustrates, in general, when to use each operation.

Use Data / Memory for normalization purposes, such as when comparing S21 traces "before" and "after" a change is made or measurement of trace noise. In the following table, the Data/Mem values intuitively show the differences between traces. It is not obvious what Data-Mem is displaying.

S21 values to compare | Data/Mem | Data-Mem
0.5 dB and 0.6 dB | 0.1 dB | -39 dB
0.5 dB and 0.7 dB | 0.2 dB | -33 dB

Use Data - Memory to show the relative differences between two signals. Use for comparison of very small signals, such as the S11 match of two connectors.

In the following table, Data/Mem shows both pairs of connectors to have the same 2 dB difference. However, the second pair of connectors have much better S11 performance (-50 and -52) and the relative significance is shown in the Data-Mem values.

S11 values to compare | Data/Mem | Data-Mem
-10 dB and -12 dB | 2 dB | -24 dB
-50 dB and -52 dB | 2 dB | -64 dB

Data * Memory and Data + Memory

Use Data * Memory and Data + Memory to perform math on an active data trace using data from your own formulas or algorithms rather than data from a measurement. For example, if you want to simulate the gain of a theoretical amplifier placed in series before the DUT, you could do the following:

  1. Create an algorithm that would characterize the frequency response of the theoretical amplifier.

  2. Enter complex data pairs that correspond to the number of data points for your data trace.

  3. Load the data pairs into memory with SCPI commands. The analyzer maps the complex pairs to correspond to the stimulus values at the actual measurement points.

  4. Use the data + memory or data * memory function to add or multiply the frequency response data to the measured data from the active data trace.

Note: The data trace must be configured before you attempt to load the memory.

Trace Statistics

You can calculate and display statistics for the active data trace. These statistics are:

  • Mean

  • Standard deviation

  • Peak-to-peak values

You can calculate statistics for the full stimulus span or for part of it by using User Ranges.

You can define up to 16 user ranges per channel. These user ranges are the same as the Search Domain specified for a marker search in that same channel. They use the same memory registers and thus share the same stimulus spans.

The user ranges for a channel can overlap each other.

A convenient use for trace statistics is to find the peak-to-peak value of passband ripple without searching separately for the minimum and maximum values.

The trace statistics are calculated based on the format used to display the data.

  • Rectangular data formats are calculated from the scalar data represented in the display.

  • Polar or Smith Chart formats are calculated from the data as it would be displayed in Log Mag format.

See how to make Trace Statistics display settings.

How to activate Trace Statistics

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis > Statistics...

Trace Statistics Dialog Box Help

See how to make Trace Statistics display settings.

Statistics - Check to display mean, standard deviation, and peak to peak values for the active trace.

Span - Specifies the span of the active trace where data is collected for a math operation. You can select Full Span, or define up to 16 user spans per channel with Start and Stop. You can also define the user spans from the Search Domain selector on the Marker Search dialog box.

User Range

Start - Defines the start of a user span.

Stop - Defines the stop of a user span.

Learn more about Trace Statistics

Last Modified:

5-Jan-2016

First Release


8510 Mode

On the Trace Math dialog, check 8510 Mode to simulate the Keysight 8510 data processing chain as it pertains to Trace Math and Memory. This setting applies to all channels. When the box is checked or cleared, the VNA performs an Instrument Preset and retains its setting through subsequent Instrument Presets.

This setting can be saved as part of an instrument state. However, when recalled, this setting is assumed only temporarily. When a subsequent VNA Preset is performed, the VNA reverts to the setting that was in effect before the state was recalled.

You can set a preference to always use 8510 mode.

This image represents the relevant portion of the data flow.

See the entire VNA data processing chain.

A settings change in any of the operations that occur after the Memory operation on the above VNA Data Flow diagram changes both the Data trace and the Memory trace. For example, after storing a data trace to memory, when you change the format for the Data Trace, the format for the Memory Trace is also changed to the same setting.

How to turn ON/OFF 8510 mode

Using Hardkey/SoftTab/Softkey

  1. Press Math > Memory > 8510 Mode.

No programming are available for this feature

Last modified:

5-Jan-2016

First Release


Equation Editor

Equation Editor allows you to enter an algebraic equation that can mathematically manipulate measured data. The results are displayed as a data trace. Data that is used in the equation can be from the same or different channels.

  • Overview

  • How to start Equation Editor

  • Using Equation Editor

  • Data that is used in Equation Editor

  • Trace Settings, Error Correction and an Example

  • Functions and Constants used in Equation Editor

  • Operators used in Equation Editor

  • Example Equations

  • Saving Equation Editor Data

See Also

Equation Editor and MATLAB

Equation Editor Import Functions

  • BestFit.dll

  • EqnErrorTerms.dll

  • Expansion.dll

Other 'Analyze Data' topics

Overview

Equation Editor allows you to enter an algebraic equation of standard mathematical operators and functions, referencing data that is available in the VNA. Once a valid equation is entered and enabled, the display of the active trace is replaced with the results of the equation, and updated in real-time as new data is acquired. For equations that can be expressed with Equation Editor's supported functions, operators, and data, there is no need for off-line processing in a separate program.

For example, enter the equation S21 / (1 - S11). The resulting trace is computed as each S21 data point divided by one minus the corresponding S11 data point. For a 201 point sweep setup, the computation is repeated 201 times, once for each point.

As another example, suppose you want the VNA to make a directivity measurement of your 3-port DUT. This is not a native VNA measurement, but can be achieved using the Equation Editor. The desired result is the sum and difference of LogMag formatted traces, expressed as: S12 + S23 - S13.

Because Equation Editor operates on unformatted complex data, the required equation is:

DIR = S12 * S23 / S13

DIR becomes a display label to help you identify the computed data trace.

On the equation trace, set the format to LogMag.

How to start Equation Editor

How to start Equation Editor

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis > Equation Editor.

Equation Editor Dialog Box Help

Notes:

  • Double-click or type the Functions, Operators and Data to build an Equation.

  • Scroll down to learn more about Using Equation Editor.

Equation - The field in which equations are built. Click the down arrow to the right to use or modify equations that have been previously saved. This is where equations are saved when you press 'Store Equation'.

Enabled Equation - Check this box to enable the equation that is currently in the Equation field. If a data trace is used that is from a different channel than the Equation trace, the channels MUST have the same number of data points to be valid.

Enabled Equation - Clear this box to disable the equation that is currently in the Equation field. The equation is not valid when the Enabled box is unchecked/not available.

<- Backspace - Moves the cursor to the left while erasing characters.

<- - Moves the cursor to the left without erasing characters.

-> - Moves the cursor to the right without erasing characters.

Store Equation - Press to save the current equation. To later recall the equation, click the down arrow to the right of the equation.

Delete Equation - Removes the current equation from the drop-down list.

Functions - See descriptions of Functions.

Select the "library" of functions to view. The "built-in" library appears by default which includes the standard functions of equation editor. Other functions that can appear here are functions that you have written and imported. Learn more.

Trace Data - Select from ALL of the currently displayed traces on ALL channels.

Parameter - Select from undisplayed data that is available ONLY from the active channel (same channel as the equation trace). See Data that is used in Equations.

Note: With an external test set enabled, only parameters involving ports 1 through 4 are listed. However, all available parameters can be typed directly into the Equation field.

Operators - See descriptions of Operators.

Keypad - Provided to allow navigation of the entire dialog with a mouse.

Use Short Names - Some functions have shortened names that are entered automatically when checked. Both long and short names can be used interchangeably.

Use Short Names - Some functions which have shortened names is manually entered when cleared.

Enable Matlab Available when a full MATLAB version is installed on the VNA. Learn more.

Import... - Click to launch the Import Functions Dialog box.

Using Equation Editor

1. Pick a trace in which to enter the equation.

  • Equation Editor works on the active trace.

  • Either create a new trace, or click the Trace Status button on an existing trace to make the trace active.

2. Enter an equation.

Start Equation Editor See how.

  • The equation text can be in the form of an expression (S21)/(1-S11) or an equation (DIR = S12 * S23 / S13). This topic refers to both types as equations.

  • Either type or double-click the Functions, Operators and Data to build an equation.

  • Functions and Constants are case-sensitive; Data names are NOT case sensitive.

  • Learn more about referring to data traces.

3. Check for a valid equation.

When a valid equation is entered, the Enabled checkbox becomes available for checking. When the Enabled box is checked:

  • The Equation Trace becomes computed data.

  • The equation is visible on the Trace Status (up to about 10 characters).

  • If an equation is NOT valid and a trace from a different channel is used, make sure the number of data points is the same for both channels.

Learn more about the Functions, Operators and Data that are used in Equation Editor.

Data that is used in Equation Editor

Definitions:

  • Equation trace - A trace in which an equation resides.

  • Referred trace - A trace that is used as data in an equation.

Example: eq=Tr2+S11 is entered into Tr1.

Tr1 becomes an equation trace.

Tr2 and S11 are both referred traces because they are used in the equation trace.

Notes:

  • Referred traces are processed one data point at a time. For example, the expression S11/S21 means that for each data point in S11 and S21, divide point N of S11 by point N of S21.

  • Once an equation is enabled, the trace is no longer identified by its original measurement parameter. It becomes an equation trace.

  • An equation trace can NOT refer to itself. For example, an equation in Tr1 cannot refer to trace Tr1.

  • Referred traces can be selected from S-Parameters, Receiver data and Memory traces.

  • See note regarding External Test Sets.

There are three ways to refer to traces:

The following distinction is important when discussing the three ways to refer to traces/data.

  • Trace - a sequential collection of data points that are displayed on the VNA screen.

  • Data - VNA measurements that are acquired but not displayed. When an equation trace refers to data that is not displayed, the VNA will automatically acquire the data.

1. Using TrX Trace notation (For example, Tr2).

When a trace is created, check "Show Tr Annotation" to see the Tr number of that trace.

  • Simple - ALWAYS refers to displayed traces.

  • Must be used for referring to traces in a different channel as the equation trace.

  • All trace settings are preserved in the equation trace. If you do NOT want a trace setting to be used in the equation trace, you must disable it in the referred trace.

  • If the referred trace is error corrected, then the data is corrected in the equation trace.

  • Used to refer to a memory trace (It must already be stored in memory). Append .MEM to the TrX trace identifier. For example, Tr2.mem refers to the memory trace that is stored for Tr2.

2. Using S-parameter notation (for example, S11/S21).

  • Convenient - ALWAYS refers to data that is NOT displayed.

  • Refers to data that resides in the same channel as the equation.

  • NOT the same as referring to a displayed S11 trace using TrX notation. See Example.

    • The referred data includes NO trace settings.

    • If the channel has error correction available, then it can be applied by turning error correction ON for the Equation trace.

3. Using Receiver notation (for example AB_2); NOT case sensitive.

At least one receiver is required, followed by an underscore and a number.

  • The letters before the underscore refer to the receivers.

    • Letters alone refer to physical receivers.

    • Letters immediately followed by numbers refer to logical receivers. Learn more.

    • If two receivers are referenced, they are ratioed.

  • The number after the underscore refers to the source port for the measurement.

Examples:

  • AR1_2 = physical receiver A / physical receiver R1 with 2 as the source port.

  • a3b4_1 = reference receiver for port 3 / test port receiver for port 4 with 1 as the source port.

Learn more about ratioed and unratioed receiver measurements.

Receiver notation is like S-parameter notation in that:

  • Refers to data that is NOT displayed and resides in the same channel as the equation.

  • The referred data includes NO trace settings.

  • If the channel has error correction available for that receiver, then it can be applied by turning error correction ON for the Equation trace.

Referring to Traces in a different channel

When the equation trace refers to a trace on a different channel:

  • The trace must already be displayed.

  • Must refer to the trace using TrX notation.

  • The Equation trace and the referred trace MUST have the same number of data points or the Enable checkbox will not be available.

  • The Equation trace is updated when the last referred data in the same channel is acquired. Therefore, to prevent 'stale' data from being used, the Equation trace must be on a higher numbered channel than the referred trace. This is because the VNA acquires data in ascending channel number order - first channel 1, then channel 2, and so forth. If the Equation trace is on channel 1, and it refers to a trace on channel 2, the Equation trace will update after channel 1 is finished sweeping, using 'old' data for the channel 2 trace.

Port Extensions and Equation Editor

When using port extension with an equation, turn Fixturing ON to ensure that the underlying parameters have port extension properly applied.

Trace Settings, Error Correction and an Example

This discussion highlights the differences between using S-parameter/Receiver notation and TrX notation when referring to traces. The key to understanding the differences is realizing that S-parameter/Receiver notation ALWAYS refers to data that is NOT displayed.

  • Trace Settings - Normalization, Trace Math, Gating, Phase and Mag Offset, Electrical Delay, Time Domain.

  • Equation Editor - processing occurs on the equation trace immediately after error correction.

  • Referred Data/Trace (used in the equation) is taken from the following locations:

  • When using TrX notation, data is taken immediately before formatting. These traces are always displayed and include Trace settings.

  • When using S-parameter/Receiver notation, data is taken immediately after error correction. This data is NOT displayed and includes NO trace settings (see example).

Error-correction and Equation Editor

Using TrX notation:

  • The Trace Settings and Error-correction on the referred trace are used in the Equation trace.

  • If error correction is NOT ON, then the raw, uncorrected data is used in the equation trace.

  • To see if error correction is ON, make the trace active, then see the Correction level in the status bar.

  • Turning error correction ON/OFF on the equation trace has no meaning. The referred data that is used in the equation is ALWAYS what determines its level of correction.

Using S-parameter and Receiver notation:

  • Because the data is not displayed, NO trace settings are used in the Equation trace.

  • Correction can be turned ON/OFF if corrected data is available for the referred data. Exception: When using S-parameter and Receiver notation to refer to a trace on a channel that has been calibrated with a Response Cal or Receiver Cal, correction can NOT be turned ON, even though the Status Bar indicates otherwise. For example: Tr1 is an S11 measurement with a Response Cal. Tr2 is an equation trace that refers to S11. The Tr2 equation trace is NOT corrected, even though the Status Bar may indicate that it is corrected. However, if Tr2 refers to Tr1 (not S11), the Tr2 equation trace is corrected.

Example

This example illustrates the differences when referring to a trace using S-parameter notation and TrX notation:

  • Tr1 is an S11 measurement with no equation, conversion ON and Time Domain transform ON.

  • Tr2 is an equation trace that refers to Tr1. Tr2 is corrected because Tr1 is corrected. Tr2 is transformed because Tr1 is transformed. If transform is turned ON for Tr2, the data will be transformed AGAIN, which results in "unusual" data.

  • Tr3 is an equation trace that refers to S11. This is NOT the same as referring to Tr1. The S11 trace that is referred to is a different instance of S11 that is NOT displayed, and has NO trace settings. Notice that Tr3 data is NOT transformed, although Tr1 is transformed. Correction for Tr3 can be turned ON and OFF because a calibration was performed on the channel in which the S11 trace resides.

  • Note: X-axis annotation of the Equation trace is completely independent of the data that is presented. ONLY the data values from a referred trace are used. For example, notice that the Equation trace Tr2 has Frequency on the X-axis although the referred trace Tr1 is presented in Time.

Functions and Constants used in Equation Editor

ALL trace data that is used in Equation Editor is unformatted, complex data.

When using a mouse with the VNA, hover over a function in the dialog to learn how it is used.

In the following table,

  • Function(scalar x) means that an automatic conversion from a complex number to its scalar magnitude is performed before passing the value to the function.

  • Function(complex x) means that the entire complex value is used.

  • a, b, c, d are arguments that are used in the function.

Function

Description

acos(scalar a)

returns the arc cosine of a in radians

asin(scalar a)

returns the arc sine of a in radians

atan(scalar a)

returns the arc tangent of a in radians

atan2

returns the phase of complex a = (re,im) in radians

has the following two argument sets:

  • atan2(complex a) - returns the phase in radians

  • atan2(scalar y, scalar x)

conj(complex a)

takes a and returns the complex conjugate

cos(complex a)

takes a in radians and returns the cosine

cpx(scalar a, scalar b)

returns a complex value (a+ib) from two scalar values

e

returns the constant =~ 2.71828...

exp(complex a)

returns the exponential of a

getNumPoints()

returns the number of points for the current sweep

im(complex a)

returns the imag part of a as the scalar part of the result (zeroes the imag part)

kfac(complex a, complex b, complex c, complex d )

when entered in EE:
kfac(S11,S21,S12,S22)

k-factor:

k = (1 - |a|^2 - |d|^2 + |a*d-b*c|^2 ) / (2 * |b*c|)

returns a scalar result - the imaginary part of the complex result is always 0

ln(complex a)

returns the natural logarithm of a

log10(complex a)

returns the base 10 logarithm of a

mag(complex a)

returns sqrt(a.re*a.re+a.im*a.im)

max(complex a, complex b, ...)

returns the complex value that has the largest magnitude of a list of values.

max_hold(complex a)

holds the current maximums of the sweep. Disable the equation to reset. See example

median(complex a, complex b,...)

returns the median of a list of complex values

  • The median is determined by sorting the values by magnitude, and returning the middle one.

  • If an even number of values is passed, then the smaller of the two middle values is returned.

min(complex a, complex b, ...)

returns the complex value that has the smallest magnitude of a list of values.

min_hold(complex a)

holds the current minimums of the sweep. Disable the equation to reset. See example

mrkx(a)

returns the x-axis value of the active marker on trace a.

mrky(a)

returns the y-axis value of the active marker on trace a.

mu1(complex a, complex b, complex c, complex d )

when entered in EE:
mu1(S11,S21,S12,S22)

mu1 = (1 - |a|^2) / ( |d - conj(a) * (a*d-b*c)| + |b*c| )

mu2( complex a, complex b, complex c, complex d )

when entered in EE:
mu1(S11,S21,S12,S22)

mu2 = (1 - |d|^2) / ( |a - conj(d) * (a*d-b*c)| + |b*c| )

for both mu1 and mu2 (Usually written with the Greek character μ )

  • conj is the complex conjugate. For scalars a and b, conj(a+ib) = (a-ib)

  • returns a scalar result - the imaginary part of the complex result is always 0

phase(complex a)

returns atan2(a) in degrees

PI

returns the numeric constant pi (3.141592), which is the ratio of the circumference of a circle to its diameter

pow(complex a,complex b)

returns a to the power b

re(complex a)

returns the scalar part of a (zeroes the imag part)

sin(complex a)

takes a in radians and returns the sine

sqrt(complex a)

returns the square root of a, with phase angle in the half-open interval (-pi/2, pi/2]

tan(complex a)

takes a in radians and returns the tangent

traceDataArray(complex a)

returns the entire set of points from a sweep. Function is intended to be used as an argument in an custom function to allow access for data array processing.

xAxisArray()

returns the x-axis values for the entire sweep.

xAxisIndex()

returns the current index in the sweep.

xAxisValue()

returns the current value of the x-axis index.

Operators used in Equation Editor

Operator | Description
+ | Addition
- | Subtraction
* | Multiplication
/ | Division
( | Open parenthesis
) | Close parenthesis
, | Comma - separator for arguments (as in S11, S22)
= | Equal (optional)
E | Exponent (as in 23.45E6)

Example Equations

The following examples may help you get started with Equation Editor.

Offset each data point in Tr2 from Tr1 by 2dB

Use the function: pow(complex a, complex b) -- returns a to the power b.

20log(a) + 2 = 20log(x)
log( a ) + 2/20 = log( x ) // divide all by 20.
x = 10^(log(a) + 2/20) // swap sides and take 10 to the power of both sides
x = 10^log(a) * 10^(2/20)
x = a * 10^(2/20)

The equation is entered into Tr2 as:

Offset=Tr1*pow(10, 2/20)

To offset by 5 dB

Offset=Tr1*pow(10, 5/20).

Balanced Match using a 2-port VNA

SDD11 = (S11-S21-S12+S22)/2

Conversion loss

B_1/pow(10,-15/20)

  • B_1 is a receiver measurement;

  • -15 is the input power in dBm

Third-order intercept point (IP3 or TOI)

TR1*sqrt(Tr1/Tr3)

  • Tr1 = input signal power

  • Tr3 = intermodulation power (both traces measured with single receivers)

Harmonics in dBc

B_1/Tr2

  • B_1 is tuned to a harmonic frequency

  • Tr2 = power at fundamental frequency, measured with B_1 receiver

PAE (Power Added Efficiency)

Pout - Pin / Pdc

Type the following equation into a new trace with an unratioed measurement, such as AI1. The data format is REAL:

PAE = 100 * (.001*pow(mag(Tr1),2)-(.001*pow(mag(Tr1),2)/pow(mag(Tr2),2)))/(Tr3*Tr4)

Where:

  • Tr1 - a trace that measures unratioed B receiver.

  • Tr2 - a corrected S21 trace (amplifier gain)

  • Tr3 - a trace that measures ADC voltage (AI1) across a sensing resistor.

  • Tr4 - an equation trace containing Isupp = (Tr3 / value of sensing resistor).

Data is displayed in Real format with units actually being watts.

1-port Insertion Loss

When it is not possible to connect both ends of a cable to the VNA, a 1-port insertion loss measurement can be made. However, the measured loss must be divided by 2 because the result includes the loss going down and coming back through the cable. This assumes that the device is terminated with a short or open to reflect all of the power. The 'divide by 2' operation (for dB) is performed as follows using Equation Editor:

  • Tr1 - an S11 trace in log mag format.

  • Tr2 - an equation trace containing sqrt(Tr1).

Max and Min Hold

These two functions allow you to capture and display either the Maximum or Minimum values for each data point over multiple sweeps.

Maxhold(S21) - displays the maximum value for each data point until reset. Reset by disabling, then enabling the equation. This example refers to an S21 trace that is not displayed.

Saving Equation Editor Data

Equation data can be saved to the VNA hard drive in the following formats:

  • Citifile (.cti) - Equation data is saved and recalled. The file header indicates the "underlying" s-parameter trace type.

  • PRN - read by Spreadsheet software. Can NOT be recalled by the VNA.

  • CSV - read by Spreadsheet software. Can NOT be recalled by the VNA.

  • MDIF - compatible with Keysight ADS (Advanced Design System). Can NOT be recalled by the VNA.

  • Print to File (bmp, jpg, png) - saves image of VNA screen.

Equation data can NOT be saved in .SnP file format. When attempting to save an Equation trace in .SnP format, the "underlying" S-parameter data is saved; not Equation data.

Last Modified:

5-Jan-2016

First Release


Parameter Conversion

Performing Parameter Conversion of Measurement Results

  • Overview

  • Selecting Conversion Target Parameter

Other 'Analyze Data' topics

Overview

You can use the parameter conversion function to convert the measurement results of the S-parameter (Sab) to the following parameters.

  • Equivalent impedance (Zr) and equivalent admittance (Yr) in reflection measurement

  • Equivalent impedance (Zt) and equivalent admittance (Yt) in transmission measurement

  • Inverse S-parameter (1/Sab)

where:

Z0a: Characteristic impedance of port a

Z0b: Characteristic impedance of port b

  • Z/Y Transmission Shunt

  • Conjugation

    Conjugation converts the measurement value to complex conjugate number.

When the fixture simulator function is ON and the port impedance function is ON, the value set in the port impedance conversion is used. In other cases, the system Z0 (preset value: 50 Ω) is used.

Selecting Conversion Target Parameter

  1. Press Meas > Meas Overview > Conversion

  2. Select function.

Softkey | Function
Off | Off
Z-Reflection | Impedance (Zr) in reflection measurement
Z-Transmit | Impedance (Zt) in transmission measurement
Z-Trans-Shunt | Impedance (Zt) Transmission Shunt
Y-Reflection | Admittance (Yr) in reflection measurement
Y-Transmit | Admittance (Yt) in transmission measurement
Y-Trans-Shunt | Admittance (Yt) Transmission Shunt
1/S | Inverse S-paramete
Conjugation | Complex conjugate number


Use Limits to Test Devices

Using Limit Lines

Limit lines allow you to compare measurement data to performance constraints that you define.

  • Overview

  • Create and Edit Limit Lines

  • Display and Test with Limit Lines

  • Limit Test Setup

  • Point Limit Test

  • Saving/Recalling Limit Table

  • Displaying Judgement Result of Limit Test

  • Test with Sufficient Data Points

Other Analyze Data topics

Overview

Limit lines are visual representations on the VNA screen of the specified limits for a measurement. You can use limit lines to do the following:

  • Give the operator visual guides when tuning devices.

  • Provide standard criteria for meeting device specification.

  • Show the comparison of data versus specifications.

Limit testing compares the measured data with defined limits, and provides optional Pass or Fail information for each measured data point.

You can have up to 100 discrete lines for each measurement trace allowing you to test all aspects of DUT response.

Limit lines and limit testing are NOT available with Smith Chart or Polar display format. If limit lines are ON and you change to Smith Chart or Polar format, the analyzer will automatically disable the limit lines and limit testing.

Create and Edit Limit Lines

You can create limit lines for all measurement traces. The limit lines are the same color as the measurement trace.

Limit lines are made up of discrete lines with four coordinates:

  • BEGIN and END stimulus - X-axis values.

  • BEGIN and END response - Y-axis values.

Limit Table

How to turn ON/OFF Limit Table

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis.

  2. Click Limit Table to turn ON/OFF the Limit Table.

Note: To ADD a limit line to the table, change the last limit line to either MAX or MIN.

  1. In the Type area of the Limit Table, select MIN or MAX for Limit Line 1.

    • The MIN value will fail measurements BELOW this limit.

    • The MAX value will fail measurements ABOVE this limit.

  2. Click BEGIN STIMULUS for Limit Segment 1. Enter the desired value.

  3. Click END STIMULUS for Limit Segment 1. Enter the desired value.

  4. Click BEGIN RESPONSE for Limit Segment 1. Enter the desired value.

  5. Click END RESPONSE for Limit Segment 1. Enter the desired value.

  6. Repeat Steps 1-5 for each desired limit line.

Display and Test with Limit Lines

After creating limit lines, you can choose to display or hide them for each trace. The specified limits remain valid even if limit lines are not displayed.

Limit testing cannot be performed on memory traces.

You can choose to provide a visual and/or audible PASS/FAIL indication.

With limit testing turned ON:

  • Any portion of the measurement trace that fails is displayed in red.

  • Any portion of the measurement trace that does NOT fail remains unchanged and silent.

Display failed trace points or trace segments

You can display the data points that fail limit line testing as red dots or as a red trace segment. The default behavior can be changed with a Preference setting. Learn how.

Red Dots | Red Trace Segment

PASS is the default mode of PASS/FAIL testing.

A data point will FAIL only if a measured point falls outside of the limits.

  • If the limit line is set to OFF, the entire trace will PASS.

  • If there is no measured data point at a limit line stimulus setting, that point will PASS.

Limit Test Setup

How to set Limit Test Setup

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis.

  2. Click Limit... and then select Limit tab on the dialog box.

Limit Test Setup Dialog Box Help

Limit Test

Limit Test ON - Check the box to compare the data trace to the limits and display PASS or FAIL.

Limit Line ON - Check the box to make the limits visible on the screen (Testing still occurs if the limits are not visible).

Sound ON Fail - Check the box to make the VNA beep when a point on the data trace fails the limit test.

Pass/Fail Position

X - Set the X-axis position for the PASS or FAIL.

Y - Set the Y-axis position for the PASS or FAIL.

Limit Table

Show Table - Check the box to show the table that allows you to create and edit limits.

Load Table - Recall the saved limit table. Learn more.

Save Table - Save the limit table. Learn more.

Note: To ADD a limit line to the table, change the last limit line to either MAX or MIN.

Global Pass/Fail

The Pass/Fail indicator provides an easy way to monitor the status of ALL measurements.

Global Pass/Fail ON - Check to display the Global Pass/Fail status.

Policy: Choose which of the following must occur for the Global Pass/Fail status to display PASS:

  • All Tests (with Limit Test ON) Must Pass - This setting reads the results from the Limit Tests. If all tests (with Limit Test ON) PASS, then the Global Pass/Fail status will PASS.

  • All Measurements Must Pass - This more critical setting shows FAIL unless all measured data points fall within established test limits and Limit Test is ON.

Note: In this mode, if one measurement does NOT have Limit Test ON, Global Pass/Fail will show FAIL.

Learn more about displaying and testing with Limits

Saving/Recalling Limit Test Table

The limit test table can be saved in a file and recalled later for use on the screen. The file is saved in the csv format (with the extension *.csv), and values are saved as a character string with the unit. The csv formatted file can also be reused in spreadsheet software made for PCs.

How to turn Save or Load Limit Test Table

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis.

  2. Click Limit... and then select Limit tab on the dialog box.

  3. Click Load Table to recall the saved Limit Table.

  4. Click Save Table to save the Limit Table.

No Programming are available for this feature

Load Table

  1. To recall the saved limit table, click Load Table from the Limit Test Setup dialog and a Recall dialog box is open. At this time, CSV Files (with the extension *.csv) is selected as the file type.

  2. Specify the folder that contains the file and then select the file. Click Recall to recall the saved limit table on the screen.

Note: You can recall a limit table from a trace on any channel independently of the channel and trace that were active when the limit table was saved to the file.

Save Table

  1. To save the limit table, click Save Table from the Limit Test Setup dialog and a Save As dialog box is open. At this time, CSV Files (with the extension *.csv) is selected as the file type.

  2. Specify any folder in which you want to save the file and enter the file name. Click Save to save the limit table displayed on the screen to a file.

The limit table is saved in the following format:

  • First line indicates the type of limit test of the instrument.

  • Second line indicates the revision of the limit test.

  • Third line indicates a header for the segment items that are output from the fourth line onward.

  • From the fourth line onward, the segment data are output.

Sample Limit table saved format:

"# E5080 Limit Test"

"# Revision: 1.00"

TYPE, BEGIN STIMULUS, END STIMULUS, BEGIN RESPONSE, END RESPONSE

MIN, 5.600000 GHz, 7.500000 GHz, -30.000000dB, -30.000000dB

MAX, 4.700000 GHz, 5.800000 GHz, -10.000000dB, -10.000000dB

MAX, 6.200000 GHz, 8.000000 GHz, -10.000000dB, -10.000000dB

OFF, 0.000000 Hz, 0.0000000 Hz, 0.00dB

Displaying Judgement Result of Limit Test

Judgment result of measurement points and trace

Measurement points that fail are displayed in red on the screen. The judgment result of the trace is indicated by Pass or Fail displayed at the right bottom of screen by default and its position can be edited.

Judgment Result of Channels

If a channel has a judgment result of fail, the result is displayed at Global Pass/Fail dialog box when the Global Pass/Fail ON is checked (ON). It will be judged as failed if one or more unsatisfactory trace exists in any of the limit test within the channel.

How to turn ON/OFF Global Pass/Fail

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis.

  2. Click Limit... and then select Limit tab on the dialog box.

  3. Checked the box to turn ON the Global Pass/Fail.

  4. Clear the box to turn OFF the Global Pass/Fail.

Test with Sufficient Data Points

When System > System Setting > Preference, Limit: Test nearest measurement point is NOT checked, Limits are checked only at the actual measured data points. Therefore, it is possible for a device to be out of specification without a limit test failure indication if the data point density is insufficient.

The following image is a data trace of an actual filter using 11 data points (approximately one every vertical graticule). The filter is being tested with a minimum limit line (any data point under the limit line fails).

Although the data trace is clearly below the limit line on both sides of the filter skirts, there is a PASS indication because there is no data point being measured at these frequencies.

The following image shows the exact same conditions, except the number of data points is increased to 1601. The filter now fails the minimum limit test indicated by the red data trace.

When System > System Setting > Preference, Limit: Test nearest measurement point is checked, the limit is compared with the nearest measurement point.

Limit Test at certain point

The limit test at a certain frequency point is available. This function is the similar with one in the E5071C. When (Begin Stimulus = End Stimulus) and (Begin Response = End Response) in the limit test table, the point is defined as point limit test and v (for max) or ^ (for min) symbol is displayed.

When you use the point limit test, confirm if System > System Setting > Preference, Limit: Test nearest measurement point is checked. In this setting, even if the test point (= Begin Stimulus = End Stimulus) is not located at measurement point, the result is determined using the nearest measurement point.

Last Modified:

5-Jan-2016

First Release


Use Ripple Limit Test

  • Overview

  • Concept of Ripple Limit Test

  • Create and Edit Ripple Limit Lines

  • Displaying Ripple Limit Test Results

  • Ripple Limit Test Setup

  • Saving/Recalling Ripple Limit Table

Other 'Analyze Data' topics

Overview

The ripple limit function can be executed independently of limit test function. Independently of the limit test, you can evaluate the measurement results on a PASS/FAIL basis by setting a limit for the ripple. This function is called the Ripple Limit Test.

In this picture, A is greater than B. Therefore, A is considered as the ripple of the specified stimulus range.

The ripple limit function evaluates the measurement point values only. Interpolated values are not used.

Concept of Ripple Limit Test

The ripple limit test is a function for evaluating the results on a Pass/Fail basis based on the ripple limit, which is set using the ripple limit table. Ripple is defined as the difference between the largest and smallest value within a specified stimulus range. You can specify up to 12 frequency bands, which permits a test for each frequency band.

The ripple limit test judges the measurement as "Pass" when the ripple value specified with the ripple limit is not exceeded by any of the measurement points on the trace; Otherwise, it judges the measurement as "Fail." For the measurement points in a stimulus range without a specified ripple limit, the test judges the measurement as "Pass."

Note: The measurement point alone is the target of evaluation for pass/fail. The interpolated part between measurement points is not evaluated.

The ripple limit is defined with the start point stimulus value, end point stimulus value, ripple limit value and type (on/off). For detailed information, see Ripple Limit Table.

While the ripple limit test function is turned on, the measurement points corresponding to a "FAIL" judgment will be indicated in red on the screen and the trace's test results based on the results of each measurement point will be displayed (judged as "Fail" if one or more red measurement point exist on the trace). For information on how to display the results, see Ripple Limit Setup. You can also confirm the channel test results on the screen (judged as "Fail" if one or more failed traces appear in the limit test, ripple limit test or bandwidth limit test within the channel).

Create and Edit Ripple Limit Lines

You can create ripple limit lines for all measurement traces. The ripple limit lines are the same color as the measurement trace.

Ripple limit lines are made up of discrete lines with three coordinates:

  • Begin Stimulus and End Stimulus - X-axis values.

  • Max Ripple - Y-axis values.

Ripple Limit Table

You must configure the ripple limit before you can use the ripple limit test function. You can specify a ripple limit table for each trace, where up to 12 ripple limit bands (frequency bands) can be configured.

How to turn ON/OFF Ripple Limit Table

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis.

  2. Click Limit Table to turn ON/OFF the Ripple Table.

Note: To ADD a frequency band to the ripple limit table, change the last ripple limit line to either ON or OFF.

Note: No frequency band is provided in the ripple limit table by default.

  1. In the Type area of the Ripple Limit Table, select ON or OFF for Ripple Limit Line 1.

    • ON - Band used for the ripple limit test.

    • OFF - Band not used for the ripple limit test.

  2. Click Begin Stimulus for Ripple Limit Segment 1. Enter the desired value.

  3. Click End Stimulus for Ripple Limit Segment 1. Enter the desired value.

  4. Click Max Ripple for Ripple Limit Segment 1. Enter the desired value.

  5. Repeat Steps 1-4 for each desired ripple limit line.

How to turn ON/OFF the Ripple Limit Table

Note: Acceptable range for the stimulus value: -500G to +500G. If any out ranging value is specified, it will be reset to fall within the range.

Note: Even if the VNA's sweep range is changed after the stimulus value has been set, the stimulus value is not susceptible.

Example of ripple limit configuration

  • The individual frequency bands for the ripple limit test can overlap each other; in this case, the ripple limit test is performed for each frequency band.

  • Even if the VNA's span value is set to zero, you must enter a parameter for both Begin Stimulus and End Stimulus.

  • If the data format is Smith chart or polar, the limit test is performed for the main response value among the two marker response values.

Displaying Ripple Limit Test Results

Test result for trace

The test result for the trace will be indicated as Pass or Fail in the upper-left area of the graph. You can also display the ripple value at the selected frequency band. If a trace is unsatisfactory, test results and ripple lines are displayed by red color.

The result will be displayed as Ripln: Pass (or Fail) for each trace. n denotes the trace number. Bn will be followed by the ripple value (if the ripple display is turned off, only Bn will be displayed without the ripple value).

Global Pass/Fail

The Global Pass/Fail setting in the limit tab is applied to ripple limit test. It will be judged as failed if one or more unsatisfactory trace exists in any of the ripple limit test within the channel).

Ripple Limit Test Setup

How to set Ripple Limit Test Setup

Using Hardkey/SoftTab/Softkey

  1. Press Channel or Trace to select the trace on which you want to apply the ripple limit test function.

  2. Press Math > Analysis.

  3. Click Limit... and then select Ripple tab on the dialog box.

(Ripple) Limit Test Setup Dialog Box Help

Ripple Test

Ripple Test ON - Check the box to set the ripple test ON or OFF and also display PASS or FAIL.

Ripple Line ON - Check the box to make the ripple limit line visible on the screen (Test still runs even though the ripple line does not turns on).

Ripple Result

Type - Sets how the ripple values are displayed. Available settings are Off, Absolute value (difference between maximum and minimum values within the band) display and Margin (difference between absolute value of ripple and ripple limit) display.

Segment - Enable to specify a ripple limit table up to 12 stimulus segment for each trace.

Ripple Table

Show Table - Check the box to show the table that allows you to create and edit limits.

Load Table - Recall the saved ripple limit table. Learn more.

Save Table - Save the ripple limit table. Learn more.

Saving/Recalling Ripple Limit Table

The ripple limit table can be saved in a file and recalled later for use on the screen. The file is saved in the csv format (with the extension *.csv), and values are saved as a character string with the unit. The csv formatted file can also be reused in spreadsheet software made for PCs.

How to set Ripple Limit Setup

Using Hardkey/SoftTab/Softkey

  1. Press Math > Analysis.

  2. Click Limit... and then select Ripple tab on the dialog box.

  3. Click Load Table to recall the saved Ripple Limit Table.

  4. Click Save Table to save the Ripple Limit Table.

No Programming are available for this feature

Load Table

  1. To recall the saved ripple limit table, click Load Table from the Ripple Limit Test Setup dialog and a Recall dialog box is open. At this time, CSV Files (with the extension *.csv) is selected as the file type.

  2. Specify the folder that contains the file and then select the file. Click Recall to recall the saved ripple limit table on the screen.

Note: You can recall a ripple limit table from a trace on any channel independently of the channel and trace that were active when the ripple limit table was saved to the file.

Save Table

  1. To save the ripple limit table, click Save Table from the Ripple Limit Test Setup dialog and a Save As dialog box is open. At this time, CSV Files (with the extension *.csv) is selected as the file type.

  2. Specify any folder in which you want to save the file and enter the file name. Click Save to save the ripple limit table displayed on the screen to a file.

The ripple limit table is saved in the following format:

  • First line indicates the type of limit test of the instrument.

  • Second line indicates the revision of the limit test.

  • Third line indicates a header for the segment items that are output from the fourth line onward.

  • From the fourth line onward, the segment data are output.

Sample Ripple Limit table saved format:

"# E5080 Ripple Limit Test"

"# Revision: 1.00"

TYPE, BEGIN STIMULUS, END STIMULUS, MAX RIPPLE

ON, 933.0000000 MHz, 964.0000000 MHz, 1.5 dB

ON, 938.0000000 MHz, 953.0000000 MHz, 500 mdB

Last modified:

5-Jan-2016

First Release


Use Bandwidth Limit Test

  • Overview

  • Displaying Bandwidth Limit Test Results

  • Bandwidth Limit Test Setup

Other 'Analyze Data' topics

Overview

The bandwidth limit test function can be used for testing bandwidth for the band-pass filters.

The bandwidth test find the peak of a signal in the passband and locates a point on each side of the passband at an amplitude below the peak specified in test setup. The frequency between these two points is the bandwidth of the filter. Then, the obtained bandwidth is compared to minimum and maximum allowable bandwidth that you specify beforehand.

Displaying Bandwidth Limit Test Results

Test Result for Trace

The test result for the trace will be indicated as Pass, Wide or Narrow in the upper-left area of the graph by following BWn. "n" denotes the trace number. You can also display the bandwidth value. If a trace is unsatisfactory, test results and bandwidth markers are displayed by red color.

Global Pass/Fail

The Global Pass/Fail setting in the limit tab is applied to bandwidth limit test. It will be judged as failed if one or more unsatisfactory trace exists in any of the bandwidth test within the channel.

Bandwidth Limit Test Setup

You must set up the bandwidth threshold and the upper and lower limits before you can use the bandwidth limit test function. You can specify the threshold, upper limit and lower limit for each trace.

How to set Bandwidth Limit Setup

Using Hardkey/SoftTab/Softkey

  1. Press Channel or Trace to select the trace on which you want to apply the bandwidth limit test function.

  2. Press Math > Analysis.

  3. Click on Limit... and then select Bandwidth tab on the dialog box.

Bandwidth Test Setup Dialog Box Help

Bandwidth Test

Bandwidth Test ON - Check the box to set the bandwidth limit test ON or OFF.

Bandwidth Marker ON - Check the box to make the bandwidth marker visible on the screen (Test still runs even though the bandwidth marker does not turns on).

Sound ON Fail - Check the box to turn ON when the bandwidth limit test is FAIL.

Target Bandwidth

N dB Points - Specify the bandwidth threshold in dB unit.

Min Bandwidth - Enter the lower limit for the bandwidth in Hz unit.

Max Bandwidth - Enter the upper limit for the bandwidth in Hz unit.

Note: If the data format is Smith chart or polar, the test is skipped.

Last modified:

5-Jan-2016

New topic


Save and Recall Files

Save and Recall a File

The VNA allows you to save and recall files to and from an internal or external storage device in a variety of file formats.

  • Save VNA Instrument State and Calibration Files

  • Save VNA Measurement Data

  • Recall a File

  • Instrument State and Calibration Files (.csa, .cst, .sta, .cal)

  • Measurement Data Files (.prn, .snp, .cti, .csv, .mdf)

  • Define Data Saves

  • Managing Files without a Mouse

Other Data Outputting topics

Save VNA Instrument State and Calibration Files

How to Save Instrument State and Calibration Files

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save State or Save Other.

Save Recall > Save State Softtab Help

Learn all about VNA Instrument State files.

Save State - Immediately saves the VNA state, possibly calibration data and link to the selected filename by depends on the Save Type. The selected filename is automatically generate in the storage when you performed a save.

Auto Save - Saves state, calibration data and link to the storage. Saves state and calibration data to the internal storage in the D: folder. A filename is generated automatically using the syntax "atxxx"; where xxx is a number that is increment by one when a new file is Auto Saved. The filename is depends on the Save Type to save it in ".sta", ".csa" or ".cst".

Save State As... - Starts the Save As dialog box.

Save Register - Immediately saves the specified register (Register 1 to 8) to the selected filename by depends on the Save Type. The selected filename is automatically generate in the storage when you performed a save on selected register.

Save Type

State - Save VNA state in .sta filename.

State + Cal Data - Save VNA state and calibration data in .csa filename.

State + Cal Link - Save VNA state and calibration link in .cst filename.

Save Recall > Save Other Softtab Help

Save Calset... & Save Screen... - Starts the Save As dialog box.

Save Data... - Starts the Save Data As dialog box.

Save User Preset... - Start the User Preset dialog box.

Save (State and Calibration ) As Dialog Box Help

Save in - Allows you to navigate to the directory where you want to save the file.

File name - Displays the filename that you either typed in or clicked on in the directory contents box.

Note: Filenames (not including the path name) can be unlimited characters.

Save as type

The following file types save Instrument states and Calibration data. You can save and later recall, instrument settings and calibration data for all channels currently in use on the VNA. These file types are only recognized by Keysight VNA Series analyzers.

Learn more about these file types.

  • *.csa - save Instrument state and actual Cal Set data (cal/state archive) Default selection

  • *.cst - save Instrument state and a link to the Cal Set data

  • *.sta - save Instrument state ONLY (no calibration data)

  • *.cal - save actual Calibration data ONLY (no Instrument state)

Note: To save the VNA screen as .bmp, .jpg, or .png graphics file types, click File/Print to File. Learn more.

Save - Saves the file to the specified file name and directory.

Save VNA Measurement Data

How to Save VNA Measurement Data

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

Save Data As - Saves the current trace(s) to the specified type of file.

Note: This dialog now contains the settings previously selected from the old Define Data Save dialog.

Save Data As Dialog Box Help

Note: Before saving measurement data, always trigger a single measurement, and then allow the VNA channel to go into Hold. This ensures that the entire measurement trace is saved.

Note: Memory traces can NOT be saved to any file type (PRN, SNP, CTI, CSV, MDF).

Save in - Allows you to navigate to the directory where you want to save the file.

File name - Displays the filename that you either typed in or clicked on in the directory contents box.

Note: Filenames (not including the path name) can be unlimited characters.

Save as type - Choose from: (click each to learn more about each file type) *.prn, *.SNP, *.cti (citifile), *.csv, *.mdf.

  • Trace and Noise Parameters (*.snp) - Save the noise figure parameters and S-parameters. Learn more.

Scope

Determines what traces are saved to a file. Available ONLY with *.cti, *.csv, and *.mdf.

  • Auto

    • When correction is OFF, saves the specified trace.

    • When correction is ON, saves all corrected parameters associated with the calibrated ports in the Cal Set.

  • Single Trace - Saves the active trace.

  • Displayed Traces - Saves all displayed traces for all channels.

  • Channel Traces - Saves all displayed traces for active channels.

Format

Determines the format of the data. Available with (Citifile Formatted Data (*.cti), CSV Formatted Data (*.csv), SNP, MDIF Data (*.mdf))

  • Auto - Data is saved in LogMag/Angle or LinMag/Angle if one of these is the currently selected display format. If format is other than these, then data is saved in Real/Imaginary.

  • LogMag/Angle (dB/deg), LinMag/Angle (unit/deg), Real/Imaginary - Select output format.

  • The imaginary portion for all LogMag and LinMag data is saved in degrees (dB/deg).

  • Real/Imaginary data is never smoothed.

  • Displayed Format (CSV and MDIF only) - Data is saved in the format of the displayed trace.

Note: .prn files can only save the active trace in the displayed format.

Save - Saves the file to the specified file name and directory.

Cancel - Closes the dialog.

Help - Displays Save Data As dialog box help.

Recall a file

How to Recall (open) a file

Using Hardkey/SoftTab/Softkey

  1. Press Recall > Recall.

Save Recall > Recall Softtab Help

Recall State - Recall the specified filename.

Recall State - Select from a list of files shown on softkeys. The list can be sorted by 'most recently used' or alphabetically depending on a preference. The preference setting appears at the bottom of the second page of softkeys listing files to be recalled or on the Preference dialog.

Recall State... - Starts the Recall dialog box.

Recall Register - Recall the register (Register 1 to 8) which is saved in the D:\ drive (Only the saved register will enable to recall).

Recall Calset... - Starts the Recall dialog box.

Recall Data... - Starts the Recall dialog box.

Recall Order - A list of files for recall can arrange according to NAME or RECENT files.

Recall Dialog Box Help

Look in - Allows you to select the directory that contains the file that you want to recall.

Filename - Displays the filename that you either typed in or clicked on in the directory contents box.

Files of type - Allows you view and select files that are listed in categories of a file type. The following types of files can be recalled into the VNA: All State files, Citi files, SNP files.

Recalling VNA State files

When an Instrument State file is recalled into the VNA, the current state of the instrument is overwritten with the recalled state. A *.cal file does not contain an instrument state, but only calibration data. Learn more about Instrument States.

See also Power ON and OFF during Save/Recall, User Preset, and Preset.

Recalling Data files into the VNA

Citi files and SNP files can be recalled and viewed in the VNA.

  1. Click File then Recall.

  2. Select Citifile Data or Snp.

  3. Select the file to recall.

  4. Click Recall.

Note: Citi files that were saved in CW Time sweep can NOT be recalled into the VNA

Note: Filenames (not including the path name) that are longer than 64 characters will NOT be recalled.

Recalled data is ALWAYS displayed on the VNA using LogMag format, regardless of how the file was stored.

The channel is placed in Trigger Hold. If triggering is resumed, the data will be overwritten.

SNP files are recalled as traces into a single window and channel, beginning at the highest available channel number allowed on the VNA. For multi-port SNP files (greater than 4 ports), if the number of S parameters in the file is beyond the maximum number of traces in a window, then new windows will be created.

Citi files are recalled into the same window and channel configuration as when they were saved. However, the new recalled channel numbers begin with the highest channel number allowed on the VNA and decrement for each additional channel.

For example, when a citi file is saved, two traces are in window 1, channel 1 and two additional traces are in window 2, channel 2. When recalled into a factory preset condition (1 trace in window 1, channel 1), the first two recalled traces appear in window 2, highest channel number, and the second two traces appear in window 3, (highest channel number -1). See also Traces, Channels, and Windows on the VNA

Recall - Recalls the file displayed in the file name box.

Instrument State / Calibration Files

You can save, and later recall, instrument settings and calibration data for all channels currently in use on the VNA.

An Instrument State contains almost every VNA setting. The following VNA settings are NOT saved and recalled with Instrument State:

  • GPIB address

  • RF power ON/OFF (depends on current setting)

  • Test set I/O settings

The following file types are used to save and recall instrument states and Cal Set information:

File Types

Information that is stored for each channel

.csa | .cst |  | .sta | Instrument State Information
 |  |  |  | Channels/Traces | Averaging
 |  |  |  | Windows | Markers
 |  |  |  | Triggering | Math/memory
 |  |  |  | Format | Limits
 |  |  |  | Scale | More...
 |  |  |  | Stimulus Information:
 |  |  |  | Frequency range | Alternate sweep
 |  |  |  | Number of points | Port powers
 |  |  |  | IF bandwidth | Source attenuators
 |  |  |  | Sweep type | Receiver attenuators
 |  |  |  | Sweep mode | Test Set port map
 |  | .cal |  | Cal Set Information
 |  |  |  | GUID (Globally Unique Identifier) provides link to Cal Set
 |  |  |  | Name, Description, Modify date
 |  |  |  | Stimulus Information:
 |  |  |  | Frequency range | Alternate sweep
 |  |  |  | Number of points | Port powers
 |  |  |  | IF bandwidth | Source attenuators
 |  |  |  | Sweep type | Receiver attenuators
 |  |  |  | Sweep mode | Test Set port map
 |  |  |  | Error Terms: Directivity, Crosstalk, Source match, Load match, Reflection tracking, Transmission tracking

File Type Descriptions and Recall

The following describes each file type and what occurs when the file type is recalled.

*.sta files

  • Contain ONLY instrument state information - NOT Cal data.

  • When recalled, they always replace the current instrument state immediately.

*.cst files

  • Contain BOTH instrument state and a LINK to the Cal Sets. Learn more about Cal Sets.

  • The quickest and most flexible method of saving and recalling a calibrated instrument state.

  • Channels need not have cal data to save as .cst file.

  • When recalled, the state information is loaded first. Then the VNA tries to apply a Cal Set as you would do manually. If the stimulus settings are different between the instrument state and the linked Cal Set, the usual choice is presented (see Cal Sets). If the linked Cal Set has been deleted, a message is displayed, but the state information remains in place.

  • Because only a link to the Cal Set is saved, the Cal Set can be shared with other measurements.

Note: Before saving a .cst file, be sure that a User Cal Set (NOT a Cal Register) is being used for the calibration. Cal Registers are overwritten with new data whenever a calibration is performed, and may not be accurate cal data when the .cst file is recalled. Learn more about Cal Sets.

*.cal files

  • Contain ONLY Cal Set information.

  • When recalled, the Cal Set is NOT automatically applied. Apply the calibration data to a channel as you would apply any Cal Set.

  • Learn about Recalling

*.csa files

  • Contain ALL instrument state and the actual Cal Set; not a link to the Cal Set.

  • The safest method of saving and recalling a calibrated instrument state. However, the file size is larger than a *cst file, and the save and recall times are longer. In addition, because the actual Cal Set is saved, it is very difficult to share the cal data with other measurements.

  • Channels need not be calibrated to save as .cst file.

  • The Cal Set that is saved could be a Cal Register or a User Cal Set.

  • Learn about Recalling

Note: *.pcs files are the internal file format the VNA uses for storing cal sets. These files should never be accessed or copied by the user.

Measurement Data Files

Measurement data is saved as ASCII file types for use in a spreadsheet or CAE programs.

Note: Before saving measurement data, always trigger a single measurement, and then allow the VNA channel to go into Hold. This ensures that the entire measurement trace is saved.

Note: Memory traces can NOT be saved to any file type (PRN, SNP, CTI, CSV, MDF).

The following file types can be saved by the VNA.

  • *.prn files

  • *.snp (Touchstone)

  • *.cti (Citifile)

  • *.csv

  • *.mdf (MDIF)

*.prn Files

.Prn files have the following attributes:

  • Comma-separated data which can be read into rows and columns by spreadsheet software, such as Microsoft Excel. To avoid the "delimiting" dialog boxes, change the filename extension from .prn to .csv. Then, open directly into Microsoft Excel.

  • Contain formatted and corrected stimulus and response data for the current active trace ONLY.

  • Are Output only - they cannot be read by the VNA.

  • Cal Set Viewer data can be saved to *.prn files

How to Save PRN Trace Data (*.prn)

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

  3. Under Save as type, select PRN Trace Data (*.prn).

Example:

.SNP Format (*.s1p, *.s2p, *.s3p. *.s4p)

  • *.SNP file format, also known as Touchstone format, is specified by IBIS. See the Touchstone specification.

  • *.SNP file format is used by CAE programs such as Keysight's Microwave Design System (MDS) and Advanced Design System (ADS).

  • *.SNP data is saved using the File, Save Data As dialog.

Before saving measurement data, always trigger a single measurement, and then allow the VNA channel to go into Hold. This ensures that the entire measurement trace is saved.

*.SNP files and other VNA settings

  • .SNP data can be recalled and viewed on the VNA, or read by the VNA embed/de-embed functions.

  • To save SNP data with an external test set enabled, at the File, Save As dialog, select SNP File(*.s*p), then complete the "Choose Ports " dialog.

  • When Fixturing is enabled, all of the enabled data transforms (De-embedding, Port Z Conversion, and so forth) are applied to saved SNP files.

  • When Smoothing is applied to a trace, the smoothing is NOT saved when the format is Real, Imaginary (RI). Select a different format to save the smoothed data.

  • Noise Figure parameters and S-parameters can be saved to an *.s2p file. Learn more.

  • Balanced parameters can be saved to *.SNP files. See the "Choose Ports " dialog.

  • IMPORTANT - ALL valid data is saved using the same format and settings (trace math, offset, delay, and so forth) as the active measurement. This can cause the data that is saved for the non-active measurements to be dramatically different from the data that is displayed. For example, when saving an S2P file, if the active S11 measurement is set to Data/Mem (data divided by memory), then ALL 4 S-parameters are saved using Data/Mem. The memory trace that is used in the Data/Mem operation is the same as that used in the active (S11) measurement.

What is Saved

*.SNP data is generally used to gather all S-parameters for a fully corrected measurement. The VNA saves the data that is available on the channel of the active measurement.

File Type | # of Ports | # of S-parameters saved
*.s1p | 1 | 1 S-parameter
*.s2p | 2 | 4 S-parameters
*.s3p | 3 | 9 S-parameters
*.s4p | 4 | 16 S-parameters
... | ... | ...
*.SNP | N | N^2 S-parameters

  • If correction for a Full N-port cal is applied, then valid data is returned for all corrected S-parameters. Response cals will save uncorrected data.

  • If requesting less data then is available, the Choose ports for SNP data dialog appears.

  • If correction is NOT applied, the VNA returns as much applicable raw data as possible using S-parameter measurements on the selected channel. Data that is not available is zero-filled. For example, if correction is NOT applied and the active measurement is S11, and an S21 measurement also exists on the channel, then data is returned for the S11 and S21 measurements. Data for S12 and S22 is not available and therefore returned as zeros in Real/Imaginary format. In Log Mag/Phase format, this appears as -200 dB and 45 degrees.

How to Save .SNP Format (*.s1p, *.s2p, *.s3p. *.s4p)

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

  3. Under Save as type, select Trace (*.s1p, *.s2p, *.s3p or *.s4p).

.SNP Data Output

*.SNP files contain: header information and the following Comma-Separated Values. The only difference between .s1p, s2p, and so forth, is the number of S-parameters that are saved.

  • Stimulus data

  • Data pairs for EACH S-parameter measurement

Note: Although the following shows Real/Imaginary pairs, the format could also be LogMag/Phase or LinMag/Phase

*.s1p File

Each record contains 1 stimulus value and 1 S-parameter (total of 3 values)

Stim Real (Sxx) Imag(Sxx)

Example:

*.s2p File

Each record contains 1 stimulus value and 4 S-parameters (total of 9 values)

Stim Real (S11) Imag(S11) Real(S21) Imag(S21) Real(S12) Imag(S12) Real(S22) Imag(S22)

Example:

*.s3p File

Each record contains 1 stimulus value and 9 S-parameters (total of 19 values)

Stim Real (S11) Imag(S11) Real(S12) Imag(S12) Real(S13) Imag(S13)

Real (S21) Imag(S21) Real(S22) Imag(S22) Real(S23) Imag(S23)

Real (S31) Imag(S31) Real(S32) Imag(S32) Real(S33) Imag(S33)

Example:

*.s4p File

Each record contains 1 stimulus value and 16 S-parameters (total of 33 values)

Stim Real (S11) Imag(S11) Real(S12) Imag(S12) Real(S13) Imag(S13) Real(S14) Imag(S14)

Real (S21) Imag(S21) Real(S22) Imag(S22) Real(S23) Imag(S23) Real(S24) Imag(S24)

Real (S31) Imag(S31) Real(S32) Imag(S32) Real(S33) Imag(S33) Real(S34) Imag(S34)

Real (S41) Imag(S41) Real(S42) Imag(S42) Real(S43) Imag(S43) Real(S44) Imag(S44)

Example:

Choose ports for SNP File Dialog Box Help

This dialog allows you to choose which S-parameter data to save when selecting File, Save As, Trace SNP and any of the following conditions exist:

  • you request less data than is available.

  • you want data for more than 4 ports.

  • a balanced measurement is active.

Number of ports - Select the number of ports for which data will be saved.

Arrow buttons - Click ( >> ) to Add and click ( << ) to Remove ports for the following columns:

Available Ports - The VNA/External test set ports. There may NOT be valid data available for all of these ports. Learn more.

Chosen Ports - When OK is clicked, SNP data is saved for these ports.

OK - Becomes available when the number of Chosen ports = the Number of ports to save. Click to save to SNP file.

With Number of ports = 2, .s2p data is saved; with Number of ports = 3, .s3p data is saved, and so forth. Learn more about SNP files

.cti (Citi) Files

Citifile format is compatible with the Keysight 8510 Network Analyzer and Keysight's Microwave Design System (MDS).

You can do the following using citifiles :

  • Save the active trace or all traces.

  • Save formatted or unformatted citifile data.

How to Save CitifileFormatted Data (*.cti)

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

  3. Under Save as type, select Citifile Formatted Data (*cti).

*.csv files contain:

  • Header information

  • Stimulus data

  • Data pairs for EACH S-parameter measurement

Format is identified by DBANGLE (log mag), MAGANGLE (Lin Mag), or RI (real, imaginary - NOT shown)

On the data access map, Formatted data is taken from location 2 or 4.

How to Save Citifile Unformatted Data (*.cti)

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

  3. Under Save as type, select Citifile Data Data (Real,imag) (*cti).

On the data access map, Unformatted data is taken from the block just before Format.

Citifiles can be recalled and viewed in the VNA. Learn more.

*.csv Files

Note: 2D Gain Compression data is saved as *.csv files using a different format than shown here. Learn more.

CSV files are read by spreadsheet programs such as Microsoft Excel.

How to Save CSV Formatted Data (*.csv)

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

  3. Under Save as type, select CSV Formatted Data (.csv).

*.csv files contain:

  • Header information and the following Comma-Separated Values.

  • Stimulus data

  • Data pairs for EACH S-parameter measurement

*.mdf Files

MDIF files are compatible with Keysight ADS (Advanced Design System).

How to Save MDIF Data (*.mdif)

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Save Data... and then Save Data As dialog box appears.

  3. Under Save as type, select MDIF Data (*.mdif).

*.mdf files contain:

  • Header information and Space-Separated Data.

  • Stimulus data

  • Real and Imaginary data pair for EACH S-parameter measurement

Define Data Saves

Note: Although these settings are still supported, they are no longer necessary to save data files. The Save Data As dialog box contains these settings.

How to select Define Data Saves

Using Hardkey/SoftTab/Softkey

  1. Press System > System Settings > Preferences....

  2. Select Data Saves... on the Preferences dialog box.

Define Data Saves Dialog Box Help

Note: Although these settings are still supported, they are no longer necessary to save data files. The Save Data As dialog box contains these settings.

The following settings survive an Instrument Preset and VNA Shutdown.

CitiFile, CSV, and MDIF Contents

Determines what is saved to a .cti file.

Auto - Saves the active trace. Additional traces are saved if correction is ON. For Full 2-port calibration, 4 traces are saved; for Full 3-port calibration, 9 traces are saved, and so forth.

Single Trace - Saves the active trace.

Displayed Traces - Saves all displayed traces for all channels.

Citifile and CSV Format

Auto - Data is saved in LogMag or LinMag if one of these is the currently selected display format. If format is other than these, then data is saved in Real/Imag.

LogMag/Angle (dB/degrees), LinMag/Angle (unit/deg), Real/Imaginary - Select output format.

  • The imaginary portion for all LogMag and LinMag data is saved in degrees.

  • Real/Imaginary data is never smoothed.

SnP Format (.s1p, .s2p, .s3p, .s4p)

Learn more about SnP files.

Auto - Data is saved in LogMag or LinMag if one of these is the currently selected format. If format is other than these, then data is saved in Real/Imag.

LogMag, LinMag, Real/Imag - Select output format. The imaginary portion for all LogMag and LinMag data is output is in degrees.

Manage Files without a Mouse

How to Manage Files without a Mouse

Using Hardkey/SoftTab/Softkey

  1. Press Save Recall > Save Other.

  2. Click Manage Files... and then D:\ drive folder dialog box appears.

OR

  1. Press System > Main.

  2. Click Manage Files... and then D:\ drive folder dialog box appears.

No programming commands are available for this feature

The Manage Files dialog box is designed to be used from the front panel. It performs the same function as Windows Explorer, but can be used without the use of a mouse or keyboard.

.

Last modified:

5-Jan-2016

First Release


Print a Measurement

Print a Displayed Measurement

The analyzer allows you to print a displayed measurement to a printer or to a file. The printer can be either networked or local.

  • Connect a Printer

  • Printing

    • Print a Hardcopy

    • Page Setup

    • Print to a File

Other Outputting Data topics

Connect a Printer

You can connect a printer to one of the VNA USB ports or to the LAN connector.

To Add a Printer

Note: If you try to print from the VNA application and the Add Printer Wizard appears, click Cancel and add the printer using the following procedure.

  1. From the VNA application, press System > Main > Minimize Application.

  2. On the Windows taskbar, click Devices and Printers.

  3. Double-click Add a printer.

  4. Follow the instructions in the Add Printer Wizard.

For more information, refer to Microsoft Windows Help or your printer documentation.

Printing

The measurement information on the screen can be printed to any local or networked printer that is connected to the VNA. The graphic below shows an example of how a screen-capture image appears when printed. The Page Setup settings allows you to customize the printed form of the measurement information.

Print a Hardcopy

How to Print a Hardcopy

Using Hardkey/SoftTab/Softkey

  1. Press System > Print.

  2. Click Print....

No programming commands are available for this feature.

Note: For information on the choices in the Print dialog box, see Windows Help.

Page Setup

The Page Setup dialog allows flexibility in the appearance that measurement data is printed.

How to select Page Setup

Using Hardkey/SoftTab/Softkey

  1. Press System > Print > Page Setup....

OR

  1. Press System > System Settings > Preferences....

  2. Click Page Setup... on Preferences dialog box.

Page Setup Dialog Box Help

Paper, Orientation and Margins

These settings do NOT survive a VNA shutdown.

See Windows Help for information on these settings.

Windows

The following VNA specific settings DO survive a VNA shutdown:

Minimum vertical size - Adjust to change the amount of a page that the measurement window fills. The adjustment range is from 40 to 100%.

One window per page - Check to print one window per page. Clear to print all selected windows without a forced page break.

Only active window - Check to print only the active window. Clear to print all windows.

Instrument logo - Check to print the Keysight logo to the header.

Data and Time - Check to add the current date and time to the header.

Global Pass/Fail - Check to add the Global Pass/Fail status to the header.

Page Numbers - Check to add page numbers (1 of n) to the header.

Channel Settings Table

Print - Check to print the channel settings table.

Segment data can no longer be printed.

Trace Attributes Table

Print - Check to print the Trace Attributes Table. The Trace Attributes are measurement type, correction factors ON or OFF, smoothing, options, and marker details. The Trace Attributes are listed by Trace ID# for each window.

Each Trace ID# can have multiple entries depending on the number of markers associated with the trace. The marker details are marker number, position and response. If there are multiple markers on a trace, the trace attributes are only shown for the first marker. However, the trace attributes for the first marker apply to all other markers on that trace.

The options column can have one or more options. D for Delay, M for Marker, G for Gating. Multiple options selected would appear as follows: DMG.

Print marker data - Check to print all marker data. The amount of data depends on how many markers are created.

Print to a File

The analyzer can save a screen-capture image in any of the following formats:

  • .png (Portable Network Graphics Format)

  • .bmp (Bitmap File)

  • .jpg (JPEG File Interchange Format)

The analyzer automatically saves the file to the current path. If not previously defined, the analyzer automatically selects the default path D:.

A .bmp file, like a .prn file, can be imported into software applications such as Microsoft Excel, Word or Paint to display a screen-capture image.

See Save and Recall files for more information.

How to Print to a File

Using Hardkey/SoftTab/Softkey

  1. Press System > Print > Print to File....

Last modified:

5-Jan-2016

First Release


Programming Guide

Two ways to find programming commands:

1. From a User Interface (Hardkey):

Trace

Channel

Display

Setup

Meas

Format

Scale

Math

Avg BW

Calibration

Marker

Search

Save Recall

Power

Frequency

Sweep

Trigger

System

 | GPIB / SCPI
2. | Command Tree
See Also | Example Programs
 | Learning about GPIB

See Also

  • Shut Down or Restart the VNA Remotely

  • LXI and VXI Compliance

  • Using Macros

  • Code Translator App.

  • Data Access Map


SCPI Command Tree

See Also

  • Example Programs

  • See list of all SCPI Errors.

  • See Calibrating the VNA Using SCPI

  • Synchronizing the VNA and Controller

  • IEEE- 488.2 Common Commands

  • Local Lockout

ABORt

Stops all sweeps

+ CALCulate Click to hide and show CALC / CALC:MEAS branches

CORRection | Electrical Delay and Phase Offset
CONVersion | Parameter conversion function
DATA | Sends and queries data.
Equation | Equation Editor
FILTer | Time domain gating
FORMat | Display format
FSIMulator | Balanced measurements and Fixturing
FUNCtion | Trace Statistics
GDELay | Group Delay Aperture setting
LIMit | Limit lines for pass / fail testing
MARKer | Marker settings
MATH | Math / Memory
MIXer | X-axis display for FCA measurements
OFFSet | Mag and Phase offset
PARameter | Create and delete measurements
RDATa? | Queries receiver data
SMOothing | Point-to-point smoothing
TRANsform | Time domain transform
X:VALues | Returns X-Axis values for trace
CONTrol | Interface control, ECal module state control, and Rear-panel connector control.
CSET | Work with a Cal Set without having to select it into that channel.
DISPlay | Display settings
FORMat | Format for data transfer
HCOPy | Hardcopy printing
INITiate | Continuous or manual triggering
LXI | LXI communications
MMEMory | Saves and recalls instrument states
OUTPut | Turns RF power ON and OFF

+ SENSe Click to hide and show SENSe branches

AVErage | Sweep Averaging
BANDwidth | IF Bandwidth
CLASs | Returns measurement class name
CORRection | Calibration and other correction settings
COUPle | Chopped or Alternate sweep
FOM | Frequency Offset (opt 009)
FREQuency | Frequency sweep settings
MIXer | FCA measurements (opts 082 and 083)
MULTiplexer | Controls external test sets.
ROSCillator | Returns the source of the reference oscillator.
SEGMent | Segment sweep settings.
SWEep | Sweep types
VOLTage | DC Voltage Range
X:VALues | X-axis values for channel

SOURce | Source power to the DUT
STATus | Reads the VNA status registers
SYSTem | Misc VNA capabilities
TRIGger | Trigger measurements

Last Modified:

5-Jan-2016

First Release


Common Commands SCPI

IEEE 488.2 Common Commands

*CLS - Clear Status

*ESE - Event Status Enable

*ESE? - Event Status Enable Query

*ESR? - Event Status Enable Register

*IDN? - Identify

*OPC - Operation complete command

*OPC? - Operation complete query

*OPT? - Identify Options Query

*RST - Reset

*SRE - Service Request Enable

*SRE? - Service Request Enable Query

*STB? - Status Byte Query

*TST? - Result of Self-test Query

*WAI - Wait

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

*CLS - Clear Status

Clears the instrument status byte by emptying the error queue and clearing all event registers. Also cancels any preceding *OPC command or query. See Status Commands and Reading the Analyzer's Status Registers.

*ESE - Event Status Enable

Sets bits in the standard event status enable register. See Status Commands and Reading the Analyzer's Status Registers.

*ESE? - Event Status Enable Query

Returns the results of the standard event enable register. The register is cleared after reading it. See Status Commands and Reading the Analyzer's Status Registers.

*ESR - Event Status Enable Register

Reads and clears event status enable register. See Status Commands and Reading the Analyzer's Status Registers.

*IDN? - Identify

Returns a string that uniquely identifies the analyzer. The string is of the form "Keysight Technologies",<model number>,<serial "number>,<software revision>" .

*OPC - Operation complete command

Generates the OPC message in the standard event status register when all pending overlapped operations have been completed (for example, a sweep, or a Default). See Understanding Command Synchronization.

*OPC? - Operation complete query

Returns an ASCII "+1" when all pending overlapped operations have been completed. See Understanding Command Synchronization

*OPT? - Identify Options Query

Returns a string identifying the analyzer option configuration.

*RST - Reset

Executes a device reset and cancels any pending *OPC command or query, exactly the same as a SYSTem:PRESet with one exception: Syst:Preset does NOT reset Calc:FORMAT to ASCII. The contents of the analyzer's non-volatile memory are not affected by this command.

*SRE - Service Request Enable

Before reading a status register, bits must be enabled. This command enables bits in the service request register. The current setting is saved in non-volatile memory. See Status Commands and Reading the Analyzer's Status Registers.

*SRE? - Service Request Enable Query

Reads the current state of the service request enable register. The register is cleared after reading it. The return value can be decoded using the table in Status Commands. See also Reading the Analyzer's Status Registers.

*STB? - Status Byte Query

Reads the value of the instrument status byte. The register is cleared only when the registers feeding it are cleared. See Status Commands and Reading the Analyzer's Status Registers.

*TST? - Result of Self-test Query

Returns the result of a query of the analyzer hardward status.

*WAI - Wait

Prohibits the instrument from executing any new commands until all pending overlapped commands have been completed. See Understanding Command Synchronization

Last Modified:

5-Mar-2015

First Release


Abort SCPI

About Triggering

Abort Command

ABORt

Applicable Models: E5080A, M9485A

(Write-only) Stops all sweeps - then resume per current trigger settings. This command is the same as INITtiate:IMMediate (restart) except if a channel is performing a single sweep, ABORt will stop the sweep, but not initiate another sweep. Learn about Synchronizing the VNA and Controller
Examples | ABOR abort
Query Syntax | Not applicable
Default | Not applicable

Last modified:

5-Jan-2016

First Release


Conversion

Calculate:Conversion

CALCulate:MEASure:CONVersion:

FUNCtion

CALCulate<cnum>:MEASure<nmum>:CONVersion:FUNCtion <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or gets the parameter after conversion using the parameter conversion function, for the active trace of selected channel.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<char>

Select from the following of parameter after conversion:

  • "OFF"

  • "ZREFlection" - Specifies the equivalent impedance in reflection measurement.

  • "ZTRansmit" - Specifies the equivalent impedance (series) in transmission measurement.

  • "ZTSHunt" - Specifies the equivalent impedance (shunt) in transmission measurement.

  • "YREFlection" - Specifies the equivalent admittance in reflection measurement.

  • "YTRansmit" - Specifies the equivalent admittance (series) in transmission measurement.

  • "YTSHunt" - Specifies the equivalent admittance (shunt) in transmission measurement.

  • "INVersion" - Specifies the inverse S-parameter (1/S).

  • "CONJugation" - Specifies the conjugate.

Examples

CALC:MEAS1:CONV:FUNC ZTSH
calculate2:measure1:conversion:function conjugation

Query Syntax

CALCulate<cnum>:MEASure<mnum>:CONVersion:FUNCtion?

Return Type

Character

Default

"OFF"

Last modified:

5-Jan-2016

First Release


Correction SCPI

Calculate:Correction Commands

Controls error correction functions.

CALCulate:MEASure:CORRection:

EDELay

| DISTance

| MEDium

| TIME

| UNIT

| WGCutoff

[STATe]

| INDicator?

TYPE

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Calibrating the VNA Using SCPI

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:DISTance <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the electrical delay in physical length (distance) for the selected measurement. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Electrical delay in distance. First Specify units using CALC:MCORR:EDEL:UNIT Use SENS:CORR:RVEL:COAX <num> to set Velocity factor. This parameter supports MIN and MAX as arguments. Learn more.
Examples | CALC:MEAS:CORR:EDEL:DIST 5 calculate2:measure2:correction:distance .003
Query Syntax | CALCulate<cnum>:MEASure<mnum>CORRection:EDELay:DISTance?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:MEDium <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the media used when calculating the electrical delay.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Choose from: COAX for coaxial medium, WAVEguide for waveguide medium.
Examples | CALC:MEAS:CORR:EDEL:MED COAX calculate3:measure2:correction:edelay:medium waveguide
Query Syntax | CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:MEDium?
Return Type | Character
Default | COAX

CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay[:TIME] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the electrical delay for the selected measurement. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Electrical delay in seconds. Choose any number between: -10.00 and 10.00 Use SENS:CORR:RVEL:COAX <num> to set Velocity factor. This parameter supports MIN and MAX as arguments. Learn more.
Examples | CALC:MEAS:CORR:EDEL:TIME 1NS calculate2:measure2:correction:edelay:time 0.5e-12
Query Syntax | CALCulate<cnum>:MEASure<mnum>CORRection:EDELay[:TIME]?
Return Type | Numeric
Default | 0 seconds

CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:UNIT <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the units for specifying electrical delay in physical length (distance).

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<char>

Units for delay in distance. Choose from:

  • METer

  • FEET

  • INCH

Examples

CALC:MEAS:CORR:EDEL:UNIT MET

calculate3:measure2:correction:edelay:unit inch

Query Syntax

CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:UNIT?

Return Type

Character

Default

METer

CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:WGCutoff <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the waveguide cutoff frequency used when the electrical delay media is set to WAVEguide. (See CALCulate:CORRection:EDELay:MEDium <char>.)
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Waveguide cutoff frequency used with the electrical delay calculation. This parameter supports MIN and MAX as arguments. Learn more.
Examples | CALC:MEAS:CORR:EDEL:WGC 18.067 GHz calculate3:measure2:correction:edelay:wgcutoff 14.047 ghz
Query Syntax | CALCulate<cnum>:MEASure<mnum>:CORRection:EDELay:WGCutoff?
Return Type | Numeric
Default | 45 MHz

CALCulate<cnum>:MEASure<mnum>:CORRection[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns error correction ON or OFF for the selected measurement on the specified channel. To turn error correction ON or OFF for a channel, use SENS:CORR:STATe . See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | Correction state. Choose from: OFF or 0 - Correction OFF. ON or 1 - Correction ON.
Examples | CALC:MEAS:CORR ON calculate:measure:correction:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:CORRection:STATe?
Return Type | Boolean
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:CORRection[:STATe]:INDicator?

Applicable Models: E5080A, M9485A

(Read-only) Returns the error correction state for the selected measurement on the specified channel. To turn error correction ON or OFF for a channel, use SENS:CORR:STATe. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:CORR:IND? calculate2:measure2:correction:state:indicator?
Return Type | Character NONE - No error correction. MAST (Master) - Original error correction terms. INT - Error terms are interpolated. Learn more. DELT - Delta Match calibration terms. Learn more. INV - Error terms are not valid.
Default | NONE

CALCulate<cnum>:MEASure<mnum>:CORRection:TYPE <string>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Cal Type for the selected measurement on the specified channel. This is used when a Cal Set is applied. Learn more about applying Cal Types.

  • Use SENS:CORR:TYPE:CAT? to list the Cal Types in the VNA.

  • Use SENS:CORR:CSET:TYPE:CAT? to list the Cal Types contained in the active Cal Set for the channel.

  • Use SENS:CORR:COLL:METH to set the Cal type to perform a new Unguided calibration,

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<string>

(String) Cal type. Case sensitive. Use one of the following:

For Full Calibrations (NO Power Cal included):

This command does not distinguish between TRL and SOLT. The same number of error terms is applied for both Cal Types.

"Full <n> Port(x,y,z...)"

where

<n> = the number of ports to calibrate

x,y,z = the port numbers to calibrate

For example:

"Full 4 Port(1,2,3,4)"

For Full Calibrations (including Power Cal):

After the Full <n> port, include the string, "with power"

For example:

"Full 4 Port with power(1,2,3,4)"

For Response Calibrations:

"Response(param)" OR

"ResponseAndIsolation(param)"

Where param =

  • S-parameter. For example"

    • "Response(S21)"

    • "ResponseAndIsolation(A/R)"

  • Single or ratioed receivers using either logical receiver notation or physical receiver notation. For example:

    • "Response(A)"

    • "ResponseAndIsolation(a3/b4)"

For Enhanced Response Calibrations:

"EnhancedResp(sourcePort, recPort)

Where:

  • sourcePort = stimulus port number

  • recPort = receiver port number

For FCA Calibrations:

Learn more about this setting.

  • "SMC_2P" (Response + Input + Output) All four sweeps required. Most accurate.

  • "SMCRsp+IN" No Output match. All four sweeps required.

  • "SMCRsp+OUT" No Output match. All four sweeps required.

  • "SMCRsp" No Input or Output match. Saves two sweeps.

For VMC, multiple Cal types are not available.

For Gain Compression Cal

where r = receive port; s = source port

  • "GCA 2P (r,s)” - full 2-port cal

  • “GCA Enh Resp (r,s)” - Enhanced Response Cal

Examples

CALC:MEAS:CORR:TYPE "Scalar Mixer Cal"

Query Syntax

CALCulate<cnum>:MEASure<mnum>:CORRection:TYPE?

Return Type

String

Default

Not Applicable

Last modified:

5-Jan-2016

First Release


Data SCPI

Calculate:Data Commands

Controls writing and reading VNA measurement data.

CALCulate:DATA:

| MFData

| MSData

CALCulate:MEASure:DATA:

| FDATa

| SDATa

| FMEMory

| SMEMory

| SNP?

| PORTs?

| SAVE

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Data Access Map

  • Synchronizing the Analyzer and Controller

  • To read receiver data, use CALC:RDATA?

  • To read error terms, use SENS:CORR:CSET:DATA

  • To read SnP measurement data, use CALC:DATA:SNP?

  • SCPI Command Tree

CALCulate<cnum>:DATA<data>:MFData <string>

Applicable Models: E5080A, M9485A

(Read-only) Gets the formatted data array of multiple traces (traces-n, m, .... to l) of the selected channel.

This command is allows to get several trace data with one command, while CALC:MEAS:DATA:FDAT returns only one trace with one command.

Note: If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<data>

Indicates the array data (formatted data array) of NOP (number of measurement points)×2×(number of specified traces). Where n is an integer between 1 and NOP.

  • Data (n×2-2) : Data (primary value) at the n-th measurement point.

  • Data (n×2-1) : Data (secondary value) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format.

The output trace data is listed according to the order of the specified trace number.

The index of the array starts from 0.

Note: If there is no array data of NOP (number of measurement point)×2 when setting a formatted data array, an error occurs when executed and the object is ignored.

<string>

Trace number. "n, m, l, ..." where n, m, l are 1 to the maximum trace number.

Note: Use comma for separator of trace number.

Examples

CALC:DATA:MFD

Return Type

Not Applicable

Default

Not Applicable

CALCulate<cnum>:DATA<data>:MSData <string>

Applicable Models: E5080A, M9485A

(Read-only) Gets the corrected data array of multiple traces (traces-n, m, .... to l) of the selected channel.

This command is allows to get several corrected data with one command, while CALC:MEAS:DATA:SDAT returns only one corrected data with one command.

Note: If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<data>

Indicates the array data (corrected data array) of NOP (number of measurement points)×2×(number of specified traces). Where n is an integer between 1 and NOP.

  • Data(n*2-2) : Real part of the data (complex number) at the n-th measurement point.

  • Data(n*2-1) : Imaginary part of the data (complex number) at the n-th measurement point.

The output trace data is listed according to the order of the specified trace number.

The index of the array starts from 0.

Note: If there is no array data of NOP (number of measurement point)×2 when setting a corrected data array, an error occurs when executed and the object is ignored.

<string>

Trace number. "n, m, l, ..." where n, m, l are 1 to the maximum trace number.

Note: Use comma for separator of trace number.

Examples

CALC:DATA:MSD

Return Type

Not Applicable

Default

Not Applicable

(Write) CALCulate<cnum>:MEASure<mnum>:DATA:<char>,<data>

(Read) CALCulate<cnum>:MEASure<mnum>:DATA:<char>?

Reads or writes Measurement data, Memory data or Normalization Divisor data from the Data Access Map location.

  • For Measurement data, use FDATA or SDATA

  • For Memory data, use FMEM or SMEM. When querying memory, you must first store a trace into memory using CALC:MATH:MEMorize.

  • For Normalization Divisor (Receiver Power Cal error term) data, use SDIV.

  • Use FORMat:DATA to change the data type (<REAL,32>, <REAL,64> or <ASCii,0>).

  • Use FORMat:BORDer to change the byte order. Use “NORMal” when transferring a binary block from LabView or VEE. For other programming languages, you may need to "SWAP" the byte order.

Equation Editor Notes:

  • When equation editor is active on a trace in a standard S-parameter channel, Calc:Data returns the data from the parameter on the trace that was measured last. For example, for the equation "S22 + S33 + S11”, then S33 is the last measured parameter because it uses source port 3.

  • In applications, if equation editor is active and the original parameter for the trace is not requested anywhere in the channel, then zeros are returned. If the original parameter is being measured within the channel, then data for the original parameter is returned.

  • In general, if an equation contains no measurement parameters, then data for the original parameter is returned.

Note: The Calc:Data SCORR command to read/write error terms is Superseded with SENS:CORR:CSET:DATA. SCORR commands do NOT accommodate greater than 12 error terms.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<char>

FDATA

Formatted measurement data to or from Data Access Map location. Display (access point 2).

  • Corrected data is returned when correction is ON.

  • Uncorrected data is returned when correction is OFF.

  • Returns TWO numbers per data point for Polar and Smith Chart format.

  • Returns one number per data point for all other formats.

  • Format of the read data is same as the displayed format.

SDATA

Complex measurement data.

Writes data to Data Access Map location. Raw Measurement (access point 0).

  • When writing corrected data, and correction is ON, it will be corrected again, resulting in meaningless data.

Reads data from Apply Error Terms (access point 1).

  • Returns TWO numbers per data point.

  • Corrected data is returned when correction is ON.

  • Uncorrected data is returned when correction is OFF.

FMEM

Formatted memory data to or from Data Access Map location. Memory result (access point 4).

  • Returns TWO numbers per data point for Polar and Smith Chart format.

  • Returns one number per data point for all other formats.

  • Format of the read data is same as the displayed format.

  • Returned data reflects the correction level (ON|OFF) when the data was stored into memory.

SMEM

Complex measurement data to or from Data Access Map location Memory (access point 3).

  • Returns TWO numbers per data point.

  • Returned data reflects the correction level (ON|OFF) when the data was stored into memory.

  • Returned data reflects the correction level (ON|OFF) when the data was stored into memory.

Examples | CALC:MEAS:DATA:FDATA Data(x) calculate2:measure2:data:sdata data(r,i) See another example using this command.
Return Type | Block data
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:DATA:SNP:PORTs? <"x,y,z".>

(Read-only) Reads SNP data from the selected measurement for the specified ports. Learn more about SNP data.

This command is valid ONLY with standard S-parameter measurements.

Notes:

  • This command returns SNP data without header information, and in columns, not in rows as .SnP files. This means that the data returned from this command sends all frequency data, then all Sx1 magnitude or real data, then all Sx1 phase or imaginary data, and so forth.

  • To avoid frequency rounding errors, specify FORM:DATA <Real,64> or <ASCii, 0>

  • Data that is not available is zero-filled.

  • For sweeps with a large number of data points, always follow this command with *OPC? Learn more.

  • The E5080A can not export a SNP file for multi-port over 4 ports.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<"x,y,z">

Comma or space delimited port numbers for which data is requested, enclosed in quotes.

SNP data can be output using several data formatting options. See MMEM:STOR:TRAC:FORM:SNP.

Examples

CALC:MEAS:DATA:SNP:PORTs? "1,2,4,5,7" 'read data for these ports

Return Type

Depends on FORM:DATA command

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:DATA:SNP:PORTs:SAVE <"x,y,z">,<filename>

Applicable Models: E5080A, M9485A

(Write-only) Saves SNP data from the selected measurement for the specified ports. Learn more about SNP data.

  • The Normal vs Mixed Mode selection is NOT used as it is in the Choose Ports dialog. Instead, data is returned as it is displayed on the trace. If the selected measurement is Mixed Mode (balanced), then balanced data is returned. If the selected measurement is an S-parameter, then S-parameter data is returned.

  • This command is valid ONLY with the Standard measurement class (NOT applications).

  • Data that is not available is zero-filled.

  • For sweeps with a large number of data points, always follow this command with *OPC? Learn more.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<"x,y,z">

String - Comma or space delimited port numbers for which data is requested, enclosed in quotes.

<filename>

String - Path, filename, and suffix of location to store the SNP data. The suffix is not checked for accuracy. If saving 2 ports, specify "filename.s2p"; If saving 4 ports, specify "filename.s4p.", and so forth.

SNP data can be output using several data formatting options. See MMEM:STOR:TRAC:FORM:SNP.

Examples

CALC:MEAS:DATA:SNP:PORTs:Save '1,2,4','D:\MyData.s3p';*OPC?

Return Type

Depends on FORM:DATA command

Default

Not Applicable

Last modified:

5-Jan-2016

First Release


Equation

Calculate:Equation Commands

Controls Equation Editor capabilities.

CALCulate:EQUation:

LIBRary

| FUNCtions

| IMPort?

| REMove

STATe

TEXT

VALid?

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Equation Editor

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate:EQUation:LIBRary:FUNCtions <string>

Applicable Models: E5080A, M9485A

(Read-only) Returns the functions in the specified DLL.
Parameters |
<string> | Full path and filename of the *.dll to be read.
Examples | functions = CALC:EQU:LIBR:FUNC “Expansion.dll”
Return Type | Comma delimited string of function names.
Default | Not Applicable

CALCulate:EQUation:LIBRary:IMPort <string>

Applicable Models: E5080A, M9485A

(Read-Write) Imports the functions in the specified DLL and returns whether the functions have been imported into the VNA.
Parameters |
<string> | Full path and filename of the *.dll.
Examples | 'Write - Imports functions CALC:EQU:LIBR:IMPort “D:\Expansion.dll” 'Read if Imported functions = CALC:EQU:LIBR:IMPort “D:\Expansion.dll”
Query Syntax | CALCulate:EQUation:LIBRary:IMPort? Returns the following: 1 - Imported 0 - NOT imported
Return Type | Boolean
Default | Not Applicable

CALCulate:EQUation:LIBRary:REMove <string>

Applicable Models: E5080A, M9485A

(Write-only) Removes an imported an Equation Editor DLL from the VNA.
Parameters |
<string> | Full path and filename of the *.dll.
Examples | CALC:EQU:LIBR:REM “D:\Expansion.dll”
Query Syntax | Not Applicable
Default | Not Applicable

CALCulate<cnum>:EQUation[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON and OFF the equation on selected measurement for the specified channel. If the equation is not valid, then processing is not performed. Use CALC:EQU:VAL? to ensure that the equation is valid. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | ON or 1 - turns equation ON. OFF or 0 - turns equation OFF.
Examples | CALC:EQU 1 calculate2:equation:state 0
Query Syntax | CALCulate<cnum>:EQUation[:STATe]?
Return Type | Boolean
Default | OFF (0)

CALCulate<cnum>:EQUation:TEXT <string>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies an equation or expression to be used on the selected measurement for the specified channel. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<string> | Any valid equation or expression. See Equation Editor.
Examples | 'Equation (includes '=') CALC:EQU:TEXT "foo=S11/S21" 'Expression calculate2:equation:text "S11/S21"
Query Syntax | CALCulate<cnum>:EQUation:TEXT?
Return Type | String
Default | Not Applicable

CALCulate<cnum>:EQUation:VALid?

Applicable Models: E5080A, M9485A

(Read-Only) Returns a boolean value to indicate if the current equation on the selected measurement for the specified channel is valid. For equation processing to occur, the equation must be valid and ON (CALC:EQU:STAT 1). See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
Examples | CALC:EQU:VAL? calculate2:equation:valid?
Return Type | Boolean 1 - equation is valid 0 - equation is NOT valid
Default | Not Applicable

Last modified:

5-Jan-2016

First Release


Filter SCPI

Calculate:Filter Commands

Controls the gating function used in time domain measurements. The gated range is specified with either (start/stop) or (center/span) commands.

CALCulate:MEASure:FILTer:

COUPle

TIME

| CENTer

| SHAPe

| SPAN

| STATe

| STARt

| STOP

| [TYPE]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Gating

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:COUPle:PARameters <num>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the time domain gating parameters to be coupled. The settings for those parameters will be copied from the selected measurement to all other measurements on the channel.

  • To enable Trace Coupling, use SENS:COUP:PAR

  • To specify Transform parameters to couple, use CALC:TRAN:COUP:PAR

Learn more about Time Domain Trace Coupling

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<num>

(Numeric) Parameters to couple. To specify more than one parameter, add the numbers.

1 - Gating Stimulus (Start, Stop, Center, and Span TIME settings).

2 - Gating State (ON | OFF).

4 - Gating Shape (Minimum, Normal, Wide and Maximum).

8 - Gating Type (Bandpass and Notch)

Examples

'To couple all parameters:

CALC:MEAS:FILT:COUP:PAR 15

'To couple Stimulus and Type:
calculate2:measure2:filter:gate:couple:parameters 9

Query Syntax

CALCulate<cnum>:MEASure<mnum>:FILTer:GATE:COUPle:PARameters?

Return Type

Numeric

Default

13 (All parameters except 2 - Gating State)

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:CENTer <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the gate filter center time. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Center time in seconds; Choose any number between: ± (number of points-1) / frequency span Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:FILT:GATE:TIME:CENT -5 ns calculate2:measure2:filter:time:center maximum
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:CENTer?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:SHAPe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the gating filter shape when in time domain. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Choose from MAXimum - the widest gate filter available WIDE NORMal MINimum - the narrowest gate filter available
Examples | CALC:MEAS:FILT:GATE:TIME:SHAP MAX calculate2:measure2:filter:time:shape normal
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:SHAPe?
Return Type | Character
Default | NORMal

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:SPAN <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the gate filter span time.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<num>

Time span in seconds; Choose any number between:
0 and 2* [(number of points-1) / frequency span]

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

CALC:MEAS:FILT:GATE:TIME:SPAN 5 ns
calculate2:measure2:filter:time:span maximum

Query Syntax

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:SPAN?

Return Type

Numeric

Default

20 ns

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns gating state ON or OFF. See Critical Note Note: Sweep type must be set to LInear Frequency in order to use Transform Gating.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | ON or 1 - turns gating ON. OFF or 0 - turns gating OFF.
Examples | CALC:MEAS:FILT:TIME:STAT ON calculate2:measure2:filter:gate:time:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the gate filter start time. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Start time in seconds; any number between: ± (number of points-1) / frequency span Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:FILT:TIME:STAR 1e-8 calculate2:measure2:filter:gate:time:start minimum
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:STARt?
Return Type | Numeric
Default | 10 ns

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the gate filter stop time. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Stop time in seconds; any number between: ± (number of points-1) / frequency span Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:FILT:TIME:STOP -1 ns calculate2:measure2:filter:gate:time:stop maximum
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME:STOP?
Return Type | Numeric
Default | 10 ns

CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME[:TYPE] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type of gate filter used. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Choose from: BPASs - Includes (passes) the range between the start and stop times. NOTCh - Excludes (attenuates) the range between the start and stop times.
Examples | CALC:MEAS:FILT:TIME BPAS calculate2:measure2:filter:gate:time:type notch
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FILTer[:GATE]:TIME[:TYPE]?
Return Type | Character
Default | BPAS

Last modified:

5-Jan-2016

First Release


Format SCPI

Calculate:Format Commands

Controls format functions.

CALCulate:MEASure:FORMat:

UNIT

See Also

  • Example using this command.

  • Learn About Data Format

  • Synchronizing the VNA and Controller

CALCulate<cnum>:MEASure<mnum>:FORMat <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the display format for the measurement.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Choose from: MLINear - Linear magnitude MLOGarithmic - Logarithmic magnitude PHASe UPHase - Unwrapped phase IMAGinary - Imaginary part (Im) REAL - Real part (Re) POLar - (Re, Im) SMITh SADMittance - Smith Admittance SWR - Standing Wave Ratio GDELay - Group Delay
Examples | CALC:MEAS:FORM MLIN calculate2:measure2:format polar
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FORMat?
Return Type | Character
Default | MLINear

CALCulate<cnum>:MEASure<mnum>:FORMat:UNIT <dataFormat>, <units>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the units for the specified data format. Measurements with display formats other than those specified are not affected.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<dataFormat>

Choose MLOG.

<units>

For unratioed measurements, choose from:

  • DBM Units are displayed in dBm. 0 dBm = 0.001 watt

  • DBMV Units are displayed in dBmV. 0 dBmV = 0.001 volt

Examples

CALC:MEAS:FORM MLOG, DBM
calculate2:measure2:format mlog, dbmv

Query Syntax

CALCulate<cnum>:MEASure<mnum>:FORMat:UNIT?

Return Type

Character

Default

DBM

Last modified:

5-Jan-2016

First Release


FSimulator

Calculate:FSimulator Commands

Specifies settings and fixturing for Balanced Measurements.

CALCulate:FSIMulator

BALun More commands

EMBed More commands

SENDed More commands

SNP:EXTRapolate

STATe

CALCulate:

DTOPology

Click a Red keyword to view the command details.

See Also

  • Example Programs

  • SCPI Command Tree

CALCulate<cnum>:FSIMulator:SNP:EXTRapolate <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON and OFF SNP file extrapolation for both 2-port and 4-port embedding/de-embedding. Learn more. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | Choose from: ON or 1 - Turns Extrapolation ON. OFF or 0 - Turns Extrapolation OFF.
Examples | CALC:FSIM:SNP:EXTR 1 calculate2:fsimulator:snp:extrapolate 0
Query Syntax | CALCulate<cnum>:FSIMulator:SNP:EXTRapolate?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns all three fixturing functions (de-embedding, port matching, impedance conversion) ON or OFF for all ports on the specified channel. Does not affect port extensions. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | Choose from: ON or 1 - Turns Fixturing ON. OFF or 0 - Turns Fixturing OFF.
Examples | CALC:FSIM:STAT 1 calculate2:fsimulator:state 0
Query Syntax | CALCulate<cnum>:FSIMulator:STATe?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:DTOPology <device>, <topology>

Applicable Models: E5080A, M9485A

(Write-only) Defines the device type and the topology for a balanced measurement. This command will replace the following commands: CALC:FSIM:BAL:TOP:SBAL[:PPOR] CALC:FSIM:BAL:TOP:SSB[:PPOR] CALC:FSIM:BAL:TOP:BBAL[:PPOR] CALC:FSIM:BAL:TOP:BALS[:PPOR]
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<device> | (String) Device type for the balanced measurement. ‘B’ means the Balanced port; ‘S’ means the Single-ended port. Choose from: B – 1 port balanced device (2 ports) BB – Balanced - Balanced device (4 ports) BS – Balanced - Single-ended device (3 ports) SB – Single-ended - Balanced device (3 ports) SSB – Single-ended - Single-ended - Balanced device (4 ports)
<topology> | (Int array) Physical port numbers mapped to the logical ports, separated by ‘,’. ‘B’ (Balanced) requires 2 physical port numbers: <nPos>, <nNeg>. ‘S’ (Single-ended) requires 1 physical port number.
Examples | CALC:DTOP "SB", 2, 1, 4 calculate:dtopology "SB", 2, 1, 4
Query Syntax | CALCulate<cnum>:DTOPology <device>, <topology>?
Return Type | Not Applicable
Default | Not Applicable

Last modified:

5-Jan-2016

First Release


Function SCPI

Calculate:Function Commands

CALCulate:MEASure:FUNCtion:

DATA

DOMain

| USER

| [RANGe]

| STARt

| STOP

EXECute

STATistics

TYPE

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Trace Statistics

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:MEASure<mnum>:FUNCtion:DATA?

Applicable Models: E5080A, M9485A

(Read-only) Returns the trace statistic data for the selected statistic type for the specified channel. Select the type of statistic with CALC:FUNC:TYPE. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Return Type | Depends on FORM:DATA
Examples | CALC:MEAS:FUNC:DATA? calculate2:measure2:function:data?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:FUNCtion:DOMain:USER[:RANGe] <range>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the range used to calculate trace statistics. Each channel has 16 user ranges. The x-axis range is specified with the CALC:FUNC:DOM:USER:START and STOP commands. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<range> | Range number. Choose from: 0 to 16 0 is Full Span of the current x-axis range 1 to 16 are user-specified ranges
Examples | CALC:MEAS:FUNC:DOM:USER 4 calculate2:measure2:function:domain:user:range 0
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FUNCtion:DOMain:USER[:RANGe]?
Return Type | Numeric
Default | Full Span

CALCulate<cnum>:MEASure<mnum>:FUNCtion:DOMain:USER:STARt <range>, <start>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the start of the specified user-domain range. To apply this range, use CALC:FUNC:DOM:USER To set the stop of the range, use CALC:FUNC:DOM:USER:STOP. See Critical Note Note: This command does the same as CALC:MARK:FUNC:DOM:USER:STAR
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<range> | Range number that will receive the start value. Choose an integer between 1 and 16
<start> | Start value of the specified range. Choose a real number between: the analyzer's Minimum and Maximum x-axis value.
Examples | CALC:MEAS:FUNC:DOM:USER:STAR 1,1e9 calculate2:measure2:function:domain:user:start 2,2e9
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FUNCtion:DOMain:USER:STARt? <range>
Return Type | Numeric
Default | The analyzer's Minimum x-axis value

CALCulate<cnum>:MEASure<mnum>:FUNCtion:DOMain:USER:STOP <range>, <stop>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the stop value of the specified user-domain range. To apply this range, use CALC:FUNC:DOM:USER. To set the start of the range, use CALC:FUNC:DOM:USER:START See Critical Note Note: This command does the same as CALC:MARK:FUNC:DOM:USER:STOP
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<range> | Range number that will receive the stop value. Choose an integer between 1 and 16
<stop> | Stop value of the specified range. Choose a real number between: the analyzer's Minimum and Maximum x-axis value.
Examples | CALC:MEAS:FUNC:DOM:USER:STOP 4,5e9 calculate2:measure2:function:domain:user:stop 3,8e9
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FUNCtion:DOMain:USER:STOP? <range>
Return Type | Numeric
Default | The analyzer's Maximum x-axis value

CALCulate<cnum>:MEASure<mnum>:FUNCtion:EXECute

Applicable Models: E5080A, M9485A

(Write-only) For the active trace of specified channel, executes the statistical analysis specified by the CALC:FUNC:TYPE command. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:FUNC:EXEC calculate2:measure2:function:execute
Query Syntax | Not Applicable
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:FUNCtion:STATistics[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Displays and hides the trace statistics (peak-to-peak, mean, standard deviation) on the screen.

The analyzer will display either measurement statistics or Filter Bandwidth statistics; not both.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<bool>

ON or 1 - Displays trace statistics

OFF or 0 - Hides trace statistics

Examples

CALC:MEAS:FUNC:STAT ON
calculate2:measure2:function:statistics:state off

Query Syntax

CALCulate<cnum>:MEASure<mnum>:FUNCtion:STATistics[:STATe]?

Return Type

Boolean

Default

OFF

CALCulate<cnum>:MEASure<mnum>:FUNCtion:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets statistic TYPE that you can then query using CALC:FUNCtion:DATA?. Note: this command affects only the selected measurement on the specified channel. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Choose from: PTPeak - the difference between the max and min data points on the trace. STDEV - standard deviation of all data points on the trace MEAN - mean (average) of all data points on the trace MIN - lowest data point on the trace MAX - highest data point on the trace
Examples | CALC:MEAS:FUNC:TYPE PTP calculate2:measure2:function:type stdev
Query Syntax | CALCulate<cnum>:MEASure<mnum>:FUNCtion:TYPE?
Return Type | Character
Default | PTPeak

Last modified:

5-Jan-2016

First Release


GCData

Calc:GCData Commands

Reads Gain Compression data from the current Gain Compression acquisition.

CALCulate:GCData:

DATA

IMAG

ITERations

REAL

Click on a Red keyword to view the command details.

Other Gain Compression commands

The calibration commands listed in this topic are supplemental to the Guided Cal commands.

  • CALC:CUSTom:DEFine - creates a gain compression measurement.

  • SENS:GCSetup - Most Gain Compression settings.

  • CALC:GCMeas:ANAL - Gain Compression Analysis settings

  • Gain compression data can also be saved to a *.csv file. Learn how.

See Also

  • Example Programs

  • Learn about Gain Compression Application

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<ch>:GCData:DATA? <param>

Applicable Models: M9485A

(Read-Only) Returns measurement data at all frequency and power data points for GCA SMART sweeps and 2D sweeps.

  • When using SMART sweep, ALL data is returned including ALL background iteration sweeps. Use CALC:GCD:ITER to determine the number of iteration sweeps. The number of data points that are returned is always going to be number of frequency points times the number of iteration sweeps.

  • When using 2D sweeps, ALL data is returned. The number of data points returned / freq may vary. Learn more.

Use Calc:Data? to return just the displayed data results (not the background sweeps).

A compression parameter must be present. Learn more.

The format of the data is the same as the format of the measurement that you select using Calc:Par:Select. If the measurement is scalar, than one number is returned per sweep per data point. If complex (such as Smith Chart format) than both real and imaginary numbers are returned.

If correction is on, corrected data are returned. Otherwise, raw data are returned.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<param>

(String) Parameter to read. NOT Case-sensitive. The specified parameter need NOT be displayed or selected. However, a compression parameter must be present. Learn more.

Choose from:

  • "pin" - (CompIn21) Input power at the compression point.

  • "pout" - (CompOut21) Output power at the compression point.

  • "gain" - (CompGain21) Device gain (S21) at the compression point.

  • "inputmatch" - (CompS11) Input match at the compression point.

  • "DeltaGain" - (DeltaGain21) Measured Gain (watts) / Ref Gain (watts). Learn more.

  • "AI1" and "AI2" - ADC measurements at the specified compression level. Learn more.

Learn more about GCA parameters.

Examples

data = CALC:GCD:DATA? "pin"

data = calculate:gcdata:data? "pout"

Return Type

Array of data

Default

Not Applicable

CALCulate<ch>:GCData:IMAG? <char>, <dpoint>, <param>

Applicable Models: M9485A

(Read-Only) For a specified data point, returns the imaginary part of the specified Gain Compression data. If correction is on, corrected data are returned. Otherwise, raw data are returned. Can be used with Smart and 2D sweeps.

  • For SMART sweep, the number of data points that are returned is always going to be the number of iteration sweeps. Use CALC:GCD:ITER to determine the number of iteration sweeps.

  • For 2D sweeps, the number of data points returned / freq may vary. Learn more.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<char>

Choose from:

  • FREQuency - for the specified frequency data point, returns all of the measured data for each power stimulus.

  • POWer - for the specified power data point, returns all of the measured data for each frequency stimulus.

<dPoint>

Data point (FREQ or POWer) for which data is returned.

<param>

(String) Parameter to read. NOT Case-sensitive. The specified parameter need NOT be displayed. However, a compression parameter must be present. Learn more.

  • "pin" - (CompIn21) Input power at the compression point.

  • "pout" - (CompOut21) Output power at the compression point.

  • "gain" - (CompGain21) Device gain (S21) at the compression point.

  • "inputmatch" - (CompS11) Input match at the compression point.

  • "DeltaGain" - (DeltaGain21) Measured Gain (watts) / Ref Gain (watts). Learn more.

  • "AI1" and "AI2" - ADC measurements at the specified compression level. Learn more.

Examples

For the fifth frequency data point, returns 'Power Output' imaginary (phase) data from all power stimulus values.

For SmartSweep, if there are 30 power sweep points, 30 values are returned.

For 2D sweeps, 30 or 31 power sweep points may be returned. Learn more.

data = CALC:GCD:IMAG? FREQ,5,"pout"

Return Type

Array of data

Default

Not Applicable

CALCulate<cnum>:GCData:ITERations?

Applicable Models: M9485A

(Read-only) In a SMART sweep, returns the max number of iterations that it took for ALL frequencies to converge. Use this number to determine the size of the block data that is returned from Gain Compression SMART sweep data queries. For a 2D sweep, returns the number of power points.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
Examples | data = CALC:GCD:ITER?
Return Type | Numeric
Default | Not Applicable

CALCulate<ch>:GCData:REAL? <char>, <dpoint>, <param>

Applicable Models: M9485A

(Read-Only) For a specified data point, returns the real part of the Gain Compression data. If correction is on, corrected data are returned. Otherwise, raw data are returned. Can be used with Smart and 2D sweeps.

  • For SMART sweep, the number of data points that are returned is always going to be the number of iteration sweeps. Use CALC:GCD:ITER to determine the number of iteration sweeps.

  • For 2D sweeps, the number of data points returned / freq may vary. Learn more.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<char>

Choose from:

  • FREQuency - for the specified frequency data point, returns all of the measured data for each power stimulus.

  • POWer - for the specified power data point, returns all of the measured data for each frequency stimulus.

<dPoint>

Data point (FREQ or POWer) for which data is returned.

<param>

(String) Parameter to read. NOT Case-sensitive. The specified parameter need NOT be displayed. However, a compression parameter must be present. Learn more.

  • "pin" - (CompIn21) Input power at the compression point.

  • "pout" - (CompOut21) Output power at the compression point.

  • "gain" - (CompGain21) Device gain (S21) at the compression point.

  • "inputmatch" - (CompS11) Input match at the compression point.

  • "DeltaGain" - (DeltaGain21) Measured Gain (watts) / Ref Gain (watts). Learn more.

  • "AI1" and "AI2" - ADC measurements at the specified compression level. Learn more.

Examples

For the fifth frequency data point, returns 'Power Output' real data from all power stimulus values.

For SmartSweep, if there are 30 power sweep points, 30 values are returned.

For 2D sweeps, 30 or 31 power sweep points may be returned. Learn more.

data = CALC:GCD:REAL? FREQ,5,"pout"

Return Type

Array of data

Default

Not Applicable

Last modified:

5-Jan-2016

First Release


GCMeas

Gain Compression Analysis Commands

Sets and reads Gain Compression Analysis controls.

CALCulate:GCMeas:ANALysis

CWFRequency

ENABle

ISDisfrequency

XAXis

Click on a Red keyword to view the command details.

Other Gain Compression commands

The calibration commands listed in this topic are supplemental to the Guided Cal commands.

  • CALC:CUSTom:DEFine - creates a gain compression measurement.

  • SENS:GCSetup - Most Gain Compression settings.

  • GC:DATA - Gain Compression data commands

  • Gain compression data can also be saved to a *.csv file. Learn how.

See Also

  • Example Programs

  • Learn about Compression Analysis

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:GCMeas:ANALysis:ENABle <bool>

Applicable Models: M9485A

(Read-Write) Enables and disables a compression analysis trace.
Parameters |
<cnum> | Channel number of the GCA measurement. There must be a selected measurement on that channel using Calc:Par:Sel. If unspecified, <cnum> is set to 1.
<bool> | ON (or 1) - Enable compression analysis. OFF (or 0) - Disable compression analysis.
Examples | CALC:GCM:ANAL:ENAB ON calculate2:gcmeas:analysis:enable off
Query Syntax | CALCulate<cnum>:GCMeas:ANALysis:ENABle?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

CALCulate<cnum>:GCMeas:ANALysis:CWFRequency <num>

Applicable Models: M9485A

(Read-Write) Set and return the CW frequency for a compression analysis trace.
Parameters |
<cnum> | Channel number of the GCA measurement. There must be a selected measurement on that channel using Calc:Par:Sel. If unspecified, <cnum> is set to 1.
<num> | CW frequency in Hz. Choose a frequency within the range of the gain compression channel.
Examples | CALC:GCM:ANAL:CWFR 1e9 calculate2:gcmeas:analysis:cwfrequency 1e10
Query Syntax | CALCulate<cnum>:GCMeas:ANALysis:CWFRequency?
Return Type | Numeric
Default | Not Applicable

CALCulate<cnum>:GCMeas:ANALysis:ISDisfrequency <bool>

Applicable Models: M9485A

(Read-Write) Sets and returns whether the CW frequency for the compression analysis trace can be set to only the discrete frequencies or provides interpolation.
Parameters |
<cnum> | Channel number of the GCA measurement. There must be a selected measurement on that channel using Calc:Par:Sel. If unspecified, <cnum> is set to 1.
<bool> | ON (or 1) - Discrete data points only. OFF (or 0) - Interpolated data points.
Examples | CALC:GCM:ANAL:ISD ON calculate2:gcmeas:analysis:isdisfrequency off
Query Syntax | CALCulate<cnum>:GCMeas:ANALysis:ISDisfrequency?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

CALCulate<cnum>:GCMeas:ANALysis:XAXis <char>

Applicable Models: M9485A

(Read-Write) Sets and returns the type of data to display on the x-axis of a compression analysis trace.

Parameters

<cnum>

Channel number of the GCA measurement. There must be a selected measurement on that channel using Calc:Par:Sel. If unspecified, <cnum> is set to 1.

<bool>

Data to display on X-axis. Choose from:

  • PIN - Input power to the DUT.

  • PSOurce - power from the source.

Examples

CALC:GCM:ANAL:XAX PIN
calculate2:gcmeas:analysis:xaxis psource

Query Syntax

CALCulate<cnum>:GCMeas:ANALysis:XAXis?

Return Type

Character

Default

PIN

Last modified:

5-Jan-2016

First Release


GroupDelay

Group Delay Aperture Commands

Controls the Aperture setting used to make Group Delay measurements.

CALCulate:MEASure:GDELay

FREQuency

PERCent

POINts

Click on a Red keyword to view the command details.

See Also

  • Learn about Group Delay Aperture

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

CALCulate<cnum>:MEASure<mnum>:GDELay:FREQuency <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets group delay aperture using a fixed frequency range. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<value> | Frequency range (in Hz) to use for the aperture setting. Choose between the equivalent of two data points and the channel frequency span.
Examples | CALC:GDEL:FREQ 1E6
Query Syntax | CALCulate<cnum>:MEASure<mnum>:GDELay:FREQuency?
Return Type | Numeric
Default | Frequency range that equates to 11 points. This can be changed to two points with a preference setting.

CALCulate<cnum>:MEASure<mnum>:GDELay:PERCent <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets group delay aperture using a percent of the channel frequency span. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<value> | Percent of frequency span to use for the aperture setting. Choose between the equivalent of two data points and 100 percent of the channel frequency span.
Examples | 'set to 25 percent of the channel frequency span CALC:GDEL:PERC 25
Query Syntax | CALCulate<cnum>:MEASure<mnum>:GDELay:PERCent?
Return Type | Numeric
Default | Percent of frequency span that equates to 11 points. This can be changed to two points with a preference setting.

CALCulate<cnum>:MEASure<mnum>:GDELay:POINts <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets group delay aperture using a fixed number of data points. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<value> | Number of data points to use for the aperture setting. Choose between two points and the number of points in the channel.
Examples | 'set to 25 data points CALC:MEAS:GDEL:POIN 25
Query Syntax | CALCulate<cnum>:MEASure<mnum>:GDELay:POINts?
Return Type | Numeric
Default | 11 points. This can be changed to two points with a preference setting.

Last modified:

5-Jan-2016

First Release


Limit SCPI

Calc:Limit Commands

Controls the limit segments used for Pass/Fail testing.

CALCulate:MEASure:LIMit:

DATA

| DELete

DISPlay

| [STATe]

FAIL?

SEGMent

| AMPLitude

| STARt

| STOP

| STIMulus

| STARt

| STOP

| TYPE

SOUNd

| [STATe]

REPort

| ALL?

| [DATA]?

| POINts?

[STATe]

CALCulate:MEASure:BLIMit:

DISPlay

| MARKer

| STATe

| BWIDth

| THReshold

FAIL

MAXimum

MINimum

REPort

| DATA

STATe

CALCulate:MEASure:RLIMit:

DATA

DISPlay

| LINE

| STATe

| RIPPle

| SELect

| TYPE

| STATe

FAIL

REPort:DATA

STATe

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Limit Lines

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:MEASure<mnum>:LIMit:DATA <block>

Applicable Models: E5080A, M9485A

(Read-Write) Sets data for limit segments.

Parameters

<cnum>

Channel number of the measurement for which limit lines are to be set. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<block>

Data for all limit segments in REAL,64 format. The following is the data format for 1 segment:
Type,BegStim, EndStim, BegResp,EndResp

Type | Type of limit segment. Choose from 0 - Off 1 - Max 2 - Min
BegStim | Start of X-axis value (freq, power, time)
EndStim | End of X-axis value
BegResp | Y-axis value that corresponds with Start of X-axis value
EndResp | Y-axis value that corresponds with End of X-axis value

Examples

The following writes three max limit segments for a bandpass filter.

CALC:MEAS:LIM:DATA 1,3e5,4e9,-60,0,1,4e9,7.5e9,0,0,1,7.5e9,9e9,0,-30

Query Syntax

CALCulate<cnum>:MEASure<mnum>:LIMit:DATA?

Return Type

Depends on FORM:DATA - All 100 predefined limit segments are returned.

Default

100 limit segments - all values set to 0

CALCulate<cnum>:MEASure<mnum>:LIMit:DATA:DELete

Applicable Models: E5080A, M9485A

(Write-only) Deletes all limit line data for the selected measurement on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:LIM:DATA:DEL
Query Syntax | Not Applicable
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:LIMit:DISPlay[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the display of limit segments (if the data trace is turned ON).
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | Select limit segments from the following: ON or 1 - Turns the display of limit segments ON. OFF or 0 - Turns the display of limit segments OFF.
Examples | CALC:MEAS:LIM:DISP:STAT ON calculate2:measure2:limit:display:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:LIMit:DISPlay[:STATe]?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:LIMit:FAIL?

Applicable Models: E5080A, M9485A

(Read-only) Reads the Pass/Fail status of the limit line test. Returns 1 (Fail) if any data point fails for any limit segment.

Limit display (CALC:MEAS:LIM:DISP) does NOT have to be ON.

Notes: When the limit test is set to OFF, False or OFF is always read out.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

Examples

CALC:MEAS:LIM:FAIL?

Return Type

Boolean

  • 0 is returned when Pass

  • 1 is returned when Fail

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>:AMPLitude:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the start (beginning) of the Y-axis amplitude (response) value.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<snum> | Segment number; if unspecified, value is set to 1.
<num> | Choose any number between: -500 and 500. Display value is limited to the Maximum and Minimum displayed Y-axis values.
Examples | CALC:MEAS:LIM:SEGM1:AMPL:STAR 10 calculate2:measure2:limit:segment2:amplitude:start 10
Query Syntax | CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>AMPLitude:STARt?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>LIMit:SEGMent<snum>:AMPLitude:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the stop (end) of the Y-axis amplitude (response) value.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<snum> | Segment number; if unspecified, value is set to 1.
<num> | Choose any number between: -500 and 500. Display value is limited to the Maximum and Minimum displayed Y-axis values.
Examples | CALC:MEAS:LIM:SEGM1:AMPL:STOP 10 calculate2:measure2:limit:segment2:amplitude:stop 10
Query Syntax | CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>AMPLitude:STOP?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>:STIMulus:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the start (beginning) of the X-axis stimulus value.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<snum> | Segment number; if unspecified, value is set to 1.
<num> | Choose any number within the X-axis span of the analyzer.
Examples | CALC:MEAS:LIM:SEGM1:STIM:STAR 10 calculate2:measure2:limit:segment2:stimulus:start 10
Query Syntax | CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>STIMulus:STARt?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>:STIMulus:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the stop (end) of the X-axis stimulus value.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<snum> | Segment number; if unspecified, value is set to 1.
<num> | Choose any number within the X-axis span of the analyzer.
Examples | CALC:MEAS:LIM:SEGM1:AMPL:STOP 10 calculate2:measure2:limit:segment2:stimulus:stop 10
Query Syntax | CALCulate<cnum>:LIMit:SEGMent<snum>STIMulus:STOP?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:LIMit:SEGMent<snum>:TYPE|TYPe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type of limit segment.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<snum> | Segment number. Choose any number between: 1 and 100 If unspecified, value is set to 1.
<char> | Choose from: LMAX - a MAX limit segment. Any response data exceeding the MAX value will fail. LMIN - a MIN limit segment. Any response data below the MIN value will fail. OFF - the limit segment (display and testing) is turned OFF.
Examples | CALC:MEAS:LIM:SEGM:TYPE LMIN calculate2:measure2:limit:segment3:type lmax
Query Syntax | CALCulate<cnum>:measure2:LIMit:SEGMent<snum>:TYPE | TYPe ?
Return Type | Character
Default | OFF

CALCulate<cnum>:MEASure<mnum>:LIMit:SOUNd[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns limit testing fail sound ON or OFF.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | ON or 1 - Turns limit testing ON. OFF or 0 - Turns limit testing OFF.
Examples | CALC:MEAS:LIM:SOUN ON calculate2:measure2:limit:sound:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:LIMit:SOUNd[:STATe]?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:LIMit:REPort:ALL? <block>

Applicable Models: E5080A, M9485A

(Read-only) Reads the bandwidth test results (stimulus value, limit test result, upper limit value and lower limit value of all measurement points), for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<block> | Depends on FORM:DATA If the number of the measurement points is N, <Block> = <first stimulus>,<test result>,<upper limit>,<lower limit>, …, <Nth stimulus>,<test result>,<upper limit>,<lower limit> Where <test result>= -1: No limit, 0:Fail, 1:Pass
Examples | CALC:MEAS:LIM:REP:ALL?
Return Type | Variant
Default | Depend on the preset status

CALCulate<cnum>:MEASure<mnum>:LIMit:REPort[:DATA]? <block>

Applicable Models: E5080A, M9485A

(Read-only) Reads the stimulus values (frequency, power level or time) at all the measurement points that failed the limit test, for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<block> | Depends on FORM:DATA If the number of the measurement points that failed the limit test is N, <block>=<First failed stimulus>, ..., <Nth failed stimulus>.
Examples | CALC:MEAS:LIM:REP:DATA?
Return Type | Numeric
Default | 9.91E37

CALCulate<cnum>:MEASure<mnum>:LIMit:REPort:POINts?

Applicable Models: E5080A, M9485A

(Read-only) Reads the number of the measurement points that failed the limit test, for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:LIM:REP:POIN?
Query Syntax | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:LIMit[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns limit segment testing ON or OFF.

  • Use CALC:LIM:DISP to turn ON and OFF the display of limit segments.

  • If using Global Pass/Fail status, trigger the VNA AFTER turning Limit testing ON.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<bool>

ON or 1 - Turns limit testing ON.
OFF or 0 - Turns limit testing OFF.

Examples

CALC:MEAS:LIM:STAT ON
calculate2:measure2:limit:state off

Query Syntax

CALCulate<cnum>:MEASure<mnum>:LIMit:STATe?

Return Type

Boolean

Default

OFF or 0

CALCulate<cnum>:MEASure<mnum>:BLIMit:DISPlay:MARKer:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON/OFF the bandwidth value display of the bandwidth test, for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | ON or 1 - Turns limit testing ON. OFF or 0 - Turns limit testing OFF.
Examples | CALC:BLIM:DISP:MARK:STAT ON calculate2:measure2:blimit:display:marker:state off
Query Syntax | CALCulate<cnum>:BLIMit:DISPLay:BWIDth:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:BLIMit:DISPlay:BWIDth:THReshold <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets bandwidth threshold value (attenuation from the peak) of the bandwidth test.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<value> | Bandwidth N dB points
Examples | CALC:BLIM:DISP:BWID:THR 5 calculate2:measure2:blimit:display:bwidth:threshold 5
Query Syntax | CALCulate<cnum>:BLIMit:DISPLay:BWIDth:THReshold?
Return Type | Numeric
Default | 3

CALCulate<cnum>:MEASure<mnum>:BLIMit:FAIL

Applicable Models: E5080A, M9485A

(Read-only) Get the bandwidth limit test results, for the active trace of selected channel.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<bool>

Boolean

  • 0 is returned when Pass

  • 1 is returned when Fail

Examples

CALC:BLIM:FAIL?
calculate2:blimit:fail?

Query Syntax

CALCulate<cnum>:BLIMit:FAIL?

Return Type

Boolean

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:BLIMit:MAXimum <max>

Applicable Models: E5080A, M9485A

(Read-Write) Sets/gets the upper limit value of the bandwidth test, for the selected channel).
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<max> | Maximum bandwidth
Examples | CALC:BLIM:MAX 1E6 calculate2:blimit:maximum 1E6
Query Syntax | CALCulate<cnum>:BLIMit:MAXimum?
Return Type | Numeric
Default |

CALCulate<cnum>:MEASure<mnum>:BLIMit:MINimum <min>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the lower limit value of the bandwidth test, for the selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<Minl> | Minimum bandwidth
Examples | CALC:BLIM:MIN 1E6 calculate2:blimit:minimum 1E6
Query Syntax | CALCulate<cnum>:BLIMit:MINimum?
Return Type | Numeric
Default |

CALCulate<cnum>:MEASure<mnum>:BLIMit:REPort:DATA

Applicable Models: E5080A, M9485A

(Read-only) Read the bandwidth value of the bandwidth test, for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<data>> |
Examples | CALC:BLIM:REP:DATA? calculate2:blimit:report:data?
Query Syntax | CALCulate<cnum>:BLIMit:REPort:DATA?
Return Type | Variant
Default | OFF

CALCulate<cnum>:MEASure<mnum>:BLIMit:STATe

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON/OFF the bandwidth test function, for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | ON or 1 - Turns limit testing ON. OFF or 0 - Turns limit testing OFF.
Examples | CALC:MEAS:LIM:STAT ON calculate2:measure2:limit:state off
Query Syntax | CALCulate<cnum>:BLIMit:DIPLay:MARKer:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:RLIMit:DATA <data>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the ripple limit table for the active trace of selected channel.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<data>

Indicates the array data (for ripple line) of 1 + Num (number of limit lines)* 4. Where n is an integer between 1 and Num.

  • Data(0) :The number of limit lines you want to set. Specify an integer ranging 0 to 12. When the number of limit lines is set to 0 (clears the limit table), the variable Data is only required with Data(0).

  • Data(nx4-3) :The type of the n-th line.

Specify an integer 0 to 1 as follows.

0: OFF

1: ON

  • Data(nx4-2) :The value on the horizontal axis (frequency/power/time) of the start point of the n-th line.

  • Data(nx4-1) :The value on the horizontal axis (frequency/power/time) of the end point of the n-th line.

  • Data(nx4) :The ripple line value (dB) of the n-th line.

The index of the array starts from 0.

Examples

CALC:RLIM:DATA
calculate2:rlimit:data

Query Syntax

CALCulate<cnum>:MEASure<mnum>:RLIMit:DATA?

Return Type

Variant type Array

Default

OFF

CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPlay:LINE:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON/OFF the ripple limit line display, for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | ON or 1 - Turns limit testing ON. OFF or 0 - Turns limit testing OFF.
Examples | CALC:RLIM:DISP:LINE:STAT ON calculate2:rlimit:display:line:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPLay:LINE:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPlay:SELect <band>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or gets the ripple limit band for ripple value display for selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<band> | 1 to 12
Examples | CALC:RLIM:DISP:RIPP:SEL calculate2:rlimit:display:ripple:select
Query Syntax | CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPlay:SELect?
Return Type | Numeric
Default | 1

CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPlay:TYPE <typ>

Applicable Models: E5080A, M9485A

(Read-Write) Sets/gets the display type of ripple value for the active trace of selected channel.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<typ>

Select from the following:

  • "OFF": Specifies the display OFF.

  • "ABSolute": Specifies the absolute value for display type.

  • "MARgin": Specifies the margin for display type.

Examples

CALC:RLIM:DISP:TYPE
calculate2:rlimit:display:type

Query Syntax

CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPLay:TYPE?

Return Type

Boolean

Default

OFF

CALCulate<cnum>:MEASure<mnum>:RLIMit:DISPlay:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON/OFF the ripple test function for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | ON or 1 - Turns limit testing ON. OFF or 0 - Turns limit testing OFF.
Examples | CALC:RLIM:DISP:RIPP:STAT ON calculate2:rlimit:display:ripple:state off
Query Syntax | CALCulate<cnum>:RIMit:DISPlay:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:MEASure<mnum>:RLIMit:FAIL

Applicable Models: E5080A, M9485A

(Read-only) Read the ripple test result for the active trace.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<bool>

Boolean

  • 0 is returned when Pass

  • 1 is returned when Fail

Examples

CALC:RLIM:FAIL?
calculate2:Rlimit:FAIL?

Query Syntax

CALCulate<cnum>:MEASure<mnum>:RLIMit:FAIL?

Return Type

Boolean

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:RLIMit:REPort:DATA

Applicable Models: E5080A, M9485A

(Read-only) Reads the ripple value of the ripple test for the active trace.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<data>

{numeric 1} ... {numeric NOP×3+1}<newline><^END>

NOP is the number of measurement points.

  • {numeric 1}: Number of ripple limit line

  • {numeric n×3-1} : Number of ripple limit bands.

  • {numeric n×3} : Ripple value.

  • {numeric n×3+1} : Ripple test result (1: Fail, 0: Pass)

Examples

CALC:RLIM:REP:DATA?

calculate2:rlimit:report:data?

Query Syntax

CALCulate<cnum>:MEASure<mnum>:RLIMit:REPort:DATA?

Return Type

Variant

Default

OFF

CALCulate<cnum>:MEASure<mnum>:RLIMit:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON/OFF the ripple test function for the active trace of selected channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | ON (or 1) - turns limit testing ON. OFF (or 0) - turns limit testing OFF.
Examples | CALC:RLIM:STAT ON calculate2:rlimit:state off
Query Syntax | CALCulate<cnum>:RLIMit:STATe?
Return Type | Boolean
Default | OFF

Last modified:

5-Jan-2016

First Release


Marker SCPI

Calculate:Marker Commands

Controls the marker settings used to remotely output specific data to the computer.

CALCulate:MEASure:MARKer:

AOFF

BUCKet

BWIDth

| DATA?

| [STATe]

| THReshold

| REF

COMPression

| LEVel

| PIN?

| POUT?

COUPling

| METHod

| [STATe]

DELTa

DISCrete

DISTance

FORMat

FUNCtion

| PEAK

| EXCursion

| THReshold

| POLarity

| DOMain

| USER

| [RANGe]

| STARt

| STOP

| EXECute

| MULTi

| PEAK:EXCursion

| PEAK:POLarity

| PEAK:THReshold

| SELECT

| TARGet [VALue]

| TRACking

| TRansiton

| [SELect]

| TRACking

| TARGet [VALue]

| TRANsition

NOTch

| DATA?

| [STATe]

| THReshold

| REF

PNOP more commands (separate topic)

PSATuration more commands (separate topic)

REFerence

| [STATe]

| X

| Y

SET

[STATe]

TYPE

X

Y

Click on a Red keyword to view the command details.

See Also

  • Marker example program

  • Marker Readout number and size commands.

  • Learn about Markers

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Note: The Reference Marker is Marker Number 16

CALCulate<cnum>:MEASure<mnum>:MARKer:AOFF

Applicable Models: E5080A, M9485A

(Write-only) Turns all markers off for selected measurement. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:MARK:AOFF calculate2:measure2:marker:aoff
Query Syntax | Not Applicable
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BUCKet <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the data point (bucket) number of the trace on which the marker resides. When the markers are interpolated (non-discrete), the returned value is the nearest marker bucket position. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mkr> | Marker number to move or query. The marker must already exist. If unspecified, <n> is set to 1.
<num> | Data point (bucket) number. Choose any data point between: 0 and the number of data points minus 1.
Examples | CALC:MEAS:MARK::BUCK 5 calculate2:measure1:marker2:bucket 200
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<n>:BUCKet?
Return Type | Integer
Default | The first marker is set to the middle of the span. Subsequent markers are set to the bucket number of the previously active marker.

CALCulate<cnum>:MEASure<mnum>:MARKer:BWIDth <num>

Applicable Models: E5080A, M9485A

(Read-Write) Turns on and sets markers 1 through 4 to calculate filter bandwidth. The <num> parameter sets the value below the maximum bandwidth peak that establishes the bandwidth of a filter. For example, if you want to determine the filter bandwidth 3 db below the bandpass peak value, set <num> to -3.

To turn off the Bandwidth markers, either turn them off individually or turn them All Off.

The analyzer screen will show either Bandwidth statistics OR Trace statistics; not both.

To search a User Range with the bandwidth search, first activate marker 1 and set the desired User Range. Then send the CALC:MEAS:MARK:BWID command. The user range used with bandwidth search only applies to marker 1 searching for the max value. The other markers may fall outside the user range.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<num>

Target value below filter peak. Choose any number between :-500 and 500

Examples

CALC:MEAS:MARK:BWID -3
calculate2:measure1:marker:bwidth -2.513

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer:BWIDth?
Returns the results of bandwith search:

Return Type

Numeric - Four Character values separated by commas: bandwidth, center Frequency, Q, loss.

Default

-3

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BWIDth:DATA?

Applicable Models: E5080A, M9485A

(Read-only) Read the bandwidth search result of marker 1 to 15 and reference marker (Mkr:16), for the active trace of selected channel.

If the bandwidth search is impossible, an error occurs when executed and the object is ignored.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; If unspecified, value is set to 1.

Four Character values separated by commas => {numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}

  • {numeric 1} : Bandwidth

  • {numeric 2} : Center point frequency of the 2 cutoff frequency points

  • {numeric 3} : Q value

  • {numeric 4} : Insertion loss

Examples

CALC:MEAS:MARK:BWID:DATA?
calculate2:measure1:marker:bwidth:data?

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BWIDth:DATA?

Return Type

Numeric

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BWIDth[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the bandwidth search result display, for the active trace of selected channel . See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | Bandwidth search result display: ON or 1 - Turns ON the bandwidth search result display. OFF or 0 - Turns OFF the bandwidth search result display.
Examples | CALC:MEAS:MARK:BWID ON calculate2:measure1:marker:bwidth:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer:BWIDth[:STATe]?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BWIDth:THReshold <value><unit>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the bandwidth definition value (the value to define the pass-band of the filter) of marker 1 to 15 and reference marker (Mk:16), for the active trace of selected channel.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<value>

Bandwidth definition value (the value to define the pass band of the filter) is between -5E8 to 5E8.

<unit>

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Examples

CALC:MEAS:MARK:BWID:THR -3
calculate2:measure1:marker:bwidth:threshold -3

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BWIDth:THReshold?

Return Type

Numeric

Default

-3

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:BWIDth:REF <string>

Applicable Models: E5080A, M9485A

(Read-Write) Set the bandwidth marker function reference to either MARKer or PEAK.

If the reference is set to MARKer, the active marker is not moved; the bandwidth search is computed at the marker;s current location.

If the reference is PEAK, the active marker is moved to the maximum or minimum peak on the trace and then bandwidth search is computed.

  • If the bandwidth level is negative, the active marker is moved to the maximum peak.

  • If the bandwidth level is positive, the active marker is moved to the minimum peak.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<string>

PEAK

MARKer

Examples

CALC:MEAS:MARK:BWID:REF MARK
calculate2:measure1:marker:bwidth:ref peak

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer:BWIDth:REF?

Return Type

String

Default

MARKer

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:COMPression:LEVel <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and read the marker compression level. A compression marker must already exist. Use CALC:MARK ON and CALC:MEAS:MARK:FUNC COMP to create compression markers. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Compression level. Choose any number between: -500 dB to 500 dB Standard gain compression values are positive.
Examples | CALC:MEAS:MARK:COMP:LEV 1 calculate2:measure1:marker:compression:level 1.5
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:COMPression:LEVel?
Return Type | Numeric
Default | +1 dB

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:COMPression:PIN?

Applicable Models: E5080A, M9485A

(Read-only) Read the input power at the marker compression level. First send CALC:MEAS:MARK:FUNC:EXEC COMP or CALC:MEAS:MARK:FUNC:TRAC ON See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:COMP:PIN? calculate2:measure1:marker:compression:pin?
Return Type | Numeric
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:COMPression:POUT?

Applicable Models: E5080A, M9485A

(Read-only) Read the output power at the marker compression level. First send CALC:MEAS:MARK:FUNC:EXEC COMP or CALC:MEAS:MARK:FUNC:TRAC ON See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:COMP:POUT? calculate2:measure1:marker:compression:pout?
Return Type | Numeric
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:COUPling[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the state of Coupled Markers. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | OFF or 0 - Turns Coupled Markers OFF. ON or 1 - Turns Coupled Markers ON.
Examples | CALC:MEAS:MARK:COUP ON calculate2:measure1:marker8:coupling:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:COUPling:[STATe]?
Return Type | Boolean
Default | OFF

CALCulate[:MEASure]:MARKer:COUPling:METHod <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the scope of Coupled Markers. This is a global setting that affects all markers. Learn more.

Note: This command will not take effect until Coupled Markers is turned on using CALC:MARK:COUP:STATe ON.

Note: The preset behavior of Coupled Markers depends on the setting of SYSTem:PREFerences:ITEM:MCControl, SYSTem:PREFerences:ITEM:MCMethod, and SYSTem:PREFerences:ITEM:MCPRest.

Parameters

<char>

CHANnel - Coupling is limited to traces in the same channel.

ALL - Coupling occurs across all channels.

Examples

CALC:MARK:COUP:METH CHAN

calculate:marker:coupling all

Query Syntax

CALCulate:MARKer:COUPling:METHod?

Return Type

Character

Default

ALL

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:DELTa <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether marker is relative to the Reference marker or absolute. Note: The reference marker must already be turned ON with CALC:MEAS:MARK:REF:STATE. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | ON or 1 - Specified marker is a Delta marker OFF or 0 - Specified marker is an ABSOLUTE marker
Examples | CALC:MEAS:MARK:DELT ON calculate2:measure1:marker8:delta off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:DELTa?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:DISCrete <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Makes the specified marker display either a calculated value between data points (interpolated data) or the actual data points (discrete data). See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | ON or 1 - Specified marker displays the actual data points OFF or 0 - Specified marker displays calculated data between the actual data points.
Examples | CALC:MEAS:MARK:DISC ON calculate2:measure1:marker8:discrete off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:DISCrete?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:DISTance <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or query marker distance on a time domain trace. The Write command moves the marker to the specified distance value. Once moved, you can read the Y axis value or read the X-axis time value. (Distance is calculated from the X-axis time value.) The Read command reads the distance of the marker. If the marker is set as delta, the WRITE and READ data is relative to the reference marker. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any existing marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Marker distance in the unit of measure specified with CALC:TRAN:TIME:MARK:UNIT
Examples | CALC:MEAS:MARK:DIST .1 calculate2:measure1:marker8:distance 5
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:DISTance?
Return Type | Numeric
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FORMat <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the format of the data that will be returned in a marker data query CALC:MEAS:MARK:Y? and the displayed value of the marker readout. The selection does not have to be the same as the measurement's display format.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1

<char>

Choose from:

  • DEFault - The format of the selected measurement

  • MLINear - Linear magnitude

  • MLOGarithmic - Logarithmic magnitude

  • IMPedance - (R+jX)

  • ADMittance - (G+jB)

  • PHASe - Phase

  • IMAGinary - Imaginary part (Im)

  • REAL - Real part (Re)

  • POLar - (Re, Im)

  • GDELay - Group Delay

  • LINPhase - Linear Magnitude and Phase

  • LOGPhase - Log Magnitude and Phase

  • SWR - Standing Wave Ratio

Examples

CALC:MEAS:MARK:FORMat MLIN
calculate2:measure1:marker8:format mlinear

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FORMat?

Return Type

Character

Default

DEFault

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:PEAK:EXCursion <num><unit>

Applicable Models: E5080A, M9485A

(Read-Write) Sets amplitude peak excursion for the specified marker. The Excursion value determines what is considered a "peak". This command applies to marker peak searches (Next peak, Peak Right, Peak Left).

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any existing marker number from 1 to 15; if unspecified, value is set to 1.

<num>

Excursion value. Choose any number between -500 and 500.

Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

<unit>

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): × (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Examples

CALC:MEAS:MARK:FUNC:PEAK:EXC 10
calculate2:measure1:marker8:function:apeak:excursion maximum

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:PEAK:EXCursion?

Return Type

Numeric

Default

3

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:PEAK:POLarity <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns polarity of the peak search with marker 1 to 15 and reference marker (Mk:16), for the active trace of selected channel.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<char>

Polarity for peak search function to be performed. Choose from:

  • "NEGative" : Specifies the negative peak.

  • "POSitive" : Specifies the positive peak.

  • "BOTH" : Specifies both the positive peak and the negative peak.

Examples

CALC:MEAS:MARK:FUNC:PEAK:POL NEG
calculate2:measure1:marker6:function:peak:polarity both

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:PEAK:POLarity?

Return Type

Character

Default

"POSitive"

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:PEAK:THReshold <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets peak threshold for the specified marker. If a peak (using the criteria set with :EXCursion) is below this reference value, it will not be considered when searching for peaks. This command applies to marker peak searches (Next peak, Peak Right, Peak Left). See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Threshold value.Choose any number betwe en -500 and 500. Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:MARK:FUNC:PEAK:THR -40 calculate2:measure1:marker8:function:peak:threshold -55
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:PEAK:THReshold?
Return Type | Numeric
Default | -100

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:DOMain:USER[:RANGe] <range>

Applicable Models: E5080A, M9485A

(Read-Write) Assigns the specified marker to a range number. The x-axis travel of the marker is constrained to the range's span. The span is specified with the CALC:MEAS:MARK:FUNC:DOM:USER:START and STOP commands, unless range 0 is specified which is the full span of the analyzer.

Each channel has 16 user ranges. (Trace statistics use the same ranges.) More than one marker can use a domain range.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<range>

User span. Choose any Integer from 0 to 16.

0 is Full Span of the analyzer.

1 to 16 are available for user-defined x-axis span.

Examples

CALC:MEAS:MARK:FUNC:DOM:USER:RANG 1
calculate2:measure1:marker8:function:domain:user:range 1

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:DOMain:USER:RANGe?

Return Type

Numeric

Default

0 - Full Span

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:DOMain:USER:STARt <start>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the start of the span that the specified marker's x-axis span will be constrained to.

Use CALC:MEAS:MARK:FUNC:DOM:USER<range> to set range number.

Use CALC:MEAS:MARK:FUNC:DOM:USER:STOP to set the stop value.

Note: If the marker is assigned to range 0 (full span), the USER:STARt and STOP commands generate an error. You cannot set the STARt and STOP values for "Full Span".

Note: This command does the same as CALC:FUNC:DOM:USER:STAR

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<start>

The analyzer's Minimum x-axis value

Examples

CALC:MEAS:MARK:FUNC:DOM:USER:START 500E6
calculate2:measure1:marker8:function:domain:user:start 1e12

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:DOMain:USER:STARt?

Return Type

Numeric

Default

The analyzer's Minimum x-axis value

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:DOMain:USER:STOP <stop>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the stop of the span that the marker's x-axis travel will be constrained to. Use CALC:MEAS:MARK:FUNC:DOM:USER<range> to set range number. Use CALC:MEAS:MARK:FUNC:DOM:USER:STARt to set the stop value. Note: If the marker is assigned to range 0 (full span), the USER:STARt and STOP commands generate an error. You cannot set the STARt and STOP values for "Full Span". Note: This command does the same as CALC:FUNC:DOM:USER:STOP See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<stop> | Stop value of x-axis span; Choose any number between the analyzer's MINimum and MAXimum x-axis value.
Examples | CALC:MEAS:MARK:FUNC:DOM:USER:STOP 500e6 calculate2:measure1:marker8:function:domain1:user:stop 1e12
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:DOMain:USER:STOP?
Return Type | Numeric
Default | The analyzer's MAXimum x-axis value.

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:EXECute <func>

Applicable Models: E5080A, M9485A

(Write-only) Immediately executes (performs) the specified search function.

Learn more about Marker Search

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<func>

The function to be performed. Choose from:

  • MAXimum - finds the highest value.

  • MINimum - finds the lowest value.

  • RPEak - finds the next valid peak to the right.

  • LPEak - finds the next valid peak to the left.

  • NPEak - finds the next highest value among the valid peaks.

  • TARGet - finds the target value to the right, wraps around to the left.

  • LTARget - finds the next target value to the left of the marker.

  • RTARget - finds the next target value to the right of the marker.

  • COMPression - finds the compression level on a Power Swept S21 trace.

Examples

CALC:MEAS:MARK:FUNC:EXEC MAX
calculate2:measure1:marker2:function:execute maximum

Query Syntax

Not Applicable

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:EXECute <func>

Applicable Models: E5080A, M9485A

(Write-only) Immediately executes (performs) the specified multi search function.

Learn more about Marker Search

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<func>

The function to be performed. Choose from:

  • TARGet - finds the target value to the right, wraps around to the left.

  • PEAK - finds the next highest value among the valid peaks

Examples

CALC:MEAS:MARK:FUNC:EXEC MIN
calculate2:measure2:marker2:function:execute minimum

Query Syntax

Not applicable

Default

Not applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:EXCursion <num><unit>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the lower limit of peak excursion value of multi peak search, for the selected channel and selected trace.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<num>

Excursion value. Choose any number between -500 and 500.

Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

<unit>

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Examples

CALC:MEAS:MARK:FUNC:MULT:PEAK:EXC 10
calculate2:measure2:marker8:function:multi:pexcursion maximum

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:EXCursion?

Return Type

Numeric

Default

3

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:POLarity <func>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the peak polarity of the multi peak search, for the selected channel and selected trace.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<func>

Polarity for multi peak search function to be performed. Choose from:

  • "NEGative : Specifies the negative peak.

  • "POSitive" : Specifies the positive peak.

  • "BOTH" : Specifies both the positive peak and the negative peak.

Examples

CALC:MEAS:MARK:FUNC:MULT:PEAL:POL NEG
calculate2:measure1:marker6:function:multi:peak:polarity both

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:POLarity?

Return Type

Character

Default

"POSitive"

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:THReshold <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets peak threshold for the multi peak search, for the selected channel and selected trace. If a peak (using the criteria set with :EXCursion) is below this reference value, it will not be considered when searching for peaks. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Threshold value.Choose any number betwe en -500 and 500. Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:MARK:FUNC:MULT:PEAK:THR -40 calculate2:measure1:marker8:function:multi:peak:threshold -55
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:THReshold?
Return Type | Numeric
Default | -100

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:SELect

Applicable Models: E5080A, M9485A

(Read-Write) Sets the search type of the multi search.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<func>

The function to be performed. Choose from:

  • OFF: Turn OFF the multi search function.

  • PEAK: Sets the search type to the multi peak search.

  • TARGet: Sets the search type to the multi target search.

Examples

CALC:MEAS:MARK:FUNC:MULT:SEL PEAK
calculate2:measure1:marker6:function:multi:select peak

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:SELect?

Return Type

Character

Default

OFF

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:TARGet[:VALue] <num><unit>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the target value for the specified marker when doing Multi Target Search, for the selected channel and selected trace.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<num>

Target value for multi target search to search for.

The range of target value is -5E8 to 5E8.

Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

<unit>

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Examples

CALC:MEAS:MARK:FUNC:MULT:TARG 2.5
calculate2:measure2:marker5:function:multi:target:value -10.3

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:TARGet[:VALue]?

Return Type

Numeric

Default

0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:TRACking <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the search tracking capability (function to repeat search for each sweep) of the multi search, for the selected channel and selected trace.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<bool>

ON or 1 - Turns ON the marker search tracking. The specified multi marker will "Track" (find) the selected function every sweep.

OFF or 0 - Turns OFF the marker search tracking. The specified multi marker will find the selected function only when the CALC:MEAS:MARK:FUNC:EXECute command is sent.

Examples

CALC:MEAS:MARK:FUNC:MULT:TRAC ON
calculate2:measure2:marker8:function:multi:tracking off

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:TRACking?

Return Type

Boolean

Default

OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:TARGet:TRANsition <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the transition type of the multi target search.

Learn more about Marker Search

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<char>

Transition type of multi target search function to be performed. Choose from:

  • "NEGative" : Specifies the negative transition.

  • "POSitive" : Specifies the positive transition.

  • "BOTH" : Specifies both the positive transition and the negative transition.

Examples

CALC:MEAS:MARK:FUNC:MULT:TARG:TRAN BOTH
calculate2:measure1:marker6:function:multi:target:transition both

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:MULTi:PEAK:TARGet:TRansition?

Return Type

Character

Default

"BOTH"

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion[:SELect] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the search function that the specified marker will perform when executed. Use CALC:MEAS:MARK:FUNC:TRAC ON to automatically execute the search every sweep.

Learn more about Marker Search

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<char>

Marker function. Choose from:

  • MAXimum - finds the highest value

  • MINimum - finds the lowest value

  • RPEak - finds the next valid peak to the right

  • LPEak - finds the next valid peak to the left

  • NPEak - finds the next highest value among the valid peaks

  • TARGet - finds the target value to the right, wraps around to the left

  • LTARget - finds the next target value to the left of the marker

  • RTARget - finds the next target value to the right of the marker

  • COMPression - finds the compression level on a power-swept S21 trace.

Examples

CALC:MEAS:MARK:FUNC MAX
calculate2:measure1:marker8:function:select ltarget

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion[:SELect]?

Return Type

Character

Default

MAXimum

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:TRACking <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the tracking search capability for the specified marker. The tracking function finds the selected search function every sweep. In effect, turning Tracking ON is the same as doing a CALC:MEAS:MARK:FUNC:EXECute command every sweep.

Learn more about Marker Search

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<bool>

ON or 1 - Turns ON the search tracking. The specified marker will "Track" (find) the selected function every sweep.

OFF or 0 - Turns OFF the search tracking. The specified marker will find the selected function only when the CALC:MEAS:MARK:FUNC:EXECute command is sent.

Examples

CALC:MEAS:MARK:FUNC:TRAC ON
calculate2:measure1:marker8:function:tracking off

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:TRACking?

Return Type

Boolean

Default

OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:TARGet[:VALue] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the target value for the specified marker when doing Target Searches with CALC:MEAS:MARK:FUNC:SEL <TARGet | RTARget | LTARget>

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<num>

Target value to search for.

The range of value is between -5E8 to 5E8.

Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

<unit>

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Examples

CALC:MEAS:MARK:FUNC:TARG 2.5
calculate2:measure1:marker8:function:target:value -10.3

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:TARGet[:VALue]?

Return Type

Numeric

Default

0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:TARGet[:VALue]:TRANsition <char>

Applicable Models: E5080A, M9485A

(Read-Write) Selects the transition type of the target search for specified marker (marker 1 to 15 and reference marker (Mk:16)) of the active trace of selected channel.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<char>

Transition type for search function to be performed. Choose from:

  • "NEGative" : Specifies the negative transition.

  • "POSitive" : Specifies the positive transition.

  • "BOTH" : Specifies both the positive transition and the negative transition.

Examples

CALC:MEAS:MARK:FUNC:TARG:TRAN POS
calculate2:measure1:marker8:function:target:value:transition both

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:FUNCtion:TARGet[:VALue]:TRANsition?

Return Type

Character

Default

"BOTH"

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh:DATA?

Applicable Models: E5080A, M9485A

(Read-only) Reads the notch search result of marker 1 to 15 and reference marker (Mk:16), for the active trace of selected channel.

If the notch search is impossible, an error occurs and the command is ignored. In this case, no query response is obtained.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

Indicates 4-element array data (notch bandwidth search result). Four Character values separated by commas => {Data 1}, {Data 2}, {Data 3}, {Data 4}

  • Data(0) :The bandwidth.

  • Data(1) :Center point frequency of the 2 cutoff frequency points.

  • Data(2) :The Q value.

  • Data(3) :Insertion loss

The index of the array starts from 0.

Examples

CALC:MEAS:MARK:NOTC:DATA?
calculate2:measure1:marker:notch:data?

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh:DATA?

Return Type

Variant

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the notch search result display, for the active trace of selected channel. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | Notch search result display. Choose from: ON or 1 - Turns ON the notch search result display. OFF or 0 - Turns OFF the notch search result display.
Examples | CALC:MEAS:MARK:NOTC ON calculate2:measure1:marker:notch:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh[:STATe]?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh:THReshold <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the notch definition value of marker 1 to 15 and reference marker (Mk:16), for the active trace of selected channel.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<num>

The notch definition value range is between -5E8 to 5E8.

Notes: If the specified parameter is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

<unit>

Varies depending on the data format as follows:

  • Amplitude (MLOG):dB (decibel)

  • Phase (PHAS), Expanded phase (UPH),Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Examples

CALC:MEAS:MARK:NOTC:THR -3
calculate2:measure1:marker:notch:threshold -3

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh:THReshold?

Return Type

Numeric

Default

-3

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh:REF <string>

Applicable Models: E5080A, M9485A

(Read-Write) Set the notch marker reference to either MARKer or PEAK.

If the reference is set to MARKer, the active marker is not moved; the notch search is computed at the marker's current location.

If the reference is set to PEAK, the active marker is moved to the maximum or minimum peak on the trace and then notch search is computed.

  • If the notch level is negative, the active marker is moved to the maximum peak.

  • If the notch level is positive, the active marker is moved to minimum peak.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<string>

PEAK

MARKer

Examples

CALC:MEAS:MARK:NOTCh:REF
calculate2:measure1:marker:notch:ref

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:NOTCh:REF?

Return Type

String

Default

MARKer

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:REFerence[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the reference marker mode, for the active trace of selected channel. When turned OFF, existing Delta markers revert to absolute markers. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | ON or 1 - Turns reference marker mode ON. OFF or 0 - Turns reference marker mode OFF.
Examples | CALC:MEAS:MARK:REF ON calculate2:measure1:marker:reference:state OFF
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:REFerence[:STATe]?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:REFerence:X <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the absolute x-axis value of the reference marker. See Critical Note
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<num> | X-axis value. Choose any number within the operating domain of the reference marker.
Examples | CALC:MEAS:MARK:REF:X 1e9 calculate2:measure1:marker:reference:x 1e6
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:REFerence:X?
Return Type | Numeric
Default | If the first Marker, turns ON in the middle of the X-axis span. If not, turns ON at the position of the active marker.

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:REFerence:Y <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the absolute Y-axis value of the reference marker (Set the reference marker Y position only when the marker is a fixed marker type). See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Y-axis value. Choose any number within the operating domain of the reference marker.
Examples | CALC:MEAS:MARK:REF:Y 1e6 calculate2:measure1:marker:reference:y 1e9
Return Type | Numeric
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:SET <char>

Applicable Models: E5080A, M9485A

(Write-only) Sets the selected instrument setting to assume the value of the specified marker.

Marker Functions CENT, SPAN, STARt, and STOP do not work with channels that are in CW or Segment Sweep mode.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1

<char>

Choose from:

  • CENTer - changes center frequency to the value of the marker.

  • SPAN - changes the sweep span to the span that is defined by the delta marker and the marker that it references. Unavailable if there is no delta marker.

  • STARt - changes the start frequency to the value of the marker.

  • STOP - changes the stop frequency to the value of the marker.

  • RLEVel - changes the reference level to the value of the marker.

  • DELay - changes the line length at the receiver input to the phase slope at the active marker stimulus position.

  • CWFReq - Sets the CW frequency to the frequency of the active marker. Does NOT change sweep type. NOT available in CW or Power Sweep. Use this argument to first set the CW Frequency to a value that is known to be within the current calibrated range, THEN set Sweep:Type to POWer or CW.

Examples

CALC:MEAS:MARK:SET CENT
calculate2:measure1:marker8:set span

Query Syntax

Not Applicable

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the specified marker. Marker 16 is the Reference Marker. To turn all markers OFF, use CALC:MEAS:MARK:AOFF. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<bool> | ON or 1 - Turns marker ON. OFF or 0 - Turns marker OFF.
Examples | CALC:MEAS:MARK ON calculate2:measure1:marker8 off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:STATe?
Return Type | Boolean
Default | OFF or 0

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type of the specified marker.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1

<char>

Choose from:

  • NORMal - a marker that stays on the assigned X-axis position unless moved or searching.

  • FIXed - a marker that will not leave the assigned X or current Y-axis position.

Examples

CALC:MEAS:MARK:TYPE NORM
calculate2:measure1:marker2:type fixed

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:TYPE?

Return Type

Character

Default

NORMal

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:X <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the marker's X-axis value (frequency, power, or time). If the marker is set as delta, the SET and QUERY data is relative to the reference marker.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<num>

Any X-axis position within the measurement span of the marker.

(When the span value of the sweep range is 0, the range is from 0 to sweep time value.)

Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

<unit>

Hz (hertz), dBm or s (second)

Examples

CALC:MEAS:MARK:X 100Mhz
calculate2:measure1:marker8:x maximum

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:X?

Return Type

Numeric

Default

First Marker turns ON in the middle of the X-axis span. Subsequent markers turn ON at the position of the active marker.

(When the span value of the sweep range is 0, the preset value is 0.)

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:Y?

Applicable Models: E5080A, M9485A

(Read-only) Reads the marker's Y-axis value. The format of the value depends on the current CALC:MEAS:MARK:FORMAT setting. If the marker is set as delta, the data is relative to the reference marker. The query always returns two numbers:

  • Smith and Polar formats - (Real, Imaginary)

  • LINPhase and LOGPhase - (Real, Imaginary)

  • All other formats - (Value,0)

Note: To accurately read the marker Y-axis value with trace smoothing applied, the requested format must match the displayed format. Otherwise, the returned value is un-smoothed data. For example, to read the smoothed marker value when measuring group delay, both the display format and the marker format must be set to (Group) Delay.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

Examples

CALC:MEAS:MARK:Y?
calculate2:measure1:marker3:y?

Query Syntax

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:Y?

Return Type

Numeric

Default

Not Applicable

Last modified:

5-Jan-2016

First Release


Math SCPI

Calculate:Math Commands

Controls math operations on the currently selected measurement and memory.

CALCulate:MEASure:MATH:

FUNCtion

MEMorize

CALCulate:MEASure:MIXer:

XAXis (seperate topic)

CALCulate:MEASure:OFFSet:

MAGNitude (seperate topic)

| SLOPe (seperate topic)

PHASe (seperate topic)

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Math Operations

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

CALCulate<cnum>:MEASure<mnum>:MATH:FUNCtion <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets math operations on the currently selected measurement and the trace stored in memory. (There MUST be a trace stored in Memory. See CALC:MATH MEM) See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | The math operation to be applied. Choose from the following:
NORMal | Trace data only
ADD | Data + Memory
SUBTract | Data - Memory
MULTiply | Data * Memory
DIVide | Data / Memory
Examples | CALC:MATH:FUNC NORM calculate2:measure2:math:function subtract
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MATH:FUNCtion?
Return Type | Character
Default | NORMal

CALCulate<cnum>:MEASure<mnum>:MATH:MEMorize

Applicable Models: E5080A, M9485A

(Write-only) Puts the currently selected measurement trace into memory. (Data-> Memory). See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:MATH:MEM
Query Syntax | Not applicable
Default | Not applicable

Last modified:

5-Jan-2016

First Release


Mixer

Calculate:Mixer Command

CALCulate:MEASure:MIXer:

XAXis

Click on a Red keyword to view the command details.

CALCulate<cnum>:MEASure<mnum>:MIXer:XAXis <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the swept parameter to display on the X-axis for the selected FCA measurement.

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<char>

Parameter to display on the X-axis. Choose from:

INPUT - Input frequency span

OUTPUT - Output frequency span

LO_1 - First LO frequency span

LO_2 - Second LO frequency span

Examples

CALC:MEAS:MIX:XAX INPUT
calc2:measure2:mixer:xaxis output

See an example that creates, selects, and calibrates an SMC measurement using SCPI.

Query Syntax

CALCulate<ch>:MEASure<mnum>:MIXer:XAXis?

Return Type

Character

Default

OUTPUT

Last modified:

5-Jan-2016

First Release


Offset

Calculate:Offset Commands

Allows the data trace magnitude and phase to be offset.

Click on a Red keyword to view the command details.

CALCulate:MEASure:OFFSet:

MAGNitude

| SLOPe

PHASe

See Also

  • Example Programs

  • Learn about Magnitude Offset

  • Learn about Phase Offset

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

CALCulate<cnum>:MEASure<mnum>:OFFSet:MAGNitude <num>

Applicable Models: E5080A, M9485A

(Read-Write) Offsets the data trace magnitude by the specified value. To offset the data trace magnitude to a slope value that changes with frequency, use CALC:OFFS:MAGN:SLOP See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Offset value in dB.
Examples | CALC:MEAS:OFFS:MAGN:4 calculate1:measure2:offset:magnitude -2
Query Syntax | CALCulate<cnum>:MEASure<mnum>:OFFSet:MAGNitude?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:OFFSet:MAGNitude:SLOPe <num>

Applicable Models: E5080A, M9485A

(Read-Write) Offsets the data trace magnitude to a value that changes linearly with frequency. The offset slope begins at 0 Hz. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Offset slope value in dB/ 1GHz.
Examples | CALC:MEAS:OFFS:MAGN:SLOP 1 'Offset slope set to 1dB/GHz calculate1:measure2:offset:magnitude:slope -2 'Offset slope set to -2dB/GHz
Query Syntax | CALCulate<cnum>:MEASure<mnum>:OFFSet:MAGNitude:SLOPe?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEASure<mnum>:OFFSet:PHASe <num>[<char>]

Applicable Models: E5080A, M9485A

(Read-Write) Sets the phase offset for the selected measurement. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Offset phase value. Choose any number between: -360 and 360
<char> | Units for phase. OPTIONAL. Choose either: DEG - Degrees (default) RAD - Radians
Examples | CALC:MEAS:OFFS:PHAS 10 calculate3:measure2:offset:phase 20rad
Query Syntax | CALCulate<cnum>:MEASure<mnum>:OFFSet:PHASe?
Return Type | Numeric, returned value always in degrees
Default | 0 degrees

Last modified:

5-Jan-2016

First Release


Parameter SCPI

Calculate:Parameter Commands

Lists, creates, selects, and deletes measurements.

CALCulate:PARameter:

CATalog

| EXTended

COUNt

CALCulate:MEASure:

DEFine

PARameter

MNUMber

| [SELect]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Measurement Parameters

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:PARameter:CATalog:EXTended?

Applicable Models: E5080A, M9485A

(Read-only) Returns the names and parameters of existing measurements for the specified channel. This command lists receiver parameters with "_" such that R1,1 is reported as R1_1. This makes the returned string a true "comma-delimited" list all the time.

The returned string of this command is easily parsed and used to create measurements using the CALC:PAR:EXT command.

Parameters

<cnum>

Channel number of the measurements to be listed. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

Examples

CALC:PAR:CAT:EXT?

calculate2:parameter:catalog:extended?

Return Type

String - "<measurement name>,<parameter>,[<measurement name>,<parameter>...]"

Default

"CH1_S11_1,S11"

CALCulate<cnum>:PARameter:COUNt <value>

Applicable Models: E5080A, M9485A

(Write-only) Sets or gets the number of traces of selected channel.

Parameters

<cnum>

Channel number of the measurements to be listed. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<value>

Number of traces that should be present on the selected channel. Varies depending on the upper limit setting for the channel/trace number.

Note: This command will delete measurements if the specified value is less than the current value.

Examples

CALC:PAR:COUN 1

Query Syntax

Numeric

Default

1

CALCulate<cnum>:MEASure<mnum>:DEFine <Mname>,<param>[,port]

Applicable Models: E5080A, M9485A

Note: This command is replaced with CALC:PAR:DEFine:EXTended. This command will continue to work for up to 4-port parameters.

(Write-only) Creates a measurement parameter of the selected trace, for the selected channel but does NOT display it.

There is no limit to the number of measurements that can be created. However, there is a limit to the number of measurements that can be displayed. See Traces, Channels, and Windows on the VNA.

  • Use DISP:WIND:STATe to create a window if it doesn't already exist.

  • Use DISP:WIND:TRAC:FEED to display the measurement.

You must select the measurement before making additional settings.

See Critical Note

Parameters

<cnum>

Channel number of the measurement to be listed. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<Mname>

String - Name of the measurement parameter. Any non-empty, unique string, enclosed in quotes.

<param>

For S-parameters:

Any S-parameter available in the VNA

For ratioed measurements:

Any two receivers that are available in the VNA.

For example: AR1 (this means A/R1)

For non-ratioed measurements:

Any receiver that is available in the VNA.

For example: A

Port No. | Test Receiver | Reference Reciever
1 | A | R1
2 | B | R2
3 | C | R3
4 | D | R4

For Balanced Measurements:

First create an S-parameter measurement, then change the measurement using CALC:FSIM:BAL commands.

[port]

Optional argument;

For multi-port reflection S-parameter measurements: specifies the VNA port which will provide the load for the calibration. This argument is ignored if a transmission S-parameter is specified.

For all non S-parameter measurements: specifies the source port for the measurement.

Examples

CALC4:MEAS 'ch4_S33',S33,2 'Defines an S33 measurement with a load on port2 of the analyzer'

calculate2:measure2:define 'ch1_a', a, 1 'unratioed meas'

calculate2:measure2:define 'ch1_a', ar1,1 'ratioed meas'

Query Syntax

Not Applicable; see Calc:Par:Cat?

Default

Not Applicable

CALCulate<cnum>:MEASure<mnum>:PARameter <string>

(Read-Write) To be extended to accept the balanced measurement parameters.

This extension will replace the following commands:

CALC:FSIM:BAL:PAR:SBAL[:DEF]

CALC:FSIM:BAL:PAR:SSB[:DEF]

CALC:FSIM:BAL:PAR:BBAL[:DEF]

CALC:FSIM:BAL:PAR:BALS[:DEF]

CALC:FSIM:BAL:PAR:BAL[:DEF]

See Critical Note

Parameters

<cnum>

Channel number of the measurements to be listed. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<string>

For 1 port balanced measurement, choose from:

Sdd11, Scd11, Sdc11, Scc11

For Balanced - Single-ended measurement, choose from:

Sdd11, Scd11, Sdc11, Scc11, Ssd21, Ssc21, Sds12, Scs12, Sss22, Imb, CMMR1, CMMR2

  • Imb = - S_1pos_2/S_1neg_2

  • CMMR1 = Ssd21/Ssc21

  • CMMR2 = Sds12/Scs12

For Single-ended - Balanced measurement, choose from:

Sss11, Sds21, Scs21, Ssd12, Ssc12, Sdd22, Scd22, Sdc22, Scc22, Imb, CMMR1, CMMR2

  • Imb = - S_2pos_1/S_2neg_1

  • CMMR1 = Sds21/Scs21

  • CMMR2 = Ssd12/Ssc12

For Balanced - Balanced measurement, choose from:

Sdd11, Sdd21, Sdd12, Sdd22, Scd11, Scd21, Scd12, Scd22, Sdc11, Sdc21, Sdc12, Sdc22,

Scc11, Scc21, Scc12, Scc22, Imb1, Imb2, CMMR

  • Imb1 = - (S_1pos_2pos – S_1pos_2neg)/(S_1neg_2pos – S_1neg_2neg)

  • Imb2 = - (S_2pos_1pos – S_2pos_1neg)/(S_2neg_1pos – S_2neg_1neg)

  • CMMR = - Sdd21/Scc21

For Single-ended - Single-ended - Balanced measurement, choose form:

Sss11, Sss21, Sss12, Sss22, Sds31, Scs31, Sds32, Scs32, Ssd13, Ssd23, Ssc13, Ssc23,

Sdd33, Scd33, Sdc33, Scc33, Imb1, Imb2, CMMR1, CMMR2

  • Imb1 = - (S_1pos_2pos – S_1pos_2neg)/(S_1neg_2pos – S_1neg_2neg)

  • Imb2 = - (S_2pos_1pos – S_2pos_1neg)/(S_2neg_1pos – S_2neg_1neg)

  • Imb3 = - S_3pos_1/S_3neg_1

  • Imb4 = - S_3pos_2/S_3neg_2

  • CMMR1 = Sds31/Scs31

  • CMMR2 = Sds32/Scs32

Note: The right definition for SSB imbalance is added as Imb3, 4. The definition for SSB Imb1, 2 seem a mistake, but keep it remained for backward compatibility.

Examples

CALC:MEAS:PAR "Sdd11"

calculate2:measure2:parameter "Sdd11"

Query Syntax

CALCulate<cnum>:MEASure<mnum>:PARameter?

Return Type

String

Default

"Sdd11"

CALCulate<cnum>:PARameter:MNUMber[:SELect] <n>[,fast]

(Read-Write) Sets and returns the selected measurement for the channel using the Tr#. Most CALC: commands require that this, or CALC:PAR:SEL, be sent before a setting change is made to that measurement. Each channel can have one selected measurement.
Parameters |
<cnum> | Channel number of the measurement to be selected. If unspecified, <cnum> is set to 1.
<n> | Numeric - Measurement number. These are the same numbers you see in the “Tr1”, “Tr2” annotation next to the parameter name on the VNA screen.
[fast] | Optional. The VNA display is NOT updated. Therefore, do not use this argument when an operator is using the VNA display. Otherwise, sending this argument results in much faster sweep speeds. There is NO other reason to NOT send this argument.
Examples | CALC:PAR:MNUM 2 calculate2:parameter:mnumber:select 3,fast
Query Syntax | CALCulate<cnum>:PARameter:MNUMber[:SELect]? There is NO query available to determine if the FAST argument has been set.
Return Type | Numeric
Default | None

CALCulate<cnum>:PARameter:TAG:NEXT?

Applicable Models: E5080A, M9485A

(Read-only)
Parameters |
<cnum> | Channel number of the measurement. The selected measurement on that channel will be changed. If unspecified, <cnum> is set to 1.
Examples | CALC:PAR:TAG:NEXT
Query Syntax | Not Applicable
Default | Not Applicable

Last modified:

5-Jan-2016

First Release


Smoothing SCPI

Calculate:Smoothing Commands

Controls point-to-point smoothing. Smoothing is a noise reduction technique that averages adjacent data points in a measurement trace. Choose the amount of smoothing by specifying either the number of points or the aperture. Smoothing is not the same as CALC:AVERage which averages each data point over a number of sweeps.

CALCulate:MEASure:SMOothing:

APERture

POINts

[STATe]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Smoothing

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

CALCulate<cnum>:MEASure<mnum>:SMOothing:APERture <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the amount of smoothing as a percentage of the number of data points in the channel. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Percentage value. Choose any number between: 1 and 25
Examples | CALC:MEAS:SMO:APER 2 calculate2:measure2:smoothing:aperture 20.7
Query Syntax | CALCulate<cnum>:SMOothing:APERture?
Return Type | Numeric
Default | 1.5

CALCulate<cnum>:MEASure<mnum>:SMOothing:POINts <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the number of adjacent data points to average. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Number of points from 1 point to maximum of 25% of data points in the channel. For example: if number of points in a data trace = 401, the maximum value for points = 100. The points value is always rounded to the closest odd number.
Examples | CALC:MEAS:SMO:POIN 50 calculate2:measure2:smoothing:points 21
Query Syntax | CALCulate<cnum>:MEAsure<mnum>:SMOothing:POINts?
Return Type | Numeric
Default | 3

CALCulate<cnum>:MEASure<mnum>:SMOothing[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns data smoothing ON or OFF. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | ON or 1 - Turns smoothing ON. OFF or 0 - Turns smoothing OFF.
Examples | CALC:MEAS:SMO ON calculate2:measure2:smoothing:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:SMOothing[:STATe]
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

Last modified:

5-Jan-2016

First Release


Transform SCPI

Calculate:Transform Commands

Specifies the settings for time domain transform.

CALCulate:MEASure:TRANsform:

COUPle

| PARameters

TIME

| CENTer

| IMPulse

| WIDTh

| KBESsel

| LPFRequency | LPFREQuency

| MARKer

| MODE

| UNIT

| SPAN

| STARt

| STATe

| STEP

| RTIMe

| STOP

| [TYPE]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Time Domain

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select.

CALCulate<cnum>:MEASure<mnum>:TRANsform:COUPle:PARameters <num>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the time domain transform parameters to be coupled. The settings for those parameters will be copied from the selected measurement to all other measurements on the channel.

  • To turn coupling ON and OFF, use SENS:COUP:PAR

  • To specify Gating parameters to couple, use CALC:FILT:COUP:PAR

Learn more about Time Domain Trace Coupling

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<num>

(Numeric) Parameters to couple. To specify more than one parameter, add the numbers.

1 - Transform Stimulus (Start, Stop, Center, and Span TIME settings.)

2 - Transform State (ON / OFF)

4 - Transform Window (Kaiser Beta / Impulse Width)

8 - Transform Mode (Low Pass Impulse, Low Pass Step, Band Pass)

16 - Transform Distance Marker Units

Examples

'To couple all parameters:

CALC:MEAS:TRAN:COUP:PAR 31

'To couple Stimulus and Mode:
calculate2:measure2:transform:couple:parameters 9

Query Syntax

CALCulate<cnum>:MEASure<mnum>:TRANsform:COUPle:PARameters?

Return Type

Numeric

Default

29 (All parameters except 2 - Transform State)

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:CENTer <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the center time for time domain measurements. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Center time in seconds; any number between: ± (number of points-1) / frequency span Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:TRAN:TIME:CENT 1e-8 calculate2:measure2:transform:time:center 15 ps
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:CENTer?
Return Type | Numeric
Default | 0

CALCulate<cnum>:MEAsure<mnum>:TRANsform:TIME:IMPulse:WIDTh <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the impulse width for the transform window. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Impulse width in seconds; Choose any number between: .6 / frequency span and 1.39 / frequency span
Examples | CALC:MEAS:TRAN:TIME:IMP:WIDTh 10 calculate2:measure2:transform:time:impulse:width 13
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:IMPulse:WIDTh?
Return Type | Numeric
Default | .98 / Default Span

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:KBESsel <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the parametric window for the Kaiser Bessel window. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Window width for Kaiser Bessel in seconds; Choose any number between: 0.0 and 13.0
Examples | CALC:MEAS:TRAN:TIME:KBES 10 calculate2:measure2:transform:time:kbessel 13
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:KBESsel?
Return Type | Numeric
Default | 6

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:LPFREQuency | LPFREQuency

Applicable Models: E5080A, M9485A

(Write-only) Sets the start frequencies in LowPass Mode. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:TRAN:TIME:LPFR calculate2:measure2:transform:time:lpfrequency
Query Syntax | Not Applicable
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:MARKer:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the measurement type in order to determine the correct marker distance.

  • Select Auto for S-Parameter measurements.

  • Select Reflection or Transmission for arbitrary ratio or unratioed measurements.

This setting affects the display of ALL markers for only the ACTIVE measurement.

Learn more about Distance Markers.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<char>

Choose from:

AUTO - If the active measurement is an S-Parameter, automatically chooses reflection or transmission. If non S-Parameter measurements, reflection is chosen.

REFLection - Displays the distance from the source to the receiver divided by two (to compensate for the return trip.)

TRANsmission - Displays the distance from the source to the receiver.

Examples

CALC:MEAS:TRAN:TIME:MARK:MODE REFL
calculate2:measure2:transform:time:marker:mode auto

Query Syntax

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:MARKer:MODE?

Return Type

Character

Default

AUTO

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:MARKer:UNIT <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the unit of measure for the display of marker distance values. This settings affects the display of ALL markers for only the ACTIVE measurement (unless Distance Maker Units are coupled using CALC:TRAN:COUP:PAR. Learn more about Distance Markers. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Choose from: METRs FEET INCHes
Examples | CALC:MEAS:TRAN:TIME:MARK:UNIT INCH calculate2:measure2:transform:time:marker:unit feet
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:MARKer:UNIT?
Return Type | Character
Default | METRs

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:SPAN <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the span time for time domain measurements. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Span time in seconds; any number between: 0 and 2* [(number of points-1) / frequency span] Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:TRAN:TIME:SPAN 1e-8 calculate2:measure2:transform:time:span maximum
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:SPAN?
Return Type | Numeric
Default | 20 ns

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the start time for time domain measurements. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Start time in seconds; any number between: ± (number of points-1) / frequency span Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:TRAN:TIME:STAR 1e-8 calculate2:measure2:transform:time:start minimum
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STARt?
Return Type | Numeric
Default | -10 ns

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns the time domain transform capability ON or OFF. See Critical Note Note: Sweep type must be set to Linear Frequency in order to use Time Domain Transform.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | ON (or 1) - turns time domain ON. OFF (or 0) - turns time domain OFF.
Examples | CALC:MEAS:TRAN:TIME:STAT ON calculate2:measure2:transform:time:state off
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STATe?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STEP:RTIMe <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the step rise time for the transform window. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Rise time in seconds; Choose any number between: .45 / frequency span and 1.48 / frequency span
Examples | CALC:MEAS:TRAN:TIME:STEP:RTIM 1e-8 calculate2:measure2:transform:time:step:rtime 15 ps
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STEP:RTIMe?
Return Type | Numeric
Default | .99 / Default Span

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the stop time for time domain measurements. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<num> | Stop time in seconds; any number between: ± (number of points-1) / frequency span Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | CALC:MEAS:TRAN:TIME:STOP 1e-8 calculate2:measure2:transform:time:stop maximum
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME:STOP?
Return Type | Numeric
Default | 10 ns

CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME[:TYPE] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type of time domain measurement. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Type of measurement. Choose from: BPASs - Bandpass; LPSTep - simulates a step DUT stimulus LPIMpulse - simulates a pulse DUT stimulus
Examples | CALC:MEAS:TRAN:TIME BPAS calculate2:measure2:transform:time:type bpas
Query Syntax | CALCulate<cnum>:MEASure<mnum>:TRANsform:TIME[:TYPE]?
Return Type | Character
Default | BPAS

Last modified:

5-Jan-2016

First Release


Control SCPI

Control Commands

Specifies the settings to remotely control the rear panel connectors, an external test set, and ECal Module state.

CONTrol

CHANnel:INTerface:CONTrol

| CONFig:RECall[STATe]

| [STATe]

ECAL:MODule

| PATH

| COUNt?

| STATe

HANDler - More Commands

MULTiplexer

| OUTPut

| A|B|C|D[DATA]

| A|B|C|D:VOLTage[DATA]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

  • See a pinout and detailed description of the rear panel connectors:

    • External Test Set IO connector

    • Material Handler IO connector

CONTrol:CHANnel:INTerface:CONTrol:CONFig:RECall[:STATe] <string>

Applicable Models: E5080A

(Write-only) Recalls an Interface Control configuration file. Learn more about Interface Control.
Parameters |
<string> | File name and extension (.xml) of the configuration file to recall. Files are typically stored in the default folder "D:\". To recall from a different folder, specify the full path name.
Examples | CONT:CHAN:INT:CONT:CONF:REC 'MyFile.xml' control:channel:interface:control:config:recall:state 'D:\MyFile01.xml'
Query Syntax | Not Applicable
Default | Not Applicable

CONTrol:CHANnel:INTerface:CONTrol[:STATe] <bool>

Applicable Models: E5080A

(Read-Write) Enables and disables ALL Interface Control settings. To send data, the individual interfaces must also be enabled. Learn more about Interface Control.
Parameters |
<bool> | OFF or 0 - Interface Control is disabled; NO control data is sent. ON or 1 - Interface Control is enabled.
Examples | CONT:CHAN:INT:CONT 1 control:channel:interface:control:state 0
Query Syntax | CONTrol:CHANnel:INTerface:CONTrol[:STATe]?
Return Type | Boolean
Default | OFF or 0

CONTrol:ECAL:MODule<num>:PATH:COUNt? <name>

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of unique states that exist for the specified path name on the selected ECal module.

This command performs exactly the same function as SENS:CORR:CKIT:ECAL:PATH:COUNt?

Use the CONT:ECAL:MOD:PATH:STAT command to set the module into one of those states.

Use SENS:CORR:CKIT:ECAL:PATH:DATA? to read the data for a state.

Parameters

<num>

Optional argument. USB number of the ECal module. If unspecified (only one ECal module is connected to the USB), <num> is set to 1. If two or more modules are connected, use SENS:CORR:CKIT:ECAL:LIST? to determine how many, and SENS:CORR:CKIT:ECAL:INF? to verify their identities.

<name>

Name of the path for which to read number of states. Choose from:

Reflection paths

  • A

  • B

  • C (4-port modules)

  • D (4-port modules)

Transmission paths

  • AB

  • AC (4-port modules)

  • AD (4-port modules)

  • BC (4-port modules)

  • BD (4-port modules)

  • CD (4-port modules)

Note: For each transmission path, the first of the available states is the through state, the second is the confidence (attenuator) state.

Examples

CONT:ECAL:MOD:PATH:COUNt? A

control:ecal:module2:path:count? cd

See example program

Return Type

Integer

Default

Not Applicable

CONTrol:ECAL:MODule<num>:PATH:STATe <path>, <stateNum>

Applicable Models: E5080A, M9485A

(Write-only) Sets the internal state of the selected ECAL module. This command supersedes CONT:ECAL:MOD:STAT.

  • Use CONT:ECAL:MOD:PATH:COUN? to read the number of unique states that exist for the specified path name on the module.

  • Use SENS:CORR:CKIT:ECAL:PATH:DATA? to read the data for a state (from the module memory) corresponding to the stimulus values of a channel.

Parameters

<num>

Optional argument. USB number of the ECal module. If unspecified (only one ECal module is connected to the USB), <num> is set to 1. If two or more modules are connected, use SENS:CORR:CKIT:ECAL:LIST? to determine how many, and SENS:CORR:CKIT:ECAL:INF? to verify their identities.

<path>

Path name for which to set a state.

Note: The impedance paths are not independent. For example, changing the impedance presented on path A will cause a change to the impedance on path B.

Choose from:

Reflection paths

  • A

  • B

  • C (4-port modules)

  • D (4-port modules)

Transmission paths

  • AB

  • AC (4-port modules)

  • AD (4-port modules)

  • BC (4-port modules)

  • BD (4-port modules)

  • CD (4-port modules)

<stateNum>

Number of the state to set. Refer to the following table to associate the <stateNum> with a state in your ECal module.

In addition, CONT:ECAL:MOD:PATH:COUNt? returns the number of states in the specified ECal module.

<stateNum> | N4432A and N4433A States | N4431A States | N469x States** | 8509x States
One-Port Reflection States
1 | Open | Open | Impedance 1 | Open
2 | Short | Short | Impedance 2 | Short
3 | Impedance 1 | Impedance 1 | Impedance 3 | Impedance 1
4 | Impedance 2 | Impedance 2 | Impedance 4 | Impedance 2
5 |  |  | Impedance 5 |
6 |  |  | Impedance 6 |
7 |  |  | Impedance 7 |
Two-Port Transmission States
1 | Thru | Thru | Thru | Thru
2 | Confidence | Confidence | Confidence | Confidence

** The following modules have only FOUR Impedance states (1, 2, 3, 4): N4690B ,N4691B ,N4692A ,N4696B.

Examples

CONT:ECAL:MOD:PATH:STATe A,5

control:ecal:module2:state BC,1

See example program

Query Syntax

Not Applicable

Default

Not Applicable

CONTrol:MULTiplexer<id>:OUTPut:<grp>[:DATA] <num>

Applicable Models: E5080A

(Read-Write) Sets or returns the output port data for specified group with id of the E5092A multiport test set.

Notes: This command is available only for E5092A multiport test set.

Parameters

<id>

Id of the multiport test set either 1 or 2. If unspecified, Id is assumed to be 1.

<grp>

A | B | C | D

<num>

An integer specifying the decimal value of the control line. Values are obtained by adding weights from the following table that correspond to individual lines.

The output port data range is between 0 to 255 (0=All line are turns OFF and 255 all lines are turn ON).

Line | Weight
1 | 1
2 | 2
3 | 4
4 | 8
5 | 16
6 | 32
7 | 64
8 | 128

Examples

CONT:MULT1:OUTP:B 8

Query Syntax

CONTrol:MULTiplexer<id>:OUTPut:<grp>[:DATa]?

Return Type

Numeric

Default

0

CONTrol:MULTiplexer<id>:OUTPut:<grp>VOLTage[:DATA] <volt>

Applicable Models: E5080A

(Read-Write) Sets or returns the output voltage for specified group with id of the E5092A multiport test set. Notes: This command is available only for E5092A multiport test set.
Parameters |
<id> | Id of the multiport test set either 1 or 2. If unspecified, Id is assumed to be 1.
<grp> | A | B | C | D
<volt> | Output voltage range for <grp> is between 0 to 5.2V and resolution is 10mV.
Examples | CONT:MULT1:OUTP:B:VOLT 4.2
Query Syntax | CONTrol:MULTiplexer<id>:OUTPut:<grp>:VOLtage[:DATa]?
Return Type | Numeric
Default | 0 V

Last Modified:

5-Jan-2016

First Release


CSET

CSET:Fixture Commands

Manages several aspects of Cal Sets.

CSET:

| CATalog?

| DALL

| DELete

| EXISts?

| FIXTure:

| DEEMbed

| EMBed

Click on a Red keyword to view the command details.

Note: There is no user-interface equivalent for some of these commands.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CSET:CATalog?

Applicable Models: E5080A, M9485A

This command replaces SENS:CORR:CSET:CAT? (Read-only) Returns the names of Cal Sets stored on the VNA.
Parameters | None
Examples | CSET:CAT? Returns: "CalSet_0913,CalSet_1,CalSet_2,CalSet_3,CalSet_4,CH1_CALREG,CH31_CALR EG,MyCalAll_SMC_002,MyCalAll_STD_001"
Return Type | Comma-separated string of names
Default | Not Applicable

CSET:DALL

Applicable Models: E5080A, M9485A

(Write-only) Deletes ALL Cal Sets from the VNA, including phase reference and Global Delta Match Cal Sets.
Parameters | None
Examples | CSET:DALL
Query Syntax | Not Applicable
Default | Not Applicable

CSET:DEL <string>

Applicable Models: E5080A, M9485A

This command replaces SENS:CORR:CSET:DELete

(Write-only) Deletes the specified Cal Set from the VNA.

  • If the Cal Set is currently being used by a channel, the Cal Set is deleted and correction for the channel is turned off.

  • If the Cal Set is not found, no error is returned.

Parameters

<string>

Name of the Cal Set to delete. Not case-sensitive.

Examples

CSET:DEL "MyCalSet"

Query Syntax

Not Applicable

Default

Not Applicable

CSET:EXISts? <string>

Applicable Models: E5080A, M9485A

(Read-only) Returns whether or not the specified Cal Set exists on the VNA.
Parameters |
<string> | Name or GUID of the Cal Set enclosed in quotes. The GUID must also be enclosed in curly brackets.
Examples | dim check check = CSET:EXISts? "MyCalSet" check = CSET:EXISts? "{7C4EEA5E-40D2-4D70-A048-33BFFE704163}"
Return Type | Boolean ON or 1 - Cal Set exists. OFF or 0 - Cal Set does NOT exist.
Default | Not Applicable

CSET:FIXTure:DEEMbed <cs1>,<cs2>,<s2p>,<port>, <compPwr>[,extrap]

Applicable Models: E5080A, M9485A

(Write-only) De-embeds a fixture from an existing Cal Set based on an S2P file. A new Cal Set is created with the effects of the fixture removed.

When the new Cal Set is applied to a channel, the effects of fixturing are removed from the measurement data. Do NOT enable fixturing. The effects of the fixture are removed when the new Cal Set is selected and correction is turned ON.

Parameters

<cs1>

(String) Name of an existing Cal Set which resides on the VNA.

<cs2>

(String) Name of new Cal Set which contains updated error terms with fixture de-embedded.

<s2p>

(String) Name of the S2P file which characterizes the adapter/fixture.

<port>

(Numeric) Port number from which fixture will be de-embedded.

<compPwr>

(Boolean)

ON (1) - When the Cal Set contains a power correction array for the fixture port, that array will be compensated for the fixture loss.

Warning: enabling power compensation can result in an increase in test port power and consequently, increased power to the DUT. Use with caution.

OFF (0) - Do not compensate for loss in source power through the fixture.

[extrap]

(Boolean) Optional argument.

ON (1) -Applies a simple extrapolation when the S2P file has a narrower frequency range than the Cal Set. The values for the first and last data points are extended in either direction to cover the frequency range of the Cal Set.

OFF (0) - Extrapolation is NOT performed (default setting).

Examples

CSET:FIXT:DEEM "MyCalSet","MyNewCalSet","Fixture.s2p",1,1

cset:fixture:deembed "MyCalSet","MyNewCalSet","Fixture.s2p",1,1,1 'extrapolation is performed if the s2p frequency range is narrower than that of the Cal Set.

Query Syntax

Not Applicable

Default

Not Applicable

CSET:FIXTure:EMBed <cs1>,<cs2>,<s2p>,<port>, <compPwr>[,extrap]

Applicable Models: E5080A, M9485A

(Write-only) Embeds a fixture (usually a matching network) into an existing Cal Set based on an S2P file. A new Cal Set is created with the effects of the matching network included in the correction data.

When the new Cal Set is applied to a channel, the effects of the fixture are included in the measurement data. Do NOT enable fixturing. The effects of the matching network are included when the new Cal Set is selected and correction is turned ON.

Parameters

<cs1>

(String) Name of an existing Cal Set which resides on the VNA.

<cs2>

(String) Name of new Cal Set which contains updated error terms with fixture embedded.

<s2p>

(String) Name of the S2P file which characterizes the fixture / matching network.

<port>

(Numeric) Port number to which fixture will be added.

<compPwr>

(Boolean)

ON (1) - Increase the source power to compensate for the loss through the fixture. The result is that the specified power level will be correct at the DUT input.

Warning: enabling power compensation can result in an increase in test port power and consequently, increased power to the DUT. Use with caution.

OFF (0) - Do not compensate for loss in source power through the matching network.

[extrap]

(Boolean) Optional argument.

ON (1) -Applies a simple extrapolation when the S2P file has a narrower frequency range than the Cal Set. The values for the first and last data points are extended in either direction to cover the frequency range of the Cal Set.

OFF (0) - Extrapolation is NOT performed (default setting).

Examples

CSET:FIXT:EMB "MyCalSet","MyNewCalSet","Fixture.s2p",1,1

cset:fixture:embed "MyCalSet","MyNewCalSet","Fixture.s2p",1,1,1 'extrapolation is performed if the s2p frequency range is narrower than that of the Cal Set.

Query Syntax

Not Applicable

Default

Not Applicable

Last Modified:

5-Jan-2016

First Release


Display SCPI

Display Commands

Controls the settings of the front panel screen.

DISPlay:

ANNotation

| FREQuency[STATe]

| MESSage:STATe

| [STATus]

ARRange

CATalog?

COLor More Commands

ENABle

FSIGn

MEASure

| DELete

| Feed

| MEMory

| MOVE

| SELect

| [STATe]

| TITLe:DATA

| TITLe[STATe]

| AUTO

| PDIVision

| RLEVel

| RPOSition

MEASurement

| FEED

SHEet

| ARRange

| CATalog

| STATe

| TITle

SPLit

STATus

| LOG

| CLEar

TMAX

TILE

TOOLbar

| CSET[STATe]

| ENTRy[STATe]

| MARKer[STATe]

UPDate

| IMMediate

| [STATe]

VISible

WINDow

| ANNotation

| MARKer

| COUPle

| NUMBer

| MEASre

| XPOSition

| YPOSition

| RESolution

| RESPonse

| STIMulus

| SIZe

| [STATe]

| SYMBol

| VISible

| XPOSition

| YPOSition

| TRACe[STATe]

| Y[STATe]

| CATalog?

| ENABle

| FEED

| NEXT[NUMBer]?

| SIZe

| [STATe]

| TABLe

| TITLe

| DATA

| [STATe]

| TRACe

| DELete

GRATicule:GRID:LTYPe

| TITLe

| DATA

| [STATe]

| Y[SCALe]

| COUPle

| METHod

| [STATe]

| Y[SCALe]

| Y:AUTO

Click on a Red keyword to view the command details.

See Also

  • Referring to Traces Channels Windows and Meas Using SCPI

  • See an example using some of these commands

  • Synchronizing the VNA and Controller

  • Learn about Screen Setup

  • SCPI Command Tree

DISPlay:ANNotation:FREQuency[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns frequency information on the display title bar ON or OFF for all windows.
Parameters |
<bool> | ON or 1 - Turns frequency annotation ON. OFF or 0 - Turns frequency annotation OFF.
Examples | DISP:ANN:FREQ ON display:annotation:frequency:state off
Query Syntax | DISPlay:ANNotation:FREQuency[:STATe]?
Return Type | Boolean
Default | ON or 1

DISPlay:ANNotation:MESSage:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables and disables error pop-up messages on the display.
Parameters |
<bool> | ON or 1 - Enables error pop-up messages OFF or 0 - Disables error pop-up messages
Examples | DISP:ANN:MESS:STAT ON display:annotation:message:state off
Query Syntax | DISPlay:ANNotation:MESSage:STATe?
Return Type | Boolean
Default | ON or 1

DISPlay:ANNotation[:STATus] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns the status bar at the bottom of the screen ON or OFF. The status bar displays information for the active window.
Parameters |
<bool> | ON or 1 - Turns status bar ON. OFF or 0 - Turns status bar OFF.
Examples | DISP:ANN ON display:annotation:status off
Query Syntax | DISPlay:ANNotation[:STATus]?
Return Type | Boolean
Default | Last state that was set.

DISPlay:ARRange <char>

Applicable Models: E5080A, M9485A

(Write-only) Places EXISTING measurements into pre-configured window arrangements. Overlay, Stack(2), Split(3), and Quad(4) creates new windows.

Parameters

<char>

Window arrangement. Choose from:

  • TILE - tiles existing windows

  • OVERlay - all traces placed in 1 window. If there are more than 24 traces, use 2 windows. If more than 48, use 3 windows and so on.

  • STACk - 2 windows

  • SPLit - 3 windows

  • QUAD - 4 windows

  • MEASure - 1 measurement per window

  • CHANnel - 1 channel per window

Examples

DISP:ARR SPL
display:arrange overlay

Default

Not Applicable

DISPlay:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the existing Window numbers. To read the window number of the selected trace, use Calc:Par:WNUM.
Return Type | String of Character values, separated by commas
Example | Two windows with numbers 1 and 2 returns: "1,2"
Default | Not Applicable

DISPlay:ENABLE <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to disable or enable all analyzer display information in all windows in the analyzer application. Marker data is not updated. More CPU time is spent making measurements instead of updating the display.
Parameters |
<bool> | ON or 1 - Turns the display ON. OFF or 0 - Turns the display OFF.
Examples | DISP:ENAB ON display:enable off
Query Syntax | DISPlay:ENABle?
Return Type | Boolean
Default | ON or 1

DISPlay:FSIGn <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Shows or hides the window which displays global pass/fail results.
Parameters |
<bool> | ON or 1 - Displays the pass/fail dialog OFF or 0 - Hides the pass/fail dialog
Examples | DISP:FSIG ON display:fsign off
Query Syntax | DISPlay:FSIGn?
Return Type | Boolean
Default | OFF or 0

DISPlay:MEASure<mnum>:DELete

Applicable Models: E5080A, M9485A

(Write-only) Deletes the trace associated with the specified measurement number. Note: The measurement is not deleted. This command does the reverse of DISP:MEAS:FEED.
Parameters |
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | DISP:MEAS:DEL display:measure2:delete
Query Syntax | DISPlay:MEASure<mnum>:DELete?
Return Type | Not Applicable
Default | Not Applicable

DISPlay:MEASure<mnum>:FEED

Applicable Models: E5080A, M9485A

(Write-only) This command creates a new trace in the specified window and connects the trace to measurement which results in the trace displaying the data from measurement.
Parameters |
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | DISP:MEAS:FEED display:measure:feed
Query Syntax | DISPlay:MEASure:FEED?
Return Type | Not Applicable
Default | Not Applicable

DISPlay:MEASure<mnum>:MEMory[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns the memory trace ON or OFF for the specified measurement. Note: DISP:MEAS:FEED must first be done to feed the measurement to a trace. This command behaves the same as DISP:WIND:TRAC:MEM[:STAT] except that it only requires the measurement number.
Parameters |
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | ON or 1 - Turns the memory trace ON. OFF or 0 - Turns the memory trace OFF.
Examples | DISP:MEAS:MEM ON display:measure:memory:state off
Query Syntax | DISPlay:MEASure<mnum>:MEMory[:STATe]?
Return Type | Boolean
Default | OFF

DISPlay:MEASure<mnum>:MOVE <toWin>

Applicable Models: E5080A, M9485A

(Write-only) Moves a trace associated with measurement number to the specified window. If the window is OFF, it will be turn ON.
Parameters |
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<toWin> | Number of the window to which the specified measurement is moved. If the window does not exist, it will be created.
Examples | DISP:MEAS:MOVE 2 display:measure:move 1
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:MEASure<mnum>:SELect

Applicable Models: E5080A, M9485A

(Write-only) Activates the specified measurement to be selected.
Parameters |
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | DISP:MEAS:SEL display:measure:select
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:MEASure<mnum>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the display of a trace associated with the specified measurement. When OFF, the measurement behind the trace is still active.

Note: A trace must first be created (via FEED), then the visibility of the trace can be affected with this command. If the trace has not been created, an error is generated: 107,Requested trace not found.

Parameters

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<bool>

ON or 1 - Turns the trace ON.
OFF or 0 - Turns the trace OFF.

Examples

DISP:MEAS:STAT ON
display:measure off

Query Syntax

DISPlay:MEASure<mnum>[:STATe]?

Return Type

Boolean

Default

ON or 1

DISPlay:MEASure<mnum>:TITLe:DATA <string>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or gets the title for the specified measurement. The trace title is embedded in the trace status field. Learn more about Trace Titles.

Newer entries replace (not append) older entries. The title is turned ON and OFF with DISP:WIND:TRAC:TITL:STAT.

Parameters

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<string>

Used as the title to be displayed for the measurement. Any characters (not spaces) enclosed with quotes.

Examples

DISP:MEAS:TITL:DATA 'MyNewMeas'
display:measure:title:data 'hello'

Query Syntax

DISPlay:MEASure<mnum>:TITLe:DATA?

Return Type

String

Default

Not Applicable

DISPlay:MEASure<mnum>:TITLe[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the measurement title. Note: The measurement and trace need to exist. When turned OFF, the previous trace title returns. Set a new trace title using DISP:WIND:TRAC:TITL:DATA Learn more about Trace Titles
Parameters |
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<bool> | ON or 1 - turns the title ON. OFF or 0 - turns the title OFF.
Examples | DISP:MEAS:TITL ON Display:measure:title:state off
Query Syntax | DISPlay:MEAS<mnum>:TITLe[:STATe]?
Return Type | Boolean
Default | OFF or 0

DISPlay:MEASure<mnum>:Y[:SCALe]:AUTO

Applicable Models: E5080A, M9485A

(Write-only) Performs an Autoscale on the specified trace in the specified measurement, providing the best fit display.

Autoscale is performed only when the command is sent; it does NOT keep the trace autoscaled indefinitely.

Autoscale behaves differently when scale coupling is enabled. How it behaves depends on the scale coupling method. Learn more.

See Also, DISPlay:WINDow:Y:AUTO which performs an Autoscale All.

Parameters

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

Examples

DISP:MEAS:Y:AUTO
display:measure:y:scale:auto

Query Syntax

Not Applicable

Default

Not Applicable

DISPlay:MEASure<mnum>:Y[:SCALe]:PDIVision <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Y axis Scale Per Division value of the specified trace associated with the specified measurement.

Note: The measurement and trace need to exist.

Parameters

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<num>

Units / division value (Real value). The range of acceptable values is dependent on format and domain.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

DISP:MEAS:Y:PDIV 1
display:measure:y:scale:pdivision maximum

Query Syntax

DISPlay:MEASure<mnum>:Y[:SCALe]:PDIVision?

Return Type

Numeric

Default

10

DISPlay:MEASure<mnum>:Y[:SCALe]:RLEVel <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Y axis Reference Level of the specified trace associated with the specified measurement.

Note: The measurement and trace need to exist.

Parameters

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<num>

Reference level value (Real value). The range of acceptable values is dependent on format and domain.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

DISP:MEAS:Y:RLEV 0
display:measure:y:scale:rlevel minimum

Query Syntax

DISPlay:MEASure<mnum>:Y[:SCALe]:RLEVel?

Return Type

Numeric

Default

0

DISPlay:MEASure<mnum>:Y[:SCALe]:RPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Reference Position of the specified trace associated with the specified measurement.

Note: The measurement and trace need to exist.

Parameters

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<num>

Reference position on the screen measured in horizontal graticules from the bottom (Real value). The range of acceptable values is dependent on format and domain.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

DISP:MEAS:Y:RPOS 0
display:measure:y:rposition maximum

Query Syntax

DISPlay:MEASure<mnum>:Y[:SCALe]:RPOSition?

Return Type

Numeric

Default

5

DISPlay:SHEet<num>:ARRange <char>

Applicable Models: E5080A, M9485A

(Write-only) This command arranges existing windows to sheets.
Parameters |
<num> | Sheet number
<char> | Sheet arrangement. Choose from: WINDow: one sheet per window CHANnel: one sheet per channel TRACe: one channel per sheet ONE: merge all windows into one sheet
Examples | DISP:SHE:ARR CHAN display:sheet:arrange channel
Query Syntax | Not Applicable
Return Type | Not Applicable
Default | One sheet per window

DISPlay:SHEet<num>:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) This command reads and displays comma separated list of window numbers which the sheet contains.
Parameters |
<num> | Sheet number
Examples | DISP:SHE:CAT? display:sheet:catalog?
Return Type | Character
Default | "1"

DISPlay:SHEet<num>:STATe

Applicable Models: E5080A, M9485A

(Write-only) Sets the sheet visible and invisible: ON: If OFF, sets the sheet visible with a new window. OFF: If ON, sets the sheet invisible with all the containing window state OFF (DISPlay:WINDow:STATe OFF)
Parameters |
<num> | Sheet number
Examples | DISP:SHE:STAT ON display:sheet:state off
Query Syntax | DISPlay:SHEet:STATe?
Return Type | Bool
Default | OFF except for Sheet 1

DISPlay:SHEet<num>:TITLe:DATA <char>

Applicable Models: E5080A, M9485A

(Read-Write) This command sets or gets the sheet label.
Parameters |
<num> | Sheet number
<char> | The label of the sheets. Default and present value is "Sheet 1"
Examples | DISP:SHE:TITL:DATA "Sheet 1" display:sheet:title:data "Sheet 1"
Query Syntax | DISPlay:SHEet:TITLe:DATA?
Return Type | Character
Default | "Sheet 1"

DISPlay:SPLit <num>

Applicable Models: E5080A, M9485A

(Write-only) Destroys all existing traces, channels and windows, then creates N windows. No channels are created.
Parameters |
<num> | N is 1 or greater.
Examples | DISP:SPL display:split
Query Syntax | DISPlay:SPLit?
Return Type | Numeric
Default | Not Applicable

DISPlay:STATus:LOG:CLEar

Applicable Models: E5080A, M9485A

(Write-only) Clears the message region in the status bar.
Parameters |
Examples | DISP:STAT:LOG:CLE display:status:log:clear
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:TMAX <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Maximizes (isolates) or restores the active trace in the active window. When turned ON, the active trace is the ONLY trace on the display. All other traces are hidden. Learn more.
Parameters |
<bool> | ON or 1 - Maximize/isolates the active trace. OFF or 0 - Restores other traces to the normal window setting.
Examples | DISP:TMAX ON display:tmax 0
Query Syntax | DISPlay:TMAX?
Return Type | Boolean
Default | OFF or 0

DISPlay[:TILE | TILe]

This command is replaced by DISP:ARR

(Write-only) Tiles the windows on the screen.
Examples | DISP display:tile
Default | Not Applicable

DISPlay:TOOLbar:CSET[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Displays the Cal Set Viewer in the GUI. See this toolbar.
Parameters |
<bool> | ON or 1 - Toolbar ON. OFF or 0 - Toolbar OFF.
Examples | DISP:TOOL:CSET ON display:toolbar:cset:state off
Query Syntax | DISPlay:TOOLbar:CSET[:STATe]?
Return Type | Boolean
Default | OFF

DISPlay:TOOLbar:ENTRy[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to show or hide the active entry toolbar. See this toolbar.
Parameters |
<bool> | ON or 1 - Toolbar ON. OFF or 0 - Toolbar OFF.
Examples | DISP:TOOL:ENTR ON display:toolbar:entry:state off
Query Syntax | DISPlay:TOOLbar:ENTRy[:STATe]?
Return Type | Boolean
Default | ON

DISPlay:TOOLbar:MARKer[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to show or hide the marker toolbar. See this toolbar.
Parameters |
<bool> | ON or 1 - Toolbar ON. OFF or 0 - Toolbar OFF.
Examples | DISP:TOOL:MARK ON display:toolbar:marker:state off
Query Syntax | DISPlay:TOOLbar:MARKer[:STATe]?
Return Type | Boolean
Default | ON

DISPlay:UPDate:IMMediate

Applicable Models: E5080A, M9485A

(Write-only) Executes the display update once when the display update of the LCD screen is set to OFF (specifying False with the DISPlay:ENABle object).
Parameters |
Examples | DISP:UPD:IMM display:update:immediate
Query Syntax | Not Applicable
Return Type | Not Applicable
Default | Not Applicable

DISPlay:UPDate[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the display update.
Parameters |
<bool> | ON or 1 - Update is turns ON. OFF or 0 - Update is turns OFF.
Examples | DISP:UPD ON display:update:state off
Query Syntax | DISPlay:UPDate[:STATe]?
Return Type | Boolean
Default | ON

DISPlay:VISible <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Makes the VNA application visible or not visible. In the Not Visible state, the analyzer cycle time for making measurements, and especially data transfer, can be significantly faster because the display does not process data.
Parameters |
<bool> | ON (or 1) - VNA app is visible OFF (or 0) - VNA app is NOT visible
Examples | DISP:VIS ON display:visible off
Query Syntax | DISPlay:VISible?
Return Type | Boolean
Default | ON

DISPlay:WINDow<wnum>:ANNotation:LIMit:XPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the horizontal (X-axis) position where the limit line pass/fail annotation will appear in the display window. See other SCPI Limit commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | X-axis position. Choose a value between 0 (far left) and 10 (far right).
Examples | DISP:WIND:ANN:LIM:XPOS 1.5 display:window:annotation:limit:xposition 5
Query Syntax | DISPlay:WINDow:ANNotation:LIMit:XPOSition?
Return Type | Numeric
Default | 7

DISPlay:WINDow<wnum>:ANNotation:LIMit:YPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the vertical (Y-axis) position where the limit line pass/fail annotation will appear in the display window. See other SCPI Limit commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | Y-axis position. Choose a value between 0 (far left) and 10 (far right).
Examples | DISP:WIND:ANN:LIM:YPOS 1.5 display:window:annotation:limit:yposition 5
Query Syntax | DISPlay:WINDow:ANNotation:LIMit:YPOSition?
Return Type | Numeric
Default | 0

DISPlay:WINDow<wnum>:ANNotation:MARKer:COUPle[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the marker readouts to coupled (one combination annotation) or not coupled (one annotation per trace). This setting is per Window scope. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<bool> | ON (or 1) - Marker readouts are coupled OFF (or 0) - Marker readouts are not coupled
Examples | DISP:WIND:ANN:MARK:COUP ON display:window:annotation:marker:couple on
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:COUPle?
Return Type | Boolean
Default | ON

DISPlay:WINDow<wnum>:ANNotation:MARKer:NUMBer <num>

Applicable Models: E5080A, M9485A

This command replaces DISP:WIND:ANN:MARK:SING (Read-Write) Sets the number of marker readouts to display per trace. Display up to 20 marker readouts per window. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | Number of marker readouts to display. Choose a value between 1 and 10.
Examples | DISP:WIND:ANN:MARK:NUMB 7 display:window:annotation:marker:number 2
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:NUMBer?
Return Type | Numeric
Default | 5

DISPlay:WINDow:ANNotation:MARKer:MEASure<mnum>:XPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the X-axis position of marker readouts. Readouts are right-justified at the specified position. This function is used when :DISP:WIND:ANN:MARK:COUP:STAT is off. Use :DISP:WIND:ANN:MARK:XPOS is used when :DISP:WIND:ANN:MARK:COUP:STAT is on. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<mnum> | Measurement. If unspecified, value is set to 1.
<num> | X-axis position. Choose a value between 1 (far left) and 10 (far right).
Examples | DISP:WIND:ANN:MARK:MEAS:XPOS 1.5 display:window:annotation:marker:measure:xposition 5
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:MEASure:XPOSition?
Return Type | Numeric
Default | 10

DISPlay:WINDow:ANNotation:MARKer:MEASure<mnum>:YPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Y-axis position of marker readouts. Readouts are top-justified at the specified position. This function is used when :DISP:WIND:ANN:MARK:COUP:STAT is off. Use :DISP:WIND:ANN:MARK:YPOS is used when :DISP:WIND:ANN:MARK:COUP:STAT is on. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<mnum> | Measurement. If unspecified, value is set to 1.
<num> | Y-axis position. Choose a value between 1 (bottom) and 10 (top).
Examples | DISP:WIND:ANN:MARK:MEAS:YPOS 1.5 display:window:annotation:marker:measure:yposition 5
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:MEASure:YPOSition?
Return Type | Numeric
Default | 10

DISPlay:WINDow<wnum>:ANNotation:MARKer:RESolution:RESPonse <num>

Applicable Models: E5080A, M9485A

(Read-Write) For the Y-axis (response), sets the number digits to display after the decimal point in marker readouts. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | Number of digits to display. Choose a value between 1 and 4.
Examples | DISP:WIND:ANN:MARK:RES:RESP 1 display:window:annotation:marker:resolution:stimulus 2
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:RESolution:RESPonse?
Return Type | Numeric
Default | 2

DISPlay:WINDow<wnum>:ANNotation:MARKer:RESolution:STIMulus <num>

Applicable Models: E5080A, M9485A

(Read-Write) For the X-axis (stimulus), sets the number digits to display after the decimal point in marker readouts. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | Number of digits to display. Choose a value between 2 and 6.
Examples | DISP:WIND:ANN:MARK:RES:STIM 2 display:window:annotation:marker:resolution:stimulus 4
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:RESolution:STIMulus?
Return Type | Numeric
Default | 3

DISPlay:WINDow<wnum>:ANNotation:MARKer:SIZE | SIZe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the size of the marker readout text. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<char> | Readout text size. Choose from:NORMal | LARGe
Examples | DISP:WIND:ANN:MARK:SIZ LARG display:window:annotation:marker:size normal
Query Syntax | DISPlay:WINDow<wnum>:ANNotation:MARKer:SIZE | SIZe?
Return Type | Character
Default | NORMal

DISPlay:WINDow<wnum>:ANNotation:MARKer[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to show or hide the Marker readout (when markers are ON) on the selected window. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<bool> | ON or 1 - Turns marker readout ON. OFF or 0 - Turns marker readout OFF.
Examples | DISP:WIND:ANN:MARK ON display:window:annotation:marker:state off
Query Syntax | DISPlay:WINDow:ANNotation:MARKer[:STATe]?
Return Type | Boolean
Default | ON

DISPlay:WINDow<wnum>:ANNotation:MARKer:SYMBol <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the symbol to display for marker position.

See other SCPI Marker commands.

Parameters

<wnum>

Any existing window number. If unspecified, value is set to 1.

<char>

Marker symbol. Choose from:

  • TRIangle

  • FLAG

  • LINE

See pictures of each

Examples

DISP:WIND:ANN:MARK:SYMB TRI

display:window:annotation:marker:symbol line

Query Syntax

DISPlay:WINDow:ANNotation:MARKer:SYMBol?

Return Type

Character

Default

TRIangle

DISPlay:WINDow<wnum>:ANNotation:MARKer:VISible <char>

Applicable Models: E5080A, M9485A

(Read-Write) Shows the marker readouts only for active trace or for all traces. This setting is per Window scope. See this toolbars
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<char> | ACTive - readout is turned on for active trace only. ALL - readout is turned on for all traces.
Examples | DISP:WIND:ANN:MARK:VIS ACT display:windows:annotation:marker:visible all
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:VISible?
Return Type | Character
Default | ALL

DISPlay:WINDow<wnum>:ANNotation:MARKer:XPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the X-axis position of marker readouts. Readouts are right-justified at the specified position. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | X-axis position. Choose a value between 0 (far left) and 10 (far right).
Examples | DISP:WIND:ANN:MARK:XPOS 1.5 display:window:annotation:marker:xposition 5
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:XPOSition?
Return Type | Numeric
Default | 10

DISPlay:WINDow<wnum>:ANNotation:MARKer:YPOSition <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Y-axis position of marker readouts. Readouts are top-justified at the specified position. See other SCPI Marker commands. Learn more about Marker readout.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<num> | Y-axis position. Choose a value between 0 (bottom) and 10 (top).
Examples | DISP:WIND:ANN:MARK:YPOS 1.5 display:window:annotation:marker:yposition 5
Query Syntax | DISPlay:WINDow:ANNotation:MARKer:YPOSition?
Return Type | Numeric
Default | 10

DISPlay:WINDow<wnum>:ANNotation[:TRACe][:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to show or hide the Trace Status buttons on the top of the display.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<bool> | ON or 1 - Turns the buttons ON. OFF or 0 - Turns the buttons OFF.
Examples | DISP:WIND:ANN ON display:window:annotation:trace:state off
Query Syntax | DISPlay:WINDow:ANNotation[:TRACe][:STATe]?
Return Type | Boolean
Default | ON or 1

DISPlay:WINDow<wnum>:ANNotation: Y[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the Y-axis scale label in display window.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<bool> | ON or 1 - Turns ON the Y-axis scale. OFF or 0 - Turns OFF the Y-axis scale.
Examples | DISP:WIND:ANN:Y ON display:window:annotation:y off
Query Syntax | DISPlay:WINDow:ANNotation:Y?
Return Type | Boolean
Default | ON or 1

DISPlay:WINDow<wnum>:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the trace numbers for the specified window.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
Example | Window 1 with four traces: DISPlay:WINDow1:CATalog? Returns: "1,2,3,4"
Return Type | String of Character values separated by commas
Default | Not Applicable

DISPlay:WINDow<wnum>:ENABle <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to disable or enable all analyzer display information in the specified window. Marker data is not updated. More CPU time is spent making measurements instead of updating the display.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<bool> | ON (or 1) - turns the display ON. OFF (or 0) - turns the display OFF.
Examples | DISP:WIND:ENABle ON display:window1:enable off
Query Syntax | DISPlay:WINDow<wnum>:ENABle?
Return Type | Boolean
Default | ON

DISPlay:WINDow<wnum>:FEED <snum>

Applicable Models: E5080A, M9485A

(Write-only) This command feeds a specified window to the sheet. If there is a window in the sheet, the sheet is visible. If there is no window in the sheet, the sheet is not visible. If no windows exists in the system, one empty sheet is visible.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<snum> | Sheet number
Examples | DISP:WIND:FEED 5 display:window:feed 5
Return Type | Not Applicable
Default | Not Applicable

DISPlay:WINDow<wnum>:NEXT[:NUMBer]?

Applicable Models: E5080A, M9485A

(Read-only) Returns the lowest window number which has less than the maximum number of traces. Basically, returns the first window which has room for another trace. Note that the window may need to be turned on first (i.e. disp:wind:stat ON may be needed).
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
Examples | DISP:WIND:NEXT display:window1:NEXT
Query Syntax | DISPlay:WINDow<wnum>:NEXT?
Return Type | Not Applicable
Default | Not Applicable

DISPlay:WINDow<wnum>:SIZe<char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the window setting of Maximized, Minimized or Normal. To arrange all of the windows, use DISP:ARR.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1
<char> | Window size. Choose from: MAX | NORM
Examples | DISP:WIND:SIZ MAX display:window:size norm
Query Syntax | DISPlay:WINDow:SIZE?
Default | Not Applicable

DISPlay:WINDow<wnum>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) To create or delete a window on the screen or Read whether a window is present.
Parameters |
<wnum> | Window number to create; choose any integer between 1 and the maximum number of windows allowed in the VNA.
<bool> | ON or 1 - The window <wnum> is created. OFF or 0 - The window <wnum> is deleted.
Examples | DISP:WIND ON display:window2:state off
Query Syntax | DISPlay:WINDow<wnum>[:STATe]?
Return Type | Boolean
Default | Window number "1" ON

DISPlay:WINDow<wnum>:TABLe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Write to show the specified table at the bottom of the analyzer screen or Read to determine what table is visible.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1
<char> | Table to show. Choose from: OFF | MARKer | LIMit | SEGMent
Examples | DISP:WIND:TABLe SEGM display:window:table off
Query Syntax | DISPlay:WINDow:TABLe?
Default | OFF

DISPlay:WINDow<wnum>:TITLe:DATA <string>

Applicable Models: E5080A, M9485A

(Read-Write) Sets data in the window title area. The title is turned ON and OFF with DISP:WIND:TITL:STAT OFF.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<string> | Title to be displayed. Any characters, enclosed with quotes. If the title string exceeds 50 characters, an error will be generated and the title not accepted. Newer entries replace (not append) older entries.
Examples | DISP:WIND:TITL:DATA 'hello' display:window2:title:data 'hello'
Query Syntax | DISPlay:WINDow<wnum>:TITLe:DATA?
Return Type | String
Default | Not Applicable

DISPlay:WINDow<wnum>:TITLe[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns display of the title string ON or OFF. When OFF, the string remains, ready to be re-displayed when turned back ON.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1
<bool> | ON or 1 - Turns the title string ON. OFF or 0 - Turns the title string OFF.
Examples | DISP:WIND:TITL ON Display:window1:title:state off
Query Syntax | DISPlay:WINDow<wnum>:TITLe[:STATe]?
Return Type | Boolean
Default | ON

DISPlay:WINDow<wnum>:TRACe<tnum>:DELete

Applicable Models: E5080A, M9485A

(Write-only) Deletes the specified trace from the specified window. The measurement parameter associated with the trace is not deleted.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1.
<tnum> | The number of the trace to be deleted; if unspecified, value is set to 1. Note: This is NOT the trace number of the channel which appears as the Tr annotation on the Trace Status display. This <tnum> is the trace number within the specified window, and is used ONLY for remote programs.
Examples | DISP:WIND:TRAC:DEL display:window2:trace2:delete
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:WINDow:TRACe:GRATicule:GRID:LTYPE <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the grid line type (solid | dotted) for all open windows. Grid is returned to solid when the VNA is Preset. Learn more.
Parameters |
<value> | Line type. Choose from: SOLid - Solid lines DOTTed - Dotted lines
Examples | DISP:WIND:TRAC:GREAT:GRID:LTYPE SOL display:window:trace:graticule:grid:ltype dotted
Query Syntax | DISPlay:WINDow:TRACe:GRATicule:GRID:LTYPE?
Return Type | Character
Default | SOLID

DISPlay:WINDow:TRACe:Y[:SCALe]:COUPle:METHod <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the method of scale coupling. Learn more about Scale coupling.
Parameters |
<char> | OFF - NO scale coupling for any windows. WINDow - Scale settings are coupled for traces in each window. ALL - Scale settings are coupled for traces in ALL selected windows. Enable the selected windows using DISP:WIND:TRAC:Y:COUP ON
Examples | DISP:WIND:TRAC:Y:COUP:METH ALL Display:window2:trace:y:scale:method window
Query Syntax | DISPlay:WINDow:TRACe:Y[:SCALe]:COUPle:METHod?
Return Type | Character
Default | OFF

DISPlay:WINDow<wnum>:TRACe:Y[:SCALe]:COUPle[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables and disables scale coupling for the specified window. Learn more about Scale coupling.
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1 Use Disp:Cat? to read the existing window numbers.
<bool> | ON or 1 - Scale coupling enabled for specified window. OFF or 0 - Scale coupling disabled for specified window.
Examples | DISP:WIND:TRAC:Y:COUP ON Display:window2:trace:y:scale:couple:state off
Query Syntax | DISPlay:WINDow<wnum>:TRACe:Y[:SCALe]:COUPle[:STATe]?
Return Type | Boolean
Default | ON or 1

DISPlay:WINDow<wnum>:Y[:SCALe]:DIVisions <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the number of divisions in all the graphs, for the selected channel
Parameters |
<wnum> | Any existing window number. If unspecified, value is set to 1 Use Disp:Cat? to read the existing window numbers.
<bool> | ON or 1 - Scale coupling enabled for specified window. OFF or 0 - Scale coupling disabled for specified window.
<num> | Number of divisions is between 4 to 30. Units / division value. The range of acceptable values is dependent on format and domain. Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | DISP:WIND:Y:DIV 12 Display:window2:y:scale:divisions 12
Query Syntax | DISPlay:WINDow<wnum>:Y[:SCALe]:DIVisions?
Return Type | Boolean
Default | 10

DISPlay:WINDow<wnum>:Y:AUTO

Applicable Models: E5080A, M9485A

(Write-only) Scales ALL of the traces to fit in the same window. This is equivalent to "Autoscale All" from the front panel.

Autoscale behaves differently when scale coupling is enabled. How it behaves depends on the scale coupling method. Learn more.

Autoscale is performed only when the command is sent; it does NOT keep the trace autoscaled indefinitely.

See Also, DISPlay:WINDow:TRACe:Y:AUTO which Autoscales only the specified trace.

Parameters

<wnum>

Any existing window number. If unspecified, value is set to 1.

Use Disp:Cat? to read the existing window numbers.

Examples

DISP:WIND:Y:AUTO
display:window2:y:auto

Query Syntax

Not Applicable

Default

Not Applicable

Last modified:

5-Jan-2016

First Release


Format SCPI

Format Commands

Specifies the way that data will be transferred when moving large amounts of data.

FORMat:

BORDer

[DATA]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

FORMat:BORDer <char>

Applicable Models: E5080A, M9485A

(Read-Write) Set the byte order used for GPIB data transfer. Some computers read data from the analyzer in the reverse order. This command is only implemented if FORMAT:DATA is set to :REAL. If FORMAT:DATA is set to :ASCII, the swapped command is ignored.
Parameters |
<char> | Choose from: NORMal - Use when your controller is anything other than an IBM compatible computers. SWAPped - for IBM compatible computers. Note: Use NORMal if you are using VEE, LabView or T&M Tool kit.
Examples | FORM:BORD SWAP format:border normal
Query Syntax | FORMat:BORDer?
Return Type | Character
Default | Normal

FORMat[:DATA] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the data format for transferring measurement data and frequency data.

  • To transfer measurement data, use CALC:DATA.

  • To transfer Cal Set data, use SENS:CORR:CSET:DATA

  • To transfer Source Power correction data, use:

  • SOURce:POWer:CORRection:COLLect:TABLe:DATA

  • SOURce:POWer:CORRection:COLLect:TABLe:FREQuency

  • SOURce:POWer:CORRection:DATA

  • To transfer FIFO buffer data, use SYST:FIFO:DATA?

The following commands transfer frequency data. Use <REAL, 64>

  • CALC:DATA:SNP?

  • CALC:DATA:SNP:PORTS?

  • CALC:X?

  • SENS:X?

Use FORMat:BORDer to change the byte order. Use “NORMal” when transferring a binary block from LabView or VEE. For other programming languages, you may need to SWAP the byte order.

Parameters

<char>

In the VNA, measurement data is stored as 32 bit and frequencies stored as 64 bit. Therefore, use REAL,32 when getting data and REAL,64 when getting frequencies. That way you are guaranteed to avoid losing any precision as well as getting the maximum speed on the data transfer.

Choose from:

  • REAL,32 - (default value for REAL) Best for transferring large amounts of measurement data. Can cause rounding errors in frequency data.

  • REAL,64 - Slower but has more significant digits than REAL,32. REQUIRED to accurately represent frequency data. See above list for commands which transfer frequency information.

  • ASCii,0 - The easiest to implement, but very slow. Use when you have small amounts of data to transfer.

Note: The REAL,32 and REAL,64 arguments transfer data in block format as explained in Transferring Measurement Data.

Note: The default value for REAL of the E507x, E506x is REAL, 64.

Examples

FORM REAL,64
1format:data ascii

Query Syntax

FORMat:DATA?

Return Type

Character,Character

Default

ASCii,0

Syst:Preset does NOT reset this command.

However, *RST does reset this command to ASCii,0

Last Modified:

5-Jan-2016

First Release


Hardcopy SCPI

Hardcopy Command

Controls printing of the VNA screen and optional data to a printer or a file.

HCOPy:

[IMMediate]

FILE

SDUMP

| DATA?

| FORMat

Click on a Red keyword to view the command details.

See Also

  • Learn more about VNA Printing

  • Example Programs

  • Synchronizing the VNA and Controller

HCOPy[:IMMediate]

Applicable Models: E5080A, M9485A

(Write-only) Prints the screen to the default printer.
Examples | HCOP hcopy:immediate
Query Syntax | Not applicable
Default | Not Applicable

HCOPy:FILE <filename>

Applicable Models: E5080A, M9485A

(Write-only) Saves the screen image to a file. The image does NOT include the optional print data invoked by many HCOPy commands.
Parameters |
<filename> | Name of the file to save the screen to. The file is saved to the current working directory unless a valid full path name is specified. Use one of the following suffixes: .bmp - not recommended due to large file size .jpg - not recommended due to poor quality .png - recommended
Examples | HCOPY:FILE "myFile.png" hcopy:file "D:\myfile.png"
Query Syntax | Not Applicable
Default | Not Applicable

HCOPy:SDUMp:DATA?

Applicable Models: E5080A, M9485A

(Read-only) Returns the display image in a definite-length arbitrary binary block. The format of the data is PNG by default. Use HCOP:SDUM:DATA:FORM to change the format.

This command is equivalent to saving an image to the VNA (HCOPy:FILE) and then using MMEM:TRAN to transfer the file to the computer.

Examples

HCOP:SDUM?

hcopy:sdump?

Return Type

A definite-length arbitrary binary block

Default

Not Applicable

HCOPy:SDUMp:DATA:FORMat <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the graphic format for HCOPy:SDUMp:DATA?
Parameters |
<char> | Choose from: JPG | BMP | PNG
Examples | HCOP:SDUMp:DATA:FORMat BMP
Query Syntax | HCOPy:SDUMp:DATA:FORMat?
Return Type | Character
Default | PNG

Last modified:

5-Jan-2016

First Release


Initiate SCPI

Initiate Commands

Controls triggering signals

INITiate:

CONTinuous

[IMMediate]

Click on a Red keyword to view the command details.

See Also

  • Example Triggering the VNA

  • Learn about Triggering

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

INITiate:CONTinuous <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether the VNA trigger source is set to Internal (continuous) or Manual.

  • For SIMPLE, single-triggering of a single channel, use SENS:SWE:MODE SING which sets the number of trigger signals each channel will ACCEPT (Continuous, Groups, Single, or HOLD - none.)

  • This command is a subset of TRIG:SEQ:SOURce, which can also set the trigger source to External.

  • See a map of user interface to SCPI triggering commands.

  • For more information on triggering, see the VNA Trigger Model.

  • See the Example program: Triggering the VNA using SCPI.

Parameters

<bool>

ON (or 1) - Internal (continuous) trigger.

OFF (or 0) - Manual sweep. Use INIT:IMMediate to send a trigger signal

Examples

INIT:CONT ON
initiate:continuous off

Query Syntax

INITiate:CONTinuous?

Return Type

Boolean (1 = ON, 0 = OFF)

Default

ON

INITiate<cnum>[:IMMediate]

Applicable Models: E5080A, M9485A

(Write-only) Stops the current sweeps and immediately sends a trigger. (Same as Manual Trigger! in the Trigger dialog box.)

  • This command requires Trigger:Source to be set to Manual. This causes ONE trigger signal to be SENT each time INIT:IMM is issued.

  • For SIMPLE, single-triggering of a single channel, use SENS:SWE:MODE SING which sets the number of trigger signals each channel will ACCEPT (Continuous, Groups, Single, or HOLD - none.)

See the Example program: Triggering the VNA using SCPI

Note: An SMC Fixed Output measurement cannot be triggered using this command. For more information, see the example program.

To trigger ALL channels in turn:

Set ALL channels to Sens<ch>:Sweep:Mode Continuous. The <ch> argument in INIT<ch>:IMM is ignored.

Then…

  • TRIG:SCOP ALL triggers ALL channels (in sequence) each time Init:Imm is sent.

  • TRIG:SCOP CURRent triggers ONLY the NEXT channel each time Init:Imm is sent.

To trigger ONLY a specified channel:

  1. Set ALL channels to Sens<ch>:Sweep:Mode HOLD

  2. Send TRIG:SCOP CURRent

  3. Send Init<ch>:Imm where <ch> is the channel to be triggered.

Advanced Situations that require some channels to be in CONT and others in HOLD are rare. The following describes the behavior of the Init:Imm command in these situations:

When Trigger:Scope = Global:

  • If the SPECIFIED <cnum> channel is in hold mode, it is put in single trigger (accepts 1 trigger signal) and goes to the end of the queue of channels to be triggered. The other 'non-hold' channels are triggered. The next Init:Imm triggers the specified channel first.

For example: ch1 is in Hold, ch2 and ch3 are in CONT and we send INIT1:IMM

    • On the first INIT:IMM, ch2 and ch3 is triggered.

    • next INIT:IMM, ch1, ch2, ch3 is triggered.

    • next INIT:IMM, ch2 and ch3 is triggered.

    • next INIT:IMM, ch1, ch2, ch3 is triggered, and so forth.

When Trigger:Scope = Channel

  • Only ONE channel is triggered for each issued INIT<ch>:IMM command.

  • If the specified channel is in hold, it is put in single trigger (accepts 1 trigger signal) and goes the end of the queue of channels to be triggered as in the 'Global' example.

This is one of the VNA overlapped commands. Learn more.

Parameters

<c num>

Any existing channel number. If unspecified, value is set to 1

Examples

INIT
initiate2:immediate

Query Syntax

Not Applicable

Default

Not Applicable

Last modified:

5-Jan-2016

First Release


Memory SCPI

Memory Commands

The memory commands control saving and loading instrument states and measurement trace data to the hard drive. To read and write trace data in GPIB format, see CALC:DATA.

MMEMory:

CATalog?

| CORRection?

| CSARchive?

| CSTate?

| [:FILE]?

| STATe?

CDIRectory

COPY

DATE?

DELete

LOAD

| ASCFactor

| BSCFactor

| CORRection

| CSARchive

| ENR

| [:FILE]

| LIMit

| RLIMit

| SEGMent

| STATe

MDIRectory

MOVE

RDIRectory

STORe

| ASCFactor

| BSCFactor

| CORRection

| CSARchive

| CSTate

| CSV:FORMat

| DATA

| ENR

| [FILE]

| LIMit

| PLOSs

| RLIMit

| SEGMent

| SSCReen

| STATe

| TRACe

| TRACe

| FORMat

| SNP

TRANsfer

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Save/Recall and File Types

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Specifying Path Names

The MMEM commands use the following rules to specify path names:

  • The default folder is "D:\" Learn more.

  • You can change the active directory using MMEMory:CDIRectory.

  • Specify only the file name if using the active directory.

  • You can also use an absolute path name to specify the folder and file.

MMEMory:CATalog[:<char>]? [<folder>]

Applicable Models: E5080A, M9485A

(Read-only) Returns a comma-separated string of file names that are in the specified folder. If there are no files of the specified type, "NO CATALOG" is returned. Learn about File Types

Parameters

<char>

The type of files to list. Choose from:

  • CORRection - Calibration Data (.cal)

  • CSARchive - Instrument state and calibration data (.csa)

  • CSTate - Instrument state and link to Calibration data (.cst)

  • [:File]

  • STATe - Instrument states (.sta)

If unspecified then ALL file types (even unknown types) are listed.

<folder>

String - Any existing folder name. See Specifying Path Names

Examples

MMEM:CAT? 'lists all files from the current folder
mmemory:catalog:correction? c:\users\public\documents\Network analyzer\Documents' 'lists .cal files from the specified folder

Default

Not Applicable

MMEMory:CDIRectory <folder>

Applicable Models: E5080A, M9485A

(Read-Write) Changes the folder name.
Parameters |
<folder> | Any drive and folder name that already exists. If the same level as the default path, then no punctuation is required. MMEM:CDIR Service If the new folder is at a different level than the default, use a slash (/) before the folder name and enclose in quotes. mmemory:cdirectory '/automation' 'changes default directory up one level. You can use an absolute path to specify the new folder. mmemory:cdirectory 'c:/automation/service'
Query Syntax | MMEMory:CDIRectory? 'Returns the current folder name
Return Type | String
Default | See Specifying Path Names

MMEMory:COPY <file1>,<file2>

Applicable Models: E5080A, M9485A

(Write-only) Copies file1 to file2. Extensions must be specified.
Parameters |
<file1> | String - Name of the file to be copied. See Specifying Path Names
<file2> | String - Name of the file to be created from file1.
Examples | MMEM:COPY 'MyFile.cst','YourFile.cst'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:DATE? <fileName>

Applicable Models: E5080A, M9485A

(Read-only) Returns the (year, month, day) that the specified file was last saved.

To query the last date and time a cal set was modified, use CSET DATE? and CSET:TIME?

See Also

MMEM:TIME?

Parameters

<fileName>

String - File name. See Specifying Path Names

Example

MMEM:DATE? "myFile.txt"

'Returns

+2013,+4,+12

mmemory:date? "c:\users\public\documents\Network analyzer\UserCalSets\Calset_18.pcs"

'Returns

+2013,+4,+12

Return Type

Comma-separated integers

Default

Not applicable

MMEMory:DELete <file>

Applicable Models: E5080A, M9485A

(Write-only) Deletes file. Extensions must be specified.
Parameters |
<file> | String - Name of the file to be deleted. See Specifying Path Names
Examples | MMEM:DEL 'MyFile.cst'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:LOAD[:<char>] <file>

Applicable Models: E5080A, M9485A

(Write-only) Loads the specified file. Learn about File Types

Parameters

<char>

The type of file to load. Choose from:

  • ASCFactor

  • BSCFactor

  • CORRection - Calibration Data (.cal)

  • CSARchive - Instrument state and calibration data (.csa)

  • ENR - Excess Noise Source data (Noise Figure App only)

  • [:File]

  • SEGMent

  • STATe - Instrument states (.sta)

  • When <char> is ENR, then include CAL, - See example below.

  • *.sNp files CAN be recalled to the VNA although no <char> is used. See example below.

If <char> is unspecified, the extension must be included in the filename.

If an extension is specified in <file> that does not agree with <char> then no action is taken.

<file>

String - Name of the file to be loaded. See Specifying Path Names

Examples

MMEM:LOAD 'MyFile.cst'
mmemory:load:state 'MyInstState'

MMEM:LOAD:ENR CAL, C:/data/calset/346C_16500.enr"

MMEM:LOAD "MyFile.s2p"

Query Syntax

Not Applicable

Default

Not Applicable

MMEMory:LOAD:LIMit <file>

Applicable Models: E5080A, M9485A

(Write-only) Load limit test data from a CSV file.
Parameters |
<file> | A file path by string format. The CSV file shall have header lines and a title row as follows. "# E5080 Limit Test" "# Revision: 1.00" TYPE,BEGIN STIMULUS,END STIMULUS,BEGIN RESPONSE,END RESPONSE
Examples | MMEM:LOAD:LIM 'MyFile.csv'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:LOAD:RLIMit <file>

Applicable Models: E5080A, M9485A

(Write-only) Load ripple limit test data from a CSV file.
Parameters |
<file> | A file path by string format. The CSV file shall have header lines and a title row as follows. "# E5080 Ripple Limit Test" "# Revision: 1.00" TYPE,BEGIN STIMULUS,END STIMULUS,MAX RIPPLE
Examples | MMEM:LOAD:RLIM 'MyFile.csv'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:MDIRectory <folder>

Applicable Models: E5080A, M9485A

(Write-only) Makes a folder.
Parameters |
<folder> | String - Name of the folder to make. See Specifying Path Names
Examples | MMEM:MDIR 'MyFolder' mmemory:mdirectory 'c:/NewFolder'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:MOVE <file1>,<file2>

Applicable Models: E5080A, M9485A

(Write-only) Renames <file1> to <file2>. File extensions must be specified.
Parameters |
<file1> | String - Name of the file to be renamed. See Specifying Path Names
<file2> | String - Name of the new file.
Examples | MMEM:MOVE 'MyFile.cst','YourFile.cst'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:RDIRectory <folder>

Applicable Models: E5080A, M9485A

(Write-only) Removes the specified folder.
Parameters |
<folder> | String - Name of the folder to remove. See Specifying Path Names.
Examples | MMEM:RDIR 'MyFolder'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:STORe[:<char>] <file>

Applicable Models: E5080A, M9485A

(Write-only) Stores the specified file (.sta, .cal, .cst, .csa, .snp, s2px).

Learn about saving SNP files on the VNA.

Learn about saving S2Px files on the VNA.

To save other data files, use MMEM:STOR:DATA.

To save ENR files, use MMEMory:STORe:ENR

Parameters

<char>

Optional argument. The type of file to store. Choose from:

  • ASCFactor

  • BSCFactor

  • CORRection - Calibration Data (.cal)

  • CSARchive - Instrument state and calibration data (.csa)

  • CSTate - Instrument state and link to Calibration data (.cst)

  • CSV:FORMat

  • ENR

  • [:File]

  • PLOSs

  • SEGMent

  • SSCReen

  • STATe - Instrument states (.sta)

  • STATe:TRACe

  • TRACe

No <char> is specified for s1p, s2p, s2px and so forth.

Include either <char> or the file extension. If both <char> and the extension are specified, they must agree or an error is returned and no action is taken. See examples below.

Learn about File Types

<file>

String - Name of any valid file that does not already exist. See Specifying Path Names

Examples

MMEM:STOR:STAT 'myState'

mmemory:store 'c:/bin/myState.sta'

MMEM:STOR 'MyData.S2P'

Query Syntax

Not Applicable

Default

Not Applicable

MMEMory:STORe:DATA <filename>,<type>,<scope>,<format>,<selector>

Applicable Models: E5080A, M9485A

(Write-only) Stores trace data to the following file types: *.prn, *.cti, *.csv, *.mdf

To save snp files, use Calc:Data:SNP:PORTs:SAVE

To save state and calibration files, use MMEM:STORe

This command replaces the following:

  • MMEMory:STORe:CITifile:DATA

  • MMEMory:STORe:CITifile:FORMat

  • MMEMory:STORe:TRACe:CONTent:CITifile

  • MMEMory:STORe:TRACe:FORMat:CITifile

NOTE: Not all choices are valid with other arguments. See Valid parameter combinations below.

Parameters

<filename>

(String) Name and extension of the file to which data will be saved. If the extension does not agree with the file type, an error is NOT returned but the data may NOT be what you expect.

See rules for specifying a filename.

<type>

(String) File type to save. Choose from:

"PRN Trace Data" - *.prn data. Learn more.

"Citifile Data Data" - unformatted *.cti data. Learn more.

"Citifile Formatted Data" - formatted *.cti data.

"CSV Formatted Data" - formatted *.csv data. Learn more.

"MDIF Data" - *.mdf data. Learn more.

"GCA Sweep Data" - Gain compression data. Learn more. (Excepts E5080A, M9485A)

"IMD Sweep Data" - Swept IMD data. Learn more. (Excepts E5080A, M9485A)

<scope>

(String) How much data to save. Choose from:

"Trace" - only the specified measurement number is saved.

"Displayed" - all displayed measurements are saved.

"Channel" - all measurements that are in the channel in which the selected measurement reside are saved.

"Auto"

For all Standard Meas Class (S-parameter) channels:

  • When correction is OFF, the specified trace is saved.

  • When correction is ON, all corrected parameters associated with the calibrated ports in the Cal Set are saved.

For all other channels:

  • When correction is OFF or ON, the specified trace is saved.

<format>

The format in which data is saved. Choose from:

"Displayed" - the format is the same as that in which it is displayed on the VNA screen.

"RI" - Real / Imaginary

"MA" - Magnitude / Angle

"DB" - LogMag / Degrees

<selector>

(Integer) Choose from:

-1 Use when <scope> = "Displayed" (does NOT require a selected trace).

<measurement number> Use for all other <scope> selections. Use Calc:Par:MNUM? to read the measurement number of the selected trace.

The following are valid parameter combinations for ALL measurement classes:

Parameters
<type> (String) | <scope> (String) | <format> (String) | <selector> (Numeric)
"PRN Trace Data" | "Trace" | "Displayed" | Measurement number
Example: MMEMory:STORe:DATA "myData.prn","PRN Trace Data","Trace","Displayed",2
"Citifile Data Data" | "Trace" or "Auto" or "Channel" | "RI" | Measurement number
 | "Displayed" | "RI" | -1
Example: MMEMory:STORe:DATA "myData.cti","Citifile Data Data","AUTO","RI",3
"Citifile Formatted Data" | "Trace" or "Auto" | "RI" or "MA" or "DB" | Measurement number
 | "Channel" | "RI" or "MA" or "DB" or "Displayed" | Measurement number
 | "Displayed" | "RI" or "MA" or "DB" or "Displayed" | -1
Example: MMEMory:STORe:DATA "myData.cti","Citifile Formatted Data","AUTO","MA",3
"CSV Formatted Data" | "Trace" or "Auto" or "Channel" | "RI" or "MA" or "DB" or "Displayed" | Measurement number
 | "Displayed" | "RI" or "MA" or "DB" | -1
Example: MMEMory:STORe:DATA "myData.csv","CSV Formatted Data","displayed","RI",-1
"MDIF Data" | "Trace" or "Auto" | "RI" or "Displayed" or "Channel" | Measurement number
 | "Displayed" | "RI" or "Displayed" | -1
Example: MMEMory:STORe:DATA "myData.mdf","MDIF Data","displayed","displayed",-1
The following parameter combinations save *.csv files in specific formats for GCA and Swept IMD classes: (Excepts E5080A, M9485A)
Parameters
<type> (String) | <scope> (String) | <format> (String) | <selector> (Numeric)
"GCA Sweep Data" | "Auto" | "DB" | GCA channel number
Example: MMEMory:STORe:DATA "myData","gca sweep data","displayed","displayed",-1
"IMD Sweep Data" | "Auto" | "DB" | Swept IMD channel number
Example: MMEMory:STORe:DATA "myData.mdf","MDIF Data","displayed","displayed",-1
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:STORe:ENR <file>

Applicable Models: E5080A, M9485A

(Write-only) Stores an ENR (Excess Noise Source) data. (Noise Figure App only) To set and read ENR data, use SENS:CORR:ENR:CAL:TABLE:DATA.
Parameters |
<file> | String - Name of any valid file that is not already in existence. See Specifying Path Names
Examples | MMEM:STOR:ENR "C:/data/calset/346C_16500.enr"
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:STORe:LIMit <file>

Applicable Models: E5080A, M9485A

(Write-only) Saves limit test data into a CSV file.
Parameters |
<file> | A file path by string format. The CSV file shall have header lines and a title row as follows. "# E5080 Limit Test" "# Revision: 1.00" TYPE,BEGIN STIMULUS,END STIMULUS,BEGIN RESPONSE,END RESPONSE
Examples | MMEM:STOR:LIM 'MyFile.csv'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:STORe:RLIMit <file>

Applicable Models: E5080A, M9485A

(Write-only) Saves ripple limit test data into a CSV file.
Parameters |
<file> | A file path by string format. The CSV file shall have header lines and a title row as follows. "# E5080 Ripple Limit Test" "# Revision: 1.00" TYPE,BEGIN STIMULUS,END STIMULUS,MAX RIPPLE
Examples | MMEM:STOR:RLIM 'MyFile.csv'
Query Syntax | Not Applicable
Default | Not Applicable

MMEMory:STORe:TRACe:FORMat:SNP <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the format of subsequent .s1p, .s2p, .s3p; s4p save statements. Learn more. To save SNP data, use CALC:DATA:SNP:PORTs:SAVE
Parameters |
<char> | Choose from: MA - Linear Magnitude / degrees DB - Log Magnitude / degrees RI - Real / Imaginary AUTO - data is output in currently selected trace format. If other than LogMag, LinMag, or Real/Imag, then output is in Real/Imag.
Examples | MMEM:STOR:TRAC:FORM:SNP MA
Query Syntax | MMEMory:STORe:TRACe:FORMat:SNP?
Return Type | Character
Default | Auto

MMEMory:TRANsfer <fileName>,<dataBlock>

Applicable Models: E5080A, M9485A

(Read-Write) Transfers data between the VNA and an external controller. Other MMEM commands transfer data between the VNA application and the VNA hard drive. If <fileName> already exists, it will be overwritten. The file must be no larger than 20MB. To read trace data from the VNA in block format, use CALC:DATA.
Parameters |
<fileName> | String - File name. See Specifying Path Names
<dataBlock> | Block Data - The contents of the file. The data block is a block of binary data. Use the following syntax: #<num digits><byte count><data bytes><NL><END> where: <num_digits> specifies how many digits are contained in <byte_count> <byte_count> specifies how many data bytes will follow in <data bytes>
Example | See example program
Query Syntax | MMEMory:TRANsfer? <fileName> Reads block data from the specified file location.
Default | Not Applicable

Last modified:

5-Jan-2016

First Release


Output SCPI

Output Commands

Controls output functions: RF power and Noise Source.

OUTPut:

[STATe]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

OUTPut[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns RF power from the source ON or OFF. See note about source power state with instrument state save and recall.
Parameters |
<bool> | ON (or 1) - turns RF power ON OFF (or 0) - turns RF power OFF
Examples | OUTP ON output:state off
Query Syntax | OUTPut[:STATe]?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON

Last modified:

5-Jan-2016

First Release


Average SCPI

Sense:Average Commands

Sets sweep-to-sweep averaging parameters. Averaging is a noise reduction technique that averages each data point over a user-specified number of sweeps. Averaging affects all of the measurements in the channel.

SENSe:AVERage

| CLEar

| COUNt

| MODE

| [STATe]

Click on a Red keyword to view the command details.

See Also

  • Example using some of these commands

  • Learn about Averaging

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:AVERage:CLEar

Applicable Models: E5080A, M9485A

(Write-only) Clears and restarts averaging of the measurement data. Does NOT apply to point averaging.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
Examples | SENS:AVER:CLE sense2:average:clear
Query Syntax | Not applicable
Default | Not applicable

SENSe<cnum>:AVERage:COUNt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the number of measurements to combine for an average. Must also set SENS:AVER[:STAT] ON
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<num> | Number of measurements to average. Choose any number between 1 and 65536 (2^16).
Examples | SENS:AVER:COUN 999 sense2:average:count 73
Query Syntax | SENSe<cnum>:AVERage:COUNt?
Return Type | Numeric
Default | 1

SENSe<cnum>:AVERage:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type of averaging to perform: Point or Sweep.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<char>

Averaging Type. Choose from:

POINT - Averaging measurements are made on each data point before stepping to the next data point. (Not available on 'C' models).

SWEEP - Averaging measurements are made on subsequent sweeps until the required number of averaging sweeps are performed.

Examples

SENS:AVER:MODE POIN
sense2:average:mode sweep

Query Syntax

SENSe<cnum>:AVERage:MODE?

Return Type

Character

Default

Sweep

SENSe<cnum>:AVERage[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns trace averaging ON or OFF.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<bool> | ON or 1 - Turns averaging ON. OFF or 0 - Turns averaging OFF.
Examples | SENS:AVER ON sense2:average:state off
Query Syntax | SENSe<cnum>:AVERage[:STATe]?
Return Type | Boolean
Default | OFF

Last modified:

5-Jan-2016

First Release


Sense Bandwidth SCPI

Sense:Bandwidth Commands

SENSe:BANDwidth | BWIDth:

[RESolution]

TRACk

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about IF Bandwidth

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:BANDwidth | BWIDth[:RESolution] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the bandwidth of the digital IF filter to be used in the measurement. (Use either Sense:Bandwidth or Sense:Bwidth)
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | IF Bandwidth in Hz. The list of valid IF Bandwidths is different depending on the VNA model. (Click to see the lists.) If an invalid number is specified, the analyzer will round up to the closest valid number. This parameter supports MIN and MAX as arguments. Learn more.
Examples | SENS:BWID 1KHZ sense2:bandwidth:resolution 1000
Query Syntax | SENSe<cnum>:BANDwidth | BWIDth[:RESolution]?
Return Type | Numeric
Default | Varies with VNA model.

SENSe<cnum>:BANDwidth | BWIDth:TRACk <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the state of the Reduce IF BW at Low Frequencies feature. (Use either Sense:Bandwidth:Track or Sense:Bwidth:Track).
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | Choose from: ON or 1 - Reduce IF BW at Low Frequencies is set ON. OFF or 0 - Reduce IF BW at Low Frequencies is set OFF.
Examples | SENS:BWID:TRAC OFF sense2:bandwidth:track 1
Query Syntax | SENSe<cnum>:BANDwidth | BWIDth:TRACk?
Return Type | Boolean
Default | ON

Last Modified:

5-Jan-2016

First Release


Class

Sense:Class Command

SENSe:CLASs:

NAME?

Click on a Red keyword to view the command details.

See Also

  • Learn about Measurement Class

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:CLASs:NAME?

Applicable Models: E5080A, M9485A

(Read-only) Returns the measurement class name of the specified channel.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
Examples | SENS:CLAS:NAME? sense2:class:name? For a standard S-Parameter channel, returns... "Standard"
Default | Not applicable

Last Modified:

5-Jan-2016

First Release


Sense Correction SCPI

Sense:Correction Commands

Performs and applies calibration and other error correction features.

  • To perform a Guided Calibration, use ONLY the Sens:Corr Coll:GUIDed commands.

  • To perform an Unguided Calibration, do NOT use the Sens:Corr:Coll:Guided commands.

  • See the "Unguided" example programs for clarification.

SENSe:CORRection

CCHeck

| [ACQuire]

| DONE

| PARameter

CKIT - More Commands

COLLect

| [ACQuire]

| APPLy

| CKIT - More Commands

| DISPlay:WINDow

| AOFF

| [STATe]

| GUIDed - More Commands

| ISOLation:

| AVER:INCRement

| ECAL:[:STATe]

| METHod

| SAVE

| SESSion - More Commands

| SWEep:CHANnel

| AOFF

| [STATe]

CSET - More Commands

EXTension - More Commands

GCSetup

| POWer

| SENSor:

| CKIT

| CONNector

IMPedance:INPut

| MAGNitude

INTerpolate[:STATe]

ISOLation[:STATe]

METHods:MATCh

PREFerence

| CALibration

| [FOM:]RANGe

| CSET

| SAVE

| ECAL

| ORIentation

| PMAP

| TRIG:FREE

RPOWer:OFFSet

| [AMPLitude]

RVELocity

| COAX

SFOWard

| [STATe]

[STATe]

TCOLd:USER:VALue

TSTandards

| [STATe]

TYPE

| CATalog?

Click on a Red keyword to view the command details.

Red commands are superseded.

See Also

  • Example Programs

  • See Calibrating the VNA Using SCPI

  • Learn about Measurement Calibration

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:CORRection:CCHeck[:ACQuire] <mod>[,char]

Applicable Models: E5080A, M9485A

(Write-only) Reads the 'confidence data' associated with the specified ECal module and puts it into memory. The measurement is selected using SENS:CORR:CCH:PAR. This command is compatible with *OPC.

Note: A confidence check can NOT be performed remotely from User Characterizations that are stored on the VNA disk.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<mod>

ECAL Module that contains the confidence data. Choose from:

ECAL1

..through..

ECAL50

[char]

Optional argument. Specifies which characterization within the ECal module that the confidence data will be read from.

CHAR0 Factory characterization (data that was stored in the ECal module by Keysight). Default if not specified.

CHAR1 User characterization #1

CHAR2 User characterization #2

...and so forth up to:

CHAR12 User characterization #12

Examples

SENS:CORR:CCHeck ECAL2

sense2:correction:ccheck:acquire ecal1,char1

Query Syntax

Not applicable

Default

Not applicable

SENSe<cnum>:CORRection:CCHeck:DONE

Applicable Models: E5080A, M9485A

(Write-only) Concludes the Confidence Check and sets the ECal module back into the idle state.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:CORR:CCH:DONE sense2:correction:ccheck:done
Query Syntax | Not applicable
Default | Not applicable

SENSe<cnum>:CORRection:CCHeck:PARameter <Mname>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies an existing measurement to be used for the Confidence Check. Note: A confidence check can NOT be performed remotely from User Characterizations that are stored on the VNA disk.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<Mname> | Name of the measurement you are selecting for the confidence check. The measurement must already exist.
Examples | SENS:CORR:CCH:PAR 'TEST' 'selects the measurement "test" on channel 1 for the confidence check sense2:correction:ccheck:parameter 'test' 'selects the measurement "test" on channel 2 for the confidence check
Query Syntax | SENSe<cnum>:CORRection:CCHeck:PARameter? Returns the name of the selected measurement on channel <cnum>.
Return Type | String
Default | Not applicable

SENSe<cnum>:CORRection:COLLect[:ACQuire] <class>[,subclass][,sync]

Applicable Models: E5080A, M9485A

(Write-only) For UNGUIDED calibration, measures the specified standards from the selected calibration kit. The calibration kit is selected using the Sense:Correction:Collect:CKIT command.

For using two sets of standards, see SENS:CORR:TST.

N ote: Before using this command you must select two items:
1. Select a calibration method using SENS:CORR:COLL:METH
2. Select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<class>

Measures the standards associated with these class labels. Choose from:

 | Label | Forward | Reverse
 | STAN1 | S11A | S22A
 | STAN2 | S11B | S22B
 | STAN3 | S11C | S22C
 | STAN4 | S21T | S12T
 | STAN5 | Generic Isolation; not associated with calibration kit definition.
 | ECAL1 through ECAL50 | ECAL modules
 | RESPonse | Same as Normalize selection in Unguided Cal. (subclass is ignored)
 | POWer | Take a receiver power cal sweep and turn correction ON
 | SLSET | Sets 'sliding load type', and increments the "number of slides" count. The total number of slides is critical to the correct calculation of the sliding load algorithm. See a sliding load cal example.
 | SLDONE | Computes the sliding load using a circle fit algorithm.
[subclass] | Optional argument. For mechanical calibration kits, choose from the following to specify the standard to be acquired from the SENS:CORR:COLL:CKIT:ORDer list. If not specified, subclass is set to SST1.
SST1 | First standard in the order list
SST2 | Second standard in the order list
SST3 | Third standard in the order list
SST4 | Fourth standard in the order list
SST5 | Fifth standard in the order list
SST6 | Sixth standard in the order list
SST7 | Seventh standard in the order list
If an ECAL module (1 through 8) is specified for <class>, choose one of the following for specifying which characterization within the ECal module will be used for the acquire. If not specified, the default is CHAR0.
 | CHAR0 | Factory characterization (data that was stored in the ECal module by Keysight)
 | CHAR1 | User characterization #1
 | CHAR2 | User characterization #2
 | ...and so forth up to:
 | CHAR12 | User characterization #12
[sync] | Optional argument. Choose from: SYNChronous - blocks SCPI commands during standard measurement (default behavior) ASYNchronous - does NOT block SCPI commands during standard measurement. Learn more about this argument
Examples | SENS:CORR:COLL STAN1 'If SENS:CORR:COLL:CKIT:ORDer2 5,3,7 was specified, the following command measures standard 3 (the second in the order list) sense1:correction:collect:acquire stan3,sst2 SENS:CORR:COLL ECAL4,ASYN; *OPC? sense2:correction:collect:acquire ecal2,char1
Query Syntax | Not applicable
Default | Not applicable

SENSe<cnum>:CORRection:COLLect:APPLy

Applicable Models: E5080A, M9485A

(Write-only) Applies error terms to the measurement that is selected using Calc:Par:Select.

N ote: Before using this command you must select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.

Note: This command is only necessary if you need to modify error terms. If you do not need to modify error terms, SENSe<cnum>:CORRection:COLLect:SAVE calculates and then automatically applies error terms after you use SENS:CORR:COLL:ACQuire to measure cal standards.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

Example

  1. CALCulate2:PARameter:SELect S21_2 'select the measurement to apply terms to

  2. SENSe2:CORRection:COLLect:METHod SPARSOLT 'set type of cal method.

  3. CALCulate2:DATA? SCORR1 'download the error term of interest

  4. 'Modify the error term here

  5. CALCulate2:DATA SCORR1 'upload the error term of interest

  6. SENSe2:CORRection:COLLect:APPLy 'applies the error terms to the measurement

Query Syntax

Not applicable

Default

Not applicable

SENSe:CORRection:COLLect:DISPlay:WINDow:AOFF

Applicable Models: E5080A, M9485A

(Write-only) Clears the flags for windows to be shown during calibrations. To flag a window to be shown see SENS:CORR:COLL:DISP:WIND.
Examples | SENS:CORR:COLL:DISP:WIND:AOFF sense:correction:collect:display:window:aoff See an example using this command.
Query Syntax | Not Applicable
Default | Not Applicable

SENSe:CORRection:COLLect:DISPlay:WINDow<wNum>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Write-only) Set the 'show' state of the window to be displayed during a calibration. Learn more. When this command is sent, the specified window is 'flagged' to be shown during calibration. The flag is cleared when the window is closed. A Preset or Instrument State Recall also closes the window. If the same window number is reopened, this command must be sent again to show the window during a calibration. The flag is NOT saved with an instrument state. Send this command for each additional window to show during a calibration.
Parameters |
<wNum> | Window number to show during a calibration. The calibration window will also be shown with this window. The window must already be created. Use DISPlay:CATalog? to read all existing window numbers.
<bool> | Window state. Choose from: ON (or 1) - Show the specified window during calibration. OFF (or 0) - Do NOT show the specified window during calibration.
Examples | SENS:CORR:COLL:DISP:WIND1 1 sense:correction:collect:display:window2:state off See an example using this command.
Query Syntax | Not Applicable
Default | OFF

SENSe:CORRection:COLLect:ISOLation:AVERage:INCRement <num>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies amount to increment (increase) the channel averaging factor during isolation measurement of the ECal module during an unguided ECal calibration.

Note: if the channel currently has averaging turned OFF and <num> is greater than 1, averaging will be turned ON only during the isolation measurements and with the averaging factor equal to <num>.

Parameters

<num>

Incremental Averaging factor. The maximum averaging factor is 65536 (2^16).

Examples

SENS:CORR:COLL:ISOL:AVER:INCR 16

sense:correction:collect:isolation:average:increment 0

Query Syntax

SENSe:CORRection:COLLect:ISOLation:AVERage:INCRement?

Return Type

Numeric

Default

8 - If this command is NOT sent, but ECal isolation is measured, then averaging will be turned ON with factor set to 8 during the isolation measurement.

SENSe<cnum>:CORRection:COLLect:ISOLation:ECAL[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether or not the isolation state of the ECal module will be measured as part of an unguided ECal calibration.

An unguided calibration is performed using the SENS:CORR:COLL:METH and SENS:CORR:COLL:ACQ commands.

Note: The inherent isolation of the VNA is better than that attained with this command. ONLY use this command when using an external test set, and ONLY using a 8509x ECal module.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<bool>

ON (or 1) - isolation is measured during the unguided ECal calibration.

OFF (or 0) isolation is NOT measured during the unguided ECal calibration.

Examples

SENS1:CORR:COLL:ISOL:ECAL ON

sense2:correction:collect:isolation:ecal:state 0

Query Syntax

SENSe:CORRection:COLLect:ISOLation:ECAL:STATe?

Return Type

Boolean (1 = ON, 0 = OFF)

Default

OFF

SENSe<cnum>:CORRection:COLLect:METHod <char>

Applicable Models: E5080A, M9485A

(Read-Write) For UNGUIDED calibration, sets the calibration method (also known as 'Calibration Type' on calibration dialog box.) To select a Cal Type from a Cal Set, use CALC:CORR:TYPE.

N ote: Before using this command you must select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<char>

Choose from:

Method | Description
NONE | No Cal method
REFL1OPEN | Response Open
REFL1SHORT | Response Short
RESPonse | Same as Normalize selection in Unguided Cal.
Examples | SENS:CORR:COLL:METH REFL1SHORT sense2:correction:collect:method response
Query Syntax | SENSe<cnum>:CORRection:COLLect:METHod?
Return Type | Character
Default | Not Applicable

SENSe<cnum>:CORRection:COLLect:SAVE

Applicable Models: E5080A, M9485A

(Write-only) For UNGUIDED calibrations ONLY. This command does the following:

  • calculates the error terms using the selected :METHod

  • applies the error terms to the selected measurement (turns error correction ON.)

  • saves the calibration error-terms to the channels Cal Register or a User Cal Set.

The Cal Register or User Cal Set is determined by the setting of the SENS:CORR:PREFerence:CSET:SAVE command.

Do NOT use this command during an ECAL. When performing an ECAL calibration using SENS:CORR:COLL:ACQuire, this SAVE operation is performed automatically before the completion of a successful ACQuire.

Before using this command you must select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

Examples

SENS:CORR:COLL:SAVE
sense2:correction:collect:save

Query Syntax

Not applicable

Default

Not applicable

SENSe:CORRection:COLLect:SWEep:CHANnel:AOFF

Applicable Models: E5080A, M9485A

(Write-only) Clears ALL flags for channels to sweep during calibration. To flag a channel, see SENS:CORR:COLL:SWE:CHAN.
Examples | SENS:CORR:COLL:SWE:CHAN:AOFF sense:correction:collect:sweep:channel:aoff See an example using this command.
Default | Not applicable

SENSe<cnum>:CORRection:COLLect:SWEep:CHANnel<cnum2>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Write-only) Specifies the channel to sweep during a Calibration.

When this command is sent, the <cnum2> channel is 'flagged' to be swept during calibration.

The flag is cleared when the channel is deleted, if the Measurement Class is changed, or if all measurements are deleted from the channel.

If the same channel number is recreated, this command must be sent again to sweep the channel during a calibration. The flag is NOT saved with an instrument state.

A Preset or Instrument State Recall deletes the channel.

Parameters

<cnum>

The channel to be calibrated. If unspecified, value is set to 1.

<cnum2>

The channel to sweep when waiting to measure a standard.

This channel must already exist with at least one measurement in the channel. If this channel is in continuous sweep mode, it must have the same attenuator settings and path configuration (VNA only).

<bool>

Channel sweep state. Choose from:

ON (or 1) - Sweep the channel during calibration.

OFF (or 0) - Do NOT sweep the channel during calibration.

Examples

SENS:CORR:COLL:SWE:CHAN2 1

sense2:correction:collect:sweep:channel3:state off

See an example using this command.

Query Syntax

Not Applicable

Default

OFF

SENSe<ch>:CORRection:GCSetup:POWer <num>

Applicable Models: M9485A

(Read-Write) Set and read the power level at which to perform the Source Power Cal portion of a Gain Compression (Opt 086) Calibration. Learn more about this setting.
Parameters |
<num> | Power level in dB. Choose a value from +30 to (-30).
Examples | SENS:CORR:GCS:POW 0 sense:correction:gcsetup:power 5
Query Syntax | SENSe:CORRection:GCSetup:POWer?
Return Type | Numeric
Default | 0

SENSe<ch>:CORRection:GCSetup:SENSor:CKIT <string>

Applicable Models: M9485A

(Read-Write) Set and read the cal kit to be used for calibrating at the port 1 reference plane when the power sensor connector is different from the DUT port 1. Learn more.
Parameters |
<string> | Cal Kit. Use SENS:CORR:COLL:GUID:CKIT:PORT1:CAT? to return a list of valid cal kits.
Examples | SENS:CORR:GCS:SENS:CKIT "85052B"
Query Syntax | SENSe:CORRection:GCSetup:SENSor:CKIT?
Return Type | String
Default | Not Applicable

SENSe<ch>:CORRection:GCSetup:SENSor:CONNector<string>

Applicable Models: M9485A

(Read-Write) Set and read the power sensor connector type which is used to perform the Source Power Cal portion of a Gain Compression Calibration. Learn more.
Parameters |
<string> | Power sensor connector type. Use SENS:CORR:COLL:GUID:CONN:CAT? to return a list of valid connector types. Select "Ignored" to NOT compensate for the adapter.
Examples | SENS:CORR:GCS:SENS:CKIT "3.5 mm (50) male"
Query Syntax | SENSe:CORRection:GCSetup:SENSor:CKIT?
Return Type | String
Default | Not Applicable

SENSe:CORRection:IMPedance:INPut:MAGNitude <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the system impedance value for the analyzer.
Parameters |
<num> | System Impedance value in ohms. Choose any number between 0 and 1000 ohms.
Examples | SENS:CORR:IMP:INP:MAGN 75 sense:correction:impedance:input:magnitude 50.5
Query Syntax | SENSe:CORRection:IMPedance:INPut:MAGNitude?
Return Type | Numeric
Default | 50

SENSe<ch>:CORRection:INTerpolate[:STATe] <ON | OFF>

Applicable Models: E5080A, M9485A

(Read-Write) Turns correction interpolation ON or OFF. N ote: Before using this command you must select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
<ON | OFF> | ON (or 1) - turns interpolation ON. OFF (or 0) - turns interpolation OFF.
Examples | SENS:CORR:INT ON sense2:correction:interpolate:state off
Query Syntax | SENSe<cnum>:CORRection:INTerpolate[:STATe]?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON

SENSe<ch>:CORRection:METHods:MATCh <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns match-correction ON or OFF. Use this command AFTER performing an Guided Power Cal. Learn more.
Parameters |
<ch> | Channel number on which Guided Power Cal was performed. If unspecified, value is set to 1
<bool> | ON (or 1) - Turns match-correction ON OFF (or 0) - Turns match-correction OFF.
Examples | SENS:CORR:METH:MATC 0 sense2:correction:methods:match off
Query Syntax | SENSe<cnum>:CORRection:METHods:MATCh?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON

SENSe:CORRection:PREFerence:CALibration[:FOM]:RANGe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the FOM frequency range to use when performing calibration.
Parameters |
<char> | Choose from: PRIMary - Used for calibrating at the mmWave frequencies when NOT using a test set. Learn more. AUTO - All other calibration situations.
Examples | SENS:CORR:PREF:CAL:RANG PRIM sense:correction:preference:calibration:fom:range auto
Query Syntax | SENSe:CORRection:PREFerence:CALibration[:FOM]:RANGe?
Return Type | Character
Default | AUTO

SENSe:CORRection:PREFerence:CSET:SAVE <char>

Applicable Models: E5080A, M9485A

Important Notes:

  • This command replaces SENS:CORR:PREF:CSET:SAVU

  • With 6.0 we implemented a change that defaults to saving completed calibrations to Cal Registers instead of User Cal Sets. To revert to the old behavior, send this command with the USER argument.

(Read-Write) Specifies the default manner in which calibrations that are performed using SCPI or COM are to be stored. Cal data is ALWAYS stored to the channel Cal Register regardless of this setting.

This setting survives instrument preset and reboot. It remains until changed by another execution of this command.

Note: Cal Set arguments used with commands such as SENS:CORR:COLL:GUID:INIT, SENS:CORR:COLL:GUID:SAVE and SENS:CORR:COLL:GUID:SAVE:CSET will override of any of these default preference settings.

Learn about Cal Registers and User Cal Sets.

Parameters

<char>

CALRegister - Each Cal is saved ONLY to the channel Cal Register. If the error terms from a new Cal can co-exist with those in the Cal Register, they are appended.

USER - Each Cal is saved to its own new User Cal Set file. The Cal Set name is automatically generated. To change the name, send SENS:CORR:CSET:NAME after the cal is complete. This reverts to pre-6.0 behavior.

REUSe - The cal is saved to the Cal Set that is currently selected on the specified channel, which could be the channel Cal Register. If the channel does not yet have a selected Cal Set, the cal will be saved to a new User Cal Set with an automatically-generated name. If the error terms from a new Cal can co-exist with those in the Cal Set, they are appended.

Examples

SENS:CORR:PREF:CSET:SAVE USER
sense:correction:preference:cset:save reuse

Query Syntax

SENSe:CORRection:PREFerence:CSET:SAVE?

Return Type

Character

Default

CALRegister

SENSe:CORRection:PREFerence:ECAL:ORIentation[:STATe] <ON|OFF>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether or not the VNA should perform orientation of the ECal module during calibration. Orientation is a technique by which the VNA automatically determines which ports of the module are connected to which ports of the VNA. Orientation begins to fail at very low power levels or if there is much attenuation in the path between the VNA and the ECal module. If orientation is turned OFF, the SENS:CORR:PREF:ECAL:PMAP command must be used to specify the port connections before performing a cal.

Note: For 3-port or 4-port measurements, when orientation is OFF, you are not allowed to specify how the ECAL module is connected. Instead, the VNA determines the orientation. Use SENS:CORR:COLL:GUID:DESC? to query the orientation. The VNA does not verify that you made the connection properly.

This setting remains until the VNA is restarted or this command is sent again.

Parameters

<bool>

ECAL orientation state. Choose from:

ON or 1 - VNA performs orientation of the ECal module.

OFF or 0 - VNA does NOT performs orientation of the ECal module.

Examples

SENS:CORR:PREF:ECAL:ORI OFF

sense:correction:preference:ecal:orientation:state on

Query Syntax

SENSe:CORRection:PREFerence:ECAL:ORIentation[:STATe]?

Return Type

Boolean (1 = ON, 0 = OFF)

Default

ON (1)

SENSe:CORRection:PREFerence:ECAL:PMAP <module>,<string>

Applicable Models: E5080A, M9485A

(Read-Write) When ECal module orientation is turned OFF (SENS:CORR:PREF:ECAL:ORI), this command specifies the port mapping (which ports of the module are connected to which ports of the VNA) prior to performing ECal calibrations.

This setting remains until the VNA is restarted or this command is sent again.

Parameters

<module>

Specifies which ECal module this port map is being applied to. Choose from:

ECAL1

.through.

ECAL50

<string>

Format this parameter in the following manner:

Aw,Bx,Cy,Dz

where

  • A, B, C, and D are literal ports on the ECAL module

  • w,x,y, and z are substituted for VNA port numbers to which the ECAL module port is connected.

Ports of the module which are not used are omitted from the string.

For example, on a 4-port ECal module with

port A connected to VNA port 2

port B connected to VNA port 3

port C not connected

port D connected to VNA port 1

the string would be: A2,B3,D1

If either the receive port or source port (or load port for 2-port cal) of the CALC:PAR:SELected measurement is not in this string and orientation is OFF, an attempt to perform an ECal calibration will fail.

Examples

SENS:CORR:PREF:ECAL:PMAP ECAL2, 'A1,B2' sense:correction:preference:ecal:pmap ecal3, 'a2,b1,c3'

Query Syntax

SENSe:CORRection:PREFerence:ECAL:PMAP? <module>

Return Type

String

Default

Null string ()

SENSe:CORRection:PREFerence:TRIG:FREE <char>, <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the preference for the trigger behavior during a calibration. This setting persists until it is changed.

Note: If TRIGger:SOURce = Manual, during a calibration the VNA ALWAYS switches to Internal for one trigger, then back to Manual, regardless of this preference command.

Parameters

<char>

Character - Calibration type. Choose from:

GUIDed - preference setting pertains to a Guided calibration.

UNGuided - preference setting pertains to an Unguided calibration.

<bool>

Boolean - Choose from:

0 - OFF - The trigger behavior during the specified calibration type DOES respect the setting of the TRIGger:SOURce command. For example,when Trigger source = External, the single trigger method will wait for the External trigger signal and then allow only one sweep.

1 - ON - (Pre-6.0 behavior) The trigger behavior during the specified calibration type does NOT respect the setting of the TRIGger:SOURce command. For example, when Trigger source = External, during calibration the VNA switches to Internal sweep, responds to one trigger signal to measure the standard, then switches back to External.

Examples

SENS:CORR:PREF:TRIG:FREE GUID,1

sense:correction:preference:trig:free unguided,0

Query Syntax

SENSe:CORRection:PREFerence:TRIG:FREE? <char>

Return Type

Boolean

Default

OFF for both calibration types.

SENSe<cnum>:CORRection:RPOWer:OFFSet[:AMPLitude] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Adjusts a receiver power cal to account for components or adapters that are added between the source port and receiver while performing this cal. For more information, see Receiver Cal.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Offset Value in dB. Specify loss as a negative number; and gain as a positive number. Choose a number between -200 and 200.
Examples | SENS:CORR:RPOW:OFFS .5 sense2:correction:rpower:offset:amplitude .-5
Query Syntax | SENSe<cnum>:CORRection:RPOWer:OFFSet[:AMPLitude]?
Return Type | Numeric
Default | 0

SENSe<cnum>:CORRection:RVELocity:COAX <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the velocity factor to be used with Electrical Delay and Port Extensions.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Velocity factor. Choose a number between 0 and 10 (.66 polyethylene dielectric; .7 PTFE dielectric)
Examples | SENS:CORR:RVEL:COAX .66 sense2:correction:rvelocity:coax .70
Query Syntax | SENSe<cnum>:CORRection:RVELocity:COAX?
Return Type | Numeric
Default | 1

SENSe<cnum>:CORRection:SFORward[:STATe] <boolean>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the direction a calibration will be performed when only one set of standards is used. Use SENSe:CORRection:TSTandards[:STATe] OFF to specify that only one set of standards will be used.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<boolean> | ON (1) - FORWARD direction of a 2-port calibration will be performed OFF (0) - REVERSE direction of a 2-port calibration will be performed
Examples | SENS:CORR:SFOR 1 sense2:correction:sforward:state 0 See an example using this command
Query Syntax | SENSe<cnum>:CORRection:SFORward[:STATe]?
Return Type | Boolean
Default | ON

SENSe<cnum>:CORRection[:STATe] <ON | OFF>

Applicable Models: E5080A, M9485A

(Read-Write) Turns error correction ON and OFF for the specified channel. N ote: Before using this command you must select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<ON | OFF> | ON (or 1) - correction is applied to the channel. OFF (or 0) - correction is NOT applied to the channel.
Examples | SENS:CORR ON sense2:correction:state off
Query Syntax | SENSe<cnum>:CORRection[:STATe]? To query the error correction state for a measurement, use CALC:CORR:STATe?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

SENSe<cnum>:CORRection:TCOLd:USER:VALue <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the temperature of the noise source connector. Learn more about Noise Figure Calibration.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<num> | Noise source temperature in Kelvin.
Examples | SENS:CORR:TCOL:USER:VAL 295 sense2:correction:tcold:user:value 298 See an example using this command
Query Syntax | SENSe<cnum>:CORRection:TCOLd:USER:VALue?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:CORRection:TSTandards[:STATe] <boolean>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the acquisition of calibration data using ONE or TWO sets of standards.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<boolean>

ON (1) - TWO identical sets of standards will be used to simultaneously calibrate two ports (for both Forward and Reverse parameters).

OFF (0)- ONE set of standards will be used to perform a full 2-port calibration, one port at a time.

When specifying ON (use two sets), the SENS:CORR:COLL:ACQuire command uses the same standard index for each calibration class. To specify the calibration standard gender for each port, you must first ensure that the order of calibration class accurately reflects the configuration of your DUT. For example, for a DUT with a male connector on port 1 and a female connector on port 2, order the devices within the S11 classes (A, B, and C) such that the MALE standards are first in the list. Then order the S22 classes specifying the FEMALE standards as the first in the list.

Examples

SENS:CORR:TST 1
sense2:correction:tstandard:state 0

See an example using this command

Query Syntax

SENSe<cnum>:CORRection:TSTandards[:STATe]?

Return Type

Boolean

Default

ON

SENSe:CORRection:TYPE:CATalog? <char>

Applicable Models: E5080A, M9485A

(Read only) Lists the Cal Types in the VNA by either GUID or registered name. Learn more about applying Cal Type using SCPI.

N ote: Before using this command you must select a measurement using CALC:PAR:SEL. You can select one measurement for each channel.

Parameters

<char>

(Optional) Specifies the type of list. Choose from:

GUID - the registered GUID of the Cal Type

NAME - the registered name of the Cal Type (Default)

Examples

SENS:CORR:TYPE:CAT? GUID

Query Syntax

SENSe<cnum>:CORRection:TYPE:CATalog? <char>

Return Type

Comma-separated string

Default

Not Applicable

Last modified:

16-Mar-2015

First Release


CorrCKIT SCPI

Sense:Correction:CKIT Commands

Manages the list of cal kits that are installed in the VNA.

SENSe:CORR:CKIT

CLEar

COUNt?

ECAL

| CHARacterize More commands

| CLISt?

| DMEMory

| CLEar

| IMPort

| EXPort

| INFormation

| KNAMe

| INFormation

| LIST?

| ORIent?

| PATH

| COUNt?

| DATA?

EXPort

IMPort

INITialize

LOAD

  • Click on a Red keyword to view the command details.

  • New See Calibrating the VNA Using SCPI

  • Learn about Modifying Cal Kits

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe:CORRection:CKIT:CLEar[:IMMediate] [ckit]

Applicable Models: E5080A, M9485A

(Write-only) Deletes installed cal kits.
Parameters |
[ckit] | Optional String. Cal Kit to delete. If not specified, all VNA Cal kits are deleted, including custom kits.
Examples | SENS:CORR:CKIT:CLE sense:correction:ckit:clear:immediate "85052B"
Query Syntax | Not Applicable
Default | Not Applicable

SENSe:CORRection:CKIT:COUNt?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of installed cal kits.
Examples | SENS:CORR:CKIT:COUNt?
Query Syntax | SENS:CORR:CKIT:COUNt?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:CKIT:ECAL<mod>:CLISt?

Applicable Models: E5080A, M9485A

(Read-only) Returns a list of characterizations stored in the specified ECal module.
Parameters |
<mod> | ECal module from which to read user characterization numbers. Choose from 1 to 50. If unspecified, value is set to 1.
Examples | Module 1 contains User Characterizations 1 and 3. SENSe:CORRection:CKIT:ECAL:CLIST? 'Returns the following (0 always indicates the factory characterization): 0,1,3
Return Type | Numeric list, separated by commas.
Default | Not Applicable

SENSe:CORRection:CKIT:ECAL:DMEMory:CLEar <kitName>

Applicable Models: E5080A, M9485A

(Write-only) Deletes user characterizations from VNA disk memory.
Parameters |
<kitName> | Optional String argument. ECal Model, User Characterization name + " ECal", and serial number of the ECal module, separated by spaces. See examples below. If unspecified, ALL User Characterizations that are stored in VNA disk memory are deleted.
Examples | 'These examples all use "MyUserChar" as the User characterization name. 'The "My User Char" characterization is deleted from disk memory. SENS:CORR:CKIT:ECAL:DMEM:CLE "N4433A MyUserChar ECal 00001" 'All User characterizations are deleted from disk memory. SENS:CORR:CKIT:ECAL:DMEM:CLE
Query Syntax | Not Applicable
Default | Not Applicable

SENSe:CORRection:CKIT:ECAL:DMEMory:IMPort <file>

Applicable Models: E5080A, M9485A

(Write-only) After the VNA disk memory is Exported to a file, use this command to Import the file into VNA disk memory, which allows the User Characterization to be used with the VNA and ECal module.

Note: An ECal confidence check can NOT be performed remotely from User Characterizations that are stored on the VNA disk.

Parameters

<file>

String. Full path and file name of file that was exported.

Examples

SENS:CORR:CKIT:ECAL:DMEM:IMP "c:\users\public\network analyzer\ECal User Characterizations/myDiskUserChar.euc"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe:CORRection:CKIT:ECAL:EXPort <kit>[,<file>][,<NewName>]]

Applicable Models: E5080A, M9485A

(Write-only) Saves an existing ECal characterization to a file. Use this command to archive the user characterization or to move the characterization to a different VNA for use with the specified ECal module. After exporting the user characterization, use SENS:CORR:CKIT:ECAL:DMEM:IMPort to make the user characterization available for use.
Parameters |
<kit> | String. Not case sensitive. ECal Model, User char name + " ECal", and serial number of the ECal module used for the characterization, separated by spaces. See examples below. If the model and serial number of the module is not found, an error is returned.
[<file>] | Optional String argument. Path and filename of the user characterization. If not specified, the file is saved using characterization name + ".euc". If the path is not specified, it is stored in C:/Program Files/Keysight/Network Analyzer/ECal User Characterizations/. The extension ".euc" is appended if one is not specified.
[<NewName>] | Optional String argument. This allows you to change the name for the User Characterization. When specified, the new name is saved in the file with the characterization. If unspecified, the existing user characterization name is saved. Note: If this argument is specified, the second argument (<file>) must also be specified.
Examples | 'These examples all use "MyUserChar" as the User characterization name. 'All parameters specified SENS:CORR:CKIT:ECAL:EXP "N4433A MyUserChar ECal 00001","myUserChar.euc","NewUserChar" 'First two parameters are specified sense:correction:ckit:ecal:export "N4691B MyUserChar ECal 00500","myUserChar.euc" 'Only first parameter is specified SENS:CORR:CKIT:ECAL:EXP "N4433A MyUserChar ECal 00001"
Query Syntax | Not Applicable
Default | Not Applicable

SENSe:CORRection:CKIT:ECAL<mod>:INFormation? [<char>]

Applicable Models: E5080A, M9485A

(Read-only) Reads the identification and characterization information from the specified ECal module.

Note: To read user-characterization information that is stored in VNA disk memory, then use SENS:CORR:CKIT:ECAL:KNAM:INF?

Parameters

<mod>

ECal module from which to read characterizations. Choose from 1 through 50. If unspecified, value is set to 1.

Do NOT assume the <mod> number is the order in which ECal modules were connected.

Use SENS:CORR:CKIT:ECAL:LIST? to read a list of <mod> numbers of currently-attached ECal modules.

<char>

Optional argument. Specifies which characterization to read information from. If not specified, value is set to CHAR0.

Choose from:

  • CHAR0 Factory characterization (data that was stored in the ECal module by Keysight)

  • CHAR1 User characterization #1

  • CHAR2 User characterization #2

  • - through -

  • CHAR12 User characterization #12

Examples

SENS:CORR:CKIT:ECAL2:INFormation? char5

'Example return string:

"ModelNumber: 85092-60007, SerialNumber: 01386, ConnectorType: N5FN5F, PortAConnector: Type N (50) female, PortBConnector: Type N (50) female, MinFreq: 30000, MaxFreq: 9100000000, NumberOfPoints: 250, Calibrated: July 4 2002"

Return Type

Character

Default

Not Applicable

SENSe:CORRection:CKIT:ECAL:KNAMe:INFormation? <kitName>

Applicable Models: E5080A, M9485A

(Read-only) Reads the identification and characterization information from the specified ECal module or VNA disk memory.

Learn more about User Characterization in VNA Disk Memory.

Parameters

<kitName>

String. ECal model and characterization to read information from, enclosed in quotes, in the following format:

<model> <name> ECal <serial number>

Where:

<model>: Always required

<name>:

  • For the factory characterization, do not specify.

  • For a user-characterization stored in the module, use User <n> in the string, where <n> is the user-characterization number. Not case sensitive. Separate User and <n> with a space.

  • For a user-characterization stored in VNA disk memory, use <charName> from SENS:CORR:CKIT:ECAL:CHAR:DMEM:SAVE <charName>

ECal - not case sensitive

<serial number>: Optional. Include when two or more ECal modules with same model number are attached to the VNA,

Each item is separated with a space.

Examples

'For a factory characterization in module memory:
SENS:CORR:CKIT:ECAL:KNAM:INF? "N4433A ECal"

'For user characterization in module memory with optional serial number:
SENS:CORR:CKIT:ECAL:KNAM:INF? "N4433A User 1 ECal 00028"

'For user characterization "foo" in disk memory:
SENS:CORR:CKIT:ECAL:KNAM:INF? "N4433A foo ECal 00028"

'Example return string:

"ModelNumber: N4433A, SerialNumber: 00028, ConnectorType: N5FN5F, PortAConnector: Type N (50) female, PortBConnector: Type N (50) female, MinFreq: 30000, MaxFreq: 9100000000, NumberOfPoints: 250, Calibrated: July 4 2002"

Return Type

String

Default

Not Applicable

SENSe:CORRection:CKIT:ECAL:LIST?

Applicable Models: E5080A, M9485A

(Read-only) Returns a list of index numbers for ECal modules that are currently attached to the VNA. Use these numbers to refer to the ECal module using SCPI commands.
Examples | SENS:CORR:CKIT:ECAL:LIST? 'If 2 modules are attached to the VNA 'then the returned list will be: +1,+2 'If NO modules are attached to the VNA 'then the returned list will be: +0 See example program using this command.
Return Type | Numeric list, separated by commas.
Default | Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL<n>:ORIent? <vPort>[,<charN>]

Applicable Models: E5080A, M9485A

(Read-only) Returns the ECal port that is connected to the specified VNA port. A calibration does not have to be in process.

<ch>

Channel number that contains the frequency range to be calibrated.

<n>

ECal module number. Choose from 1 through 50.

If unspecified (only one ECal module is connected to the USB), <n> is set to 1. If two or more modules are connected, use SENS:CORR:CKIT:ECAL:LIST? to determine how many, and SENS:CORR:CKIT:ECAL:INF? to verify their identities.

<pnaPort>

VNA port number.

<charN>

Optional argument. If unspecified, factory data (CHAR0) is used. User Characterization number that matches the physical adapters/fixtures that are on the ECal module. This aids in determining the orientation of the ECal module.

Choose from:

  • CHAR0 Factory characterization (data that was stored in the ECal module by Keysight)

  • CHAR1 User characterization #1

  • CHAR2 User characterization #2

and so forth up to:

  • CHAR12 User characterization #12

Examples

SENS1:CORR:CKIT:ECAL1:ORI? 2

sense2:correction:ckit,ecal1:orient? 2, char2

Return Type

The returned ECal port number is a 1-based number: 1 = Port A, 2 = Port B, 3 = Port C, 4 = Port D.

Zero (0) is returned when the auto-orientation routine is unable to resolve the orientation.

Default

Not Applicable

SENSe:CORRection:CKIT:ECAL<n>:PATH:COUNt? <path>

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of unique states that exist for the specified path name on the selected ECal module.

This command performs exactly the same function as CONT:ECAL:MOD:PATH:COUNt?

Use the CONT:ECAL:MOD:PATH:STAT command to set the module into one of those states.

Use SENS:CORR:CKIT:ECAL:PATH:DATA? to read the data for a state.

Parameters

<n>

USB number of the ECal module. Choose from 1 to 50.

If unspecified (only one ECal module is connected to the USB), <n> is set to 1. If two or more modules are connected, use SENS:CORR:CKIT:ECAL:LIST? to determine how many, and SENS:CORR:CKIT:ECAL:INF? to verify their identities.

<path>

Name of the path for which to read number of states. Choose from:

Reflection paths

  • A

  • B

  • C (4-port modules)

  • D (4-port modules)

Transmission paths

  • AB

  • AC (4-port modules)

  • AD (4-port modules)

  • BC (4-port modules)

  • BD (4-port modules)

  • CD (4-port modules)

Examples

CONT:ECAL:MOD:PATH:COUNt?
control:ecal:module2:path:count?

Return Type

Integer

Default

Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL<num>:PATH:DATA? <path>, <stateNum>[,<char>]

Applicable Models: E5080A, M9485A

(Read-only) Returns the data for a state from the memory of the selected ECal module. The returned data is interpolated if necessary to have the same stimulus values as the specified channel <ch>.

  • For a reflection path state, the data is reflection S-parameter data. The number of values equals the number of stimulus points on the channel multiplied by 2 (because they are complex numbers).

  • For a transmission path state, the data is all 4 S-parameters of the state. The number of values returned is 4 times that of a reflection state.

The data is returned in the same format as CALC:DATA:SNP?

Note: This command returns SNP data without header information, and in columns, not in rows as .SnP files. This means that the data returned from this command sends all frequency data, then all Sx1 magnitude or real data, then all Sx1 phase or imaginary data, and so forth.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<num>

Optional argument. USB number of the ECal module. Choose from 1 through 50.

If unspecified (only one ECal module is connected to the USB), <num> is set to 1. If two or more modules are connected, use SENS:CORR:CKIT:ECAL:LIST? to determine how many, and SENS:CORR:CKIT:ECAL:INF? to verify their identities.

<path>

Name of the path for which to read number of states. Choose from:

Reflection paths

  • A

  • B

  • C (4-port modules)

  • D (4-port modules)

Transmission paths

  • AB

  • AC (4-port modules)

  • AD (4-port modules)

  • BC (4-port modules)

  • BD (4-port modules)

  • CD (4-port modules)

<stateNum>

Number of the state to set. Refer to the following table to associate the <stateNum> with a state in your ECal module.

In addition, CONT:ECAL:MOD:PATH:COUNt? returns the number of states in the specified ECal module.

<stateNum> | N4432A and N4433A States | N4431A States | N469x States** | 8509x States
One-Port Reflection States
1 | Open | Open | Impedance 1 | Open
2 | Short | Short | Impedance 2 | Short
3 | Impedance 1 | Impedance 1 | Impedance 3 | Impedance 1
4 | Impedance 2 | Impedance 2 | Impedance 4 | Impedance 2
5 |  |  | Impedance 5 |
6 |  |  | Impedance 6 |
7 |  |  | Impedance 7 |
Two-Port Transmission States
1 | Thru | Thru | Thru | Thru
2 | Confidence | Confidence | Confidence | Confidence

** The following modules have only FOUR Impedance states (1, 2, 3, 4): N4690B ,N4691B ,N4692A ,N4696B.

<char>

Optional argument. Specifies which characterization within the ECal module to read information from. If not specified, value is set to CHAR0.

Choose from:

  • CHAR0 Factory characterization (data that was stored in the ECal module by Keysight)

  • CHAR1 User characterization #1

  • CHAR2 User characterization #2

and so forth up to:

  • CHAR12 User characterization #12

Examples

SENS:CORR:CKIT:ECAL1:PATH:DATA? A,1

Return Type

S1P or S2P

Default

Not Applicable

SENSe:CORRection:CKIT:EXPort <kit>[,<file>]

Applicable Models: E5080A, M9485A

(Write-only) Saves an existing cal kit definitions to a file. Use this command to archive or move a user-defined or modified cal kit to a different VNA. After exporting the cal kit, use SENS:CORR:CKIT:IMPort to make the cal kit available for use on the VNA. This command provides the same behavior as the Installed Kits - Save As button on the Edit VNA Cal Kits dialog.
Parameters |
<kit> | String. Not case sensitive. Name of the cal kit to export, as seen in the Cal Kits field of the Select DUT Connectors and Cal Kits dialog of a SMART Cal.
<file> | Optional String argument. Path and filename to where the Cal Kit file is to be saved. If not specified, the file is saved using <kit> + ".ckt". If the path is not specified, it is stored in C:/Program Files/Keysight/Network Analyzer/PNACalKits/User.
Examples | 'File unspecified SENS:CORR:CKIT:EXP "MyCalKit" 'Both parameters are specified sense:correction:ckit:export "MyCalKit","C:/myBackupCalKit.ckt"
Query Syntax | Not Applicable
Default | Not Applicable

SENSe:CORRection:CKIT:IMPort <string>

Applicable Models: E5080A, M9485A

(Write-only) Imports the specified cal kit (.ckt file) and appends the imported kit to the end of the list of kits.

Note: Although there is no limit to the number of cal kits that can be imported, during an Unguided cal, you can access ONLY mechanical cal kits #1 through #95.

Parameters

<string>

Path and cal kit name.

Examples

SENSe:CORRection:CKIT:IMPort "c:\users\public\network analyzer\documents/85033D.ckt"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe:CORRection:CKIT:INITialize[:IMMediate] [ckit]

Applicable Models: E5080A, M9485A

(Write-only) Restores default factory installed cal kits. This command also selects kit number 1, as you would using SENS:CORR:COLL:CKIT:SEL 1. Therefore, if you intend to work with a Cal Kit remotely, select the Cal Kit AFTER sending this command.

Note: This command can also delete all existing User-defined Cal Kits. However, if saved using Save As, these kits can be restored in the same manner as after a VNA firmware upgrade. Learn more about saving modified Cal Kits.

Parameters

[ckit]

Optional String. Cal Kit to restore. If not specified, all VNA factory Cal kits are restored.

Examples

SENS:CORR:CKIT:INITialize

sense:correction:ckit:initialize:immediate "85052B"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe:CORRection:CKIT:LOAD <string>

Applicable Models: E5080A, M9485A

(Write-only) Loads the specified collection of cal kits from a .wks file. You can make your own collection of cal kits from the Advanced Modify Cal Kit menu.
Parameters |
<string> | Path and file name of the cal kit collection.
Examples | sense:correction:ckit:load "C:/Program Files/Keysight/Network Analyzer/PnaCalKits/factory/wMyCalKits.wks"
Query Syntax | Not Applicable
Default | Not Applicable

Last modified:

16-Mar-2015

First Release


CorrCollCKIT SCPI

Sense:Correction:Collect:Ckit Commands

Use to change the definitions of calibration kit standards.

SENSe:CORRection:COLLect:CKIT:

| CATalog?

| CONNector

| ADD

| CATalog?

| DELete

| FNAMe

| SNAMe

| DESCription

| INFormation?

| NAME

| OLAB

| OLISt?

| ORDer

| PORT[:SELect]

| SELect

| STANdard

| CO, C1, C2, C3

| CHARacter

| DELay

| FMAX

| FMIN

| IMPedance

| LO, L1, L2, L3

| LABel

| LOSS

| REMove

| SDEScription

| [SELect]

| TYPE

| TZReal

| TZImag

| TRLoption

| IMPedance

| RPLane

Click on a blue keyword to view the command details.

Most of these commands act on the currently selected standard from the currently selected calibration kit.

  • To select a Calibration kit, use SENS:CORR:COLL:CKIT:SEL.

  • To select a Calibration standard, use SENS:CORR:COLL:CKIT:STAN:SEL

  • See an example program that CREATES a New Cal Kit

  • See an example program that MODIFIES an Existing Cal Kit

  • Learn about Modifying Cal Kits

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Note: You should provide data for every definition field - for every standard in your calibration kit. If a field is not set, the default value may not be what you expect.

For more information, read Specifying Calibration Standards and Kits for Keysight Vector Network Analyzers (Application Note 1287-11)

SENSe:CORRection:COLLect:CKIT:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the names of the first 50 mechanical cal kits in your VNA that can be used for unguided calibrations.
Examples | SENS:CORR:COLL:CKIT:CAT?
Return Type | A comma-separated string
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:CONNector:ADD <family>,<start>,<stop>,<z0>,<gender>,<media>,<cutoff>

Applicable Models: E5080A, M9485A

(Write only) Creates a new connector. The connector is automatically added to the list of available connectors for the currently selected cal kit. If a connector includes both male and female connectors, each connector must be added separately.
Parameters |
<family> | (String) Name of connector family. Limited to 50 characters.
<start> | Start frequency
<stop> | Stop frequency
<z0> | Characteristic Impedance of the connector in ohms.
<gender> | Connector gender. Choose from: MALE FEMALE NONE
<media> | Media of the connector. Choose from: COAX - coaxial WAVE - waveguide
<cutoff> | Cutoff frequency of the connector (waveguide only).
Examples | SENS:CORR:COLL:CKIT:CONN:ADD "PSC 1.8 mm",0 HZ,999.9 GHZ,50,FEMALE,COAX,0.0 SENS:CORR:COLL:CKIT:CONN:ADD "PSC 1.8 mm",0 HZ,999.9 GHZ,50,MALE,COAX,0.0
Query Syntax | Not applicable
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:CONNector:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns a comma-separated list of all connectors defined within the currently selected cal kit. The returned string includes the connector family name followed by the connector gender, if any. Kits may include a primary connector family name and additional connector family names.

Connector family names are case sensitive. A connector family named "PSC 2.4" is different from a connector family named "psc 2.4".

Learn more about Connector Family Name.

Examples

SENS:CORR:COLL:CKIT:CONN:CAT?

'Returned string

"Type-N (50) male, Type-N (50) female"

Default

Not Applicable

SENSe:CORRection:COLLect:CKIT:CONNector:DELete

Applicable Models: E5080A, M9485A

(Write-only) Deletes the primary connector family name from the selected kit. The VNA allows multiple connector families for each kit. If a kit includes multiple connector families, only the first listed (primary) connector family name is deleted.

Once the connector family is deleted, the connector may not be assigned to any new or existing standard within the kit.

The previously defined standards retain their association to the deleted connector name. To reassign standards to a new connector family name, use SENS:CORR:COLL:CKIT:CONN:SNAMe.

Examples

SENS:CORR:COLL:CKIT:CONN:DEL

Query Syntax

Not Applicable

Default

Not Applicable

SENSe:CORRection:COLLect:CKIT:CONNector:FNAME <name>

Applicable Models: E5080A, M9485A

(Read-Write) Replaces the primary connector family name from the selected kit with a new connector family name. The connector family name is replaced in all standards in the kit that share that name. The VNA allows multiple connector families for each kit. If a kit includes multiple connector families, only the first listed (primary) connector family name is replaced. Use the query form of this command to return the name of the primary connector family.
Parameters |
<name> | New connector family name. Limited to 50 characters.
Examples | SENS:CORR:COLL:CKIT:CONN:FNAM 'MYPSC35' Sense:correction:collect:ckit:connector:name 'My Type N'
Query Syntax | SENSe:CORRection:COLLect:CKIT:CONNector:FNAMe?
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:CONNector:SNAMe <family>,<gender>,<port>

Applicable Models: E5080A, M9485A

(Read-Write) Assigns a family name to the currently selected standard from the currently selected kit. Specify each port of a 2-port standard individually. Use the query form of this command to read the connector family name assigned to the current standard. The name is not assigned unless the connector family name is previously defined within the selected kit.
Parameters |
<family> | String. Connector family name.
<gender> | Connector gender. Choose from: MALE FEMALE NONE
<port> | Number of the connector port to be assigned the connector family name. 2-port standards such as a thru line must be assigned separately. It is not relevant which connector is port 1 or port 2. 1 Specifies a 1-port standard or the first port of a 2-port standard. 2 Specifies the second port of a 2-port standard.
Examples | SENS:CORR:COLL:CKIT:CONN:SNAMe "Type-N (50)",MALE,1
Query Syntax | SENSe:CORRection:COLLect:CKIT:CONNector:SNAMe?
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:DESCription <string>

Applicable Models: E5080A, M9485A

(Read-Write) Modifies the cal kit description field of the selected kit. This description appears in the Edit VNA Cal Kit dialog box.
Parameters |
<string> | Description of the cal kit. Limited to 50 characters.
Examples | SENS:CORR:COLL:CKIT:DESC "My New CalKit"
Query Syntax | SENSe:CORRection:COLLect:CKIT:DESCription?
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:INFormation? <module>[,char]

Applicable Models: E5080A, M9485A

(Read Only) Reads characterization information from an ECal module.
Parameters |
<module> | Specifies which ECal module to read from. Choose from: ECAL1 .through. ECAL50
[char] | Optional argument. Specifies which characterization within the ECal module to read information from. If this argument is not used, the default is CHAR0. CHAR1 through CHAR5 are for user characterizations that may have been written to the module by the User Characterization feature on the VNA. Choose from: CHAR0 Factory characterization (data that was stored in the ECal module by Keysight) CHAR1 User characterization #1 CHAR2 User characterization #2 - through - CHAR12 User characterization #12
Examples | SENS:CORR:COLL:CKIT:INF? ECAL4 sense:correction:collect:ckit:information? ecal2,char1
 | Example return string:
 | ModelNumber: 85092-60007, SerialNumber: 01386, ConnectorType: N5FN5F, PortAConnector: Type N (50) female, PortBConnector: Type N (50) female, MinFreq: 30000, MaxFreq: 9100000000, NumberOfPoints: 250, Calibrated: July 4 2002
Return Type | Character
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:NAME <name>

Applicable Models: E5080A, M9485A

(Read-Write) Sets a name for the selected calibration kit.
Parameters |
<name> | Calibration Kit name. Any string name, can include numerics, period, and spaces; any length (although the dialog box display is limited to about 30 characters).
Examples | SENS:CORR:COLL:CKIT:NAME 'MYAPC35' sense:correction:collect:ckit:name 'mytypen'
Query Syntax | SENSe:CORRection:COLLect:CKIT:NAME?
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:OLABel<class> <name>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the label for the calibration class designated by <class>. The label is used in the prompts for connecting the calibration standards associated with that <class>.
Parameters |
<class> | Number of the calibration class. Choose a number between: 1 and 18. The <class> numbers are associated with the following calibration Classes:
 | Class | Description
1 | S11A | Reflection standard
2 | S11B | Reflection standard
3 | S11C | Reflection standard
4 | S21T | Thru/Delay standard
5 | S22A | Reflection standard
6 | S22B | Reflection standard
7 | S22C | Reflection standard
8 | S12T | Thru/Delay standard
3-port analyzers only
9 | S33A | Reflection standard
10 | S33B | Reflection standard
11 | S33C | Reflection standard
12 | S32T | Thru/Delay standard
13 | S23T | Thru/Delay standard
14 | S31T | Thru/Delay standard
15 | S13T | Thru/Delay standard
TRL Calibrations
16 | TRL "T" | Thru standard
17 | TRL "R" | Reflect standard
18 | TRL "L" | Line standard
<name> | Label for the calibration class. Must be enclosed in quotes. Any string between 1 and 12 characters long. Cannot begin with a numeric.
Examples | SENS:CORR:COLL:CKIT:OLAB3 'LOADS' sense:correction:collect:ckit:olabel4 'Thru'
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:OLIST[class]?

Applicable Models: E5080A, M9485A

(Read-only) Returns seven values of standards that are assigned to the specified class. This command ALWAYS applies to the Cal Kit that is selected (using SENS:CORR:COLL:CKIT:SEL) when this ORDer command is sent.
Parameters |
<class> | Number of the calibration class to be queried. The <class> numbers are associated with the following calibration Classes:
 | Class | Description
1 | S11A | Reflection standard
2 | S11B | Reflection standard
3 | S11C | Reflection standard
4 | S21T | Thru/Delay standard
5 | S22A | Reflection standard
6 | S22B | Reflection standard
7 | S22C | Reflection standard
8 | S12T | Thru/Delay standard
3-port analyzers ONLY 4-port analyzers use S11 and S22 classes (see example program)
9 | S33A | Reflection standard
10 | S33B | Reflection standard
11 | S33C | Reflection standard
12 | S32T | Thru/Delay standard
13 | S23T | Thru/Delay standard
14 | S31T | Thru/Delay standard
15 | S13T | Thru/Delay standard
TRL Calibrations
16 | TRL "T" | Thru standard
17 | TRL "R" | Reflect standard
18 | TRL "L" | Thru standard
Examples | SENS:CORR:COLL:CKIT:OLIST8? Always returns 7 standard numbers. Unassigned standards return 0
Return Type | Numeric; returns the <class> number of the selected standard.
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:ORDer<class> <std> [,<std>] [,<std>] [,<std>] [,<std>] [,<std>] [,<std>]

Applicable Models: E5080A, M9485A

(Read-Write) Sets a standard number to a calibration class. This command does NOT set or dictate the order for measuring the standards. For more information, see Assigning Standards to a Calibration Class.

This command ALWAYS applies to the Cal Kit that is selected (using SENS:CORR:COLL:CKIT:SEL) when this ORDer command is sent.

Parameters

<class>

Number of the calibration class that is assigned to <standard>. Choose a number between: 1 and 18. The <class> numbers are associated with the following calibration Classes:

 | Class | Description
1 | S11A | Reflection standard
2 | S11B | Reflection standard
3 | S11C | Reflection standard
4 | S21T | Thru/Delay standard
5 | S22A | Reflection standard
6 | S22B | Reflection standard
7 | S22C | Reflection standard
8 | S12T | Thru/Delay standard
3-port analyzers ONLY 4-port analyzers use S11 and S22 classes (see example program)
9 | S33A | Reflection standard
10 | S33B | Reflection standard
11 | S33C | Reflection standard
12 | S32T | Thru/Delay standard
13 | S23T | Thru/Delay standard
14 | S31T | Thru/Delay standard
15 | S13T | Thru/Delay standard
TRL Calibration
16 | TRL "T" | Thru standard
17 | TRL "R" | Reflect standard
18 | TRL "L" | Line standard
<std> | Standard number to be assigned to the class; Choose a standard between 1 and 30. One standard is mandatory; up to six additional standards are optional.
Examples | 'Assigns standard 3 to S11A class: SENS:CORR:COLL:CKIT:ORD1 3 'Assigns standard 2 and 5 to S21T class class: sense:correction:collect:ckit:order4 2,5
Query Syntax | SENSe:CORRection:COLLect:CKIT:ORDer<class>? 'Returns only the first standard assigned to the specified class. To query the remaining standards, use SENSe:CORRection:COLLect:CKIT:OLIST[1-15]?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:CORRection:COLLect:CKIT:PORT<n>[:SELect] <string>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the name of the Cal Kit to use for Unguided cal.

This command effectively does the same task as SENS:CORR:COLL:CKIT but specifies the cal kit by name.

Note: During an Unguided cal, you can access ONLY mechanical cal kits #1 through #95. However, there is no limit to the number of cal kits that can be imported.

Parameters

<cnum>

Currently not used. The unguided cal kit selection is for all ports on all channels.

<n>

Currently not used. The unguided cal kit selection is for all ports on all channels.

<string>

Cal Kit name enclosed in quotes. Use SENS:CORR:COLL:CKIT:CAT? to read a list of all available Cal Kits in the VNA.

Examples

SENS:CORR:COLL:CKIT:PORT "85052B"
sense2:correction:collect:ckit:port:select "85052D"

Query Syntax

SENSe<cnum>:CORRection:COLLect:CKIT:PORT<n>:SELECT?

Return Type

String

Default

Last kit selected

SENSe<cnum>:CORRection:COLLect:CKIT[:SELect] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Selects (makes active) a calibration kit for performing an UNGUIDED calibration or for modifying standards. All subsequent "CKIT" commands that are sent apply to this selected calibration kit. Select a calibration standard using SENS:CORR:COLL:CKIT:STAN <num>. Kits 1 to approximately kit 37 are factory installed Cal Kits.

Note: During an Unguided cal, you can access ONLY mechanical cal kits #1 through #95. However, there is no limit to the number of cal kits that can be imported.

This command effectively does the same task as SENS:CORR:COLL:CKIT:PORT which specifies the cal kit by name instead of this command which specifies by number.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<num>

The number of the calibration kit. Choose from:

Use SENSe:CORRection:COLLect:CKIT:RESet to restore Cal Kits to default values.

Name

1

Cal Kit 1

2

Cal Kit 2

3

Cal Kit 3

''

''

94

Cal Kit 94

95

Cal Kit 95

99

ECal module

Examples

SENS:CORR:COLL:CKIT 2
sense2:correction:collect:ckit:select 7

Query Syntax

SENSe<cnum>:CORRection:COLLect:CKIT?

Return Type

Numeric

Default

Last kit selected

SENSe:CORRection:COLLect:CKIT:STANdard:C0 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the C0 value (the first capacitance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for C0 in femtofarads (1E-15)
Examples | The following commands set C0=15 femtofarads: SENS:CORR:COLL:CKIT:STAN:C0 15 sense:correction:collect:ckit:standard:c0 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:C0?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:C1 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the C1 value (the second capacitance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for C1.
Examples | The following two commands set C1=15: SENS:CORR:COLL:CKIT:STAN:C1 15 sense:correction:collect:ckit:standard:c1 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:C1?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:C2 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the C2 value (the third capacitance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for C2.
Examples | The following two commands set C2: SENS:CORR:COLL:CKIT:STAN:C2 15 sense:correction:collect:ckit:standard:c2 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:C2?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:C3 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the C3 value (the fourth capacitance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for C3.
Examples | The following two commands set C3 SENS:CORR:COLL:CKIT:STAN:C3 15 sense:correction:collect:ckit:standard:c3 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:C3?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:CHARacter <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the media type of the selected calibration standard.
Parameters |
<char> | Media type of the standard. Choose from: Coax - Coaxial Cable Wave - Waveguide
Examples | SENS:CORR:COLL:CKIT:STAN:CHAR COAX sense:correction:collect:ckit:standard:character wave
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:CHARacter?
Return Type | Numeric
Default | Coax

SENSe:CORRection:COLLect:CKIT:STANdard:DELay <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the electrical delay value for the selected standard.
Parameters |
<num> | Electrical delay in picoseconds
Examples | The following two commands set delay to 50 picoseconds SENS:CORR:COLL:CKIT:STAN:DEL 50e-12 sense2:correction:collect:ckit:standard:delay 50ps
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:DELay?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:FMAXimum <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the maximum frequency for the selected standard.
Parameters |
<num> | Maximum frequency in Hertz.
Examples | SENS:CORR:COLL:CKIT:STAN:FMAX 9e9 sense:correction:collect:ckit:standard:fmaximum 9Ghz
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:FMAXimum?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:FMINimum <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the minimum frequency for the selected standard.
Parameters |
<num> | Minimum frequency in Hertz.
Examples | SENS:CORR:COLL:CKIT:STAN:FMIN 1e3 sense:correction:collect:ckit:standard:fminimum 1khz
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:FMINimum?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:IMPedance <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the characteristic impedance for the selected standard.
Parameters |
<num> | Impedance in Ohms
Examples | SENS:CORR:COLL:CKIT:STAN:IMP 75 sense:correction:collect:ckit:standard:impedance 50.3
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:IMPedance?
Return Type | Numeric
Default | 50

SENSe:CORRection:COLLect:CKIT:STANdard:L0 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the L0 value (the first inductance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for L0 in femtohenries (1E-15)
Examples | The following two commands set L0=15 femtohenries: SENS:CORR:COLL:CKIT:STAN:L0 15 sense:correction:collect:ckit:standard:l0 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:L0?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:L1 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the L1 value (the second inductance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for L1.
Examples | The following two commands set L1=15: SENS:CORR:COLL:CKIT:STAN:L1 15 sense:correction:collect:ckit:standard:l1 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:L1?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:L2 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the L2 value (the third inductance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for L2.
Examples | The following two commands set L2=15: SENS:CORR:COLL:CKIT:STAN:L2 15 sense:correction:collect:ckit:standard:l2 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:L2?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:L3 <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the L3 value (the fourth inductance value) for the selected standard. For a detailed discussion of this value, search for App Note 8510-5B at www.Keysight.com.
Parameters |
<num> | Value for L3.
Examples | The following two commands set L3=15: SENS:CORR:COLL:CKIT:STAN:L3 15 sense:correction:collect:ckit:standard:l3 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:L3?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:LABel <name>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the label for the selected standard. The label is used to prompt the user to connect the specified standard.
Parameters |
<name> | Label for the standard; Must be enclosed in quotes. Any string between 1 and 12 characters long. Cannot begin with a numeric.
Examples | SENS:CORR:COLL:CKIT:STAN:LAB 'OPEN' sense:correction:collect:ckit:standard:label 'Short2'
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:LABel?
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:LOSS <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the insertion loss for the selected standard.
Parameters |
<num> | Insertion loss in Gohms / sec. (GigaOhms per second of electrical delay)
Examples | SENS:CORR:COLL:CKIT:STAN:LOSS 3.5e9 sense:correction:collect:ckit:standard:loss 3
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:LOSS?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:REMove

Applicable Models: E5080A, M9485A

(Write only) Deletes the selected standard from the selected cal kit.
Examples | SENS:CORR:COLL:CKIT:STAN:REMove
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:SDEScription <string>

Applicable Models: E5080A, M9485A

(Read-Write) Modifies the description of the selected standard of the selected kit. This description appears in the edit kit dialog box.
Parameters |
<string> | Description of the standard.
Examples | SENS:CORR:COLL:CKIT:STAN:SDES "My New Standard"
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:SDEScription?
Return Type | String
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard[:SELECT] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Selects the calibration standard. All subsequent "CKIT" commands to modify a standard will apply to the selected standard. Select a calibration kit using SENS:CORR:COLL:CKIT:SEL
Parameters |
<num> | Number of the standard. Choose any number between: 1 and 30
Examples | SENS:CORR:COLL:CKIT:STAN 3 sense:correction:collect:ckit:standard:select 8
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard[:SELect]?
Return Type | Numeric
Default | 1

SENSe:CORRection:COLLect:CKIT:STANdard:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type for the selected standard.
Parameters |
<char> | Choose from: OPEN SHORT LOAD SLOAD (sliding load) THRU (through) ARBI(arbitrary)
Examples | SENS:CORR:COLL:CKIT:STAN:TYPE LOAD sense:correction:collect:ckit:standard:type short
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:TYPE?
Return Type | Character
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:TZReal <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the TZReal component value of the Terminal Impedance for the selected standard. Note: Only applicable when the Standard Type is set to ARBI
Parameters |
<num> | Value for TZReal in Ohms
Examples | The following commands set TZReal=15 Ohms: SENS:CORR:COLL:CKIT:STAN:TZReal 15 sense:correction:collect:ckit:standard:TZReal 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:TZReal?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:STANdard:TZImag <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the TZImag component value of the Terminal Impedance for the selected standard. Note: Only applicable when the Standard Type is set to ARBI
Parameters |
<num> | Value for TZImag in Ohms
Examples | The following two commands set TZImag=15 Ohms: SENS:CORR:COLL:CKIT:STAN:TZImag 15 sense:correction:collect:ckit:standard:TZImag 15
Query Syntax | SENSe:CORRection:COLLect:CKIT:STANdard:TZImag?
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:COLLect:CKIT:TRLoption:IMPedance <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the reference impedance when using this TRL cal kit. Learn more.

Before sending this command, select a cal kit using SENS:CORR:COLL:CKIT:SELect.

Parameters

<char>

Choose from:

SYSTem - The system impedance is used as the reference impedance. During a Guided or Unguided Cal, the Z0 of the Cal standard's connector definition sets the System Z0.

Make this selection when the desired test port impedance differs from the impedance of the LINE standard. Also, make this selection when skin effect impedance correction is desired for coax lines.

LINE The impedance of the line standard is used as the reference impedance, or center of the Smith Chart. Any reflection from the line standard is assumed to be part of the directivity error.

Examples

SENS:CORR:COLL:CKIT:TRL:IMP SYST

sense:correction:collect:ckit:trloption:impedance line

Query Syntax

SENSe:CORRection:COLLect:CKIT:TRLoption:IMPedance?

Return Type

Character

Default

LINE

SENSe:CORRection:COLLect:CKIT:TRLoption:RPLane <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the reference impedance when using this cal kit. Learn more.

Before sending this command, select a cal kit using SENS:CORR:COLL:CKIT:SELect.

Parameters

<char>

Choose from:

THRU The THRU standard definition is used to establish the measurement reference plane. Select if the THRU standard is zero-length or very short.

REFLect The REFLECT standard definition is used to establish the position of the measurement reference plane. Select if the THRU standard is not appropriate AND the delay of the REFLECT standard is well defined. Also, select If a flush short is used for the REFLECT standard because a flush short provides a more accurate phase reference than a Thru standard.

Examples

SENS:CORR:COLL:CKIT:TRL:RPL THRU

sense:correction:collect:ckit:trloption:rplane reflect

Query Syntax

SENSe:CORRection:COLLect:CKIT:TRLoption:RPLane?

Return Type

Character

Default

THRU

Last Modified:

16-Mar-2015

First Release


CorrCset SCPI

Sense:Correction:Cset Commands

Performs actions on calibration sets.

SENSe:CORRection:CSET

ACTivate

COPY

CREate

DEACtivate

DESCription

ETERm

| CATalog?

| [DATA]

FLATten

NAME

SAVE

STANdard

STIMulus?

TSET

| ALLPorts?

| TYPE?

TYPE

| CATalog?

Click on a Red keyword to view the command details.

See Also

  • Creating Cal Sets

  • Example Programs

  • Learn about Cal Sets

  • Synchronizing the VNA and Controller

SENSe<cnum>:CORRection:CSET:ACTivate <string>, <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Selects and applies a Cal Set to the specified channel.

Use SENS:CORR:CSET:CAT? to list the Cal Sets.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<string>

Cal Set to make active. Specify the Cal Set by GUID or Name. Use SENS:CORR:CSET:CAT? to list the available Cal Sets in either format.

<bool>

Should the Cal Set stimulus values be applied to the channel. Choose from:

ON (1) Apply the Cal Set stimulus values to the channel.

OFF (0) Do NOT apply the Cal Set stimulus values. If the Cal Set stimulus values do not match the channel stimulus values, then the following will occur:

  • If interpolation is ON, then interpolation will be attempted. This may fail if the channel frequency is outside the range of the Cal Set.

  • If interpolation is OFF, the selection will be abandoned and an error is returned:

Examples

SENS:CORR:CSET:ACT "My2Port",1

sense:correction:cset:activate? name
'returns
"My2Port"

Query Syntax

SENSe<cnum>:CORRection:CSET:ACTivate? [GUID|NAME]

Returns the name of the Cal Set that is applied to the specified channel. Choose from GUID or NAME to specify which string is returned. If unspecified, the GUID of the Cal Set is returned. If no Cal Set is applied to the specified channel, then "No Calset Selected" is returned.

Return Type

String

Default

Not Applicable

SENSe<cnum>:CORRection:CSET:COPY <string>

Applicable Models: E5080A, M9485A

(Write-only) Creates a new Cal Set and copies the current Cal Set data into it. Use this command to manipulate data on a Cal Set without corrupting the original cal data.
Parameters |
<cnum> | Channel number using the Cal Set to be copied. If unspecified, value is set to 1
<string> | Name of the new Cal Set.
Examples | SENS2:CORR:CSET:COPY 'My2Port'
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:CORRection:CSET:CREate [name]

Applicable Models: E5080A, M9485A

(Write-only) Creates an empty Cal Set and attaches it to the specified channel. This command is ONLY necessary before remotely filling the Cal Set with error term data. (For Advanced Users).

A Cal Set is automatically created, applied to the channel, and saved at the completion of a guided cal according to the preference setting SENS:CORR:PREF:CSET:SAVE.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

[name]

Optional argument. Name of the Cal Set. Spaces or punctuation are NOT allowed. If unspecified, a unique name is chosen in the form "Calset_N" where N is a unique number.

Examples

SENS:CORR:CSET:CRE 'My2Port'

Query Syntax

Not Applicable

Default

Not Applicable

SENSe:CORRection:CSET:DEACtivate

Applicable Models: E5080A, M9485A

This command is replaced by CSET:DEAC. (Write-only)Clears the calibration error when the frequency offset feature is set to OFF for the selected channel.
Parameters |
<string> | Clears calibration error.
Examples | SENS:CORR:CSET:DEAC '{2B893E7A-971A-11d5-8D6C-00108334AE96}' sense2:correction:cset:deactivate 'MyCalSet'
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:CORRection:CSET:DESCription <string>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the descriptive string assigned to the selected Cal Set. Change this string so that you can easily identify each Cal Set. Apply and select the Cal Set using SENS:CORR:CSET:ACT.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<string> | The descriptive string associated with the currently-selected Cal Set
Examples | SENS:CORR:CSET:DESC 'MyCalSet' sense2:correction:cset:description 'thisCalSet'
Query Syntax | SENSe<cnum>:CORRection:CSET:DESCription?
Return Type | String
Default | Not Applicable

SENSe<cnum>:CORRection:CSET:ETERm[:DATA] <string>,<r, i [r,i]...>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns error term data for all VNA measurements.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<string>

(String) Error term to read or write. The error term is specified using the EXACT case-sensitive string displayed in the Cal Set Viewer utility. See SENS:CORR:CSET:ETER:CAT? for string.

<r,i>

(Block) Error term data. A Real / Imaginary data pair for each data point.

Format is set using FORM:DATA command.

For REAL binary formats, refer to Getting Data from the Analyzer using SCPI

Examples

SENS:CORR:CSET:ETERM "Directivity(1,1)", 0.237,-1.422, 0.513, 0.895 ' set directivity(source error term for 2 points
SENS:CORR:CSET:ETERM? "Directivity(1,1)" 'read

Query Syntax

SENSe<cnum>:CORRection:CSET:ETERm[:DATA]? <string>

Return Type

Block data

Default

Not Applicable

SENSe<cnum>:CORRection:CSET:ETERm:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns a list of error term names found in the current Cal Set that is applied to the specified channel.
Parameters |
Examples | SENS:CORR:CSET:ETER:CAT? 'For a 1-port cal, returns "Directivity(1,1),ReflectionTracking(1,1),SourceMatch(1,1)"
Return Type | String
Default | Not Applicable

SENSe<cnum>:CORRection:CSET:FLATten <string>

Applicable Models: E5080A, M9485A

(Write-only) When a Cal Set that was produced by a calibration has been interpolated or otherwise modified (for example, by Fixturing operations) this command saves the modified Cal Set to the VNA hard drive so that it can be reused. There is no User Interface equivalent for this command.

Background

When a Cal Set is selected for use by a channel, the channel reads the Cal Set from disk (master Cal Set). If the channel aligns perfectly with the Cal Set, the master Cal Set is used directly. In this case, the active Cal Set is the master Cal Set.

When processing occurs on the error terms due to interpolation or modification due to the use of fixturing, the channel will generate a temporary "memory-resident" Cal Set. In this case, the active Cal Set is the memory-resident Cal Set. This FLATten command allows you to save the active Cal Set to disk.

Depending on the measurement conditions, this flattening of the Cal Set can improve performance, especially if the Cal Set is applied often (using multiple recall states) or used by many channels. Flattening a version of the Cal Set for each channel can avoid the interpolation or the fixturing processing that would otherwise occur when the Cal Set is selected or the instrument state is recalled.

You will have to manage the application of such a Cal Set as the VNA itself will have no way to determine what processing had been done once the flatten command is used. For example, if fixture de-embedding occurred prior to the flatten command, that Cal Set should then be applied WITHOUT fixturing on, because fixturing is already embedded in that Cal Set. It is your responsibility to apply the Cal Set properly.

If you want to repeatedly de-embed multiple networks (i.e. concatenate multiple 2-port de-embedding files) you can use the flatten command to create a new master Cal Set after each de-embed, and sequentially add additional de-embed networks.

Parameters

<cnum>

Channel number on which the modified Cal Set resides. If unspecified, value is set to 1

<string>

Name of the new Cal Set. Spaces or punctuation NOT allowed.

Examples

SENS:CORR:CSET:FLAT "MyCalSet"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<cnum>:CORRection:CSET:NAME <string>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or queries the name of the Cal Set currently applied to the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<string> | Name of the Cal Set. Spaces or punctuation NOT allowed.
Examples | SENS:CORR:CSET:NAME 'MyCalSet' sense2:correction:cset:name 'thisCalSet'
Query Syntax | SENSe<cnum>:CORRection:CSET:NAME?
Return Type | String
Default | Not Applicable

SENSe<cnum>:CORRection:CSET:SAVE [<char>]

Applicable Models: E5080A, M9485A

(Read Write)

Saves the channel's Cal Set to the VNA hard drive. For example, use this command after writing data to a Cal Set using SENS:CORR:CSET:DATA (For Advanced Users).

The file name is saved as "CSETx.cst" where x is the user number assigned to <char>, and .cst specifies a Cal Set and instrument state. This is not the same syntax as a file saved through the default choices from the front panel, which is "at00x.cst". For more information on the file naming syntax, see the MMEMory subsystem. Learn more about Instrument/Cal States.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

[<char>]

Optional argument. Choose from:

USER01

USER02...

and so forth, until...

USER10

If <char> is NOT specified, changes that may have been made are saved to the cal set and NOT to the *cst file.

Examples

SENS:CORR:CSET:SAVE USER03
sense2:correction:cset:save user09

'save changes to only the cal set

SENS:CORR:CSET:SAVE

Query Syntax

SENSe<cnum>:CORRection:CSET:SAVE?

Queries the last correction set saved.

Return Type

Charact er

Default

Not applicable

SENSe<cnum>:CORRection:CSET:STANdard <string>,<data>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns standard data. Standard data is available for Unguided Cals ONLY.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<string> | (String) Cal standard to read or write. The standard is specified using the EXACT case-sensitive string displayed in the Cal Set Viewer utility. See SENS:CORR:CSET:DATA for a description of port numbers.
<data> | (Block). Acquisition data. A Real / Imaginary data pair for each data point. Format is set using FORM:DATA command. For REAL binary formats, refer to Getting Data from the Analyzer using SCPI
Examples | SENS:CORR:CSET:STAN 'S11C(1,1), 0.237,-1.422, 0.513, 0.895 ' Set acquisition data for two points. SENS:CORR:CSET:STAN? "S11C(1,1)" 'Read data
Query Syntax | SENSe<cnum>:CORRection:CSET:STANdard? (string)
Return Type | Block data
Default | Not Applicable

SENSe<ch>:CORRection:CSET:STIMulus? [num]

Applicable Models: E5080A, M9485A

(Read-only) Returns the source or response stimulus values for the Cal Set that is currently used by channel <ch>. Values are returned in the format specified by FORM:DATA (Block or ASCII).
Parameters |
<ch> | Channel number to query Cal Set stimulus values. If unspecified, value is set to 1
[num] | Optional argument. Range of frequencies to return. These values would be different when FOM (Opt 080) is enabled. 0 - returns source frequencies. Default setting if not specified. 1 - returns response frequencies. 2 - returns primary frequencies.
Examples | SENS:CORR:CSET:STIM? sense:correction:cset:stimulus 1
Return Type | Numeric
Default | Not Applicable

SENSe:CORRection:CSET:TSET:ALLPorts? <cset>

Applicable Models: E5080A, M9485A

(Read-only) Reads the port mapping used for the specified Cal Set. The returned values are the physical ports. The POSITION of the returned values corresponds to the logical ports.

For example, with an N44xx test set, if the returned string is "VNA 1,TS 2,VNA 2, TS 4" this means:

  • VNA 1 is assigned to logical port 1

  • TS 2 is assigned to logical port 2

  • VNA 2 is assigned to logical port 3

  • TS 4 is assigned to logical port 4

Parameters

<cset>

(String) Name or GUID of the Cal Set. Use SENS:CORR:CSET:CAT? to read the list of available Cal Set names or GUIDs.

Examples

SENS:CORR:CSET:TSET:ALLP? "MyCalSet"
sens:correction:cset:tset:allports? "{2B893E7A-971A-11d5-8D6C-00108334AE96}"

Return Type

String

Default

Not Applicable

SENSe:CORRection:CSET:TSET:TYPE? <cset>

Applicable Models: E5080A, M9485A

(Read-only) Reads the test set type (model) used for the specified Cal Set.
Parameters |
<cset> | (String) Name or GUID of the Cal Set. Use SENS:CORR:CSET:CAT? to read the list of available Cal Set names or GUIDs.
Examples | SENS:CORR:CSET:TSET:TYPE? "MyCalSet" 'returns "N44xx" sens:correction:cset:tset:type? "{2B893E7A-971A-11d5-8D6C-00108334AE96}"
Return Type | String
Default | Not Applicable

SENSe<ch>:CORRection:CSET:TYPE:CATalog? [format]

Applicable Models: E5080A, M9485A

(Read-only) Query the Cal Types available in the selected Cal Set. The output is a comma separated list of Guids or a Cal Type names. Learn more about applying Cal Types using SCPI. Use CALC:CORR:TYPE to apply a Cal Type.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
[format] | (Optional) Format of the output of cal types. choose from: NAME - (default) returns a list of cal type string names. GUID - returns a list of cal type GUIDs
Examples | SENS:CORR:CSET:TYPE:CAT? NAME SENS2:CORRection:CSET:TYPE:CAT?
Return Type | String
Default | Not Applicable

Last modified:

16-Mar-2015

Initial Release


CorrExtension

Sense:Correction:Extension Commands

Performs and applies Port Extensions.

SENSe:CORRection:EXTension:

AUTO

| CONFig

| DCOFfset

| LOSS

| MEAS

| PORT

| RESet

| STARt

| STOP

PORT

| DISTance

| FREQ

| INCLude

| [STATe]

| LDC

| LOSS

| MEDium

| SYSMedia

| SYSVelocity

| [TIME]

| UNIT

| VELFactor

| WGCutoff

[STATe]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Port Extensions

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:CORRection:EXTension:AUTO:CONFig <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the frequencies used to calculate Automatic Port Extension. Learn more about calculating Automatic Port Extension.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<char> | Frequencies to be used: CSPN Use current frequency span. AMKR - Use active marker frequency. USPN - Use custom user span. Use SENS:CORR:EXT:AUTO:STAR and SENS:CORR:EXT:AUTO:STOP to specify start and stop frequency.
Examples | SENS:CORR:EXT:AUTO:CONF CSPN sense2:correction:extension:auto:config amkr
Query Syntax | SENSe<cnum>:CORRection:EXTension:AUTO:CONFig ?
Return Type | Character
Default | CSPN

SENSe<cnum>:CORRection:EXTension:AUTO:DCOFfset <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether or not to include DC Offset as part of automatic port extension. Learn more about Automatic DC Offset. Only allowed when SENS:CORR:EXT:AUTO:LOSS is set to ON.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON (or 1) - Includes DC Offset correction. OFF (or 0) - Does NOT include DC Offset correction.
Examples | SENS:CORR:EXT:AUTO:DCOF 1 sense2:correction:extension:auto:dcoffset off
Query Syntax | SENSe<cnum>:CORRection:EXTension:AUTO:DCOFfset?
Return Type | Boolean
Default | ON (1)

SENSe<cnum>:CORRection:EXTension:AUTO:LOSS <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether or not to include loss correction as part of automatic port extension. Learn more about Loss Compensation in port extension.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON (or 1) - Includes Loss correction. OFF (or 0) - Does NOT include Loss correction.
Examples | SENS:CORR:EXT:AUTO:LOSS 1 sense2:correction:extension:auto:loss off
Query Syntax | SENSe<cnum>:CORRection:EXTension:AUTO:LOSS?
Return Type | Boolean
Default | ON (1)

SENSe<cnum>:CORRection:EXTension:AUTO:MEASure <char>

Applicable Models: E5080A, M9485A

(Write-only) Measures either an OPEN or SHORT standard. When this command is sent, the VNA acquires the measurement with which to set automatic port extensions. Learn more about which standard to measure.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<char> | Standard to be measured. Choose from: OPEN Measure OPEN standard SHORt Measure SHORT standard
Examples | SENS:CORR:EXT:AUTO:MEAS OPEN sense2:correction:extension:auto:measure short
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:CORRection:EXTension:AUTO:PORT<n> <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables and disables automatic port extensions on the specified port.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<n> | VNA Port number to enable or disable for automatic port extensions.
<bool> | ON (or 1) - Enable OFF (or 0) - Disable
Examples | SENS:CORR:EXT:AUTO:PORT2 0 sense2:correction:extension:auto:port4 on
Query Syntax | SENSe<cnum>:CORRection:EXTension:AUTO:PORT<n>?
Return Type | Boolean
Default | All ports ON (enabled)

SENSe<cnum>:CORRection:EXTension:AUTO:RESet

Applicable Models: E5080A, M9485A

(Write-only) Clears old port extension delay and loss data in preparation for acquiring new data. Send this command prior to sending a new series of SENS:CORR:EXT:AUTO:MEAS. If acquiring both OPEN and SHORT standards, do not send this command between those acquisitions.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:CORR:EXT:AUTO:RES sense2:correction:extension:auto:reset
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:CORRection:EXTension:AUTO:STARt <value>

Applicable Models: E5080A, M9485A

(Read-Write) Set the start frequency for custom user span. Learn more about User Span.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<value> | User span start value. Must be within the frequency range of the active channel and less than the value set by SENS:CORR:EXT:AUTO:STOP.
Examples | SENS:CORR:EXT:AUTO:STAR 1E9 sense2:correction:extension:auto:start 200e6
Query Syntax | SENSe<cnum>:CORRection:EXTension:AUTO:STARt <value>?
Return Type | Numeric
Default | Start frequency of the current active channel.

SENSe<cnum>:CORRection:EXTension:AUTO:STOP <value>

Applicable Models: E5080A, M9485A

(Read-Write) Set the stop frequency for custom user span. Learn more about User Span.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<value> | User span stop value. Must be within the frequency range of the active channel and greater than the value set by SENS:CORR:EXT:AUTO:STARt
Examples | SENS:CORR:EXT:AUTO:STOP 1E9 sense2:correction:extension:auto:stop 200e6
Query Syntax | SENSe<cnum>:CORRection:EXTension:AUTO:STOP <value>?
Return Type | Numeric
Default | Stop frequency of the current active channel.

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:DISTance <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the port extension delay in physical length (distance).
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<pnum> | Port Number that will receive the delay setting. If unspecified, value is set to 1.
<value> | Physical length of fixture of added transmission line. First specify units with SENS:CORR:EXT:PORT:UNIT.
Examples | SENS:CORR:EXT:PORT1:DIST 12 sense2:correction:extension:port2:distance .003
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:DISTance?
Return Type | Numeric
Default | 0

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:FREQuency<n> <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the frequency for the Freq and Loss pair number and for the specified port number. Learn about Loss Compensation values.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port Number that will receive the freq/loss settings. If unspecified, value is set to 1.
<n> | Freq and Loss pair number. Choose from 1 or 2. If unspecified, value is set to 1.
<value> | Frequency value. Choose a frequency within the frequency span of the VNA.
Examples | SENS:CORR:EXT:PORT1:FREQ1 10E9 sense2:correction:extension:port2:freq2 2E10
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:FREQuency<n>?
Return Type | Numeric
Default | 1 GHz

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:INCLude<n>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the ON/OFF state for the Freq and Loss pair number and for the specified port number. Learn about Loss Compensation values. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port Number that will receive the Freq/Loss settings. If unspecified, value is set to 1.
<n> | Freq and Loss pair. Choose from 1 or 2. If unspecified, value is set to 1.
<value> | State of Freq and Loss values for port extension. 0 or OFF Specified Freq and Loss values are OFF 1 or ON Specified Freq and Loss values are ON
Examples | SENS:CORR:EXT:PORT:INCL 0 sense2:correction:extension:port2:include2:state on
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:INCLude[:STATe]?
Return Type | Boolean
Default | OFF

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:LDC <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Port Loss at DC value for the specified port number. Learn about Loss Compensation values. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port number to receive Loss value. If unspecified, value is set to 1.
<value> | Loss in dB. Choose a value between -90 and 90
Examples | SENS:CORR:EXT:PORT:LDC 1.5 sense2:correction:extension:port2:ldc .1
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:LDC?
Return Type | Numeric
Default | 0

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:LOSS<n> <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Loss value for the specified port number. Learn about Loss Compensation values. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port Number that will receive the Freq/Loss settings. If unspecified, value is set to 1.
<n> | Loss "Use" number. Choose from 1 or 2. If unspecified, value is set to 1.
<value> | Loss in dB. Choose a value between -90 and 90
Examples | SENS:CORR:EXT:PORT:LOSS1 1 sense2:correction:extension:port2:loss2 .1
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:LOSS<n>?
Return Type | Numeric
Default | 0

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:MEDium <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the media type of the added fixture or transmission line.

See also SENS:CORR:EXT:PORT:SYSMedia

Note: This command affects ALL measurements on the specified channel.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<pnum>

Port Number for which media type is being set. If unspecified, value is set to 1.

<char>

Medium type. Choose from:

  • COAX

  • WAVeguide

Examples

SENS:CORR:EXT:PORT:MED COAX

sense2:correction:extension:port2:medium waveguide

Query Syntax

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:MEDium?

Return Type

Character

Default

COAX

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:SYSMedia <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the state of coupling with the system Media type. Learn more.

Note: This command potentially affects ALL measurements on the VNA.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<pnum>

Port Number for which system Velocity Factor coupling is being set. If unspecified, value is set to 1.

<bool>

Coupling state. Choose from:

  • ON (or 1) - Media type is coupled with the system setting.

  • OFF (or 0) - Media type is NOT coupled with the system setting.

Examples

SENS:CORR:EXT:PORT:SYSM 1

sense2:correction:extension:port2:sysmedia off

Query Syntax

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:SYSMedia?

Return Type

Boolean

Default

1 or ON (Coupled)

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:SYSVelocity <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the state of coupling with the system Velocity Factor value. Learn more.

Note: This command potentially affects ALL measurements on the VNA.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<pnum>

Port Number for which system Velocity Factor coupling is being set. If unspecified, value is set to 1.

<bool>

Coupling state. Choose from:

  • ON (or 1) - Velocity Factor is coupled with the system setting.

  • OFF (or 0) - Velocity Factor is NOT coupled with the system setting.

Examples

SENS:CORR:EXT:PORT:SYSV 1

sense2:correction:extension:port2:sysvelocity off

Query Syntax

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:SYSVelocity?

Return Type

Boolean

Default

1 or ON (Coupled)

SENSe<cnum>:CORRection:EXTension:PORT<pnum>[:TIME] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the extension delay value in time at the specified port. Must also set SENS:CORR:EXT ON. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port Number that will receive the extension. If unspecified, value is set to 1.
<num> | The port extension in seconds; may include suffix. Choose a number between: -1E18 and 1E18
Examples | SENS:CORR:EXT:PORT 2MS sense2:correction:extension:port2 .00025
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum> [:TIME]?
Return Type | Numeric
Default | 0

SENSe<cnum>:CORRection:EXTension:PORT:UNIT <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the units for specifying port extension delay in physical length (distance).

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<char>

Units for delay in distance. Choose from:

  • METer

  • FEET

  • INCH

Examples

SENS:CORR:EXT:PORT:UNIT MET
sense2:correction:extension:port:unit inch

Query Syntax

SENSe<cnum>:CORRection:EXTension:PORT:UNIT?

Return Type

Character

Default

METer

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:VELFactor <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the velocity factor of the fixture or added transmission line.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port Number for which velocity factor is being set. If unspecified, value is set to 1.
<value> | Velocity Factor. Set SENS:CORR:EXT:PORT:SYSV to use the system velocity factor.
Examples | SENS:CORR:EXT:PORT:VELF .6 sense2:correction:extension:port2:velfactor 1
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:VELFactor?
Return Type | Numeric
Default | System Velocity Factor

SENSe<cnum>:CORRection:EXTension:PORT<pnum>:WGCutoff <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the cuttoff (minimum) frequency of the added waveguide fixture or transmission line.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Port Number for which media type is being set. If unspecified, value is set to 1.
<value> | Cutoff frequency in Hz. This value is ignored when SENS:CORR:EXT:PORT:MED is set to COAX for the same port.
Examples | SENS:CORR:EXT:PORT:WGC 1e8 sense2:correction:extension:port2:wgcutoff 100Mhz
Query Syntax | SENSe<cnum>:CORRection:EXTension:PORT<pnum>:WGCutoff?
Return Type | Numeric
Default | System Media Cutoff Frequency

SENSe<cnum>:CORRection:EXTension[:STATe] <ON | OFF>

Applicable Models: E5080A, M9485A

(Read-Write) Turns port extensions ON or OFF.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<ON | OFF> | ON (or 1) - turns port extensions ON. OFF (or 0) - turns port extensions is OFF.
Examples | SENS:CORR:EXT ON sense2:correction:extension:state off
Query Syntax | SENSe<cnum>:CORRection:EXTension[:STATe]?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

Last Modified:

16-Mar-2015

First Release


CorrGuided SCPI

Sense:Correction:Collect:Guided Commands

Performs and applies a SmartCal (Guided) calibration and other error correction features.

To perform a Guided Calibration, use ONLY Sens:Corr:Coll:Guided commands. See the "Guided" example programs for clarification.

SENSe:CORRection:COLLect:GUIDed:

ABORt

ACQuire

ADAPter

| COUNt

| ZERO

| CREate?

| DELay

| DESCription

| PATHs

CHANnel:MODE

CKIT

| CATalog?

| PORT

| [SELect]

CONNector

| CATalog?

| PORT

| [SELect]

DESCription

ECal

| ACQ

| SEL

ETERms:LOAD

| [CSET]

INITiate

ISOLation

| AVERage

| INCRement

| PATHs

ITERations

| COUNt?

| MINimum?

| RESet

PACQuire

PATH

| CMEThod

| TMEThod

PREFerence

| SLIDingload

PSENsor - More commands

SAVE

| CSET

SMC - More commands

STEPS?

THRU

Click on a blue keyword to view the command details.

See Also

ECal Orientation commands

Examples using these commands.

Calibrating the VNA Using SCPI

Learn about Measurement Calibration

Synchronizing the VNA and Controller

SENSe<ch>:CORRection:COLLect:GUIDed:ABORt

Applicable Models: E5080A, M9485A

(Write-only) Aborts the acquiring of a guided calibration that has been INITialized but has not yet been concluded using the SAVE command. If at least one Cal standard has already been measured, and the Calibration Window is being displayed, this command also closes the Calibration Window and re-tiles the other measurement windows.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
Examples | SENS:CORR:COLL:GUID:ABOR sense2:correction:collect:guided:abort
Query Syntax | Not Applicable
Default | Not Applicable

SENSe:<ch>CORRection:COLLect:GUIDed[:ACQuire] <std>[,sync]

Applicable Models: E5080A, M9485A

(Write-only) Initiates the measurement of the specified calibration standard. Executing this command with an unnecessary standard has no affect.

The measured data is stored and used for subsequent calculations of error correction coefficients. All standards must be measured before a calibration can be completed. Any measurement can be repeated until the SENS:CORR:COLL:GUID:SAVE command is executed.

Query the user prompt description using SENS:CORR:COLL:GUID:DESC?

Query the required calibration steps using SENS:CORR:COLL:GUID:STEP?

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<std>

Choose from:STAN1, STAN2, STAN3, through STAN40

[sync]

Optional argument. Choose from:

SYNChronous - blocks SCPI commands during standard measurement (default behavior).

ASYNchronous - does NOT block SCPI commands during standard measurement.

Learn more about this argument

Examples

SENS:CORR:COLL:GUID STAN1
sense2:correction:collect:guided:acquire stan1

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ADAPter:CREate? <conn1>, <conn2>

Applicable Models: E5080A, M9485A

(Read-only) Specifies the use of a THRU adapter to be used during the Guided Cal Unknown THRU and Adapter Removal Cal. Returns an adapter index <n> which is used to refer to the adapter in several related commands. See Cal Thru Methods. While the choice of which end of the adapter is <conn1> and <conn2> is arbitrary, it is necessary to remember which will be used on each test port.

The settings for this command remain until Preset, or the command is sent using a different setting, or until the ZERO command is sent.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<conn1>

Adapter port 1 connector type. Use SENS:CORR:COLL:GUID:CONN:CAT? to return a list of valid connector types.

<conn2>

Adapter port 2 connector type.

Examples

See example using this command.

Return Type

Numeric

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ADAPter:COUNt?

Applicable Models: E5080A, M9485A

(Read-Only) Returns the number of THRU adapters that have been created for this calibration using SENS:CORR:COLL:GUID:ADAP:CREate.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
Examples | See example using this command.
Return Type | Numeric
Default | Not Applicable

SENSe:<ch>CORRection:COLLect:GUIDed:ADAPter:COUNt:ZERO

Applicable Models: E5080A, M9485A

(Write-only) Removes all adapters that have been defined for calibrations on the specified channel using SENS:CORR:COLL:GUID:ADAP:CREate.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
Examples | SENS:CORR:COLL:GUID:ADAP:COUNt:ZERO sense2:correction:collect:guided:adapter:count:zero
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ADAPter<n>:DELay <coax>, [w phase, wdelay]

Applicable Models: E5080A, M9485A

(Write-only) Specifies the adapter delay and optionally waveguide delay and optional phase offset (degrees) of adapter <n>.

The settings for this command remain until Preset, or the command is sent using a different setting, or until the ZERO command is sent.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<n>

Adapter index number that was returned from SENS:CORR:COLL:GUID:ADAP:CREate?

<coax>

Delay value of coax adapter <n> in seconds. If the adapter has no coax connector, enter 0.

<wphase>

Waveguide phase offset in degrees. If the adapter has no waveguide connector, do not enter a value.

<wdelay>

Waveguide delay in seconds. If the adapter has no waveguide connector, do not enter a value.

Examples

See example using this command.

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ADAPter<n>:DESCription <string>

Applicable Models: E5080A, M9485A

(Write-only) Specifies the adapter description for use as the guided cal connection prompts. The settings for this command remain until Preset, or the command is sent using a different setting, or until the ZERO command is sent.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<n> | Adapter index number that was returned from SENS:CORR:COLL:GUID:ADAP:CREate?
<string> | Adapter description.
Examples | See example using this command.
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ADAPter<n>:PATHs <port pairs>

Applicable Models: E5080A, M9485A

(Write-only) Specifies the port pairs for which the adapter will be used for a THRU connection.

For example, for a 3-port cal on channel 1 using ports 1,2,and 3), to use adapter 1 between the ports (1 to 2) and (1 to 3) the following command is used: SENS1:CORR:COLL:GUID:ADAP1:PATH 1,2,1,3.

The adapter must have the same DUT connectors as the ports that are already specified for these ports.

The settings for this command remain until Preset, or the command is sent using a different setting, or until the ZERO command is sent.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<n>

Adapter index number that was returned from SENS:CORR:COLL:GUID:ADAP:CREate?

<port pair>

Ports for which the adapter will be used. The orientation is not critical, as the VNA will align the connector types as necessary. The minimum number of Thru connections required is the number of ports to calibrated -1.

Examples

See example using this command.

Query Syntax

Not Applicable

Default

Not Applicable

SENSe:CORRection:COLLect:GUIDed:CHANnel:MODE <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Determines whether or not to honor the channel <ch> argument in guided calibration SCPI commands.

Parameters

<bool>

OFF (0) Honor all <ch> arguments. This means the <ch> channel is calibrated regardless of which channel is currently active.

ON (1) Legacy behavior. Behavior is specified by the following table:

<ch> channel type Std or App | Active channel type Std or App | Behavior
Std | Std | Active chan cal'd
Std | App | "Channel not found" error
App | Std | <ch> chan cal'd
App | App | <ch> chan cal'd

Learn about Standard vs Application channels.

Examples

SENS:CORR:COLL:GUID:CHAN:MODE 0

sense:correction:collect:guided:channel:mode ON

Query Syntax

SENSe:CORRection:COLLect:GUIDed:CHANnel:MODE?

Return Type

Boolean

Default

OFF

SENSe:CORRection:COLLect:GUIDed:CKIT:CATalog? <connector>

Applicable Models: E5080A, M9485A

(Read-only) This command replaces SENS:CORR:COLL:GUID:CKIT:PORT:CAT?

Returns a comma-separated list of valid kits that use the specified connector type. This includes mechanical cal kits, applicable characterizations found within ECal modules currently connected to the VNA, and all user characterizations stored in VNA disk memory. For ECal modules, the returned list includes the serial numbers. See ECal User Characterization commands.

Use items in the list to select the kit to be used with the SENS:CORR:COLL:GUID:CKIT:PORT and SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:CKIT commands.

Parameters

<conn>

String. Connector type. Use SENS:CORR:COLL:GUID:CONN:CAT? to return a list of valid connector types.

Examples

SENSe:CORR:COLL:GUID:CKIT:CAT? "Type N (50) male"

Return Type

String

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:CKIT:PORT<pnum>[:SELect] <kit>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the calibration kit (mechanical or ECal) for each port to be used during a guided calibration. An unused port does NOT need to have a specified Cal Kit.

  1. Specify the connector type for the port with SENS:CORR:COLL:GUID:CONN:PORT.

  2. Query the valid available kits for the connector on each port with SENS:CORR:COLL:GUID:CKIT:PORT:CAT?

  3. Specify the kit using this command.

  4. Perform a query of this command. If the <kit> parameter was incorrectly entered, an error will be returned.

When using this command to specify the cal kit for the output of a VMC calibration mixer, specify port 3. If port 3 is already used for the output of the DUT mixer, then specify port 4. Learn more.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Any existing port number. If unspecified, value is set to 1

<kit>

Calibration kit to be used for the specified port. Case-sensitive.

When using an ECal module, include the characterization name in the <kit> string. Use SENSe:CORR:COLL:GUID:CKIT:CAT? to read the list of characterizations available in the module and in VNA disk memory.

If two or more identical ECal modules are connected to the VNA, the serial number must be included to distinguish the ECal modules.

Examples

'Note: All of the following examples specify port 1 only

' Mechanical Cal kit

SENS:CORR:COLL:GUID:CKIT:PORT1 '85055A'

' Standard ECal modules

SENS:CORR:COLL:GUID:CKIT:PORT1 "N4691-60004 ECal"

' Non-factory ECal characterizations are specified as follows:

SENS:CORR:COLL:GUID:CKIT:PORT1 "N4691-60004 User 1 ECal"

' When two or more ECal modules with the same model number are

' connected, also specify the serial number as follows:

SENS:CORR:COLL:GUID:CKIT:PORT1 "N4691-60004 ECal 01234"

' When Disk Memory ECal user characterizations are used,

' specify both the User char and the serial number as follows:

SENS:CORR:COLL:GUID:CKIT:PORT1 "N4691-60004 MyDskChar ECal 01234"

Query Syntax

SENSe:CORRection:COLLect:GUIDed:CKIT:PORT<pnum>[:SELect]?

Return Type

String - If the <kit> parameter was incorrectly entered while writing, an error will be returned.

Default

Not Applicable

SENSe:CORRection:COLLect:GUIDed:CONNector:CATalog?

Applicable Models: E5080A, M9485A

(Read only) Returns a list of valid connectors based on the connector descriptions of the available cal kits. Use an item from the returned list to specify a connector for SENS:CORR:COLL:GUID:CONN:PORT

Here are the more common connector types:

W-band waveguide

V-band waveguide

U-band waveguide

R-band waveguide

Q-band waveguide

K-band waveguide

P-band waveguide

X-band waveguide

7-16 female

7-16 male

Type B

Type A (50) female

Type A (50) male

Type F (75) female

Type F (75) male

Type N (75) female

Type N (75) male

Type N (50) female

Type N (50) male

1.00 mm female

1.00 mm male

1.85 mm male

1.85 mm female

2.92 mm female

2.92 mm male

APC 2.4 female

APC 2.4 male

APC 3.5 female

APC 3.5 male

APC 7

Examples

SENS:CORR:COLL:GUID:CONN:CAT?
Returns:

Type N (50) female, Type N (50) male, APC 7 (50), 3.5 mm (50) male, 3.5 mm (50) female, User Connector A

Return Type

Comma separated string values

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:CONNector:PORT<pnum>[:SELect] <conn>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies a connector type for every port during the Guided Calibration procedure. Valid connector names are stored within calibration kits. Some cal kits may include both male and female connectors. Therefore, specifying connector gender may be required.

The VNA remembers previous Guided Cal settings. Therefore, for completeness, unused ports should be defined as "Not used". See Guided Cal examples.

  • A single port with a valid <conn> name indicates a 1-Port calibration will be performed.

  • Two ports with valid <conn> names indicate either a 2-Port SOLT or TRL calibration will be performed depending on the standards definition found within the cal kit and the capability of the VNA.

  • Three ports with valid <conn> names indicate a 3-Port calibration will be performed, and so forth.

Follow these steps to ensure port connectors are specified correctly:

  1. Use SENS:CORR:COLL:GUID:CONN:CAT? to query available connectors before specifying the port connector.

  2. Set a connector type for each port using this command.

  3. Perform a query of this command. If the connector type was incorrectly entered, an error will be returned.

  4. Specify the cal kit to use for each port with SENS:CORR:COLL:GUID:CKIT:PORT

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Any existing port number. If unspecified, value is set to 1.

<conn>

String - DUT connector type to connect with VNA port <pnum>. Case-sensitive.

Examples

'Specifying a 2-port cal (1 & 2) on a 4-port VNA

SENS:CORR:COLL:GUID:CONN:PORT1 'Type N (50) female'
SENS:CORR:COLL:GUID:CONN:PORT2 'Type N (50) male'
SENS:CORR:COLL:GUID:CONN:PORT3 'Not used'
SENS:CORR:COLL:GUID:CONN:PORT4 'Not used'

Query Syntax

SENSe:CORRection:COLLect:GUIDed:CONNector:PORT<pnum>[:SELect]?

Return Type

String

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:DESCription? <step>

Applicable Models: E5080A, M9485A

(Read-only) Returns the connection description for the specified calibration step.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<step> | A number from 1 to the number of steps required to complete the calibration (Use SENS:CORR:COLL:GUID:STEP? to query the number of steps )
Examples | SENS:CORR:COLL:GUID:DESC? 10 'Returns: Connect APC 7 Open to port3
Return Type | String
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ECAL:ACQ <cal method>. <port list>, [calset]

Applicable Models: E5080A, M9485A

(Write only) Execute the Ecal calibration with specified the Ecal by SENS:CORR:COLL:GUID:ECAL:SEL. If ECal module is not specified, the first Ecal in the list is used. One item that we discussed is that this command needs to be overlapped. That's because it can be quite slow to finish an ecal, and slow operations need to be implemented using overlapped SCPI. Otherwise, the client will time out and will be unable to poll for completion. So, the command must be followed with either a *OPC? or a *OPC and serial poll.

Parameters

<ch>

Channel to be calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<cal method>

String Calibration Method.

SOLT: using defined through

SOLR: using undefined through

ERESponse: Enhanced Response

<port list>

Array Port number to be calibrated. If enhanced response (ERESponse) is selected, the first port number is the stimulus port and the second port number is the response port.

[calset]

Optional argument. Cal Set name

If NOT specified, behavior depends on the SENS:CORR:PREFerence:CSET:SAVE setting.

If specified, choose an existing Cal Set, either by name or by GUID.

  • By Cal Set name: include quotes.

  • By Cal Set GUID in the form: "{GUID}"; including quotes and curly brackets.

  • Query all Cal Set GUIDs with SENS:CORR:CSET:CAT?

An error is reported if the Cal Set is not found.

The Cal Set is either supplemented or overwritten depending on the method, connectors, and ports selected. Learn more about Cal Sets.

Examples

' Full 2 port cal with defined through for ports 2 and 3

SENS:CORR:COLL:GUID:ECAL:ACQ SOLT,2,3

' Enhance Response Cal for ports 4 (Stimulus) and 1 (Response)

SENS:CORR:COLL:GUID:ECAL:ACQ ERES,4,1

' Full 2 port cal with calset and undefined through for ports 1 to 4

SENS:CORR:COLL:GUID:ECAL:ACQ SOLR,1,2,3,4,"MyCalSet"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ECAL[:SELect] <ecal kit>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the Ecal Kit for Ecal Calibration. This is a new command that specifies the ECal kit to be used in the new 1-shot ECal execution command. If not specified, the 1-shot command will internally select the top one from the connected ECal kits (like the basic cal and start cal dialogs are doing.)

The top ecal kit in the list can be determined in two ways: by an internal module number that is dependent on the order in which the ecals are enumerated on the USB. Or it could be an alphabetical sorting by name. This default selection will allow the user to use generic test code but only if there is only one ECal connected.

Parameters

<ch>

Channel to be calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<ecal kit>

Ecal kit to be used for the specified port. Case-sensitive.

Include the characterization name in the <kit> string. Use SENSe:CORR:COLL:GUID:CKIT:CAT? to read the list of characterizations available in the module and in VNA disk memory.

If two or more identical ECal modules are connected to the VNA, the serial number must be included to distinguish the ECal modules.

Examples

' Standard ECal modules

SENS:CORR:COLL:GUID:ECAL "N4691-60004 ECal"

' Non-factory ECal characterizations are specified as follows:

SENS:CORR:COLL:GUID:ECAL "N4691-60004 User 1 ECal"

' When two or more ECal modules with the same model number are

' connected, also specify the serial number as follows:

SENS:CORR:COLL:GUID:ECAL "N4691-60004 ECal 01234"

' When Disk Memory ECal user characterizations are used,

' specify both the User char and the serial number as follows:

SENS:CORR:COLL:GUID:ECAL "N4691-60004 MyDskChar ECal 01234"

Query Syntax

SENSe:CORRection:COLLect:GUIDed:ECAL[:SELect]?

Return Type

String - If the <kit> parameter was incorrectly entered while writing, an error will be returned.

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ETERms:LOAD[:CSET] <cset>,<calPort> [,csPort]

Applicable Models: E5080A, M9485A

(Write-only) Loads 1-port error terms from a Cal Set into the current Guided Cal sequence. When the Cal steps are recomputed, connection steps are removed due to the loading of the error terms. See example of how to use this command. NOTE: Most users do not need this command.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<cset> | String Name of User Cal Set in which the error terms reside.
<pnum> | Integer Port number of the current cal to receive error terms.
[csPort] | Integer Optional argument. Port number associated with the error terms in the Cal Set. If unspecified, the same port number as <calPort> is used.
Examples | See example
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:INITiate[:IMMediate] [string][, bool][,char]

Applicable Models: E5080A, M9485A

(Write-only) Initiates a guided calibration.

  • The VNA determines the measurements needed to perform the calibration using the settings specified from the SENS:CORR:COLL:GUID:CONN:PORT and SENS:CORR:COLL:GUID:CKIT:PORT commands.

  • After this command is executed, subsequent commands can be used to query the number of measurement steps, issue the acquisition commands, query the connection description strings, and subsequently complete a guided calibration. See example calibration programs.

Parameters

<ch>

Channel to be calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

[string]

Optional argument. Cal Set name or GUID enclosed in quotes.

If NOT specified, behavior depends on the SENS:CORR:PREFerence:CSET:SAVE setting.

If specified, choose an existing Cal Set, either by name or by GUID.

  • By Cal Set name: include quotes.

  • By Cal Set GUID in the form: "{GUID}"; including quotes and curly brackets.

  • Query all Cal Set GUIDs with SENS:CORR:CSET:CAT?

An error is reported if the Cal Set is not found.

The Cal Set is either supplemented or overwritten depending on the method, connectors, and ports selected. Learn more about Cal Sets.

[bool]

Optional argument. To set this argument, also set the first optional argument. See example below.

OFF (0) If Cal Set stimulus settings differ from the existing channel, do not change channel stimulus settings. The Cal Set is saved to the current setting of the SENS:CORR:PREF:CSET:SAVE command. This is the default setting if not specified.

ON (1) If Cal Set stimulus settings differ from the existing channel, change the channel stimulus settings to match the Cal Set settings.

[char]

Optional argument. To set this argument, also set the first two optional arguments. See example below.

SYNChronous - blocks further SCPI commands while processing this command.. (default setting).

ASYNchronous - does NOT block further SCPI commands while processing this command.

Learn more about this argument

Examples

SENS:CORR:COLL:GUID:INIT

'set first optional argument

SENS:CORR:COLL:GUID:INIT "MyCalSet"

'set two optional arguments

SENS:CORR:COLL:GUID:INIT " ",1

'set all optional arguments

SENS:CORR:COLL:GUID:INIT "MyCalSet",1,ASYN

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ISOLation:AVERage:INCRement <num>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies amount to increment (increase) the channels averaging factor during measurement of isolation standards in a guided calibration.

Note: If the channel has averaging turned OFF and the value of <num> is greater than 1, averaging will be turned ON only during the isolation measurements and with the averaging factor equal to <num>.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<num>

Amount to increment the averaging factor for the isolation measurement. The maximum averaging factor for the channel is 65536 (2^16).

Examples

'Measure isolation on all paths for the cal

SENS:CORR:COLL:GUID:ISOL ALL

'Remove the port pairs 1-to-2 and 1-to-3 from the list of paths on which to measure isolation

sense:correction:collect:guided:isolation:paths REMove,1,2,1,3

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:ISOLation:AVERage:INCRement?

Return Type

Numeric

Default

8 - If this command is NOT sent, but isolation is measured, then averaging will be turned ON with factor set to 8 during the isolation measurements.

SENSe<ch>:CORRection:COLLect:GUIDed:ISOLation[:PATHs] <char>[,<p1a, p1b, p2a, p2b]

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the paths (port pairs) to make isolation measurements on during a guided calibration.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<char>

ALL Measure isolation on all pairings of the ports that are to be calibrated.

NONE Do not measure isolation on any pairing of the ports to be calibrated. (Default behavior).

ADD Add one or more specific pairings of ports to the list of port pairings for which isolation will be measured.

REMove Remove one or more specific pairings of ports from the list of port pairings for which isolation will be measured. If many paths are to be measured, it may be easier to first send ALL, then REMove and specify the paths to remove.

<p1a, p2a...>

For use when <char> is ADD or REMove.

Specify Port numbers in pairs:

  • For 3-port cals, specify up to 3 pairs.

  • For 4-port cals, specify up to 6 pairs.

p1a, p1b (Path1 - port A and port B)

p2a, p2b (Path2 - port A and port B)

p3a, p3b (Path3 - port A and port B)

Examples

'Measure isolation on all paths for the cal

SENS:CORR:COLL:GUID:ISOL ALL

'Remove the port pairs 1-to-2 and 1-to-3 from the list of paths on which to measure isolation

sense:correction:collect:guided:isolation:paths REMove,1,2,1,3

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:ISOLation:PATHs?

Note: if isolation is not be measured on any of the paths, the query returns 0

Return Type

Numeric

Default

0 - Isolation not measured on any paths.

SENSe<ch>:CORRection:COLLect:GUIDed:ITERations:COUNt? <step>

Applicable Models: E5080A, M9485A

(Read-only) Designed to be used for an iterative cal standard such as a sliding load, this command returns the number of iterative measurement acquisitions that has been made for the specified step. Zero (0) is returned if the step has not yet been measured. For most cal steps that have already been measured, this command returns 1. Set SENS:CORR:COLL:GUID:PREF:SLID ITER to count acquisition steps.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<step> | Guided Cal step number for which the acquisition number will be returned. Use SENS:CORR:COLL:GUID:STEP? to query the number of steps in the calibration.
Examples | SENS:CORR:COLL:GUID:ITER:COUN? 4 'Example return: 5 See example program
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ITERations:MINimum? <step>

Applicable Models: E5080A, M9485A

(Read-only) Designed to be used for an iterative cal standard such as a sliding load, this command returns the minimum number of required iterative measurement acquisitions for the specified step.

For most connection steps this will return 1, but for an iterative cal standard such as a sliding load, it will return a number such as 5.

Set SENS:CORR:COLL:GUID:PREF:SLID ITER to count acquisition steps.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<step>

Guided Cal step number for which to return the number of iterative measurement acquisitions that have been made. Use SENS:CORR:COLL:GUID:STEP? to query the number of steps in the calibration.

Examples

SENS:CORR:COLL:GUID:ITER:MIN? 4

'Example return:

5

See example program

Return Type

Numeric

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:ITERations:RESet <step>

Applicable Models: E5080A, M9485A

(Write-only) Resets the specified guided cal connection step as unmeasured. This clears all previous measurements made for that step.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<step> | Guided Cal step number to reset. Use SENS:CORR:COLL:GUID:STEP? to query the number of steps in the calibration.
Examples | SENS:CORR:COLL:GUID:ITER:RESet? 4 See example program
Return Type | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PACQuire <std>

Applicable Models: E5080A, M9485A

(Write-only) Show the Cal Window, and optionally one or more other specific windows before acquiring a Cal standard. This command will cause the Cal Window to display the specific measurements that are to be made for that particular Cal standard. NOTE: Most users do no need this command.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<std> | Choose from:STAN1, STAN2, STAN3, through STAN40.
Examples | SENS:CORR:COLL:GUID:PACQuire STAN2 sense:correction:collect:guided:pacquire STAN5 See an example that uses this command.
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PATH:CMEThod <port1>,<port2>,<caltype1[,caltype2]>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the calibration method for each port pair.

Note: Sending this command will overwrite the PNAs SmartCal determinations for the most accurate cal method for your connector settings and Cal Kits. Send this command ONLY if you have a deliberate reason for overwriting the SmartCal logic. You can send the query form of this command to learn the cal method determined by SmartCal.

See Thru Pairs Sequence to learn how to send this and other Thru commands.

After sending this command, send the query form to be sure that the command was accepted. If not, then the chosen Cal method is not compatible with the specified Thru method. For example, if the specified Thru method is Unknown Thru, an attempt to set Enhanced Response Cal should be rejected.

Learn more about Thru Methods.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<port1>

First port of the pair to be calibrated.

<port2>

Second port of the pair to be calibrated.

<caltype1[caltype2]>

(String) Cal type for the port pair, enclosed in a single pair of quotes. NOT case-sensitive.

caltype1 Choose from:

  • TRL

  • SOLT

  • QSOLTN

  • EnhRespN

For the last two arguments, replace N with the port to be used as the source port, which MUST be one of the port pair.

caltype2 Optional argument. Use only when performing an adapter removal cal on the pair. This argument specifies the Cal type on the second port. Caltype1 then specifies the Cal type of the first port.

Choose from the same arguments as caltype1.

Examples

SENS:CORR:COLL:GUID:PATH:CMEThod 2,3,"QSOLT2"

sense:correction:collect:guided:path:cmethod 2,3,"solt,trl"

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PATH:CMEThod? <port1>,<port2>

If only one caltype is returned then its NOT adapter removal.

Return Type

String

Default

The most accurate Cal method for the current cal.

SENSe<ch>:CORRection:COLLect:GUIDed:PATH:TMEThod <port1>,<port2>,<thruType1[,thruType2]>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the calibration THRU method for each port pair.

Note: Sending this command will overwrite the VNAs SmartCal determination for the thru method. Send this command ONLY if you have a deliberate reason for overwriting the SmartCal logic. You can send the query form of this command to learn the THRU method determined by SmartCal.

See Thru Pairs Sequence to learn how to send this and other Thru commands.

Learn more about Thru methods.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<port1>

First port of the port pair to be calibrated.

<port2>

Second port of the port pair to be calibrated.

<thruType1>

(String) Thru methods for port pair, enclosed in a single pair of quotes. NOT case-sensitive.

Calibration Thru method. Choose from:

  • Defined Thru Measures a Thru for which there is a stored definition in the Cal kit of the lowest-numbered port of the pair. For example, if the port pair is 1,2, then the cal kit for port 1 MUST contain a Defined Thru.

  • Zero Thru Measures a Zero length Thru, also known as Flush-Thru.

  • Undefined Thru (Also known as Unknown Thru) A Thru type for which there is NOT a stored definition in the Cal Kit. Valid ONLY for SOLT cal type.

  • Undefined Thru using a Defined Thru (ECal modules ONLY) Measures the internal Thru as an Unknown Thru.

<thruType2>

(String) Thru methods for port pair.

Optional argument. Use ONLY when Adapter Removal Cal is specified for the pair using SENS:CORR:COLL:GUID:PATH:CMEThod. When specifying ThruType2, this is the only valid argument: "Defined Thru, Defined Thru"

Examples

SENS:CORR:COLL:GUID:PATH:TMEThod 2,3,"Zero Thru"
sense:correction:collect:guided:path:tmethod 2,3,"Defined Thru,Defined Thru"

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PATH:TMEThod? <port1>,<port2>

Always returns two parts:

If the second part of the string is empty, adapter removal is NOT being performed.

If the string is "Defined Thru, Defined Thru", adapter removal IS being performed.

If the string is set to "Zero Thru", query is returned as "Defined Thru"

Return Type

String

Default

The most accurate Thru method for the current cal.

SENSe<ch>:CORRection:COLLect:GUIDed:PREFerence:SLIDingload <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the behavior for guided cal steps that involve a sliding load in a cal that is about to be performed. Send this command BEFORE sending the Guided INIT command.

Although the term 'Preference' is used in the command, this is NOT a VNA preference. This setting does NOT survive instrument preset or reboot. It remains ONLY for the duration of the Guided Cal.

Parameters

<char>

Behavior when measurements of sliding load are acquired. Choose from:

DIALog - The Sliding load dialog box appears when the acquire command is received for a sliding load step. All slide positions are measured (with a user-interface prompt) from a single invocation of the acquire command.

ITERate - Each invocation of the acquire command for a sliding load step measures a single slide position and increments the slide position counter. No Move Sliding Load prompt is presented on the VNA screen.

Examples

SENS:CORR:COLL:GUID:PREF:SLID ITER

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PREFerence:SLIDingload?

Return Type

Character

Default

DIALog

SENSe<ch>:CORRection:COLLect:GUIDed:SAVE[:IMMediate] [bool]

Applicable Models: E5080A, M9485A

(Write-only) Completes the guided cal by computing the error correction terms, turning Correction ON, and saving the calibration to a Cal Set. If all of the required standards have not been measured, the calibration will not complete properly.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

[bool]

Optional argument. If unspecified, the default behavior is the current VNA preference setting of SENSe:CORRection:PREFerence:CSET:SAVE

OFF (0) Save cal data ONLY to a Cal Register.

ON (1) Save cal data to a Cal Register and a User Cal Set. The filename is automatically generated.

  • For application channels (Gain Compression, SMC/VMC, Noise Figure, IMD and so forth), this command saves ONLY to a Cal Register. Use SENS:CORR:CSET:COPY to copy the cal register to a named calset.

  • For a Calibrate All Channels session, this argument is ignored. Instead, use SYST:CAL:ALL:CSET:PREFix.

Examples

SENS:CORR:COLL:GUID:SAVE
sense2:correction:collect:guided:save:immediate 0

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:SAVE:CSET <cal set name or guid>

Applicable Models: E5080A, M9485A

(Write-only) Completes the guided cal by computing the error correction terms, turning Correction ON, and saving the calibration to an existing, specified Cal Set. This command performs the same function as SENSe:CORRection:COLLect:GUIDed:SAVE, except this command allows the name or GUID of the Cal Set to be specified.

Note: This command is NOT supported for application channels (Gain Compression, SMC/VMC, Noise Figure, IMD and so forth). Use SENS:CORR:COLL:GUID:SAVE and save to a cal register. You can then use SENS:CORR:CSET:COPY to copy the cal register to a named calset.

  • Use this command instead of specifying the optional name or GUID argument in SENS:CORR:COLL:GUID:INIT.

  • Use SENS:CORRection:CSET commands to get names or GUIDs of existing Cal Sets.

  • The cal data is also saved to the channel Cal Register.

  • If all of the required standards have not been measured, the calibration will not complete properly.

For Calibrate All Channels

When this command is used during a Cal All session, the <cal set name> argument sets the User Cal Set prefix. All generated Cal Sets will be preceded with this string name.

  • Cal Set prefix can also be set using SYST:CAL:ALL:CSET:PREFix. When the Cal Set prefix has already been set with SYST:CAL:ALL:CSET:PREFix, this command overwrites it.

  • When <cal set name> is an empty string, a User Cal Set will not be saved. Only Cal Registers will be saved.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<cal set name or guid>

String - Name or GUID of an existing Cal Set to be overwritten. If specifying a GUID, curly brackets must be included.

See Calibrate All Channels note (above).

Examples

SENS:CORR:COLL:GUID:SAVE:CSET "{2B893E7A-971A-11d5-8D6C-00108334AE96}"

sense:correction:collect:guided:save:cset "MyCalSet"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:STEPs?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of measurement steps required to complete the current guided calibration. This command is sent after the SENS:CORR:COLL:GUID:INIT, SENS:CORR:COLL:GUID:CONN:PORT and SENS:CORR:COLL:GUID:CKIT:PORT commands.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
Examples | SENS:CORR:COLL:GUID:STEP? sense2:correction:collect:guided:steps?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:THRU:PORTs <t1a, t1b, t2a, t2b, t3a, t3b...>

Applicable Models: E5080A, M9485A

(Read-Write) For calibrating more than 2-ports ONLY. Specifies the port pairs for the Thru connections of the calibration. Send the query form of this command to learn the Thru pairs determined by SmartCal.

Note: Sending this command will overwrite the PNAs SmartCal determinations for the thru ports. Send this command ONLY if you have a deliberate reason for overwriting the SmartCal logic.

See Thru Pairs Sequence to learn how to send this and other Thru commands.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<t1a,t1b...>

Always specify port numbers in pairs: For example: 1,2 or 1,2,1,3

  • For 3-port cals, specify two or three pairs.

  • For 4-port cals, specify from three up to six pairs.

Examples

SENS:CORR:COLL:GUID:THRU:PORT 1,2,1,3,1,4 '4-port measurement

sense:correction:collect:guided:thru:ports 1,2,2,3 '3-port measurement

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:THRU:PORTs?

Return Type

Numeric

Default

Port pairings that were used in the previous cal.

THRU Pairs sequence

The SmartCal logic always determines the best calibration based on your specified connectors and ports.

The following three commands overwrite the SmartCal logic. Send these commands ONLY if you have a deliberate reason for overwriting the SmartCal logic.

  • sens:corr:coll:guid:thru:ports <p1, p2>

  • sens:corr:coll:guid:path:tmet <p1,p2, thrutype>

  • sens:corr:coll:guid:path:cmet <p1,p2, calmethod>

When sending one or more of these commands, they must be sent in the following sequence with the other commands listed here.

Note: The GUID:INIT command is sent before and after these commands.

  1. sens:corr:coll:guid:conn:port(n)

  2. sens:corr:coll:guid:ckit:port (n)

  3. sens:corr:coll:guid:init

  4. sens:corr:coll:guid:thru:ports <p1, p2>

  5. sens:corr:coll:guid:path:tmet <p1,p2, thrutype>

  6. sens:corr:coll:guid:path:cmet <p1,p2, calmethod>

  7. sens:corr:coll:guid:path:cmet ? <p1,p2> (recommended)

  8. sens:corr:coll:guid:init

Last modified:

18-Mar-2015

First release


Couple SCPI

Sense:Couple Commands

SENSe:COUPle:

PARameter[STATe]

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:COUPle:PARameter[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON and OFF Time Domain Trace Coupling. All of the measurements in the specified channel are coupled.

  • To select Transform parameters to couple, use CALC:TRAN:COUP:PAR

  • To select Gating parameters to couple, use CALC:FILT:COUP:PAR

Learn more about Time Domain Trace Coupling.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<bool>

ON or 1 - Turns ON Time Domain Trace Coupling.

OFF or 0 - Turns OFF Time Domain Trace Coupling.

Examples

SENS:COUP:PAR 0
sense2:couple:parameter:state on

Query Syntax

SENSe<cnum>:COUPle:PARameter[:STATe]?

Return Type

Boolean

Default

ON or 1

Last Modified:

5-Jan-2016

First Release


FOM

Sense:FOM (Frequency Offset) Commands

Controls the frequency offset settings which cause stimulus and response frequencies to be different.

Note: These commands replace the previous FOM commands. Although the old commands will continue to work, they can NOT be mixed with these new commands.

SENSe:FOM:

CATalog?

COUNt?

DISPlay

| SELect

RNUM?

[STATe]

RANGe

| COUPled

| FREQuency

| CW

| DIVisor

| MULTiplier

| OFFSet

| STARt

| STOP

| NAME | NAMe?

| SEGMent More Commands

| SWEep:TYPE

Click on a Red keyword to view the command details.

See Also

  • FOM Example Program

  • Learn about Frequency Offset

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:FOM:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns a comma-separated list of available range names in the VNA. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number. External devices can appear in the list of range names. Learn more.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
Examples | SENS:FOM:CAT? 'returns "Primary, Source, Receivers"
Return Type | String
Default | Not Applicable

SENSe<cnum>:FOM:COUNt?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of valid range numbers in the VNA.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
Examples | SENS:FOM:COUN? sense2:fom:count?
Query Syntax | SENSe<cnum>:FOM:COUNt?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:FOM:DISPlay:SELect <string>

Applicable Models: E5080A, M9485A

(Read-Write) Select the range to be displayed on the VNA x-axis. All traces in the channel have this same x-axis scaling.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<string> | Range name. Case insensitive. Use SENSe:FOM:CAT? to see a list of available frequency range names.
Examples | SENS:FOM:DISPlay:SELect "source2" sense2:fom:display:select "source"
Query Syntax | SENSe<cnum>:FOM:DISPlay:SELect?
Return Type | String
Default | Receivers

SENSe<cnum>:FOM:RNUM? <string>

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of a specified range name.

Use SENS:FOM:CAT? to see a list of available range names.

Use SENS:FOM:COUNt? to see a list of available range numbers.

Use SENS:FOM:RANG:NAME? to see the range name for a specific number.

External devices can appear in the list of range names. Learn more.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<string>

Range name for which a number is being queried. Case insensitive.

The FOM range items are typically numbered as follows:

  1. Primary

  2. Source

  3. Receivers

  4. Source2 (if present)

Examples

SENS:FOM:RNUM? "receivers"
sense2:fom:rnum? "Source2"

Return Type

Numeric

Default

Not Applicable

SENSe<cnum>:FOM[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns Frequency Offset ON and OFF. Frequency offset settings are not enabled until this setting is ON. Send this command (FOM ON) AFTER sending other FOM settings to avoid 'out-or-range' errors.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<bool> | ON or 1 - Turns FOM ON. OFF or 0 - Turns FOM OFF.
Examples | SENS:FOM 1 sense2:fom:state on
Query Syntax | SENSe<cnum>:FOM:STATe?
Return Type | Boolean
Default | OFF

SENSe<cnum>:FOM:RANGe<n>:COUPled <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the state of coupling (ON or OFF) of the specified range to the primary range.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number to couple to primary range. An error is returned when attempting to couple to the Primary range (1). Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<bool> | ON or 1 - Couple range to primary range. OFF or 0 - Do NOT couple to primary range.
Examples | SENS:FOM:RANG:COUP 1 sense2:fom:range2:coupled 0
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:COUPled?
Return Type | Boolean
Default | ON (or 1) Coupled

SENSe<cnum>:FOM:RANGe<n>:FREQuency:CW <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the CW frequency. This setting is valid for the primary range, or if the specified range is already uncoupled from the primary range and if the sweep type is CW.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<num> | CW frequency value in Hz. Choose any frequency within the range of the VNA.
Examples | SENS:FOM:RANG:FREQ:CW 1e9 sense2:fom:range2:frequency:cw 10000000
Query Syntax | SENSe<cnum>:FOM:RANGe:<n>:FREQuency:CW?
Return Type | Numeric
Default | Center frequency of the VNA.

SENSe<cnum>:FOM:RANGe<n>:FREQuency:DIVisor <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the divisor value. This setting is valid only if the specified range is coupled to the primary range.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<num> | Divisor value (unitless).
Examples | SENS:FOM:RANG:FREQ:DIV 3 sense2:fom:range2:frequency:divisor 0
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:FREQuency:DIVisor?
Return Type | Numeric
Default | 1

SENSe<cnum>:FOM:RANGe<n>:FREQuency:MULTiplier <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the multiplier value to be used when coupling this range to the primary range. This setting is valid only if the specified range is coupled to the primary range.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<num> | Multiplier value. (Unitless)
Examples | SENS:FOM:RANG:FREQ:MULT 1 sense2:fom:range2:frequency:multiplier 2
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:FREQuency:MULTplier?
Return Type | Numeric
Default | 1

SENSe<cnum>:FOM:RANGe<n>:FREQuency:OFFSet <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the offset value to be used when coupling this range to the primary range. Learn more about offset value. This setting is valid only if the specified range is coupled to the primary range.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<num> | Offset value. (Unitless)
Examples | SENS:FOM:RANG:FREQ:OFFS 1E9 sense2:fom:range2:frequency:offset 10000000
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:FREQuency:OFFSet?
Return Type | Numeric
Default | 0

SENSe<cnum>:FOM:RANGe<n>:FREQuency:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Start value of frequency range. Also specify Stop frequency. This setting is valid for the primary range, or if the specified range is already uncoupled from the primary range and if the sweep type is LOG or LINear.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<num> | Start value in Hz. Choose any frequency within the range of the VNA.
Examples | SENS:FOM:RANG:FREQ:STAR 1GHz sense2:fom:range2:frequency:start 100000000
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:FREQuency:STARt?
Return Type | Numeric
Default | Minimum frequency of the VNA.

SENSe<cnum>:FOM:RANGe<n>:FREQuency:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Stop value of frequency range. Also specify Start frequency. This setting is valid for the primary range, or if the specified range is already uncoupled from the primary range and if the sweep type is LOG or LINear.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<num> | Stop value in Hz. Choose any frequency within the range of the VNA.
Examples | SENS:FOM:RANG:FREQ:STOP 1e12 sense2:fom:range2:frequency:stop 10000000000
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:FREQuency:STOP?
Return Type | Numeric
Default | Maximum frequency of the VNA.

SENSe<cnum>:FOM:RANGe<n>:NAME | NAMe?

Applicable Models: E5080A, M9485A

(Read-only) Returns the name of range<n>.

The FOM range items are typically named as follows:

  1. Primary

  2. Source

  3. Receivers

  4. Source2 (if present)

Use SENS:FOM:CAT? to see a list of available range names.

Use SENS:FOM:COUNt? to see a list of available range numbers.

Use SENS:FOM:RNUM? to see the range number for a specific name.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<n>

Range number. If unspecified, value is set to 1.

Examples

SENS:FOM:RANG:NAME?
sense2:fom:range2:name?

Return Type

String

Default

Not Applicable

SENSe<cnum>:FOM:RANGe<n>:SWEep:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the sweep type to be used with the specified range. This setting is valid only if the specified range is already uncoupled from the primary range. Learn about Unsupported Sweep Type combinations.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1. Use SENS:FOM:CAT? to see a list of available range names. Use SENS:FOM:COUNt? to see a list of available range numbers. Use SENS:FOM:RNUM? to see the range number for a specific name. Use SENS:FOM:RANG:NAME? to see the range name for a specific number.
<char> | Sweep type. Choose from: CW - Also specify CW frequency. LINear - Also specify frequency Start/Stop or Center/Span LOG - Also specify frequency Start/Stop or Center/Span PHASe - See all Phase sweep settings. POWer - Also specify power Start/Stop or Center/Span SEGMent - Also specify segment sweep settings.
Examples | SENS:FOM:RANG:SWE:TYPE LOG sense2:fom:range2:sweep:type linear:
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SWEep:TYPE?
Return Type | Character
Default | Linear

Last Modified:

5-Jan-2016

First Release


FOMSegm

Sense:FOM:Range:Segment Commands

Constructs a segment table for a specified UNCOUPLED FOM range.

Note: Do NOT use Sens:Segment commands for FOM segment sweep.

SENSe:FOM:RANGe:SEGMent:

ADD

BWIDth[RESolution]

BWIDth[RESolution]:CONTrol

COUNt?

DELete

| ALL

FREQuency

| CENTer

| SPAN

| STARt

| STOP

POWer[LEVel]

| CONTrol

[STATe]

SWEep

| POINts

| TIME

| CONTrol

Click on a Red keyword to view the command details.

See Also

  • Other SENSe:FOM Commands

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:ADD

Applicable Models: E5080A, M9485A

(Write-only) Adds a segment.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number to add. If unspecified, value is set to 1. Segment numbers must be sequential. If a new number is added where one currently exists, the existing segment and those following are incremented by one.
Examples | Two Segments exist (1 and 2). The following command will add a new segment (1). The existing (1 and 2) will become (2 and 3) respectively. sense2:fom:range2:segment:add
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:BWIDth[:RESolution] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the IF Bandwidth for the specified segment. First set SENS:FOM:RANGe:SEGM:BWIDth:CONTrol ON. All subsequent segments that are added assume the new IF Bandwidth value. Valid either for Receiver range or for Primary range when coupled to Receiver.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number for which to set independent IF Bandwidth.
<num> | IF Bandwidth in Hz. The list of valid IF Bandwidths is different depending on the VNA model. See the list of valid IFBW values. If an invalid number is specified, the analyzer will round up to the closest valid number.
Examples | SENS:FOM:RANG:SEGM:BWIDth 100 sense2:fom:range2:segment4:bwidth:resolution 1e3
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:BWIDth[:RESolution]?
Return Type | Numeric
Default | Varies with model.

SENSe<cnum>:FOM:RANGe<n>:SEGMent:BWIDth[:RESolution]:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether the IF Bandwidth resolution can be set independently for each segment. When set, each segment added after this will be set to ON automatically.

Valid either for Receiver range or for Primary range. Primary range value is ignored unless Receiver is coupled to Primary.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<n>

Range number. If unspecified, value is set to 1.

<bool>

ON (or 1) - turns Bandwidth control ON. Bandwidth can be set for each segment

OFF (or 0) - turns Bandwidth control OFF. Use the channel IF bandwidth setting instead.

Examples

SENS:FOM:RANG:SEGM:BWIDth:CONT 0

sense2:fom:range2:segment:bwidth:resolution:control 1

Query Syntax

SENSe<cnum>:FOM:RANGe<n>:SEGMent:BWIDth[:RESolution]:CONTrol?

Return Type

Boolean

Default

OFF

SENSe<cnum>:FOM:RANGe<n>:SEGMent:COUNt?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of segments that exist for the specified range.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
Examples | SENS:FOM:RANG:SEGM:COUN? sense2:fom:range2:segment:count?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:DELete

Applicable Models: E5080A, M9485A

(Write-only) Deletes the specified sweep segment.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Number of the segment to delete. If unspecified, value is set to 1.
Examples | SENS:FOM:RANG:SEGM3:DEL sense2:fom:range2:segment4:delete
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:FOM:RANGe<n>:SEGMent:DELete:ALL

Applicable Models: E5080A, M9485A

(Write-only) Deletes all sweep segments in the specified range.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
Examples | SENS:FOM:RANG:SEGM:DEL:ALL sense2:fom:range2:segment:delete:all
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:CENTer <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the center frequency for the specified sweep segment. Also specify segment frequency span.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number to modify. Choose any existing segment number.
<num> | Center Frequency in Hz. Choose any number between the minimum and maximum frequency of the analyzer.
Examples | SENS:FOM:RANG:SEGM:FREQ:CENT 1GHz sense2:fom:range2:segment4:frequency:center 1e9
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:CENTer?
Return Type | Numeric
Default | Stop Frequency of the previous segment. If first segment, start frequency of the analyzer.

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:SPAN <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the span frequency for the specified sweep segment. Also specify segment center frequency.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number to modify. Choose any existing segment number.
<num> | Frequency span in Hz. Choose any number between the minimum and maximum frequency of the analyzer.
Examples | SENS:FOM:RANG:SEGM:FREQ:SPAN 1GHz sense2:fom:range2:segment4:frequency:span 1e9
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:SPAN?
Return Type | Numeric
Default | If first segment, frequency span of the analyzer. Otherwise 0.

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the start frequency for the specified sweep segment. Also specify segment stop frequency.

All other segment Start and Stop Frequency values that are larger than this frequency are changed to this frequency.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<n>

Range number. If unspecified, value is set to 1.

<s>

Segment number to modify. Choose any existing segment number.

<num>

Start frequency in Hz. Choose any number between the minimum and maximum frequency of the analyzer.

Examples

SENS:FOM:RANG:SEGM:FREQ:STAR 1GHz

sense2:fom:range2:segment4:frequency:start 1e9

Query Syntax

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:STARt?

Return Type

Numeric

Default

Stop Frequency of the previous segment. If first segment, start frequency of the analyzer.

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the stop frequency for the specified sweep segment. Also specify segment start frequency.

All other segment Start and Stop Frequency values that are larger than this frequency are changed to this frequency.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<n>

Range number. If unspecified, value is set to 1.

<s>

Segment number to modify. Choose any existing segment number.

<num>

Stop frequency in Hz. Choose any number between the minimum and maximum frequency of the analyzer.

Examples

SENS:FOM:RANG:SEGM:FREQ:STOP 1GHz

sense2:fom:range2:segment4:frequency:stop 1e9

Query Syntax

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:FREQuency:STOP?

Return Type

Numeric

Default

Stop Frequency of the previous segment. If first segment, start frequency of the analyzer.

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:POWer<p>[:LEVel] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Port Power level for the specified sweep segment. First set SENS:FOM:RANG:SEGM:POW:CONTrol ON.

When port power is Coupled, setting port power for one port will apply port power for all source ports.

All subsequent segments that are added assume the new Power Level value.

Valid either for Source ranges or for Primary range when coupled to the source.

Parameters

<cnum>

Any existing channel number; if unspecified, value is set to 1.

<n>

Range number. If unspecified, value is set to 1.

<s>

Segment number to modify. Choose any existing segment number.

<p>

Port number of the source. If unspecified, value is set to 1.

<num>

Power level in dBm.

Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, send SOUR:POW? MAX and SOUR:POW? MIN. (SOUR:POW:ATT:AUTO must be set to ON).

Actual achievable leveled power depends on frequency.

Examples

SENS:FOM:RANG:SEGM:POW -5

sense2:fom:range2:segment4:power2:level 5

Query Syntax

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:POWer<p>[:LEVel]?

Return Type

Numeric

Default

0

SENSe<cnum>:FOM:RANGe<n>:SEGMent:POWer[:LEVel]:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether Power Level is to be set independently for each segment. Valid either for Source ranges or for Primary range. Primary range value is ignored unless Source is coupled to Primary.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<bool> | ON (or 1) - Power level will be set for each segment. OFF (or 0) - Use the channel power level setting.
Examples | SENS:FOM:RANG:SEGM:POW:CONT 0 sense2:fom:range2:segment:power:control on
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent:POWer[:LEVel]:CONTrol?
Return Type | Boolean
Default | OFF (or 0)

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns the specified sweep segment ON or OFF.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number to be turned ON or OFF. Choose any existing segment number.
<bool> | ON (or 1) - turns segment ON. OFF (or 0) - turns segment OFF.
Examples | SENS:FOM:RANG:SEGM 0 sense2:fom:range2:segment4:state on
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>[STATe]?
Return Type | Boolean
Default | OFF (or 0)

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:SWEep:POINts <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the number of data points for the specified sweep segment.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number to modify. Choose any existing segment number.
<num> | Number of points in the segment. The total number of points in all segments cannot exceed 20001. A segment can have as few as 1 point.
Examples | SENS:FOM:RANG:SEGM:SWE:POIN 101 sense2:fom:range2:segment4:sweep:points 201
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:SWEep:POINts?
Return Type | Numeric
Default | 21

SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:SWEep:TIME <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the time the VNA takes to sweep the specified segment. Valid ONLY for receiver ranges.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number for which to set sweep time.
<num> | Sweep time in seconds. Choose a number between 0 and 100
Examples | SENS:FOM:RANG:SEGM:SWE:TIME 1 sense2:fom:range2:segment3:sweep:time .1
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent<s>:SWEep:TIME?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:FOM:RANGe<n>:SEGMent:SWEep:TIME:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether Sweep Time can be set independently for each sweep segment. Valid either for Receiver ranges or for Primary range. Primary range value is ignored unless Receiver is coupled to Primary.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<bool> | ON (or 1) - Sweep time will be set for each segment. OFF (or 0) - Use the channel sweep time setting.
Examples | SENS:FOM:RANG:SEGM:SWE:TIME:CONT 1 sense2:fom:range2:segment:sweep:time:control off
Query Syntax | SENSe<cnum>:FOM:RANGe<n>:SEGMent:SWEep:TIME:CONTrol?
Return Type | Boolean
Default | OFF

Last Modified:

5-Jan-2016

First Release


Frequency SCPI

Sense:Frequency Commands

Sets the frequency sweep functions of the analyzer.

SENSe:FREQuency:

CENTer

[CW | FIXed]

SPAN

STARt

STOP

Click on a Red keyword to view the command details.

See Also

  • Example using some of these commands.

  • Learn about Frequency Sweep

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:FREQuency:CENTer <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the center frequency of the analyzer.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Center frequency. Choose any number between the minimum and maximum frequency limits of the analyzer. Units are Hz.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:FREQ:CENT 1000000

sense2:frequency:center 1mhz

sense2:frequency:center 1e6

Query Syntax

SENSe<cnum>:FREQuency:CENTer?

Return Type

Numeric

Default

Center of the analyzer's frequency span

SENSe<cnum>:FREQuency[:CW | :FIXed] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Continuous Wave (or Fixed) frequency for the power sweep for channels 1 to 36. Must also send SENS:SWEEP:TYPE CW to put the analyzer into CW sweep mode.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<num>

CW frequency. Choose any number between the minimum and maximum frequency limits of the analyzer. Units are Hz.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:FREQ 1000000
SENS:FREQ:CW MIN
sense2:frequency:fixed 1mhz

Query Syntax

SENSe<cnum>:FREQuency[:CW | :FIXed]?

Return Type

Numeric

Default

1E5 Hz

SENSe<cnum>:FREQuency:SPAN <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the frequency span of the analyzer.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Frequency span in Hz. Choose any number between 0 (minimum) and the maximum frequency span of the analyzer.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:FREQ:SPAN 1000000
sense2:frequency:span max

Query Syntax

SENSe<cnum>:FREQuency:SPAN?

Return Type

Numeric

Default

Maximum frequency span of the analyzer

SENSe<cnum>:FREQuency:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the start frequency of the analyzer.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Start frequency. Choose any number between the MIN and MAX frequency limits of the anal yzer. Units are Hz

If FREQ:START is set greater than FREQ:STOP, then STOP is set equal to START.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:FREQ:STAR 1000000
sense2:frequency:start MIN

Query Syntax

SENSe<cnum>:FREQuency:STARt?

If Sweep type is segment, this query returns the start frequency of the first segment.

Return Type

Numeric

Default

Minimum frequency of the analyzer

SENSe<cnum>:FREQuency:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the stop frequency of the analyzer.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Stop frequency. Choose any number between: the minimum and maximum frequency limits of the analyzer. Units are Hz.

If FREQ:STOP is set less than FREQ:START, then START will be set equal to STOP.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:FREQ:STOP 1000000
sense2:frequency:stop max

Query Syntax

SENSe<cnum>:FREQuency:STOP?

If Sweep type is segment, this query returns the stop frequency of the last segment.

Return Type

Numeric

Default

Maximum frequency of the analyzer

Last Modified:

5-Jan-2016

First Release


Gain Compression

SENSe:GCSetup Commands

Controls the Gain Compression configuration.

SENSe:GCSetup:

AMODe <char>

COMPression:

| ALGorithm <char>

| BACKoff:LEVel <num>

| DELTa:X <num>

| DELTa:Y <num>

| INTerpolation <bool>

| LEVel <num>

| SATuration:LEVel

EOSoperation <string>

PMAP

| INPut?

| OUTPut?

POWer:

| LINear:INPut:LEVel <num>

| REVerse:LEVel <num>

| STARt:LEVel <num>

| STOP:LEVel <num>

SAFE:

| CPADjustment <num>

| ENABle <bool>

| FPADjustment <num>

| FTHReshold <num>

| MLIMit <num>

SFA?

SMARt:

| MITerations <num>

| SITerations <bool>

| STIMe <num>

| TOLerance <num>

SWEep:

| FREQuency:POINts <num>

| POWer:POINts <num>

See Also

Other Gain Compression commands

  • CALC:CUSTom:DEFine - creates a gain compression measurement.

  • CALC:GCMeas:ANAL - Gain Compression Analysis settings

  • GCA Calibration uses the Guided Calibration commands, except for the following:

    • Sens:Corr:GCS:Power - sets power level for Source Power Cal

GCX

  • Setup Mixer using Sense:Mixer commands

  • Calibrate using SMC commands and Guided commands

  • Example Programs

    • Create and Cal a Gain Compression Measurement

    • Create and Cal a GCX Measurement

  • Learn about Gain Compression Application

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<ch>:GCSetup:AMODe <char>

Applicable Models: M9485A

(Read-Write) Set and read the method by which gain compression data is acquired.

Parameters

<ch>

Any existing GCA channel. If unspecified, value is set to 1.

<char>

Choose from:

  • PFREQuency - 2D Power Per Frequency

  • FPOWer - 2D Frequency Per Power

  • SMARtsweep - Smart Sweep

Examples

SENS:GCS:AMOD SMAR

sense:gcsetup:amode pfrequency

Query Syntax

SENSe<ch>:GCSetup:AMODe ?

Return Type

Character

Default

SMARtsweep

SENSe<ch>:GCSetup:COMPression:ALGorithm <char>

Applicable Models: M9485A

(Read-Write) Set and read the algorithm method used to compute gain compression.

Parameters

<ch>

Any existing GCA channel. If unspecified, value is set to 1.

<char>

Algorithm method. Choose from:

  • CFLG - compression from linear gain

  • CFMG - compression from maximum gain

  • BACKoff - compression from BackOff

  • XYCOM - X/Y Compression

  • SAT - compression from saturation

Examples

SENS:GCS:COMP:ALG BACK

sense:gcsetup:compression:algorithm XYcom

Query Syntax

SENSe<ch>:GCSetup:COMPression:ALGorithm?

Return Type

Character

Default

CFLG

SENSe<ch>:GCSetup:COMPression:BACKoff:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read value for the BackOff compression algorithm.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Backoff value in dB. Choose from 30 to (-30)
Examples | SENS:GCS:COMP:BACK:LEV 10 sense:gcsetup:compression:backoff:level 5
Query Syntax | SENSe<ch>:GCSetup:COMPression:BACKoff:LEVel?
Return Type | Numeric
Default | 10

SENSe<ch>:GCSetup:COMPression:DELTa:X <num>

Applicable Models: M9485A

(Read-Write) Set and read the 'X" value in the delta X/Y compression algorithm.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | X value in dB. Choose from 30 to (-30)
Examples | SENS:GCS:COMP:DELT:X 9 sense:gcsetup:compression:delta:X 8
Query Syntax | SENSe<ch>:GCSetup:COMPression:DELTa:X?
Return Type | Numeric
Default | 10

SENSe<ch>:GCSetup:COMPression:DELTa:Y <num>

Applicable Models: M9485A

(Read-Write) Set and read the 'Y" value in the delta X/Y compression algorithm.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Y value in dB. Choose from 30 to (-30)
Examples | SENS:GCS:COMP:DELT:Y 9 sense:gcsetup:compression:delta:Y 8
Query Syntax | SENSe<ch>:GCSetup:COMPression:DELTa:Y?
Return Type | Numeric
Default | 9

SENSe<ch>:GCSetup:COMPression:INTerpolation <bool>

Applicable Models: M9485A

(Read-Write) Sets whether or not interpolation should be performed on 2D measured compression data. Applies ONLY to 2D acquisition modes.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<bool> | Choose from: ON or (1) Interpolate the results OFF or (0) Do NOT interpolate the results but return the value closest to compression.
Examples | SENS:GCS:COMP:INT 1 sense:gcsetup:compression:interpolation off
Query Syntax | SENSe<ch>:GCSetup:COMPression:INTerpolation?
Return Type | Boolean
Default | OFF

SENSe<ch>:GCSetup:COMPression:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read the desired gain reduction (from reference gain). This value is used for Compression from Linear Gain and Compression from Maximum Gain. Use SENS:GCS:COMP:ALG CFLG to set this compression algorithm.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Compression level in dB. Choose a value greater than 0.1 dB.
Examples | SENS:GCS:COMP:LEV 1 sense:gcsetup:compression:level 3
Query Syntax | SENSe<ch>:GCSetup:COMPression:LEVel?
Return Type | Numeric
Default | 1

SENSe<ch>:GCSetup:COMPression:SATuration:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read the deviation dB from the maximum Pout. This is the point of saturation. Use SENS:GCS:COMP:ALG CFLG to set this compression algorithm.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Saturation level in dB. Choose a value greater than 0.01 dB.
Examples | SENS:GCS:COMP:SAT:LEV 1 sense:gcsetup:compression:saturation:level 3
Query Syntax | SENSe<ch>:GCSetup:COMPressionSATuration:LEVel?
Return Type | Numeric
Default | .1 dB

SENSe<ch>:GCSetup:EOSoperation <char>

Applicable Models: M9485A

(Read-Write) Set and read the This setting is used to protect a sensitive device from too much power during the sweep retrace. Other instrument settings or channels may over-ride this setting. Learn more.

Parameters

<ch>

Any existing GCA channel. If unspecified, value is set to 1.

<char>

End Of Sweep operation. Choose from:

  • STANdard Use the default VNA method. Learn more.

  • POFF Always turn power OFF while waiting.

  • PSTArt Sweep Start power

  • PSTOp Sweep Stop power.

Examples

SENS:GCS:EOS PSTA

sense:gcsetup:eosoperation standard

Query Syntax

SENSe<ch>:GCSetup:EOSoperation?

Return Type

Character

Default

STANdard

SENSe<ch>:GCSetup:PMAP <in>,<out>

Applicable Models: M9485A

(Write-only) Set the DUT-to-PNA port mapping for the Gain Compression measurement.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<in> | VNA port which is connected to the DUT input.
<out> | VNA port which is connected to the DUT output.
Examples | SENS:GCS:PMAP 1,2 sense:gcsetup:pmap 2,1
Query Syntax | Not Applicable
Default | 1,2

SENSe<ch>:GCSetup:PMAP:INPut?

Applicable Models: M9485A

(Read-only) Read the VNA port number to be connected to the DUT Input. Use SENS:GCS:PORTMap to set the port mapping.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
Examples | SENS:GCS:PMAP:INP? sense:gcsetup:pmap:input?
Return Type | Numeric
Default | 1

SENSe<ch>:GCSetup:PMAP:OUTPut?

Applicable Models: M9485A

(Read-only) Read the VNA port number to be connected to the DUT Output.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
Examples | SENS:GCS:PMAP:OUTP? sense:gcsetup:pmap:output?
Return Type | Numeric
Default | 2

SENSe<ch>:GCSetup:POWer:LINear:INPut:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read the input power at which Linear Gain and all S-parameters are measured.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Input power level in dBm. Choose a value from +30 to (-30).
Examples | SENS:GCS:POW:LIN:INP:LEV 0 sense:gcsetup:power:linear:input:level -10
Query Syntax | SENSe<ch>:GCSetup:POWer:LINear:INPut:LEVel?
Return Type | Numeric
Default | -25 dBm

SENSe<ch>:GCSetup:POWer:REVerse:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read the reverse power level to the DUT. This is applied to the DUT output port when making reverse measurements like S22.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Reverse power level in dBm. Choose a value from +30 to (-30).
Examples | SENS:GCS:POW:REV:LEV 0 sense:gcsetup:power:reverse:level -5
Query Syntax | SENSe<ch>:GCSetup:POWer:REVerse:LEVel?
Return Type | Numeric
Default | -5

SENSe<ch>:GCSetup:POWer:STARt:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read the start power level.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Start power level in dBm. Choose a value from +30 to (-30).
Examples | SENS:GCS:POW:STAR:LEV 0 sense:gcsetup:power:start:level -5
Query Syntax | SENSe<ch>:GCSetup:POWer:STARt:LEVel?
Return Type | Numeric
Default | -30

SENSe<ch>:GCSetup:POWer:STOP:LEVel <num>

Applicable Models: M9485A

(Read-Write) Set and read the stop power level.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Stop power level in dBm. Choose a value from +30 to (-30).
Examples | SENS:GCS:POW:STOP:LEV 0 sense:gcsetup:power:stop:level -5
Query Syntax | SENSe<ch>:GCSetup:POWer:STOP:LEVel?
Return Type | Numeric
Default | -5

SENSe<ch>:GCSetup:SAFE:CPADjustment <num>

Applicable Models: M9485A

(Read-Write) Set and read the Safe Sweep COARSE power adjustment. Learn more.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Coarse power adjustment setting in dBm. Choose a value from +30 to (-30).
Examples | SENS:GCS:SAFE:CPAD 2 sense:gcsetup:safe:cpadjustment 3.5
Query Syntax | SENSe<ch>:GCSetup:SAFE:CPADjustment?
Return Type | Numeric
Default | 3.0

SENSe<ch>:GCSetup:SAFE:ENABle <bool>

Applicable Models: M9485A

(Read-Write) Set and read the (ON | OFF) state of Safe Sweep mode. Learn more
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | (Boolean) - Safe Sweep state. Choose from: OFF (or 0) - Disable Safe Sweep ON (or 1) - Enable Safe Sweep
Examples | SENS:GCS:SAFE:ENAB 0 sense:gcsetup:safe:enable 1
Query Syntax | SENSe<ch>:GCSetup:SAFE:ENABle?
Return Type | Boolean
Default | 0

SENSe<ch>:GCSetup:SAFE:FPADjustment <num>

Applicable Models: M9485A

(Read-Write) Set and read the Safe Sweep FINE power adjustment. Learn more
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Fine power adjustment setting in dBm. Choose a value from +30 to (-30).
Examples | SENS:GCS:SAFE:FPAD 2 sense:gcsetup:safe:fpadjustment .5
Query Syntax | SENSe<ch>:GCSetup:SAFE:FPADjustment?
Return Type | Numeric
Default | 1.0 dBm

SENSe<ch>:GCSetup:SAFE:FTHReshold <num>

Applicable Models: M9485A

(Read-Write) Set and read the compression level in which Safe Sweep changes from the COARSE power adjustment to the FINE power adjustment. Learn more
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Threshold setting in dB. Choose a value from +30 to (-30).
Examples | SENS:GCS:SAFE:FTHR .1 sense:gcsetup:safe:fthreshold .75
Query Syntax | SENSe<ch>:GCSetup:SAFE:FTHReshold?
Return Type | Numeric
Default | 0.5 dB

SENSe<ch>:GCSetup:SAFE:MLimit <num>

Applicable Models: M9485A

(Read-Write) When the VNA port that is connected to the DUT Output measures this value, the input power to the DUT is no longer incremented at that frequency. Safe Mode must be enabled with SENS:GCS:SAFE:ENAB ON Learn more
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Maximum power limit in dBm. Choose a value from -100 to +100
Examples | SENS:GCS:SAFE:MLIM 20 sense:gcsetup:safe:mlimit 30
Query Syntax | SENSe<ch>:GCSetup:SAFE:MLIMit?
Return Type | Numeric
Default | 30

SENSe<ch>:GCSetup:SFAilures?

Applicable Models: M9485A

(Read-only) Returns a comma-separated list of the frequency indexes that were out of tolerance for SMART Sweep mode, or at the power limit for 2D acquisition modes. Zero (0) is the first frequency data point. Must be Single triggered. Invalid results occur if the GCA channel is continuously sweeping.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
Examples | SENS:GCS:SFA? sense:gcsetup:sfailures?
Return Type | Comma-separated list of frequency indexes.
Default | Not Applicable

SENSe<ch>:GCSetup:SMARt:MITerations <num>

Applicable Models: M9485A

(Read-Write) Set and read the maximum permitted number of iterations which SMART Sweep may utilize to find the desired compression level, to within the specified tolerance.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Maximum number of iterations. Choose a value between 1 and 10e8
Examples | SENS:GCS:SMAR:MIT 5 sense:gcsetup:smart:miterations 3
Query Syntax | SENSe<ch>:GCSetup:SMARt:MITerations?
Return Type | Numeric
Default | 20

SENSe<ch>:GCSetup:SMARt:SITerations <bool>

Applicable Models: M9485A

(Read-Write) Set and read enable for showing intermediate results for each iteration of SMART Sweep
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<bool> | Choose from: ON or (1) Compression traces are updated after each iteration. OFF or (0) Compression traces are updated after ALL iterations are complete.
Examples | SENS:GCS:SMAR:SIT 1 sense:gcsetup:smart:siterations off
Query Syntax | SENSe<ch>:GCSetup:SMARt:SITerations?
Return Type | Boolean
Default | OFF

SENSe<ch>:GCSetup:SMARt:STIMe <num>

Applicable Models: M9485A

(Read-Write) Set and read the amount of time SMART Sweep will dwell at the first point where the input power changes by the Backoff or X level. Applies only to SMART Sweep when Backoff or XY compression methods are selected. Learn more.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<bool> | Settling time in seconds. Choose any positive value.
Examples | SENS:GCS:SMAR:STIM 1 sense:gcsetup:smart:stime .1
Query Syntax | SENSe<ch>:GCSetup:SMARt:STIMe?
Return Type | Numeric
Default | 0

SENSe<ch>:GCSetup:SMARt:TOLerance <num>

Applicable Models: M9485A

(Read-Write) Set and read the acceptable range SMART Sweep will allow for the measured compression level.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Tolerance level in dBm. Choose a value between .01 and 10
Examples | SENS:GCS:SMAR:TOL .1 sense:gcsetup:smart:tolerance .05
Query Syntax | SENSe<ch>:GCSetup:SMARt:TOLerance?
Return Type | Numeric
Default | .05

SENSe<ch>:GCSetup:SWEep:FREQuency:POINts <num>

Applicable Models: M9485A

(Read-Write) Set and read the number of data points in each frequency sweep. Learn more
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Frequency points. Do not exceed the max number of data points. See Data Points Limit
Examples | SENS:GCS:SWE:FREQ:POIN 201 sense:gcsetup:sweep:frequency:points 101
Query Syntax | SENSe<ch>:GCSetup:SWEep:FREQuency:POINts?
Return Type | Numeric
Default | 201

SENSe<ch>:GCSetup:SWEep:POWer:POINts <num>

Applicable Models: M9485A

(Read-Write) Set and read the number of data points in each power sweep. Applies ONLY to 2D acquisition modes.
Parameters |
<ch> | Any existing GCA channel. If unspecified, value is set to 1.
<num> | Power points. Do not exceed the max number of data points. See Data Points Limit
Examples | SENS:GCS:SWE:POW:POIN 50 sense:gcsetup:sweep:power:points 21
Query Syntax | SENSe<ch>:GCSetup:SWEep:POWer:POINts?
Return Type | Numeric
Default | 26

Last Modified:

6-Oct-2011

Added GCX notes


MIXer SCPI

Sense:Mixer Commands

Performs Mixer setup and configuration.

SENSe:MIXer:

APPLy

CALC

DISCard

IF:FREQuency

| SIDeband

| STARt

| STOP

INPut:FREQuency

| DENominator

| FIXed

| MODE

| NUMerator

| STARt

| STOP

INPut:POWer

| STARt

| STOP

| USENominal

LO:FREQuency

| DENominator

| FIXed

| ILTI

| MODE

| NUMerator

| STARt

| STOP

LO:NAME | NAMe

LO:POWer

| STARt

| STOP

LOAD

NORMalize:POINt

OUTPut:FREQuency

| FIXed

| MODE

| SIDeband

| STARt

| STOP

PMAP

| INPut?

| OUTPut?

RECalculate

REVerse

ROLE

| CATalog?

| DEVice

SAVE

SEGMent More Commands

STAGe (number of LOs)

XAXis

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about the Frequency Converter Application

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Note: If you are changing several mixer configuration settings, you can make all the changes first and then issue the Calculate and Apply commands as you would do from the user interface.

SENSe<ch>:MIXer:APPLy

Applicable Models: E5080A, M9485A

(Write only) Applies the mixer setup settings and turns the channel ON. (Performs the same function as the Apply button on the mixer setup dialog box).
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:MIX:APPL
Query Syntax | Not Applicable
Default | Not Applicable

S

SENSe<ch>:MIXer:CALCulate <char>

Applicable Models: E5080A, M9485A

(Write only) Calculates the Input, IF, or Output frequencies of the mixer setup and updates the channel settings.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<char>

Mixer port to be calculated. Choose from:

<char>

1st or only stage requires:

In addition, 2nd stage requires:

INPut

  • Output Start/Stop/Fixed frequencies

  • LO Start/Stop/Fixed frequencies

  • Output sideband (High or Low)

  • IF Start/Stop/Fixed frequencies

  • 2nd Start/Stop/Fixed frequencies

  • IF sideband (High or Low)

BOTH

NA

  • IF Start/Stop/Fixed frequencies

  • Both Start/Stop/Fixed frequencies

OUTPut

  • Input Start/Stop/Fixed frequencies

  • LO Start/Stop/Fixed frequencies

  • Output sideband (High or Low)

  • IF Start/Stop/Fixed frequencies

  • 2nd Start/Stop/Fixed frequencies

  • IF sideband (High or Low)

LO_1

  • Input Start/Stop/Fixed frequencies

  • Output Start/Stop/Fixed frequencies

  • Output sideband (High or Low)

  • IF Start/Stop/Fixed frequencies

  • 2nd Start/Stop/Fixed frequencies

  • IF sideband (High or Low)

LO_2

NA

  • Input Start/Stop/Fixed frequencies

  • 1st LO Start/Stop/Fixed frequencies

  • Output Start/Stop/Fixed frequencies

  • IF sideband(High or Low

  • Output sideband(High or Low)

Examples

SENS:MIX:CALC Output

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:MIXer:DISCard

Applicable Models: E5080A, M9485A

(Write only) Cancels changes that have been made to the Converter setup and reverts to the previously-saved setup. Same as the Cancel button on the mixer setup dialog box.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:MIX:DISC
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:MIXer:IF:FREQuency:SIDeband <char>

Applicable Models: E5080A, M9485A

(Read-Write) When two LO stages are used, sets or returns whether to select the sum or difference for the IF1 product. (Input + or - LO1 = IF1)

  • This setting corresponds to the [image] buttons on LO1 on the Mixer setup dialog

  • This setting is ignored when ONE LO stage is selected.

  • Also set SENS:MIX:OUTP:FREQ:SID to LOW or HIGH to determine the output frequency of the mixer.

See Note

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<char>

Sideband value. Choose from

LOW - Difference (-)

HIGH - Sum (+)

Examples

SENS:MIX:IF:FREQ:SID LOW
SENSe2:MIXer:IF:FREQ:SIDeband HIGH

Query Syntax

SENSe<ch>:MIXer:IF:FREQuency:SIDeband?

Return Type

Character

Default

LOW

SENSe<ch>:MIXer:IF:FREQuency:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the IF start frequency value of the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<num> | IF Start Frequency value
Examples | SENS:MIX:IF:FREQ:STAR 1e9 SENSe2:MIXer:IF:FREQ:STARt 1000000000
Query Syntax | SENSe<ch>:MIXer:IF:FREQuency:STARt?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:IF:FREQuency:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the stop frequency value of the mixer IF frequency. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<num> | IF Stop Frequency value
Examples | SENS:MIX:IF:FREQ:STOP 2e9 SENSe2:MIXer:IF:FREQ:STOP 2000000000
Query Syntax | SENSe<ch>:MIXer:IF:FREQuency:STOP?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:FREQuency:DENominator <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the denominator value of the Input Fractional Multiplier. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input denominator value.
Examples | SENS:MIX:INP:FREQ:DEN 5 SENS2:MIXer:INPut:FREQ:DENominator 4
Query Syntax | SENSe<ch>:MIXer:INPut:FREQuency:DENominator?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:FREQuency:FIXed<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the fixed frequency of the input. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input frequency.
Examples | SENSe:MIXer:INPut:FREQ:FIXed 1e9 SENSe2:MIXer:INPut:FREQ:FIXed 1000000000
Query Syntax | SENSe<ch>:MIXer:INPut:FREQuency:FIXed?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:FREQuency:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the Input sweep mode.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<char> | Input sweep mode. Choose either FIXED or SWEPT
Examples | SENS:MIX:INP:FREQ:MODE FIXED SENSe2:MIXer:INP:FREQ:MODE swept
Query Syntax | SENSe<ch>:MIXer:INPut:FREQuency:MODE?
Return Type | Character
Default | Fixed

SENSe<ch>:MIXer:INPut:FREQuency:NUMerator <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the numerator value of the Input Fractional Multiplier. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input numerator value.
Examples | SENS:MIX:INP:FREQ:NUM 3 SENSe2:MIXer:INPut:FREQ:NUMerator 1
Query Syntax | SENSe<ch>:MIXer:INPut:FREQ:NUMerator?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:FREQuency:STARt <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the Input start frequency value of the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input Start frequency
Examples | SENS:MIX:INP:FREQ:STAR 1e9 SENSe2:MIXer:INPut:FREQ:STARt 1000000000
Query Syntax | SENSe<ch>:MIXer:INPut:FREQuency:STARt?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:FREQuency:STOP <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the Input stop frequency value of the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input stop frequency
Examples | SENS:MIX:INP:FREQ:STOP 2e9 SENSe2:MIXer:INPut:FREQ:STOP 2000000000
Query Syntax | SENSe<ch>:MIXer:INPut:FREQuency:STOP?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:POWer <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the value of the Input Power.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input power in dBm.
Examples | SENS:MIX:INP:POW 9 SENSe2:MIXer:INPut:POWer 5
Query Syntax | SENSe<ch>:MIXer:INPut:POWer?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:POWer:STARt <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the input start power for a power sweep in a mixer channel like SMC. The value is only used when the sweep type is power sweep.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input power value in units of dBm.
Examples | SENS:MIX:INP:POW STAR 6 SENSe2:MIXer:INPut:POWer:STARt 5
Query Syntax | SENSe<ch>:MIXer:INPut:POWer:STARt?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:POWer:STOP <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the input stop power for a power sweep in a mixer channel . The value is only used when the sweep type is power sweep.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Input power value in units of dBm.
Examples | SENS:MIX:INP:POW STOP 9 SENSe2:MIXer:INPut:POWer:STOP 5
Query Syntax | SENSe<ch>:MIXer:INPut:POWer:STOP?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:INPut:POWer:USENominal <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Toggles the Use Nominal Incident Power setting ON and OFF. This setting is ONLY to be used with SMC measurements. Learn more about Nominal Incident Power.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<bool> | Nominal Incident Power State. Choose from: ON (1) - Turn nominal incident power ON OFF (0) - Turn nominal incident power OFF
Examples | SENS:MIX:INP:POW:USEN 1 SENSe2:MIXer:INPut:POWer:USENominal OFF
Query Syntax | SENSe<ch>:MIXer:INPut:POWer:USENominal?
Return Type | Boolean
Default | OFF

SENSe<ch>:MIXer:LO<n>:FREQuency:DENominator <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the denominator value of the LO Fractional Multiplier. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2.
<value> | LO denominator.
Examples | SENS:MIX:LO:FREQ:DEN 5 SENSe2:MIXer:LO2:FREQ:DENominator 4
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:DENominator?
Return Type | Numeric
Default | 1

SENSe<ch>:MIXer:LO<n>:FREQuency:FIXed <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the fixed frequency of the specified mixer LO. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2
<value> | LO frequency.
Examples | SENS:MIX:LO:FREQ:FIX 1e9 SENSe2:MIXer:LO2:FREQ:FIXed 1000000000
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:FIXed?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:LO<n>:FREQuency:ILTI <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether to use the Input frequency that is greater than the LO or less than the LO. To learn more, see the mixer setup dialog box help.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2
<bool> | ON (1) - Use the Input that is Greater than the specified LO. OFF (0) - Use the Input that is Less than the specified LO.
Examples | SENS:MIX:LO1:FREQ:ILTI 1 sense2:mixer:lo2:frequency:ilti ON
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:ILTI?
Return Type | Boolean
Default | OFF

SENSe<ch>:MIXer:LO<n>:FREQuency:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the LO sweep mode.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2
<char> | LO sweep mode. Choose either FIXED or SWEPT
Examples | SENS:MIX:LO:FREQ:MODE FIXED SENSe2:MIXer:LO2:FREQ:MODE swept
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:MODE?
Return Type | Character
Default | Fixed

SENSe<ch>:MIXer:LO<n>:FREQuency:NUMerator <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the numerator value of the LO Fractional Multiplier. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2
<value> | LO Numerator.
Examples | SENS:MIX:LO:FREQ:NUM 5 SENSe2:MIXer:LO2:FREQ:NUMerator 4
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:NUMerator?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:LO<n>:FREQuency:STARt <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the LO start frequency value. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2
<value> | LO Start Frequency in Hertz.
Examples | SENS:MIX:LO:FREQ:STAR 5E9
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:STARt?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:LO<n>:FREQuency:STOP <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the LO stop frequency value. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage number. Choose 1 or 2
<value> | LO Stop Frequency in Hertz.
Examples | SENS:MIX:LO:FREQ:STOP 5E9
Query Syntax | SENSe<ch>:MIXer:LO<n>:FREQuency:STOP?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:LO<n>:NAME | NAMe <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the name of the VNA internal source or external source to use as the LO in a converter measurement.

Important Note: This setting is immediately send to the channel configuration. First set and apply mixer frequency settings, then send this command. Otherwise, 'invalid setting' errors may occur.

See Remotely Specifying a Source Port.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<n>

LO stage number. Choose 1 or 2.

<value>

(string) - LO Source name. Use Source:CAT? to return a list of valid source ports. An external source must be configured and selected to be valid. Learn more about external source configuration.

Examples

SENS:MIX:LO:NAME "MySource"

Query Syntax

SENSe<ch>:MIXer:LO<n>:NAME?

Return Type

String

Default

"Not Controlled"

SENSe<ch>:MIXer:LO<n>:POWer <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the LO Power fixed value.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage. Choose 1 or 2
<value> | LO Power in dBm
Examples | SENS:MIX:LO:POW 9
Query Syntax | SENSe<ch>:MIXer:LO<n>:POWer?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:LO<n>:POWer:STARt <value>

Applicable Models: E5080A, M9485A

(Read-Write) For an LO power sweep, sets or returns the LO power start value.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage. Choose 1
<value> | LO start power in dBm
Examples | SENS:MIX:LO1:POW:STAR -10
Query Syntax | SENSe<ch>:MIXer:LO1:POWer:STARt?
Return Type | Numeric
Default | - 20 dBm

SENSe<ch>:MIXer:LO<n>:POWer:STOP <value>

Applicable Models: E5080A, M9485A

(Read-Write) For an LO power sweep, sets or returns the LO power stop value.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | LO stage. Choose 1
<value> | LO stop power in dBm
Examples | SENS:MIX:LO1:POW:STOP 10
Query Syntax | SENSe<ch>:MIXer:LO1:POWer:STOP?
Return Type | Numeric
Default | -10 dBm

SENSe<ch>:MIXer:LOAD <name>

Applicable Models: E5080A, M9485A

(Write-only) Loads a previously-configured mixer attributes file (.mxr)
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<name> | Path and file name (including .mxr extension) to load.
Examples | SENSe:MIXer:LOAD "C:/Program Files/Keysight/Network Analyzer/Documents/Mixer/MyMixer.mxr"
Default | Not Applicable

SENSe<ch>:MIXer:NORMalize:POINt <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the data point for normalizing the phase measurement. Learn more.
Parameters |
<ch> | Channel number of the SMC measurement. If unspecified, value is set to 1.
<value> | Normalization data point. Choose a data point number between 1 and the max number of data points in the sweep that has the least amount of expected noise.
Examples | SENS:MIX:NORM:POIN 101 sense2:mixer:normalize:point 50
Query Syntax | SENSe<ch>:MIXer:NORMalize:POINt?
Return Type | Numeric
Default | Middle point in the sweep

SENSe<ch>:MIXer:OUTPut:FREQuency:FIXed <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the output fixed frequency of the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Output fixed frequency in Hertz.
Examples | SENS:MIX:OUTP:FREQ:FIX 5e9
Query Syntax | SENSe<ch>:MIXer:OUTPut:FREQuency:FIXed?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:OUTPut:FREQuency:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the Output sweep mode.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<char> | Output sweep mode. Choose either FIXED or SWEPT
Examples | SENS:MIX:OUT:FREQ:MODE FIXED SENSe2:MIXer:OUTput:FREQuency:MODE swept
Query Syntax | SENSe<ch>:MIXer:OUTPut:FREQuency:MODE?
Return Type | Character
Default | Fixed

SENSe<ch>:MIXer:OUTPut:FREQuency:SIDeband <value>

Applicable Models: E5080A, M9485A

(Read-Write) Specify whether to select the sum (High) or difference (Low) products.

  • When one LO is used: Input + or - LO1 = Output frequency

  • When two LOs are used: IF1 + or - LO2 = Output frequency

Use SENS:MIX:IF:FREQ:SID when two LOs are used to determine the IF1 frequency.

Use Sens:Mixer:Stage to set 1 or 2 LOs

See Note

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<value>

Sideband value. Choose from

LOW - Low or Difference (-)

HIGH - High or Sum (+)

Examples

SENS:MIX:OUTP:FREQ:SID LOW
SENSe2:MIXer:OUTPut:FREQ:SIDeband HIGH

Query Syntax

SENSe<ch>:MIXer:OUTPut:FREQuency:SIDeband?

Return Type

Character

Default

LOW

SENSe<ch>:MIXer:OUTPut:FREQuency:STARt <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the Output start frequency of the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Output start frequency
Examples | SENS:MIX:OUTP:FREQ:STAR 1e9 SENSe2:MIXer:OUTPut:FREQ:STARt 1000000000
Query Syntax | SENSe<ch>:MIXer:OUTPut:FREQuency:STARt?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:OUTPut:FREQuency:STOP <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the Output stop frequency of the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<value> | Output stop frequency
Examples | SENS:MIX:OUTP:FREQ:STOP 1e9 SENSe2:MIXer:OUTPut:FREQ:STOP 1000000000
Query Syntax | SENSe<ch>:MIXer:OUTPut:FREQuency:STOP?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:PMAP <in>,<out>

Applicable Models: E5080A, M9485A

(Write-only) Sets the VNA to DUT port map for FCA measurements. Use SENS:MIX:PMAP:INP? and SENS:MIX:PMAP:OUTP? to read these values. Learn about selectable FCA DUT ports.

Changing the ports may limit your ability to use an internal second source. If a selected port is shared by one of the sources, then that source will not be available as an LO source. Learn more about Internal second sources.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<in>

VNA port to connect to the DUT input.

  • For SMC, choose any unused VNA port.

  • For VMC, set to 1.

<out>

VNA port to connect to the DUT output. Choose any unused port for SMC and VMC.

Examples

SENS:MIX:PMAP 2,1
sense2:mixer:pmap 4,2

Query Syntax

Not Applicable

Default

1,2

SENSe<ch>:MIXer:PMAP:INPut?

Applicable Models: E5080A, M9485A

(Read-only) Returns the VNA port that is mapped to the DUT input. Use SENS:MIX:PMAP to set this value. Learn about selectable FCA DUT ports.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
Examples | SENS:MIX:PMAP:INP? sense2:mixer:pmap:input?
Default | 1

SENSe<ch>:MIXer:PMAP:OUTPut?

Applicable Models: E5080A, M9485A

(Read-only) Returns the VNA port that is mapped to the DUT output. Use SENS:MIX:PMAP to set this value. Learn about selectable FCA DUT ports.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
Examples | SENS:MIX:PMAP:OUTP? sense2:mixer:pmap:output?
Default | 2

SENSe<ch>:MIXer:RECalculate

Applicable Models: E5080A, M9485A

(Write only) Repeats the last calculation that was performed, including all ON (state) segments in segment table.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:MIX:REC
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:MIXer:REVerse <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets whether to include SC12 sweeps during measurements.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<bool> | (Boolean) Choose from: ON (1) - Include the SC12 (reverse) sweep. OFF (0) - Do NOT Include the SC12 (reverse) sweep.
Examples | SENS:MIX:REV 1 sense2:mixer:reverse ON
Query Syntax | SENSe<ch>:MIXer:REVerse?
Return Type | Boolean
Default | ON (1)

SENSe<ch>:MIXer:SAVE <name>

Applicable Models: E5080A, M9485A

(Write-only) Saves the settings for the mixer/converter test setup to a mixer attributes file.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<name> | Path and file name (including .mxrx extension) to save.
Examples | SENSe:MIXer:SAVE "C:/Program Files/Keysight/Network Analyzer/Documents/Mixer/MyMixer.mxrx"
Default | Not Applicable

SENSe<ch>:MIXer:STAGe <n>

Applicable Models: E5080A, M9485A

(Read-Write) Number of IF stages (LOs) used in the mixer. See Note
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | Number of stages. Choose either 1 or 2
Examples | SENSe:MIX:STAG 2 SENSe:MIXer:STAGE 1
Query Syntax | SENSe<ch>:MIXer:STAGe?
Return Type | Numeric
Default | 1

SENSe<ch>:MIXer:XAXis <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the swept frequency range to display on the X-axis for the IMDx channel.

For FCA and GCX measurements, use CALC:MIXer:XAXis

Parameters

<ch>

Channel number of the IMDx Converter measurement. If unspecified, value is set to 1.

<char>

Frequency range to display on the X-Axis. NOT case-sensitive. Choose from:

  • INPUT - Input frequency range

  • LO_1 - LO frequency range

  • OUTPUT - Output frequency range

If the specified frequency range is not swept, the default swept range is used.

Examples

SENSe:MIXer:XAXis INPUT

sense2:mixer:xaxis LO_1

Return Type

Character

Default

Search is made in the following order until a swept range is found:

  1. OUTPUT

  2. INPUT (If the OUTPUT is fixed)

  3. Number of Points (If ALL ranges are fixed)

Last modified:

5-Jan-2016

First Release


Multiplexer

Sense:Multiplexer Commands

Controls External Test Sets (N44xx, E5091A, "Z", and "H" series).

SENSe:MULTiplexer:

ADDRess

ALLPorts

CATalog?

COUNt?

DISPlay

INCount?

LABel

OUTPut

| A|B|C|D[DATA]

| A|B|C|D:VOLTage[DATA]

| [DATA | DATa]

PORT

| CATalog?

| SELect

STATe

TSET9

| OUTPut

| PORT1

| PORT2

| PORT3

| PORT4

TYPE|TYPe

Click on a Red keyword to view the command details.

See Also

  • See an example program using these commands.

  • Learn about External Test Set Control

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe:MULTiplexer<id>:ADDRess <address>

Applicable Models: E5080A

(Read-Write) Sets and returns the address for the external test set at the specified ID. This command should be immediately preceded by the SENS:MULT:TYPE command.

Parameters

<id>

Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.

<address>

Integer The test set address.

  • For a GPIB test set (N44xx and some specials), this is the GPIB address.

  • For a test set I/O test set (some specials), it is the position of the test set in the chain (starting at 0).

  • For USB test sets (E5091A), the address is set by DIP switches on the rear panel.

Examples

SENS:MULT1:TYPE "Z5623A_K66" ' use K66 test set, and reference it through ID 1

SENS:MULT1:ADDR 0 ' first test set in sequence

' All subsequent commands using SENS:MULT1 will refer to this test set

Query Syntax

SENSe:MULTiplexer<id>:ADDRess?

Return Type

Numeric

Default

Not Applicable

SENSe<cnum>:MULTiplexer<id>:ALLPorts <string>

Applicable Models: E5080A

(Read-Write) Sets or gets the port selections for all available ports on the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<id> | Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.
<string> | Comma-separated list of port selections, one for each port. Each port selection must correspond to one of the values returned by SENS:MULT:PORT:CAT?. Do NOT include + and - .
Examples | ' for channel 5 and test set 1, set port 1 to T1, ' port 2 to A, port 3 to R2+, port 4 to R3-. SENS5:MULT1:ALLP "T1,A,R2,R3 "
Query Syntax | SENSe<cnum>:MULTiplexer<id>:ALLPorts?
Return Type | STRING
Default | Not Applicable

SENSe:MULTiplexer:CATalog?

Applicable Models: E5080A

(Read-Only) Returns a comma-separated list of the external test sets models that are currently supported. Choose one of these items to send SENS:MULT:TYPE.
Examples | SENS:MULT:CAT?
Return Type | String
Default | Not Applicable

SENSe:MULTiplexer<id>:COUNt?

Applicable Models: E5080A

(Read-Only) Returns the total number of ports of the specified test set. Returns 0 if no test set is connected (GPIB test sets only).
Parameters |
<id> | Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENSe:MULT:TYPE command.
Examples | SENS:MULT1:COUN? sense:multiplexer2:count?
Return Type | Numeric
Default | Not Applicable

SENSe:MULTiplexer<id>:DISPlay[:STATe] <bool>

Applicable Models: E5080A

(Read-Write) Turns ON and OFF the display of the test set control status bar. This status bar indicates the test set that is being controlled and the current port mappings. This setting is turned ON automatically when the test set is enabled.
Parameters |
<id> | Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.
<bool> | ON or 1 - Turns ON the display. OFF or 0 - Turns OFF the display.
Examples | SENS:MULT1:DISP 1 sense:multiplexer2:display:state on
Query Syntax | SENSe:MULTiplexer<id>:DISPlay[:STATe]?
Return Type | Boolean
Default | OFF or 0

SENSe:MULTiplexer<id>:INCount?

Applicable Models: E5080A

(Read-Only) Returns the number of input ports for the specified test set.

  • For test sets such as the E5091A that do NOT use jumper cables to route the stimulus and response signals, this command returns the number of test set ports that can be connected to the VNA.

  • For test sets that DO use jumper cables to route the stimulus and response signals, such as the N44xx, the return value is not valid.

Parameters

<id>

Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.

Examples

SENS3:MULT1:INC? ' returns the number of input ports for test set 1 on channel 3

Return Type

Numeric

Default

Not Applicable

SENSe<cnum>:MULTiplexer:LABel <string>

Applicable Models: E5080A

(Read-Write) Sets and returns the display label for the test set on the specified channel. The label appears in a status bar at the bottom of the VNA display when SENS:MULT:DISP is set to ON.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<string> | Display label text.
Examples | SENS3:MULT:LAB 'High-power output'
Query Syntax | SENSe<cnum>:MULTiplexer:LABel?
Return Type | String
Default | Not Applicable

SENSe<cnum>:MULTiplexer<id>:OUTPut:<grp>[:DATA] <num>

Applicable Models: E5080A

(Read-Write) Sets or returns the output port data for specified group with id of the E5092A multiport test set.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<id>

Id of the external test set either 1 or 2. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.

<grp>

A | B | C | D

<num>

An integer specifying the decimal value of the control line. Values are obtained by adding weights from the following table that correspond to individual lines.

The output port data range is between 0 to 255 (0=All line are turns OFF and 255 all lines are turn ON).

Line | Weight
1 | 1
2 | 2
3 | 4
4 | 8
5 | 16
6 | 32
7 | 64
8 | 128

Examples

SENS3:MULT1:OUTP:B 8

Query Syntax

SENSe<cnum>:MULTiplexer<id>:OUTPut:<grp>[:DATa]?

Return Type

Numeric

Default

0

SENSe<cnum>:MULTiplexer<id>:OUTPut:<grp>:VOLTage[:DATA] <volt>

Applicable Models: E5080A

(Read-Write) Sets or returns the output voltage for specified group with id of the E5092A multiport test set.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<id> | Id of the external test set either 1 or 2. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.
<grp> | A | B | C | D
<volt> | Output voltage range for <grp> is between 0 to 5.2V and resolution is 10mV.
Examples | SENS3:MULT1:OUTP:B:VOLT 4.2
Query Syntax | SENSe<cnum>:MULTiplexer<id>:OUTPut:<grp>:VOLtage[:DATa]?
Return Type | Numeric
Default | 0 V

SENSe<cnum>:MULTiplexer<id>:OUTPut[:DATA | DATa] <num>

Applicable Models: E5080A

(Read-Write) Sets or returns the status of HIGH/LOW of all the control lines of the E5091A whose ID is 1 to 2 (id) when measuring selected channel in the measurement using the E5091A.

Note: This command is available only for E5091A multiport test set.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<id>

Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.

<num>

An integer specifying the decimal value of the control line. Values are obtained by adding weights from the following table that correspond to individual lines.

Line | Weight
1 | 1
2 | 2
3 | 4
4 | 8
5 | 16
6 | 32
7 | 64
8 | 128

Note:

  • The E5091A interprets SENS:MULT1:OUTP 0 as all lines OFF.

  • All "Z"and "H" series test sets interpret SENS:MULT1:OUTP 0 as all lines ON.

Refer to your test set documentation for setting control line values.

Examples

SENS3:MULT1:OUTP 48 'For Z5623A K64, lines 5 and 6 are OFF; all other lines are set to ON state.

Query Syntax

SENSe<cnum>:MULTiplexer<id>:OUTPut[:DATA]?

Return Type

Numeric

Default

Not Applicable

SENSe<cnum>:MULTiplexer<id>:PORT<pnum>:CATalog?

Applicable Models: E5080A

(Read-Only) Returns a comma-separated list of valid port selections for the specified port.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<id> | Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.
<pnum> | Integer - Input port number for which to return valid Output port selections. Read the number of input ports for the test set using SENS:MULT:INC?
Examples | SENS:MULT1:PORT3:CAT? ' returns the valid port selections for port 3
Return Type | String
Default | Not Applicable

SENSe<cnum>:MULTiplexer<id>:PORT<pnum>:SELect <string>

Applicable Models: E5080A

(Write-Only) Sets and returns a port mapping for a single port. If this command creates a conflict with an existing port, the VNA will resolve the conflict. Note: This command is not supported for the Z5623AK44.
Parameters |
<cnum> | Channel number of the measurement. If unspecified, value is set to 1.
<id> | Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENSe:MULT:TYPE command.
<pnum> | Integer - Logical port number.
<string> | Physical port number.
Examples | SENS:MULT1:PORT3:SEL "4" 'sets logical port 3 to physical port 4.
Return Type | String
Default | Not Applicable

SENSe:MULTiplexer<id>:STATe <bool>

Applicable Models: E5080A

(Read-Write) Enables and disables (ON/OFF) the port mapping and control line output of the specified test set.

If the specified test set is not connected or not ON, then setting State ON will report an error. All other properties can be set when the test set is not connected.

When this command is set to ON, then the display of the test set status bar (SENS:MULT:DISP) is also set to ON.

Parameters

<id>

Id of the external test set. If unspecified, Id is assumed to be 1. Must be previously set by the SENS:MULT:TYPE command.

<bool>

ON(1) Enables test set control.

OFF (0) Disables test set control.

Examples

SENS:MULT1:STAT 1
sense2:multiplexer2:state on

Query Syntax

SENSe<cnum>:MULTiplexer<id>:STATe?

Return Type

Boolean

Default

OFF (0)

SENSe:MULTiplexer<id>:TYPE | TYPe <name>

Applicable Models: E5080A

(Read-Write) Loads a configuration file for the specified type of external test set. This command should be immediately followed by the SENS:MULT:ADDR command.
Parameters |
<name> | String The name of the type of test set. Must be one of the items in the list returned by the SENS:MULT:CAT? query.
<id> | Id of the external test set. Set by this command. Use consecutive values starting at 1.
Examples | SENS:MULT1:TYPE "Z5623AK66" ' use K66 test set, and reference it through ID 1
Query Syntax | SENSe:MULTiplexer<id>:TYPe?
Return Type | String
Default | Not Applicable

Last Modified:

5-Jan-2016

First Release


Roscillator SCPI

Sense:Roscillator Command

Learn about the Reference Osc.

See the rear-panel 10 MHz connector.

SENSe:ROSCillator:SOURce?

Applicable Models: E5080A

(Read-only) Applying a 10 MHz signal to the Reference Oscillator connector automatically sets the Reference Oscillator to EXTernal. This command allows you to check that it worked.

  • EXT is returned when a signal is present at the 10 MHz Reference Oscillator connector.

  • INT is returned when NO signal is present at the 10 MHz Reference Oscillator connector.

Examples

SENS:ROSC:SOUR?
sense:roscillator:source?

Return Type

Character

Default

Not applicable

Last Modified:

5-Jan-2016

First Release


Segment SCPI

Sense:Segment Commands

Defines the segment sweep settings.

Enable segment sweep with SENS:SWE:TYPE SEGM.

SENSe:Segment:

ADD

ARBitrary

BANDwidth | BWIDth

| [RESolution]

| CONTrol

| PORT

| [RESolution]

| CONTrol

COUNt

DELete

| ALL

FREQuency

| CENTer

| SPAN

| STARt

| STOP

LIST

[STATe]

| CONTrol

POWer

| ATTenuation

| RECeiver

| CONTrol

| REFerence

| TEST

| [LEVel]

| CONTrol

SHLO

| CONTrol

SWEep

| DELay

| CONTrol

| DWELl

| CONTrol

| GENeration

| CONTrol

| POINts

| TOTal

| TIME

| CONTrol

| TOTal

| X

| SPACing

Click on a Red keyword to view the command details.

See Also

  • Example: Upload and Download a Segment List

  • Learn about Segment Sweep

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:SEGMent<snum>:ADD

Applicable Models: E5080A, M9485A

(Write-only) Adds a segment.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Segment number to add. If unspecified, value is set to 1. Segment numbers must be sequential. If a new number is added where one currently exists, the existing segment and those following are incremented by one.
Examples | Two Segments exist (1 and 2). The following command will add a new segment (1). The existing (1 and 2) will become (2 and 3) respectively. SENS:SEGM1:ADD sense2:segment1:add
Query Syntax | Not applicable. Use Sense:Segment:Count to determine the number of segments in a trace.
Default | Not Applicable

SENSe<cnum>:SEGMent:ARBitrary <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables you to setup a segment sweep with arbitrary frequencies. The start and stop frequencies of each segment can overlap other segments. Also, each segment can have a start frequency that is greater than its stop frequency which causes a reverse sweep over that segment. Learn more about Arbitrary Segment Sweep.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<bool> | ON or 1 - Allows the setup of arbitrary segment sweep. OFF or 0 - Prevents the setup of arbitrary segment sweep.
Examples | SENS:SEGM:ARB ON sense2:segment:arbitrary off
Query Syntax | SENSe<cnum>:SEGMent:ARBitrary?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:BANDwidth | BWIDth[:RESolution] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the IF Bandwidth for the specified segment. First set SENS:SEGM:BANDwidth | BWIDth:CONTrol ON. All subsequent segments that are added assume the new IF Bandwidth value.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<num>

IF Bandwidth in Hz. The list of valid IF Bandwidths is different depending on the VNA model. (Click to see the lists.) If an invalid number is specified, the analyzer will round up to the closest valid number.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:BWID 1KHZ

sense2:segment2:bwidth:resolution max

Query Syntax

SENSe<cnum>:SEGMent<snum>:BWIDth[:RESolution]?

Return Type

Numeric

Default

Varies with VNA model.

SENSe<cnum>:SEGMent:BANDwidth | BWIDth[:RESolution]:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether the IF Bandwidth resolution can be set independently for all segments.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON or 1 - Turns Bandwidth control ON. Bandwidth can be independently set for each segment. OFF or 0 - Turns Bandwidth control OFF. Use the channel IF bandwidth setting SENS:BWID.
Examples | SENS:SEGM:BWID:CONT ON sense2:segment2:bwidth:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:BWIDth | BANDwidth[:RESolution]:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:BANDwidth | BWIDth:PORT<pnum>[:RESolution] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether the IF Bandwidth resolution can be set independently for each segment for the selected port and channel.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<pnum>

Individual port number of the source: Port 1 to Port 2/Port 4. If unspecified, value is set to 1.

<num>

IF Bandwidth of each segment in Hz. The list of valid IF Bandwidths is different depending on the VNA model. (Click to see the lists.) If an invalid number is specified, the analyzer will round up to the closest valid number.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:BWID:PORT1 1KHZ

sense2:segment2:bandwidth:PORT2:resolution max

Query Syntax

SENSe<cnum>:SEGMent<snum>:BWIDth \ BANDwidth:PORT<pnum>[:RESolution]?

Return Type

Numeric

Default

Varies with VNA model.

SENSe<cnum>:SEGMent:BANDwidth | BWIDth:PORT<pnum>[:RESolution]:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the individual (Port 1 to Port 2/Port 4) IF Bandwidth control in the segment sweep table.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<pnum> | Individual port number of the source: Port 1 to Port 2/Port 4. If unspecified, value is set to 1.
<bool> | Specified the individual IFBW control, either ON or OFF. ON or 1 - Turns ON the individual port IFBW control. OFF or 0 - Turns OFF the individual port IFBW control.
Examples | SENS:SEGM:BWID:PORT1:CONT ON sense2:segment2:bandwidth:PORT2:resolution:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:BWIDth | BANDwidth:PORT<pnum>[:RESolution]:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent:COUNt?

Applicable Models: E5080A, M9485A

(Read-only) Queries the number of segments that exist in the specified channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:SEGM:COUNt? sense2:segment:count?
Return Type | Numeric
Default | 1 segment

SENSe<cnum>:SEGMent<snum>:DELete

Applicable Models: E5080A, M9485A

(Write-only) Deletes the specified sweep segment. When ALL segments are deleted, SENS:SWE:TYPE is automatically set to Linear because there are no segments to sweep.
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Number of the segment to delete. If unspecified, value is set to 1.
Examples | SENS:SEGM:DEL sense2:segment2:delete
Query Syntax | Not Applicable
Default | Not applicable

SENSe<cnum>:SEGMent:DELete:ALL

Applicable Models: E5080A, M9485A

(Write-only) Deletes all sweep segments. When this command is executed, SENS:SWE:TYPE is automatically set to Linear because there are no segments to sweep.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
Examples | SENS:SEGM:DEL:ALL sense2:segment:delete:all
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<cnum>:SEGMent<snum>:FREQuency:CENTer <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Center Frequency for the specified segment. The Frequency Span of the segment remains the same. The Start and Stop Frequencies change accordingly.

Note: All previous segment's Start and Stop Frequencies that are larger than the new Start Frequency are changed to the new Start Frequency. All following segment's start and stop frequencies that are smaller than the new Stop Frequency are changed to the new Stop Frequency.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<num>

Center Frequency in Hz. Choose any number between the minimum and maximum frequency of the analyzer.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:FREQ:CENT 1MHZ
sense2:segment2:frequency:center 1e9

Query Syntax

SENSe<cnum>:SEGMent<snum>:FREQuency:CENTer?

Return Type

Numeric

Default

Stop Frequency of the previous segment. If first segment, start frequency of the analyzer.

SENSe<cnum>:SEGMent<snum>:FREQuency:SPAN <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Frequency Span for the specified segment. The center frequency of the segment remains the same. The start and stop frequencies change accordingly.

Note: All previous segment's Start and Stop Frequencies that are larger than the new Start Frequency are changed to the new Start Frequency. All following segment's start and stop frequencies that are smaller than the new Stop Frequency are changed to the new Stop Frequency.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<num>

Frequency Span in Hz. Choose any number between the minimum and maximum frequency of the analyzer.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:FREQ:SPAN 1MHZ
sense2:segment2:frequency:span max

Query Syntax

SENSe<cnum>:SEGMent<snum>:FREQuency:SPAN?

Return Type

Numeric

Default

If first segment, frequency span of the analyzer. Otherwise 0.

SENSe<cnum>:SEGMent<snum>:FREQuency:START <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Start Frequency for the specified sweep segment.

Notes:

All other segment Start and Stop Frequency values that are larger than this frequency are changed to this frequency.

To return the start and stop frequency of the entire sweep (all segments), Use SENS:FREQ:STARt? and SENS:FREQ:STOP?

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<num>

Start Frequency in Hz. Choose any number between the minimum and maximum frequency of the analyzer.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:FREQ:STAR 1MHZ
sense2:segment2:frequency:start minimum

Query Syntax

SENSe<cnum>:SEGMent<snum>:FREQuency:STARt?

Return Type

Numeric

Default

Stop Frequency of the previous segment. If first segment, start frequency of the analyzer.

SENSe<cnum>:SEGMent<snum>:FREQuency:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Stop Frequency for the specified sweep segment.

Notes:

All other segment Start and Stop Frequency values that are larger than this frequency are changed to this frequency.

To return the start and stop frequency of the entire sweep (all segments), Use SENS:FREQ:STARt? and SENS:FREQ:STOP?

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<num>

Stop Frequency in Hz. Choose any number between the minimum and maximum frequency of the analyzer.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:FREQ:STOP 1MHZ
sense2:segment2:frequency:stop maximum

Query Syntax

SENSe<cnum>:SEGMent<snum>:FREQuency:STOP?

Return Type

Numeric

Default

If first segment, stop frequency of the analyzer. Otherwise, start frequency of the segment.

SENSe<cnum>:SEGMent<snum>:LIST <char>,<numSegs>,<data>

Applicable Models: E5080A, M9485A

(Read-Write) Reads or writes the entire list of values in the segment sweep table.

Note: For binary data transfer, specify 64-bit instead of 32-bit using FORMat[:DATA]. This is because higher frequencies used on VNA exceed the maximum value that can be represented by a 32-bit floating point number.

When sending/receiving this data as binary (FORMat[:DATA] REAL,64), use FORMat:BORDer to specify the correct 'endianness' (byte ordering) corresponding to your programming environment / computer platform.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Any existing segment number.

<char>

Choose from:

SSTOP - Frequency values are Start and Stop for each segment.

CSPAN - Frequency values are Center and Span for each segment.

<numSegs>

Total number of sweep segments being input. This allows the VNA to determine how many values per-each-segment are in the input <data> block.

<data>

A 2-dimensional array of Segment data as a single data block. The data elements within a segment are each represented as real floating-point numbers as follows, and the data block is formed by interleaving all the segments together consecutively:

  1. Segment state (Boolean 1 for ON and 0 for OFF)

  2. Number of Points in the segment

  3. Start Freq (when <char> is SSTOP), or Center Freq (when <char> is CSPAN)

  4. Stop Freq (when <char> is SSTOP), or Freq Span (when <char> is CSPAN)

  5. IFBW (optional for the Write)

  6. Dwell Time (optional for the Write)

  7. Power (optional for the Write) - see below.

The first four data elements must always be supplied. After those values, data must be supplied for successive optional elements. For example, to set dwell time values, you must also supply IFBW values, because IFBW (#5) precedes dwell time (#6) in the array order.

The IF Bandwidth, Sweep Time and Source Power Control settings do NOT affect the order in which elements are interpreted.

The number of elements to supply for Power depends on the following two settings:

  1. Source Power Option - ON allows segments to have independent power levels.

  2. Couple Ports = Off allows different power levels for each test port.

CouplePorts

SourcePowerOption

Number of Elements

False

False

Each port has its own channel-wide power setting, which is set using SOURce:POWer[:LEVel]. Provide exactly 7 elements per segment. The last element (power) is ignored.

False

True

Provide 6 elements + total number of ports. The first 7 elements are still interpreted the same.

The remaining elements (in-order) are interpreted as the power levels to set on that segment for Ports 2 through N, where N is the total number of ports currently enabled for the VNA or for a VNA with multiport external test set.

True

False

Provide exactly 7 elements per segment. The last element (power) is ignored.

True

True

Provide exactly 7 elements per segment. The last element (power) is honored.

Examples

SENS:SEGM:LIST SSTOP,1,1,201,10E6,26.5E9,1E3,0,-10 1 segment, state ON, 201 points, 10 MHz to 26.5 GHz, 1kHz IFBW, 0 dwell time, -10 dBm (port powers coupled)

sense2:segment:list? cspan

See Upload and Download a Segment List example program

Query Syntax

SENSe<cnum>:SEGMent:LIST? [char].

If unspecified, char is set to SSTOP.

The number of data elements per segment returned will be 6 + total number of source ports, regardless of the IF Bandwidth, Sweep Time and Source Power Control settings. For the N5264A, which has no source ports, the query will return just 6 values per segment. For all other VNA models, the last elements in each segment correspond to the power level for each port.

Return Type

Returns block data in the format specified by FORMat[:DATA].

Default

Not Applicable

SENSe<cnum>:SEGMent<snum>[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the specified sweep segment . At least ONE segment must be ON or Sweep Mode is automatically set to Linear.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Segment number to be turned ON or OFF.
<bool> | ON or 1 - Turns segment ON. OFF or 0 - Turns segment OFF.
Examples | SENS:SEGM ON sense2:segment2:state off
Query Syntax | SENSe<cnum>:SEGMent<snum>[:STATe]?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent:POWer:ATTenuation:RECeiver:CONTrol <bool>

Applicable Models: M9485A

(Read-Write) Turns ON or OFF the individual receiver attenuator control in the segment sweep table.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<bool> | ON or 1 - Turns ON the individual receiver attenuator control. OFF or 0 - Turns OFF the individual receiver attenuator control
Examples | SENS:SEGM:POW:ATT:REC:REC:CONT ON sense:segment:power:attenuation:receiver:control 1
Query Syntax | SENSe<cnum>:SEGMent:POWer:ATTenuation:RECeiver:CONTrol?
Return Type | Boolean. If querying for the standard (M9376A) port, the return value is 0
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:POWer<port>:ATTenuation:RECeiver:REFerence <num>

Applicable Models: M9485A

(Read-Write) Sets the attenuation level for the specified reference attenuator for each segment.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Segment number to modify. Choose any existing segment number. If unspecified, value is set to 1.
<port> | Port number of the VNA. If unspecified, value is set to 1.
<num> | Attenuation value in dB. 0dB or 35dB. If a number other than these is entered, the analyzer will select the next lower valid value. For example, if 19dB is entered, then 0dB attenuation will be selected.
Examples | SENS:SEGM:POW2:ATT:REC:REF 0 sense:segment:power:attenuation:receiver:reference 35
Query Syntax | SENSe<cnum>:SEGMent<snum>:POWer<port>:ATTenuattion:RECeiver:REFerence?
Return Type | Numeric. If querying for the standard port, the return value is 0
Default | 35

SENSe<cnum>:SEGMent<snum>:POWer<port>:ATTenuation:RECeiver:TEST <num>

Applicable Models: M9485A

(Read-Write) Sets the attenuation level for the specified test attenuator for each segment.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Segment number to modify. Choose any existing segment number. If unspecified, value is set to 1.
<port> | Port number of the VNA. If unspecified, value is set to 1.
<num> | Attenuation value in dB. 0dB or 35dB. If a number other than these is entered, the analyzer will select the next lower valid value. For example, if 19dB is entered, then 0dB attenuation will be selected.
Examples | SENS:SEGM:POW2:ATT:REC:TEST 0 sense:segment:power:attenuation:receiver:test 35
Query Syntax | SENSe<cnum>:SEGMent<snum>:POWer<port>:ATTenuation:RECeiver:TEST?
Return Type | Numeric. If querying for the standard port, the return value is 0
Default | 35

SENSe<cnum>:SEGMent<snum>:STATe:CONTrol <bool>

Applicable Models: M9485A

(Read-Write) Turns ON or OFF the specified/individual segment state control in the segment sweep table. At least ONE segment must be ON or is automatically set to Linear.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Segment number to be turned ON or OFF.
<bool> | ON or 1 - Turns ON the individual segment state control. OFF or 0 - Turns OFF the individual segment state control.
Examples | SENS:SEGM:STAT:CONT ON sense2:segment2:state:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:STATe:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:POWer[<port>][:LEVel] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Port Power level for the specified sweep segment. First set SENS:SEGM:POW:CONTrol ON.

When port power is Coupled, setting port power for one port will apply port power for all source ports.

All subsequent segments that are added assume the new Power Level value.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<snum>

Segment number to modify. Choose any existing segment number.

<port>

Port number of the source. If unspecified, value is set to 1.

<num>

Power level.

Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, send SOUR:POW? MAX and SOUR:POW? MIN. (SOUR:POW:ATT:AUTO must be set to ON).

Actual achievable leveled power depends on frequency.

Examples

SENS:SEGM:POW 0
sense2:segment2:power1:level -10

Query Syntax

SENSe<cnum>:SEGMent<snum>:POWer[<port>][:LEVel]?

Return Type

Numeric

Default

0

SENSe<cnum>:SEGMent<snum>:POWer[:LEVel]:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether Power Level can be set independently for each segment.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<bool> | ON or 1 - Turns Power Level control ON. Power level can be set for each segment. OFF or 0 - Turns Power Level control OFF. Use the channel power level setting.
Examples | SENS:SEGM:POW:CONT ON sense2:segment:power:level:control off
Query Syntax | SENSe<cnum>:SEGMent:POWer[:LEVel]:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:SHLO

Applicable Models: E5080A

(Read-Write) Sets or returns the Shift LO state of each segment in the segment sweep table for the selected channel. Notes: The SENS:SEGM:SHLO:CONT command must first be set to ON before using this command.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
Examples | SENS:SEGM:SHLO sense2:segment2:shlo
Query Syntax | SENSe<cnum>:SEGMent<snum>:SHLO?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:SEGMent<snum>:SHLO:CONTrol <bool>

Applicable Models: E5080A

(Read-Write) Turns ON or OFF the individual Shift LO state control in the segment sweep table.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<bool> | ON or 1 - Turns ON the individual Shift LO state control. OFF or 0 - Turns OFF the individual Shift LO state control.
Examples | SENS:SEGM:SHLO:CONT ON sense2:segment2:shlo:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:SHLO:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:SWEep:DELay <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns the sweep delay time of selected channel. Notes: The SENS:SEGM:SWE:DEL:CONT command must first be set to ON before using this command.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<num> | Range of sweep delay time is between 0 to 1 and the resolution is 0.001. Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.
<unit> | s (second)
Examples | SENS:SEGM:SWE:DEL sense2:segment2:sweep:delay
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:DELay?
Return Type | Numeric / Double precision floating point
Default | 0

SENSe<cnum>:SEGMent<snum>:SWEep:DELay:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF the sweep delay time of selected channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<bool> | ON or 1 - Turns ON sweep delay time. OFF or 0 - Turns OFF sweep delay time.
Examples | SENS:SEGM:SWE:DEL:CONT ON sense2:segment2:sweep:delay:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:DELay:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:SWEep:DWELl <num>

Applicable Models: M9485A

(Read-Write) Sets or returns the sweep dwell time of selected channel. Notes: The SENS:SEGM:SWE:DWELl:CONT command must first be set to ON before using this command.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<num> | Range of sweep dwell time Notes: If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.
<unit> | s (second)
Examples | SENS:SEGM:SWE:DWEL sense2:segment2:sweep:dwell
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:DWELl?
Return Type | Numeric / Double precision floating point
Default | 0

SENSe<cnum>:SEGMent<snum>:SWEep:DWELl:CONTrol <bool>

Applicable Models: M9485A

(Read-Write) Turns ON or OFF the sweep dwell time of selected channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<bool> | ON or 1 - Turns ON sweep dwell time. OFF or 0 - Turns OFF sweep dwell time.
Examples | SENS:SEGM:SWE:DWEL:CONT ON sense2:segment2:sweep:dwell:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:DWELl:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:SWEep:GENeration <char>

Applicable Models: E5080A

(Read-Write) Sets or returns the sweep mode of selected channel.

Notes: The SENS:SEGM:SWE:GEN:CONT command must first be set to ON before using this command.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<snum>

Any existing segment number.

<char>

Select sweep mode from either of the following:

  • "AUTO": Sets the sweep mode to the swept mode.

  • "STEPped": Sets the sweep mode to the stepped mode.

Examples

SENS:SEGM:SWE:GEN AUTO
sense2:segment2:sweep:generation stepped

Query Syntax

SENSe<cnum>:SEGMent<snum>:SWEep:GENeration?

Return Type

Character

Default

"AUTO"

SENSe<cnum>:SEGMent<snum>:SWEep:GENeration:CONTrol <bool>

Applicable Models: E5080A

(Read-Write) Turns ON or OFF the sweep mode of selected channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Any existing segment number.
<bool> | ON or 1 - Turn ON sweep mode. OFF or 0 - Turn OFF sweep mode.
Examples | SENS:SEGM:SWE:GEN:CONT ON sense2:segment2:sweep:generation:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:GENeration:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:SWEep:POINts <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the number of data points for the specified sweep segment.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<snum>

Any existing segment number. If unspecified, value is set to 1.

<num>

Number of measurement points in the segment. The total number of points in all segments cannot exceed 20001. A segment can have as few as 2 point.

Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SEGM:SWE:POIN 51
sense2:segment2:sweep:points maximum

Query Syntax

SENSe<cnum>:SEGMent<snum>:S WEep:POINts?

Return Type

Numeric

Default

201

SENSe<cnum>:SEGMent<snum>:SWEep:POINts:TOTal <char>

Applicable Models: E5080A, M9485A

(Read only) Returns the total point count for all segments
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Any existing segment number. If unspecified, value is set to 1.
<char> | ACTive - total point for active segments ALL- total point for all segments
Examples | SENS:SEGM:SWE:POIN:TOT? sense2:segment2:sweep:points:total?
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:POINts:TOTal?
Return Type | Numeric
Default | 0

SENSe<cnum>:SEGMent<snum>:SWEep:TIME <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the total time (including sweep delay time) the analyzer takes to sweep the specified sweep segment, for the segment sweep table of the selected channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Any existing segment number.
<num> | Sweep time in s (seconds). Choose a number between 0 and 100. Note: This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | SENS:SEGM:SWE:TIME 1ms sense2:segment2:sweep:time .001
Query Syntax | SENSe<cnum>:SEGMent<snum>:S WEep:TIME?
Return Type | Numeric / Double precision floating point
Default | Not Applicable

SENSe<cnum>:SEGMent<snum>:SWEep:TIME:TOTal <char>

Applicable Models: E5080A, M9485A

(Read only) Returns the total sweep time for all segment
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<snum> | Any existing segment number. If unspecified, value is set to 1.
<char> | ACTive - total sweep time for active segment ALL- total sweep time for all segment
Examples | SENS:SEGM:SWE:TIME:TOT? sense2:segment2:sweep:time:total?
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:TIME:TOTal?
Return Type | Numeric
Default | 0

SENSe<cnum>:SEGMent<snum>:SWEep:TIME:CONTrol <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether Sweep Time can be set independently for each sweep segment.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<bool> | ON or 1 - Turns Sweep Time control ON. Sweep Time can be set for each segment. OFF or 0 - Turns Sweep Time control OFF. Uses the channel Sweep Time setting.
Examples | SENS:SEGM:SWE:TIME:CONT ON sense2:segment:sweep:time:control off
Query Syntax | SENSe<cnum>:SEGMent<snum>:SWEep:TIME:CONTrol?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SEGMent<snum>:X:SPACing <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets X-axis spacing ON or OFF.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<snum> | Any existing segment number.
<char> | LINear - turns X-axis point spacing OFF. OBASe - turns X-axis point spacing ON.
Examples | SENS:SEGM:X:SPACing LIN sense2:segment:spacing obase
Query Syntax | SENSe<cnum>:SEGMent<snum>:X:SPACing?
Return Type | Character
Default | LINear

Last Modified:

5-Jan-2016

First Release


Sweep SCPI

Sense:Sweep Commands

Specifies the sweep functions of the analyzer.

SENSe:SWEep:

DWELl

| AUTO

| SDELay

GROups

| COUNt

MODE

POINts

PULSe More commands

SLOCal

| MAXimum

| STATe

SPEed

STEP

TIME

| AUTO

TRIGger

| DELAY

| MODE

TYPE

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Example of Triggering the VNA using SCPI

  • Learn about sweeping

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<cnum>:SWEep:DWELl <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the dwell time between each sweep point.

  • Dwell time is ONLY available with SENS:SWE:GEN set to STEPped; It is Not available in ANALOG.

  • Sending dwell = 0 is the same as setting SENS:SWE:DWEL:AUTO ON. Sending a dwell time > 0 sets SENS:SWE:DWEL:AUTO OFF.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Dwell time in seconds.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SWE:DWEL .1
sense2:sweep:dweli min

Query Syntax

SENSe<cnum>:SWEep:DWELl?

Return Type

Numeric

Default

0 - (Note: dwell time set to 0 is the same as dwell:auto ON)

SENSe<cnum>:SWEep:DWELl:AUTO <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether or not to automatically calculate and set the minimum possible dwell time. Setting Auto ON has the same effect as setting dwell time to 0.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON (or 1) - turns dwell ON. OFF (or 0) - turns dwell OFF.
Examples | SENS:SWE:DWEL:AUTO ON sense2:sweep:dwell:auto off
Query Syntax | SENSe<cnum>:S WEep:DWELl:AUTO?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON

SENSe<cnum>:SWEep:DWELl:SDELay <num>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the time to wait just before acquisition begins for each sweep. This delay is in addition to Dwell Time and the following two External Trigger delays if enabled.

  • Trig:Delay (global scope)

  • Sens:Swe:Trig:Delay (channel scope)

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Sweep delay in seconds.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

Examples

SENS:SWE:DWEL:SDEL .1
sense2:sweep:dwell:sdelay .5

Query Syntax

SENSe<cnum>:SWEep:DWELl:SDELay?

Return Type

Numeric

Default

0

SENSe<cnum>:SWEep:GENeration <char>

Applicable Models: E5080A

(Read-Write) Sets sweep as Stepped or Analog.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<char>

Choose from:

STEPped - source frequency is CONSTANT during measurement of eah displayed point. More accurate than ANALog. Dwell time can be set in this mode.

ANALog (Auto) - source frequency is continuously RAMPING during measurement of each displayed point. Faster than STEPped. Sweep time (not dwell time) can be set in this mode.

Examples

SENS:SWE:GEN STEP
sense2:sweep:generation analog

Query Syntax

SENSe<cnum>:S WEep:GENeration?

Return Type

Character

Default

STEPped

SENSe<cnum>:SWEep:GROups:COUNt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the trigger count (groups) for the specified channel. Set trigger mode to group after setting this count.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Count (groups) number. Choose any number between: 1 and 2e6 (1 is the same as single trigger)
Examples | SENS:SWE:GRO:COUN 10 sense2:sweep:groups:count 50
Query Syntax | SENSe<cnum>:SWEep:GROups:COUNt?
Return Type | Numeric
Default | 1

SENSe<cnum>:SWEep:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the number of trigger signals the specified channel will ACCEPT.

See Triggering the VNA Using SCPI.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<char>

Trigger mode. Choose from:

HOLD - channel will not trigger

CONTinuous - channel triggers indefinitely

GROups - channel accepts the number of triggers specified with the last SENS:SWE:GRO:COUN <num>. This is one of the VNA overlapped commands. Learn more.

SINGle - channel accepts ONE trigger, then goes to HOLD.

Note: To perform simple, single-triggering, use SINGle which requires that TRIG:SOURce remain in the default (internal) setting.

Examples

SENS:SWE:MODE CONT
sense2:sweep:mode hold

Query Syntax

SENSe<cnum>:SWEep:MODE?

Return Type

Character

Default

CONTinuous

SENSe<cnum>:SWEep:POINts <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the number of data points for the measurement.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Choose any number between 1 and the VNA maximum number of points. This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.
Examples | SENS:SWE:POIN 51 sense2:sweep:points max
Query Syntax | SENSe<cnum>:S WEep:POINts?
Return Type | Numeric
Default | 201

SENSe<cnum>:SWEep:SLOCal:MAXimum <num>

Applicable Models: E5080A

(Read-Write) Sets the Shift LO maximum frequency for the selected channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Range of shift LO maximum frequency is 1.5E8 to Maximum frequency.
Examples | SENS:SWE:SCLOC:MAX 1.5E8 sense2:sweep:slocal:maximum 1.5E8
Query Syntax | SENSe<cnum>:SWEep:SLOCal:MAXimum?
Return Type | Numeric / Double precision floating point
Default | Maximum frequency

SENSe<cnum>:SWEep:SLOCal:STATe <bool>

Applicable Models: E5080A

(Read-Write) Turns ON or OFF the Shift LO mode for the selected channel.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | Select shoft LO mode from either of the following: ON or 1 - Turns ON the Shift LO mode. OFF or 0 - Turns OFF the Shift LO mode.
Examples | SENS:SWE:SLOC:STAT ON sense2:sweep:slocal:state off
Query Syntax | SENSe<cnum>:SWEep:SLOCal:STATe?
Return Type | Boolean
Default | OFF or 0

SENSe<cnum>:SWEep:SPEed <char>

Applicable Models: M9485A

(Read-Write) Sets and returns the state of Fast Sweep mode. Learn more about Fast Sweep.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<char> | Fast Sweep mode. Choose from: FAST - turns Fast Sweep Mode ON NORMal - turns Fast Sweep Mode OFF (Normal Mode).
Examples | SENS:SWE:SPE NORM sense2:sweep:speed fast
Query Syntax | SENSe<cnum>:SWEep:SPEed?
Return Type | Character
Default | NORMal

SENSe<cnum>:SWEep:STEP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the step of stimulus
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Value of step for each points in stimulus
Examples | SENS:SWE:STEP 1e3 sense2:sweep:step 1000
Query Syntax | SENSe<cnum>:SWEep:STEP?
Return Type | Numeric
Default | Not Applicable

SENSe<cnum>:SWEep:TIME <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the time the analyzer takes to complete one sweep. If sweep time accuracy is critical, use ONLY the values that are attained using the up and down arrows next to the sweep time entry box. See Sweep Time.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<num>

Sweep time in seconds.

To select the fastest sweep speed, either send MIN as an argument to this command, or send SENS:SWE:TIME:AUTO 1.

This command will accept MIN or MAX instead of a numeric parameter. See SCPI Syntax for more information.

The MAX value will change based on point count, IFBW, and dwell time.

Examples

SENS:SWE:TIME 1ms
sense2:sweep:time .001

Query Syntax

SENSe<cnum>:S WEep:TIME?

Return Type

Numeric

Default

Not Applicable

SENSe<cnum>:SWEep:TIME:AUTO <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns the automatic sweep time function ON or OFF.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON (or 1) - turns the automatic sweep time ON. OFF (or 0) - turns the automatic sweep time OFF.
Examples | SENS:SWE:TIME:AUTO sense2:sweep:time:auto off
Query Syntax | SENSe<cnum>:S WEep:TIME:AUTO?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON

SENSe<cnum>:SWEep:TRIGger:DELay <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the trigger delay for all measurements in the specified CHANNEL. This delay is only applied while TRIG:SOURce EXTernal and TRIG:SCOP CURRent . After an external trigger is applied, the start of the sweep is delayed for the specified delay value plus any inherent latency. To apply a trigger delay for all channels (Global), use TRIG:DEL
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Trigger delay value in seconds. Range is from 0 to 107 seconds
Examples | SENS:SWE:TRIG:DELay .003 sense2:sweep:trigger:delay 1
Query Syntax | SENSe<cnum>:SWEep:TRIGger:DELay?
Return Type | Numeric
Default | 0

SENSe<cnum>:SWEep:TRIGger:MODE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the trigger mode for the specified channel. This determines what EACH signal will trigger. Learn more.

Note: Setting Point and Sweep mode forces Trigger:SCOPe = CURRent

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<char>

Trigger mode. choose from:

  • CHANnel - Each trigger signal causes ALL traces in that channel to be swept.

  • SWEep - Each Manual or External trigger signal causes ALL traces that share a source port to be swept.

  • POINt - Each Manual or External trigger signal causes one data point to be measured.

Examples

SENS:SWE:TRIG:MODE SWE
sense2:sweep:trigger:mode point

Query Syntax

SENSe<cnum>:SWEep:TRIGger:MODE?

Return Type

Character

Default

Channel

SENSe<cnum>:SWEep:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the type of analyzer sweep mode. First set sweep type, then set sweep parameters such as frequency or power settings. Note: For SweptIMD channels, use SENS:IMD:SWE:TYPE SEGMent See Also: FCA Segment Sweep commands
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<char> | Choose from: LINear | LOGarithmic | POWer | CW | SEGMent Note: SWEep TYPE cannot be set to SEGMent if there are no segments turned ON. A segment is automatically turned ON when the analyzer is started.
Examples | SENS:SWE:TYPE LIN sense2:sweep:type segment
Query Syntax | SENSe<cnum>:S WEep:TYPE?
Return Type | Character
Default | LINear

Last Modified:

5-Jan-2016

First Release


Service SCPI

Service Commands

Controls and queries settings related with Service.

SERVice:
:LOGGing:CLEAR

SERVice:LOGGing:CLEar

Applicable Models: E5080A, M9485A

(Write-only) Delete the service error log files stored in the modules and PC. See Error Log_Data.
Parameters |
Examples | SERV:LOGG:CLE service:logging:clear
Return Type | N/A
Default | Not Applicable

Last modified:

5-Jan-2016

New topic


Source SCPI

Source Commands

Controls the power delivered to the DUT.

SOURce:

CATalog?

POWer

| ALC[:MODE]

| CATalog?

| RECeiver - More commands

| ATTenuation

| RECeiver

| REFerence

| TEST

| CENTer

| CORRection - More commands

| COUPle

| [LEVel]

| [IMMediate][AMPLitude]

| SLOPe

| STATe

| MODE

| PORT

| STARt

| STOP

| SPAN

| STARt

| STOP

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Power Settings

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

  • Remotely Specifying a Source Port

SOURce<cnum>:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns a list of valid port names that can be controlled. Some ports only have string names, NOT numbers. All commands that require a port argument have provisions for specifying either a port number OR a string name. See also: Remotely Specifying a Source Port.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
Examples | SOUR:CAT? source:catalog 'VNA models return "Port 1,Port 2,Port 3,Port 4, MXG"
Return Type | Comma-separated list of strings.
Default | Not Applicable

SOURce<cnum>:POWer<port>:ALC[:MODE] <char>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the ALC mode for the specified channel and port. Use SOUR:POW:ALC:MODE:CAT? to return a list of valid ALC modes for the VNA.

Learn more about ALC mode.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<port>

Source port number of the VNA. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<char>

ALC Mode.

For the VNA choose from:

  • INTernal Standard ALC loop

  • OPENloop No ALC loop

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names

Examples

SOUR:POW:ALC INT

source2:power2:alc:mode openloop

source:power:alc:mode openloop,"Port 1 Src2"

Query Syntax

SOURce<cnum>:POWer<port>:ALC:MODE? [src]

Return Type

Character

Default

INTernal

SOURce<cnum>:POWer<port>:ALC[:MODE]:CATalog? [src]

Applicable Models: M9485A

(Read-only) Returns a list of valid ALC modes for the specified channel and port number. Use the returned values to set SOUR:POW:ALC:MODE.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<port>

Source port number of the VNA. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:CAT?

source2:power2:alc:mode:catalog?

source:power:alc:mode:catalog? "Port 1 Src2"

Return Type

Comma-separated list of strings.

Default

Not applicable

SOURce<cnum>:POWer<port>:ATTenuation:RECeiver:REFerence <num>

Applicable Models: M9485A

(Read-Write) Sets the attenuation level for the specified reference attenuator.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<port> | Port number of the VNA. If unspecified, value is set to 1.
<num> | Attenuation value in dB. 0dB or 35dB. If a number other than these is entered, the analyzer will select the next lower valid value. For example, if 19dB is entered, then 0dB attenuation will be selected.
Examples | SOUR:POW2:ATT:REC:REF 0 source:power:attenuation:receiver:reference 35
Query Syntax | SOURce<cnum>:POWer<port>:ATTenuation:RECeiver:REFerence?
Return Type | Numeric. If querying for the standard port, the return value is 0
Default | 35

SOURce<cnum>:POWer<port>:ATTenuation:RECeiver:TEST <num>

Applicable Models: M9485A

(Read-Write) Sets the attenuation level for the specified test attenuator.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1.
<port> | Port number of the VNA. If unspecified, value is set to 1.
<num> | Attenuation value in dB. 0dB or 35dB. If a number other than these is entered, the analyzer will select the next lower valid value. For example, if 19dB is entered, then 0dB attenuation will be selected.
Examples | SOUR:POW2:ATT:REC:TEST 0 source:power:attenuation:receiver:test 35
Query Syntax | SOURce<cnum>:POWer<port>:ATTenuation:RECeiver:TEST?
Return Type | Numeric. If querying for the standard port, the return value is 0
Default | 35

SOURce<cnum>:POWer<port>:CENTer <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the power sweep center power. Must also set: SENS:SWE:TYPE POWer and SOURce:POWer:SPAN <num>.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Center power. Actual achievable leveled power depends on frequency.
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:CENT -15 source2:power:center -7
Query Syntax | SOURce<cnum>:POWer:CENTer?
Return Type | Numeric
Default | 0 dBm

SOURce<cnum>:POWer<port>:COUPle <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns Port Power Coupling ON or OFF.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON (or 1) - turns coupling ON. The same power level is used for both source ports. OFF (or 0) - turns coupling OFF. Power level can be set individually for each source port.
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:COUP ON source2:power:couple off
Query Syntax | SOURce<cnum>:POWer:COUPle?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON

SOURce<cnum>:POWer<port>[:LEVel][:IMMediate][:AMPLitude] <num>, [src]

Applicable Models: E5080A, M9485A

(Read-Write) Sets the RF power output level.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<port>

Source port number of the VNA. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<num>

Source power in dBm.

Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, perform a query using MAX, then MIN, as an argument. (SOUR:POW:ATT:AUTO must be set to ON) Example: SOURce:POWer? Max

Actual achievable leveled power depends on frequency.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW1 5
source2:power:level:immediate:amplitude maximum

sour:pow 5, "Port 1 Src2"

Query Syntax

SOURce<cnum>:POWer[:LEVel][:IMMediate][:AMPLitude]? [src]

Return Type

Numeric

Default

0 dBm

SOURce<cnum>:POWer<port>[:LEVel]:SLOPe <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the RF power slope value. Also enable the slope state using SOUR:POW:SLOP:STAT ON.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Slope value in db/GHz. Choose any value between -2 and 2 (0 is no slope).
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:SLOP .5234434 source2:power:level slope -1.345
Query Syntax | SOURce<cnum>:POWer[:LEVel]:SLOPe?
Return Type | Numeric
Default | 0

SOURce<cnum>:POWer<port>[:LEVel]:SLOPe:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns Power Slope ON or OFF. Set the slope using SOUR:POW:SLOP.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<bool> | ON (or 1) - turns slope ON. OFF (or 0) - turns slope OFF.
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:SLOP:STAT ON source2:power:slope:state off
Query Syntax | SOURce<cnum>:POWer[:LEVel]:SLOPe:STATe?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF

SOURce<cnum>:POWer<port>:MODE <state>, [src]

Applicable Models: E5080A, M9485A

(Read-Write) Sets the state of VNA source for the specified port.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<port>

Source port number of the VNA. If unspecified, <port> is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<state>

Source state. Choose from:

  • AUTO Source power is turned ON when required for a measurement.

  • ON Source power is always ON regardless of the measurement.

  • OFF Source power is always OFF regardless of the measurement.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:MODE ON

source2:power4:mode OFF

sour:pow:mode on, "Port 1 Src2"

Query Syntax

SOURce<cnum>:POWer<port>:MODE? [src]

Return Type

Character

Default

Auto

SOURce<cnum>:POWer<port>:PORT:STARt <num>, [src]

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the power sweep start power value for a specific port. This allows uncoupled forward and reverse power sweep ranges. Must also set SENS:SWE:TYPE POWer and SOUR:POW:COUPle OFF.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<port>

Source port number of the VNA. If unspecified, <port> is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<num>

Start power in dBm.

Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, perform a query using MAX, then MIN, as an argument. (SOUR:POW:ATT:AUTO must be set to ON) Example: SOURce:POWer:STARt? MIN

Actual achievable leveled power depends on frequency.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW1:PORT:STAR -15
source2:power:port:start 5, "bal port 1"

Query Syntax

SOURce<cnum>:POWer<port>:PORT:STARt? [src]

Return Type

Numeric

Default

-10 dBm

SOURce<cnum>:POWer<port>:PORT:STOP <num>, [src]

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the power sweep stop power value for a specific port. This allows uncoupled forward and reverse power sweep ranges. Must also set SENS:SWE:TYPE POWer and SOUR:POW:COUPle OFF.

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1

<port>

Source port number of the VNA. If unspecified, <port> is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<num>

Stop power in dBm.

Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, perform a query using MAX, then MIN, as an argument. (SOUR:POW:ATT:AUTO must be set to ON) Example: SOURce:POWer:STARt? MIN

Actual achievable leveled power depends on frequency.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW1:PORT:STOP -15
source2:power:port:stop 5, "bal port 1"

Query Syntax

SOURce<cnum>:POWer<port>:PORT:STOP? [src]

Return Type

Numeric

Default

0 dBm

SOURce<cnum>:POWer<port>:SPAN <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the power sweep span power. Must also set:

SENS:SWE:TYPE POWer and SOURce:POWer:CENTer <num> .

Parameters

<cnum>

Any existing channel number. If unspecified, value is set to 1.

<num>

Span power. Actual achievable leveled power depends on frequency.

<port>

If provided, this argument is ignored by the VNA.

Examples

SOUR:POW:SPAN -15
source2:power:span -7

Query Syntax

SOURce<cnum>:POWer:SPAN?

Return Type

Numeric

Default

10 dBm

SOURce<cnum>:POWer<port>:STARt <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the power sweep start power for ALL ports being used by the specified channel. Must also set: SENS:SWE:TYPE POWer and SOURce:POWer:STOP <num> . To set start power for a specific port, use SOUR:POW:PORT:STARt.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Start power. Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, perform a query using MAX, then MIN, as an argument. (SOUR:POW:ATT:AUTO must be set to ON) Example: SOURce:POWer:STARt? MIN Actual achievable leveled power depends on frequency.
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:STAR -15 source2:power:start -7
Query Syntax | SOURce<cnum>:POWer:STARt?
Return Type | Numeric
Default | -10 dBm

SOURce<cnum>:POWer<port>:STOP <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the power sweep stop power for ALL ports being used by the specified channel.. Must also set: SENS:SWE:TYPE POWer and SOURce:POWer:START <num>. To set start power for a specific port, use SOUR:POW:PORT:STOP.
Parameters |
<cnum> | Any existing channel number. If unspecified, value is set to 1
<num> | Stop power. Note: The range of settable power values depends on the VNA model and if source attenuators are installed. To determine the range of values, perform a query using MAX, then MIN, as an argument. (SOUR:POW:ATT:AUTO must be set to ON) Example: SOURce:POWer:STOP? MAX Actual achievable leveled power depends on frequency.
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:STOP -15 source2:power:stop -7
Query Syntax | SOURce<cnum>:POWer:STOP?
Return Type | Numeric
Default | 0 dBm

Last Modified:

5-Jan-2016

First Release


SourceCorrection SCPI

Source:Power:Correction Commands

Used to perform source power calibration on internal and external sources.

Note: Only ONE Source Power Cal can be performed at a time.

SOURce:POWer:CORRection:

COLLect

| ABORt

| [ACQuire]

| AVERage

| [COUNt]

| NTOLerance

| DISPlay

| [STATe]

| FCHeck]

| [STATe]

| ITERation

| [COUNt]

| NTOLerance

| SAVE

| SENSor

| [FRANge]

| RCFactor

| SELect

| TABLe

| DATA

| FREQuency

| LOSS

| [STATe]

| POINts?

| [SELect]

DATA

| PRIor

LEVel [AMPlitude]

OFFSet

| [MAGNitude]

[STATe]

Click on a Red keyword to view the command details.

Red commands are superseded.

See Also

  • Example program using these commands.

  • Template for creating your own Power Meter Driver

  • Learn about Source Power Cal

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Note: The SOURce:POWer:CORRection:COLLect:ACQuire command, used to step the VNA and read a power meter, cannot be sent over the GPIB unless the power meter is connected to a different GPIB interface. See the alternative methods described in the command details.

SOURce<ch>:POWer<port>:CORRection:COLLect:ABORt

Applicable Models: E5080A, M9485A

(Write-only) Aborts a source power calibration sweep that is in progress. To use this ABORt command, you MUST use the ASYNchronous argument with SOUR:POW:CORR:COLL:ACQ After aborting, this message appears in the error log: +243,"Requested operation was canceled".
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | Port number to correct for source power. If unspecified, value is set to 1.
Examples | SOUR:POW:CORR:COLL:ABOR source1:power2:correction:collect:abort
Query Syntax | Not Applicable
Default | Not Applicable

SOURce<ch>:POWer<port>:CORRection:COLLect[:ACQuire] <char>,<id>[,src][,sync]

Applicable Models: E5080A, M9485A

Note: With VNA Rev. 6.2, a new "id" argument has been added to this command, replacing SOUR:POW:CORR:COLL:METH.

(Write-only) Initiates a source power cal acquisition sweep using the power sensor attached to the specified channel (A or B) on the power meter, using a USB power sensor, or using the specified VNA receiver.

For source power cal, the power meter can NOT be controlled by the VNA using the GPIB Talker/Listener interface. Instead use one of the following methods:

  • If present, use the GPIB dedicated controller port.

  • Connect the power meter to the VNA using a USB / GPIB interface (Keysight 82357B).

  • SCPI programming of the VNA using a LAN Client interface (see example).

  • Send SCPI commands through the COM interface using the SCPI String Parser object.

  • Directly control the Power Meter and VNA to step frequency; then acquire and store the Power reading. (see example).

  • Configure the Power Meter/Sensor as a PMAR Device. Learn how. See SCPI commands.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

Port number to correct for source power. If unspecified, value is set to 1.

<char>

Acquisition Choose from:

  • PMETer - Power Meter is used for all readings.

  • PMReceiver - Power meter for the first iteration; then use the reference receiver for remaining readings if necessary (same as "fast iteration" box checked on dialog box)

  • RECeiver - Use VNA measurement receiver for all readings.

<id>

String (Not case sensitive). The power sensor or VNA receiver to use for measuring power.

For PMETer or PMRECeiver, choose from:

  • "ASENSOR" or "BSENSOR". For U series USB sensors, always specify "ASENSOR"

For RECeiver, choose from:

  • Any VNA receiver to acquire readings using physical or logical receiver notation.

  • Any configured PMAR device name. Learn more about PMAR Devices. See PMAR commands.

[src]

Optional argument. String. (NOT case sensitive). Source port. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports that are not simple numbers, such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

[sync]

If this argument is specified, must also specify [src].

Choose from:

  • SYNChronous - Blocks SCPI commands during standard measurement (default behavior).

  • ASYNchronous - Does NOT block SCPI commands during standard measurement.

Learn more about this argument

Examples

SOUR:POW:CORR:COLL PMET,"ASENSOR","Port 1",ASYN 'acquires power meter readings using the A sensor, source port 1, asynchronous.
source1:power2:correction:collect:acquire receiver,"a1" 'acquires source cal readings using the reference receiver for port 1.

Query Syntax

Not Applicable

Default

Not Applicable

SOURce<ch>:POWer<port>:CORRection:COLLect:AVERage[:COUNt] <num>

Applicable Models: E5080A, M9485A

(Read-Write) This command, along with SOUR:POW:CORR:COLL:AVER:NTOLerance, allows for settling of the power sensor READINGS.

Sets the maximum number of acquisitions that will be used to acquire one settled reading from the power meter. These settings affect every use of the power meter (PMAR and source power cal).

When this average meets the Average:NTOLerance value or this number of readings has been made, the average is returned as the valid reading.

This setting is not necessary when using a VNA receiver (SOUR:POW:CORR:COLL REC) to make the measurement.

Learn more.

Parameters

<ch>

If provided, this argument is ignored by the VNA.

<port>

If provided, this argument is ignored by the VNA.

<num>

Maximum number of readings to make to allow for settling. Choose any number between 3 and 1000.

Examples

SOUR:POW:CORR:COLL:AVER 2
source:power:correction:collect:average:count 3

Query Syntax

SOURce:POWer:CORRection:COLLect:AVERage[:COUNt]?

Return Type

Numeric

Default

3

SOURce<ch>:POWer<port>:CORRection:COLLect:AVERage:NTOLerance <num>

Applicable Models: E5080A, M9485A

(Read-Write) This command, along with SOUR:POW:CORR:COLL:AVER:COUNT, allows for settling of the power sensor READINGS.

Each power reading is averaged with the previous readings at each stimulus point. When the average meets this nominal tolerance value or the max number of readings has been made, the average is returned as the valid reading.

This setting is not necessary when using a VNA receiver (SOUR:POW:CORR:COLL REC) to make the measurement.

Learn more.

Parameters

<ch>

If provided, this argument is ignored by the VNA.

<port>

If provided, this argument is ignored by the VNA.

<num>

Power measurement settling tolerance value in dB. Choose any number between 0 and 5.

Examples

SOUR:POW:CORR:COLL:AVER:NTOL .05
source1:power2:correction:collect:average:ntolerance .003

Query Syntax

SOURce:POWer:CORRection:COLLect:AVERage:NTOLerance?

Return Type

Numeric

Default

.050 dBm

SOURce<ch>:POWer<port>:CORRection:COLLect:DISPlay[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables and disables the display of power readings on the VNA screen. Send this command BEFORE you begin a source power cal acquisition. After the source power cal data is acquired, this setting is reset to ON.
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | If provided, this argument is ignored by the VNA.
<ON|OFF> | ON (1) Source power calibration dialog box is shown on the VNA screen. Power readings are plotted against the Tolerance value as limit lines. OFF (0) - Source power calibration dialog box is NOT shown on the VNA screen.
Examples | SOUR:POW:CORR:COLL:DISP ON source1:power2:correction:collect:display:state off
Query Syntax | SOURce:POWer:CORRection:COLLect:DISPlay[:STATe]?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | ON (1)

SOURce<ch>:POWer<port>:CORRection:COLLect:FCHeck[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables and disables frequency checking of source power cal acquisition sweeps. ONLY use when you have more than one power sensor.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

If provided, this argument is ignored by the VNA.

<ON|OFF>

ON (1) turns source power cal frequency checking ON. A requested acquisition will only succeed for those frequency points which fall within a frequency range specified for the power sensor being used. An acquisition will pause in mid-sweep if the frequency is about to exceed the maximum frequency limit specified for that sensor. When the sweep is paused in this manner, a sensor connected to the other channel input of the power meter can be connected to the measurement port in place of the previous sensor, and used to complete the sweep. However, the maximum frequency specified for the second sensor would need to be sufficient for the sweep to complete. Frequency limits are specified using the SOUR:POW:CORR:COLL:SEN command.

OFF (0) - turns source power cal frequency checking OFF. An acquisition will use just one power sensor for the entire sweep, regardless of frequency.

Examples

SOUR:POW:CORR:COLL:FCH ON
source1:power2:correction:collect:fcheck:state off

Query Syntax

SOURce:POWer:CORRection:COLLect:FCHeck[:STATe]?

Return Type

Boolean (1 = ON, 0 = OFF)

Default

OFF (0)

SOURce<ch>:POWer<port>:CORRection:COLLect:ITERation[:COUNt] <num>

Applicable Models: E5080A, M9485A

(Read-Write) This command, along with SOUR:POW:CORR:COLL:ITER:NTOL describes the number of adjustments to set the power to a desired level.

These settings determine how many attempts (COUNt) the analyzer will make in an attempt to get close enough (NTOLerance) to the target power level.

Learn more.

Parameters

<ch>

If provided, this argument is ignored by the VNA.

<port>

If provided, this argument is ignored by the VNA.

<num>

Maximum number of readings. Choose any number between 1 and 1000.

Examples

SOUR:POW:CORR:COLL:ITER 2
source:power:correction:collect:iteration 3

Query Syntax

SOURce:POWer:CORRection:COLLect:ITERation[:COUNt]?

Return Type

Numeric

Default

1

SOURce<ch>:POWer<port>:CORRection:COLLect:ITERation:NTOLerance <num>

Applicable Models: E5080A, M9485A

(Read-Write) This command, along with SOUR:POW:CORR:COLL:ITER:COUNT describes the number of adjustments to make to the source power.

These settings determine how many attempts (COUNt) the analyzer will make in an attempt to get close enough (NTOLerance) to the target power level.

Learn more.

Parameters

<ch>

If provided, this argument is ignored by the VNA.

<port>

If provided, this argument is ignored by the VNA.

<num>

Tolerance value in dBm. Choose any number between 0 and 5

Examples

SOUR:POW:CORR:COLL:ITER:NTOL .005
source:power:correction:collect:iteration:ntolerance .1

Query Syntax

SOURce:POWer:CORRection:COLLect:ITERation:NTOLerance?

Return Type

Numeric

Default

.05

SOURce<ch>:POWer<port>:CORRection:COLLect:<pmChan>SENsor[:FRANge] <num1>,<num2>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the frequency range over which the power sensors connected to the specified channels (A and B) of the power meter can be used (minimum frequency, maximum frequency). If the power meter has only a single channel, that channel is considered channel A.
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | If provided, this argument is ignored by the VNA.
<pmChan> | Power Meter channel. Choose from: A - Channel A B - Channel B
<num1> | Minimum frequency for the sensor. If a frequency unit is not specified, Hz is assumed. No limits are placed on this value.
<num2> | Maximum frequency for the sensor. If a frequency unit is not specified, Hz is assumed. No limits are placed on this value.
Examples | SOUR:POW:CORR:COLL:ASEN 100E3, 3E9 source1:power2:correction:collect:bsensor:frange 10 MHz, 18 GHz
Query Syntax | SOURce:POWer:CORRection:COLLect:ASENsor[:FRANge]? SOURce:POWer:CORRection:COLLect:BSENsor[:FRANge]?
Return Type | Numeric
Default | 0,0

SOURce<ch>:POWer<port>:CORRection:COLLect:<pmChan>SENsor:RCFactor <num>

Applicable Models: E5080A, M9485A

(Read-Write) ) Specifies the reference cal factor for the power sensor connected to channel A or B of the power meter. If the power meter has only a single channel, that channel is considered channel A.

Note: If the sensor connected to the specified channel of the power meter contains cal factors in EPROM (such as the Keysight E-series power sensors), those will be the cal factors used during the calibration sweep. The reference cal factor value associated with this command, and any cal factors entered into the VNA for that sensor channel, will not be used.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

If provided, this argument is ignored by the VNA.

<pmChan>

Power Meter channel. Choose from:

A - Channel A

B - Channel B

<num>

Reference cal factor in percent. Choose any number between 1 and 150.

Examples

SOUR:POW:CORR:COLL:ASEN:RCF 98.7
source1:power2:correction:collect:bsensor:rcfactor 105

Query Syntax

SOURce:POWer:CORRection:COLLect:ASENsor:RCFactor?

SOURce:POWer:CORRection:COLLect:BSENsor:RCFactor?

Return Type

Numeric

Default

100

SOURce<ch>:POWer<port>:CORRection:COLLect:<pmChan>SENsor:SELect

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the power sensor channel (A or B) to be used. This performs the same function as the Use this sensor only checkbox in the Power Sensor Settings dialog.

Notes:

  • This command is NOT necessary when performing a Guided Power Cal using Multiple Sensors.

  • This command can be used with Application channels.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

If provided, this argument is ignored by the VNA.

<pmChan>

Power Meter channel. Choose from:

A - Channel A

B - Channel B

Examples

SOUR:POW:CORR:COLL:<pmChan>SEN:SEL 'Write

source1:power2:correction:collect:bsensor:select? 1e9 'Read

Query Syntax

SOURce:POWer:CORRection:COLLect:ASENsor:SELect? <Frequency>

SOURce:POWer:CORRection:COLLect:BSENsor:SELect? <Frequency>

Returns a boolean 1 or 0 (ON or OFF) indicating whether the sensor is to be used at the specified frequency.

If frequency checking is OFF, then the <Frequency> parameter is ignored. The query returns if the sensor is selected for ALL frequencies.

Return Type

Numeric

Default

Not Applicable

SOURce<ch>:POWer<port>:CORRection:COLLect:TABLe:DATA <data>

Applicable Models: E5080A, M9485A

(Read-Write) Read or write data into the selected table. Use SOUR:POW:CORR:COLL:TABL:SELect to select a table.

  • When the power sensor table is selected, the data is interpreted as cal factors in percent.

  • When the loss table is selected, POSITIVE values in dB are interpreted as LOSS. To compensate for gain, use negative values.

  • Each table can contain up to 9999 segments. Values can be loaded using the Characterize Adapter macro.

  • Learn more about Power Loss Compensation.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

If provided, this argument is ignored by the VNA.

<data>

Data to write into the selected table.

Examples

SOURce:POWer:CORRection:COLLect:TABLe:DATA 0.12, 0.34, 0.56

Query Syntax

SOURce<ch>:POWer:CORRection:COLLect:TABLe:DATA?

If the selected table is currently empty, no data is returned.

Return Type

Numeric - one number per table segment.

Default

Not Applicable

SOURce<ch>:POWer<port>:CORRection:COLLect:TABLe:FREQuency <data>

Applicable Models: E5080A, M9485A

(Read-Write) Read or write frequency values for the selected table (cal factor table for a power sensor, or the loss compensation table). Use SOUR:POW:CORR:COLL:TABL:SELect to select a table.
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | If provided, this argument is ignored by the VNA.
<data> | Frequency data to write into the selected table.
Examples | SOURce:POWer:CORRection:COLLect:TABLe:FREQuency 10E6, 1.5E9, 9E9
Query Syntax | SOURce<ch>:POWer:CORRection:COLLect:TABLe:FREQuency? If the selected table is currently empty, no data is returned.
Return Type | Numeric - one number per table segment
Default | Not Applicable

SOURce<ch>:POWer<port>:CORRection:COLLect:TABLe:LOSS[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Indicates whether or not to adjust the power readings using the values in the loss table during a source power cal sweep. Learn more about Power Loss Compensation.
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | If provided, this argument is ignored by the VNA.
<bool> | ON (or 1) - turns use of the loss table ON. OFF (or 0) - turns use of the loss table OFF.
Examples | SOUR:POW:CORR:COLL:TABL:LOSS ON source1:power2:correction:collect:table:loss:state off
Query Syntax | SOURce:POWer:CORRection:COLLect:TABLe:LOSS[:STATe]?
Return Type | Boolean (1 = ON, 0 = OFF)
Default | OFF (0)

SOURce<ch>:POWer<port>:CORRection:COLLect:TABLe:POINts?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of segments that are currently in the selected table.
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | If provided, this argument is ignored by the VNA.
Examples | SOUR:POW:CORR:COLL:TABL:POIN? source1:power2:correction:collect:table:points?
Return Type | Numeric
Default | 0

SOURce<ch>:POWer<port>:CORRection:COLLect:TABLe[:SELect] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Selects which table you want to write to or read from. Read or write using SOURce:POWer:CORRection:COLLect:TABLe:FREQuency and SOURce:POWer:CORRection:COLLect:TABLe:DATA
Parameters |
<ch> | Channel number of the source power cal. If unspecified, value is set to 1
<port> | If provided, this argument is ignored by the VNA.
<char> | Choose from: NONE - No table selected ASENsor - Cal Factor table for Power Sensor A BSENsor - Cal Factor table for Power Sensor B LOSS - Loss compensation table
Examples | SOUR:POW:CORR:COLL:TABL ASEN source1:power2:correction:collect:table:select bsensor
Query Syntax | SOURce:POWer:CORRection:COLLect:TABLe[:SELect]?
Return Type | Character
Default | NONE

SOURce<ch>:POWer<port>:CORRection:DATA <data>[,src]

Applicable Models: E5080A, M9485A

(Read-Write) Writes and reads source power calibration data.

The effect from this command on the channel is immediate. Do NOT send SOUR:POW:CORR:COLL:SAVE after this command as it may invalidate the uploaded data.

When querying source power calibration data, if no source power cal data exists for the specified channel and source port, then no data is returned.

If a change in the instrument state causes interpolation and/or extrapolation of the source power cal, the correction data associated with this command correspond to the new instrument state (interpolated and/or extrapolated data).

If the channel is sweeping the source backwards, then the first data point is the highest frequency value; the last data point is the lowest. Use the SENS:X:VALues? command to return the X-axis values in the displayed order.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

Port number to correct for source power. If unspecified, value is set to 1.

<data>

Correction Data

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports that are not simple numbers, such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOURce1:POWer2:CORRection:DATA 0.12, -0.34, 0.56

Query Syntax

SOURce<ch>:POWer<port>:CORRection:DATA? [src]

Return Type

Depends on FORMat:DATA command

Default

Not Applicable

SOURce<ch>:POWer<port>:CORRection:DATA:PRIor <data>[,src]

Applicable Models: E5080A, M9485A

(Read-Write) Writes and reads power correction values from the previous iteration of the source power cal. Data for which the first power meter reading were within the tolerance limit, the prior correction value is 0.

In all other respects, this command is the same as SOUR:POW:CORR:DATA.

This command can be used to determine the final power reading at each point of the power cal, for a cal that did not pass tolerance limits. The formula for determining the power reading (in dB):

Power reading = Target power at the source port + specified power cal offset value + prior iteration corr value actual power corr value.

The "actual" value in this equation is returned with SOUR:POW:CORR:DATA?

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

Port number to correct for source power. If unspecified, value is set to 1.

<data>

Correction Data

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports that are not simple numbers, such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOURce1:POWer2:CORRection:DATA:PRIor 0.12, -0.34, 0.56

Query Syntax

SOURce<ch>:POWer<port>:CORRection:DATA:PRIor? [src]

Return Type

Depends on FORMat:DATA command

Default

Not Applicable

SOURce<ch>:POWer<port>:CORRection:LEVel[:AMPLitude] <num>[,src]

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the power level that is expected at the desired reference plane (DUT input or output). This is not used for segment sweep with independent power levels or power sweeps.

Note: Although this command still works, it is recommended that you specify cal power by setting the test port power and offset value.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

Port number to correct for source power. If unspecified, value is set to 1.

<num>

Cal power level in dBm. Because this could potentially be at the output of a device-under-test, no limits are placed on this value here. It is realistically limited by the specifications of the device (power sensor) that will be used for measuring the power. The power delivered to the VNA receiver must never exceed VNA specifications for the receiver!

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports that are not simple numbers, such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:CORR:LEV 10
source1:power2:correction:level:amplitude 0 dbm

Query Syntax

SOURce:POWer:CORRection:LEVel[:AMPLitude]? [src]

Return Type

Numeric

Default

0 dBm

SOURce<ch>:POWer<port>:CORRection:OFFSet[:MAGNitude] <num>[,src]

Applicable Models: E5080A, M9485A

(Read-Write) Sets or returns a power level offset from the VNA test port power. This can be a gain or loss value (in dB) to account for components you connect between the source and the reference plane of your measurement. For example, specify 10 dB to account for a 10 dB amplifier at the input of your DUT.

Cal power is the sum of the test port power setting and this offset value. Following the calibration, the VNA power readouts are adjusted to the cal power.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

Port number to correct for source power. If unspecified, value is set to 1.

<num>

Gain or loss value in dB. Choose a value between -200 and 200

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports that are not simple numbers, such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:CORR:OFFS 10
source1:power2:correction:offset:magnitude -3

Query Syntax

SOURce:POWer:CORRection:OFFSet[:MAGNitude]? [src]

Return Type

Numeric

Default

0 dB

SOURce<ch>:POWer<port>:CORRection[:STATe] <bool>[,src]

Applicable Models: E5080A, M9485A

(Read-Write) Enables and disables source power correction for the specified port on the specified channel.

Parameters

<ch>

Channel number of the source power cal. If unspecified, value is set to 1

<port>

Port number to correct for source power. If unspecified, value is set to 1.

<bool>

ON (or 1) turns source power correction ON.

OFF (or 0) - turns source power correction OFF.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports that are not simple numbers, such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:CORR ON
source1:power2:correction:state off

Query Syntax

SOURce:POWer:CORRection[:STATe]? [src]

Return Type

Boolean (1 = ON, 0 = OFF)

Default

OFF (0)

Last Modified:

5-Jan-2016

First Release


Status SCPI

Status Register Commands

The status registers enable you to query the state of selected events that occur in the analyzer.

Note: This documentation requires familiarity with the "Standard Status Data Structure - Register Model" as defined in IEEE Std 488.2-1992. Also, first read Learn about Status Registers

STATus:

OPERation

| AVERaging

| DEVice

PRESet

QUEStionable

| INTegrity

| MEASurement

| LSUMmary

| LIMit

| BLIMit

| RLIMit

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Status Registers

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Notes:

  • Any bit not shown in the registers is not used but may be reserved for future use.

  • The SCPIStringParser can NOT be used with SCPI Status Reporting. However, the *OPC? will work.

Status Byte Register

Applicable Models: E5080A, M9485A

Summarizes the states of the other registers and monitors the VNA output queue. It also generates service requests. The Enable register is called the Service Request Enable Register.

Commands

Description

*CLS

Clears ALL "event" registers and the SCPI Error / Event queue. The corresponding ENABLE registers are unaffected.

*STB?

Reads the value of the analyzer's status byte. The byte remains after being read.

*SRE?

Reads the current state of the Service Request Enable Register.

*SRE <num>

Sets bits in the Service Request Enable register. The current setting of the SRE register is stored in non-volatile memory. Use *SRE 0 to clear the enable.

<num> Combined value of the weights for bits to be set.

Bit | Weight | Description | Bit is set to 1 when the following conditions exist:
2 | 4 | Error / Event queue Summary (EAV) | the Error / Event queue is not empty. To read the error message, use SYST:ERR?
3 | 8 | Questionable Register Summary | any enabled bit in the questionable event status register is set to 1
4 | 16 | Message Available | the output queue is not empty
5 | 32 | Standard Event Register Summary | any enabled bit in the standard event status register is set to 1
6 | 64 | Request Service | any of the other bits in the status byte register is set to 1 (used to alert the controller of a service request within the analyzer). This bit cannot be disabled.
7 | 128 | Operation Register Summary | any enabled bit in the standard operation event status register is set to 1

Standard Event Status Register

Applicable Models: E5080A, M9485A

Monitors "standard" events that occur in the analyzer. This register can only be cleared by:

  • a Clear Command (*CLS).

  • reading the Standard Enable Status Register (*ESE?).

  • a power-on transition. The analyzer clears the register and then records any transitions that occur, including setting the Power On bit (7).

Commands

Description

*ESE?

Reads the settings of the standard event ENABLE register.

*ESE <bits>

Sets bits in the standard event ENABLE register. The current setting is saved in non-volatile memory.

<bits> The sum of weighted bits in the register. Use *ESE 0 to clear the enable register.

*ESR?

Reads and clears the EVENT settings in the Standard Event Status register.

*OPC

Sets bit 0 when the overlapped command is complete. (see Understanding Command Synchronization / OPC).

*OPC?

Operation complete query - read the Operation Complete bit (0).

Bit

Weight

Description

Bit is set to 1 when the following conditions exist:

0

1

Operation Complete

the two following events occur in order:

  1. the *OPC command is sent to the analyzer

  2. the analyzer completes all pending overlapped commands

1

NA

Request Control

Not Supported - the analyzer application is not configured to control GPIB operation

2

4

Query Error

a query error is detected indicating:
- an attempt to read data from the output queue when no data was present OR
- data in the output queue was lost, as in an overflow

4

16

Execution Error

an execution error is detected indicating:
- a <PROGRAM DATA> element was outside the legal range or inconsistent with the operation of the analyzer OR
- the analyzer could not execute a valid command due to some internal condition

5

32

Command Error

a command error is detected indicating that the analyzer received a command that:

  • did not follow proper syntax

  • was misspelled

  • was an optional command it does not implement

7

128

Power ON

Power to the analyzer has been turned OFF and then ON since the last time this register was read.

STATus:OPERation<keyword>

Applicable Models: E5080A, M9485A

Summarizes conditions in the Averaging and Operation:Define:User<1|2|3> event registers.

<keyword>

Example

:CONDition?

STAT:OPER:COND?

:ENABle <bits>

STAT:OPER:ENAB 1024

[:EVENt]?

STAT:OPER?

:NTRansition <bits>

STAT:OPER:NTR 1024

:PTRansition <bits>

STAT:OPER:PTR 0

Bit | Weight | Description | Bit is set to 1 when the following conditions exist:
8 | 256 | Averaging summary | either enabled bit in the Averaging summary event register is set to 1
9 | 512 | User Defined summary |
10 | 1024 | Device summary | either enabled bit in the Device summary event register is set to 1

STATus:OPERation:AVERaging<n>:<keyword>

Applicable Models: E5080A, M9485A

Monitors and summarizes the status of Averaging on traces 1 to 580. When averaging for a trace is complete, the representative bit is set to 1.

Bit 0 is used to summarize the status in the registers that follow. For example, Average Register 3, bit 0, summarizes the status from registers 4 through 42.

All enable bits are set to 1 by default.

To find the measurement number, use Calc:Par:Mnum.

<n>

Averaging Register. Choose from 1 to 42

<keyword>

Example

:CONDition?

STAT:OPER:AVER1:COND?

:ENABle <bits>

STAT:OPER:AVER1:ENAB 1024

[:EVENt]?

STAT:OPER:AVER1?

:NTRansition <bits>

STAT:OPER:AVER1:NTR 1024

:PTRansition <bits>

STAT:OPER:AVER1:PTR 0

 |  | Averaging Register <n> |  |  |  |  |  |  |  |  |  |  |
Bit | Weight | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | ... | 41 | 42 | Bit is set to 1 when the following conditions exist:
0 | 1 | 2-42 | 3-42 | 4-42 | 5-42 | 6-42 | 7-42 | 8-42 | 9-42 | ... | 42 | -- | Summary Bit - If any bit from that register fails, it propagates to the previous register, bit 0.
 |  | Trace Numbers |  |  |  |  |  |  |  |  |  |  |
1 | 2 | 1 | 15 | 29 | 43 | 57 | 71 | 85 | 99 | ... | 561 | 575 | Averaging on this trace is complete
2 | 4 | 2 | 16 | 30 | 44 | 58 | 72 | 86 | 100 | ... | 562 | 576 | Averaging on this trace is complete
3 | 8 | 3 | 17 | 31 | 45 | 59 | 73 | 87 | 101 | ... | 563 | 577 | Averaging on this trace is complete
4 | 16 | 4 | 18 | 32 | 46 | 60 | 74 | 88 | 102 | ... | 564 | 578 | Averaging on this trace is complete
5 | 32 | 5 | 19 | 33 | 47 | 61 | 75 | 89 | 103 | ... | 565 | 579 | Averaging on this trace is complete
6 | 64 | 6 | 20 | 34 | 48 | 62 | 76 | 90 | 104 | ... | 566 | 580 | Averaging on this trace is complete
7 | 128 | 7 | 21 | 35 | 49 | 63 | 77 | 91 | 105 | ... | 567 | -- | Averaging on this trace is complete
8 | 256 | 8 | 22 | 36 | 50 | 64 | 78 | 92 | 106 | ... | 568 | -- | Averaging on this trace is complete
9 | 512 | 9 | 23 | 37 | 51 | 65 | 79 | 93 | 107 | ... | 569 | -- | Averaging on this trace is complete
10 | 1024 | 10 | 24 | 38 | 52 | 66 | 80 | 94 | 108 | ... | 570 | -- | Averaging on this trace is complete
11 | 2048 | 11 | 25 | 39 | 53 | 67 | 81 | 95 | 109 | ... | 571 | -- | Averaging on this trace is complete
12 | 4096 | 12 | 26 | 40 | 54 | 68 | 82 | 96 | 110 | ... | 572 | -- | Averaging on this trace is complete
13 | 8192 | 13 | 27 | 41 | 55 | 69 | 83 | 97 | 111 | ... | 573 | -- | Averaging on this trace is complete
14 | 16384 | 14 | 28 | 42 | 56 | 70 | 84 | 98 | 112 | ... | 574 | -- | Averaging on this trace is complete

To determine Register, Bit number, and Weight for trace numbers between 113 and 560 (not shown in the above table) use the following calculations.

The averaging status for trace numbers higher than 580 can NOT be tracked.

The following example calculates the Register, Bit number, and Bit Weight for trace # 400:

  • To determine Register number, use ((Trace # - 1) / 14) + 1.

  • To determine Bit Number, use the remainder +1 of the above calculation.

  • ((400-1)/14) + 1 = Register# r+1Bit

    • 399/14 = 28 r7

    • 28+1= Register 29

    • 7+1= Bit number 8

  • To determine Bit Weight: Use above table. For example: Bit 8 = 256

STATus:OPERation:DEVice<keyword>

Applicable Models: E5080A, M9485A

Summarizes conditions in the OPERation:DEVice event registers.

<keyword>

Example

:CONDition?

STAT:OPER:DEV:COND?

:ENABle <bits>

STAT:OPER:DEV:ENAB 16

[:EVENt]?

STAT:OPER:DEV?

:NTRansition <bits>

STAT:OPER:DEV:NTR 16

:PTRansition <bits>

STAT:OPER:DEV:PTR 0

Bit | Weight | Description | Bit is set to 1 when the following conditions exist:
0 | 1 | Unused |
1 | 2 | Unused |
2 | 4 | Unused |
3 | 8 | Unused |
4 | 16 | Sweep Completed | When sweep is complete
5 | 32 | Unused |
6 | 64 | Unused |
7 | 128 | Unused |
8 | 256 | Unused |
9 | 512 | Unused |
10 | 1024 | Unused |
11 | 2048 | Unused |
12 | 4096 | Unused |
13 | 8192 | Unused |
14 | 16384 | Unused |

STATus:PRESet

Applicable Models: E5080A, M9485A

(Write-only) Initializes all the status registers.

Example

STAT:PRES

STATus:QUEStionable:<keyword>

Applicable Models: E5080A, M9485A

Summarizes conditions that monitor the quality of measurement data.

< keyword >

Example

:CONDition?

STAT:QUES:COND?

:ENABle <bits>

STAT:QUES:ENAB 1024

[:EVENt]?

STAT:QUES?

:NTRansition <bits>

STAT:QUES:NTR 1024

:PTRansition <bits>

STAT:QUES:PTR 0

Bit | Weight | Description | Bit is set to 1 when the following conditions exist:
9 | 512 | Integrity Reg summary | any enabled bit in the Integrity event register is set to 1
10 | 1024 | Limit Registers summary | any enabled bit in the Limit event registers is set to 1
11 | 2048 | Define Registers summary | any enabled bit in the Define event registers is set to 1

STATus:QUEStionable:INTegrity <keyword>

Applicable Models: E5080A, M9485A

Summarizes conditions in the Measurement Integrity register.

<keyword>

Example

:CONDition?

STAT:QUES:INT:COND?

:ENABle <bits>

STAT:QUES:INT:ENAB 1024

[:EVENt]?

STAT:QUES:INT?

:NTRansition <bits>

STAT:QUES:INT:NTR 1024

:PTRansition <bits>

STAT:QUES:INT:PTR 0

Bit | Weight | Description | Bit is set to 1 when the following conditions exist:
0 | 1 | Measurement Summary | any bit in the Measurement Integrity event register is set to 1
2 | 4 | Hardware Summary | any bit in the Hardware event register is set to 1

STATus:QUEStionable:INTegrity:MEASurement<n> <keyword>

Applicable Models: E5080A, M9485A

Note: This register can be used ONLY with standard S-parameter measurements.

Monitors the lag between changing a channel setting and when the data is ready to query.

When you change the channel state (start/stop freq, bandwidth, and so forth), then the questionable bit for that channel is set. This indicates that your desired channel state does not yet match the data you would get if querying a data trace. When the next sweep is complete (without aborting in the middle), and the data trace matches the channel state that produced it, the bit is cleared for that channel.

<n>

Measurement register number. Choose from 1 to 3

<keyword>

Example

:CONDition?

STAT:QUES:INT:MEAS1:COND?

:ENABle <bits>

STAT:QUES:INT:MEAS2:ENAB 1024

[:EVENt]?

STAT:QUES:INT:MEAS3?

:NTRansition <bits>

STAT:QUES:INT:MEAS2:NTR 1024

:PTRansition <bits>

STAT:QUES:INT:MEAS1:PTR 0

 |  | Measurement Register <n> |  |  |
Bit | Weight | 1 | 2 | 3 | Bit is set to 1 when the following conditions exist:
0 | 1 | 1 | Summary from Meas Reg 3 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
1 | 2 | 2 | 15 | 29 | a setting change on this channel has occurred and the data does not yet reflect that change.
2 | 4 | 3 | 16 | 30 | a setting change on this channel has occurred and the data does not yet reflect that change.
3 | 8 | 4 | 17 | 31 | a setting change on this channel has occurred and the data does not yet reflect that change.
4 | 16 | 5 | 18 | 32 | a setting change on this channel has occurred and the data does not yet reflect that change.
5 | 32 | 6 | 19 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
6 | 64 | 7 | 20 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
7 | 128 | 8 | 21 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
8 | 256 | 9 | 22 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
9 | 512 | 10 | 23 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
10 | 1024 | 11 | 24 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
11 | 2048 | 12 | 25 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
12 | 4096 | 13 | 26 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
13 | 8192 | 14 | 27 |  | a setting change on this channel has occurred and the data does not yet reflect that change.
14 | 16384 | Summary from Meas Reg 2 | 28 |  | a setting change on this channel has occurred and the data does not yet reflect that change.

STATus:QUEStionable:LSUMmary:<keyword>

Applicable Models: E5080A, M9485A

Summary register of limit test, ripple test and bandwidth test. bit 0: summary bit for the limit test. bit 1: summary bit for the ripple limit test. bit 2: summary bit for the bandwidth limit test.

<keyword>

Example

:CONDition?

STAT:QUES:LSUM:COND?

:ENABle <bits>

STAT:QUES:LSUM:ENAB 8

[:EVENt]?

STAT:QUES:LSUM?

:NTRansition <bits>

STAT:QUES:LSUM:NTR 8

:PTRansition <bits>

STAT:QUES:LSUM:PTR 0

STATus:QUEStionable:LSUMmary:BLIMit <n>:<keyword>

Applicable Models: E5080A, M9485A

Monitors and summarizes the status of ripple limit line failures. When a trace fails, the representative bit is set to 1.

Bit 0 is used to summarize failures in the registers that follow. Refer the STATus:QUEStionable:LSUMmary:LIMit for the trace number information.

All enable bits are set to 1 by default.

To find the measurement number, use Calc:Par:Mnum

<n>

Bandwidth Limit register. Choose from 1 to 42..

<keyword>

Example

:CONDition?

STAT:QUES:LSUM:BLIM:COND?

:ENABle <bits>

STAT:QUES:LSUM:BLIM:ENAB 1024

[:EVENt]?

STAT:QUES:LSUM:BLIM?

:NTRansition <bits>

STAT:QUES:LSUM:BLIM:NTR 1024

:PTRansition <bits>

STAT:QUES:LSUM:BLIM:PTR 0

STATus:QUEStionable:LSUMmary:LIMit<n>: <keyword>

Applicable Models: E5080A, M9485A

Monitors and summarizes the status of limit line failures. When a trace fails, the representative bit is set to 1.

Bit 0 is used to summarize failures in the registers that follow. For example, Limit Register 3, bit 0, summarizes the failures from registers 4 through 42.

All enable bits are set to 1 by default.

To find the measurement number, use Calc:Par:Mnum

<n>

Limit register. Choose from 1 to 42.

<keyword>

Example

:CONDition?

STAT:QUES:LSUM:LIM4:COND?

:ENABle <bits>

STAT:QUES:LSUM:LIM1:ENAB 1024

[:EVENt]?

STAT:QUES:LSUM:LIM3?

:NTRansition <bits>

STAT:QUES:LSUM:LIM2:NTR 1024

:NTRansition?

STAT:QUES:LSUM:LIM1:NTR?

:PTRansition <bits>

STAT:QUES:LSUM:LIM5:PTR 0

:PTRansition?

STAT:QUES:LSUM:LIM1:PTR?

 |  | Limit Register <n> |  |  |  |  |  |  |  |  |  |  |
Bit | Weight | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | ... | 41 | 42 | Bit is set to 1 when the following conditions exist:
0 | 1 | 2-42 | 3-42 | 4-42 | 5-42 | 6-42 | 7-42 | 8-42 | 9-42 | ... | 42 | -- | Summary Bit - If any bit from that register fails, it propagates to the previous register, bit 0.
 |  | Trace Numbers |  |  |  |  |  |  |  |  |  |  |
1 | 2 | 1 | 15 | 29 | 43 | 57 | 71 | 85 | 99 | ... | 561 | 575 | any point on trace fails the limit test
2 | 4 | 2 | 16 | 30 | 44 | 58 | 72 | 86 | 100 | ... | 562 | 576 | any point on trace fails the limit test
3 | 8 | 3 | 17 | 31 | 45 | 59 | 73 | 87 | 101 | ... | 563 | 577 | any point on trace fails the limit test
4 | 16 | 4 | 18 | 32 | 46 | 60 | 74 | 88 | 102 | ... | 564 | 578 | any point on trace fails the limit test
5 | 32 | 5 | 19 | 33 | 47 | 61 | 75 | 89 | 103 | ... | 565 | 579 | any point on trace fails the limit test
6 | 64 | 6 | 20 | 34 | 48 | 62 | 76 | 90 | 104 | ... | 566 | 580 | any point on trace fails the limit test
7 | 128 | 7 | 21 | 35 | 49 | 63 | 77 | 91 | 105 | ... | 567 | -- | any point on trace fails the limit test
8 | 256 | 8 | 22 | 36 | 50 | 64 | 78 | 92 | 106 | ... | 568 | -- | any point on trace fails the limit test
9 | 512 | 9 | 23 | 37 | 51 | 65 | 79 | 93 | 107 | ... | 569 | -- | any point on trace fails the limit test
10 | 1024 | 10 | 24 | 38 | 52 | 66 | 80 | 94 | 108 | ... | 570 | -- | any point on trace fails the limit test
11 | 2048 | 11 | 25 | 39 | 53 | 67 | 81 | 95 | 109 | ... | 571 | -- | any point on trace fails the limit test
12 | 4096 | 12 | 26 | 40 | 54 | 68 | 82 | 96 | 110 | ... | 572 | -- | any point on trace fails the limit test
13 | 8192 | 13 | 27 | 41 | 55 | 69 | 83 | 97 | 111 | ... | 573 | -- | any point on trace fails the limit test
14 | 16384 | 14 | 28 | 42 | 56 | 70 | 84 | 98 | 112 | ... | 574 | -- | any point on trace fails the limit test

To determine Register, Bit number, and Weight for trace numbers between 113 and 560 (not shown in the above table) use the following calculations.

The limit status for trace numbers higher than 580 can NOT be tracked.

The following example calculates the Register, Bit number, and Bit Weight for trace # 400:

  • To determine Limit Register number, use ((Trace # - 1) / 14) + 1.

  • To determine Limit Bit Number, use the remainder +1 of the above calculation.

  • ((400-1)/14) + 1 = Register# r+1Bit

    • 399/14 = 28 r7

    • 28+1= Register 29

    • 7+1= Bit number 8

  • To determine Limit Bit Weight: Use above table. For example: Bit 8 = 256

STATus:QUEStionable:LSUMmary:RLIMit <cnum>:<keyword>

Applicable Models: E5080A, M9485A

Monitors and summarizes the status of ripple limit line failures. When a trace fails, the representative bit is set to 1.

Bit 0 is used to summarize failures in the registers that follow. Refer the STATus:QUEStionable:LSUMmary:LIMit for the trace number information.

All enable bits are set to 1 by default.

To find the measurement number, use Calc:Par:Mnum

<n>

Ripple limit channel status register. Choose from 1 to 42.

<keyword>

Example

:CONDition?

STAT:QUES:LSUM:RLIM:COND?

:ENABle <bits>

STAT:QUES:LSUM:RLIM:ENAB 1024

[:EVENt]?

STAT:QUES:LSUM:RLIM?

:NTRansition <bits>

STAT:QUES:LSUM:RLIM:NTR 1024

:PTRansition <bits>

STAT:QUES:LSUM:RLIM:PTR 0

Last modified:

5-Jan-2016

First Release


System SCPI

System Commands

Controls and queries settings that affect the VNA system.

SYSTem:

ABORt:THReshold

ACTive

| CHANnel

| MEASurement

| SHEet?

BEEPer

| VOLume

| COMPlete:IMMediate

| WARNing:IMMediate

BEEP:STATe

CAL:ALL More commands

CHANnels

| CATalog?

| COUPle[:STATe]

| COUPle:GROup

| COUPle:PARallel[:ENABle]

| COUPle:PARallel:STATe

| DELete

| HOLD

| RESume

CLOCk[:STATe]

COMMunicate More commands

CONFigure

| DIRectory

CONFiguration:EDEVice More commands

CORRection

| INTerpolate:LINear More commands

| WIZard[:IMMediate]

ERRor?

| COUNt?

| REPort

| SUNLeveled

FCORrection:CHANnel:COUPler[:STATe]

FPReset

ISPControl[:STATe]

MACRO:COPY

| CHANnel[:TO]

| CHANnel:STATe

| SOURce

MCLass

| CATalog?

| PARameter:CATalog?

MEASurement

| CATalog?

| NAME?

| TRACe?

| WINDow?

POFF

POWer:

| LIMit

| LOCK

| STATe

PREFerences More commands

PRESet

SECurity

| [LEVel]

SET

SHEet:CATalog?

SHORtcut

| ARGuments

| DELete

| EXECute

| PATH

| TITLe

TOUChscreen[:STATe]

UPReset

| FPANel[:STATe]

| LOAD[:FILE]

| SAVE[:STATe]

WINDows

| CATalog?

Click on a Red keyword to view the command details.

See Also

  • Referring to Traces Channels Windows and Meas Using SCPI

  • Learn about VNA Preferences

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:ABORt:THReshold <value>

Applicable Models: E5080A, M9485A

(Read-Write) When a VNA setting is made while a sweep is in progress, the sweep is immediately aborted by default. This command allows you to change that behavior by specifying a time threshold. When a setting change is made during a sweep and if the total sweep time is less than the threshold time, then the sweep is allowed to finish instead of immediately aborting.

In general, VNA setting changes that could cause an aborted sweep are changes that affect how a measurement is made, such as changes in stimulus conditions.

For example, with a threshold setting of 60 seconds:

  • Sweeps that require 60 seconds or less from start to finish will be allowed to complete if a VNA setting change is made at any time during the sweep.

  • Sweeps that require MORE than 60 seconds from start to finish will be immediately aborted when a VNA setting change is made at any time during the sweep.

Notes:

  • Preset clears this setting.

  • Save state saves this setting.

  • Sweep times are estimated.

  • This setting affects ALL channels.

Parameters

<value>

Threshold time in seconds. Set to 0 to immediately abort a sweep when a VNA setting is made.

Examples

SYST:ABOR:THR 10

'When a setting is made during a sweep, if that sweep requires less than 10 seconds more to complete, it will be allowed to finish instead of aborting.

Query Syntax

SYSTem:ABORt:THReshold?

Default

0 - No threshold time; all sweeps are immediately aborted.

SYSTem:ACTive:CHANnel?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of the active channel. The active channel is the channel number that contains the active measurement. The active measurement is the trace that has a highlighted Tr# in the Trace Status area. If there is no active channel, 0 is returned.
Examples | SYST:PRES SYST:ACT:CHAN? 'Returns 1
Return Type | Integer
Default | Not Applicable

SYSTem:ACTive:MEASurement?

Applicable Models: E5080A, M9485A

(Read-only) Returns the name of the active measurement. While looking at the VNA display, the active measurement is the trace that has a highlighted Tr# in the Trace Status area. Only displayed measurements can be active. If there is no active measurement, " " (empty string) is returned.
Examples | SYST:PRES SYST:ACT:MEAS? 'Returns "CH1_S11_1"
Return Type | String
Default | Not Applicable

SYSTem:ACTive:SHEet?

Applicable Models: E5080A

(Read-only) Returns the active sheet number.
Examples | SYST:ACT:SHE? 'Returns "1"
Return Type | Integer
Default | 1

SYSTem:BEEPer:VOLume <num>

Applicable Models: M9485A

(Read-Write) Sets and reads the volume of the internal speaker.
Parameters |
<num> | Relative volume of the internal speaker. Choose a volume between 0 (off) and 100.
Examples | SYST:BEEP:VOL 5 system:beeper:volume
Query Syntax | SYSTem:BEEPer:VOLume?
Default | 0

SYSTem:BEEPer:COMPlete:IMMediate

Applicable Models: E5080A, M9485A

(Write) Generates a beep for the notification of the completion of an operation.
Parameters |
Examples | SYST:BEEP:COMP:IMM system:beeper:complete:immediate
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:BEEPer:WARNing:IMMediate

Applicable Models: E5080A, M9485A

(Write) Generates a beep for the notification of the warning/limit test results.
Parameters |
Examples | SYST:BEEP:WARN:IMM system:beeper:warning:immediate
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:BEEPer:STATe <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the beeper on or off.
Parameters |
<num> | Set the beeper volume on (1) or off (0).
Examples | SYST:BEEP:STAT 1
Query Syntax | SYSTem:BEEPer:STAT?
Default | 0

SYSTem:CHANnels:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the channel numbers currently in use.
Examples | SYST:CHAN:CAT? system:channels:catalog? 'Returns: "1,2,3"
Return Type | String of comma-separated numbers
Default | Not Applicable

SYSTem:CHANnels:COUPle[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the state of channel coupling.

When set to ON, all existing S-parameter channels receive the stimulus settings of the active channel. Subsequent changes made to any coupled channel are changed on all coupled channels.

Channels with applications such as SMC are not affected.

Coupling is primarily aimed at stimulus settings (such as start, stop, points, power) but also applies to many trigger settings and to Cal Set pointers.

Parameters

<bool>

ON (or 1) Channels are coupled

OFF (or 0) Channels are NOT coupled

Examples

SYST:CHAN:COUP 1

system:channels:couple:state OFF

Query Syntax

SYSTem:CHANnels:COUPle[:STATe]?

Default

OFF

SYSTem:CHANnels:COUPle:GROup <array>

Applicable Models: M9485A

(Read-Write) Sets and reads the group of channel for the mult-DUT parallel measurement.
Parameters |
<array> | {<number of group>, <start channel No.>, <end channel No.>, ... } The first item means number or groups. Next pairs show start/end channel numbers of the group. 1 pair for 1 group. Example: {0} Global coupling (default setting) {1, 1,4} Couples channel 1-4 {2, 1,3, 5,7} Couples channel 1-3 and 5-7 independently
Examples | SYST:CHAN:COUP:GRO 2,1,3,5,7 system:channels:couple:group 1,1,4
Query Syntax | SYSTem:CHANnels:COUPle:GROup?
Default | 0

SYSTem:CHANnels:COUPle:PARallel[:ENABle] <bool>

Applicable Models: M9485A

(Read-Write) Sets and reads the Multi DUT parallel measurement state. SYST:CHAN:COUP should be also turned on when Multi DUT parallel measurement is performed.
Parameters |
<bool> | ON (or 1) Multi DUT parallel measurement are enabled OFF (or 0) Multi DUT parallel measurement are NOT enabled
Examples | SYST:CHAN:COUP:PAR 1 system:channels:couple:parallel OFF
Query Syntax | SYSTem:CHANnels:COUPle:PARallel[:ENABle]?
Default | OFF

SYSTem:CHANnels:COUPle:PARallel:STATe? <value>

Applicable Models: M9485A

(Read Only) Gets the information if the parallel measurement is executed in the last sweep, for the targeted channel..
Parameters |
<value> | Channel number
Examples | SYST:CHAN:COUP:PAR:STAT? 1 system:channels:couple:parallel:state? 2
Query Syntax | SYSTem:CHANnels:COUPle:PARallel:STATe?
Default | Not Applicable

SYSTem:CHANnels:DELete <value>

Applicable Models: E5080A, M9485A

(Write-only) Deletes the specified channel.
Parameters |
<value> | Channel number to delete
Examples | SYST:CHAN:DEL 2
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CHANnels:HOLD

Applicable Models: E5080A, M9485A

(Write-only) Places all channels in hold mode. To place a single channel in hold mode, use SENS:SWE:MODE.
Examples | SYST:CHAN:HOLD
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CHANnels:RESume

Applicable Models: E5080A, M9485A

(Write-only) Resumes the trigger mode of all channels that was in effect before sending SYSTem:CHANnels:HOLD (must be sent before SYST:CHAN:RESume).
Examples | SYST:CHAN:RES
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CLOCk[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the clock visibility state in the VNA status bar.
Parameters |
<bool> | ON (or 1) Clock is visible in the VNA status bar. OFF (or 0) Clock is NOT visible in the VNA status bar.
Examples | SYST:CLOC 1 system:clock:state OFF
Query Syntax | SYSTem:CLOCk[:STATe]?
Default | ON

SYSTem:CONFigure:DIRectory? <char>

Applicable Models: E5080A, M9485A

(Read-only) Returns the directory path location for the specified file type.

Parameters

None

<char>

Type of file. Choose from:

STATe - This is the location for the storage of state files

  • This returns: "c:\users\public\documents\network analyzer"

APPLication - This is the location of the VNA firmware executable files

  • This returns: "c:\program files (x86)\Keysight\network analyzer"

SUPPort - This is the location of private support files for the VNA firmware

  • This returns: "c:\programdata\Keysight\network analyzer"

Example

SYST:CONF:DIR? SUPP

Return Type

String

Default

Not applicable

SYSTem:CORRection:WIZard[:IMMediate] <char>

Applicable Models: E5080A, M9485A

(Write-only) Launches either the Calibration Wizard or the Version 2 Calibration Kit File Manager dialog box.

Remote operation returns immediately after the dialog is launched. This is done to avoid timeout issues with I/O protocols such as VISA. Although it is possible to send commands to the VNA while the dialog is open, this is not encouraged. Application programs should wait until the dialog is closed before resuming remote operations.

Parameters

<char>

Choose from:

MAIN - Launches the Calibration Wizard which matches the current channel, such as standard S-params, NoiseFigure, GCA, and so forth.

CKIT - Launches the Version 2 Calibration Kit File Manager dialog box.

Both display on the VNA screen.

Examples

SYST:CORR:WIZ MAIN
system:correction:wizard:immediate ckit

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:ERRor?

Applicable Models: E5080A, M9485A

(Read-only) Returns the next error in the error queue. Each time the analyzer detects an error, it places a message in the error queue. When the SYSTEM:ERROR? query is sent, one message is moved from the error queue to the output queue so it can be read by the controller. Error messages are delivered to the output queue in the order they were received. The error queue is cleared when any of the following conditions occur:

  • When the analyzer is switched ON.

  • When the *CLS command is sent to the analyzer.

  • When all of the errors are read.

If the error queue overflows, the last error is replaced with a "Queue Overflow" error. The oldest errors remain in the queue and the most recent error is discarded.

See list of all SCPI Errors.

Examples

SYST:ERR?
system:error?

Default

Not Applicable

SYSTem:ERRor:COUNt?

Applicable Models: E5080A, M9485A

(Read-only) Returns the number of errors in the error queue. Use SYST:ERR? to read an error. See list of all SCPI Errors.
Examples | SYST:ERR:COUN? system:error:count?
Default | Not Applicable

SYSTem:ERRor:REPort:SUNLeveled <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether or not to report Source Unleveled errors to the SCPI system error buffer. This setting will revert to the default (OFF) setting on Instrument Preset.
Parameters |
<bool> | ON (or 1) Report Source Unleveled Errors. Read errors from the system error buffer using SYST:ERR? OFF (or 0) Do NOT report Source Unleveled Errors.
Examples | SYST:ERR:REP:SUNL 1 system:error:report:sunleveled ON
Query Syntax | SYSTem:ERRor:REPort:UNLeveled?
Default | OFF

SYSTem:FCORrection:CHANnel<cnum>:COUPler[:STATe] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the coupler state. This command is not effective for SMC class. Learn more about security level.
Parameters |
<char> | Choose from: OFF AUTO
Examples | SYST:FCOR:CHAN:COUP AUTO system:fcorrection:channel1:coupler OFF
Query Syntax | SYSTem:FCORrection:CHANnel<cnum>:COUPler[:STATe]?
Return Type | Character
Default | AUTO

SYSTem:FPReset

Applicable Models: E5080A, M9485A

(Write-only) Performs a standard Preset, then deletes the default trace, measurement, and window. The VNA screen becomes blank.
Examples | SYST:FPR system:fpreset
Default | Not applicable

SYSTem:ISPContol[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads turns ON/OFF or returns the status of the Initial Source Port Control feature (to switch the stimulus output in the trigger hold state to a test port).

Variable

Parameters

<bool>

ON (or 1) Source is outputted only when measurement is done .Source is not outputted during hold state.

OFF (or 0) Source is always outputted.

Examples

SYST:ISPC 1

system:ispcontrol OFF

Query Syntax

SYSTem:ISPControl[:STATe]?

Default

ON

SYSTem:MACRo:COPY:CHANnel<cnum>[:TO] <num>

Applicable Models: E5080A, M9485A

(Write-only) Copies ALL settings from <cnum> channel to <num> channel. Learn more about copy channels. Use SENS:PATH:CONF:COPY to copy ONLY mechanical switch and attenuator settings.
Parameters |
<cnum> | Channel number to copy settings from. If unspecified, value is set to 1.
<num> | Channel number to copy settings to.
Examples | SYST:MACR:COPY:CHAN1 2 system:macro:copy:channel2:to 3
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:MACRo:COPY:CHANnel<fromChannel>:STATe <toChannel>,<toWindow>,[<copyScope>]

Applicable Models: E5080A, M9485A

(Write-only) Copies settings only, or settings and measurements, traces, markers, and limit lines from an existing channel, <fromChannel>, to a new channel, <toChannel>. Traces can be copied into the Active Window, a user specified window, or a new (next available) window. .

Parameters

<fromChannel>

Channel number to copy settings from. If unspecified, value is 1.

<toChannel>

0 for next available channel, or N for channel number to copy settings to.

<toWindow>

-1 will create a new window, 0 will use the active window, and N will use the specified window N. <toWindow> is ignored when <copyScope> is "stimulus"

<copyScope>

must be "stimulus" which copies only settings, or "state" which copies settings, measurements, traces, markers, and limit lines.

Examples

SYST:MACR:COPY:CHAN1:STAT 2,0,"stimulus"

Copies only settings from channel #1 to channel #2. This is equivalent to SYST:MACR:COPY:CHAN1 2

SYST:MACR:COPY:CHAN1:STAT 2,-1,"state"

Copies settings, measurements, traces, etc. from channel #1 to channel #2. Traces are placed into a new window (next available window), and additional windows will be created as necessary so that all traces are copied.

SYST:MACR:COPY:CHAN1:STAT 0,-1

Copies settings, measurements, etc. from channel #1 to the next available channel and places traces into the next avaialble new window.

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:MACRo:COPY:CHANnel<fromChan>:SOURce <fromPort>,<toChan>,<toPort>

Applicable Models: E5080A, M9485A

(Write-only) Copies and applies an existing Source Power Calibration to another channel. Learn more about source power calibration.
Parameters |
<fromChan> | Channel number of the existing source power correction.
<fromPort> | Port number of the existing source power correction.
<toChan> | Channel number to which the source power correction will be copied.
<toPort> | Port number to which the source power correction will be applied.
Examples | SYST:MACR:COPY:CHAN1:SOUR 1,2,1 system:macro:copy:channel2:source 2,1,2
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:MCLass:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns measurement classes available on the VNA. Learn more about Measurement Classes.
Parameters | None
Examples | SYST:MCLass:CAT?
Return Type | String of comma-separated measurement class names. See the complete list of measurement class names.
Default | Not Applicable

SYSTem:MCLass:PARameter:CATalog? <name>

Applicable Models: E5080A, M9485A

(Read-only) Returns ALL parameters that are supported by the specified measurement class.
Parameters |
<name> | String. Measurement Class name. See the complete list of measurement class names.
Examples | 'Returns all parameters for Gain Compression. SYST:MCL:PAR:CAT? "Gain Compression" Return: "S11,S12,S13,S14,S21,S22,S23,S24,S31,S32,S33,S34,S41,S42,S43,S44,A,B,C,D,R,R1,R2,R3,R4"
Return Type | String of comma-separated parameters
Default | Not Applicable

SYSTem:MEASurement:CATalog? [chan]

Applicable Models: E5080A, M9485A

(Read-only) Returns ALL measurement numbers, or measurement numbers from a specified channel.
Parameters |
[chan] | Optional. Channel number to catalog. If not specified, all measurement numbers are returned.
Examples | 'Returns all measurement numbers SYST:MEAS:CAT? 'Returns the measurement numbers on channel 2 system:measurement:catalog? 2
Return Type | String of comma-separated numbers For example: "1,2"
Default | Not Applicable

SYSTem:MEASurement<n>:NAME?

Applicable Models: E5080A, M9485A

(Read-only) Returns the name of the specified measurement.
Parameters |
<n> | Measurement number for which to return the measurement name. If unspecified, value is set to 1.
Examples | 'Returns the name of measurement 2 SYST:MEAS2:NAME?
Return Type | String
Default | Not Applicable

SYSTem:MEASurement<n>:TRACe?

Applicable Models: E5080A, M9485A

(Read-only) Returns the trace number of the specified measurement number. Trace numbers restart for each window while measurement numbers are always unique.
Parameters |
<n> | Measurement number for which to return the trace number. If unspecified, value is set to 1.
Examples | 'Returns the trace number of measurement 1 SYST:MEAS1:TRAC?
Return Type | Numeric
Default | Not Applicable

SYSTem:MEASurement<n>:WINDow?

Applicable Models: E5080A, M9485A

(Read-only) Returns the window number of the specified measurement number.
Parameters |
<n> | Measurement number for which to return the window number. If unspecified, value is set to 1.
Examples | 'Returns the window number of measurement 2 SYST:MEAS2:WIND?
Return Type | Numeric
Default | Not Applicable

SYSTem:POFF

Applicable Models: E5080A, M9485A

(Write-only) Shuts down the system.
Parameters |
<n> | Shutdown or restart. Choose from: 1 - Restart. 0 - Shutdown .
Examples | 'Shuts down the system SYST:POFF
Default | 0 (Shutdown)

SYSTem:POWer<pnum>:LIMit <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the power limit for the specified port. Learn more about Power Limit.
Parameters |
<pnum> | Port number. Choose any VNA port.
<value> | Power limit in dBm
Examples | SYST:POW1:LIM 5 system:power2:limit 0
Query Syntax | SYSTem:POWer<pnum>:LIMit?
Return Type | Numeric
Default | 100 dBm

SYSTem:POWer:LIMit:LOCK <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables or disables the ability to change the power limit values through the user interface. Learn more about Power Limit.
Parameters |
<bool> | Power limit lock. Choose from: ON or 1 - Enables the ability to change the power limit values from the user interface. OFF or 0 - Disables the ability to change the power limit values from the user interface.
Examples | SYST:POW:LIM:LOCK 1 system:power:limit:lock OFF
Query Syntax | SYSTem:POWer:LIMit:LOCK?
Return Type | Boolean
Default | OFF

SYSTem:POWer<pnum>:LIMit:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Enables or disables the power limit for the specified port. Learn more about Power Limit.
Parameters |
<pnum> | Port number. Choose any VNA port.
<value> | Power limit state. Choose from: ON or 1 Enables the power limit for the port<pnum>. OFF or 0 Disables the power limit for the port<pnum>.
Examples | SYST:POW1:LIM:STAT ON system:power2:limit:state 0
Query Syntax | SYSTem:POWer<pnum>:LIMit:STATe?
Return Type | Boolean
Default | OFF

SYSTem:PRESet

Applicable Models: E5080A, M9485A

(Write-only) Deletes all traces, measurements, and windows. In addition, resets the analyzer to factory defined default settings and creates a S11 measurement named "CH1_S11_1". For a list of default settings, see Preset.

Regardless of the state of the User Preset Enable checkbox, the SYST:PRESet command will always preset the VNA to the factory preset settings, and SYST:UPReset will always perform a User Preset.

If the VNA display is disabled with DISP:ENAB OFF then SYST:PRES will NOT enable the display.

This command performs the same function as *RST with one exception: Syst:Preset does NOT reset Calc:FORMAT to ASCII as does *RST.

Examples

SYST:PRES
system:preset

Default

Not applicable

SYSTem:SECurity[:LEVel] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the display of frequency information on the VNA screen and printouts.

Learn more about security level.

Parameters

<char>

Choose from:

NONE - ALL frequency information is displayed.

LOW - NO frequency information is displayed. Frequency information can be redisplayed using the Security Setting dialog box or this command.

HIGH - LOW setting plus GPIB console is disabled. Frequency information can be redisplayed ONLY by performing a Preset, recalling an instrument state with None or Low security settings, or using this command.

EXTRa - HIGH setting plus:

  • ASCII data saving is disabled. Same method to redisplay frequency information as HIGH setting.

  • Mixer setup files (*.mxr) can NOT be saved.

Examples

SYST:SEC LOW
system:security:level high

Query Syntax

SYSTem:SECurity[:LEVel]?

Return Type

Character

Default

None

SYSTem:SET <block>

Applicable Models: E5080A, M9485A

(Read-Write) Sends a definite-length binary block Instrument state and sets the VNA with those settings. This command does the same as saving a *.sta file to the VNA (MMEM:STOR STATE) and then MMEM:TRAN to transfer the file to the computer.
Parameters |
<block> | The Instrument state file as definite-length arbitrary binary block.
Examples | SYST:SET <block>
Query Syntax | SYSTem:SET? (This saves the instrument state file to the remote computer.)
Return Type | Definite-length arbitrary binary block.
Default | Not Applicable

SYSTem:SHEet:CATalog?

Applicable Models: E5080A

(Read-only) Returns comma separated list of visible sheets.
Parameters |
Examples | SYST:SHE:CAT? 'Returns: "1,2,3"
Return Type | String of comma-separated numbers
Default | 1

SYSTem:SHORtcut<n>:ARGuments<string>

Applicable Models: M9485A

(Read-Write) Reads and writes the arguments for the specified macro. On the Edit Macro Dialog, this is called the "Macro run string parameters".
Parameters |
<n> | Numeric. Number of the macro that is stored in the VNA. To find the number of a macro, either open the Macro Setup dialog and count the line number of the desired macro, or query the titles of all of the macros for the desired macro title.
<string> | Arguments for the specified macro.
Examples | SYST:SHOR1:ARG "http://na.tm.Keysight.com/pna/help/PNAWebHelp/help.htm"
Query Syntax | SYSTem:SHORtcut<n>:ARGuments?
Default | Not Applicable

SYSTem:SHORtcut<n>:DELete

Applicable Models: M9485A

(Write-only) Removes the specified macro from the list of macros in the VNA. Does not delete the macro executable file.
Parameters |
<n> | Numeric. Number of the macro that is stored in the VNA. To find the number of a macro, either open the Macro Setup dialog and count the line number of the desired macro, or query the titles of all of the macros for the desired macro title.
Examples | SYST:SHOR1:DEL
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:SHORtcut<n>:EXECute

Applicable Models: M9485A

(Write-only) Executes (runs) the specified Macro (shortcut) that is stored in the VNA.
Parameters |
<n> | Numeric. Number of the macro that is stored in the VNA. To find the number of a macro, either open the Macro Setup dialog and count the line number of the desired macro, or query the titles of all of the macros for the desired macro title.
Examples | SYST:SHOR1:EXEC
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:SHORtcut<n>:PATH <string>

Applicable Models: M9485A

(Read-Write) Defines a Macro (shortcut) by linking a path and file name to the Macro number. To be executed, the executable file must be put in the VNA at the location indicated by this command.
Parameters |
<n> | Numeric. Number of the macro to be stored in the analyzer. If the index number already exists, the existing macro is replaced with the new macro.
<string> | Full path, file name, and extension, of the existing macro "executable" file. To find the number of a macro, either open the Macro Setup dialog and count the line number of the desired macro, or query the titles of all of the macros for the desired macro title.
Examples | SYST:SHOR1:PATH "C:/Program Files/Keysight/Network Analyzer/Documents/unguideMultiple.vbs"
Query Syntax | SYSTem:SHORtcut<n>:PATH?
Default | Not Applicable

SYSTem:SHORtcut<n>:TITLe<string>

Applicable Models: M9485A

(Read-Write) Reads and writes the name of the specified macro.
Parameters |
<n> | Numeric. Number of the macro that is stored in the VNA. To find the number of a macro, either open the Macro Setup dialog and count the line number of the desired macro, or query the titles of all of the macros for the desired macro title.
<string> | The name to be assigned to the macro.
Examples | SYST:SHOR1:TITL "Guided 4-Port Cal"
Query Syntax | SYSTem:SHORtcut<n>:TITLe?
Default | Not Applicable

SYSTem:TOUChscreen[:STATe] <bool>

Applicable Models: E5080A

(Read-Write) Enables and disables the PNA-X touchscreen. This setting remains until changed again from the front-panel or remotely, or until the hard drive is changed or reformatted.
Parameters |
<bool> | Choose from: ON (1) Enables the touchscreen. OFF (0) Disables the touchscreen.
Examples | SYST:TOUC 1 system:touchscreen:state OFF
Query Syntax | SYSTem:TOUChscreen[:STATe]?
Return Type | Boolean
Default | ON when shipped from factory.

SYSTem:UPReset

Applicable Models: E5080A, M9485A

(Write-only) Performs a User Preset. There must be an active User Preset state file (see Load and Save) or an error will be returned. Learn more about User Preset.

Regardless of the state of the User Preset Enable checkbox, the SYST:PRESet command will always preset the VNA to the factory preset settings, and SYST:UPReset will always perform a User Preset.

Examples

SYST:UPReset

system:upreset

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:UPReset:FPANel[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) 'Checks' and 'clears' the enable box on the User Preset dialog box. This only affects subsequent Presets from the front panel user interface.

Regardless of the state of the User Preset Enable checkbox, the SYST:PRESet command will always preset the VNA to the factory preset settings, and SYST:UPReset will always perform a User Preset.

Parameters

<bool>

Front Panel User Preset State. Choose from:

0 User Preset OFF

1 User Preset ON

Examples

SYST:UPR:FPAN 1

system:upreset:fpanel:state 0

Query Syntax

SYSTem:UPREset:FPANel[:STATe]?

Return Type

Boolean

Default

0

SYSTem:UPReset:LOAD[:FILE] <file>

Applicable Models: E5080A, M9485A

(Write-only) Loads an existing instrument state file (.sta or .cst) to be used for User Preset. Subsequent execution of SYSTem:UPReset will cause the VNA to assume this instrument state.

Regardless of the state of the User Preset Enable checkbox, the SYST:PRESet command will always preset the VNA to the factory preset settings, and SYST:UPReset will always perform a User Preset.

Learn more about User Preset.

Parameters

<file>

String - Name of the file to be loaded. The default folder "C:/Program Files/Keysight/Network Analyzer/Documents" is used if unspecified. Change the default folder name using MMEMory:CDIRectory.

Examples

SYST:UPR:LOAD '1MHzto20GHzUserPreset.cst'

system:upreset:load:file 'C:/Documents and Settings/Administrator/My Documents/NewUserPreset.cst'

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:UPReset:SAVE[:STATe]

Applicable Models: E5080A, M9485A

(Write-only) Saves the current instrument settings as UserPreset.sta. Subsequent execution of SYSTem:UPReset will cause the VNA to assume this instrument state.

Regardless of the state of the User Preset Enable checkbox, the SYST:PRESet command will always preset the VNA to the factory preset settings, and SYST:UPReset will always perform a User Preset.

Learn more about User Preset.

Examples

SYST:UPR:SAVE

system:upreset:save:state

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:WINDows:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the window numbers that are currently being used.
Examples | SYST:WIND:CAT? system:windows:catalog?
Return Type | String of comma-separated numbers. For example: "1,2"
Default | Not Applicable

Last modified:

7-Jan-2015

Initial Release


SystCalAll

SYSTem:CALibrate:ALL Commands

Contains the settings to configure a "Cal All" Calibration.

Use the Guided Cal interface to perform the calibration.

SYSTem:CALibrate:ALL:

CHANnel:

| PORTs[:SELect]

CSET:

| CATalog?

| PREFix

GUIDed:

| CHANnel?

| PORTs?

IFBW

MCLass:

| PROPerty:

| NAME:CATalog?

| VALue:

| CATalog?

| [STATe]

PORT<n>:

| RECeiver:ATTen

| REFerence

| TEST

| SOURce:POWer:

| OFFSet

| [VALue]

RESet

SELect

Click on a blue keyword to view the command details.

See Also

  • About Calibrate All Channels

  • Example Program

  • Guided Cal commands

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:CALibrate:ALL:CHANnel<ch>:PORTs[:SELect] <value>

Applicable Models: E5080A, M9485A

(Write-Read) For each channel to be calibrated, sets and returns the ports to be calibrated. Specify port numbers ONLY for standard channels. Application channels are not necessary because they have designated input/output/LO ports.
Parameters |
<ch> | Channel number to be calibrated.
<value> | Ports to be calibrated for the specified channel. Select any of the native VNA ports (1,2,3,4).
Examples | SYST:CAL:ALL:CHAN2:PORT 1,2,3
Query Syntax | SYSTem:CALibrate:ALL:CHANnel<ch>:PORTs[:SELect]?
Return Type | Comma-separated port numbers.
Default | 1,2

SYSTem:CALibrate:ALL:CSET:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the User Cal Set or cal register names that were produced by the cal all session.
Parameters | None
Examples | SYST:CAL:ALL:CSET:CATalog? 'returns this format: "MyCalAll_STD_001, MyCalAll_SMC_002" See example program
Return Type | String of comma-separated Cal Set or cal register names
Default | Not Applicable

SYSTem:CALibrate:ALL:CSET:PREFix<value>

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the prefix to be used when saving User Cal Sets that result from the Cal All session. The Meas Class and channel number are appended to this prefix for each calibrated channel. Use SYST:CAL:ALL:CSET:CATalog? to read the saved cal set names.

  • SENS:CORR:COLL:GUID:SAVE:CSET can also be used to set the Cal Set prefix.

  • If a Cal Set prefix is NOT set using either command, the cal data for each channel will be saved only to cal registers. Learn about cal registers.

Parameters

<value>

(String) User Cal Set prefix.

Examples

SYST:CAL:ALL:CSET:PREFix "MyCalAll"

Query Syntax

SYSTem:CALibrate:ALL:CSET:PREFix?

Return Type

String

Default

" " (Empty string)

SYSTem:CALibrate:ALL:GUIDed:CHANnel?

Applicable Models: E5080A, M9485A

(Read-only) Reads the channel number of the Cal All Calibration. Use this value as the <ch> argument for the subsequent Guided:Cal commands.
Parameters | None
Examples | chan = SYST:CAL:ALL:GUID:CHAN?
Return Type | Numeric
Default | Not applicable

SYSTem:CALibrate:ALL:GUIDed:PORTs?

Applicable Models: E5080A, M9485A

(Read-only) Returns the ports to be calibrated during the Cal All Channels calibration. Specify connectors and cal kits for these ports using the Guided:Cal commands. Specify the ports to be calibrated for each channel using SYST:CAL:ALL:CHAN<ch>:PORT.
Parameters | None
Examples | ports = SYST:CAL:ALL:GUID:PORT?
Return Type | Comma-separated list of port numbers
Default | Not applicable

SYSTem:CALibrate:ALL:IFBW <value>

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the IFBW for a Cal All calibration. Learn more about this setting.
Parameters |
<value> | IF Bandwidth in Hz. The list of valid IF Bandwidths is different depending on the VNA model. See the list of valid settings. If an invalid number is specified, the VNA will round up to the closest valid setting. This command supports MIN and MAX as arguments. Learn more.
Examples | SYST:CAL:ALL:IFBW 10e3
Query Syntax | SYSTem:CALibrate:ALL:IFBW?
Return Type | Numeric
Default | 1 kHz

SYSTem:CAL:ALL:MCLass:PROPerty:NAME:CATalog? [mclass]

Applicable Models: E5080A, M9485A

(Read-only) Returns the unique, settable properties for the current cal all session. See a list of valid properties and values for each measurement class.
Parameters |
[mclass] | Optional argument. String name of the measurement class for which properties are to be returned. See a list of valid measurement class Application names. The measurement class must be included in the current Cal All calibration.
Examples | SYST:CAL:ALL:MCL:PROP:NAME:CAT? 'with NFX app, returns: "Noise Cal Method,Noise Tuner,AutoOrient Tuner,Tuner In,Tuner Out,Receiver Characterization Method,ENR File,Noise Source Connector,Noise Source CalKit"
Return Type | String of comma-separated properties.
Default | Not applicable

SYSTem:CAL:ALL:MCLass:PROPerty:VALue:CATalog? <prop>

Applicable Models: E5080A, M9485A

(Read-only) Returns the valid property values for a specific property name. See a list of valid properties and values for each measurement class.
Parameters |
<prop> | (String) Property name for which valid values are to be returned.
Examples | SYST:CAL:ALL:MCL:PROP:VAL:CAT? "Noise Cal Method" 'with NFX app, returns: "Scalar,Vector"
Return Type | String of comma-separated values
Default | Not applicable

SYSTem:CALibrate:ALL:MCLass:PROPerty:VALue[:STATe] <prop>,<value>

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the property value for a specific property name. See a list of valid properties and values for each measurement class.
Parameters |
<prop> | (String) Property name for which value is to be set or returned.
<value> | Property value. To read a list of valid values, use SYST:CAL:ALL:MCL:PROP:VAL:CAT?
Examples | SYST:CAL:ALL:MCL:PROP:VAL "Noise Cal Method","Noise:Scalar" SYST:CAL:ALL:MCL:PROP:VAL? "Noise Source Connector"
Query Syntax | SYSTem:CALibrate:ALL:MCLass:PROPerty:VALue[:STATe]? <prop>
Return Type | String
Default | Varies with the property name.

SYSTem:CALibrate:ALL:PATH:CONFig:ELEMent[:STATe] <element>,<setting>

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the Path Configuration settings for a Cal All calibration. Learn more about this setting.
Parameters |
<element> | (String) Path configuration element to be set. See a list of configurable RF Path elements and settings.
<setting> | (String) Path configuration element setting.
Examples | SYST:CAL:ALL:PATH:CONFig:ELEMent "Port1NoiseTuner","Internal"
Query Syntax | SYSTem:CALibrate:ALL:PATH:CONFig:ELEMent[:STATe]? <element>
Return Type | String
Default | Not Applicable

SYSTem:CALibrate:ALL:PORT<n>:RECeiver:ATTen:REFerence<num>

Applicable Models: M9485A

(Write-Read) Sets and returns the reference attenuator setting for a Cal All calibration.
Parameters |
<n> | Receiver port number.
<num> | Attenuation value in dB for a Cal All calibration. 0dB or 35dB. If a number other than these is entered, the analyzer will select the next lower valid value. For example, if 19dB is entered, then 0dB attenuation will be selected.
Examples | SYST:CAL:ALL:PORT2:REC:ATT:REF 0
Query Syntax | SYSTem:CALibrate:ALL:PORT<n>:RECeiver:ATTen:REFerence?
Return Type | Numeric. If querying for the standard port, the return value is 0
Default | 35

SYSTem:CALibrate:ALL:PORT<n>:RECeiver:ATTen:TEST<num>

Applicable Models: M9485A

(Write-Read) Sets and returns the test attenuator setting for a Cal All calibration.
Parameters |
<n> | Receiver port number.
<num> | Attenuation value in dB for a Cal All calibration. 0dB or 35dB. If a number other than these is entered, the analyzer will select the next lower valid value. For example, if 19dB is entered, then 0dB attenuation will be selected.
Examples | SYST:CAL:ALL:PORT2:REC:ATT:TEST 0
Query Syntax | SYSTem:CALibrate:ALL:PORT<n>:RECeiver:ATTen:TEST?
Return Type | Numeric. If querying for the standard (M9376A) port, the return value is 0.
Default | 35

SYSTem:CALibrate:ALL:PORT<n>:SOURce:POWer:OFFSet <value>[,src]

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the power offset value for a Cal All calibration.

Power Offset provides a method of compensating port power for added attenuation or amplification in the source path. The result is that power at the specified port reflects the added components.

Parameters

<n>

Source port number.

<value>

Power offset value in dB for a Cal All calibration.

  • For amplification, use positive offset.

  • For attenuation, use negative offset.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SYST:CAL:ALL:PORT2:SOUR:POW:OFFS 10

Query Syntax

SYSTem:CALibrate:ALL:PORT<n>:SOURce:POWer:OFFSet?

Return Type

Numeric

Default

0

SYSTem:CALibrate:ALL:PORT<n>:SOURce:POWer[:VALue] <value>[,src]

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the power level at which a Cal All calibration is to be performed.

Parameters

<n>

Source port number.

<value>

Power level at which the calibration is to be performed.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SYST:CAL:ALL:PORT2:SOUR:POW 0

Query Syntax

SYSTem:CALibrate:ALL:PORT<n>:SOURce:POWer[:VALue]?

Return Type

Numeric

Default

Preset power of the VNA model.

See the data sheet for the power level for each model.

SYSTem:CALibrate:ALL:RESet

Applicable Models: E5080A, M9485A

(Write-only) Resets all properties associated with the Cal All session to their default values.
Parameters | None
Examples | SYST:CAL:ALL:RES
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CALibrate:ALL:SELect <value>

Applicable Models: E5080A, M9485A

(Write-Read) Sets and returns the list of channels to be calibrated during the Cal All session.
Parameters |
<value> | Channel numbers to be calibrated. These channels must already exist.
Examples | SYST:CAL:ALL:SEL 1,2,3
Query Syntax | SYSTem:CALibrate:ALL:SELect?
Return Type | Comma-separated channel numbers.
Default | Existing channels

Last modified:

16-Mar-2015

First release


SystConfigExternalDevice

External Device Commands

Configures and makes settings for an external device.

SYST:CONF:EDEVice:

| ADD

| CAT?

| DRIVer

| DTYPe

| EXISts?

| IOConfig

| IOENable

| LOAD

| REMove

| SAVE

| STATe

| TOUT

| PMAR More commands

| PULSe More commands

| SOURce:

| DPP

| TMODe

Click on a Red keyword to view the command details.

See Also

  • Learn about: Configure an External Source

  • Learn about: Configure a PMAR Device

  • Example: Configure an External Source

  • Example: Configure a PMAR Device

  • SYST:PREF:ITEM:EDEV:DPOL - Determines whether external devices remain activated or are de-activated when the VNA is Preset or when a Instrument State is recalled.

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:CONFigure:EDEVice:ADD <name>

Applicable Models: E5080A, M9485A

(Write-only) Adds an external device to the list of configured devices. This is the same as pressing New on the Select an external device dialog.

Upon creation, all settings on the new device are set to the defaults. The device is not active until set using SYST:CONF:EDEV:STAT

Parameters

<name>

String - Model and type of the external device.

To see a list of configured external devices, use SYST:CONF:EDEV:CAT?

Examples

SYST:CONF:EDEV:ADD "myDevice"

system:configure:edevice:add "myDevice"

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:CONFigure:EDEVice:CAT?

Applicable Models: E5080A, M9485A

(Read-only) Returns a list of names of all configured devices. These are devices that appear in the external devices dialog. Use SENS:FOM:CAT? to report all active devices. Use Source:CAT? to report all active sources.
Parameters | None
Example | SYST:CONF:EDEV:CAT? system:configure:edevice:cat
Return Type | String of comma-separated devices. "Device0:Driver0, Device1:Driver1"
Default | Not applicable

SYSTem:CONFigure:EDEVice:DRIVer <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the external device driver (model).
Parameters |
<name> | String - Name of the device.
<value> | String - External device driver (model). Choose from the following: AGPM for all power meters. AGPULSEGEN for supported pulse generators. DCSource for all supported DC Sources DCMeter for all supported DC Meters See a list of supported external source drivers.
Examples | SYST:CONF:EDEV:DRIV "myDevice","AGPM" system:configure:edevice:driver "myDevice","AGESG"
Query Syntax | SYSTem:CONFigure:EDEVice:DRIVer? <name>
Return Type | String
Default | "AGGeneric"

SYSTem:CONFigure:EDEVice:DTYPE <name>,<type>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Device Type for the external device.
Parameters |
<name> | String - Name of the device to modify.
<type> | String - Device type - not case sensitive. Choose from: "Source" - external source "Power Meter" - power meter "DC Meter" - DC voltmeter "DC Source" - DC power supply "Pulse Generator" - external pulse generator
Examples | SYST:CONF:EDEV:DTYP "myDevice","Power Meter" system:configure:edevice:dtype "myDevice","Source"
Query Syntax | SYSTem:CONFigure:EDEVice:DTYPe? <name>
Return Type | String
Default | None

SYSTem:CONFigure:EDEVice:EXISts? <string>

Applicable Models: E5080A, M9485A

(Read-only) Returns whether the named device is present on the bus for which it is configured.

Parameters

<string>

Name of the external device.

Example

SYST:CONF:EDEV:EXIS? "MyPowerMeter"

Return Type

Boolean

  • 0 - The device is not in the collection or the device fails to respond and times out when communication is attempted.

  • 1 - The device responds when communication is attempted.

Default

Not applicable

SYSTem:CONFigure:EDEVice:IOConfig <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and return the configuration path for the specified external device.

Parameters

<name>

String - Name of the device.

<value>

String - Configuration path. Any valid VISA resource shown in the IO Configuration field of the external devices dialog, enclosed in quotes.

Do NOT use the ID string of a PMAR USB power sensor as the resource string. The ID string is returned by SYST:COMM:USB:PMET:CAT?

Examples

SYST:CONF:EDEV:IOC "myDevice","GPIB0::13::INSTR"

system:configure:edevice:ioconfig "myDevice","GPIB0::13::INSTR"

Query Syntax

SYSTem:CONFigure:EDEVice:IOConfig? <name>

Return Type

String

Default

" " Empty String

SYSTem:CONFigure:EDEVice:IOENable <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Enable or disable communication with an external device.

When disabled (OFF), the VNA will NOT attempt to connect to the external device regardless of the instrument state command (SYST:CONF:EDEV:STATe). Therefore, no errors will be produced if the device is not connected.

This command is useful for debugging and testing states when the external device is not connected. This command is unnecessary in ordinary operation (when the device is connected).

Parameters

<name>

String - Name of the device.

<value>

Boolean - Choose from:

OFF or 0 - Device communication disabled

ON or 1 - Device communication enabled

Examples

SYST:CONF:EDEV:IOEN "myDevice", ON

system:configure:edevice:ioenable "myDevice", 0

Query Syntax

SYSTem:CONFigure:EDEVice:IOENable? <name>

Return Type

Boolean

Default

ON

SYSTem:CONFigure:EDEVice:LOAD <file>,<name>

Applicable Models: E5080A, M9485A

(Write-only) Recalls an external device configuration file from the VNA hard drive. Currently, only DC Supply and DC Meter configuration files are supported. See more DC Device commands. Use SYST:CONF:EDEV:SAVE to save a configuration file.
Parameters |
<file> | String - Filename of the external device configuration file.
<name> | String - Name of the external device. Currently, only DC Supply and DC Meter configuration files are supported.
Examples | SYST:CONF:EDEV:LOAD "myDevice.xml","MyDCMeter"
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CONFigure:EDEVice:REMove <name>

Applicable Models: E5080A, M9485A

(Write-only) Removes the specified device from the list of configured devices. If the device is a Source and both Active and I/O Enabled is checked (ON), then the RF power state is set to OFF. Learn more.
Parameters |
<name> | String - Name of the device. Not case sensitive. Use SYST:CONF:EDEV:CAT? to return a list of configured devices.
Examples | SYST:CONF:EDEV:REM "myDevice" system:configure:edevice:remove "myDevice"
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CONFigure:EDEVice:SAVE <file>,<name>

Applicable Models: E5080A, M9485A

(Write-only) Saves an external device configuration file to the VNA hard drive. Currently, only DC Supply and DC Meter configuration files are supported. See more DC Device commands. Use SYST:CONF:EDEV:LOAD to recall a configuration file.
Parameters |
<file> | String - Filename of the external device configuration file.
<name> | String - Name of the external device. Currently, only DC Supply and DC Meter configuration files are supported.
Examples | SYST:CONF:EDEV:SAVE "myDevice.xml","MyDCSupply"
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:CONFigure:EDEVice:STATe <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return the state of activation of the device. When SYST:CONF:EDEV:IOEN = ON, and this command is set to ON, the VNA will attempt communication with the external device. An error is returned if communication cannot be verified.

Send this command AFTER sending other external device settings (especially SYST:CONF:EDEV:DTYP) to avoid communicating with the device before it has been fully configured.

See Also: SYST:PREF:ITEM:EDEV:DPOL - Determines whether external devices remain activated or are de-activated when the VNA is Preset or when a Instrument State is recalled.

Parameters

<name>

String - Name of the device.

<value>

Boolean - Choose from:

OFF or 0 - Device is NOT activated

ON or 1 - Device is activated.

Examples

SYST:CONF:EDEV:STAT "myDevice", ON

system:configure:edevice:state "myDevice", 0

Query Syntax

SYSTem:CONFigure:EDEVice:STATe? <name>

Return Type

Boolean

Default

OFF - When configured using the front panel user interface, the device is ON (activated) by default.

SYSTem:CONFigure:EDEVice:TOUT <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return the time out value for the specified external device. This is the time allowed for communication with the device before an error is generated.
Parameters |
<name> | String - Name of the device.
<value> | Time out value in seconds.
Examples | SYST:CONF:EDEV:TOUT "myDevice",2 system:configure:edevice:tout "myDevice",5
Query Syntax | SYSTem:CONFigure:EDEVice:TOUT? <name>
Return Type | Numeric
Default | 20

SYSTem:CONFigure:EDEVice:SOURce:DPP <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the amount of time the VNA should wait after for an external source to settle before making a measurement at each data point. This setting applies to all channels that use this external source.
Parameters |
<name> | String - Name of the device.
<value> | Dwell time in seconds.
Examples | SYST:CONF:EDEV:SOUR:DPP "myDevice",2 system:configure:edevice:source:dpp "myDevice",.1
Query Syntax | SYSTem:CONFigure:EDEVice:SOURce:DPP? <name>
Return Type | Numeric
Default | 3.114 e-3

SYSTem:CONFigure:EDEVice:SOURce:TMODe <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the trigger mode for an external source. Learn more.
Parameters |
<name> | String - Name of the device.
<value> | Trigger Mode. Choose from: CW - Software CW mode HW - Hardware list mode
Examples | SYST:CONF:EDEV:SOUR:TMOD "myDevice",CW system:configure:edevice:source:tmode "myDevice",hw
Query Syntax | SYSTem:CONFigure:EDEVice:SOURce:TMODe? "myDevice"
Return Type | Character
Default | Depends on Source and VNA Model

Last Modified:

16-Mar-2015

First Release


SystConfigExtPMAR

SYST:CONF:EDEVice:PMAR Commands

Configures and makes settings for an external Power Meter as Receiver.

SYSTem:CONFigure:EDEVice:PMAR

| CALibrate

| FLIMit

| FMAXimum

| FMINimum

| READing:

| COUNt

| NTOLerance

| SENSor

| TABLe:

| CFAC:

| DATA

| FREQuency

| LOSS:

| DATA

| FREQuency

| STATe

| RFACtor

| ZERO

Click on a blue keyword to view the command details.

See Also

  • Learn about: Configure a Power Meter As Receiver

  • See root SYST:CONF:EDEV commands

  • Learn about Configure and External Device

  • SYST:PREF:ITEM:EDEV:DPOL - Determines whether External Devices remain activated or are de-activated when the VNA is Preset or when a Instrument State is recalled.

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:CONFigure:EDEVice:PMAR:CALibrate <name>

Applicable Models: E5080A, M9485A

(Write-only) Performs a calibration of the power sensor. Calibration usually involves connecting the power sensor to the meter's 1 mW reference.

  • Keysight P-Series sensors have an internal reference so you can calibrate them using this command without connecting to the meters reference port.

  • Keysight USB power sensors do not require calibrating.

  • For other sensors, refer to the documentation to determine if it has calibration capability.

This command is always synchronous, so *OPC? is the only way to determine that the operation is complete. Set an I/O timeout of at least 20 seconds.

Parameters

<name>

String - Name of the power meter.

Examples

SYST:CONF:EDEV:PMAR:CAL "myDevice"

system:configure:edevice:pmar:calibrate "myDevice"

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:FLIMit <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Enable or disable the power meter min and max frequencies.
Parameters |
<name> | String - Name of the power meter.
<value> | Boolean. State of min and max frequency. Choose from: OFF or 0 - Min and max frequencies disabled. ON or 1 - Min and max frequencies enabled.
Examples | SYST:CONF:EDEV:PMAR:FLIM "myDevice", 0 system:configure:edevice:pmar:flimit "myDevice", ON See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:FLIMit? <name>
Return Type | Boolean
Default | OFF

SYSTem:CONFigure:EDEVice:PMAR:FMAXimum <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return the maximum frequency of the power meter.
Parameters |
<name> | String - Name of the power meter.
<value> | Numeric - Max frequency in Hz.
Examples | SYST:CONF:EDEV:PMAR:FMAX "myDevice", 1e10 system:configure:edevice:pmar:fmaximum "myDevice", 3e9 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:FMAXimum? <name>
Return Type | Numeric
Default | Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:FMINimum <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return the minimum frequency of the power meter.
Parameters |
<name> | String - Name of the power meter.
<value> | Numeric - Min frequency in Hz.
Examples | SYST:CONF:EDEV:PMAR:FMIN "myDevice", 1e10 system:configure:edevice:pmar:fminumum "myDevice", 3e9 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:FMAXimum? <name>
Return Type | Numeric
Default | Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:READing:COUNt <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) This command, along with SYST:CONF:EDEV:PMAR:READ:NTOL, allows for settling of the power sensor READINGS.

Set and return the maximum number of power readings that are taken at each stimulus point to allow for measurement settling. Each reading is averaged with the previous readings at that stimulus point.

When this average meets the Average:NTOLerance value or this number of readings has been made, the average is returned as the valid reading.

Parameters

<name>

String - Name of the power meter.

<value>

Number of readings. Choose a value between 1 and 25

Examples

SYST:CONF:EDEV:PMAR:READ:COUN "myDevice", 20

system:configure:edevice:pmar:reading:count "myDevice", 10

See example program

Query Syntax

SYSTem:CONFigure:EDEVice:PMAR:READing:COUNt? <name>

Return Type

Numeric

Default

3

SYSTem:CONFigure:EDEVice:PMAR:READing:NTOLerance <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) This command, along with SYST:CONF:EDEV:PMAR:READ:COUN, allows for settling of the power sensor READINGS.

Each power reading is averaged with the previous readings at each stimulus point. When the average meets this nominal tolerance value, or the max number of readings has been made, the average is returned as the valid reading.

Parameters

<name>

String - Name of the power meter.

<value>

Power measurement settling tolerance value in dB. Choose any number between 0 and 5.

Examples

SYST:CONF:EDEV:PMAR:READ:NTOL "myDevice", .5

system:configure:edevice:pmar:reading:ntolerance "myDevice",.01

See example program

Query Syntax

SYSTem:CONFigure:EDEVice:PMAR:READing:NTOLerance? <name>

Return Type

Numeric

Default

.05

SYSTem:CONFigure:EDEVice:PMAR:SENSor <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the power sensor channel (1 or 2) to be used. This performs the same function as the Use this sensor only checkbox.
Parameters |
<name> | String - Name of the power meter.
<value> | Power Meter channel. 1 - Channel A 2 - Channel B
Examples | SYST:CONF:EDEV:PMAR:SENS "myDevice",2 system:configure:edevice:pmar:sensor "myDevice",1 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:SENSor? <name>
Return Type | Numeric
Default | 1

SYSTem:CONFigure:EDEVice:PMAR:TABLe:CFAC:DATA <name>,<value>[,value]

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the cal factor data for the power sensor.
Parameters |
<name> | String - Name of the power meter.
<value>[,value] | Cal factor data in percent. For each frequency used with SYST:CONF:EDEV:PMAR:TABL:CFAC:FREQ, enter a cal factor number between 1 and 100.
Examples | SYST:CONF:EDEV:PMAR:TABL:CFAC:DATA "myDevice", 98,99,99 system:configure:edevice:pmar:table:cfac:data "myDevice", 97,97,97 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:TABLe:CFAC:DATA? <name>
Return Type | Numeric - one number per table segment.
Default | Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:TABLe:CFAC:FREQuency <name>,<value>[,value]

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the cal factor frequencies for the power sensor.
Parameters |
<name> | String - Name of the power meter.
<value>[,value] | Cal factor frequencies in Hz.
Examples | SYST:CONF:EDEV:PMAR:TABL:CFAC:FREQ "myDevice", 1e7,1e8,1e9 system:configure:edevice:pmar:table:cfac:frequency "myDevice", 5e7,5e8,5e9 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:TABLe:CFAC:FREQuency?<name>
Return Type | Numeric - one number per table segment.
Default | Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:TABLe:LOSS:DATA <name>,<value>[,value]

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the power loss data for the power sensor.

Each table can contain up to 9999 segments. Values can also be loaded using the Characterize Adapter macro.

Parameters

<name>

String - Name of the power meter.

<value>[,value]

Loss data in dB. POSITIVE values in dB are interpreted as LOSS. To compensate for gain, use negative values.

For each frequency used with SYST:CONF:EDEV:PMAR:TABL:LOSS:FREQ, enter a cal factor number between 1 and 100.

Examples

SYST:CONF:EDEV:PMAR:TABL:LOSS:DATA "myDevice",.01,.02,.03

system:configure:edevice:pmar:table:loss:data "myDevice", .04,.05,.06

See example program

Query Syntax

SYSTem:CONFigure:EDEVice:PMAR:TABLe:CFAC:DATA? <name>

Return Type

Numeric - one number per table segment.

Default

Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:TABLe:LOSS:FREQuency <name>,<value>[,value]

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns frequencies for the power loss data.
Parameters |
<name> | String - Name of the power meter.
<value>[,value] | Power Loss frequencies in Hz.
Examples | SYST:CONF:EDEV:PMAR:TABL:LOSS:FREQ "myDevice",1e7,1e8,1e9 system:configure:edevice:pmar:table:loss:frequency "myDevice",5e7,5e8,5e9 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:TABLe:LOSS:FREQuency? <name>
Return Type | Numeric - one number per table segment.
Default | Not Applicable

SYSTem:CONFigure:EDEVice:PMAR:TABLe:LOSS:STATe <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns whether to use the power loss table.
Parameters |
<name> | String - Name of the power meter.
<value> | Boolean. State of the power loss table. Choose from: OFF or 0 - Power loss table not used. ON or 1 - Power loss table used.
Examples | SYST:CONF:EDEV:PMAR:TABL:LOSS:STAT "myDevice",1 system:configure:edevice:pmar:table:loss:state "myDevice",1 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:TABLe:LOSS:STATe? <name>
Return Type | Boolean
Default | OFF

SYSTem:CONFigure:EDEVice:PMAR:TABLe:RFACtor <name>,<value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the reference cal factor for the power sensor. Note: If the sensor connected to the power meter contains cal factors in EPROM (such as the Keysight E-series power sensors), those will be the cal factors used. The reference cal factor value associated with this command, and any cal factors entered into the VNA for that sensor channel, will not be used.
Parameters |
<name> | String - Name of the power meter.
<value> | Reference cal factor in percent. Choose any number between 1 and 150.
Examples | SYST:CONF:EDEV:PMAR:TABL:RFAC "myDevice", 1 system:configure:edevice:pmar:table:rfactor "myDevice", 1 See example program
Query Syntax | SYSTem:CONFigure:EDEVice:PMAR:TABLe:RFACtor? <name>
Return Type | Numeric
Default | 100

SYSTem:CONFigure:EDEVice:PMAR:ZERO <name>[,SYNC,<value>]

Applicable Models: E5080A, M9485A

(Write-only) Performs a zeroing of the PMAR device.

This command is always synchronous, so *OPC? is the only way to determine that the operation is complete. Set an I/O timeout of at least 20 seconds.

Keysight P-Series sensors do ONLY Internal zeroing. These, and Keysight USB power sensors when Internal is selected, do NOT require disconnecting from the measurement path before zeroing.

All other Keysight sensors do ONLY External zeroing.

Parameters

<name>

String - Name of the power meter.

[,SYNC,<value>]

Optional argument for use with power sensors that support both internal and external types of zeroing such as Keysight USB power sensors.

Choose from:

SYNC,INTernal - Internal zeroing. Power is automatically removed from the sensor input before zeroing occurs (Default setting).

SYNC,EXTernal - External zeroing. First remove the sensor input, then send this command. External zeroing is recommended for powers below -30 dBm with the U2000-Series sensors (-20 dBm for the H models).

Examples

SYST:CONF:EDEV:PMAR:ZERO "myDevice"

system:configure:edevice:pmar:zero "myDevice",sync,internal

Query Syntax

Not Applicable

Default

Not Applicable

Last Modified:

16-Mar-2015

First Release


SystCorrIntLinear

SYSTem:CORRection:INTerpolate:LINear Commands

Applicable Models: E5080A, M9485A

The five SYSTem:CORRection:INTerpolate:LINear commands are used as a sequence. They are not meant to be used independent of the others. The commands perform linear interpolation on a scalar data of (x,y) pairs based on a master set of x and y values to a new mapping based on a desired set of x values. The desired set of x values (or range) must fall within the master set of x values (or range) and can have a different number of points than the master data set.

Definition:

Linear interpolation operates by drawing a straight line between each two adjacent data points on the master (x,y) pairs that fall on either side of the new desired data point represented by (x’,y’). in other words if

(xi, yi) represents data pairs on the master data set and (xj’,yj’) represents a data point on the interpolated result data set then:

Xi < Xj’ < Xi+1 and Yj’ = Yi + [(Yi+1 – Yi)/(Xi+1 – Xi)] (Xj’ – Xi)

Note: The master data set must represent a function on the Cartesian coordinate system. In other words, for each x value in the master data set, there can be only one corresponding Y value.

There are five steps in the sequence:

  1. SYSTem:CORRection:INTerpolate:LINear:INPut:X - loads in the master X values

  2. SYSTem:CORRection:INTerpolate: LINear:INPut:Y - loads in the master Y values

  3. SYSTem:CORRection:INTerpolate: LINear:OUTput:X - loads in the desired interpolated X values

  4. SYSTem:CORRection:INTerpolate: LINear:CALCulate - calculates the interpolated Y values

  5. SYSTem:CORRection:INTerpolate: LINear:OUTput:Y? - reads back the interpolated Y values.

Example

The following function uses the SYSTem:CORRection:INTerpolate: LINear commands:

Function InterpolateData_Single(inputX() As Double, inputY() As Single, outputX() As Double, ByRef interpData() As Single)

x = visa_io.ag_send_binBlock64("SYST:CORR:INT:LIN:INP:X ", inputX)

x = visa_io.ag_send_binBlock("SYST:CORR:INT:LIN:INP:Y ", inputY)

x = visa_io.ag_send_binBlock64("SYST:CORR:INT:LIN:OUTP:X ", outputX)

x = visa_io.ag_send_rd("*OPC?")

x = visa_io.ag_send_wait("SYST:CORR:INT:LIN:CALC")

x = visa_io.ag_send_rd("*OPC?")

interpData = visa_io.ag_send_rd_binBlock("SYST:CORR:INT:LIN:OUTP:Y?")

CheckError

End Function

'Here is a code snippet that uses the function above.

'copy the B-Response Error term from one calset to another.

'The source calset has a super set stimulus and

'and the receiving calset has a subset stimulus

Dim BResp_freqList() As Double

Dim BResp_Re() As Single

Dim BResp_Im() As Single

GetErrorTerm_noChan BResp_Calset, "ResponseTracking(B)", BResp_freqList, BResp_Re, BResp_Im

Dim Noise_freqList() As Double

GetCalsetStimulus calsetName, Noise_freqList, 1, "Noise Figure Cold Source"

' Response Stimulus Range

Dim BResp_Re_interp() As Single

Dim BResp_Im_interp() As Single

InterpolateData_Single BResp_freqList, BResp_Re, Noise_freqList, BResp_Re_interp

InterpolateData_Single BResp_freqList, BResp_Im, Noise_freqList, BResp_Im_interp

PutErrorTerm channel, calsetName, "ResponseTracking(B)", BResp_Re_interp, BResp_Im_interp

Last Modified:

18-Mar-2015

First Release


System Preferences

System Preferences Commands

Sets and reads the VNA Preferences settings.

SYSTem:PREFerences

| DEFault

| ITEM

| EEXTrapolate

| EDEV: DPOLicy

| GDELay:TWOPoint

| MCControl

| MCMethod

| MCPreset

| MRU

| OFFSet

| RCV

| SRC

| PRESet:POWer:STATe

| PSRTrace

| RECeivers

| CERRor

| OVERload:POWer

RETRace:POWer

| RTOF

| SWITch:DEF

Click on a Red keyword to view the command details.

See Also

  • SENS:CORRection:PREFerences

  • Learn about VNA Preferences

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:PREFerences:DEFault

Applicable Models: E5080A, M9485A

(Write-only) Resets the VNA preferences to their default settings. Some default settings vary depending on the VNA Model. Learn more about VNA Preferences.
Examples | SYST:PREF:DEF system:preferences:default
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:PREFerences:ITEM:EDEV:DPOLicy <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether External Devices remain activated or are de-activated when the VNA is Preset or when a Instrument State is recalled.

This setting remains until changed again using this command, or until the hard drive is changed or reformatted.

Parameters

<bool>

Choose from:

OFF (0) External devices remain active when the VNA is Preset or when a Instrument State is recalled.

ON (1) External devices are de-activated (SYST:CONF:EDEV:STAT to OFF) when the VNA is Preset or when a Instrument State is recalled.

Examples

SYST:PREF:ITEM:EDEV:DPOL 1
system:preferences:item:edev:dpolicy OFF

Query Syntax

SYSTem:PREFerences:ITEM:EDEV:DPOLicy?

Return Type

Boolean

Default

ON or 1

SYSTem:PREFerences:ITEM:EEXTrapolate <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets whether a Swept IMD or IMDx calibration can exceed the stop frequency limit of an ECal module. Learn more.
Parameters |
<bool> | Choose from: ON (1) Allow extrapolation. OFF (0) Do NOT allow extrapolation.
Examples | SYST:PREF:ITEM:EEXT 1 system:preferences:item:eextrapolate OFF
Query Syntax | SYSTem:PREFerences:ITEM:EEXTrapolate?
Return Type | Boolean
Default | OFF

SYSTem:PREFerences:ITEM:GDELay:TWOPoint <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the default group delay aperture setting. Learn more about group delay aperture.
Parameters |
<bool> | Choose from: ON (1) Sets default group delay aperture to 2 points. OFF (0) Sets default group delay aperture to 11 points.
Examples | SYST:PREF:ITEM:GDELay:TWOPoint 1 system:preferences:item:gdelay:twopoint OFF
Query Syntax | SYSTem:PREFerences:ITEM:GDELay:TWOPoint?
Return Type | Boolean
Default | OFF

SYSTem:PREFerences:ITEM:MCControl <bool>

Applicable Models: None

(Read-Write) Set and return whether the Coupled Markers setting controls the ON|OFF state of markers that are coupled. Learn more about Coupled Markers. Refer also to CALC:MARK:COUP:STATe ON.
Parameters |
<bool> | Choose from: ON (1) – With Coupled Markers ON, when a marker is turned on, the same-numbered marker on all coupled traces will also be turned on. Likewise, turning off a marker will turn it off on all coupled traces. OFF (0) – Turning a marker on or off will have no effect on the markers on other traces.
Examples | SYST:PREF:ITEM:MCC 1 system:preferences:item:mccontrol OFF
Query Syntax | SYSTem:PREFerences:ITEM:MCControl?
Return Type | Boolean
Default | OFF (0)

SYSTem:PREFerences:ITEM:MCMethod <bool>

Applicable Models: None

(Read-Write) Set and return whether Coupled Markers is set to Channel or All after Preset. Learn more about Coupled Markers. Refer also to CALC:MARK:COUP:STATe ON and SYST:PREF:ITEM:MCPR ON.
Parameters |
<bool> | Choose from: ON (1) – Marker Coupling Method is set to Channel after Preset. OFF (0) – Marker Coupling Method is set to ALL after Preset.
Examples | SYST:PREF:ITEM:MCM 1 system:preferences:item:mcmethod OFF
Query Syntax | SYSTem:PREFerences:ITEM:MCMethod?
Return Type | Boolean
Default | OFF (0)

SYSTem:PREFerences:ITEM:MCPRest <bool>

Applicable Models: None

(Read-Write) Set and return whether Coupled Markers is set to ON or OFF after Preset. Learn more about Coupled Markers.
Parameters |
<bool> | Choose from: OFF (0) – Coupled Markers is OFF after Preset. ON (1) – Coupled Markers is ON after Preset.
Examples | SYST:PREF:ITEM:MCPR 1 system:preferences:item:mcpreset OFF
Query Syntax | SYSTem:PREFerences:ITEM:MCPReset?
Return Type | Boolean
Default | OFF (0)

SYSTem:PREFerences:ITEM:MRU <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether to list files for recall on softkeys by most-recently used or alphabetically.
Parameters |
<bool> | Choose from: ON (1) – Recall softkeys show most recently-used files. OFF (0) – Recall softkeys show alphabetically-ordered files.
Examples | SYST:PREF:ITEM:MRU 1 system:preferences:item:mru OFF
Query Syntax | SYSTem:PREFerences:ITEM:MRU?
Return Type | Boolean
Default | OFF (0)

SYSTem:PREFerences:ITEM:OFFSet:RCV <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether to offset the test port receivers by the amount of receiver attenuation. Learn more.

To send this command using the VNA front panel, open the GPIB Command Processor Console, then type either of the following examples at the command prompt. Then type the Query Syntax and press enter to be sure the VNA took the command.

This setting remains until changed again using this command, or until the hard drive is changed or reformatted.

Parameters

<bool>

Choose from:

ON (1) Offset the test port receivers

OFF (0) Do NOT offset the test port receivers

Examples

SYST:PREF:ITEM:OFFS:RCV 1
system:preferences:item:offset:rcv OFF

Query Syntax

SYSTem:PREFerences:ITEM:OFFSet:RCV?

Return Type

Boolean

Default

PNA-L and E836xB: OFF (does NOT offset the display).

VNA: ON (offsets the display).

SYSTem:PREFerences:ITEM:OFFSet:SRC <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether to offset the reference receiver by the amount of source attenuation. Learn more.

To send this command using the VNA front panel, open the GPIB Command Processor Console, then type either of the following examples at the command prompt. Then type the Query Syntax and press enter to be sure the VNA took the command.

This setting remains until changed again using this command, or until the hard drive is changed or reformatted.

Parameters

<bool>

Choose from:

ON (1) Offset the reference receivers.

OFF (0) Do NOT Offset the reference receivers.

Examples

SYST:PREF:ITEM:OFFS:SRC 1
system:preferences:item:offset:src OFF

Query Syntax

SYSTem:PREFerences:ITEM:OFFSet:SRC?

Return Type

Boolean

Default

All models: ON (offset the display).

SYSTem:PREFerences:ITEM:PRESet:POWer[:STATe] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return the Preset Power ON/OFF state. Learn more. This setting remains until changed again using this command, or until the hard drive is changed or reformatted.
Parameters |
<char> | Choose from: ON - Instrument Preset always turns RF power ON. AUTO - When the current power setting is OFF, leave power OFF after Preset. When the current power setting is ON, turn power ON after Preset.
Examples | SYST:PREF:ITEM:PRE:POW ON system:preferences:item:preset:power:state auto
Query Syntax | SYSTem:PREFerences:ITEM:PREset:POWer[:STATe]?
Return Type | Character
Default | ON

SYSTem:PREFerences:ITEM:PSRTrace <char>

Applicable Models: E5080A, M9485A

(Read-Write) At the end of a power sweep, while waiting to trigger the next sweep, maintain source power at either the start power level or at the stop power level.

To send this command using the VNA front panel, open the GPIB Command Processor Console, then type either of the following examples at the command prompt. Then type the Query Syntax and press enter to be sure the VNA took the command.

This setting remains until changed again using this command, or until the hard drive is changed or reformatted.

Parameters

<char>

Choose from:

STARt - Maintain source power at the start power level.

STOP - Maintain source power at the stop power level.

Examples

SYST:PREF:ITEM:PSRT STOP
system:preferences:item:psrtrace start

Query Syntax

SYSTem:PREFerences:ITEM:PSRTrace?

Return Type

Character

Default

STARt

SYSTem:PREFerences:ITEM:RECeivers:CERRor[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether to display receiver overload warnings. Learn more.
Parameters |
<bool> | Choose from: ON (1) Display overload warnings, OFF (0) Do NOT display overload warnings.
Examples | SYST:PREF:ITEM:REC:CERR 1 system:preferences:item:receivers:cerror:state OFF
Query Syntax | SYSTem:PREFerences:ITEM:RECeivers:CERRor[:STATe]?
Return Type | Boolean
Default | ON

SYSTem:PREFerences:ITEM:RECeivers:OVERload:POWer[:STATe] <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether to turn source power OFF when a receiver is overloaded. Learn more.
Parameters |
<bool> | Choose from: ON (1) Turn OFF source power to ALL ports when a receiver is overloaded. OFF (0) Power remains ON when a receiver is overloaded.
Examples | SYST:PREF:ITEM:REC:OVER:POW 1 system:preferences:item:receivers:overload:power:state OFF
Query Syntax | SYSTem:PREFerences:ITEM:RECeivers:OVERload:POWer[:STATe]?
Return Type | Boolean
Default | OFF (0)

SYSTem:PREFerences:ITEM:RETRace:POWer <char>

Applicable Models: E5080A, M9485A

(Read-Write) For single-band frequency or segment sweeps ONLY, specify whether to turn RF power ON or OFF during a retrace. Learn more about RF power during sweep retrace.

To send this command using the VNA front panel, open the GPIB Command Processor Console, then type either of the following examples at the command prompt. Then type the Query Syntax and press enter to be sure the VNA took the command.

This setting remains until changed using this command, or until the hard drive is changed or reformatted.

Parameters

<char>

Choose from:

AUTO: Power is left ON during retrace of single-band frequency or segment sweeps ONLY.

OFF: Power is turned OFF during retrace of single-band frequency or segment sweeps ONLY.

Examples

SYST:PREF:ITEM:RETR:POW OFF

system:preferences:item:retrace:power auto

Query Syntax

SYSTem:PREFerences:ITEM:RETRace:POWer?

Return Type

Character

Default

AUTO

SYSTem:PREFerences:ITEM:RTOF <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return whether to display limit line failures as red trace segments or red data points (dots). Learn more.
Parameters |
<bool> | Choose from: ON (1) Display failures as red trace segments. (Red Trace On Fail). OFF (0) Display failures as red data points (dots).
Examples | SYST:PREF:ITEM:RTOF 1 system:preferences:item:rtof OFF
Query Syntax | SYSTem:PREFerences:ITEM:RTOF?
Return Type | Boolean
Default | OFF

SYSTem:PREFerences:ITEM:SWITch:DEF <string>, <int>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the default setting for the Noise Tuner switch. This is the setting that occurs when a new channel is created. Learn more.

This command will return an error on VNA models with a built-in Noise tuner.

To send this command using the VNA front panel, open the GPIB Command Processor Console, then type either of the following examples at the command prompt. Then type the Query Syntax and press enter to be sure the VNA took the command.

This setting remains until changed using this command, or until the hard drive is changed or reformatted.

Parameters

<string>

Name of the switch to set. Choose from:

  • "Port1NoiseTuner"

<int>

Value to set. Choose from:

0 Sets the default (preset) to INTERNAL

1 Sets the default (preset) to EXTERNAL

Examples

SYST:PREF:ITEM:SWIT:DEF "Port1NoiseTuner" 1 'Write

system:preferences:item:switch:def? "Port1NoiseTuner" 'Read

Query Syntax

SYSTem:PREFerences:ITEM:SWITch:DEF? <switch>

Return Type

Integer

Default

1 (External)

Last Modified:

16-Mar-2015

Initial Release


PXI Shared Memory Data Transfer

The fastest way to transfer data out of a PXIe VNA is to use shared memory. Due to the nature of shared memory, these commands can ONLY be used to transfer data between your program and the VNA when your program runs locally on the same computer as the VNA.

Shared Memory Background: Usually, each process has its own memory, and anything saved in one process isn't visible to another process. With shared memory, both processes actually connect to the same memory, so what happens in one process is now visible to another process.

How to setup Shared Memory

  1. Send SYST:DATA:MEM:INITialize. This tells the VNA to prepare for the creation of shared memory.

  2. Decide which measurements to include in the shared memory. For each of those measurements, send SYST:DATA:MEM:ADD. This adds a request to copy the contents of those measurements into the shared memory. This does not start adding data.

  3. Send SYST:DATA:MEM:COMMit. This command tells the VNA to create the Windows shared memory resource and to give that shared memory resource a name.

  4. You can now create a handle to the shared memory and start reading the data from that shared memory. Once setup, the VNA remembers the setup, and the shared memory will be filled on each sweep. You do not send any more SCPI commands unless you need to change the list of requested measurements to include in the shared memory.

See C# example

SYSTem: DATA:MEMory Commands

Controls Shared Memory.

The commands are listed in order of recommended use.

SYSTem:DATA:MEMory:

INITialize

ADD

OFFSet?

NAME?

COMMit

SIZE?

DELete

RESet

Click on a keyword to view the command details.

See Also

  • SCPI Command Tree

SYSTem:DATA:MEMory:INITialize

Applicable Models: M9485A

(Write only) Initializes the shared memory setup buffers.
Parameters | None
Examples | See an example program
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:DATA:MEMory:ADD <string>

Applicable Models: M9485A

(Write only) Add a request to copy the contents of the specified measurement into shared memory. Call this command once for each measurement definition. Once the shared memory is setup, there is no need to send more SCPI commands. The shared memory is filled automatically on every sweep.

Parameters

<string>

The following elements separated with colons (:).

<Ch>:<MeasNum>:<dataFormat>:<numPoints>

where:

  • <Ch> - Channel number of the measurement to share memory. Use SYST:ACTive:CHAN to return the active channel number. Use SYST:CHAN:CAT? to return the channel numbers in use.

  • <MeasNum> - Measurement (Tr) number to share memory. Use CALC<ch>:PAR:MNUM? just after the trace is created to read the measurement number. See also: Referring to Traces, Measurements, Channels, and Windows Using SCPI.

  • <dataFormat> - Choose from:

    • SDATA - Complex measurement data.

      • Writes data to Data Access Map location Raw Measurement (access point 0). When writing corrected data, and correction is ON, it will be corrected again, resulting in meaningless data.

      • Reads data from Apply Error Terms (access point 1). Returns TWO numbers per data point. Corrected data is returned when correction is ON. Uncorrected data is returned when correction is OFF.

    • FDATA - Formatted measurement data to or from Data Access Map location Display (access point 2).

      • Corrected data is returned when correction is ON.

      • Uncorrected data is returned when correction is OFF.

      • Returns TWO numbers per data point for Polar and Smith Chart format.

      • Returns one number per data point for all other formats.

      • Format of the read data is same as the displayed format.

  • <numPoints> - Number of data points in the measurement trace.

Examples

SYSTem:DATA:MEMory:ADD "2:3:SDATA:201"

'copies the data for channel #2, measurement #3, complex data, 201 points into the shared memory buffer.

See an example program

Query Syntax

Not Applicable

Default

Not Applicable

SYSTem:DATA:MEMory:OFFSet?

Applicable Models: E5080A, M9485A

(Read only) The shared memory is a contiguous block of memory. Each measurement takes up a subset of this contiguous block. This command returns the offset into the shared memory for the most recently added parameter. The offset is a number that specifies the starting index of the data. This query can be sent after sending SYST:DATA:MEM:ADD.
Parameters | None
Examples | See an example program
Return Type | Numeric
Default | Not Applicable

SYSTem:DATA:MEMory:NAME?

Applicable Models: E5080A, M9485A

(Read only) Returns a unique, auto-generated name that can be used in the COMMIt command. By using this generated name, a client can be sure not to conflict with any other used shared memory regions.
Parameters | None
Examples | See an example program
Return Type | String
Default | Not Applicable

SYSTem:DATA:MEMory:COMMit <memName>

Applicable Models: E5080A, M9485A

(Write only) Allocates the memory mapped buffer.
Parameters |
<memName> | String. Name of the memory mapped buffer. This must be a unique name, and cannot conflict with other shared memory buffer names. Use this command in your program when connecting to the shared memory. See SYSTem:DATA:MEMory:NAME?
Examples | See an example program
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:DATA:MEMory:SIZE?

Applicable Models: E5080A, M9485A

(Read only) Returns the size of the memory mapped region. Send this immediately after SYST:DATA:MEM:COMMit. The result is the total size (in bytes) of all the measurements in the shared memory region.
Parameters | None
Examples | See an example program
Return Type | Numeric
Default | Not Applicable

SYSTem:DATA:MEMory:CATalog?

Applicable Models: E5080A, M9485A

(Read only) Returns a list of all the allocated shared memory buffers
Parameters | None
Examples | See an example program
Return Type | String
Default | Not Applicable

SYSTem:DATA:MEMory:RESet

Applicable Models: E5080A, M9485A

(Write only) Deletes all allocated shared memory buffers
Parameters | None
Examples | See an example program
Query Syntax | Not Applicable
Default | Not Applicable

SYSTem:DATA:MEMory:DELete <memName>

Applicable Models: E5080A, M9485A

(Write only) Allocates the specified memory mapped buffer.
Parameters |
<memName> | String. Name of the memory mapped buffer. This is the unique name that is used in the COMMit command.
Examples | See an example program
Query Syntax | Not Applicable
Default | Not Applicable

Example Program

static void Main(string[] args)

{

// Connect to the hislip VISA address of localhost

ResourceManager resourceManager = new ResourceManager();

FormattedIO488 formattedIO = new FormattedIO488();

formattedIO.IO = (IMessage)resourceManager.Open("TCPIP0::localhost::hislip0::INSTR");

// Destroy all measurements and add a window

formattedIO.WriteString("SYST:FPR\n");

formattedIO.WriteString("DISP:WIND:STAT 1");

// initialize memory mapped structures in VNA

formattedIO.WriteString("SYST:DATA:MEM:INIT\n");

// Create 4 SParameters

string[] parameters = new string[] { "S11", "S21", "S12", "S22" };

int[] offsets_for_complex_data = new int[parameters.Length];

int[] offsets_for_formatted_data = new int[parameters.Length];

for (int i = 0; i < parameters.Length; i++)

{

// Create a new parameter

formattedIO.WriteString("CALC:PAR:DEF '" + parameters[i] + "'," + parameters[i]);

formattedIO.WriteString("DISP:WIND:TRAC" + (i + 1).ToString() + ":FEED '" + parameters[i] + "'");

// Configure a new section of the memory map to monitor the complex data of this parameter

formattedIO.WriteString("SYST:DATA:MEM:ADD '1:" + (i + 1).ToString() + ":SDATA:201'"); // add parameter to memory mapped

formattedIO.WriteString("SYST:DATA:MEM:OFFSet?");

offsets_for_complex_data[i] = int.Parse(formattedIO.ReadString());

// Configure a new section of the memory map to monitor the formatted data of this parameter

formattedIO.WriteString("SYST:DATA:MEM:ADD '1:" + (i + 1).ToString() + ":FDATA:201'"); // add parameter to memory mapped

formattedIO.WriteString("SYST:DATA:MEM:OFFSet?");

offsets_for_formatted_data[i] = int.Parse(formattedIO.ReadString());

}

// Tell the VNA to allocate the memory map. Name it "VNA_MemoryMap"

formattedIO.WriteString("SYST:DATA:MEM:COMM 'VNA_MemoryMap'");

// Query the size of the memory map

formattedIO.WriteString("SYST:DATA:MEM:SIZE?");

int size = int.Parse(formattedIO.ReadString());

// Create the memory map in C#. This requires .NET 4.5 framework

MemoryMappedFile mappedFile = MemoryMappedFile.CreateOrOpen("VNA_MemoryMap", size);

MemoryMappedViewAccessor mappedFileView = mappedFile.CreateViewAccessor();

// Trigger a single sweep, and wait for it to complete

formattedIO.WriteString("SENS:SWE:MODE SING");

formattedIO.WriteString("*OPC?");

formattedIO.ReadString();

// Allocate buffers to hold the output data

float[][] complexData = new float[parameters.Length][];

for (int i = 0; i < complexData.Length; i++)

{

complexData[i] = new float[402];

}

float[][] formattedData = new float[parameters.Length][];

for (int i = 0; i < formattedData.Length; i++)

{

formattedData[i] = new float[201];

}

// Copy the data from the memory map into the output buffers

// These copy the data from the in-process memory map.

// This runs very fast - and is just a "memcpy" under the hood

for (int i = 0; i < parameters.Length; i++)

{

ReadBytes(mappedFileView,offsets_for_complex_data[i],402,complexData[i]);

ReadBytes(mappedFileView, offsets_for_formatted_data[i], 201, formattedData[i]);

}

// Output some data to show that it worked

System.Console.WriteLine(complexData[0][0].ToString()); // Output first point of S11 in complex

System.Console.WriteLine(formattedData[3][200].ToString()); // Output last point of S22 as formatted

}

static public unsafe void ReadBytes(MemoryMappedViewAccessor mappedFileView,

int offset, int num, float[] arr)

{

// This is equivalent to:

// //m_mappedFileView.ReadArray<float>(m_sharedMemoryOffsets[i-1], complexArray, 0, points*2);

// But, using this "unsafe" code is 30 times faster. 100usec versus 3ms

byte* ptr = (byte*)0;

mappedFileView.SafeMemoryMappedViewHandle.AcquirePointer(ref ptr);

System.Runtime.InteropServices.Marshal.Copy(IntPtr.Add(new IntPtr(ptr), offset), arr, 0, num);

mappedFileView.SafeMemoryMappedViewHandle.ReleasePointer();

}

}


Trigger SCPI

Trigger Commands

Controls External Triggering .

TRIGger:

AUX

| COUNt

CHANnel:AUX

| DURation

| [ENABle]

| INTerval

| OPOLarity

| POSition

| TYPE

DELay

PREFerence

| AIGLobal

READy:POLarity

[SEQuence]

| SCOPe

| SOURce

| SLOPe

| TYPE

Click on a Red keyword to view the command details.

See Also

  • Example program Triggering the VNA

  • See other SCPI Triggering commands

  • Learn about External / Aux Triggering

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

TRIGger:AUXiliary:COUNt?

Applicable Models: E5080A

(Read-only) Returns the number of AUX trigger output connector in the instrument.
Parameters |
Examples | TRIG:AUX:COUN? trigger:auxiliary:count?
Return Type | Numeric
Default | Not Applicable

TRIGger:CHANnel<ch>:AUXiliary<n>:DURation <num>

Applicable Models: E5080A

(Read-Write) Specifies the width of the output pulse, which is the time that the Aux trigger output will be asserted.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | Rear panel connector used to send or receive signals. If unspecified, value is set to 1.
<num> | Duration value in seconds. Choose a value between 1us (1E-6) and 1.
Examples | TRIG:CHAN:AUX:DUR .1 trigger:channel2:aux:duration .01
Query Syntax | TRIGger:CHANnel<ch>:AUXiliary<n>:DURation?
Return Type | Numeric
Default | 1E-6

TRIGger:CHANnel<ch>:AUXiliary<n>[:ENABle] <bool>

Applicable Models: E5080A

(Read-Write) Turns ON / OFF the trigger output.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | Rear panel connector used to send or receive signals. If unspecified, value is set to 1.
<bool> | ON or 1 - Turns trigger output ON. OFF or 0 - Turns trigger output OFF.
Examples | TRIG:CHAN:AUX 1 trigger:channel2:aux:enable off
Query Syntax | TRIGger:CHANnel<ch>:AUXiliary<n>:[ENABle]?
Return Type | Boolean
Default | OFF

TRIGger:CHANnel<ch>:AUXiliary<n>:INTerval <char>

Applicable Models: E5080A

(Read-Write) Specifies how often a trigger output signal is sent.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<n>

Rear panel connector used to send or receive signals.

If unspecified, value is set to 1.

<char>

Choose from:

  • SWEep - Trigger signal is sent once every sweep.

Examples

TRIG:CHAN:AUX:INT POI

trigger:channel2:aux:interval sweep

Query Syntax

TRIGger:CHANnel<ch>:AUXiliary<n>:INTerval?

Return Type

Character

SWEep

TRIGger:CHANnel<ch>:AUXiliary<n>:OPOLarity <char>

Applicable Models: E5080A

(Read-Write) Specifies the polarity of the Aux Output signal being supplied by the VNA.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<n>

Rear panel connector used to send or receive signals.

If unspecified, value is set to 1.

<char>

Choose from:

  • POSitive - VNA sends positive going pulse.

  • NEGative - VNA sends negative going pulse.

Examples

TRIG:CHAN:AUX:OPOL NEG

trigger:channel2:aux:opolarity positive

Query Syntax

TRIGger:CHANnel<ch>:AUXiliary<n>:OPOLarity?

Return Type

Character

Default

NEGative

TRIGger:CHANnel<ch>:AUXiliary<n>:POSition <char>

Applicable Models: E5080A

(Read-Write) Specifies whether the aux trigger out signal is sent BEFore or AFTer the acquisition.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1.

<n>

Rear panel connector used to send or receive signals.

If unspecified, value is set to 1.

<char>

Choose from:

  • BEFore - Use if the external device needs to be triggered before the data is acquired, such as a power meter.

  • AFTer - Use if the external device needs to be triggered just after data has been acquired, such as an external source. This could be more efficient since it allows the external device to get ready for the next acquisition at the same time as the VNA.

Examples

TRIG:CHAN:AUX:POS BEF

trigger:channel2:aux:position after

Query Syntax

TRIGger:CHANnel<ch>:AUXiliary<n>:POSition?

Return Type

Character

Default

AFTer

TRIGger:CHANnel<ch>:AUXiliary<n>:TYPE <char>

Applicable Models: E5080A

(Read-Write) Specifies the type of Aux input detection that the VNA will employ.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<n> | Rear panel connector used to send or receive signals. If unspecified, value is set to 1.
<char> | Choose from: EDGE - VNA responds to the leading edge of a signal. LEVel - VNA responds to the level (HIGH or LOW) of a signal.
Examples | TRIG:CHAN:AUX:TYPE EDGE trigger:channel2:aux:type level
Query Syntax | TRIGger:CHANnel<ch>:AUXiliary<n>:TYPE?
Return Type | Character
Default | EDGE

TRIGger:DELay <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and reads the trigger delay for ALL channels (globally). This delay is only applied while TRIG:SOURce = EXTernal and TRIG:SCOP = ALL After an external trigger is applied, the start of the sweep is held off for an amount of time equal to the delay setting plus any inherent latency. To apply a trigger delay for the specified channel ONLY, use SENS:SWE:TRIG:DELay
Parameters |
<num> | Delay value in seconds. Choose from 0 to 107.
Examples | TRIG:DEL .0003 Sets the trigger delay to 300 microseconds. The sweep will not start until approximately 300 microseconds after an external trigger is applied.
Query Syntax | TRIGger:DELay?
Return Type | Numeric
Default | 0

TRIGger:PREFerence:AIGLobal <bool>

Applicable Models: E5080A

(Read-Write) Sets the Trigger OUT behavior to either Global or Channel. Learn more about this setting.

This command will cause the VNA to Preset.

This setting remains until changed again using this command, or until the hard drive is changed or reformatted.

To send this command using the VNA front panel, open the GPIB Command Processor Console, then type either of the following examples at the command prompt. Then type the Query Syntax and press enter to be sure the VNA took the command.

Parameters

<bool>

Choose from:

  • ON (or 1) - Trigger properties apply to ALL channels (Global).

    • Allows use of CONT:SIGNal command to configure the external trigger properties.

    • "Per Point" trigger property is not settable. Use the channel's Point trigger setting.

  • OFF (or 0) - External Trigger properties apply to each channel independently.

    • Must use TRIG:CHAN:AUX commands to configure the external trigger properties. CONT:SIGNal will NOT work.

    • "Per Point" trigger output property is set using the channel's Point trigger setting AND TRIG:CHAN:AUX:INTerval.

Examples

TRIG:PREF:AIGL 1

trigger:preference:aiglobal 0

Query Syntax

TRIGger:PREFerence:AIGLobal?

Return Type

Boolean

Default

0

TRIGger:READy:POLarity <char>

Applicable Models: E5080A

(Read-Write) Specifies the polarity of Ready for Trigger output. All existing Ready for Trigger outputs are configured simultaneously with this command.
Parameters |
<char> | LOW - Outputs a TTL low when the VNA is ready for trigger. HIGH - Outputs a TTL high when the VNA is ready for trigger.
Examples | TRIG:READ:POL HIGH trigger:ready:polarity low
Query Syntax | TRIGger:READy:POLarity?
Return Type | Character
Default | Low

TRIGger[:SEQuence]:SCOPe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies whether a trigger signal is sent to all channels or only the current channel.

See Triggering the VNA using SCPI.

Parameters

<char>

Choose from:

  • ALL - trigger signal is sent to all channels. Also sets SENS:SWEep:TRIG:POINt OFF on ALL channels.

  • CURRent - trigger signal is sent to only one channel at a time. With each trigger signal, the channel is incremented to the next triggerable channel.

  • ACTive - trigger signal is sent to only active channel at a time.

Examples

TRIG:SCOP ALL
trigger:sequence:scope current

Query Syntax

TRIGger[:SEQuence]:SCOPe?

Return Type

Character

Default

ALL

TRIGger[:SEQuence]:SLOPe <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the polarity expected by the external trigger input circuitry. Also specify TRIG:TYPE (Level |Edge).

See Triggering the VNA using SCPI.

Parameters

<char>

Choose from:

  • POSitive (rising Edge) or High Level

  • NEGative (falling Edge) or Low Level

Examples

TRIG:SLOP NEG
trigger:sequence:slope positive

Query Syntax

TRIGger[:SEQuence]:SLOPe?

Return Type

Character

Default

POSitive

TRIGger[:SEQuence]:SOURce <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the source of the sweep trigger signal. This command is a super-set of INITiate:CONTinuous which can NOT set the source to External.

See Triggering the VNA using SCPI.

Parameters

<char>

Choose from:

  • EXTernal - external (rear panel) source.

  • IMMediate - internal source sends continuous trigger signals

  • MANual - sends one trigger signal when manually triggered from the front panel or INIT:IMM is sent.

Examples

TRIG:SOUR EXT
trigger:sequence:source immediate

Query Syntax

TRIGger[:SEQuence]:SOURce?

Return Type

Character

Default

IMMediate

TRIGger[:SEQuence]:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the type of EXTERNAL trigger input detection used to listen for signals on the Meas Trig IN connectors. Edge triggers are most commonly used.
Parameters |
<char> | Choose from: EDGE VNA responds to the rising and falling edge of a signal. LEVel VNA responds to a level (HIGH or LOW). Use TRIG:SLOPe to specify Rising or falling - High or Low.
Examples | TRIG:TYPE EDGE trigger:sequence:type level
Query Syntax | TRIGger[:SEQuence]:TYPE?
Return Type | Character
Default | LEVel

Last modified:

5-Jan-2016

First Release


Channels, Windows, and Measurements using SCPI

SOURce and most SENSe commands act on the channel that is specified in the command. Channel 1 is default if not specified.

Most DISPlay commands act on the window and trace specified in the command. Window1 and Trace1 are default if not specified.

CALCulate:MEASure commands act on the trace in the specified channel.

  • CALCulate<channel number>:MEASure<meas number(trace number)>:xxxxxxx

The following program does the following:

  • Presets the analyzer

  • Create 2 windows

  • Create 2 Measurements

  • Change frequency ranges for channels

  • Turn marker 1 ON for each measurement

To run this program, you need:

  • An established GPIB interface connection

See Other SCPI Example Programs

Example

GPIB.Write "SYSTem:PReset"

'Create two windows
GPIB.Write ":DISPlay:SPLit 2"

'Create one trace on each window
GPIB.Write ":CALCulate1:PARameter:COUNt 1"
GPIB.Write ":CALCulate2:PARameter:COUNt 1"

'Define the parameter for each trace
GPIB.Write ":CALCulate1:MEASure1:PARameter 'S21'"
GPIB.Write ":CALCulate2:MEASure2:PARameter 'S12'"

'Change each channel's frequency range
GPIB.Write "SENSe1:FREQuency:SPAN 1e9"
GPIB.Write "SENSe2:FREQuency:SPAN 2e9"

'Turn marker 1 ON for each measurement
GPIB.Write "CALCulate1:MEASure1:MARKer:STATe ON"
GPIB.Write "CALCulate2:MEASure2:MARKer:STATe ON"


Create a Measurement using SCPI

This VBScript program creates a new S21 measurement and displays it on the VNA screen.

The SCPI commands in this example are sent over a COM interface using the SCPIStringParser object. You do NOT need a GPIB connection to run this example.

This VBScript (*.vbs) program can be run as a macro in the VNA. To do this, copy the following code into a text editor file such as Notepad and save it on the VNA hard drive as NewMeas.vbs. Learn how to setup and run the macro.

See Other SCPI Example Programs

Example

Dim app
Dim scpi
' Create / Get the VNA application.
Set app = CreateObject("AgilentPNA835x.Application")
Set scpi = app.ScpiStringParser

' A comment
'Preset the analyzer
scpi.Execute ("SYST:PREset")
'Define a measurement parameter
scpi.Execute ("CALCulate:MEASure1:PARameter 'S21'")


Getting and Putting Data using SCPI

This Excel VBA Program with VISA-COM does the following:

  • Reads data from the analyzer

  • Puts the data back into memory

To run this program, you need:

  • An established GPIB interface connection

See Other SCPI Example Programs

Note: To change the read and write location of data, removing the comment from the beginning of ONE of the lines, and replace the comment in the beginning of the FDATA lines.

Sub SampleGetPutData()
'*** The variables of the resource manager and the instrument I/O are declared.
Dim ioMgr As VisaComLib.ResourceManager
Dim GPIB As VisaComLib.FormattedIO488
'*** The memory area of the resource manager and the instrument I/O are acquired.
Set ioMgr = New VisaComLib.ResourceManager
Set GPIB = New VisaComLib.FormattedIO488
'*** Open the instrument.
Set GPIB.IO = ioMgr.Open("GPIB0::16::INSTR")
GPIB.IO.timeout = 10000

Dim Numpts As Long
Dim Datam As Variant

'Select the measurement
GPIB.WriteString "CALCulate1:MEASure1:PARameter 'S21'", True
'Read the number of data points
GPIB.WriteString "SENSe1:SWEep:POINts?", True
Numpts = GPIB.ReadNumber
'Turn continuous sweep off
GPIB.WriteString "INITiate:CONTinuous OFF", True
'Take a sweep
GPIB.WriteString "INITiate1:IMMediate;*WAI", True
'Ask for the Data
'PICK ONE OF THESE LOCATIONS TO READ
GPIB.WriteString "CALCulate1:MEASure1:DATA:FDATA?", True ' Formatted Meas
'GPIB.WriteString "CALCulate1:MEASure1:DATA:FMEM?", True ' Formatted Memory
'GPIB.WriteString "CALCulate1:MEASure1:DATA:SDATA?", True ' Corrected, Complex Meas
'GPIB.WriteString "CALCulate1:MEASure1:DATA:SMEM?", True ' Corrected, Complex Memory
'GPIB.WriteString "SENSe1:CORRection:CSET:ETERm:DATA? 'Directivity(1,1)'", True ' Error-Term Directivity

'Parse the data
Datam = GPIB.ReadList(ASCIIType_R8, ",")

'PUT THE DATA BACK IN
GPIB.WriteString "CALCulate1:MEASure1:DATA:FDATA ", False ' Formatted Meas
'GPIB.WriteString "CALCulate1:MEASure1:DATA:FMEM ", False ' Formatted Memory
'GPIB.WriteString "CALCulate1:MEASure1:DATA:SDATA ", False ' Corrected, Complex Meas
'GPIB.WriteString "CALCulate1:MEASure1:DATA:SMEM ", False ' Corrected, Complex Memory
'GPIB.WriteString "SENSe1:CORRection:CSET:ETERm:DATA 'Directivity(1,1)',", False ' Error-Term Directivity

GPIB.WriteList Datam, ASCIIType_R8, ",", True

'*** End procedure
GPIB.IO.Close
End Sub


Perform Guided ECal

Perform Guided ECal using SCPI

This VBScript program performs a Guided ECal Calibration. While this example is good to use as a starting point for Guided ECal, the Guided comprehensive cal example has some advanced features that are not in this program.

The SCPI commands in this example are sent over a COM interface using the SCPIStringParser object. You do NOT need a GPIB connection to run this example.

This VBScript (*.vbs) program can be run as a macro in the VNA. To do this, copy the following code into a text editor file such as Notepad and save it on the VNA hard drive as Guided.vbs. Learn how to setup and run the macro.

Example in VBScript

' Performing a 2-port cal (Ports 1 and 2)
Dim app
Dim scpi

' Create / Get the VNA application.
Set app = CreateObject("AgilentPNA835x.Application")
Set scpi = app.ScpiStringParser

' Specify the DUT connectors
' (for each connector of your DUT, one of the ECal module's ports must have
' that same connector, or else you cannot achieve the cal using that module).
scpi.Execute "sens:corr:coll:guid:conn:port1 ""APC 3.5 female"" "
scpi.Execute "sens:corr:coll:guid:conn:port2 ""APC 3.5 male"" "

' Note: If your VNA has more than 2 ports, you would need to uncomment
' one or both of these next two lines, to explicitly specify this is
' just a 2-port cal.
'scpi.Execute "sens:corr:coll:guid:conn:port3 ""Not used"" "
'scpi.Execute "sens:corr:coll:guid:conn:port4 ""Not used"" "
MsgBox "Connectors defined for Ports 1 and 2"

' Specify ECal modules

scpi.Parse "sens:corr:coll:guid:ckit:port1 'N4691-60004 ECal'"

scpi.Parse "sens:corr:coll:guid:ckit:port2 'N4691-60004 ECal'"

' Non-factory characterizations are specified as follows:

'scpi.Parse "sens:corr:coll:guid:ckit:port2 'N4691-60004 User 1 ECal'"

' When two or more ECal modules with the same model number are connected

' also specify the serial number as follows:

'scpi.Parse "sens:corr:coll:guid:ckit:port2 'N4691-60004 ECal 01234'"

' When Disk Memory ECal user characterizations are used,

' specify both the User char and the serial number as follows:

'scpi.Parse "sens:corr:coll:guid:ckit:port2 'N4691-60004 MyDskChar ECal 01234'"

'
MsgBox "Cal kits defined for Ports 1 and 2"

' Initiate the calibration and query the number of steps
scpi.Execute "sens:corr:coll:guid:init"
numSteps = scpi.Execute("sens:corr:coll:guid:steps?")
MsgBox "Number of steps is " + CStr(numSteps)

' Measure the standards
For i = 1 To numSteps
step = "Step " + CStr(i) + " of " + CStr(numSteps)
strPrompt = scpi.Execute("sens:corr:coll:guid:desc? " + CStr(i))
MsgBox strPrompt, vbOKOnly, step
scpi.Execute "sens:corr:coll:guid:acq STAN" + CStr(i)
Next

' Conclude the calibration
scpi.Execute "sens:corr:coll:guid:save"
MsgBox "Cal is done!"

Example in Excel VBA

Sub SampleEcal()

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim GPIB As VisaComLib.FormattedIO488

'

' *** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set GPIB = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set GPIB.IO = ioMgr.Open("GPIB0::16::INSTR")

GPIB.IO.timeout = 10000

' Performing a 2-port cal (Ports 1 and 2)

' Specify the DUT connectors

' (for each connector of your DUT, one of the ECal module's ports must have

' that same connector, or else you cannot achieve the cal using that module).

GPIB.WriteString "sens:corr:coll:guid:conn:port1 ""APC 3.5 female""", True

GPIB.WriteString "sens:corr:coll:guid:conn:port2 ""APC 3.5 female""", True

GPIB.WriteString "sens:corr:coll:guid:conn:port3 ""Not used"""

GPIB.WriteString "sens:corr:coll:guid:conn:port4 ""Not used"""

MsgBox "Connectors defined for Ports 1 and 2"

' Specify ECal modules

' SENSe:CORR:COLL:GUID:CKIT:CAT? to read the list of available Ecal module.

GPIB.WriteString "sens:corr:coll:guid:ckit:port1 'N4431B ECal 03605'", True

GPIB.WriteString "sens:corr:coll:guid:ckit:port2 'N4431B ECal 03605'", True

'

MsgBox "Cal kits defined for Ports 1 and 2"

' Initiate the calibration and query the number of steps

GPIB.WriteString "sens:corr:coll:guid:init", True

GPIB.WriteString "sens:corr:coll:guid:steps?", True

numSteps = GPIB.ReadNumber

MsgBox "Number of steps is " + CStr(numSteps)

' Measure the standards

For i = 1 To numSteps

step = "Step " + CStr(i) + " of " + CStr(numSteps)

GPIB.WriteString "sens:corr:coll:guid:desc? " & CStr(i), True

strPrompt = GPIB.ReadString

MsgBox strPrompt, vbOKOnly, step

GPIB.WriteString "sens:corr:coll:guid:acq STAN" & CStr(i), True

Next

' Conclude the calibration

GPIB.WriteString "sens:corr:coll:guid:save", True

MsgBox "Cal is done!"

'*** End procedure

GPIB.IO.Close

End Sub

Last modified:

5-Apr-2011

edited for ECal options


Perform Guided Mechanical Cal

Perform Guided Mechanical Cal using SCPI

This sample programs perform a Guided Calibration using Mechanical standards for a 2-port cal (Ports 1 and 2).

Example in Excel VBA with VISA-COM

Sub SampleGuidedCal2Port()
'*** The variables of the resource manager and the instrument I/O are declared.
Dim ioMgr As VisaComLib.ResourceManager
Dim GPIB As VisaComLib.FormattedIO488
'*** The memory area of the resource manager and the instrument I/O are acquired.
Set ioMgr = New VisaComLib.ResourceManager
Set GPIB = New VisaComLib.FormattedIO488
'*** Open the instrument.
Set GPIB.IO = ioMgr.Open("GPIB0::16::INSTR")
GPIB.IO.timeout = 10000

Dim numSteps As Integer, strPrompt As String

' Specify the DUT connectors
GPIB.WriteString "sens:corr:coll:guid:conn:port1 ""APC 3.5 female""", True

GPIB.WriteString "sens:corr:coll:guid:conn:port2 ""APC 3.5 male""", True
' Note: If your PNA has more than 2 ports, you would need to uncomment
' one or both of these next two lines, to explicitly specify this is
' just a 2-port cal.
'gpib.writestring "sens:corr:coll:guid:conn:port3 ""Not used"" ",True
'gpib.writestring "sens:corr:coll:guid:conn:port4 ""Not used"" ",True
MsgBox "Connectors defined for Ports 1 and 2"
' Select the Cal Kit for each port being calibrated.
GPIB.WriteString "sens:corr:coll:guid:ckit:port1 ""85052D""", True
GPIB.WriteString "sens:corr:coll:guid:ckit:port2 ""85052D""", True
MsgBox "Cal kits defined for Ports 1 and 2"
' Initiate the calibration and query the number of steps
GPIB.WriteString "sens:corr:coll:guid:init"
GPIB.WriteString "sens:corr:coll:guid:steps?"
numSteps = GPIB.ReadNumber
MsgBox "Number of steps is " + CStr(numSteps)
' Measure the standards
'The following series of commands shows that standards
'can be measured in any order. These steps acquire
'measurement of standards in reverse order.
'It is easiest to iterate through standards using
'a For-Next Loop.
For i = numSteps To 1 Step -1
step = "Step " + CStr(i) + " of " + CStr(numSteps)
GPIB.WriteString "sens:corr:coll:guid:desc? " + CStr(i)
strPrompt = GPIB.ReadString
MsgBox strPrompt, vbOKOnly, step
GPIB.WriteString "sens:corr:coll:guid:acq STAN" + CStr(i), True
Next
' Conclude the calibration
GPIB.WriteString "sens:corr:coll:guid:save", True
MsgBox "Cal is done!"

'*** End procedure
GPIB.IO.Close
End Sub

Example in VB script

The following example is written in VB script.

The SCPI commands in this example are sent over a COM interface using the SCPIStringParser object. You do NOT need a GPIB connection to run this example.

This VBScript (*.vbs) program can be run as a macro in the VNA. To do this, copy the following code into a text editor file such as Notepad and save it on the VNA hard drive as Guided.vbs. Learn how to setup and run the macro.

Dim app
Dim scpi

' Create / Get the VNA application.
Set app = CreateObject("AgilentPNA835x.Application")
Set scpi = app.ScpiStringParser

' Specify the DUT connectors
scpi.Execute "sens:corr:coll:guid:conn:port1 ""APC 3.5 female"" "
scpi.Execute "sens:corr:coll:guid:conn:port2 ""APC 3.5 male"" "

' Note: If your VNA has more than 2 ports, you would need to uncomment
' one or both of these next two lines, to explicitly specify this is
' just a 2-port cal.
'scpi.Execute "sens:corr:coll:guid:conn:port3 ""Not used"" "
'scpi.Execute "sens:corr:coll:guid:conn:port4 ""Not used"" "
MsgBox "Connectors defined for Ports 1 and 2"

' Select the Cal Kit for each port being calibrated.
scpi.Execute "sens:corr:coll:guid:ckit:port1 ""85052D"" "
scpi.Execute "sens:corr:coll:guid:ckit:port2 ""85052D"" "
MsgBox "Cal kits defined for Ports 1 and 2"

' Initiate the calibration and query the number of steps
scpi.Execute "sens:corr:coll:guid:init"
numSteps = scpi.Execute("sens:corr:coll:guid:steps?")
MsgBox "Number of steps is " + CStr(numSteps)

' Measure the standards
'The following series of commands shows that standards
'can be measured in any order. These steps acquire
'measurement of standards in reverse order.
'It is easiest to iterate through standards using
'a For-Next Loop.
For i = numSteps To 1
step = "Step " + CStr(i) + " of " + CStr(numSteps)
strPrompt = scpi.Execute("sens:corr:coll:guid:desc? " + CStr(i))
MsgBox strPrompt, vbOKOnly, step
scpi.Execute "sens:corr:coll:guid:acq STAN" + CStr(i)
Next

' Conclude the calibration
scpi.Execute "sens:corr:coll:guid:save"
MsgBox "Cal is done!"

Last Modified:

20-Jan-2007

Added note about any order for steps.


Perform Response Calibration

This program performs an response calibration

Sub SampleResponseCal()
'*** The variables of the resource mGPIBger and the instrument I/O are declared.
Dim ioMgr As VisaComLib.ResourceManager
Dim GPIB As VisaComLib.FormattedIO488
'*** The memory area of the resource mGPIBger and the instrument I/O are acquired.
Set ioMgr = New VisaComLib.ResourceManager
Set GPIB = New VisaComLib.FormattedIO488
'*** Open the instrument.
Set GPIB.IO = ioMgr.Open("GPIB0::16::INSTR")
GPIB.IO.timeout = 10000

GPIB.WriteString "SYSTem:PRESet", True
'Select the measurement
GPIB.WriteString "CALCulate1:MEASure1:PARameter 'S21'", True
'Set the number of trace
GPIB.WriteString "CALCulate1:PARameter:MNUMber 1", True

'Set the calibration method
GPIB.WriteString "SENSe:CORRection:COLLect:METHod RESPonse", True
'Select a cal kit
GPIB.WriteString "SENSe:CORRection:COLLect:CKIT:SELect 1", True

'Measure the thru standard
MsgBox "Connect THRU between Ports 1 and 2; then press OK"
GPIB.WriteString "SENSe:CORRection:COLLect:ACQuire stan4", True

'All standards have been measured. Save the result
GPIB.WriteString "SENS:CORR:COLL:SAVE", True

'*** End procedure
GPIB.IO.Close
End Sub.


Setup Sweep Parameters using SCPI

This Visual Basic program sets up sweep parameters on the Channel 1 measurement.

To run this program, you need:

  • An established GPIB interface connection

See Other SCPI Example Programs

GPIB.Write "SYSTem:PRESet"
'Select the measurement
GPIB.Write "CALCulate:MEASure1:PARameter 'S21'"
'Set sweep type to linear
GPIB.Write "SENSe1:SWEep:TYPE LIN"

'Set IF Bandwidth to 700 Hz
GPIB.Write "SENSe1:BANDwidth 700"

'Set Center and Span Freq's to 4 GHz
GPIB.Write "SENSe1:FREQuency:CENTer 4ghz"
GPIB.Write "SENSe1:FREQuency:SPAN 4ghz"

'Set number of points to 801
GPIB.Write "SENSe1:SWEep:POINts 801"

'Set sweep generation mode to Auto (Analog)
GPIB.Write "SENSe1:SWEep:GENeration ANAL"

'Set sweep time to Automatic
GPIB.Write "SENSe1:SWEep:TIME:AUTO ON"

'Query the sweep time
GPIB.Write "SENSe1:SWEep:TIME?
SweepTime = GPIB.Read


Triggering the VNA using SCPI

To understand how to trigger the VNA using SCPI, it is very important to understand the VNA trigger model. Here is a very simple explanation. These three separate functions control VNA triggering:

  1. Trigger:Source - Where the trigger signals originate:

    • Internal Continuous

    • Internal Manual (Single)

    • External - a trigger source that is connected to the VNA rear panel.

  2. Trigger:Scope - what gets triggered:

    • Global - each signal triggers all channels in turn.

    • Channel - each signal triggers ONE channel.

  3. Channel settings (Sense<ch>:Sweep:Mode) How many triggers will each channel accept before going into hold.

    • HOLD - channel will not trigger.

    • CONTinuous - channel triggers indefinitely.

    • GROups - channel accepts the number of triggers specified with the last SENS:SWE:GRO:COUN <num>.

    • SINGle - channel accepts ONE trigger, then goes to HOLD.

    • Point trigger SENS1:SWE:TRIG:POINt

When controlling the VNA using SCPI, a SINGLE trigger is used to ensure that a complete sweep is taken. This example demonstrates how to Single trigger the VNA using the following two methods:

  • Simplest Triggering

    • This method uses the default Trigger Source = Internal to send a stream of trigger signals.

    • The channel is configured to ACCEPT only a single trigger signal, then HOLD (Sense<ch>:Sweep:Mode SINGle). This is the ONLY required command.

    • This method can also be used when an External trigger source sends a continuous stream of trigger signals.

  • Advanced Triggering

    • This method SENDS a single trigger from the Source, which can be from either Internal (using INIT:IMM) or External triggering.

    • Each channel is configured to accept an unlimited number of triggers. This method is the only way to perform point triggering.

    • When you require some channels to accept continuous triggers and other channels to accept single triggers, see INIT:IMM Advanced to learn how.

The SCPI commands in this example are sent over a COM interface using the SCPIStringParser object. You do NOT need a GPIB connection to run this example.

This VBScript (*.vbs) program can be run as a macro in the VNA. To do this, copy the following code into a text editor file such as Notepad and save it on the VNA hard drive as Trigger.vbs. Learn how to setup and run the macro.

Measurement setup example: This section of code can be used at the start of both methods. It sets up:

  • S11 traces on two channels

  • 10 data points

  • Sweep time of 2 seconds - this is slow enough to allow us to watch as each trace is triggered.

Sub SampleTrigger()

'

' *** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set GPIB = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set GPIB.IO = ioMgr.Open("GPIB0::16::INSTR")

GPIB.IO.timeout = 10000

'Preset the analyzer

GPIB.WriteString "SYST:PReset", True

GPIB.WriteString ":DISPlay:SPLit 2", True

'Create one trace on each window

GPIB.WriteString ":CALCulate1:PARameter:COUNt 1", True

GPIB.WriteString ":CALCulate2:PARameter:COUNt 1", True

'Define the parameter for each trace

GPIB.WriteString ":CALCulate1:MEASure1:PARameter 'S11'", True

GPIB.WriteString ":CALCulate2:MEASure2:PARameter 'S22'", True

'set number of points to 10

GPIB.WriteString "SENS1:SWE:POIN 10", True

GPIB.WriteString "SENS2:SWE:POIN 10", True

'Set slow sweep so we can see

GPIB.WriteString "SENS1:SWE:TIME 2", True

GPIB.WriteString "SENS2:SWE:TIME 2", True

'================================

' Put both channels in Hold

GPIB.WriteString "SENS1:SWE:MODE HOLD", True

GPIB.WriteString "SENS2:SWE:MODE HOLD", True

'================================

'Pick Single Send or Single Accept

resp = MsgBox("Single Send? - Click No for Single Accept", vbYesNo, "VNA Trigger Demo")

If resp = vbYes Then

SingleSend

Else

SingleAccept

End If

'*** End procedure

GPIB.IO.Close

End Sub

Simple Triggering The following example sends a continuous stream of trigger signals and each VNA channel is set to ACCEPT only a signal trigger signal, then HOLD.

  • This example can be used to configure External triggering where the trigger source sends a continuous stream of trigger signals. Configure the type of trigger signal that the VNA responds to using the CONTrol:SIGNal command. The command in this example sets the VNA to respond to HIGH TTL signals at the rear-panel BNC1 trigger IN connector. This command also automatically sets Trigger Source to External Trigger.

  • The TRIG SCOPE (Global or Channel) setting is NOT necessary with a continuous stream of trigger signals. The example program directly controls when each channel is triggered.

  • Point triggering can NOT be used with a continuous stream of trigger signals because in point triggering the channel will accept as many triggers as necessary to complete ONE full sweep. Use the single SEND example for point triggering.

Sub SingleAccept()

'PNA sends continuous trigger signals

GPIB.WriteString "TRIG:SOUR IMMediate", True

'Uncomment the following to set External triggering

'gpib.writestring"CONT:SIGN BNC1,TILHIGH", true

AcceptOne

End Sub

Sub AcceptOne()

'The following command makes the channel immediately sweep

GPIB.WriteString "SENS1:SWE:MODE SINGle", True

'*OPC? allows the measurement to complete before the controller sends another command

GPIB.WriteString "*OPC?", True

Dmy = GPIB.ReadNumber

' You could do something to ch2 here before sweeping it

GPIB.WriteString "SENS2:SWE:MODE SINGle;*OPC?", True

Dmy = GPIB.ReadNumber

resp = MsgBox("Another trigger?", vbOKCancel, "VNA Trigger Demo")

If resp = vbOK Then

AcceptOne

End If

End Sub

Advanced Trigger This example section performs Single Send triggering. Here, single triggering is accomplished by SENDING one trigger signal from the Trigger source and each channel is setup to accept unlimited trigger signals. See the INIT:IMM command for more details.

  • Using this method, it is possible to change Trigger:Scope to Global or Channel. Set trigger scope to channel if there is some code to execute between channel measurements. Similarly, this method can be used to set Point triggering. Use this method if there is some code to execute between data point measurements.

  • In addition, this method can also be used to perform External triggering if the external trigger source is capable of SENDING single triggers. See the CONTrol:SIGNal command to set the type of signal to which the VNA will respond.

  • If the external source can only send a continuous stream of trigger signals, then the Single Accept section must be used.

Sub SingleSend()

'Set Source Internal - Manual Triggering

GPIB.WriteString "TRIG:SOUR MANual", True

'If using an External trigger source that is capable of

'sending SINGLE trigger signals, then uncomment the following.

'This command automatically sets trigger source to External

' gpib.writestring"CONT:SIGN BNC1,TILHIGH", true

'Setup Trigger Scope

'WHAT gets triggered

'Pick one using comments

'Set Channel triggering

' gpib.writestring"TRIG:SCOPe CURRent", true

'Set Global triggering (Default)

GPIB.WriteString "TRIG:SCOPe ALL", True

'Set Channel Settings

'The channels respond to UNLIMITED trigger signals (Default)

GPIB.WriteString "SENS1:SWE:MODE CONTinuous", True

GPIB.WriteString "SENS2:SWE:MODE CONTinuous", True

'To do Point trigger on one or more channels, uncomment the following.

'Point trigger automatically sets Trig:Scope to Current/Channel

' gpib.writestring"SENS1:SWE:TRIG:POINt ON", true

' gpib.writestring"SENS2:SWE:TRIG:POINt ON", true

IntTrig

End Sub

Sub IntTrig()

'If External triggering, replace this Sub with code

'to single trigger the External Trig Source

'*OPC? allows the measurement to complete before the controller sends another command

GPIB.WriteString "INITiate:IMMediate;*OPC?", True

Dmy = GPIB.ReadNumber

resp = MsgBox("Another trigger?", vbOKCancel, "VNA Trigger Demo")

If resp = vbOK Then

IntTrig

End If

End Sub

Last modified:

2016-01-05

First release


Upload and Download a Segment List

This program creates two segments, then uploads the segment data to the VNA.

The second part downloads the segment list from the VNA.

See all Segment SCPI commands.

Create and Upload a Segment List

Example in Excel VBA with VISA-COM

Sub SampleSegmentSetup()
'*** The variables of the resource manager and the instrument I/O are declared.
Dim ioMgr As VisaComLib.ResourceManager
Dim GPIB As VisaComLib.FormattedIO488
'
' *** The memory area of the resource manager and the instrument I/O are acquired.
Set ioMgr = New VisaComLib.ResourceManager
Set GPIB = New VisaComLib.FormattedIO488
'*** Open the instrument.
Set GPIB.IO = ioMgr.Open("GPIB0::16::INSTR")
GPIB.IO.timeout = 10000

Dim Buf As String * 100
Dim srcPortNames As Variant
Dim numberOfSrcPorts As Integer
Dim segData As Variant
Const numSegs = 2
Const Chan = 1
Const addIFBW_PWR = 0
' In case of a measurement receiver VNA like N5264A
' which has no source ports, "SOURce:CATalog?" will
' return an empty list (just a pair of quotation marks)
GPIB.WriteString "SOURce:CATalog?", True
Buf = GPIB.ReadString
srcPortNames = Split(Buf, ",")
If Left(srcPortNames(0), 2) = Chr(34) & Chr(34) Then
numberOfSrcPorts = 0
Else
numberOfSrcPorts = UBound(srcPortNames) + 1
End If
' Building up a string consisting of the sweep segment data
' we want to set up. This example will create two segments.
' Set state of first segment to be ON (1 = ON, 0 = OFF),
' 101 points, start freq of 10 MHz, stop freq of 1 GHz
segData = "1,101,10E6,1E9"
' If you want to include one or more of: IFbandwidth, Dwell Time
' or Port Power, set Const addIFBW_PWR = 1

If addIFBW_PWR = 1 Then
GPIB.WriteString "SENSe" & Chan & ":SEGMent:BWIDth:CONTrol ON"
GPIB.WriteString "SENSe" & Chan & ":SEGMent:SWEep:TIME:CONTrol ON"
GPIB.WriteString "SENSe" & Chan & ":SEGMent:POWer:CONTrol ON"
' Turning off coupling allows power to vary per each port
GPIB.WriteString "SOURce" & Chan & ":POWer:COUPle OFF"
segData = AddOptionalSettings(segData, numberOfSrcPorts)
End If

' Set state of second segment to be ON, 201 points,
' start freq of 1 GHz, stop freq of 3 GHz

segData = segData & ",1,201,1E9,3E9"

' Uncomment this line below only if you uncommented the
' AddOptionalSettings line above for the first segment.
'segData = AddOptionalSettings(segData, numberOfSrcPorts)
' Upload our segment list to the channel
GPIB.WriteString "SENSe1:SEGMent:LIST SSTOP," & numSegs & "," & segData
' Set segment sweep type on Channel 1
GPIB.WriteString "SENSe1:SWEep:TYPE SEGment"
' Having the PNA display the segment sweep table for the channel
GPIB.WriteString "DISPlay:WINDow1:TABLe SEGMent"

'*** End procedure
GPIB.IO.Close
End Sub
Function AddOptionalSettings(ByVal pStr As String, ByVal numSrcPorts As Integer) As String
Dim i

' Specifying 1 kHz IF bandwidth and Dwell Time of 0
pStr = pStr & ", 1E3, 0"
' -10 dBm power for each of the source ports
For i = 0 To numSrcPorts - 1
pStr = pStr & ",-10"
Next
AddOptionalSettings = pStr
End Function

Example in VBScript

The SCPI commands in this example are sent over a COM interface using the SCPIStringParser object. You do NOT need a GPIB connection to run this example.

This VBScript (*.vbs) program can be run as a macro in the VNA. To do this, copy the following code into a text editor file such as Notepad and save it on the VNA hard drive as Unguided.vbs. Learn how to setup and run the macro.

Option Explicit

Dim app

Set app = CreateObject("AgilentPNA835x.Application")

' Preset the VNA

app.Preset

Dim scpi

Set scpi = app.ScpiStringParser

' In case of a measurement receiver VNA like N5264A

' which has no source ports, "SOURce:CATalog?" will

' return an empty list (just a pair of quotation marks)

Dim srcPortNames

srcPortNames = Split( scpi.Execute("SOURce:CATalog?"), ",")

Dim numberOfSrcPorts

If Left( srcPortNames(0), 2 ) = Chr(34) & Chr(34) Then

numberOfSrcPorts = 0

Else

numberOfSrcPorts = UBound(srcPortNames) + 1

End If

' Building up a string consisting of the sweep segment data

' we want to set up. This example will create two segments.

Dim segData

' Set state of first segment to be ON (1 = ON, 0 = OFF),

' 101 points, start freq of 10 MHz, stop freq of 1 GHz

segData = "1,101,10E6,1E9"

' If you want to include one or more of: IFbandwidth, Dwell Time

' or Port Power, remove the comments from these next two lines

'TurnOnOptions 1 'Call the subroutine

'segData = AddOptionalSettings(segData, numberOfSrcPorts)

' Set state of second segment to be ON, 201 points,

' start freq of 1 GHz, stop freq of 3 GHz

segData = segData & ",1,201,1E9,3E9"

' Uncomment this line below only if you uncommented the

' AddOptionalSettings line above for the first segment.

'segData = AddOptionalSettings(segData, numberOfSrcPorts)

Const numSegs = 2

' Upload our segment list to the channel

scpi.Execute "SENSe1:SEGMent:LIST SSTOP," & numSegs & "," & segData

' Set segment sweep type on Channel 1

scpi.Execute "SENSe1:SWEep:TYPE SEGment"

' Having the VNA display the segment sweep table for the channel

scpi.Execute "DISPlay:WINDow1:TABLe SEGMent"

Sub TurnOnOptions(ByVal chan)

scpi.Execute "SENSe"&chan&":SEGMent:BWIDth:CONTrol ON"

scpi.Execute "SENSe"&chan&":SEGMent:SWEep:TIME:CONTrol ON"

scpi.Execute "SENSe"&chan&":SEGMent:POWer:CONTrol ON"

' Turning off coupling allows power to vary per each port

scpi.Execute "SOURce"&chan&":POWer:COUPle OFF"

End Sub

Function AddOptionalSettings(ByVal inStr, ByVal numSrcPorts)

' Specifying 1 kHz IF bandwidth and Dwell Time of 0

inStr = inStr & ",1E3,0"

' -10 dBm power for each of the source ports

Dim i

For i = 0 To numSrcPorts - 1

inStr = inStr & ",-10"

Next

AddOptionalSettings = inStr

End Function

Download a Segment List

This example assumes that the active trace is in Window 1

Option Explicit

Dim app

Set app = CreateObject("AgilentPNA835x.Application")

Dim scpi

Set scpi = app.ScpiStringParser

' Set the display-active channel's sweep type to segment sweep

' (if the VNA's currently active measurement window doesn't

' contain any traces, this querying for active channel will

' result in a SCPI error which scpi.Parse will trap and throw)

Dim chan

chan = CLng( scpi.Parse("SYSTem:ACTive:CHANnel?") )

scpi.Execute "SENSe"&chan&":SWEep:TYPE SEGment"

' Having the VNA display the segment sweep table for the channel

scpi.Execute "DISPlay:WINDow1:TABLe SEGMent"

' Get the total number of segments

Dim numSegs

numSegs = CLng( scpi.Execute("SENSe"&chan&":SEGMent:COUNt?") )

' Read the segment listing

Dim segDataStr

segDataStr = scpi.Execute("SENSe"&chan&":SEGMent:LIST?")

Dim segData

segData = Split(segDataStr, ",")

' Get upper bound of the array of data values

' (lower bound of array resulting from VB 'Split' function is 0)

Dim segArrayUB

segArrayUB = UBound(segData)

Dim numDataElementsPerSeg

numDataElementsPerSeg = (segArrayUB + 1) / numSegs

WScript.Echo "Number of segments = " & numSegs

WScript.Echo "Number of data values per segment = " & numDataElementsPerSeg

Dim segInfStr

segInfStr = "Segment 1: state = " & CBool(segData(0))

segInfStr = segInfStr & ", num points = " & CLng(segData(1))

segInfStr = segInfStr & ", start freq = " & CDbl(segData(2))

segInfStr = segInfStr & ", stop freq = " & CDbl(segData(3))

segInfStr = segInfStr & ", IFBW = " & CDbl(segData(4))

segInfStr = segInfStr & ", dwell time = " & CDbl(segData(5))

' In case of a measurement receiver VNA like N5264A

' which has no source ports, "SOURce:CATalog?" will

' return an empty list

Dim srcPortNames

srcPortNames = Split( scpi.Execute("SOURce"&chan&":CATalog?"), ",")

Dim srcPortNamesUB

srcPortNamesUB = UBound(srcPortNames)

' First source port name will be preceded by a quotation mark

' and the last name will be followed by one of those, so stripping

' those off now.

srcPortNames(0) = Right( srcPortNames(0), Len(srcPortNames(0)) - 1 )

srcPortNames(srcPortNamesUB) = Left( srcPortNames(srcPortNamesUB), InStrRev(srcPortNames(srcPortNamesUB), Chr(34)) - 1 )

Dim firstPortIndex

firstPortIndex = 6

Dim lastPortIndex

lastPortIndex = numDataElementsPerSeg - 1

Dim j

For j = firstPortIndex To lastPortIndex

segInfStr = segInfStr & ", " & srcPortNames(j - firstPortIndex) & " power = " & CDbl(segData(j))

Next

WScript.Echo segInfStr

Last Modified:

29-Apr-2009

MX New topic


GP-IB Fundamentals

The General Purpose Interface Bus (GPIB) is a system of hardware and software that allows you to control test equipment to make measurements quickly and accurately. This topic contains the following information:

  • The GPIB Hardware Components

  • The GPIB / SCPI Programming Elements

  • Specifications

  • GPIB Interface Capability Codes

Note: All of the topics related to programming assume that you already know how to program, preferably using a language that can control instruments.

Other Topics about GPIB Concepts

The GPIB Hardware Components

The system bus and its associated interface operations are defined by the IEEE 488 standard. The following sections list and describe the main pieces of hardware in a GPIB system:

Controllers

Controllers specify the instruments that will be the talker and listener in a data exchange. The controller of the bus must have a GPIB interface card to communicate on the GPIB.

  • The Active Controller is the computer or instrument that is currently controlling data exchanges.

  • The System Controller is the only computer or instrument that can take control and give up control of the GPIB to another computer or instrument, which is then called the active controller.

Talker / Listener Instruments and GPIB Addresses

  • Talkers are instruments that can be addressed to send data to the controller.

  • Listeners are instruments that can be addressed to receive a command, and then respond to the command. All devices on the bus are required to listen.

Every GPIB instrument must have its own unique address on the bus. The VNA address (default = 716) consists of two parts:

  1. The Interface select code (typically 7) indicates which GPIB port in the system controller is used to communicate with the device.

  2. The primary address (16) is set at the factory. You can change the primary address of any device on the bus to any number between 0 and 30. To change the analyzer address click System / Configure / SICL-GPIB.

A secondary address is sometimes used to allow access to individual modules in a modular instrument system, such as a VXI mainframe. The VNA does NOT have a secondary address.

Cables

GPIB Cables are the physical link connecting all of the devices on the bus. There are eight data lines in a GPIB cable that send data from one device to another. There are also eight control lines that manage traffic on the data lines and control other interface operations.

You can connect instruments to the controller in any arrangement with the following limitations:

  • Do not connect more than 15 devices on any GPIB system. This number can be extended with the use of a bus extension.

  • Do not exceed a total of 20 meters of total cable length or 2 meters per device, whichever is less.

  • Avoid stacking more than three connectors on the back panel of an instrument. This can cause unnecessary strain on the rear-panel connector.

The GPIB / SCPI Programming Elements

The following software programming elements combine to become a GPIB program:

  • GPIB / SCPI Commands

  • Programming Statements

  • Instrument Drivers

GPIB Commands

The GPIB command is the basic unit of communication in a GPIB system. The analyzer responds to three types of GPIB commands:

1. IEEE 488.1 Bus-management Commands

These commands are used primarily to tell some or all of the devices on the bus to perform certain interface operations.

All of the functions that can be accomplished with these commands can also be done with IEEE 488.2 or SCPI commands. Therefore, these commands are not documented in this Help system. For a complete list of IEEE 488.1 commands refer to the IEEE 488 standard. Examples of IEEE 488.1 Commands

  • CLEAR - Clears the bus of any pending operations

  • LOCAL - Returns instruments to local operation

2. IEEE 488.2 Common Commands

These commands are sent to instruments to perform interface operations. An IEEE 488.2 common command consists of a single mnemonic and is preceded by an asterisk ( * ). Some of the commands have a query form which adds a "?" after the command. These commands ask the instrument for the current setting. See a complete list of the Common Commands that are recognized by the analyzer. Examples of IEEE 488.2 Common Commands

  • *OPC - Operation Complete

  • *RST - Reset

  • *OPT? - Queries the option configuration

3. SCPI Commands

The Standard Commands for Programmable Instruments (SCPI) is a set of commands developed in 1990. The standardization provided in SCPI commands helps ensure that programs written for a particular SCPI instrument are easily adapted to work with a similar SCPI instrument. SCPI commands tell instruments to do device specific functions. For example, SCPI commands could tell an instrument to make a measurement and output data to a controller. Examples of SCPI Commands:

CALCULATE:AVERAGE:STATE ON

SENSE:FREQUENCY:START?

For more information on SCPI:

  • The Rules and Syntax of SCPI Commands provides more detail of the SCPI command structure.

  • SCPI Command Tree is a complete list of the SCPI commands for the analyzer

Programming Statements

SCPI commands are included with the language specific I/O statements to form program statements. The programming language determines the syntax of the programming statements. SCPI programs can be written in a variety of programming languages such as VEE, HP BASIC, or C++. Example of a Visual Basic statement:

  • GPIB.Write "SOURCE:FREQUENCY:FIXED 1000 MHz"

Note about examples

Instrument Drivers

Instrument drivers are subroutines that provide routine functionality and can be reused from program to program. GPIB industry leaders have written standards for use by programmers who develop drivers. When programmers write drivers that comply with the standards, the drivers can be used with predictable results. To comply with the standard, each instrument driver must include documentation describing its functionality and how it should be implemented.

GPIB Specifications

Interconnected devices - Up to 15 devices (maximum) on one contiguous bus.

Interconnection path - Star or linear (or mixed) bus network, up to 20 meters total transmission path length or 2 meters per device, whichever is less.

Message transfer scheme - Byte-serial, bit-parallel, asynchronous data transfer using an interlocking 3-wire handshake.

Maximum data rate - 1 megabyte per second over limited distances, 250 to 500 kilobytes per second typical maximum over a full transmission path. The devices on the bus determine the actual data rate.

Address capability - Primary addresses, 31 Talk and 31 Listen; secondary addresses, 961 Talk and 961 Listen. There can be a maximum of 1 Talker and up to 14 Listeners at a time on a single bus. See also previous section on GPIB addresses.

GPIB Interface Capability Codes

The IEEE 488.1 standard requires that all GPIB compatible instruments display their interface capabilities on the rear panel using codes. The codes on the analyzer, and their related descriptions, are listed below:

SH1 | full source handshake capability
AH1 | full acceptor handshake capability
T6 | basic talker, serial poll, no talk only, unaddress if MLA (My Listen Address)
TEO | no extended talker capability
L4 | basic listener, no listen only, unaddress if MTA (My Talk Address)
LEO | no extended listener capability
SR1 | full service request capability
RL1 | full remote / local capability
PPO | no parallel poll capability
DC1 | full device clear capability
DT1 | full device trigger capability
C1 | system controller capability
C2 | send IFC (Interface Clear) and take charge controller capability
C3 | send REN (Remote Enable) controller capability
C4 | respond to SRQ (Service Request)

Last Modified:

10-Oct-2014

First Release


The Rules and Syntax of SCPI Commands

The Rules and Syntax of SCPI

Most of the commands used for controlling instruments on the GPIB are SCPI commands. The following sections will help you learn to use SCPI commands in your programs.

  • Branches on the Command Tree

  • Command and Query

  • Multiple Commands

  • Command Abbreviation

  • Bracketed (Optional) Keywords

  • Vertical Bars (Pipes)

  • MIN and MAX Parameters

Other Topics about GPIB Concepts

Branches on the Command Tree

All major functions on the analyzer are assigned keywords which are called ROOT commands. (See GPIB Command Finder for a list of SCPI root commands). Under these root commands are branches that contain one or more keywords. The branching continues until each analyzer function is assigned to a branch. A root command and the branches below it is sometimes known as a subsystem.

For example, under SOURce:POWer are several branch commands.

Sometimes the same keyword, such as STATE, is used in several branches of the command tree. To keep track of the current branch, the analyzer's command parser uses the following rules:

  • Power On and Reset - After power is cycled or after *RST, the current path is set to the root level commands.

  • Message Terminators - A message terminator, such as a <NL> character, sets the current path to the root command level. Many programming language output statements send message terminators automatically. Message terminators are described in Sending Messages to the Analyzer.

  • Colon (:) - When a colon is between two command keywords, it moves the current path down one level in the command tree. For example, the colon in :SOURCE:POWER specifies that POWER is one level below SOURCE. When the colon is the first character of a command, it specifies that the following keyword is a root level command. For example, the colon in :SOURCE specifies that source is a root level command.

Note: You can omit the leading colon if the command is the first of a new program line. For example, the following two commands are equivalent:
SOUR:POW:ATT:AUTO
:SOUR:POW:ATT:AUTO

  • <WSP> - Whitespace characters, such as <tab> and <space>, are generally ignored. There are two important exceptions:

    • Whitespace inside a keyword, such as :CALC ULATE, is not allowed.

    • Most commands end with a parameter. You must use whitespace to separate these ending parameters from commands. Always refer to the command documentation. In the following example, there is whitespace between STATE and ON.

CALCULATE1:SMOOTHING:STATE ON

  • Comma (,) - If a command requires more than one parameter, you must separate adjacent parameters using a comma. For example, the SYSTEM:TIME command requires three values to set the analyzer clock: one for hours, one for minutes, and one for seconds. A message to set the clock to 8:45 AM would be SYSTEM:TIME 8,45,0. Commas do not affect the current path.

  • Semicolon(;) - A semicolon separates two commands in the same message without changing the current path. See Multiple Commands later in this topic.

  • IEEE 488.2 Common Commands - Common commands, such as *RST, are not part of any subsystem. An instrument interprets them in the same way, regardless of the current path setting.

Command and Query

A SCPI command can be an Event command, Query command (a command that asks the analyzer for information), or both. The following are descriptions and examples of each form of command. GPIB Command Finder lists every SCPI command that is recognized by the analyzer, and its form.

Form | Examples
Event commands - cause an action to occur inside the analyzer. | :INITIATE:IMMEDIATE
Query commands - query only; there is no associated analyzer state to set. | :SYSTem:ERRor?
Command and query - set or query an analyzer setting. The query form appends a question mark (?) to the set form | :FORMat:DATA ! Command :FORMat:DATA? ! Query

Multiple Commands

You can send multiple commands within a single program message. By separating the commands with semicolons the current path does not change. The following examples show three methods to send two commands:

  1. Two program messages:

SOURCE:POWER:START 0DBM
SOURCE:POWER:STOP 10DBM

  2. One long message. A colon follows the semicolon that separates the two commands causing the command parser to reset to the root of the command tree. As a result, the next command is only valid if it includes the entire keyword path from the root of the tree:

SOURCE:POWER:START 0DBM;:SOURCE:POWER:STOP 10DBM

  3. One short message. The command parser keeps track of the position in the command tree. Therefore, you can simplify your program messages by including only the keyword at the same level in the command tree.

SOURCE:POWER:START 0DBM;STOP 10DBM

Common Commands and SCPI Commands

You can send Common commands and SCPI commands together in the same message. (For more information on these types of commands see GP-IB Fundamentals.) As in sending multiple SCPI commands, you must separate them with a semicolon.

Example of Common command and SCPI commands together

*RST;SENSE:FREQUENCY:CENTER 5MHZ;SPAN 100KHZ

Command Abbreviation

Each command has a long form and an abbreviated short form. The syntax used in this Help system use uppercase characters to identify the short form of a particular keyword. The remainder of the keyword is lower case to complete the long form.

SOUR - Short form
SOURce - Long form

Either the complete short form or complete long form must be used for each keyword. However, the keywords used to make a complete SCPI command can be a combination of short form and long form.

The following is unacceptable - The first three keywords use neither short or long form.

SOURc:Powe:Atten:Auto on

The following is acceptable - All keywords are either short form or long form.

SOUR:POWer:ATT:AUTO on

In addition, the analyzer accepts lowercase and uppercase characters as equivalent as shown in the following equivalent commands:

source:POW:att:auto ON
Source:Pow:Att:Auto on

Optional [Bracketed] Keywords

You can omit some keywords without changing the effect of the command. These optional, or default, keywords are used in many subsystems and are identified by brackets in syntax diagrams.

Example of Optional Keywords

The HCOPy subsystem contains the optional keyword IMMediate at its first branching point. Both of the following commands are equivalent:

"HCOPY:IMMEDIATE"

"HCOPY"

The syntax in this Help system looks like this:

HCOPy[:IMMediate]

Vertical Bars | Pipes

Vertical bars, or "pipes", can be read as "or". They are used in syntax diagrams to separate alternative parameter options.

Example of Vertical Bars:

SOURce:POWer:ATTenuation:AUTO <on|off>

Either ON or OFF is a valid parameter option.

MIN and MAX Parameters

The special form parameters "MINimum" and "MAXimum" can be used with commands that specify single frequency (Hz) and time (seconds) as noted in the command documentation. Note: Also with these commands, kHZ, MHz, and GHz are accepted as suffixes/units.

The short form (min) and long form (minimum) of these two keywords are equivalent.

  • MAXimum refers to the largest value that the function can currently be set to

  • MINimum refers to the smallest value that the function can currently be set to.

For example, the following command sets the start frequency to the smallest value that is currently possible:

SENS:FREQ:START MIN

In addition, the max and min values can also be queried for these commands.

For example, the following command returns the smallest value that Start Frequency can currently be set to:

SENS:FREQ:START? MIN

An error will be returned if a numeric parameter is sent that exceeds the MAX and MIN values.

For example, the following command will return an "Out of range" error message.

SENS:FREQ:START 1khz

Last Modified:

10-Oct-2014

First Release


How to Configure for Remote Control

Configure for Remote Control

The following settings are used to configure the VNA for remote control using SCPI commands.

How to Configure for SICL / GPIB Operation

Using Hardkey/SoftTab/Softkey

  1. Press System > System Setup > Remote Interface...

SICL / GPIB /SCPI dialog box help

GPIB

Address Sets the VNA address used to send and receive GPIB/SCPI commands to the system controller (external computer).

Use the National Instruments interface or the Keysight (Agilent) Connection Expert interface to change the System Controller address. Use the VNA as the system controller of external devices. Learn about the VNA as controller.

SICL

SICL Enabled When checked, the analyzer is capable of running GPIB programs on its computer to control analyzer functions. The programs must be run from a GPIB-capable programming environment (VEE, Visual Basic). This mode does not allow control of external GPIB instruments. To uncheck this box, exit the VNA application - (Click File, then Exit). The VNA restarts with the SICL enabled box unchecked unless Automatically Enable on Startup is checked.

Learn more about Configuring for VISA and SICL.

Address Sets the VNA address.

Automatically Enable on Startup When checked, SICL Enabled is automatically selected when starting the VNA application.

LAN Sockets/Telnet

Provides ability to communicate with the VNA from a PC that uses a Windows, or non-Windows, operating system.

  • These settings are checked by default. If you have security concerns, clear these check boxes.

  • These settings remain after the VNA is shutdown and restarted.

Sockets Enabled When checked, provides the ability to control the VNA from a remote SCPI program using port number 5025. See the C# example that illustrates how this is done.

Telnet Enabled When checked, provides the ability to send single SCPI commands from a remote Windows, or non-Windows, PC to the VNA using port number 5024.

How to send single SCPI commands using Telnet:

  1. On the remote PC, click Start, then Run

  2. Type: telnet <computer name> 5024
    where <computer name> is the full computer name of the VNA. See how to find the computer name of the VNA.

  3. A Telnet window with a SCPI> prompt should appear on the remote PC screen.

  4. From the SCPI prompt:

    • Type single SCPI commands

    • If an invalid SCPI command is sent, the prompt will disappear. Press Enter or Ctrl C to recover the SCPI prompt.

    • To exit the telnet window click X in the upper-right corner.

    • To get a normal telnet prompt, press Ctrl ] (closing bracket).

    • To close the normal telnet window, type Quit and press Enter.

HiSLIP

HiSLIP has the same functionality as VXI 11 (SICL) with better performance. Therefore, it is enabled by default on the VNA.

Address 0 by default. No change is necessary for the VNA.

On the remote computer, use address string TCPIP0::<hostname>::hislip<address>. ("hislip" is case-sensitive).

SCPI Monitor / Input

Show SCPI Parse Console Launches a window that is used to send single SCPI/GPIB commands.

Note: The Status Register system can NOT be used from the GPIB Console.

  • Type a valid command, with appropriate arguments and press enter.

  • Use the arrow keys to recall previous commands.

  • The console window may launch behind the VNA application. Press Control+Tab to bring the console window to the top.

IO Monitor enables monitoring activity on the remote control.

The menu from Configure button can enable/disable this function.

Enabling the IO monitor provides the detailed error message with debug information.

Example of Error message:

  • On: -109, "Missing parameter; calc:par:def aaa<Err>

  • Off: -109, "Missing parameter"

Disabling the IO monitor makes the measurement speed faster.

Local and Remote Operation

The analyzer LCL and RMT (Local and Remote) operation labels appear in the lower right corner of the status bar.

Note: The status bar is NOT visible when the analyzer is preset. See how to make the status bar visible.

  • LCL appears when NOT under SCPI control

  • RMT appears when under SCPI control. Remote operation disables the front panel keys except for the Macro/Local key.

To return to Local (front panel) operation, press the Macro / Local key

Sending the GPIB "GTL" (go to local) command also returns the analyzer to Local operation.

Sending the GPIB "LLO" (local lockout) command disables the front panel Local button.

Last Modified:

10-Oct-2014 | First Release
5-Mar-2015 | Add PXI


Getting Data from the Analyzer using SCPI

Getting Data from the Analyzer

Data is sent from the analyzer in response to program queries. Data can be short response messages, such as analyzer settings, or large blocks of measurement data. This topic discusses how to read query responses and measurement data from the analyzer in the most efficient manner.

  • Response Message Syntax

  • Clearing the Output Queue

  • Response Data Types

  • Transferring Measurement Data

Note: Some PCs use a modification of the IEEE floating point formats with the byte order reversed. To reverse the byte order for data transfer into a PC, use the FORMat:BORDer command.

Other Topics about GPIB Concepts

Response Message Syntax

Responses sent from the analyzer contain data, appropriate punctuation, and message terminators.

<NL><^END> is always sent as a response message terminator. Most programming languages handle these terminators transparent to the programmer.

Response messages use commas and semicolons as separators in the following situations:

  • a comma separates response data items when a single query command returns multiple values

FORM:DATA? 'Query
ASC, +0 'Analyzer Response

  • a semicolon separates response data when multiple queries are sent within the same messages

SENS:FREQ:STAR?;STOP? --Example Query

+1.23000000000E+008; +7.89000000000E+008<NL><^END> 'Analyzer Response

Clearing the Output Queue

After receiving a query, the analyzer places the response message in its output queue. Your program should read the response immediately after the query is sent. This ensures that the response is not cleared before it is read. The response is cleared when one of the following conditions occur:

  • When the query is not properly terminated with an ASCII carriage return character or the GPIB <^END> message.

  • When a second program query is sent.

  • When a program message is sent that exceeds the length of the input queue

  • When a response message generates more response data than fits in the output queue.

  • When the analyzer is switched ON.

Response Data Types

The analyzer sends different response data types depending on the parameter being queried. You need to know the type of data that will be returned so that you can declare the appropriate type of variable to accept the data. For more information on declaring variables see your programming language manual. The GPIB Command Finder lists every GPIB command and the return format of data in response to a query. The analyzer returns the following types of data:

  • Numeric Data

  • Character Data

  • String Data

  • Block Data

Numeric Data

All numeric data sent over the GPIB is ASCII character data. Your programming environment may convert the character data to numeric data for you. Boolean data (1 | 0 ) is a type of numeric data.

Character Data

Character data consists of ASCII characters grouped together in mnemonics that represent specific analyzer settings. The analyzer always returns the short form of the mnemonic in upper-case alpha characters. Character data looks like string data. Therefore, refer to the GPIB Command Finder to determine the return format for every command that can be queried.

Example of Character Data

MLOG

String Data

String data consists of ASCII characters. String parameters can contain virtually any set of ASCII characters. When sending string data to the analyzer, the string must begin with a single quote ( ' ) or a double quote ( " ) and end with the same character (called the delimiter).

Note: The analyzer responds best to all special characters if the string is enclosed in single quotes. If quotes are not used, the analyzer will convert the text to uppercase. The analyzer may not respond as you expect.

The analyzer always encloses data in double quotes when it returns string data.

Example of String Data

GPIB.Write "DISP:WINDow:TITLe:DATA?"

“This is string response data.”

Block Data

Block data is used to transfer measurement data. Although the analyzer will accept either definite length blocks or indefinite length blocks, it always returns definite length block data in response to queries unless the specified format is ASCII. The following graphic shows the syntax for definite block data:

<num_digits> specifies how many digits are contained in <byte_count>

<byte_count> specifies how many data bytes will follow in <data bytes>

Example of Definite Block Data

#210ABCDE+WXYZ<nl><end>

Where:

# - always sent before definite block data

2 - specifies that the byte count is two digits (2)

10 - specifies the number of data bytes that will follow, not counting <NL><END>

ABCDE+WXYZ - 10 digits of data

<NL><END> - always sent at the end of block data

Transferring Measurement Data

Measurement data is blocks of numbers that result from an analyzer measurement. Measurement data is available from various processing arrays within the analyzer. For more information on the analyzer's data processing flow, see Accessing Data Map. Regardless of which measurement array is read, transferring measurement data is done the same.

See an example.

When transferring measurement data, the FORMat:DATA command allows you to choose from the following two data types:

  • REAL

  • ASCII

The following graphic shows the differences in transfer times between the two:

REAL Data

REAL data (also called floating-point data) types transfer faster. This is because REAL data is binary and takes about half the space of ASCII data. The disadvantage of using REAL data is that it requires a header that must be read. See definite length block data. The binary floating-point formats are defined in the IEEE 754-1985 standard. The following choices are available in REAL format:

  • REAL,32 - IEEE 32-bit format - single precision (not supported by HP BASIC)

  • REAL,64 - IEEE 64-bit format - double precision

ASCII Data

The easiest and slowest way to transfer measurement data is to use ASCII data. ASCII data is sent if the data contains both numbers and characters (the setting of FORMat:DATA is ignored). ASCII data is separated by commas.

Last Modified:

10-Oct-2014

First Release


Synchronizing the VNA and Controller

Synchronizing the VNA and Controller means to keep VNA and the controller working at approximately the same pace. In this topic:

  • The Problem and the Solution

  • VNA Queues

  • Synchronization Methods

  • When To Synchronize the Analyzer and Controller

    • Completion of a Measurement

    • Measurements with External Trigger

    • Averaged Measurements

    • During Calibration Acquire

See Also

  • Synchronize an External PSG Source

  • Triggering the VNA using SCPI

The Problem

The controller sends commands to the VNA as fast as the GPIB bus will allow. The VNA stores these commands in the VNA Input queue. However, the VNA executes those commands at a slower rate than they are accepted. If left unchecked, the VNA input buffer will contain a long list of commands waiting to be executed.

At some point, the controller will send a query command which requires a response from the VNA. The controller will not send more commands until a response is received. It will wait for a response from the VNA for the amount of time set by the Timeout setting. If the VNA is working off a long list of commands in the input buffer, if may not execute and respond to the query command until the controller has quit waiting, or "timed out".

The Solution

The easiest way to keep the controller and the VNA "synched" is to send query commands often. This stops the controller from sending more commands until the VNA executes and responds to the query. This limits the number of commands that are waiting in the VNA input queue to be processed.

Although any query will stop the controller from sending more commands, a good practice is to send *OPC? Most of the time, as soon as this query is executed, the VNA will immediately reply. The exception to this is the Overlapped command.

  • Sequential commands are executed quickly and in the order in which they are received.

  • Overlapped (also known as Asynchronous) commands take longer to execute. Therefore, they allow the VNA to execute other commands while waiting. However, the programmer may want to prevent the analyzer from processing new commands until the overlapped command has completed. If the VNA is executing an overlapped command when a *OPC? is received, it will wait until the overlapped command is complete before processing new commands.

Note: The analyzer has two overlapped commands:

  • INITitate:IMMediate

  • SENSe:SWEep:MODE GROUPS (when INIT:CONT is ON)

Several calibration commands have an optional ASYNcronous argument which allows them to behave like overlapped commands. Learn more.

Analyzer Queues

Queues are memory buffers that store messages until they can be processed. The analyzer has the following queues:

  • Input Queue

  • Output Queue

  • Error Queue

Input Queue

The controller sends statements to the analyzer without regard to the amount of time required to execute the statements. The input queue is very large (31k bytes). It temporarily stores commands and queries from the controller until they are read by the analyzer's command parser. The input queue is cleared when the analyzer is switched ON.

Output Queue

When the analyzer parses a query, the response is placed in the output queue until the controller reads it. Your program should immediately read the response or it may be cleared from the output queue. The following conditions will clear a query response:

  • When a second query is sent before reading the response to the first. This does not apply when multiple queries are sent in the same statement.

  • When a program statement is sent that exceeds the length of the input queue.

  • When a response statement generates more data than fits in the output queue.

  • When the analyzer is switched ON.

Error Queue

Each time the analyzer detects an error, it places a message in the error queue. When the SYSTEM:ERROR? query is sent, one message is moved from the error queue to the output queue so it can be read by the controller. Error messages are delivered to the output queue in the order they were received. The error queue is cleared when any of the following conditions occur:

  • When the analyzer is switched ON.

  • When the *CLS command is sent to the analyzer.

  • When all of the errors are read.

If the error queue overflows, the last error is replaced with a "Queue Overflow" error. The oldest errors remain in the queue and the most recent error is discarded.

Synchronization Methods

The following common commands are used to synchronize the analyzer and controller. Examples are included that illustrate the use of each command in a program. See the SCPI command details to determine if a command is an overlapped command.

  • *WAI

  • *OPC?

  • *OPC

*WAI

The *WAI command:

  • Stops the analyzer from processing subsequent commands until all overlapped commands are completed.

  • It does NOT stop the controller from sending commands to this and other devices on the bus. This is the easiest method of synchronization.

Example of the *WAI command

GPIB.Write "ABORT;:INITIATE:IMMEDIATE" 'Restart the measurement.
GPIB.Write "CALCULATE:MARKER:SEARCH:MAXIMUM" 'Search for max amplitude.
GPIB.Write "CALCULATE:MARKER:X?" 'Which frequency?

The following time line shows how the processing times of the three commands relate to each other:

INITIATE:IMMEDIATE is an overlapped command. It allows the immediate processing of the sequential command, CALCULATE:MARKER:SEARCH:MAXIMUM. However, the INITIATE:IMMEDIATE is not considered complete until the measurement is complete. Therefore, the marker searches for maximum amplitude before the measurement completes. The CALCULATE:MARKER:X? query could return an inaccurate value.

To solve the problem, insert a *WAI command.

GPIB.Write "ABORT;:INITIATE:IMMEDIATE" 'Restart the measurement.
GPIB.Write "*WAI" 'Wait until complete.
GPIB.Write "CALCULATE:MARKER:MAXIMUM" 'Search for max amplitude.
GPIB.Write "CALCULATE:MARKER:X?" 'Which frequency

The time line now looks like this:

The *WAI command keeps the MARKER:SEARCH:MAXIMUM from taking place until the measurement is completed. The CALCULATE:MARKER:X? query returns the correct value.

Note: Although *WAI stops the analyzer from processing subsequent commands, it does not stop the controller. The controller could send commands to other devices on the bus.

*OPC?

The *OPC? query stops the controller until all pending commands are completed.

In the following example, the Read statement following the *OPC? query will not complete until the analyzer responds, which will not happen until all pending commands have finished. Therefore, the analyzer and other devices receive no subsequent commands. A "1" is placed in the analyzer output queue when the analyzer completes processing an overlapped command. The "1" in the output queue satisfies the Read command and the program continues.

Example of the *OPC? query

This program determines which frequency contains the maximum amplitude.

GPIB.Write "ABORT; :INITIATE:IMMEDIATE"! Restart the measurement
GPIB.Write "*OPC?" 'Wait until complete
Meas_done = GPIB.Read 'Read output queue, throw away result
GPIB.Write "CALCULATE:MARKER:MAX" 'Search for max amplitude
GPIB.Write "CALCULATE:MARKER:X?" 'Which frequency?
Marker_x = GPIB.Read
PRINT "MARKER at " & Marker_x & " Hz"

*OPC

The *OPC command allows the analyzer and the controller to process commands while processing the overlapped command.

When the analyzer completes processing an overlapped command, the *OPC command sets bit 0 of the standard event register to 1 . This requires polling of status bytes or use of the service request (SRQ) capabilities of your controller. See Reading the Analyzer's Status Registers for more information about the standard event status register, generating SRQs, and handling interrupts.

Note: Be careful when sending commands to the analyzer between the time you send *OPC and the time you receive the interrupt. Some commands could jeopardize the integrity of your measurement. It also could affect how the instrument responds to the previously sent *OPC.

Example of polled bit and SRQ processes.

When To Synchronize the Analyzer and Controller

The need to synchronize depends upon the situation in which the overlapped command is executed. The following section describes situations when synchronization is required to ensure a successful operation.

  • Completion of a Measurement

  • Measurements with External Trigger

  • Averaged Measurements

Completion of a Measurement

To synchronize the analyzer and controller to the completion of a measurement, use the ABORT;INITIATE:IMMEDIATE command sequence to initiate the measurement.

This command sequence forces data collection to start (or restart) under the current measurement configuration. A restart sequence, such as ABORT;INITIATE:IMMEDIATE is an overlapped command. It is complete when all operations initiated by that restart command sequence, including the measurement, are finished. The *WAI,*OPC? and *OPC commands allow you to determine when a measurement is complete. This ensures that valid measurement data is available for further processing.

Measurements with External Trigger

See Triggering the VNA using SCPI.

External Triggering

Averaged Measurements

Averaged measurements are complete when the average count is reached. The average count is reached when the specified number of individual measurements is combined into one averaged measurement result. Use synchronization to determine when the average count has been reached.

If the analyzer continues to measure and average the results after the average count is reached, use synchronization to determine when each subsequent measurement is complete.

During Calibration Acquire

During a calibration with slow sweep speeds, such as when using a narrow IF bandwidth, you may want to have your program perform other operations, such as checking for the click event of a Cancel button.

To do this, use the optional ASYNchronous argument with the ACQuire command as shown in several calibration example programs. The VNA parser returns immediately while the cal step measurement proceeds. It does NOT block commands and wait for the measurement step to finish. You can send *ESR? or *STB? queries to monitor the status register bytes to see when the OPC (operation complete) bit gets set, which indicates the cal measurement step has finished. Learn more about status registers.

Note: Do NOT issue the *OPC? command when using the ASYN argument. If your program is using the ScpiStringParser, then you can ONLY use *OPC? to detect when the OPC bit is set, so do NOT use the ASYN argument with the calibration commands when using that parser.

When using the ASYN argument, set the timeout value in the IO settings to at least 5 seconds. There are intervals during the cal acquires when the VNA takes a several seconds to respond to additional commands, such as when the processor is calculating error terms.

The following commands have this argument:

Command | Example
SENS:CORR:COLL:GUID:ACQuire (Guided Cal) | Guided 2-Port or 4-Port Cal
SENS:CORR:COLL:ACQuire (Unguided Cal) | Perform Unguided ECAL
SOUR:POW:CORR:COLL:ACQuire (Source Power Cal) | Perform a Source and Receiver Power Cal (shows polling loop)

In addition, the SENS:CORR:COLL:GUIDed:INITialize command has this optional argument for long calibration initialization, such as a CalAll calibration.

Last Modified:

10-Oct-2014

First Release


Calibrating the VNA Using SCPI

There are several ways to calibrate the VNA using SCPI depending on your measurement needs. As from the Cal Wizard, you can perform a Guided Cal, Unguided Cal, or ECal. This topic explains the differences in these calibration choices when using SCPI commands.

  • Guided Calibrations

  • ECal

  • Creating Cal Sets

  • Applying Cal Sets and Cal Types

  • Uploading Error Terms

  • Unguided Cals and Calibration Classes

See Also

Synchronizing the VNA and Controller (During a calibration)

See SCPI Calibration Examples

Guided Calibrations

Guided versus Unguided is the style of calibration that is selected on the first page of the Calibration Wizard. A remote 'guided' cal does not present the cal wizard, but prompts for specific standards to be connected. In a remote 'Unguided', the steps must be 'hard-coded'.

  • To perform a Guided Calibration, use ONLY Sens:Corr:Coll:Guided commands.

  • These commands calibrate the ACTIVE channel. Activate a channel by selecting a measurement on the channel to be calibrated using Calc:Par:Select.

  • Full 1,2,3,4-port SOLT and TRL calibrations - No response cals.

  • All of the advanced calibration features (Thru method, specify DUT connectors and Cal kits for each port, port pairings).

  • A Cal Set is applied to the channel and saved at the completion of a guided cal according to the preference setting SENS:CORR:PREF:CSET:SAVE

Note: To perform an Unguided Calibration, use ONLY the Sens:Corr commands (NOT Guided).

ECal

From the Cal Wizard or from a SCPI program, ECal is fast, accurate, and very repeatable. Unlike from the Cal Wizard, you can use SCPI to perform ECal using either the Guided or Unguided commands. The Unguided commands are easiest to use. However, the following situations require that you use the Guided commands.

  • To maximize accuracy, all ECal calibrations on the VNA perform an Unknown Thru measurement of the ECal module Thru state IF the VNA model being used has 1 reference receiver per port. If your VNA does NOT have 1 reference receiver per port, use Guided ECal commands and specify a Thru method.

  • If your ECal module connectors do NOT match the DUT connectors, and you choose not to perform a User Characterization, use Guided ECal commands and specify the Thru method.

ECAL Notes:

  • When using either Guided or Unguided ECal commands under low power situations, use the Orientation settings. The Guided example shows the use of these commands. When using Unguided, they must appear before the Acquire command.

  • The frequency range of the measurement must be within the range of the ECal module. Otherwise, the calibration will fail.

  • You do NOT have to send the ECal module state 'switch' commands. The ECal algorithm switches ECal states automatically.

  • All of these ECal choices are listed in the Programming Command Finder function in this Help file.

See Using ECal to learn about all of the ECal features.

Creating Cal Sets

There are several ways to store guided cal data into a unique Cal Set. The following is probably the easiest. It does not require the name of an existing Cal Set and it allows you to name the Cal Set.

SENS:CORR:COLL:GUID:INIT 'start the cal with no cal set argument

'Perform the cal

SENS:CORR:COLL:GUID:SAVE 'create cal set with auto-generated name or to cal register

SENS:CORR:CSET:NAME 'MyCalSet' 'name the current cal set.

Applying Cal Sets and Cal Types

A Cal Set is applied to the channel and saved at the completion of a guided cal according to the preference setting SENS:CORR:PREF:CSET:SAVE.

When you select a Cal Set to apply to an uncalibrated channel, the VNA attempts to find the most comprehensive calibration type in the Cal Set and turn it ON. In addition, changing a measurement parameter (for example, from S11 to S21) will also initiate an attempt to apply the best Cal Type and turn correction ON.

There may be times when you do not want the most comprehensive Cal Type. For example, say there is a Full 2-port Cal Set applied, but there is only an S11 measurement displayed. If measurement speed is a concern, you can apply a Full 1-Port Cal Type from that same Cal Set and save time by not doing the extra background sweeps. Learn more about background sweeps.

If you change the measurement parameter, the VNA will reapply the Full 2-Port Cal Type.

See the SCPI and COM commands for Cal Sets and Cal Types.

Uploading Error Terms

Note: There was a method described here for WinCal 3.x that involved a preference setting. That method is no longer supported.

To upload error terms into a created or selected Cal Set:

SENS:CORR:CSET:CREAte or SENS:CORR:CSET:GUID
SENS:CORR:CSET:Data <term> <port> <port> <data>
SENS:CORR:CSET:SAVE

This method puts error terms into a Cal Set, outside of a Guided or Unguided calibration session.

The Cal Set can then be applied at any time.

See SENS:CORR:CSET commands.

Unguided Cals and Calibration Classes

  • Use Sens:Correction commands.

  • 1-port, 2-port, Response.

  • Can select 2 sets of standards.

  • TRL is NOT recommended.

The following describes how to perform an unguided calibration using SCPI. The objective here is to make clear the relationship between the physical port on which a standard is being measured, the actual device in the cal kit, and the SCPI command used to acquire the device.

Calibration standards classes are ‘categories’ of standard types. To perform a 2 port calibration, the cal wizard requires the following types of standards to be measured:

3 reflection standards on the forward port:

  • Class S11A typically an open

  • Class S11B typically a short

  • Class S11C typically a load

Likewise, 3 reflection standards are required for the reverse port:

  • Class S22A typically an open

  • Class S22B typically a short

  • Class S22C typically a load

There is also a transmission standard that is measured in both directions:

  • Class S21T typically a thru

The following illustrates the relationship between cal kit physical standards and calibration classes. Here is a list of the physical devices in my calibration kit.

Standard #1 = "3.5 mm male short"

Standard #2 = "3.5 mm male open"

Standard #3 = "3.5 mm male broadband load"

Standard #4 = "Insertable thru standard"

Standard #5 = "3.5 mm male sliding load"

Standard #6 = "3.5 mm male lowband load"

Standard #7 = "3.5 mm female short"

Standard #8 = "female to female characterized thru adapter"

Standard #9 = "0-2 Load"

Standard #10 = "Open"

Standard #11 = "Non-insertable thru"

Standard #12 = "3.5 mm female lowband load"

Standard #13 = "3.5 mm female sliding load"

Standard #14 = "3.5 mm female broadband load"

Standard #15 = "3.5 mm female open"

When you perform a calibration remotely using SCPI, you don’t specify the device number directly. Rather, you specify the class you want to measure. Each device in the calibration kit is assigned to a class. And since more than one device can be assigned to the same class, each class contains an ordered list of devices. The class assignments are set using the Advanced Modify Cal Kit dialog or the SCPI command:

SENS:CORR:COLL:CKIT:ORDer<class>, <std>, <std>, <std>, <std>,<std>,<std>,<std>

The 85052B kit used in the example program has the following standard list for each class: The list was obtained by issuing the corresponding SCPI query:

SENS:CORR:COLL:CKIT:OLIST1? S11A = +2,+15,+0,+0,+0,+0,+0

SENS:CORR:COLL:CKIT:OLIST2? S11B = +1,+7,+0,+0,+0,+0,+0

SENS:CORR:COLL:CKIT:OLIST3? S11C = +6,+5,+3,+12,+13,+14,+0

SENS:CORR:COLL:CKIT:OLIST4? S21T = +4,+8,+0,+0,+0,+0,+0

SENS:CORR:COLL:CKIT:OLIST5? S22A = +2,+15,+0,+0,+0,+0,+0

SENS:CORR:COLL:CKIT:OLIST6? S22B = +1,+7,+0,+0,+0,+0,+0

SENS:CORR:COLL:CKIT:OLIST7? S22C = +6,+5,+3,+12,+13,+14,+0

SENS:CORR:COLL:CKIT:OLIST8? S12T = +4,+8,+0,+0,+0,+0,+0

When you perform the calibration, you acquire data by issuing the ACQuire command:

SENS:CORR:COLL:ACQ <class>[, <subst> ]

For example:

SENS:CORR:COLL:SFOR 1

SENS:CORR:COLL:ACQ STANA, SST2

The SFOR command tells the wizard to make the next acquisition in the forward direction. The ACQuire command specifies that we are measuring the 2nd device in the list for STANA. Since we are measuring SFORward, then STANA refers to class #1 or S11A. The list of devices for this class are specified in the OLIST1 query above.

Alternately, you could modify the device order for the S11A class to move device #15 into the first position (SENS:CORR:COLL:CKIT:ORDER1). When the desired device is in the first position, you need not specify the order number in the ACQuire command. The default is the first device in the OLIST. This works well for two port network analyzers where the order for S11A,B,C classes is set up for port 1 and the order for S22A,B,C is set up for port 2. With the kit set up in the proper order, you eliminate the need to specify the substandard number (SST<n>).

Last Modified:

10-Oct-2014

First Release


The VNA as a USB Device

VNA can be controlled as a USB Device using SCPI. This is done through the Keysight I/O Libraries which must be installed on your remote computer.

All data types, especially Binary block data, transfer MUCH faster using USB as compared to GPIB.

To communicate with the VNA as a USB device

  1. Connect the VNA to the remote computer using the rear-panel device-side USB connector.

  2. The 'Found New Hardware' wizard is launched. Follow the prompts to install the VNA driver software.

  3. The Keysight I/O Libraries will recognize the VNA as a Test and Measurement device and show the following dialog.

Note: The VNA is not a USB Mass Storage Device. Therefore, Windows Explorer does NOT recognize it as a USB device. You can NOT use Windows Explorer to transfer files to and from the VNA. For file transfer, use the SCPI command MMEM:TRANsfer.

Alias name Change this to a name that is easy to recognize. Once configured, use the Alias name to communicate with the USB device using applications such as VISA and SICL:

  • VISA: viOpen (...,"UsbDevice1",...)

  • SICL: iopen ("UsbDevice1")

For more information, see the Connectivity Guide in the Keysight I/O libraries.

Last Modified:

10-Oct-2014

First Release


Reading the VNA Status Registers

Reading the Analyzer's Status Register

The VNA has several status registers that your program can read to know when specific events occur. There are two methods of reading the status registers in the analyzer: the Polled Bit method and the Service Request method.

  • The Status Registers

  • Setting and Reading Bits in Status Registers

  • Polled Bit Method

  • Service Request Method

See Also

IEE 482 Common commands

Example: Status Reporting

Status Commands

Other Topics about GPIB Concepts

Important Notes:

  • A new Limit Line Fail command that makes it easy to determine if Limit Line testing has failed.

  • *OPC? can be used to easily determine when a channel has completed a sweep. This requires no interaction with the Status Register system. Most VNA programming examples use *OPC?.

  • Most of the Status Register system can NOT be used with the SCPIStringParser Object. However, *OPC? can be used.

The Status Registers

Most of the status registers in the analyzer have sixteen bits. For simplicity, this topic will illustrate their use with 8-bit registers. Bits in registers represent the status of different conditions inside of the analyzer. In the following graphic, a register is represented by a row of boxes; each box represents a bit. Bit 3 is ON.

Each VNA Status Register is actually comprised of the following registers. See an image of the VNA Status registers.

  • Enable Registers - When using the SRQ method of polling, you first set bits in the enable register which tells the VNA which events to monitor. This is not necessary using the Polled Bit method, as you can only monitor a single event. A *CLS (clear status) command will not clear the enable register. The *ESE and *ESE? commands are used to set and query Enable bits, while *ESR is used to read and clear an Enable register. Learn how to set bits.

  • Condition Registers - A condition register continuously monitors events in the VNA. Bits in the condition register change real time as conditions occur. These bits are not latched, so this register is used mainly for diagnostic purposes. The registers that only summarize lower level registers do NOT have a condition register.

  • Event Registers - This is the register that is read to determine if an event has occurred. An event register latches the bits from the corresponding condition register. When an event register bit is set, subsequent changes to the corresponding condition register bit are ignored. The bit remains set until a query command such as *CLS clears the bit. Learn how to read the Event Register.

  • Positive and Negative Transition Registers - Transition registers control what type of in a condition register will set the corresponding bit in the event register.

    • Positive transitions (0 to 1) are only reported to the event register if the corresponding positive transition bit is set to 1.

    • Negative transitions (1 to 0) are only reported to the event register if the corresponding negative transition bit is set to 1.

    • Setting both transition bits to 1 causes both positive and negative transitions to be reported.

Transition registers are read-write and are unaffected by *CLS (clear status) or queries. They are reset to their default settings at power-up and after *RST and SYSTem:PRESet commands. The following are the default settings for the transition registers:

    • All Positive Transition registers = 1

    • All Negative Transition registers = 0

This means that, by default, the analyzer will latch all event registers on the negative to positive transition (0 to 1).

The following is an example of why you would set transition registers:

A critical measurement requires that you average 10 measurements and then restart averaging. You decide to poll the averaging bit. When averaging is complete, the bit makes a positive transition. After restart, you poll the bit to ensure that it is set back from 1 to 0, a negative transition. You set the negative transition bit for the averaging register.

Setting and Reading Bits in Status Registers

Both the Polled-Bit method and Service Request method require that you set and read status register bits. Most of the VNA status registers contain 16 bits, numbered 0 to 15. Each bit has a weighted value. The following example shows how to set the bits in a 8-bit status register.

8-bit register

Bit | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
Weight | 1 | 2 | 4 | 8 | 16 | 32 | 64 | 128

How to set bits 4 and 5 in the Standard Event Status Enable register:

Step | Example
1. Determine the weighted bit value for these bits | weights 16 and 32 (respectively)
2. Add these values together | 16 + 32 = 48
3. Send this number as an argument in the appropriate command. (see Status Commands) | STAT:QUES:LIMIT1:ENAB 48

The Polled Bit Method

With the Polled Bit Method, your program monitors a bit in the status register that represents the condition of interest to you. When the VNA sets the bit to 1, your program sees it and responds accordingly.

  • If your program periodically monitors a bit in the status register, it is free to do other things as well. However, your program can respond only as fast as the bit is polled.

  • If your program continually monitors a bit, it can respond immediately, but will be unavailable to do anything other than poll the bit.

Advantage: This method requires very little programming.

Procedure:

  1. Decide which condition to monitor. The Status Commands topic lists all of the possible conditions that can be monitored in the analyzer.

  2. Determine the command to be used to monitor the bit.

  3. Determine how often to poll the bit until it is set.

  4. Construct the routine to respond when the bit is set.

The Service Request (SRQ) Method

Your program enables the bits in the status registers representing the condition of interest. When the condition occurs, the VNA actively interrupts your program from whatever it is doing, and an event handler in your program responds accordingly. Do this method if you have several conditions you want to monitor or the conditions are such that it is not practical to wait for the condition to occur.

Advantage: This method frees your program to do other things until the condition occurs. The program is interrupted to respond to the condition.

Disadvantage: This method can require extensive programming depending on the number and type of conditions that you want to monitor.

Procedure:

1. Decide which conditions to monitor. The Status Commands topic lists all of the possible analyzer conditions that can be monitored.

2. Set the enable bits in the summary registers and the status byte register.

Enabling is like making power available to a light. Without power available, the switch can be activated, but the light won't turn ON. In the analyzer, without first enabling a bit, the condition may occur, but the controller won't see it unless it is enabled.

The condition, and the bit in the summary registers in the reporting path, must be enabled. This is like streams (conditions) flowing into rivers (summary registers), and rivers flowing into the ocean (controller). See the diagram of status registers in Status Commands.

Bit 6 of the status byte register is the only bit that can interrupt the controller. When any representative bit in the status byte register goes ON, bit 6 is automatically switched ON.

3. Enable your program to interrupt the controller. This is done several ways depending on the programming language and GPIB interface card you use. An example program is provided showing how this is done with in Visual Basic with a National Instruments GPIB card.

4. Construct a subroutine to handle the interrupt event. If you are monitoring more than one condition in your system, your event handler must determine which condition caused the interrupt. Use the *SPE command to determine the instrument that caused the interrupt, then poll the summary registers, then poll condition registers to determine the cause of the interrupt.

Last Modified:

10-Oct-2014

First Release


Referring to Traces, Measurements, Channels, and Windows Using SCPI

Sometimes in a SCPI program you may need to refer to traces that you have not created. This can be a bit confusing in the VNA. Here are the THREE ways to refer to a specific measurement trace.

Note: The terms "Trace" and "Measurement" effectively mean the same thing in this discussion.

  1. The Trace Number is also picked by you when ‘feeding’ a newly-created measurement name to a window number using DISP:WINDow<wmun>:TRACe<tnum>:FEED. The trace number is used ONLY by SCPI and is mainly used to refer to traces in the DISPlay node. This is NOT the number that appears as Tr# on the screen. While you can assign any Trace number you want, when a measurement is created from the GUI, the VNA assigns numbers to the traces sequentially, starting with one in each window. Therefore, when there is more than one window, these numbers are not unique.

  2. The Tr# that appears on the VNA screen is the third and most visible way to refer to a trace. Since we already have a "Trace Number", we call this the Measurement Number in the VNA Help file. This number is issued sequentially by the VNA regardless of channel and window. It is therefore unique among all traces. CALC<cnum>:MEAS<mnum>:xxxxx commands specify the Channel number and Measurement Number. This command returns the name of the active measurement: SYSTem:ACTive:MEAS?

The concept of the Active measurement versus Selected Measurement is also a bit confusing. As seen on the screen, the Active measurement has the highlighted Tr# . While there can only be ONE active measurement, every channel has a selected measurement. The target measurement must first be selected before most CALC node settings can be made.

  1. Use CALC<cnum>:PAR:MNUM <measNum> which requires the channel and measurement (Tr) number.

Here are other relevant commands for referring to traces, measurements, channels, and windows:

  • CALC<cnum>:PAR:CATalog:EXTended? - Catalog the Measurement Names for the specified channel.

  • SYSTem:ACTive:CHANnel? - Returns the number of the active channel. The active channel is the channel number that contains the active measurement.

  • SYSTem:ACTive:MEAS? - Returns the name of the active measurement. As seen on the screen, the Active measurement has the highlighted Tr#.

  • SYSTem:CHANnels:CATalog? - Returns the channel numbers currently in use.

  • SYSTem:WINDows:CATalog? - Returns the window numbers that are currently being used.

  • SYSTem:MEAS:CATalog? [chan] - Returns ALL measurement numbers, or optionally measurement numbers from a specified channel.

  • SYSTem:MEAS<n>:NAME? - Returns the name of the specified measurement (Tr#) number.

  • SYSTem:MEAS<n>:TRACe? - Returns the trace number of the specified measurement number.

  • SYSTem:MEAS<n>:WINDow? - Returns the window number of the specified measurement number.

Last modified:

10-Oct-2014

First Release


Remote Control of SCPI USB Devices Connected to a VNA

The following procedure is the USB equivalent of the VNA "GPIB Pass-Through" feature. This allows you to send SCPI commands from a remote PC to a USB device (such as a USB power sensor) that is connected to the VNA.

The PC must have the Keysight (Agilent) I/O Libraries installed.

  1. On the VNA, press System, then [Configure], then [SICL/GPIB], then SICL Enabled.

  2. On your PC, start Keysight (Agilent) Connection Expert which is the wizard for I/O Libraries.

  3. In the Connection Expert dialog, click Add Interface.

  4. Click Remote USB then click Add.

  5. In the Remote USB Interface dialog (shown above), do EITHER of the following:

  • Select Hostname, then enter the Full Computer Name of the VNA.

  • Select IP address, then enter the IP address of the VNA.

On the PC, the new USB interface in Connection Expert should show the USBTMC-compliant devices (such as the U2000-Series sensors) that are connected to that VNA. In the above dialog, the VISA interface ID is USB2. Therefore, a VISA program on the PC could send commands to the sensor that is connected to the VNA at the VISA resource string beginning with USB2::<interface>.

The above image shows a portion of the ACE dialog after adding the remote USB interface.

  6. Right-click on the device you want to communicate with (U2000A in this example) then click Send Commands To This Instrument.

  7. Type a command, then click Send Command or Read Response.

Last Modified:

10-Oct-2014

First release


Configure for VISA and SICL

Configure for SCPI LAN using SICL / VISA

  • VNA Supported Interfaces

  • Keysight I/O Libraries

  • SICL / VISA Programs Running on the VNA

  • Configure the VNA for SICL / VISA

  • Configure the External Controller

Other Topics about GPIB Concepts

Note: PXI based instrument supports only HiSlip, this information is for non-PXI instrument.

VNA Supported Interfaces

The VNA supports the following interfaces for SICL / VISA communication:

  • LAN - as a remote GPIB interface. The VNA LAN is presented as a virtual GPIB interface. It does NOT support simple TCPIP-based control. Therefore, when configuring the Keysight IO libraries on your PC, add a REMOTE GPIB interface, which uses the LAN client interface.

  • GPIB - requires that your external controller have a GPIB card.

The following interfaces are NOT supported:

  • USB

  • Serial

Important Note:

To enable VISA or SICL communication over LAN, you must do the following:

  1. On the VNA, click System, point to Configure, then click SICL/GPIB.

  2. Check SICL Enabled. To automatically enable SICL when the VNA is booted, check Automatically enable on Startup.

  3. Click OK.

The VNA is now ready to be controlled over LAN.

Learn more about this dialog box.

Keysight I/O Libraries

The Keysight I/O libraries includes the drivers to allow you to communicate with Keysight test instruments. Every VNA is shipped with the Keysight I/O libraries installed. We recommend you do NOT upgrade the Keysight I/O libraries on the VNA as unexpected results may occur. If you choose to upgrade the Keysight I/O libraries on the VNA, do NOT change the default folder path in the InstallShield Wizard.

To communicate with the VNA, the Keysight I/O libraries must also be installed on your external controller. To purchase the Keysight I/O libraries, or download a free upgrade, go to www.Keysight.com and search for IO Libraries. Scroll to find Software, Firmware & Drivers.

SICL / VISA Programs Running on the VNA

You can run your SICL / VISA program on the VNA to control the VNA. Although the Keysight I/O libraries are already installed on the VNA, it is configured as the Host. You must also configure a SICL or VISA LAN Client interface on the VNA, specifying the LAN hostname of that same VNA.

If your program uses the COM interface to VISA, and is compiled on a PC with the Keysight IO Libraries Suite (version 14 or later), and the resulting executable is copied and run on the VNA, it will produce a “type mismatch error”. This is because the VNA has the ‘M’ version of Keysight I/O libraries. The following Visual Basic code is an example of how to avoid this error when communicating with the VNA from within the VNA:

Dim rm As IResourceManager
Dim fmio As IFormattedIO488
Set rm = CreateObject("AgilentRM.SRMCls")
Set fmio = CreateObject("VISA.BasicFormattedIO")
Set fmio.IO = rm.Open("GPIB0::22")
fmio.WriteString "*IDN?" & Chr(10)
MsgBox fmio.ReadString()

Controlling the VNA over LAN while controlling other instruments over GPIB

The VNA can NOT be both a controller and talker/listener on the same GPIB bus. Using SICL / VISA, you can use LAN to control the VNA, leaving the VNA free to use the rear-panel GPIB interface to control other GPIB devices.

Configure the VNA for SICL / VISA

  1. On the VNA, click System then check Windows Taskbar

  2. Click Start then point to Program Files, Keysight IO Libraries, then click IO Config

  3. Select each GPIB Interface and click Edit to verify (or make) the default settings in the following table. These settings are REQUIRED when using a 82357B USB / GPIB Interface with the VNA.

  4. When complete, click OK to close the edit dialog.

  5. Click OK to close the IO Config dialog.

VISA Interface Name | SICL Interface Name | Dialog box title | Description
GPIB0 | gpib0 | GPIB Using NI-488.2 | VNA Rear-panel GPIB connector. This GPIB interface can be used to control the VNA OR for the VNA to control external equipment. IT CAN NOT DO BOTH IN THE SAME PROGRAM. Learn more about pass-through options.
GPIB1 | hpib7 | Internal Instrument Configuration | Internal interface for programs running on the VNA to control itself.
GPIB4 | inst0 | Internal Instrument Configuration | Used for LXI compliance. Do NOT delete this interface.

Configure the External Controller

Please refer to the Keysight I/O libraries documentation to learn how to configure your controller to communicate with the VNA. These links can show you how to find the following VNA information:

  • VNA full computer name

  • GPIB Address

  • IP Address

This example program can help test your VISA configuration.

Last Modified:

10-Oct-2014

First Release


Interface Control

The Interface Control feature allows you to send remote commands and data to the following VNA rear-panel Interfaces: GPIB, Material Handler I/O, Test Set I/O, and Auxiliary I/O.

  • Overview

  • How to Access Interface Control Settings

  • Interface Control Dialog Box

Other System Configuration Topics

Note: Interface Control can be used ONLY with Standard channels; NOT with Application channels.

Overview

The Interface Control feature allows you to send data to control external equipment such as GPIB instruments, a material handler, test set, or other equipment, without needing to create a remote program. The VNA manages the timing and required interface setup. See Rear Panel Tour

  • A unique set of control data can be sent for each channel. In addition, a unique set of control data can be sent before the channel sweep starts, and after the sweep ends.

  • Interface Control settings can be saved and recalled from the Interface Control dialog box, or with Instrument State Save and Recall.

  • Interface Control settings can be copied to other channels using Copy Channels.

  • Control data can only be WRITTEN to the interfaces, NOT READ from the interfaces.

  • Control data is sent in the following order. This order cannot be changed.

  1. GPIB Interface

  2. Dwell Time

How to access Interface Control settings

Using Hardkey/SoftTab/Softkey

  1. Press Setup > Internal Hardware > Interface Control...

Interface Control dialog box help

See Interface Control Overview (scroll up)

An Instrument Preset will reset all of the fields to their default settings.

Note: If an error is encountered when sending Interface Control data, an error message is displayed on the VNA screen. The Channel Trigger State is set to Hold. You must fix the condition that caused the error, then change the Channel Trigger State to its original setting.

Enable Interface Control Enables and disables ALL Interface Control communication. When cleared (default setting) Interface Control is disabled and NO data is sent. To send data, the individual interfaces must also be enabled.

Channel Specifies the channel number for dialog settings. Each channel is configured individually. The list box shows the channels that currently have measurements. There must be at least one measurement present in order to make settings.

Channel Label Specifies the label (D in the following figure) to be displayed on the status bar at the bottom of the VNA screen. The status bar is automatically displayed when Interface Control is enabled.

Learn about the primary status bar.

Before Sweep Start - After Sweep End Tabs

Commands / data for all four interfaces can be sent both Before Sweep Start and After Sweep End. However, they are configured and enabled on separate tabs of the Interface Control dialog box. For example, to send GPIB commands both Before and After a VNA sweep, the Enable Control checkbox must be selected and commands entered on BOTH the Before Sweep Start and After Sweep End tabs.

Before Sweep Start The data is sent BEFORE the first trace on the channel begins sweeping.

After Sweep End The data is sent AFTER the last trace on the channel completes sweeping.

GPIB Commands

Notes:

  • GPIB instruments CAN be connected to the VNA using a USB/GPIB adapter.

  • GPIB Queries are NOT supported.

Enable Control Enables and disables sending commands out the GPIB interface.

Multi-line edit control Each line contains a GPIB command using the following syntax:

address command

Where:

address a number between 0 and 31. The VNA will look through all of the GPIB interfaces for an instrument connected to the specified address. If an instrument with that address is not recognized, an error is returned.

command a GPIB command, with or without enclosing quotes. Enclosing quotes are ignored.

Address and command are separated by at least one space.

Commands should be separated by a new line, or carriage return. For example:

19 ":init:cont off"
16 init:imm

The front-panel Enter key inserts a new line into the field.

The number of GPIB commands that can be entered is limited only by the available memory of the VNA.

Handler I/O

Enable Control Enables and disables sending data out the Handler IO Connector (E5080A)

Ports A, B, C, D Sends values to the respective Handler I/O port. Although ports C and D are normally bidirectional, ONLY Output mode is allowed using the Interface Control feature. It cannot read from these, or any other, ports.

Dwell After Command Specifies a wait time, in milliseconds, after all commands to all interfaces are sent. Any positive integer is allowed. This is used to allow all external devices to settle before beginning a measurement. An erratic trace could indicate that more settling time is necessary.

Reset All Sets ALL fields on ALL channels to their default values.

Save and Recall Saves and recalls the contents of this dialog box. If the Interface Control dialog box is populated with settings during an Instrument State Save, the settings are automatically recalled with the Instrument State settings.

Interface control uses an *.xml file type. An example file is stored on the VNA hard drive. You can recall it into the dialog, or you can open and edit it with a word processor, such as Word Pad.

OK Applies the settings and closes the dialog box.

Cancel Does not apply changes that were made, and closes the dialog box.

Last Modified:

5-Jan-2016

First Release


RPHandler IO Connector (E5080A)

Handler I/O Connector (E5080A)

This rectangular 36-pin female connector provides communication signals between the VNA and a handler. You can change the settings on the Handler IO connector using SCPI commands. The settings are NOT accessible through the front-panel keys or display menu.

  • Overview - Controlling a Handler I/O.

  • Pin Assignments

  • Pin Descriptions

  • Timing Diagrams

  • Input Output Electrical Characteristics

Note: On early VNAs this connector is labeled "GPIO". It is covered to indicate that the connector is not functional.

Overview - Controlling a Handler I/O

The VNA is capable of interacting with an external handler. This allows the VNA to be used in an automated test environment, where devices to be tested are inserted into a test fixture by a part handler, and sorted into pass/fail bins by the handler after testing is complete. By connecting the part handler to the VNA Handler I/O ports, the VNA and part handler can synchronize their activities in a way that makes automated testing possible.

VNA and Part Handler Preparation

  1. Define the measurements that you want to make.

  2. Define limits for each of the measurements.

  3. Configure the VNAs Material Handler port so that it is compatible with your part handler. This usually involves setting the handler logic, pass/fail logic, pass/fail scope, and pass/fail mode. These settings are made remotely using SCPI commands.

  4. Use a cable to connect the VNA to your part handler.

  5. Put the VNA in External Trigger mode.

  6. Load parts in handler per manufacturer instructions.

Text Descriptions

  1. (Optional). The VNA sends values out the Material Handler to configure external instruments. The A,B,C, and D ports of the Material Handler can be used to control devices used in testing, such as step attenuators, part handlers, or even the DUT itself. Also, the DAC1 and DAC2 lines on the Power I/O connector can be used to provide bias voltages for devices and instruments. If you wish to use the Material Handler for testing, you will need to write a program to send values out the various lines and ports, as there is no activity on these lines by default.

  2. The part handler receives a Ready for Trigger signal from the VNA. This indicates that the VNA is properly configured and ready to take a measurement.

  3. The part handler sends an External Trigger signal to the VNA. This signals that the part handler has settled, and allows the VNA to begin taking measurements.

  4. The VNA takes measurements on all triggerable channels.

  5. The Index line on the material handler goes to a Low state, which means that all required data has been collected by the VNA.

  6. The part handler removes the DUT from the test fixture, and inserts a new DUT into the fixture. This operation is often referred to as part handler indexing. The device just tested is staged (removed from the fixture and prepared for binning), and the next part to be tested is put into the fixture. The removed DUT cannot be assigned to a Pass/Fail bin yet, as the Pass/Fail status is not available.

  7. The VNA sends the Pass/Fail Status.

  8. The VNA sends the Pass/Fail Strobe meaning that the Pass/Fail status has been determined.

  9. The part handler reads the Pass/Fail Status line.

  10. The part handler bins the staged part based on the Pass/Fail Status.

  11. The test process repeats at step 1, waiting for Ready for Trigger from the VNA.

Handler IO Pin Assignments

A slash (/) symbol preceding signal names means that they are negative logic (active low).

Pin number

Signal name

Input/Output

Description

1

GND

N/A

Ground.

2

/INPUT1

Input

When this port receives a negative pulse, /OUTPUT1 and /OUTPUT2 are changed to the Low level.

3

/OUTPUT1

Output

Changes to the Low level when /INPUT1 receives a negative pulse. A command can be available for altering the Low/High level logic.

4

/OUTPUT2

Output

Changes to the Low level when /INPUT1 receives a negative pulse.A command can be available for altering the Low/High level logic.

5

/PORT A0

Output

Bit 0 of port A (8 bit parallel output port)

6

/PORT A1

Output

Bit 1 of port A.

7

/PORT A2

Output

Bit 2 of port A.

8

/PORT A3

Output

Bit 3 of port A.

9

/PORT A4

Output

Bit 4 of port A.

10

/PORT A5

Output

Bit 5 of port A.

11

/PORT A6

Output

Bit 6 of port A.

12

/PORT A7

Output

Bit 7 of port A.

13

/PORT B0

Output

Bit 0 of port B (8 bit parallel output port)

14

/PORT B1

Output

Bit 1 of port B.

15

/PORT B2

Output

Bit 2 of port B.

16

/PORT B3

Output

Bit 3 of port B.

17

/PORT B4

Output

Bit 4 of port B.

18

/EXTERNAL TRIGGER

Input

An external trigger signal. When the trigger source is set to the "External," this port generates a trigger in respond to the trailing edge of a negative pulse.

19

/PORT B5

Output

Bit 5 of port B.

20

/PORT B6

Output

Bit 6 of port B.

/INDEX

Indicates that analog measurement is complete. The /INDEX signal changes to the Low level when analog measurement (all sweeps of all channels) is complete. When the handler receives the signal, it assumes that it is ready to connect the next DUT. However, no measurement data are available until data calculation is completed.

When the point trigger function is on, it goes to the High level before staring measurement of the first measurement point and returns to the Low level after completing measurement of all measurement points.

21

/PORT B7

Output

Bit 7 of port B.

/READY FOR TRIGGER

Indicates that the instrument is ready for triggering.This signal is changed to the Low level when the instrument is ready for receiving a trigger signal.

With the point trigger function on, it goes to the Low level when the instrument is ready to accept the trigger signal for the first point and goes to the High level when the trigger signal for the first point is received. When measurement of all measurement points is completed and the instrument is ready to receive the trigger signal for the first point of the next sweep, this signal goes to the Low level again.

22

/PORT C0

Input/Output

Bit 0 of port C (4 bit parallel I/O port)

23

/PORT C1

Input/Output

Bit 1 of port C.

24

/PORT C2

Input/Output

Bit 2 of port C.

25

/PORT C3

Input/Output

Bit 3 of port C.

26

/PORT D0

Input/Output

Bit 0 of port D (4 bit parallel I/O port)

27

/PORT D1

Input/Output

Bit 1 of port D.

28

/PORT D2

Input/Output

Bit 2 of port D.

29

/PORT D3

Input/Output

Bit 3 of port D.

30

PORT C STATUS

Output

Port C status signal.This signal is changed to the High level when the port C is configured to output port. It is changed to the Low level when the port is configured to input port.

31

PORT D STATUS

Output

Port D status signal. This signal is changed to the High level when the port D is configured to output port. It is changed to the Low level when the port is configured to input port.

32

/WRITE STROBE

Output

A output port write strobe signal. When data is present (that is, output level changes) on any of the output ports, this signal provides a negative pulse.

33

/PASS FAIL

Output

Each limit test's results signal. This signal changes to the High level when limit test, bandwidth test, or ripple test results return FAIL. It changes to the Low level when all limit test results return PASS.

34

/SWEEP END

Output

A sweep completion signal. When measurement (all sweeps of all channels) and data calculation are completed, this signal provides a negative pulse.

35

+5V

Output

Provides +5V DC power supply for external instruments.

36

/PASS FAIL STROBE

Output

Each limit test's results write a strobe signal. When limit test result is present on /PASS FAIL, this signal provides a negative pulse.

Pin Descriptions

Input1

When this Input line receives a Low pulse from the material handler, data is latched on the OUTPUT1 and OUTPUT2 lines. See OUTPUT1|2 Data Output Write Timing

The Input Line activity can be read:

SCPI

COM

CONTrol:HANDler:INPut?

get_Input1 Method

Output1, Output2

See OUTPUT1|2 Data Output Write Timing

The current state of these latched TTL outputs may be set High or Low (Default setting) using the (non-user) SCPI put_Output (COM) commands.

The next state (following a negative edge on the INPUT1 line) may be pre-loaded to High or Low (Default setting) using the user commands.

For example, on the next negative pulse on the INPUT1 line, you want the OUTPUT1 line to go from 0 to 1. To do this:

CONT:HAND:OUTP1:DATA 0 'Force the OUTPUT1 line to 0
CONT:HAND:OUTP1:USER 1 'Set the OUTPUT1:USER buffer to 1, indicating the next state

SCPI

COM

Write User Data

CONT:HAND:OUTP<pin>:USER

put_Output Method

Read last value written

CONT:HAND:OUTP<pin>:USER

get_Output Method.

Write non-user data

CONT:HAND:OUTP<pin>:DATA

put_Output Method

Read last value written

CONT:HAND:OUTP<pin>:DATA

get_Output Method

Output Ports A and B

These two general purpose, 8-bit output ports are used to write data to the material handler. When any line changes state, all output lines are latched to the I/O connector as the Output Write Strobe goes Low.

The default state for data is Low.

See Data Output Write Timing Diagram

Set Port Logic:

The logic for the data lines can be set to either: Positive (1 = High) or Negative (1 = Low). This setting affects all data ports. They cannot be set independently.

SCPI

COM

CONTrol:HANDler:LOGic

PortLogic Property

Combine to read or write data to Port F:

Ports A and B can be virtually combined to write data to one 16-bit I/O port F.

SCPI

COM

CONTrol:HANDler:F <num>

put Port (F)

Input/Output Ports C and D

These two general purpose 4-bit Input/Output ports are used to write data (Output) or read data (Input). These lines could be used to write to an external device such as a step attenuator.

When any line changes state, all output lines are latched to the I/O connector as the Output Write Strobe goes Low. See Data Output Write Timing.

Set Input | Output Mode:

Each port may be independently defined as Output or Input.

SCPI

COM

CONTrol:HANDler:C:MODE

PortMode Property

CONTrol:HANDler:D:MODE

Set Port Logic:

The logic for the data lines can be set to either: Positive (1 = High) or Negative (1 = Low). This setting affects all data ports. They cannot be set independently.

SCPI

COM

CONTrol:HANDler:LOGic

PortLogic Property

Read or write data:

Ports C and D can be virtually combined to read or write data to one 8-bit I/O port E. When combined, both C and D ports must be set to either INPUT or OUTPUT mode.

SCPI

COM

CONTrol:HANDler:<port>[:DATa]>

get_Port(x)

put Port (x)

Port C Status, Port D Status

These two output lines indicate the Read / Write mode of the C and D ports.

  • A Low level indicates that the associated port is in INPUT mode (read only).

  • A High level indicates that the associated port is in OUTPUT mode (write only).

These logic of these status outputs cannot be changed.

See Input/Output Ports C and D to learn how to set I/O Mode

See Data Output Write Timing

Output Port Write Strobe

This Output line goes Low to write data from Ports A and B and Ports C and D when a change is detected on any of the data lines.

These logic of this strobe output cannot be changed.

See Data Output Write Timing

External Trigger

When trigger source is set to external, this Input line accepts a trigger signal from the material handler. This usually means that a part is in place and ready to be tested.

See Trigger Timing Diagram

Index

A Low signal on this Output line indicates to the material handler that the measurement is complete. This usually means that the handler can connect the next device. However, measurement data is not available until data is calculated. See Trigger Timing Diagram.

Set Function:

This line also serves as a data line. Set the function using the following commands:

SCPI

COM

CONTrol:HANDler:INDex:STATe

IndexState

Ready for Trigger

When this output line goes low, it indicates to the material handler that the VNA is ready for a trigger signal.

See Trigger Timing Diagram

See Pass/Fail Timing Diagram

Set Function:

This line also serves as a data line. Set the function using the following commands:

SCPI

COM

CONTrol:HANDler:RTRigger:STATe

ReadyForTriggerState

Pass/Fail State

This Output line indicates to the handler whether the limit test has passed or failed.

Pass/Fail state is valid only when the limit test function is ON and while Pass/Fail strobe line is Low. See Pass/Fail Timing Diagram

Set Pass / Fail Logic:

  • Positive Logic: High=Pass, Low=Fail. (Default setting)

  • Negative Logic: High=Fail, Low=Pass.

SCPI

COM

CONTrol:HANDler:PASSfail:LOGic

PassFailLogic Property

Set Default Conditions:

  • PASS- the line stays in PASS state. When a device fails, then the line goes to fail after the Sweep End line is asserted.

  • FAIL- the line stays in FAIL state. When a device passes, then the line goes to PASS state after the Sweep End line is asserted.

  • No Wait- the line stays in PASS state. When a device fails, then the line goes to fail IMMEDIATELY. (Default setting)

SCPI

COM

CONTrol:HANDler:PASSfail:MODE

PassFailMode Property

Set Pass/Fail Scope:

  • Channel scope: The line resets to the default state after the measurements on a channel have completed.

  • Global scope: The line resets to the default state after the measurements on all triggerable channels have completed. (Default setting)

SCPI

COM

CONTrol:HANDler:PASSfail:SCOPe

PassFailScope Property

Pass/Fail Write Strobe

A Low pulse indicates that Pass/Fail line is valid and the Pass / Fail State is output to the material handler.

The Pass/Fail Strobe is fixed in duration and timing. However, when the strobe occurs depends on the Pass/Fail Mode and Pass/Fail Scope (Channel or Global) settings. See Pass/Fail State

See Pass/Fail Timing Diagram

+5V

+5V nominal output (100mA max).

Protected by self-healing fuse.

Sweep End

This output line indicates the status of the VNA sweep. The sweep includes sweeping the source and taking data.

  • Low (falling edge) indicates that the specified sweep event has finished. This does NOT indicate that all calculations have finished.

  • High indicates that the specified sweep event is active.

See Trigger Timing Diagram

Set Sweep Event Mode:

  • Sweep: indicates that a single source sweep has finished. (Default setting)

  • Channel: indicates that a single channel has finished.

  • Global: indicates that all enabled channels have finished.

SCPI

COM

CONTrol:HANDler:SWEepend

SweepEndMode Property

Timing Diagrams

Trigger Timing

All signals are active low.

T1 = 1 ms External Trigger pulse width

T2 > 10ms Sweep End pulse width (both High and Low)

Pass / Fail Timing

T1 = 1 ms Pulse width and response time of Pass / Fail Strobe

T2 > 10 ms Ready for Trigger lag

Ports A-F Data Output Write Timing

T1 = 1 ms Write Strobe response time

T2 = 1 ms Write Strobe pulse width

OUTPUT1|2 Data Output Write Timing

The old state to new state transition can be either low to high (as shown) or high to low.

T1 = .6 ms Output1|2 response time

T2 = 1 ms Input1 Strobe pulse width

Input / Output Electrical Characteristics

All Material Handler I/O Input and Output lines are TTL compatible.

Input and Input/Output lines

Lines carrying information IN (or bidirectional) to the VNA from the material handler.

Maximum Input Voltages: | -0.5 V to 5.5 V
TTL High level: | 2.0 V to 5.0 V
TTL Low level: | 0 V to 0.5 V

VNA Input and Input/Output Circuit Diagram

To Handler I/O Port

Note: The INPUT1 line does NOT have the 10K pull up resistor.

Output Lines

Lines carrying information OUT of the VNA to the material handler.

Maximum Output Current: |  | -10 mA to 10 mA
Output Current | TTL High level: | -5 mA
 | TTL Low level: | 3 mA
Output Voltage | TTL High level: | 2.0 V to 3.3 V
 | TTL Low level: | 0 V to 0.8 V

VNA Output Circuit Diagram

To Handler I/O Port

Last modified:

5-Jan-2016

First Release


Code Translator

Code Translator Application

The VNA has code emulators that allow you to control the VNA using test programs written in the remote control commands of the 8753 and E5071C. The code emulators process each of incoming 8753/E5071C commands in real time, by first recognizing it as a valid command, and then executing the VNA’s equivalent command(s) if one exist. The 8753 command emulation is performed by the CxL Application. The E5071C command emulation is performed by the E5071C command emulation mode of the VNA firmware. You can launch these code emulators as follows;

  1. Press System > System Settings > Code Emulation.

  2. Select 8753 or 5071

See also

Code Emulator for E5071C

CxL Help from Windows Start menu,

Last Modified:

5-Jan-2016

First Release


Code Emulator for E5071C

Overview

The E5071C code emulation mode is for remote controlling the VNA with test programs written for the E5071C ENA Series network analyzer. In the E5071C command emulation mode, the VNA firmware translates the incoming E5071C SCPI commands and executes the VNA’s equivalent command(s).

Notes

  • The E5071C code emulation mode supports the majority of the E5071C’s functions. But some specific functions are not supported. Typical examples of unsupported functions are the Frequency Offset Mode for mixer and harmonic measurements, the sweep-end detection using the status byte, and so on. Refer to Unsupported Commands for more details.

  • The E5071C emulation mode is basically for the remote control using the E5071C SCPI commands. The E5080A SCPI commands cannot be used in the E5071C code emulation mode, except for the commands for performing advanced error corrections such as the unknown-thru SOLT cal and mechanical full 3/4-port SOLT cal. Refer to How to perform advanced calibrations.

  • The possible trace/channel/window layouts made by the E5071C emulation mode are limited. Refer to Trace/channel/window layouts.

  • Unlike the E5071C, the VNA’s trace numbers are numbered sequentially through all channels. If we set the number of channels to 4 and the number of traces to 4 when starting the emulation mode, the trace-1 of the E5071C’s channel-1, 2, 3, and 4 will be assigned to the trace-1, 5, 9, and 13 in the E5080A.

  • If the number of channels you set in the dialog box is greater than the number of channels actually used in your measurement, the unused channels are displayed as blank channels.

  • If the number of traces you set in the dialog box is greater than the number of traces actually used in your measurement, the measurement parameters of unused trace are default (S11). Therefore, S11 is measured in the unused traces and source signal is outputted from port 1 (LED on port 1 is blinking) .

  • The COM commands used in the E5071C’s VBA function are not supported by the E5071C code emulation mode.

How to use the code emulator

  1. Press System > System Setting > Code Emulation > 5071, then the following dialog box is displayed.

  2. Select the required number of Channel and Trace for your measurement.

  3. Specify IDN string if you want to modify it. *IDN? returns the value you set.

  4. If you want to start with Code Emulator at next VNA application start up, check "Enable Code Emulation on Start Up".

  5. Click “Start”

  6. The dialog box of "To quit the emulation mode requires to exit the NA application. Do you want to continue?" is displayed. Click Ok.

  7. The E5080A is preset, then the number of trace and channel are set.

  8. Execute your program in the E5071C commands thorough GPIB, USB or LAN.

  9. To quit the emulation mode, press System > Main > Exit.

Function Coverage

Because some functions are a completely different way than the E5071C network analyzers, not all E5071C commands have a direct E5080A equivalent. There are some not supported and partial supported commands.

Unsupported Commands

Function not supported by E5071C code emulator | Related E5071C Commands | Comments
Status reporting system (status byte) | :STATus:xxxxx | Status reporting system does not supported by the code emulator.
Indicating fixture simulator topologies | :CALCulate<ch>:FSIMulator:BALun:TOPology:PROPerty:STATe | The E5080A cannot show the Topology property on the screen. Query always returns OFF.
Indicating bandwidth limit test values | :CALCulate<ch>[:SELected]:BLIMit:DISPlay:VALue :CALCulate<ch>:TRACe<tr>:BLIMit:DISPlay:VALue | The E5080A always show the bandwidth limit test value when CALC:SEL:BLIM:STAT is ON. Query always returns ON.
Setting search functions without putting markers on traces | :CALCulate<ch>[:SELected]:FUNCtion:DOMain:COUPle :CALCulate<ch>:TRACe<tr>:FUNCtion:DOMain:COUPle :CALCulate<ch>[:SELected]:FUNCtion:DOMain:STATe :CALCulate<ch>:TRACe<tr>:FUNCtion:DOMain:STATe | Query always returns OFF.
 | :CALCulate<ch>[:SELected]:FUNCtion:DOMain:STARt :CALCulate<ch>:TRACe<tr>:FUNCtion:DOMain:STARt :CALCulate<ch>[:SELected]:FUNCtion:DOMain:STOP :CALCulate<ch>:TRACe<tr>:FUNCtion:DOMain:STOP | The domain for search function without marker is not supported. Use the multi domain for search function with marker.
 | :CALCulate<ch>[:SELected]:FUNCtion:PEXCursion :CALCulate<ch>:TRACe<tr>:FUNCtion:PEXCursion | The peak and multi peak search function without marker are not supported. Use the multi domain search function with marker.
 | :CALCulate<ch>[:SELected]:FUNCtion:POINts :CALCulate<ch>:TRACe<tr>:FUNCtion:POINts | Query returns indeterminate value
 | :CALCulate<ch>[:SELected]:FUNCtion:PPOLarity :CALCulate<ch>:TRACe<tr>:FUNCtion:PPOLarity | Query always returns POSitive.
 | :CALCulate<ch>[:SELected]:FUNCtion:TARGet :CALCulate<ch>:TRACe<tr>:FUNCtion:TARGet | The multi target search function without marker is not supported. Use the search function with marker.
 | :CALCulate<ch>[:SELected]:FUNCtion:TTRansition :CALCulate<ch>:TRACe<tr>:FUNCtion:TTRansition | Query always returns BOTH.
Limit offset | :CALCulate<ch>[:SELected]:LIMit:OFFSet:AMPLitude :CALCulate<ch>:TRACe<tr>:LIMit:OFFSet:AMPLitude :CALCulate<ch>[:SELected]:LIMit:OFFSet:MARKer :CALCulate<ch>:TRACe<tr>:LIMit:OFFSet:MARKer :CALCulate<ch>[:SELected]:LIMit:OFFSet:STIMulus :CALCulate<ch>:TRACe<tr>:LIMit:OFFSet:STIMulus | Limit offset is not supported. Set the offset manually.
Setting search domains without putting markers on traces | :CALCulate<ch>[:SELected]:MARKer<mk>:FUNCtion:DOMain:COUPle :CALCulate<ch>:TRACe<tr>:MARKer<mk>:FUNCtion:DOMain:COUPle | Query always returns OFF.
 | :CALCulate<ch>[:SELected]:MARKer<mk>:FUNCtion:DOMain:STARt :CALCulate<ch>:TRACe<tr>:MARKer<mk>:FUNCtion:DOMain:STARt | The domain for search function without marker is not supported. Use the search function with marker.
 | :CALCulate<ch>[:SELected]:MARKer<mk>:FUNCtion:DOMain[:STATe] :CALCulate<ch>:TRACe<tr>:MARKer<mk>:FUNCtion:DOMain[:STATe] | The domain for search function without marker is not supported. Use the search function with marker. Query always returns ON.
 | :CALCulate<ch>[:SELected]:MARKer<mk>:FUNCtion:DOMain:STOP :CALCulate<ch>:TRACe<tr>:MARKer<mk>:FUNCtion:DOMain:STOP | The domain for search function without marker is not supported. Use the search function with marker.
Echo display | :DISPlay:ECHO:CLEar :DISPlay:ECHO[:DATA] :DISPlay:TABLe:POSition[:RECTangle] | The E5080A does not have Echo Display.
Inverting image color | :DISPlay:IMAGe | Invert image is not available for E5080A. Query always returns NORMal.
Hardcopy abort | :HCOPy:ABORt | Hard Copy Abort is not supported. Even E5071C with Windows 7 does not support this function.
Inverting image colors for printing | :HCOPy:IMAGe | Invert image for printing is not available for E5080A. Query always returns INVert.
Save ALL mode of saving state files | :MMEMory:STORe:SALL | The E5080A save the state for the displayed channels/traces only. Query always returns OFF.
Setting the trigger source for saving state files | :MMEMory:STORe:STSource:AUTO | The trigger source always remains as per user's setting at loading state file for the E5080A. Query always returns OFF.
Functions related to E5071C’s built-in VBA | :PROGram:CATalog :PROGram[:SELected]:NAME | The E5080A does not have built-in VBA.
 | :PROGram[:SELected]:STATe | Query always returns STOP.
Offset load and Sliding load calibrations | :SENSe<ch>:CORRection:COLLect[:ACQuire]:OLOad:LINE :SENSe<ch>:CORRection:COLLect[:ACQuire]:OLOad:LOAD:CLEar :SENSe<ch>:CORRection:COLLect[:ACQuire]:OLOad:LOAD:COUNt :SENSe<ch>:CORRection:COLLect[:ACQuire]:OLOad:LOAD:DONE :SENSe<ch>:CORRection:COLLect[:ACQuire]:OLOad:LOAD[:EXECute] :SENSe<ch>:CORRection:COLLect[:ACQuire]:SLOad:CLEar :SENSe<ch>:CORRection:COLLect[:ACQuire]:SLOad:COUNt :SENSe<ch>:CORRection:COLLect[:ACQuire]:SLOad:DONE :SENSe<ch>:CORRection:COLLect[:ACQuire]:SLOad:LOAD[:EXECute] :SENSe<ch>:CORRection:COLLect[:ACQuire]:SLOad:TRLLine[:EXECute] | These advanced calibrations are not supported by the E5071C emulation mode. To perform these calibrations, add the E5080A’s commands to your program.
Unknown thru and Adapter removal functions. | :SENSe<ch>:CORRection:COLLect:ADAPter<pt>:WAVeguide:CUToff :SENSe<ch>:CORRection:COLLect:ADAPter<pt>:WAVeguide:LENGth :SENSe<ch>:CORRection:COLLect:ADAPter<pt>:LENGth :SENSe<ch>:CORRection:COLLect:ADAPter<pt>:ROTate :SENSe<ch>:CORRection:COLLect:ECAL:THRU :SENSe<ch>:CORRection:COLLect:METHod:ADAPter:REMoval | Unknown thru and Adapter removal functions are not supported. To perform these calibrations, add the E5080A’s commands to your program.
Enhanced response cal, Full 3/4-port SOLT cal, TRL cal | :SENSe<ch>:CORRection:COLLect[:ACQuire]:TRLLine :SENSe<ch>:CORRection:COLLect[:ACQuire]:TRLReflect :SENSe<ch>:CORRection:COLLect[:ACQuire]:TRLThru :SENSe<ch>:CORRection:COLLect:METHod:ERESponse :SENSe<ch>:CORRection:COLLect:METHod:SOLT3 :SENSe<ch>:CORRection:COLLect:METHod:SOLT4 :SENSe<ch>:CORRection:COLLect:METHod:TRL2 :SENSe<ch>:CORRection:COLLect:METHod:TRL3 :SENSe<ch>:CORRection:COLLect:METHod:TRL4 | These advanced calibrations are not supported by the E5071C emulation mode. To perform these calibrations, add the E5080A’s commands to your program.
Clearing the calibration measurement data | :SENSe<ch>:CORRection:COLLect:CLEar | Clearing the calibration measurement data is not supported.
Partial cal overwrite | :SENSe<ch>:CORRection:COLLect:PARTial:SAVE | The E5080A does not have partial overwrite calibration function.
Simplified calibration | :SENSe<ch>:CORRection:COLLect:SIMPlified:SAVE | The E5080A does not have simplified calibration function.
Calibration Property | :SENSe<ch>:CORRection:PROPerty | Query always returns OFF. The E5080A has the calibration property in status bar.
The calibration functions in the Frequency Offset Mode | :SENSe<ch>:CORRection:OFFSet:CLEar :SENSe<ch>:CORRection:OFFSet:COLLect[:ACQuire]:LOAD :SENSe<ch>:CORRection:OFFSet:COLLect[:ACQuire]:OPEN :SENSe<ch>:CORRection:OFFSet:COLLect[:ACQuire]:PMETer :SENSe<ch>:CORRection:OFFSet:COLLect[:ACQuire]:SHORt :SENSe<ch>:CORRection:OFFSet:COLLect[:ACQuire]:THRU :SENSe<ch>:CORRection:OFFSet:COLLect:CLEar :SENSe<ch>:CORRection:OFFSet:COLLect:ECAL:SMIX2 :SENSe<ch>:CORRection:OFFSet:COLLect:ECAL:SOLT1 :SENSe<ch>:CORRection:OFFSet:COLLect:METHod:SMIX2 :SENSe<ch>:CORRection:OFFSet:COLLect:METHod:SOLT1 :SENSe<ch>:CORRection:OFFSet:COLLect:SAVE | The calibration functions for Frequency Offset Mode are not supported by the E5071C emulation mode. To perform these calibrations, add the E5080A’s commands to your program.
Functions related to the Frequency Offset Mode | :CALCulate<ch>[:SELected]:MIXer:XAXis :CALCulate<ch>:TRACe<tr>:MIXer:XAXis | Query always returns NORMal.
 | :CALCulate<ch>[:SELected]:OFFSet:XAXis :CALCulate<ch>:TRACe<tr>:OFFSet:XAXis | Query always returns RESPonse.
 | :SENSe<ch>:OFFSet:ASPurious :SENSe<ch>:OFFSet:LOCal:CONTrol[:STATe] :SENSe<ch>:OFFSet:LOCal[:FREQuency]:DATA :SENSe<ch>:OFFSet:LOCal[:FREQuency]:DIVisor :SENSe<ch>:OFFSet:LOCal[:FREQuency]:MULTiplier :SENSe<ch>:OFFSet:LOCal[:FREQuency]:OFFSet :SENSe<ch>:OFFSet:LOCal[:FREQuency]:STARt :SENSe<ch>:OFFSet:LOCal[:FREQuency]:STOP :SENSe<ch>:OFFSet:LOCal:POWer[:LEVel][:IMMediate][:AMPLitude] :SENSe<ch>:OFFSet:LOCal:POWer[:LEVel]:SLOPe[:DATA] :SENSe<ch>:OFFSet:LOCal:POWer[:LEVel]:SLOPe:STATe :SENSe<ch>:OFFSet:LOCal:STATe :SENSe<ch>:OFFSet:PORT<pt>[:FREQuency]:DATA :SENSe<ch>:OFFSet:PORT<pt>[:FREQuency]:DIVisor :SENSe<ch>:OFFSet:PORT<pt>[:FREQuency]:MULTiplier :SENSe<ch>:OFFSet:PORT<pt>[:FREQuency]:OFFSet :SENSe<ch>:OFFSet:PORT<pt>[:FREQuency]:STARt :SENSe<ch>:OFFSet:PORT<pt>[:FREQuency]:STOP :SENSe<ch>:OFFSet[:STATe] | The Frequency Offset Mode are not supported by the E5071C emulation mode. To perform these functions, add the E5080A’s commands to your program.
Segment list item control | :SENSe<ch>:SEGMent:LIST:CONTrol:STATe | The segment list item is fixed for the E5080A. Query always returns ON.
Backlight | :SYSTem:BACKlight | The E5080A cannot turn on/off backlight.
Signal generator control | :SYSTem:COMMunicate:GPIB:SGENerator:ADDRess :SYSTem:COMMunicate:GPIB:SGENerator:CCOMmand:FREQuency :SYSTem:COMMunicate:GPIB:SGENerator:CCOMmand:POWer :SYSTem:COMMunicate:GPIB:SGENerator:CCOMmand:PRESet :SYSTem:COMMunicate:GPIB:SGENerator:CCOMmand:RFON :SYSTem:COMMunicate:GPIB:SGENerator:DWELl :SYSTem:COMMunicate:GPIB:SGENerator:TYPE | Signal Generator control is not supported by the E5071C emulator mode.
Control functions for the E5091A multiport test set | :SENSe<ch>:MULTiplexer<id>:NAME | Default value is "E5092_13"
 | :SENSe<ch>:MULTiplexer<id>:OUTPut[:DATA] :SENSe<ch>:MULTiplexer<id>:TSET9:OUTPut[:DATA] :SENSe<ch>:MULTiplexer<id>:TSET9:PORT1 :SENSe<ch>:MULTiplexer<id>:TSET9:PORT2 :SENSe<ch>:MULTiplexer<id>:TSET9:PORT3 :SENSe<ch>:MULTiplexer<id>:TSET9:PORT4 | The E5080A does not support the E5091A.
Keyboard lock | :SYSTem:KLOCk:KBD | The E5080A cannot turn on/off keyboard lock. Query always returns OFF.
Commands for E5070B/E5071B | :SENSe:CORRection:COLLect:ECAL:ISOLation:STATe :SYSTem:TEMPerature:HIGH :SYSTem:TEMPerature[:STATe] :SENSe<ch>:SWEep:ASPurious | These commands do nothing even in the E5071C. These commands are provided because of its command compatibility with E5070B/E5071B. Query always returns OFF.
External test set mode | :SYSTem:TSET[:EXTernal] | The E5080A does not have the external test set mode. Query always returns OFF.
RF range auto for 8 term calibration | :SERVice:ADJust:SENSe<ch>:SWEep:RF:RANGe:PORT<pt>:AUTO | The E5080A does not support the RF range auto for 8 term calibration.

Partially supported commands.

The E5080A code emulator will attempt to translate the following commands to approximate the behavior of the E5071C commands. However, the results may include important operational or behavioral differences.

Commands

Description

:ABORt

Only support to abort a sweep by internal or external trigger. Cannot abort a sweep by manual trigger using TRIG:SEQ:IMM, TRIG:SEQ:SING or *TRG.

:CALCulate<ch>:PARameter<tr>:COUNt

Once increased, cannot be reduced

:CALCulate<ch>:PARameter<tr>:SPORt

Save/Recall/Preset are not applied

:CALCulate<ch>:PARameter<tr>:TNAMe:DATA

Save/Recall/Preset are not applied

:CALCulate<ch>:PARameter<tr>:TNAMe:SPORt

Save/Recall are not applied

:CALCulate<ch>[:SELected]:CONVersion[:STATe]

:CALCulate<ch>:TRACe<tr>:CONVersion[:STATe]

When this is turned off, then conversion type is set at default.

:CALCulate<ch>[:SELected]:FUNCtion:TYPE

:CALCulate<ch>:TRACe<tr>:FUNCtion:TYPE

PEAK, APEak, ATARget are not supported

:CALCulate<ch>[:SELected]:MARKer<mk>:BWIDth[:STATe]

:CALCulate<ch>:TRACe<tr>:MARKer<mk>:BWIDth[:STATe]

It is not possible to use both bandwidth search and notch search at the same time. When this is turned on, Notch search is turned off automatically.

:CALCulate<ch>[:SELected]:MARKer<mk>:FUNCtion:DOMain:MULTiple:RANGe

:CALCulate<ch>:TRACe<tr>:MARKer<mk>:FUNCtion:DOMain:MULTiple:RANGe

Query returns indeterminate value, if :CALC:SEL:MARK:FUNC:DOM:MULT[:STAT] is OFF.

:CALCulate<ch>[:SELected]:MARKer<mk>:FUNCtion:DOMain:MULTiple[:STATe]

:CALCulate<ch>:TRACe<tr>:MARKer<mk>:FUNCtion:DOMain:MULTiple[:STATe]

Once turned on, this cannot be turned off.

:CALCulate<ch>[:SELected]:MARKer<mk>:NOTCh[:STATe]

:CALCulate<ch>:TRACe<tr>:MARKer<mk>:NOTCh[:STATe]

It is not possible to use both bandwidth search and notch search at the same time. When this is turned on, bandwidth search is turned off automatically.

:CALCulate<ch>[:SELected]:MARKer<mk>:REFerence[:STATe]

:CALCulate<ch>:TRACe<tr>:MARKer<mk>:REFerence[:STATe]

Once turned on, this cannot be turned off

:CALCulate<ch>[:SELected]:MARKer<mk>:SET

:CALCulate<ch>:TRACe<tr>:MARKer<mk>:SET

RMARker is not supported.

:CALCulate<ch>[:SELected]:MARKer<mk>[:STATe]

:CALCulate<ch>:TRACe<tr>:MARKer<mk>[:STATe]

Once turned on, this cannot be turned off

:CALCulate<ch>[:SELected]:MSTatistics[:DATA]

:CALCulate<ch>:TRACe<tr>:MSTatistics[:DATA]

The search range is not supported. Always available in full range.

:CALCulate<ch>[:SELected]:PLIMit:DATA

:CALCulate<ch>:TRACe<tr>:PLIMit:DATA

If there is unexpected data, query command returns error

:CALCulate<ch>[:SELected]:SMOothing:APERture

:CALCulate<ch>:TRACe<tr>:SMOothing:APERture

Approximate to the nearest NOP-based percentage

:DISPlay:FSIGn

The default value is OFF which is different from the E5071C

:DISPlay:SPLit

If D1 is selected,it is converted to channel/sheet layout .For the other parameters, the channel is separated with sheet..

:DISPlay:TABLe[:STATe]

Table types of ECHO, PLOSs, SCFactor and RLIMit are not supported. In this case, the setting of ON doesn't work. Setting OFF works for all display types.

:DISPlay:TABLe:TYPE

ECHO, PLOSs, SCFactor and RLIMit are not supported and these tables are not shown.

:DISPlay:WINDow<ch>:SPLit

If D1 is selected, it is converted to channel/window layout. For the other parameters, it is converted to trace/window layout.

:MMEMory:LOAD[:STATe]

:MMEMory:STORe:STYPe is only CDState. both the file with .sta and .csa can be used as the parameter, and are loaded as *.csa.

:MMEMory:LOAD:PLIMIt

Point limit function is not available on the E5080A. Use :MMEMory:LOAD:LIMIt

:MMEMory:STORe[:STATe]

:MMEMory:STORe:STYPe is only CDState. both the file with .sta and .csa can be used as the parameter, and are saved as *.csa.

:MMEMory:STORe:STYPe

Only CDState is available. STATe, CSTate, DSTate is ignored. Query always returns CTState.

:SENSe<ch>:CORRection:CLEar

This also clears the receiver calibration correction data.

:SENSe<ch>:CORRection:COLLect:ECAL:PATH

Only support 2 or 4 port ECal module

:SENSe<ch>:CORRection:COLLect:ECAL:UCHar

Channel number is ignored.

:SENSe<ch>:CORRection:COLLect:ECAL:UTHRu[:STATe]

Unknown Thru for Ecal is always ON for the E5080A. Query always returns ON.

:SENSe<ch>:CORRection:DATA:CDATa

Zero are returned when non-corrected and non-displayed S parameters are selected.

:SENSe<ch>:CORRection:EXTension:PORT<pt>[:TIME]

The specified values are common for both coax and wave

:SENSe<ch>:CORRection:EXTension:PORT<pt>:WAVeguide:TIME

The specified values are common for both coax and wave

:SENSe<ch>:CORRection:RECeiver<pt>:OFFSet[:AMPLitude]

This setting is applied for all ports in the selected channel. The port number is ignored.

:SENSe<ch>:CORRection:RECeiver<pt>[:STATe]

This command executes SENS:CORR:STAT

:SENSe<ch>:CORRection:TRIGger:FREE[:STATe]

Use Internal trigger forcibly, when:TRIG:SEQ:SOUR is MANual.

:SENSe<ch>:CORRection:TYPE<tr>

  • When ERES (enhance response) is set. the query returns ERES,x,y,0,0. for both cases of Syx and Sxy.

  • When the RESPS (response short) is set, the query returns RESPO (response open)

:SENSe<ch>:DATA:CORRdata

:SENSe<ch>:DATA:RAWData

Zero are returned, when non-corrected and non-displayed S parameters are selected

:SENSe<ch>:SEGMent:DATA

Query frequency format is always start/stop

:SENSe<ch>:SEGMent:LIST:BWIDth:PORT<pt>[:RESolution]

Shared value is used in port-coupled-IFBW and uncoupled-IFBW at Port1

:SENSe<ch>:SEGMent:LIST:POWer:PORT<pt>:STATe

:SOUR:POW:PORT:COUP is linked. When this port state is [ON/OFF], then coupling is [OFF/ON].

:SERVice:ADJust:RF:RANGe:FIxed[:STATe]

The E5071C emulation mode always detects overload while the

:SYSTem:BEEPer:COMPlete:STATe

:SYSTem:BEEPer:WARNing:STATe

The setting is coupled and have the same setting.

:SYSTem:DATE

Execution error occurs at setting time and date.

:SYSTem:ERRor

VNA SYST:ERR:NEXT? in Parser is called

:SYSTem:ISPControl:PORT

No need to set any port for Initial Source Port Control unlike E5071C

:SYSTem:KLOCk:MOUSe

Mouse is not locked by this command.

:SYSTem:TIME

Execution error occurs at setting time and date.

:TRIGger[:SEQuence]:AVERage

The function is not supported when TRIG:SEQ:SOUR is INTernal or EXTernal.

*TRG

This command is also available when TRIG:SEQ:SOUR is MANual.

:TRIGger[:SEQuence]:SOURce

When BUS is set, MANual is set actually.

Modify Cal Kit

The modification of a factory default Cal Kit is partially supported.

Supported:

  • Modify a defined value of a standard.

Not supported:

  • Add a new standard.

  • Remove a standard.

  • Change an order of subclass.

Alternatively, the modification of your custom Cal Kit is completely supported.

Cal Kit ID | Description
1 to 21 | factory default Cal Kits.
22 to 36 | Are used for the code emulation. Note that if you modify a Cal Kit which is used for the code emulation, then a calibration won’t work correctly. Use SENS:CORR:COLL:CKIT:RES to restore the all Cal Kit files to their factory default definitions.
37 to 99 | No assignment. You can create a new custom Cal Kit.

Cal Kit ID in E5071C and E5071C code emulator | Cal Kit name in E5071C | Cal Kit ID in E5080A | Cal Kit name in E5080A
1 | 85033E | 9 | 85033D/E
2 | 85033D | 9 | 85033D/E
3 | 85052D | 7 | 85052D
4 | 85032F | 1 | 85032F
5 | 85032B/E | 2 | 85032B/E
6 | 85036B/E | 5 | 85036B/E
7 | 85031B | 24 | 85031B
8 | 85050C/D | 22 | 85050C
9 | 85052C | 10 | 85052C
10 | 85038A/F/M | 20 | 85038A
11 | 85054D | 4 | 85054D
12 | 85056D | 12 | 85056D
13 | 85056K | 15 | 85056K
14 | 85039B | 6 | 85039B
15 | X11644A | 27 | X11644A
16 | P11644A | 28 | P11644A
17 | K11644A | 29 | K11644A
18 | 85050B | 21 | 85050B
19 | 85052B | 8 | 85052B
20 | 85054B | 3 | 85054B
21 | 85056A | 11 | 85056A

The conversion of subclass order in the E5071C code emulator

Subclass orders of some factory default Cal Kits of the E5080A are different from the E5071C. In the E5071C code emulator, subclass orders are converted automatically. Note that subclass orders if you create a custom Cal Kit from an exist Cal Kit.

Cal Kit name in E5071C | Subclass index in E5071C and E5071C code emulator | Subclass index in E5080A
85032F, 85036B/E | OPEN 1 | OPEN 2
 | OPEN 2 | OPEN 1
 | SHORT 1 | SHORT 2
 | SHORT 2 | SHORT 1
85032B/E | OPEN 1 | OPEN 2
 | OPEN 2 | OPEN 1
 | SHORT 1 | SHORT 2
 | SHORT 2 | SHORT 1
 | LOAD 1 | LOAD 2
85052B | OPEN 5 | OPEN 2

Maximum number of Cal Kit, standard, subclass

The maximum number of calkit and subclass are different from the E5071C.

Description | E5071C | Code emulator for E5071C
Cal Kit | 30 | 99
Standard | 30 | 30
Subclass | 30 | 7

How to perform advanced calibrations

The calibrations that can be performed with the translated E5071C calibration commands are only the following ones;

  • Mechanical calibration

    • Response calibration (Open, Short and Thru)

    • Full 1 port calibration

    • 2 port SOLT calibration with defined Thru

    • Isolation calibration

  • Ecal

    • Full 1,2 port calibration with 2 port Ecal module

    • Full 1/2/3/4-port ECal with factory cal data

    • Enhance response calibration

    • Unknown Thru Calibration

    • Ecal User Characterization

    • Confidence Check

    • To turn off auto orientation

  • Source power calibration

  • Receiver power calibration (Both correction states of SOLT calibration and receiver calibrations are shared.

If you want to perform the following advanced calibrations in the E5071C code emulation mode, modify your test program to add the whole calibration routine using the E5080A calibration commands;

  • Mechanical calibration

    • Enhanced response calibration

    • 2 port SOLT calibration with unknown thru

    • 3, 4-port SOLT calibration

    • Mixed-connector cal,

    • 2, 3, 4 TRL calibration

  • Ecal

    • Full 3,4 port calibration with 2 port Ecal module

    • Thru response calibration

    • Defined Thru

Use the following E5080A commands to perform these advanced calibrations in the E5071C code emulation mode;

  • SENSe<ch>:CORRection:COLLect:GUIDed:CONNector:PORT<pnum>[:SELect] <conn>

  • SENSe<ch>:CORRection:COLLect:GUIDed:CKIT:PORT<pnum>[:SELect] <kit>

  • SENSe<ch>:CORRection:COLLect:GUIDed:INITiate[:IMMediate] [string][, bool][,char]

  • SENSe<ch>:CORRection:COLLect:GUIDed:STEPs?

  • SENSe<ch>:CORRection:COLLect:GUIDed:DESCription? <step>

  • SENSe<ch>:CORRection:COLLect:GUIDed[:ACQuire] <std>[,sync]

  • SENSe<ch>:CORRection:COLLect:GUIDed:SAVE[:IMMediate] [bool]

  • SENSe<ch>:CORRection:COLLect:GUIDed:PATH:CMEThod <port1>,<port2>,<caltype1[,caltype2]>

  • SENSe<ch>:CORRection:COLLect:GUIDed:PATH:TMEThod <port1>,<port2>,<thruType1[,thruType2]>

  • SENSe<ch>:CORRection:COLLect:GUIDed:THRU:PORTs <t1a, t1b, t2a, t2b, t3a, t3b...>

  • SENSe<ch>:CORRection:COLLect:GUIDed:ABORt

The following commands are operated as SYNChronous

  • :SENSe<ch>:CORRection:COLLect:GUIDed:INITiate[:IMMediate] [string][, bool][,char]

  • :SENSe<ch>:CORRection:COLLect:GUIDed[:ACQuire] <std>[,sync]

Sample Program

The following shows an example for performing the mechanical 3-port SOLT cal in the E5071C emulation mode;

  • Setup the 4 trace with the E5071C commands

  • Execute the full 3 port calibration with the E5080A commands

Sub SampleGuidedCal2Port()
'*** The variables of the resource manager and the instrument I/O are declared.
Dim ioMgr As VisaComLib.ResourceManager
Dim GPIB As VisaComLib.FormattedIO488
'*** The memory area of the resource manager and the instrument I/O are acquired.
Set ioMgr = New VisaComLib.ResourceManager
Set GPIB = New VisaComLib.FormattedIO488
'*** Open the instrument.
Set GPIB.IO = ioMgr.Open("GPIB1::16::INSTR")
GPIB.IO.timeout = 10000

Dim numSteps As Integer, strPrompt As String
'
' Setup for 4 traces with the E5071C commands
'
GPIB.WriteString ":SYST:PRES", True 'Set number of traces'

GPIB.WriteString ":CALC1:PAR:COUN 4", True 'Set number of traces
GPIB.WriteString ":DISP:SPL D1_2", True 'Set graph layout
'
GPIB.WriteString ":CALC1:PAR1:DEF S11", True 'Set measurement parameter
GPIB.WriteString ":CALC1:PAR1:SEL", True ' Make trace active
GPIB.WriteString ":CALC1:FORM SMITH", True ' Set data format
'
GPIB.WriteString ":CALC1:PAR2:DEF S21", True 'Set measurement parameter
GPIB.WriteString ":CALC1:PAR2:SEL", True ' Make trace active
GPIB.WriteString ":CALC1:FORM MLOG", True ' Set data format
'
GPIB.WriteString ":CALC1:PAR3:DEF S12", True 'Set measurement parameter
GPIB.WriteString ":CALC1:PAR3:SEL", True ' Make trace active
GPIB.WriteString ":CALC1:FORM MLOG", True ' Set data format
'
GPIB.WriteString ":CALC1:PAR4:DEF S31", True 'Set measurement parameter
GPIB.WriteString ":CALC1:PAR4:SEL", True ' Make trace active
GPIB.WriteString ":CALC1:FORM MLOG", True ' Set data format
'
' Execute the 3-port SOLT calibration with the E5080A commands
'
' Specify the DUT connectors
GPIB.WriteString ":SENS:CORR:COLL:GUID:CONN:PORT1 ""APC 3.5 female""", True
GPIB.WriteString ":SENS:CORR:COLL:GUID:CONN:PORT2 ""APC 3.5 male""", True
GPIB.WriteString ":SENS:CORR:COLL:GUID:CONN:PORT3 ""APC 3.5 male"" ", True
GPIB.WriteString ":SENS:CORR:COLL:GUID:CONN:PORT4 ""Not used"" ", True
' Select the Cal Kit for each port being calibrated.
GPIB.WriteString ":SENS:CORR:COLL:GUID:CKIT:PORT1 ""85052D""", True
GPIB.WriteString ":SENS:CORR:COLL:GUID:CKIT:PORT2 ""85052D""", True
GPIB.WriteString ":SENS:CORR:COLL:GUID:CKIT:PORT3 ""85052D""", True
MsgBox "Cal kits defined for Ports 1 to 3 "
' Initiate the calibration and query the number of steps
GPIB.WriteString ":SENS:CORR:COLL:GUID:INIT"
GPIB.WriteString ":SENS:CORR:COLL:GUID:STEPS?"
numSteps = GPIB.ReadNumber
MsgBox "Number of steps is " + CStr(numSteps)
' Measure the standards
'The following series of commands shows that standards
'can be measured in any order. These steps acquire
'measurement of standards in reverse order.
'It is easiest to iterate through standards using
'a For-Next Loop.
For i = numSteps To 1 Step -1
step = "Step " + CStr(i) + " of " + CStr(numSteps)
GPIB.WriteString ":SENS:CORR:COLL:GUID:DESC? " + CStr(i)
strPrompt = GPIB.ReadString
MsgBox strPrompt, vbOKOnly, step
GPIB.WriteString ":SENS:CORR:COLL:GUID:ACQ STAN" + CStr(i), True
Next
' Conclude the calibration
GPIB.WriteString ":SENS:CORR:COLL:GUID:save", True
MsgBox "Cal is done!"

'*** End procedure
GPIB.IO.Close
End Sub

Trace/channel/window layouts

In the E5071C code emulation mode, the possible trace/channel/window layouts are limited. The layouts depend on the E5071C commands executed in your program. The traces in one channel are all split to different windows one by one, or all plotted in the same window. The multiple channels are assigned to different tabbed sheets, or to one tabbed sheet (only when the traces in one channel are plotted to one window). The following shows some examples of how the layouts are made by the E5071C commands on the E5080A display. If necessary, modify your program to get your desired layout.

Note: If the number of channels you set in the dialog box is greater than the number of channels actually used in your measurement, the unused channels are displayed as blank channels, as described before.

Ch1: four traces, one window per trace

:DISP:SPL D1

:CALC1:PAR:COUN 4

:DISP:WIND1:SPL D1234 (or any parameters excepts for D1)

Ch1: four traces and Ch2: four traces, one window per channel

:DISP:SPL D12

:CALC1:PAR:COUN 4

:CALC2:PAR:COUN 4

(Do not execute :DISP:WINDx:SPL D1 here. If your program has this command, delete it.)

Ch1:Trace-1 to 4 and Ch2:Trace-1 to 4, one window per channel, one sheet per channel

:DISP:SPL D12

:CALC1:PAR:COUN 4

:CALC2:PAR:COUN 4

:DISP:WIND1:SPL D1

:DISP:WIND2:SPL D1

Ch1:Trace-1 to 4 and Ch2:Trace-1 to 4, one window per trace, one sheet per channel

:DISP:SPL D12

:CALC1:PAR:COUN 4

:CALC2:PAR:COUN 4

:DISP:WIND1:SPL D1234 (or any parameters excepts for D1)

:DISP:WIND2:SPL D1234


Time Domain

Time Domain allows you to view a device response as a function of time. The following are discussed in this topic:

  • Overview

  • How the VNA Measures in the Time Domain

  • Calibration for Time Domain

  • Transmission Measurements

  • Measurement Response Resolution

  • Measurement Range and Alias Responses

  • How to make Time Domain Settings

  • Gating

  • Window Settings

Note: Time Domain measurements are only available on VNAs with Option 010. See VNA Options

See the updated App Note: Time Domain Analysis Using a Network Analyzer.

Overview

In normal operation, the VNA measures the characteristics of a test device as a function of frequency. With Time Domain (opt 010), the frequency information is used to calculate the inverse Fourier transform and display measurements with time as the horizontal display axis. The response values appear separated in time, allowing a different perspective of the test device's performance and limitations.

The graphic below compares the same cable reflection measurement data in both the frequency and time domain. The cable has two bends. Each bend creates a mismatch or change in the line impedance.

  • The frequency domain S11 measurement shows reflections caused by mismatches in the cable. It is impossible to determine where the mismatches physically occur in the cable.

  • The time domain response shows both the location and the magnitude of each mismatch. The responses indicate that the second cable bend is the location of a significant mismatch. This mismatch can be gated out, allowing you to view the frequency domain response as if the mismatch were not present. Distance Markers can be used to pinpoint the distance of the mismatch from the reference plane.

How the VNA Measures in the Time Domain

Time domain transform mode simulates traditional Time-Domain Reflectometry (TDR), which launches an impulse or step signal into the test device and displays the reflected energy on the TDR screen. By analyzing the magnitude, duration, and shape of the reflected waveform, you can determine the nature of the impedance variation in the test device.

The VNA does not launch an actual incident impulse or step. Instead, a Fourier Transform algorithm is used to calculate time information from the frequency measurements. The following shows how this occurs.

A single frequency in the time domain appears as a sine wave. In the following graphic, as we add the fundamental frequency (F0), the first harmonic (2F0), and then the second harmonic (3F0), we can see a pulse taking shape in the Sum waveform. If we were to add more frequency components, the pulse would become sharper and narrower. When the VNA sends discrete frequencies to the test device, it is in effect, sending individual spectral pieces of a pulse separately to stimulate the test device.

During an S11 reflection measurement, these incident signals reflect from the test device and are measured at the A receiver. This is when the time domain transform calculations are used to add the separate spectral pieces together.

For example, consider a short length of cable terminated with an open. All of the power in the incident signal is reflected, and the reflections are 'in-phase' with the incident signal. Each frequency component is added together, and we see the same pattern as the simulated incident would have looked (above). The magnitude of the reflection is related to the impedance mismatch and the delay is proportional to the distance to the mismatch. The x-axis (time) scale is changed from the above graphic to better show the delay.

Alternately, the same cable terminated with a short also reflects all of the incident power, but with a phase shift of 180 degrees. As the frequency components from the reflection are added together, the sum appears as a negative impulse delayed in time.

Calibration for Time Domain

For simplicity, we have discussed incident signals reflecting off discontinuities in the test device. By far the most common network analyzer measurement to transform to time domain is a ratioed S11 measurement. An S11 reflection measurement does not simply display the reflections measured at the A receiver - it displays the ratio (or difference) of the A receiver to the Reference receiver. In addition, the S11 measurement can also be calibrated to remove systematic errors from the ratioed measurement. This is critical in the time domain as the measurement plane, the point of calibration, becomes zero on the X-axis time scale. All time and distance data is presented in reference to this point. As a result, both magnitude and time data are calibrated and very accurate.

The following shows where the time domain transform occurs in the VNA data flow: (see Data Access Map)

  1. Acquire raw receiver (A and R1) data

  2. Perform ratio (A/R1)

  3. Apply calibration

  4. Transform data to time domain

  5. Display results

Therefore, although a time domain trace may be displayed, a calibration is always performed and applied to the frequency domain measurement which is not displayed.

Transmission Measurements

The most common type of measurement to transform is an S11 reflection measurement. However, useful information can be gained about a test device from a transformed S21 transmission measurement. The frequency components pass through the test device and are measured at the B receiver. If there is more than one path through the device, they would appear as various pulses separated in time.

For example, the following transmission measurement shows multiple paths of travel within a Surface Acoustic Wave (SAW) filter. The largest pulse (close to zero time) represents the propagation time of the shortest path through the device. It may not be the largest pulse or represent the desired path. Each subsequent pulse represents another possible path from input to output.

Triple travel is a term used to describe the reflected signal off the output, reflected again off the input, then finally reappearing at the output. This is best seen in a time domain S21 measurement.

Measurement Response Resolution

In the previous paragraphs, we have seen that using more frequency components causes the assembled waveform to show more detail. This is known as measurement response resolution, which is defined as the ability to distinguish between two closely spaced responses.

Note: Adjusting the transform time settings improves display resolution, but not measurement resolution.

The following graphic shows the effect of both a narrow and wide frequency span on the response resolution. The wider frequency span enables the analyzer to resolve the two connectors into separate, distinct responses.

Resolution Formula

For responses of equal amplitude, the response resolution is equal to the 50% (−6 dB) points of the impulse width, or the step rise time which is defined as the 10 to 90% points as shown in the following image.

The following table shows the approximated relationship between the frequency span and the window selection on response resolution for responses of equal amplitude.

Window | Low-pass step (10% to 90%) | Low-pass impulse (50%) | Bandpass impulse
Minimum | 0.45 / f span | 0.60 / f span | 1.20 / f span
Normal | 0.99 / f span | 0.98 / f span | 1.95 / f span
Maximum | 1.48 / f span | 1.39 / f span | 2.77 / f span

For example, using a 10 GHz wide frequency span and a normal window in Bandpass impulse mode, response resolution (in time) equals:

  • Time Res = 1.95 / frequency span

  • Time Res = 1.95 / 10 GHz

  • Time Res = 195 ps

To calculate the physical separation (in distance) of the responses which can be resolved, multiply this value times the speed of light (c) and the relative velocity (Vf) of propagation in the actual transmission medium. In this case, Vf = 0.66 for polyethylene dielectric.

  • Distance Res = 195 ps x c x Vf

  • Distance Res = 195 ps x (2.997925 E8 m/s) x .66

  • Distance Res = 38 mm

For reflection measurements, because of the 2-way travel time involved, this means that the minimum resolvable separation between discontinuities is half of this value or 19 mm.

Although a wider frequency span causes better measurement resolution, the measurement range becomes limited. Also, increasing the frequency range can cause a measurement calibration to become invalid. Be sure to adjust the frequency span BEFORE performing a calibration.

Measurement Range and Alias Responses

Measurement range is the length in time in which true time domain responses can be seen. The measurement range should be large enough to see the entire test device response without encountering a repetition (alias) of the response. An alias response can hide a true time domain response.

To increase measurement range in both modes, change either of these settings:

  • Increase the number of points

  • Decrease the frequency span

Notes:

  • After making these settings, you may need to adjust the transform time settings to see the new measurement range.

  • Decreasing the frequency span degrades measurement resolution.

  • Make frequency span and number of points settings BEFORE calibrating.

  • Maximum range also depends on loss through the test device. If the returning signal is too small to measure, the range is limited regardless of the frequency span.

Alias Responses

An alias response is not a true device response. An alias response repeats because each time domain waveform has many periods and repeats with time (see How the VNA Measures in the Time Domain). Alias responses occur at time intervals that are equal to 1/ frequency step size.

The VNA adjusts the transform time settings so that you should only see one alias free range on either side (positive and negative) of zero time. However, these settings are updated only when one of the toolbar settings are changed.

To determine if a response is true, put a marker on the response and change the frequency span. A true device response will not move in time. An alias response will move.

For example, in the above graphic, the marker 1 response occurs at 14.07 inches. When the frequency span is changed, this response remains at 14.07 inches. The marker 2 response moves.

Range Formula

You can calculate the alias-free measurement range (in meters) of the VNA using the following formula for TDR (reflection) measurements:

Range (meters) = (1/Δf) x Vf x c

Where:

  • Δf = frequency step size (frequency span/number of points-1)

  • Vf = the velocity factor in the transmission line

  • c = speed of light = 2.997925 E8 m/s

For example: For a measurement with 401 points and a span of 2.5 GHz, using a polyethylene cable (Vf = 0.66)

  • Range = (1 / (2.5E9 / 400)) x 2.997925 E8 m/s x 0.66

  • Range = 6.25E6 x 2.997925 E8 m/s x 0.66

  • Range = 32 meters

In this example, the range is 32 meters in physical length. To prevent the time domain responses from overlapping or aliasing, the test device must be 32 meters or less in physical length for a transmission measurement.

To calculate the one-way distance for a reflection measurement rather than round-trip distance, simply divide the length by 2. In this case, the alias-free range would be 16 meters.

How to make Time Domain Settings

Using Hardkey/SoftTab/Softkey

  1. Press Math > Time Domain > Time Domain Setup...

Transform dialog box / Math > Time Domain Softtab help

Transform Turns time domain transform ON and OFF.

Time Settings

The following settings adjust the display resolution, allowing you to zoom IN or OUT on a response. They do NOT adjust measurement range or measurement resolution.

These settings automatically update (when one of these values are updated) to limit the display to one alias-free response on either side of zero time.

Start Sets the transform start time that is displayed on the VNA screen.

Note: Zero (0) seconds is always the measurement reference plane. Negative values are useful if moving the reference plane.

Stop Sets the transform stop time that is displayed on the VNA screen.

Center Sets the transform center time that is displayed in the center of the VNA screen.

Span Sets the transform span time that is split on either side of the Center value.

Transform Mode

Transform modes are three variations on how the time domain transform algorithm is applied to the frequency domain measurement. Each method has a unique application.

Mode

Benefit - application

Limitation

Low pass Impulse

Highest resolution.

Most useful for seeing small responses in devices that pass low frequencies, such as cables.

In both Low pass modes, frequencies down to DC and negative frequencies are extrapolated. Therefore, the Start frequency is adjusted when you click Set Freq.Low Pass

Because this will affect calibration accuracy, be sure to calibrate AFTER completely setting up your time domain measurement.

Low pass Step

Easiest to identify inductive and capacitive discontinuities in devices that pass low frequencies, such as cables.

Band pass Impulse

Easiest method - can be used with any frequency sweep.

Most useful for measuring band limited devices such as filters and DC blocked cables.

Does NOT show capacitive and inductive reactance

For the same frequency span and number of points, band pass mode has twice the impulse width, which hides closely spaced responses degrading the response resolution.

The following chart shows how to interpret results from various discontinuity impedances using Low pass Step and either Low pass or Band pass Impulse modes.

Effect on Measurement Range

Band pass mode - measurement range is inversely proportional to frequency step size.

Low pass mode - measurement range is inversely proportional to the fundamental (start ) frequency AFTER clicking Set Low Pass Frequencies.

Set Low Pass Frequencies USE ONLY IN LOW PASS MODES

Recomputes the start frequency and step frequencies to be harmonics of the start frequency. Start frequency is computed by the following formula: Low Pass Start Frequency = Stop Frequency / Number of points.

The computed value must always be greater than or equal to the analyzer's minimum frequency.

Note: The number of points or stop frequency may be changed in order to compute this value.

Gating

Perhaps the most beneficial feature of time domain transform is the Gating function. When viewing the time domain response of a device, the gating function can be used to "virtually" remove undesired responses. You can then simultaneously view a frequency domain trace as if the undesired response did not exist.. This allows you to characterize devices without the effects of external devices such as connectors or adapters.

Note: When a discontinuity in a test device reflects energy, that energy will not reach subsequent discontinuities. This can "MASK", or hide, the true response which would have occurred if the previous discontinuity were not present. The VNA Gating feature does NOT compensate for this.

The following measurements images show a practical example how to use and perform gating. The test device is a 10inch cable, then a 6 dB attenuator, terminated with a short. The following four discontinuities are evident in window 2, from left to right:

  1. A discontinuity in the test system cable which appeared after calibration. It is identified by marker 2 at -10.74 inches (behind the reference plane).

  2. A discontinuity in the 10 inch device cable shortly after the reference plane.

  3. The largest discontinuity is the attenuator and short shown by marker 1 at -12.67 dB ( 6 dB loss in both forward and reverse direction).

  4. The last discontinuity is a re-reflection from the device cable.

We will gate IN the attenuator response. All other responses will be gated OUT.

Window 1. Create original S11 frequency domain trace. Shows ripple from all of the reflections.

Window 2. Create a new S11 trace - same channel; new window. Turn Transform ON.

Window 3. On the transformed trace, turn gating ON. Center the gate on the large discontinuity (2.500ns). Adjust gate span to completely cover the discontinuity. Select Bandpass gating type.

Window 4. On the original frequency measurement, turn Gating ON (Transform remains OFF). View the measurement without the effects of the two unwanted discontinuities. The blue trace is a measurement of the 6 dB attenuator with the unwanted discontinuities PHYSICALLY removed. The difference between the two traces in window 4 is the effect of "masking".

Learn how to launch the Transform dialog box

Transform Gating dialog box help

Gating Turns Gating ON and OFF.

Start Specifies the start time for the gate.

Stop Specifies the stop time for the gate.

Center Specifies the value at the center of the area that is affected by the gating function. This value can be anywhere in the analyzer range.

Span Specifies the range to either side of the center value of area that is affected by the gating function.

Gate Type Defines the type of filtering that will be performed for the gating function. The gate start and stop flags on the display point toward the part of the trace you want to keep.

  • Bandpass - KEEPS the responses within the gate span.

  • Notch - REMOVES the responses with the gate span.

Gate Shape Defines the filter characteristics of the gate function. Choose from Minimum, Normal, Wide, Maximum

Gate Shape | Passband Ripple | Sidelobe Levels | Cutoff Time | Minimum Gate Span
Minimum | ±0.1 dB | -48 dB | 1.4/Freq Span | 2.8/Freq Span
Normal | ±0.1 dB | -68 dB | 2.8/Freq Span | 5.6/Freq Span
Wide | ±0.1 dB | -57 dB | 4.4/Freq Span | 8.8/Freq Span
Maximum | ±0.01 dB | -70 dB | 12.7/Freq Span | 25.4/Freq Span

Cutoff time -- is the time between the stop time (-6 dB on the filter skirt) and the peak of the first sidelobe. The diagram below shows the overall gate shape and lists the characteristics for each gate shape.

  • T1 is the gate span, which is equal to the stop time minus the start time.

  • T2 is the time between the edge of the passband and the 6 dB point, representing the cutoff rate of the filter.

  • T3 is the time between the 6 dB point and the edge of the gate stopband.

  • For all filter shapes T2 is equal to T3, and the filter is the same on both sides of the center time.

Minimum gate span -- is twice the cutoff time. Each gate shape has a minimum recommended gate span for proper operation. This is a consequence of the finite cutoff rate of the gate. If you specify a gate span that is smaller than the minimum span, the response will show the following effects:

  • distorted gate shape that has no passband

  • distorted shape

  • incorrect indications of start and stop times

  • may have increased sidelobe levels

Window Settings

There are abrupt transitions in a frequency domain measurement at the start and stop frequencies, causing overshoot and ringing in a time domain response. The window feature is helpful in lessening the abruptness of the frequency domain transitions. This causes you to make a tradeoff in the time domain response. Choose between the following:

  • Minimum Window = Better Response Resolution - the ability to resolve between two closely spaced responses.

  • Maximum Window = Dynamic Range - the ability to measure low-level responses.

Learn how to launch the Transform dialog box

Transform - Window dialog box help

The window settings balance response resolution versus dynamic range.

  • Minimum Window = Best Response Resolution

  • Maximum Window = Best Dynamic Range

The following three methods all set window size. For best results, view the time domain response while making these settings.

  • Minimum - Maximum Move the slider with a mouse to change the window size

  • Kaiser Beta Changes window size using a Kaiser Beta value

  • Impulse Width Changes window size using an Impulse Width value

Learn more about Windowing (top)

To launch the Coupling dialog box, click Coupling tab on the Time Domain Setup dialog box.

Trace Coupling Settings dialog box help

Trace coupling allows you to change time domain parameters on a measurement, and have the same changes occur for all other measurements in the channel.

For example:

If you are simultaneously viewing a frequency domain measurement and time domain measurement,

and Coupling is enabled in this dialog box,

and ALL Gating Parameters are checked in this dialog box,

and on the time domain measurement you change the Gate Span parameter,

Then the frequency domain measurement will automatically change to reflect the time domain gated span.

Note: Trace coupling applies ONLY to the Y-axis scale/reference settings. There are no changes to your data as a result of trace coupling.

Coupling ON/OFF Check to enable coupling. All of the measurements in the active channel are coupled.

The following parameters are available for coupling:

Transform Parameters

Stimulus Start, Stop, Center, and Span TIME settings.

State (On/Off) Transform ON and OFF

Window Kaiser Beta / Impulse Width

Mode Low Pass Impulse, Low Pass Step, Band Pass

Gating Parameters

Stimulus Start, Stop, Center, and Span TIME settings.

State (On/Off) Gating ON and OFF

Shape Minimum, Normal, Wide, and Maximum

Type Bandpass and Notch

To launch the marker dialog box, click Marker tab on the Time Domain Setup dialog box.

Distance Marker Settings dialog box help

When markers are present on a time domain measurement, distance is automatically displayed on the marker readout, marker table, and print copy. To learn how to create markers on your measurement see marker settings.

You can read out impedance versus time by creating a marker on a Time Domain trace of low-pass step mode and changing the marker format to R+jX. Learn how.

This dialog box allows you to customize the time domain distance marker readings.

These settings affect the display of ALL markers for only the ACTIVE measurement (unless Distance Marker Unit is coupled on the Trace Coupling dialog box.

Marker Mode Specifies the measurement type in order to determine the correct marker distance.

Auto If the active measurement is an S-Parameter, automatically chooses reflection or transmission. If the active measurement is a non S-Parameter, reflection is chosen.

Reflection Displays the distance from the source to the receiver and back divided by two (to compensate for the return trip.)

Transmission Displays the distance from the source to the receiver.

  • Select Auto for S-Parameter measurements.

  • Select Reflection or Transmission for arbitrary ratio or unratioed measurements.

Units Specifies the unit of measure for the display of marker distance values.

Velocity Factor Specifies the velocity factor that applies to the medium of the device that was inserted after the measurement calibration. The value for a polyethylene dielectric cable is 0.66 and 0.7 for PTFE dielectric. 1.0 corresponds to the speed of light in a vacuum. This is useful in Time Domain for accurate display of time and distance markers.

This setting can also be made from the Electrical Delay and Port Extensions dialog boxes.

How to launches the Time Domain Toolbar

Using Hardkey/SoftTab/Softkey

  1. Math > Time Domain > TD Toolbar

On the toolbar, click More... to launch the Time Domain dialog box

Last Modified:

5-Jan-2016

First Release


Home Frequency Offset Measurements

Frequency Offset Measurements

Frequency Offset measurements require the VNA source to tune to a different frequency than the VNA receiver. This capability is offered as an option 009 of the E5080A .

  • SMC

    • FCA Overview

    • SMC Measurements

    • Mixer Converter Setup

  • Frequency Offset Mode

    • Vector-Mixer Calibration


FCA Overview

Frequency Converter Application

FCA includes both Scalar (SMC) and Vector (VMC) measurements and calibrations.

In this topic:

  • FCA Options Explained

  • SMC Overview

  • Requirements and Limitations

  • How to make SMC Measurements

    • Create a Measurement

    • Make Measurement Settings

      • Sweep Tab

        • Segment Sweep

      • Power Tab

      • Mixer Setup Tabs (separate topic)

      • Select X-axis Display

      • Save Trace Data

See Also

  • SMC Measurements and Calibrations

  • Configure an External LO Source

  • For a detailed understanding of FCA, see our Mixer Measurements App Notes.

Other Application topics

FCA Options Explained

  • E5080A Option 009 provides which includes Scalar Mixer (SMC) and Vector Mixer (VMC) Measurements.

Note: The VMC of the E5080A is provided by macro.

SMC Oveview

Scalar Mixer Calibration

Overview

Provides highest Scalar accuracy for measurements of conversion loss/gain.

Combines SOLT and power-meter calibration.

Simpler setup than Vector Mixer Calibration.

Measurements Offered

Both forward and reverse directions.

DUT can be connected to any VNA ports.

Equipment Required

Power meter and sensor

Equipment for SMC

  • Mechanical cal kit or ECal module

See Comparison of Mixer Characterization using New Vector Characterization Techniques.

Requirements and Limitations

The following VNA features are NOT available with FCA:

  • Analog Sweep (Stepped sweep mode only)

  • Log frequency sweeps

  • ECal User Characterization (can NOT be created in FCA channel)

  • Time Domain

  • Balanced measurements

  • Interface Control

  • Port extensions

  • Some Fixturing Features

  • PMAR (Power Meter As Receiver)

How to make SMC Measurements

The following is an overview of how to make an FCA measurement:

  1. DECIDE to use either a SMC measurement. See a comparison of these two measurement types.

  2. CREATE a SMC Measurement.

  3. SETUP the measurements.

  4. CALIBRATE your measurement.

Create an SMC Measurement

  1. Press Meas > Meas Overview > Measurement Class.

  2. Select SMC.

  3. The default measurement parameter is displayed.

  4. See SMC measurements to learn about the parameters that are offered in each.

How to make SMC settings

To provide quicker access, use the Setup softkey. Learn how.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Freq or Sweep > Main > Mixer Setup.

  1. Right click on the stimulus range area under grid box.

  2. Click on Sweep Setup....

Valid Mixer Configuration / Sweep Type Combinations

Configuring the SMC dialog can be challenging at first. RED messages like this one appear at the bottom of the Setup dialog to notify you of an invalid setup.

At least one range (Input, LO, or Output) MUST be Fixed.

The following are the Valid Mixer Configurations:

Sweep Type | Input | LO | Output
Linear | Swept | Swept | Fixed
 | Swept | Fixed | Swept
 | Fixed | Swept | Swept
CW Time Power | Fixed | Fixed | Fixed

Tips

Although you will soon become comfortable navigating these tabs, at first it may be best to complete the dialog in the following order:

  1. For 2-stage mixers, select Mixer Setup settings.

  2. Select Sweep tab settings.

  3. Select Mixer Frequency settings.

  4. Select Power settings.

  5. Select Mixer (LO) Power settings.

Sweep Tab - SMC dialog box help

Sweep Type

Linear Sweep frequency. Measurements are displayed on a standard grid with ten equal horizontal divisions. Learn how to select the range to display on the X-Axis.

CW Time All ranges are set to a Fixed (CW) frequency, and the data is displayed versus time.

Segment Sweep Sweep user-defined segments. Learn more.

Power Sweep Input or LO power.

X-axis Point Spacing (Available only with Segment Sweep) - Learn about this feature

Number of Points Learn about this feature.

IF Bandwidth Learn about this feature.

Learn about these buttons.

Power Tab - SMC dialog box help

Note: Set LO Power on the Mixer (LO) Power tab.

Configures Input and Output power settings for an FCA measurement. Use the Mixer Power tab to set LO power.

Power ON (All channels) Check to turn RF Power ON or clear to turn power OFF for all channels.

Port Powers Coupled Check to set the same power level at the DUT Input and Output ports. The LO power is NOT coupled. Clear to set power levels independently for each test port. Uncouple power, for example, to apply more power in the reverse direction than in the forward direction Learn more about Setting Independent Port Power

DUT Input / Output Port

Select the VNA port that is connected to the DUT Input and Output.

Power Level Set the power level to the DUT Input port. To set power at the Output port, clear the Port Powers Coupled checkbox.

.

DUT Input and Output Port Power Sweep

Available when Power (sweep) is selected on the Sweep tab.

Input Start and Stop Power To set Start and Stop power at the Output port, clear the Port Powers Coupled checkbox.

Power Points Number of power points to measure.

Power Step (Size) Calculated value from current Start, Stop, and Points settings. This setting can NOT be changed directly.

Path Configuration Not available in the E5080A

Learn about these buttons.

The following tabs are shared with all Mixer / Converter Applications:

  • Mixer Frequency tab

  • Mixer (LO) Power tab

  • Mixer Setup tab

Mixer Frequency tab - SMC Setup -dialog box help

Learn about this dialog

Mixer Setup tab - SMC Setup -dialog box help

Learn about this dialog

Mixer (LO) Power tab - SMC Setup -dialog box help

Learn about this dialog

FCA Segment Sweep

The following settings appear on the Mixer Frequency tab when Segment Sweep is selected on the Sweep tab.

Mixer Frequency tab - Segment Sweep - SMC dialog box help

How to configure a segment:

  1. Click Add. Click Delete to remove a segment and renumber all subsequent segments.

  2. State is ON by default. Click OFF and that segment will not be included in the sweep.

  3. Configure Frequency settings for Input, LO, and Output ranges.

  • For each segment, the same sweep requirements apply as a standard (non-segment) sweep. For example, at least one range MUST be Fixed (Start = Stop frequencies).

  • The Input, Output, and LO frequencies of segments ARE allowed to overlap other segments.

  • All segments must sweep in either the forward (Start<Stop) or reverse (Start>Stop) directions. Mixed sweep directions are NOT allowed.

  • The following settings can be set independently for each segment:

    • Number of Points - Total number of points for all segments is limited to the Max allowed by the VNA.

    • IF Bandwidth

    • Port Powers: (Input, Output, LO 1, LO2). These settings override the settings on the Power tab.

  • The following settings apply to ALL segments:

    • Number of Converter/Mixer Stages (1 or 2).

    • LO Source Selections

    • All Input and LO Multipliers and Dividers

    • Source and Receiver Attenuator Settings

    • Source Leveling

    • Nominal Incident Power (SMC only)

    • X-Axis Display (Input, LO1, LO2, Output) There must be at least two data points for this setting to be available.

    • X-Axis Point Spacing (vs Normal point spacing).

  • Mixer Segment sweep data can be saved to a *.S2PX file (NOT *.S2P).

  • Mixer Segment setup information is saved to a *.MXRX file. Learn more.

Learn about these buttons

Apply and Interpolate FCA Cal Sets

In general, when a Cal Set covers a wider frequency range than the channel, the VNA will offer to interpolate the Cal Set when it is applied. Learn more. However, with FCA measurements the LO frequency range may also be considered.

  • SMC measurements ALWAYS IGNORE the LO frequency range. Therefore, if the Input and Output frequency ranges of the measurements are within those of the Cal Set, then the Cal Set is interpolated if necessary and applied. For example, this would allow you to perform ONE SMC calibration with Input range = the VNA frequency span, LO at 0 Hz, and Output range + the VNA frequency span. This Cal Set could be applied to ALL SMC measurements. Learn more about applying SMC al Sets.

These same general concepts apply to segment sweeps. However, if ALL applicable frequency ranges (SMC: Input and Output ) are NOT within those ranges of the measurement for ONE segment, then the Cal Set is NOT applied for ANY segment.

Select X-axis Display for FCA Measurements

Click Sweep > Main > X-Axis Type, then select the desired type.

When Sweep Type = Linear, you can choose to show the frequency range of any of the swept parameters on the X-axis.

Save Trace Data

You can save your FCA measurement data in several standard formats.

Click Save Recall > Save Other > Save Data....

The following shows how CSV and SNP files are saved.

Mixer Trace Data

When you select Mixer Trace Data, the FCA data is saved to a CSV file in the following format:

#MIXER TRACE FILE,A.01.00

SegIndex, InputFreq, OutputFreq, LO1Freq, InputPower, LO1Power, SC21 Mag (dB), SC21 Phase (Deg)

SNP Format

Each record contains 1 stimulus value and 4 parameters (total of 9 values) as follows:

Stim
  Real(p1)   Imag(p1)   Real(p2)
   Imag(p2)   Real(p3)   Imag(p3)
   Real(p4)   Imag(p4)

where pX is the parameter depending on measurement type:

Measurement Type | p1 | p2 | p3 | p4
Scalar | S11 | SC21 (FWD) | SC12 (REV) | S22

  • If correction is OFF, data is only saved for the active parameter. Zeros are saved for all other parameters.

  • If correction is ON, data is saved for all of the parameters.

All files contain the following Header Information: Brackets [ ] contain parameters.

!Keysight [Instrument Model Number]: [version]
!Mixer S2P File: [Mixer Measurement Type]
!Parameters: [Parameter List]
!Calibration State: [On/Off]

!# Begin Mixer Setup
![Mixer Setup parameters listed here]
![Mixer Parameter 1]
.
.
![Mixer Parameter n]
!# End Mixer Setup

# [S2P data here]

Last modified:

5-Jan-2016

First releae


SMC Measurements

Scalar Mixer/Converter Measurements (SMC)

The following information is unique to SMC:

  • SMC Hardware Setup

  • Create an SMC Measurement

  • SMC Parameters Offered

  • The SMC Mixer Setup dialog

  • SMC Calibration

SMC Hardware Setup

SMC requires a power meter/sensor, two sources, and a Cal Kit or ECal module

  • Your DUT can be connected to any VNA ports. Learn more.

  • When using VNA with Internal Second Source, the external source is NOT necessary. Learn which VNA ports can be used for the LO.

  • Connect External Source to the VNA GPIB Controller port. Learn how to Configure an External Source.

  • Connect the 10 MHz reference signal of an external source to the VNA.

Use either a GPIB power meter or USB power sensor.

How to configure two power sensors to cover the SMC measurement frequency range.

Using a dual channel power meter, with both sensors connected:

  1. At the SMC Select DUT Connectors dialog, click Source Cal Settings

  2. At Source Calibration Settings dialog, click Power Meter Config

  3. At Power Meter Settings dialog, click Sensors

  4. At Power Sensor Settings dialog, clear the "Use this sensor only..." checkbox for both sensors.

  5. Then enter the MIn and Max Frequencies for both sensors.

During the SMC Cal, you will be prompted to connect each sensor at the appropriate time.

Create an SMC Measurement

  1. Press Meas > Meas Overview > Measurement Class.

  2. Select SMC.

  3. An SC21 measurement is displayed.

SMC Parameters Offered

To select additional parameters to display, click Trace, then New Trace, then select a parameter from the list.

Important Note: Connecting your DUT to the VNA:

RF and IF terminology is NOT used in FCA because the VNA does not know how the DUT is labeled or how it will be used. Instead, the general terms INPUT and OUTPUT are used.

  • INPUT - The DUT port being stimulated with frequencies before conversion.

  • OUTPUT - The DUT port outputting converted frequencies.

INPUT and OUTPUT Frequencies are specified using the Mixer Setup dialog box.

The DUT input and output can be connected to any VNA ports.

Note: Although there are MANY configuration possibilities, the following images and descriptions show ONLY a DUT connected to VNA ports 1 and 2.

Legend:

Black are ratioed measurements (test port/reference receiver).

Green are unratioed measurements (either a test port OR reference receiver).

DUT Input to VNA port 1

DUT Output to VNA port 2

DUT Input to VNA port 2

DUT Output to VNA port 1

Ratioed

  • SC21 (Conversion Loss) Stimulus at Input, response at Output (B/R1).

  • SC12 (Reverse Isolation) Stimulus at Output, response at Input (A/R2)

  • S11 (Input match) Stimulus and response at Input (A/R1)

  • S22 (Output match) Stimulus and response at Output (B/R2)

Ratioed

  • SC12 (Conversion Loss) Stimulus at Input, response at Output (A/R2)

  • SC21 (Reverse Isolation) Stimulus at Output, response at Input (B/R1)

  • S11 (Output match) Stimulus and response at Output (A/R1)

  • S22 (Input match) Stimulus and response at Input (B/R2)

Unratioed Absolute test port receiver measurements. The receiver is automatically selected depending on the DUT configuration.

    • IPwr (Incident Power) - stimulus and response at Input.

    • RevIPwr (Reverse Incident Power) - stimulus and response at Output.

    • OPwr (Output Power) - stimulus at Input, response at Output.

    • RevOPwr (Reverse Output Power) - stimulus at Output, response at Input.

SMC Mixer Setup

How to start the SMC Mixer Setup dialog

1. Confirm if Meas > Meas Overview > Meas Class is set at Scalar Mixer Converter.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Sweep > Main > Mixer Setup....

  1. Right click on the stimulus range area under grid box.

  2. Click on Sweep Setup....

The following SMC Mixer Setup dialog tabs are presented:

  • Sweep Tab

  • Power Tab

  • Mixer Freq Tab

  • Mixer Power Tab

  • Mixer Setup Tab

Apply a Cal Set or SMC Cal Type

You can create an FCA measurement and apply an existing Cal Set as you can with any VNA measurement. Learn about Cal Sets. In addition, from a Cal Set, you can apply a specific SMC Cal Type to an existing SMC measurement.

How to apply an SMC Cal Type

  1. Confirm if Meas > Meas Overview > Meas Class is set at Scalar Mixer Converter.

  2. Calibrate or apply an existing SMC Cal Set, then...

Using Hardkey/SoftTab/Softkey

  1. Press Cal > Main > Correction Method.

Correction Method dialog box help

By default, each SMC calibration requires FOUR sweeps. Clearing boxes will eliminate sweeps and speed up your SMC measurements. The difference in speed is most noticeable when making fixed input or fixed output measurements with an external LO source.

Include input match correction Check to perform a sweep to measure and correct for INPUT match. Clear this box if the input of your mixer is well-matched to the VNA, or if your setup does not permit a valid S11 measurement.

Include output match correction Check to perform a sweep to measure and correct for OUTPUT match. Clear this box if the output of your mixer is well-matched to the VNA, or if your setup does not permit a valid S22 measurement.

Include SC12 Sweep Check to perform a reverse sweep to measure SC12.

  • When checked (default setting), a calibrated SMC measurement sweeps in both forward (SC21) and reverse (SC12) directions.

  • Clear this checkbox to eliminate sweeps in the reverse direction. This means that the following measurements will NOT be corrected: SC12, RevOPwr, RevIPwr.

Corrected Parameters Lists the parameters that can be corrected given the boxes that are currently checked. These parameters may not be currently measured.

Calibration Type Shows the type of SMC Cal that will be applied given the boxes that are currently checked.

Learn about Use Nominal Incident Power

How many sweeps can be eliminated?

Setting | Parameters Learn about parameter abbreviations | # of sweeps
ALL checked and clear Use Nominal Incident Power | IPwr,OPwr,RevIPwr,RevOPwr,SC21,SC12,S11,S22 | 4 Total
Perform this action... | to REMOVE these parameters... | and these sweeps
Clear "Include SC12" | Remove RevIPwr,RevOPwr,SC12 | Removes 1
Clear "Include OUTPUT match | Remove S22 | Removes 1 when Nominal is checked*.
Clear "Include INPUT match" | Remove S11 | Removes 1 when Nominal is checked*.
Check "Use Nominal Incident Power" | Remove IPwr, RevIPwr | May remove up to 2*
ALL cleared and check Nominal Incident Power | OPwr,SC21 | 1 Total

*S11 shares a sweep with IPwr and S22 shares a sweep with RevIPwr. Therefore, when Include Input Match or Include Output Match is checked, then checking Nominal incident power does nothing.

SMC Calibration Overview

The SMC Calibration Wizard guides you through this process.

  1. Connect a power meter / sensor to VNA Port 1. At each step of the input and output frequency, the VNA measures:

    • input match of the power sensor

    • source power of the VNA

  2. Perform two Full 2-port calibrations: one over the INPUT frequencies and one over the OUTPUT frequencies of the DUT. (If your DUT is a linear device, the calibration uses only the INPUT frequency range.) Use either a mechanical calibration kit or an ECal module.

For Mixers / Converters with High-output Power

The Unknown Thru method is NOT valid when there is over 40 dB of combined loss in the Unknown Thru and calibration path. In this case, the following calibration and correction method is recommended.

  • On the Cal Wizard Modify Frequency page, select Defined Thru or Flush Thru as the Thru method. When using an ECal module, also on the Modify Frequency page, disable (clear) Do Orientation due to very low power.

  • After calibration, on the Correction Method dialog, CLEAR the Include output match correction and Include SC12 Sweep check boxes. Check ONLY Include input match correction.

  • To learn more about High-power measurements, see our App Notes.

SMC Cal Wizard

The following dialog boxes are presented during an SMC Calibration.

Indented steps are optional.

  • Calibration Setup

    • Waveguide/In-fixture/On-Wafer Setup

  • Select DUT Connectors and Cal Kits

    • Modify Frequency Cal

    • Specify how the ECal module is connected

  • Power Cal Settings

  • SMC Cal Steps

  • Calibration Completed

  • Specify Adapter Delay

How to Perform a SMC Calibration

  1. Confirm if Meas > Measurement Overview > Meas Class is set at Scalar Mixer Converter.

Using Hardkey/SoftTab/Softkey

Using a mouse

  1. Press Cal > Main > CalWizard.

  1. Right click on the Cal (No Cor) icons on the status bar.

  2. Select on Calwizard.

SMC Calibration Setup dialog box help

Allows you to review and change the settings for your SMC calibration.

Waveguide/In-fixture/On-Wafer Setup Click Next to launch the following Setup dialog box.

Independent power cals for input and output ports (no thru) Check if a Thru standard is NOT available. During the power cal, you will be prompted to connect the power sensor to the Input, then the Output port.

Additional Power Cal Steps

Enable LO1 / LO2 Power Cal Check when LO1 / LO2 is controlled (on the Mixer Setup tab) to perform a Power Cal on the LO source(s).

Waveguide/In-fixture/On-Wafer Setup dialog box help

This dialog box appears ONLY if you checked the Waveguide/In-fixture/On-Wafer Setup box in the previous Cal Setup dialog.

Allows you to embed or de-embed circuit networks on the input and output of your mixer under test.

For Network1 (Input) and Network2 (Output) select Embed, De-embed, or None.

Browse Click to navigate to the .S2P file that models the network to embed or de-embed.

Reverse port positions for input/output Check to cause the Fixture/Adapter to be configured with Port 2 connected to the VNA and Port 1 to be connected to the DUT. The image in the dialog is updated to reflect that change.

Enable Extrapolation Check (default setting) to apply a simple extrapolation when the S2P file has a narrower frequency range than the channel. The values for the first and last data points are extended in either direction to cover the frequency range of the measurement. A warning message is also displayed when extrapolation is necessary.

To Embed or De-embed

  • When you have a 2 port network that needs to be connected between the Cal reference plane and the DUT during the measurement, but it is NOT present during the calibration, then that network has to be De-Embedded from the port in question during the calibration. In other words, De-Embedding in FCA calibration extends the calibration reference plane to include the two port network.

  • When you have a 2 port network that is included as part of the calibration reference plane but has to be disconnected during the measurement, then that 2-port network has to be Embedded for the port in question during the calibration. In other words, Embedding in FCA calibration retracts the calibration reference plane to exclude the two port network during the measurement.

Notes

  • Characterize Adaptor Macro can be used to create the S2P file.

  • Interpolation is performed when more frequencies are included in the file than in the channel, and the data points do not exactly match those of the measurement.

Select DUT Connectors and Cal Kits dialog box help

Allows you to specify the connector type and Cal Kit for each DUT port.

Port n For each listed VNA port, specify the DUT connector type and gender, and the Cal Kit to use.

Note: If your DUT connectors are:

  • Waveguide Change the system impedance to 1 ohm before performing a calibration. See Setting System Impedance.

  • Not listed (male and female) Select Type A as the connector type. Type A requires a calibration kit file containing the electrical properties of the standards used for calibration (see Calibration kits).

  • Unspecified (like a packaged device) Select Type B as the connector type. Type B requires a calibration kit file containing the electrical properties of the standards used for calibration (see Calibration kits).

Modify Cal Check, then click Next, to start the Modify Frequency Cal dialog.

Source Cal Settings Click to start the Source Cal Settings dialog.

Modify Frequency Cal dialog box help

This dialog appears only when Modify Cal is checked on the previous dialog.

Thru Cal Method For each Thru connection, choose the Thru method. Learn more about these choices.

Cal Type/Stds Click to start the Modify Calibration Selections dialog box.

The following selections are available ONLY if using an ECal module.

Do orientation When this box is checked (default) the VNA senses the ECal model and direction in which the ECal module port is connected to the VNA ports. If power to the ECal module is too low, it will appear as if there is no ECal module connected. If you use low power and are having this problem, clear this check box to provide the orientation manually. Orientation occurs first at the middle of the frequency range that you are calibrating. If a signal is not detected, it tries again at the lowest frequency in the range.

See note about calibrating for high-output mixer/converters using an ECal module.

View/Detect ECal Characterizations Appears only if an ECal module is selected for use. Click to invoke the View ECal Modules and Characterizations dialog box. Displays a list of ECal modules that are connected to the VNA.

Power Cal Settings dialog box help

Note: A Use Power Table checkbox (not shown) is available when a mmWave SMC measurement is active. Learn more.

Power Cal at: Select the source port for which a Power Calibration will be performed. The source and receiver correction will be transferred to all other sources and receivers involved in the S-parameter measurements.

Use Multiple Sensors (NOT available with mmWave SMC measurements.) Check this box when you want to use more than ONE power sensor to cover the measurement frequency range. The dialog is replaced with the Multiple Sensors dialog (see following image). When "Use Multiple Sensors" is cleared (default setting), connect only ONE sensor to the VNA.

Power Meter Settings Click to start the standard Power Meter Settings dialog.

De-embed (power sensor) adapter When the power sensor connector is NOT the same type and gender as the DUT connector for the specified port, then for optimum accuracy, extra cal steps are required to measure and correct for the adapter that is used to connect the power sensor to the reference plane.

Clear this box to NOT compensate for the added adapter.

Check this box to perform extra calibration steps to measure and correct for the adapter.

Then select the Power Sensor Connector type and gender of the power sensor. "Ignored" does NOT compensate for the added adapter, just as if the checkbox were cleared.

When this connector matches the DUT connector for the same port, then the VNA assumes that there is no adapter. Extra cal steps are NOT required and the Cal Kit selection is not available.

Otherwise, select the Cal Kit to be used to calibrate at the adapter.

See Accuracy Settings below.

Specify how the ECal module is connected dialog box help

This dialog box appears when the Do orientation checkbox in the previous Modify Frequency dialog box is cleared.

Click the ECal Port that is connected to each VNA port.

SMC Calibration Steps dialog box help

Power Level at which to perform the Power Cal.

It is usually best to set power level to 0 dBm at the power sensor because the power sensor is calibrated at that level. Lower power levels will yield a slower and noisier calibration.

If an external component is used between the VNA test port and the calibration reference plane, then adjust the power level so that the power at the sensor is about 0 dBm if possible.

The current source attenuation value is shown on the dialog.

LO Power Cal (Optional) When enabled, perform a Source Power Cal at the DUT LO connector. An LO must already be selected. Learn how. The power level of the LO source calibration is set on the (LO) Power Tab.

Calibration Completed dialog box help

Finish Save to the channel's calibration register.

Save As User Cal Set Starts the Save as User Cal Set dialog box AND save to the channel's calibration register.

Cancel Calibration is NOT applied or saved.

Learn about Calibration Registers.

Learn about User Cal Sets

Specify delay dialog box help

This dialog appears ONLY when Adapter Removal or Unknown Thru calibrations are performed.

The following values were estimated from the measurement. Most of the time, they are adequate. However, for CW sweep or frequency sweep with large step sizes, the accuracy of the values may be improved.

Adapter delay To improve this value, measure and record the delay of the adapter with a dense step size. Enter that value here. The required precision value is the accuracy that is required to characterize the delay value.

Nominal phase offset (Waveguide ONLY). To improve this value, measure and record the phase offset of the Waveguide adapter with dense step size. Enter that value here.

When one connector is coax and the other connector is waveguide, the phase offset has an ambiguity of 180 degrees. For consistency, the estimate provided here is always between 0 and 180 degrees. You can change this estimate to any value between -180 degrees and +180 degrees.

For SMC calibrations, this dialog box appears twice: once for the input frequencies and once for the output frequencies. The values can be slightly different.

Last modified:

2016-01-05

First release


Mixer/Converter Setup

  • Mixer Frequency tab

  • Mixer Setup tab

  • Mixer (LO) Power tab

  • Fractional Multiplier Examples

Important Note: Connecting your Mixer/Converter DUT to the VNA.

RF and IF terminology is NOT used in this topic because the VNA does not know how your DUT is labeled or how it will be used. Instead, the general terms INPUT and OUTPUT are used to describe the following VNA behavior:

  • INPUT - the stimulus frequencies BEFORE conversion by your DUT.

  • OUTPUT - the response frequencies, AFTER conversion (either UP or DOWN) by your DUT. Specify UP or DOWN conversion using the + or - symbol for each output.

Mixer Frequency tab help

Settings

Frequency Format Select Start/Stop (Swept) or Fixed. For Linear sweep type, at least one of these must be fixed. For CW or Power, ALL must be Fixed.

Frequencies Enter the frequency values for each of the Mixer/Converter ports.

Mixer-Product Selector Determines whether the receivers will tune to the Sum (+) or the Difference ( - ) of the Input and LO frequencies.

Calc buttons Calculates frequency settings based on your other mixer settings. For example, enter the Input frequency range and LO1 frequency range, then press Calc Output. The VNA will calculate and display the Output frequencies.

Input > LO or IF1>LO2 Removes ambiguity when using a Calc button to determine the INPUT frequency.

These check boxes are used ONLY when all 3 of the following conditions are TRUE:
(If ALL 3 are NOT true, the VNA does not read these check boxes).

  1. Difference (Low) sideband [image] is selected for the corresponding Calculate button AND

  2. Output frequency is less than the LO frequency AND

  3. One of the Calculate buttons are used to calculate the Input frequency.

Rules for Configuring a Mixer

A Red message across the bottom of the dialog indicates that one or more of the following settings are invalid:

  • Either ALL ranges (Input, LO, Output) must be Fixed, or ONE Range fixed. TWO ranges can NOT be Fixed or THREE ranges can NOT be Swept.

  • For determining a valid mixer configuration with 2 LOs, one Fixed LO and one Swept is equivalent to having a single-stage Swept LO. To configure a 2-stage LO, select Converter Stages: 2 on the Mixer Setup tab.

  • INPUT or OUTPUT frequencies cannot be outside the range of the VNA.

  • Any combination of INPUT and LO which results in an OUTPUT that sweeps through Zero Hz is NOT allowed.

About Mixer Configuration Files (.mxr and *.mxrx)

Save Saves SOME of the mixer settings to a *.mxr or *.mxrx file.

Load Recalls a previously-configured mixer *.mxr or *.mxrx file .

Note: By default, mixer configurations are saved to a *.mxrX file. Previously, they were saved to a *.mxr file.

ONLY *.mxrx files allow saving segmented sweep mixer setups.

What Mixer Settings are Saved?

  • Sweep Type, frequency, and power settings.

  • With Segment Sweep Type, all segment settings are saved.

Converter App Compatibility

The mixer setup files that are used with FCA, NFx, and GCx for PNA ARE compatible. However, *.mxr(x) files created in IMDx contain information that is NOT included with other *.mxr(x) files.

External Sources

A *.mxr(x) file includes an LO source name. However, It does NOT include the LO Source configuration.

Apply Applies the settings for your mixer/converter test setup to the measurement. The mixer setup dialog box remains OPEN.

OK Applies the settings for your mixer/converter test setup to the measurement. The mixer setup dialog box CLOSES.

Cancel Closes the mixer setup dialog box and does NOT apply the settings.

See Also

How to measure a DUT with an Embedded LO

Mixer Setup tab help

Converter Stages Select either 1 or 2-stage converters.

Hardware Configuration

Add Source Click to start the External Device Configuration dialog.

Path Configuration This is not available on the E5080A. .

DUT Ports

select VNA ports to connect to the DUT input and output.

Fractional Multipliers

The combination of (numerator / denominator) forms a fractional value that is multiplied by the input and LO frequency ranges. These values are used to calculate the response frequency of the VNA receiver for the converter output. Use the fractional multipliers to:

  • simulate the action of harmonic mixers

  • simulate the action of multipliers and dividers that may exist in your test setup

  • tune the VNA receiver frequency to a harmonic of the mixer/converter

The range for the numerator and denominator of a fractional multiplier is from +1 to +10. Negative values are NOT allowed.

See Fractional Multiplier examples.

LO1 and LO2

Select Not controlled to allow an external source to provide a Fixed LO Frequency at all times. Otherwise, select an internal VNA source or External source to be used as the LO. Learn how to Configure an External Device (Source).

Learn about these buttons.

Mixer (LO) Power tab help

Configures LO Power settings.

Power ON (All channels) Check to immediately turn ON or OFF ALL VNA internal RF Sources for all channels.

LO1 Power Sets the power level for LO1.

LO2 Power Sets the power level for LO2.

Swept Power Settings Set the power sweep setting.

Path Configuration Not available for E5080A.

Learn about these buttons.

Fractional Multiplier Examples

Example 1

Use the LO fractional multiplier to replicate the action of the third-harmonic mixer so the VNA can accurately calculate the receiver frequency. The input and LO frequencies are known.

Enter these settings in the Mixer Setup dialog box:

  • Input Start Freq: 30 GHz

  • Input Stop Freq: 40 GHz

  • LO Fixed Freq: 16 GHz

  • Mixer-Product Selector: - (difference)

  • LOs: 1

  • LO fractional multiplier: 3/1

  • INPUT fractional multiplier: 1/1

Click Calculate Output

Results:

  • Output Start Freq: 18 GHz

  • Output Stop Freq: 8 GHz

Example 2

Use the fractional multipliers to tune the VNA receiver frequency to the second harmonic of the mixer's 14 GHz fundamental output. The input, LO, and output frequencies are known.

Enter these settings in the Mixer Setup dialog box:

  • Input Start Freq: 4 GHz

  • Input Stop Freq: 4 GHz

  • LO Fixed Freq: 10 GHz

  • Mixer-Product Selector: + (Sum) of the input and LO signals

  • LOs: 1

  • INPUT fractional multiplier = 2/1

  • LO fractional multiplier = 2/1

Click Calculate Output

Results:

  • Output Start Freq: 28 GHz

  • Output Stop Freq: 28 GHz

Example 3

Use the LO fractional multiplier to replicate the action of the divide-by-two mechanism inside the mixer package. Having done this, the VNA can accurately calculate the receiver frequency. The input and LO frequencies are known.

Enter these settings in the Mixer Setup dialog box:

  • Input Start Freq: 45 MHz

  • Input Stop Freq: 50 MHz

  • LO Fixed Freq: 670 MHz

  • Mixer-Product Selector: + (Sum) of the input and LO signals

  • LOs: 1

  • INPUT fractional multiplier = 1/1

  • LO fractional multiplier = 1/2

Click Calculate Output

Results:

  • Output Start Freq: 380 MHz

  • Output Stop Freq: 385 MHz

Last Modified:

5-Jan-2016

First Release


Frequency Offset Mode

Frequency Offset Mode (FOM) provides the capability to have the VNA Sources tune to frequencies that are different (offset) from the VNA Receivers.

This topic discusses the VNA settings that are relevant to making these types of measurements. See Frequency Converting Device Measurements for more information on making specific device measurements.

  • Frequency Offset Dialog Box

  • Setup Examples

  • Test Set (Reference Switch) Dialog Box

Other Frequency Offset topics

How to make Frequency Offset settings

Using Hardkey/SoftTab/Softkey

  1. Press Sweep > Main > Frequency Offset....

Frequency Offset dialog box help

The following are major changes to FOM:

  • Stimulus and Response are now called Sources and Receivers.

  • Sources and Receivers settings can be made in two ways:

    1. By Coupling to the Primary (Channel) settings. This is the only method used in previous releases.

    2. By Uncoupling and setting Sources and Receivers values independently. This is the new, simplified method.

Frequency Offset (ON/OFF) Enables Frequency Offset Mode on ALL measurements that are present in the active channel.

When FOM is NOT enabled, all frequencies are the same as the active channel.

Tip: First make other settings on this dialog box, then click Frequency Offset ON.

Primary The current Active Channel settings. When a Source or Receiver is coupled to the Primary settings, its Sweep Type is the same as that of the Primary. The frequency settings of the coupled range are mathematically derived from the Primary settings using the Multiplier, Divisor, and Offset values. With this approach, only the Primary settings need to be changed in order to affect change in the coupled Sources and Receivers. Changes to the Primary channel settings occur when Frequency Offset is checked ON. See example using Primary and Coupled setting.

Tip: Primary settings are ONLY used when Sources and Receivers are Coupled. It is often easier to Uncouple, then set Sources and Receivers independently.

Receivers All receivers that are used in the channel, including Reference receivers, are tuned to the specified frequency settings.

Mode

Coupled Source and Receiver settings are mathematically derived from the Primary settings using Multiplier, Divisor, and Offset values. Learn more.

Uncoupled Source and Receiver settings are entered independently, without reference to Primary settings. When Uncoupled, Source and Receiver Ranges can use separate sweep types.

Sweep Type Click to change the type of sweep for each range. Only available for Primary and Uncoupled Sources and Receivers.

Unsupported Sweep Type combinations

  • Power Sweep and Segment Sweep can NOT be used together.

  • Uncoupled Log Sweep yields invalid data whenever the sources are offset from the receivers.

  • Coupled Log Sweep is allowed only for the following two conditions:

    1. The offset = 0, the multiplier = 1, and the divisor = 1.

    2. The multiplier = 0

Settings To change settings, click IN the appropriate Settings cell, then click Edit.

  • If coupled, invokes the Coupled dialog.

  • If uncoupled or Primary invokes the Uncoupled settings dialog.

X-Axis Select the settings to be displayed on the X-Axis.

X-Axis Point Spacing Only available when a Segment Sweep Type is selected as the X-Axis display. Learn more.

Note: When Frequency Offset is enabled, ALL receivers on the channel, including the reference receivers, tune to the new offset frequencies, Therefore the source and reference receiver will be at different frequencies. Therefore, FOM measurements that include a reference receiver, which includes all S-parameters, display invalid data.

To measure and display measurements at both the source and receiver frequencies, you must use two channels. Use Equation Editor to calculate the conversion loss. See a calibrated FOM conversion loss example.

Learn how to calibrate frequency offset measurements.

Coupled settings dialog box help

Coupled Formulas:

Range Start = [Primary Start x (Multiplier / Divisor)] + Offset

Range Stop = [Primary Stop x (Multiplier / Divisor)] + Offset

Where:

Offset Specifies an absolute offset frequency in Hz. For mixer measurements, this would be the LO frequency. Range is +/- 1000 GHz. Offsets can be positive or negative.

Multiplier Specifies (along with the divisor) the value to multiply by the stimulus. Range is +/- 1000.

  • Negative multipliers cause the stimulus to sweep in decreasing direction. For downconverter mixer measurements, this would be for setups requiring the Input frequency to be less than LO frequency. See an example.

  • 0 (zero) as the multiplier nulls the Primary setting. Then the Offset value adds to zero.

Divisor Specifies (along with the multiplier) the value to multiply the stimulus. Range is 1 to 1000.

Primary and Uncoupled settings dialog box help

This dialog will vary depending on the sweep type:

Linear and Log frequency

Note: Uncoupled Log sweep yields invalid data whenever the sources are offset from the receivers.

Select Start/Stop or Center/Span

Frequency Enter values

Points (Primary only) Enter number of data points for the sweep.

Power

CW Freq Enter frequency in Hz.

Points (Primary only) Enter number of data points for the power sweep.

CW Time

CW Freq Enter frequency in Hz.

Sweep Time Enter time to complete one sweep. Enter 0 for the fastest sweep.

Segment Sweep Edits are made exactly like the standard segment table.

For Advanced Users: Uncoupled Segment Sweep offers great flexibility in configuring measurements. In segment sweep mode:

  • The OK button is NOT available until the total number of data points for all segments matches the number of Primary data points.

  • Independent IF Bandwidth and Independent Sweep Time are available ONLY on the Primary (channel) and the Uncoupled Receivers - NOT Sources.

  • Independent Power is available ONLY on the Primary (channel) and the Uncoupled Sources - NOT Receivers.

Setup Examples

Although the Frequency Offset settings can be used with many types of devices, these examples include mixer terminology.

1.

Fixed LO - Upconverter

  • Swept Stimulus (Mixer Input): 1000 MHz - 1200 MHz

  • Fixed LO: 1500

  • Swept Response (Mixer Output): 2500 MHz to 2700 MHz

Make the following settings on the FOM dialog

Source: Uncoupled

Sweep Type: Linear

Click Settings, then Edit. In the Source dialog:

Start Frequency = 1000 MHz

Stop Frequency = 1200 MHz

Receiver: Uncoupled

Sweep Type: Linear

Click Settings, then Edit. In the Receiver dialog:

Start Frequency = 2500 MHz

Stop Frequency = 2700 MHz

LO Settings

Set external source to CW - 1500 MHz.

2.

Fixed LO - Downconverter (Input < LO)

  • Swept INCREASING Stimulus (Mixer Input): 1000 MHz to 1100 MHz

  • Fixed LO: 2500 MHz

  • Swept DECREASING Response (Mixer Output) 1500 MHz to 1400 MHz

Make the following settings on the FOM dialog

Primary: Not used

Source (Input): Uncoupled

Sweep Type: Linear

Click Settings, then Edit. In the Source dialog:

Start Frequency = 1000 MHz

Stop Frequency = 1100 MHz

Receiver (Output): Coupled

Sweep Type: Linear

Click Settings, then Edit. In the Receiver dialog:

Offset: 2500 MHz

Multiplier: -1 (Minus one)

LO Settings

  • If using external source, set to CW: 2500 MHz.

3.

Swept LO - Fixed Output - Upconverter

Swept External LO measurements in Frequency Offset Mode can be very difficult. The external LO source must be synchronized with the swept output or input (as in this case). See Synchronizing and External Source Control to see how this is done. The Frequency Converter Application Opt 083 performs makes these measurements easily.

  • Swept Stimulus (Mixer Input): 1000 MHz to 1100 MHz

  • Swept LO: 1500 MHz to 1400 MHz

  • Fixed Response (Mixer Output): 2500 MHz

Make the following settings on the FOM dialog

Source: Uncoupled

Sweep Type: Linear

Click Settings, then Edit. In the Source dialog:

Start Frequency = 1000 MHz

Stop Frequency = 1100 MHz

Receiver: Uncoupled

Sweep Type: CW Time

Click Settings, then Edit. In the Receiver dialog:

CW Frequency = 2500 MHz

LO Settings

  • If using external source, set to sweep from 1500 - 1400 MHz.

4.

Power Sweep for Mixers

To measure the gain compression of a mixer, the input power to the mixer is swept. The input and output frequencies are fixed but offset from one another.

This is a good use of Coupled settings because the same compression test can be performed at several different frequencies. With coupled Source and Receiver ranges, the Primary (channel) frequency can be easily changed from the front panel. The coupled source and receiver frequencies will update accordingly.

  • Swept Input Power: -10 dBm to 0 dBm

  • Fixed Input Frequency: 1500 MHz

  • Fixed LO: 500 MHz

  • Fixed Output: 2000 MHz

Make the following settings on the FOM dialog

Primary:

Sweep Type: Power Sweep

Click Settings, then Edit. In the Primary dialog:

CW Frequency = 1500 MHz

Source: Coupled

Default settings make CW Frequency: 1500 MHz (same as Primary)

Receiver: Coupled

Default settings make Sweep Type: CW Time

Click Settings, then Edit. In the Receiver dialog:

Offset = 500 MHz

LO Settings

  • If using external source, set to CW: 500 MHz.

Last modified:

5-Jan-2016

First Release


Vector-Mixer Calibration

  • Overview

  • Characterizing Calibration Mixer (with IF filter)

  • Executing Characterization of Calibration Mixer

  • Characterizing Calibration Mixer (with IF filter) for Balance Mixer Measurement

  • Executing Characterization

Other topics about Mixer Calibration

Overview of VMC (Vector-Mixer Calibration)

The VNA has a vector-mixer calibration function for use in measuring frequency conversion devices.

The vector-mixer calibration allows you to measure the magnitude, phase and group delay of the mixer's conversion loss by using in combination calibration standards (OPEN/SHORT/LOAD) and calibration mixer with an IF filter, as well as the network de-embedding function incorporated in the VNA.

Note: For Fixed RF measurement (RF: Fixed, LO and IF: Swept), it is NOT possible to perform vector-mixer calibration because touchstone file, which defined with fixed frequency, can not be imported to ENA.

Note: For Fixed IF measurement (RF and LO: Swept, IF: Fixed), it is possible to perform vector-mixer calibration and to measure conversion loss and return loss, but NOT possible to measure group delay because IF frequency is fixed.

Note: For Swept IF measurement (RF and IF: Swept, LO: Fixed), it is possible to perform vector-mixer calibration and to measure conversion loss, return loss and group delay.

You can also perform balanced mixer measurements by using two calibration mixers that each has an IF filter.

Vector-mixer calibration is implemented by eliminating the characteristics of the calibration mixer and IF filter by using the network de-embedding function after full 2-port calibration has been completed. Using the up/down conversion method allows you to specify the same sweep measurement frequency for the input and output ports, thus enabling full 2-port calibration at the end of the target port. Consequently, only the characteristics of the measured mixer (DUT) can be obtained by using the network de-embedding function, after eliminating the characteristics of the calibration mixer with an IF filter from all measurement results.

Note: Since the up/down conversion method is used in vector-mixer calibration, the frequency-offset function is not used. But, option 009 is required to use the VMC macro, SG control, and etc.

The vector-mixer calibration requires the characteristics data for the calibration mixer with IF filter.

Measured mixer

A measured mixer (DUT) signifies an unknown target mixer of measurement. However, a measured mixer meeting the requirements for a calibration mixer can be used as a calibration mixer.

Calibration mixer (with IF filter)

The calibration mixer is required for supporting the measurement system of the up/down conversion. You must also evaluate in advance the frequency response characteristics of the calibration mixer. The vector-mixer calibration method obtains the characteristics of the measured mixer alone by using the network de-embedding function to eliminate the characteristics of the calibration mixer from the measurement result. You can use the IF filter to select any required frequency conversion component such as RF+LO, RF-LO, and LO-RF. The calibration mixer and IF filter can be seen as a part of the test system setup, just like the network analyzer and the test cable; they are connected at the same location during the entire calibration or measurement.

Note: The frequency range must be equal to or greater than that of the measured mixer. If you want to test multiple mixers with a single setup, select a wide range of calibration mixers that can cover all frequencies of the target test devices.

Characterizing Calibration Mixer (with IF filter)

In vector-mixer calibration, you must characterize the calibration mixer with the IF filter. As shown in the following figure, connect the target mixer (with IF filter) to the port of the network analyzer on which vector calibration has been performed and then connect an OPEN, SHORT or LOAD standard to the end of the IF filter to start reflection measurement. The signals measured at the test port include the reflection signal from the mixer's RF port, the IF signal (IF+) converted by the mixer and then reflected by the IF filter, and the IF signal (IF-) passing through the IF filer and then reflected by the calibration standard.

The characteristics of the calibration mixer can be described in a 1-port error model, and each error item can be determined from ΓO, ΓS, and ΓL, which are obtained in the reflection measurement of individual standards.

Characteristics evaluation of calibration mixer (with IF filter)

Note: The calibration mixer must be reciprocal. The term "reciprocal" means the magnitude and phase of the conversion loss are equal both in the forward and reverse directions. The forward conversion loss occurs during the measurement of the output signal at the IF port while inputting measurement signals into the RF port. In contrast, the reverse conversion loss occurs during measurement of the output signal at the RF port while inputting measurement signals into the IF port.

Note: For precise calibration, the conversion loss in each direction must be less than 10 dB using a calibration mixer and IF filter in combination. Exceeding 15 dB of the conversion loss in any direction may deteriorate the calibration accuracy significantly.

Characterizing procedure for calibration mixer (with IF filter)

Executing Characterization of Calibration Mixer

1. Setting Stimulus Conditions

Set the stimulus conditions for the channel you want to calibrate. You must also set the external signal source in advance.

2. Running Macro

Note: Full 2-port calibration is recommended for characterizing the calibration mixer with the IF filter, although 1-port calibration is also available. This is because using full 2-port calibration simplifies the evaluation procedures.

  1. Press Macro > Marco 1 > VMC.

3. Selecting Measurement Port

Select the 1-port calibration port (1 in menu).

4. Setting IF Frequency

Select IF frequency from RF+LO, RF-LO and LO-RF (2 in menu), depending on the IF frequency of the calibration mixer.

Note: The number displayed in the Vector Mixer Characterization macro is the frequency set in the VNA and read from it. You must also set the minimum IF frequency at more than 0 kHz.
IF BW must be set to much smaller value than IF frequency.

5. Selecting a Calibration Kit

Select a calibration kit (3 in menu).

Note: The mechanical calibration kit displayed in the Vector Mixer Characterization macro is the frequency registered in the VNA and read from it. If an ECal module is connected to the VNA, ECal will be selected automatically.

6. Measuring Calibration Mixer with IF Filter (when using calibration kit)

Connect the calibration mixer to one of the test ports on which 1-port calibration has been done, as shown in the following figure.

Connection of calibration mixer (with IF filter)

Note: Select any port if full 2-port calibration is set.

Note: We recommend that you characterize the calibration mixer with an IF filter when the power splitter for distributing the LO signal is connected to the measured mixer. In vector-mixer calibration, where the up/down conversion method is used, the power of the LO signal is distributed to the calibration mixer and the measured mixer through the power splitter. During a characteristics evaluation of the calibration mixer, the LO power level used by the drive of the calibration mixer must be equal to the LO power level with the measured mixer connected. This is because the mixer's conversion loss and reflection coefficient are significantly affected by the power level of the LO signal.

  1. Select CalKit (3 in menu).

  2. Select the type number of the calibration kit from CalKit menu (4 in menu).

  3. Click the Open button (5 in menu) to start measurement in OPEN.

  4. Click the Short button (6 in menu) to start measurement in SHORT.

  5. Click the Load button (7 in menu) to start measurement in LOAD.

7. Measuring Calibration Mixer with IF Filter (when using ECal module)

  1. Select ECal (1 in menu).

  2. Select the port used for the ECal module (2 in menu).

  3. Click the Measure button (3 in menu) to start measurement.

  4. Select the property and click info (4 in menu) to see the measurement.

8. Saving Characteristic Data and Closing Macro

  1. Press the Save button (8 in menu) to open the Save screen.

  2. Press the Save button to specify a name for the characteristic data of the calibration mixer with IF filter. Then save it to a Touchstone file. If you check the Setup Option (9 in menu), the saved characteristic data will be set for the specified port of the active channel as the characteristic data file of the network de-embedding, and the fixture simulator function will be enabled. If unchecked, only the characteristic data will be saved.

  3. Click the Close button (10 in menu) to exit the macro.

Characterizing Calibration Mixer (with IF filter) for Balance Mixer Measurement

The Vector Mixer Characterization macro provided with the VNA allows you to characterize the calibration mixer (with IF filter) to be used for the balanced mixer measurement. The characterizing procedures of the calibration mixer with IF filter used for balance mixer measurement are basically the same as those used for normal mixer measurement; however, two characteristic data of the calibration mixer with IF filter are required for balanced mixer measurement, as shown in the following figure.

Connect the target calibration mixer (with IF filter) to the port of the network analyzer on which calibration has been performed and then connect the OPEN, SHORT and LOAD standards to the end of the IF filter to start reflection measurement and characterization. For a balanced mixers, the phase difference of the LO signals between the calibration mixers with IF filter will remain as an error, since each calibration mixer with IF filter is characterized independently. Therefore, you must calibrate the phase difference between the two characterized calibration mixers with IF filters.

Characteristics evaluation of calibration mixer (with IF filter) for balance mixer

Note: We recommend that you use the same products of calibration mixers, IF filters and cables between the balanced ports to which each calibration mixer (with IF filter) is connected.
You should keep the following electrical lengths the same between the two ports to which the calibration mixer is connected as much as possible - the electrical length from the external signal source output port (a) to the extended calibration plane (b), and the electrical length from the calibration plane (c) to the extended calibration plane (b). Large electrical length differences between the two ports to which the calibration mixer is connected could raise 180 degrees phase value error between the two IF ports even though the Balanced Mixer Calibration Macro is executed. You can verify it by swapping the IF cable connections with each other.

Executing Characterization

1. Characterizing Calibration Mixer (with IF filter)

Measure the characteristic data of each calibration mixer with the IF filter used for balanced mixer measurement, using any two ports.

Set the stimulus conditions for the channel you want to calibrate. You must also set the external signal source in advance.

Note: If you characterize a calibration mixer with an IF filter, we recommend that you perform full 4-port calibration in advance, since it simplifies the evaluation procedures.

  1. Press Macro > Macro 1 > VMC.

  2. Select Port 1 (1 in menu) to characterize the calibration mixer 1 with IF filter. In this case, the data are saved to a temporary file (MIXER_1.s2p).

  3. Select Port 2 (1 in menu) to characterize calibration mixer 2 with IF filter. Here, the data are also saved to a temporary file (MIXER_2.s2p).

    Note: For detailed information on characterizing the calibration mixer, see Characterizing procedure for calibration mixer (with IF filter).

  4. Click (Optional) Balanced Mixer (2 in menu).

  8. As the Vector Mixer Characterization Macro is running, the data files of the pre-measured calibration mixer with IF filter (MIXER_1.s2p, MIXER_2.s2p) are read automatically into the macro (1 in menu).

Note: If failure occurs when reading the data file for the calibration mixer with IF filter, the characterization may have done by using only one port instead of using two ports.

  1. Select the measurement port (2 in menu) and then connect a THRU between the IF ports of the calibration mixers to correct the phase difference of the LO signals for the calibration mixers with IF filters.

  2. Pressing the Execute (3 in menu) button executes a phase error correction and overwrites the results on the original data file.

  • You cannot run the Execute function when selecting the measurement port if the data file of the calibration mixer with IF filter (*.s2p) has not been set for the network removal function of the fixture simulator.

  • The phase error correction data reflects the phase difference of the LO signals for the phase information of the calibration mixer's data file, which is registered in any two ports.

  3. Press the Close button (4 in menu) to exit macro.


Introduction of MWA

Introduction of the MWA Software

  • Overview

  • Front-end Application

  • Back-end Application

Other topics about Measurement Wizard Assistant

Overview

The Measurement Wizard Assistant (MWA) is the software option on the VNA that enables easy and fast setup of whole measurement. The software consists of two main applications – front-end and back-end application. The front-end application running on the Microsoft Excel creates a setup file (“spec sheet”) with the .mwa extension which includes all the measurement parameters. A spec sheet is then recalled by the back-end application of a application program running on the VNA. All the necessary parameters are automatically set up within the VNA by the back-end application. The back-end application also provides the calibration wizard and controls the whole measurement procedure. Operation time of network analysis can dramatically reduced by using the MWA software.

NOTE: More information about MWA is available at www.keysight.com/find/mwa and in the Application Note "Measurement Wizard Assistant software for the VNA".

NOTE: The Measurement Wizard Assistant (MWA) is only available on the VNA with the option 790.

Front-end Application

The front-end application is provided as a VBA macro program on Microsoft Excel and can be operated in any PCs with the software installed. The front-end application generates a spec sheet (.mwa) for the VNA and multiport test sets that includes all the necessary parameters of measurement.

The front-end application provides the following functions:

  • Defining measurement configuration

  • Defining the connection between the DUT and measurement instruments

  • Setting commands to external peripherals via GPIB interface

  • Setting all measurement parameters in network analysis

  • Creating a setup file (“spec sheet”) for the back-end application

Back-end Application

The back-end application is an application software that runs on the VNA. A spec sheet created by the front-end application is recalled and all the measurement parameters are automatically set up in the VNA. The back-end application has the calibration wizard function that provides instructions of calibration steps necessary for all measurements. The necessary procedure of total measurements is controlled by the back-end application and the detailed results of the measurement are saved within the VNA.

The back-end application provides the following functions:

  • Recalling a spec sheet to setup all the measurement parameters automatically

  • Calibration wizard

  • Instruction of connection information

  • Controlling external peripherals via GPIB interface

  • Customizing the measurement procedure

  • Performing limit tests on all measurement paths

  • Reporting detailed results of measurement


MWA Operational Requirements

Requirements for operating the MWA software are as follows:

A PC for running the front-end application

  • OS: Windows 7

  • Microsoft Excel 2010/2013

The E5080A Network Analyzer

  • The back-end application of the MWA must be installed.

Note: The MWA operates only when the number of channels is three or more (four or more for the VNA settings).

Multiport Test Set

If you wish to make multiport measurements, the following multiport test set are supported by the MWA.

  • E5092A

    • The option 020 (E5092A-020).

    • Configurations of E5092A 13-port, 16-port, 22-port and X-10-port crossbar are supported by the MWA for the E5092A-020.

Note: Up to two multiport test set can be used.

ECal Module

When using the ECal module with calibration wizard in the back-end application of the MWA, the 4-port ECal module supported by the VNA is required. Refer to ECal for supported ECal modules by the VNA.


Installation of MWA

Installation of the MWA Software

  • Overview

  • Installing Front-end Application

  • Installing Back-end Application

Other topics about Measurement Wizard Assistant

Overview

The MWA consists of a front-end application, which creates spec sheets on the PC, and a back-end application, which makes measurements with the VNA. Each of the installation procedures is described below.

Installing Front-end Application

Follow the procedure below to install the front-end application program of the MWA on the PC:

  1. Download MWA software evaluation version from http://www.keysight.com/find/mwa/.

  2. Extract the MWA software package.

  3. Copy mwa_xxxx.xlsm (x in mwa_xxxx.xlsm means revision number. e.g.: mwa_0106.xlsm) to an appropriate folder on the PC.

Installing Back-end Application

When your VNA is equipped with option 790, the MWA back-end application (mwa.exe) has already been installed on the C:\Program Files (x86)\agilent\network analyzer\applications\mwa at the factory shipment.


Creating Spec Sheets using the MWA Front-end Application

Creating Spec Sheet using the MWA Front-end Application

  • Overview

  • Starting MWA (Front-end Application)

  • Selecting Test Set

  • Defining DUT and Connecting to a Test Set

  • Setting Operation Mode of the DUT

  • Setting GPIB Commands in Each Mode

  • Setting Measurement Parameters in Each Mode

  • Generating a Spec Sheet

  • Importing Exporting Parameters

Other topics about Measurement Wizard Assistant

Overview

The front-end application of the MWA creates a setup file named "spec sheet" (.mwa) which is used in the back-end application on the VNA. The procedure of creating a spec sheet is described below:

Starting MWA (Front-end Application)

  1. Start Excel and select File > Open.

  2. In the window that opens, select mwa_xxxx.xls and click Open.

  3. When you are asked whether to enable macros, select the option to enable them.

Note: When opening the front-end application of MWA in Microsoft Office Excel 2010/2013, the macros of the front-end are disabled by default as indicated by “Security Warning” tab. In order to use the front-end application, its macros must be enabled. To enable the macros, click “option” button on “Security Warning” tab and select either “Enable this content” or “Trust all documents from this publisher” on the pop-up “Security Alert – Macros & ActiveX” window.

Selecting Test Set

The procedure for selecting the configuration of measurement in the "Multiport Test Set" sheet is described below:

  1. Select the "Multiport Test Set" tab ([1] in Multiport Test Set Sheet)

  2. Double-click the selection cell for test set 1 ([2] in Multiport Test Set Sheet) and select the first multiport test set in the drop-down list. The following configurations are available with the MWA:

    No.

    Test Sets

    Description

    0

    None

    Uses the 4-port VNA only.

    1

    E5091A 9-Port

    E5080A does not support E5091A.

    2

    E5091A 13-Port

    E5080A does not support E5091A.

    3

    E5091A 16-Port

    E5080A does not support E5091A.

    4

    E5092A 13-Port

    Uses the 13-port configuration of the E5092A option 020 (E5092A-020).

    5

    E5092A 16-Port

    Uses the 16-port configuration of the E5092A option 020 (E5092A-020).

    6

    E5092A 22-Port

    Uses the 22-port configuration of the E5092A option 020 (E5092A-020).

    7

    E5092A X10-Port

    Uses the 10-port full crossbar configuration of the E5092A option 020 (E5092A-020).

    8

    Z5623AK64

    This is a test set designed for the PNA-L (N5230A option 245). It cannot be used with the VNA.

    9

    Z5623AK66

    This is a test set designed for the PNA-L (N5230A option 245). It cannot be used with the VNA.

E5092A 13-Port Switching Configuration

E5092A 13-Port Configuration Parameter Matrix & Front Panel Connection

E5092A 16-Port Configuration

E5092A 16-Port Configuration Parameter Matrix & Front Panel Connection

E5092A 22-Port Configuration

E5092A 22-Port Configuration Parameter Matrix & Front Panel Connection

E5092A 10-Port Full Crossbar Configuration

E5092A 10-Port Full Crossbar Configuration Parameter Matrix & Front Panel Connection

  3. Type the label names of ports in a cell of the Label column for test set 1 ((3) in Multiport Test Set Sheet). The label names typed here will be used in the following procedure of the front-end and the back-end application.

Note: The functionality to Copy & Paste is not available in the front-end application of the MWA. Make sure to type characters and values or select the option from the drop-down list.

  4. Double-click the selection cell for test set 2 ((4) in Multiport Test Set Sheet) and select another multiport test set in the drop-down list. Following configurations (following table) are available for the second test set:

    No.

    Test Sets

    Description

    0

    None

    Does not use a second test set.

    1

    E5091A 9-Port

    E5080A does not support E5091A.

    2

    E5091A 13-Port

    E5080A does not support E5091A.

    3

    E5091A 16-Port

    E5080A does not support E5091A.

    4

    E5092A 13-Port

    Uses the 13-port configuration of the E5092A (E5092A-020).

    5

    E5092A 16-Port

    Uses the 16-port configuration of the E5092A (E5092A-020).

    6

    E5092A 22-Port

    Uses the 22-port configuration of the E5092A (E5092A-020).

    7

    E5092A X10-Port

    Uses the 10-port full crossbar configuration of the E5092A (E5092A-020).

Note: Step 4 through Step 6 is required when two multiport test sets are used for measurement. When only one test set is used, select None and proceed to Step 7.

  5. Type the label names of the ports in cells in the Label column for the test set 2 ((5) in Multiport Test Set Sheet).

  6. Set the number 1 to 4 in the cells in the Link column ((6) in Multiport Test Set Sheet), which correspond to the ports 1-4 of the second test set.

  7. When the selection of measurement configuration is completed, the connectivity matrix in the right ([7] in Multiport Test Set Sheet) is automatically updated. Those checked in the table are the paths that can be measured.

Multiport Test Set Sheet

Defining DUT and Connecting to a Test Set

The procedure for defining the characteristics of the DUT and the connection with the ports on the VNA or the multiport test set are explained below.

  1. Select the "DUT" tab ([1] in DUT Sheet (1/3)).

  2. Type a label name in a cell in the DUT Label column ((2) in DUT Sheet (1/3)) that defines the connection between the DUT and a test set. Typing the label name in the cell enables the corresponding port of the VNA or the multiport test set.

  3. Double-click the port type selection cell ((3) in DUT Sheet (1/3)) below the DUT Label and select a port type from the drop-down list or directly input the port type number (1-3). The following types are available:

    No.

    Port Types

    Description

    1

    Single

    Sets the port type to single-ended port.

    2

    Common

    Sets the port type to common-mode port.

    3

    Differential

    Sets the port type to differential-mode port.

  4. If you select Common or Differential as the port type, type into a cell in the Sub Label column ((4) in DUT Sheet (1/3)) a label name that will be used when the ports are connected to the single-ended ports on the VNA or the test set.

  5. Double-click the port selection cell ((5) in DUT Sheet (1/3)) and select a port of the test set from the drop-down list. Selection can be made from the ports that have been pre-defined in the Multiport Test Set sheet.

DUT Sheet (1/3)

  6. When you set the port type to Single, enter port impedance in cells in the R (for the real part) and X (for the imaginary part) columns ([1] in DUT Sheet (2/3)) under Z (Single). When you set the port type to Common or Differential, enter impedance in cells of the R and X columns ((2) in DUT Sheet (2/3)) under Z (Balanced).

  7. Enter into a cell in the Extension column ((3) in DUT Sheet (2/3)) an extension time that is applied when the port is extended. If you set the port type to something other than Single, enter an extension time for each of the two ports.

Note: Embedding and de-embedding functions are available in front end application. Embedding and Port Matching cannot be used at the same time because of the VNA firmware specification.

Error Message Screen

DUT Sheet (2/3)

  8. Double-click a cell in the Type column under Port Matching (Single) ((1) in DUT Sheet (3/3)) to display a dialog box for setting the port matching circuit (Dialog box for setting the port matching circuit). Select a type, enter values for C, G, L and R and click OK ((1) in Dialog box for setting the port matching circuit). To return to the DUT sheet without setting the type and the values, click Cancel ((2) in Dialog box for setting the port matching circuit).

The units of C, G, L and R are F (farad), S (siemens), H (henry) and ohm, respectively. An exponent is acceptable as an input format.

The types of the port matching circuits are as follows:

Types of Port Matching Circuits | Description
None | No matching circuit is selected.
SLPC | Selects the circuit that consists of series L and shunt C.
PCSL | Selects the circuit that consists of shunt C and series L.
PLSC | Selects the circuit that consists of shunt L and series C.
SCPL | Selects the circuit that consists of series C and shunt L.
PLPC | Selects the circuit that consists of shunt L and shunt C.

Note: Values can be entered directly in cells in the C, G, L and R columns ((2) in DUT Sheet (3/3)) instead of using the dialog box.

  1. Repeat Step 2 through Step 8 as many times as needed to set all the required parameters.

DUT Sheet (3/3)

Dialog box for setting the port matching circuit

SLPC

PCSL

PLPC

PLSC

SCPL

Setting Operation Mode of the DUT

The E5092A multiport test set has the capability of DC source that can supply the bits of DC control voltage to a DUT. By selecting L (Low) or H (High) voltage for each control bit, the operation mode of the DUT can be determined. The procedure for setting operation mode in the "Mode" sheet is explained below:

  1. Select the "Mode" tab ((1) in Mode Sheet).

  2. Turn ON each cell for the status of operation mode of the DUT ((2) in Mode Sheet).

  3. Enter a preferred label name in a cell in the Mode Label column ((3) in Mode Sheet). The label name entered here will be used as a tag name of a generated spec sheet. It will also be used by the back-end application as a label.

  4. Double-click cells for control voltage (Vc1 through Vc8) under Control Line Voltage [TS1] of the first test set ((4) in Mode Sheet) and set L (Low) or H (High) voltage for each control line. It is also possible to directly input the number 0 or 1 (0 for Low, 1for High).

  5. When you use two test sets, you can set control voltage outputs from the second test set. Set cells for Vc1 through Vc8 under Line Voltage [TS2] of the second test set ((5) in Mode Sheet) the same way as in Step 4.

  6. Repeat Step 2 through Step 5 as many times as needed to set all desired modes.

Mode Sheet

Note: Control Line Voltage Group (A to D) and DC Source Output Voltage options are available only when E5092A test set has been selected in the Multiport test set tab. The DC source output voltage range varies between 1V-5V with a resolution of 0.01V depending upon the specification of E5092A.

Note: The maximum number of modes is 40.

DC Source and Control Line Voltage Diagram

Setting GPIB Commands in Each Mode

The procedure explained below is for setting GPIB commands to external peripherals in the "GPIB" sheet. A USB/GPIB interface (i.e. Agilent 87357B) to connect the VNA and peripherals with the GPIB interface is necessary for this function.

  1. Select the "GPIB" tab ((1) in GPIB Sheet).

  2. Under GPIB Command, enter into a cell in the Address column ((3) in GPIB Sheet) the GPIB address of the external peripherals to which GPIB commands will be sent.

Note: To add a new command row to a mode, double-click the cell in the Mode column((2) in GPIB Sheet). To delete a command row from a mode, place the cursor at the row that you want to delete, right-click to display a list, and select Delete Command.

To add multiple rows at one time, place the cursor at the row of the command to which you want to add the new rows, right-click to display the Command Count dialog and set the number of rows as needed in the particular mode.

Note: GPIB commands can be sent to the VNA itself by entering -1 into a cell in the Address column.

  3. Enter into a cell in the Command column ((4) in GPIB Sheet) a GPIB command to be sent.

Note: Single or double quotation is required for the parameter of string. Example :DISP:WIND1:TITL:DATA 'Sample1'

  4. Enter the wait time into a cell in the Wait [ms] column ((5) in GPIB Sheet) under GPIB Command. This wait time (in msec) should be set to insert the data transaction time between the VNA and a peripheral in the testing system, when a query command is sent to the peripheral during the measurement.

  5. Double-click a cell in the Type column ((6) GPIB Sheet) to display a drop-down list and select the desired command type. The following options are available:

No. | Command Type | Description
1 | Limit | Set this where a query command is sent via GPIB. The returned value is used in the limit test by the back-end application.
2 | Pre | Set this where a GPIB command is sent before measurement starts in the back-end application.
3 | Post | Set this where a GPIB command is sent after measurement ends in the back-end application.

Note: The command type can be set only for GPIB commands that have been set in Setting Operation Mode of the DUT. GPIB command types cannot be set in INIT mode.

Note: In INIT mode, a command is executed only once when spec sheets are read by the back-end application. Since this execution of the commands takes place before measurement, set such commands to initialize the state of an external peripheral.

  6. When Limit is selected for the command type, enter the lower limit value, the upper limit value and a rank number in cells in the Min, Max and Rank columns ((7) in GPIB Sheet), respectively. These figures are used in the limit test by the back-end application on a returned value of a query command to the peripherals. For details on the rank, refer to Step 11 in Setting Measurement Parameters in Each Mode.

Note: The lower limit values, the upper limit values, and the ranks can be set in cells under GPIB Limit only if the selected GPIB command type is Limit. This does not apply to Pre or Post GPIB commands. This setting cannot be performed for GPIB commands in the INIT mode either.

  7. Repeat Step 2 through 6 as many times as needed to set GPIB commands in each mode.

GPIB Sheet

Setting Measurement Parameters in Each Mode

The procedure described below is for setting all the measurement parameters of modes that are pre-defined in Setting Opeartion Mode of the DUT.

  1. Select the "Spec Sheet" tab ((1) in Spec Sheet (1/2)).

  2. Double-click the From column under Path ((3) in Spec Sheet (1/2)) and select a DUT port that is connected to the source port of the VNA from the drop-down list. The selection can be made from the ports that have been defined in Defining the DUT and Connecting to a Test Set.

Note: To add a new row to a measurement path, double-click the cell in the Mode column ((2) in Spec Sheet (1/2)). To delete a row of a measurement path, place the cursor at the row you want to delete, right-click to display the list, and select Delete Record.

To add multiple new measurement paths, place the cursor at the mode, right-click and select Path Count...In the displayed Path Count dialog, set the number of paths as needed.

Path Count Dialog

  3. As in Step 2, double-click a cell in the To column under Path ((3) of Spec Sheet (1/2)) to display a drop-down list and select a DUT port that is connected to the receiver port of the VNA.

  4. Double-click a cell in the Type column ((4) in Spec Sheet (1/2)) to display a drop-down list and select measurement type for each path. The following types can be selected:

    No.

    Measurement Type

    Description

    Parameter

    Data Format

    1

    IL

    Performs the Insertion Loss measurement

    Transmission

    LogMag

    2

    Ripple

    Performs the Ripple measurement

    Transmission

    LogMag

    3

    VSWR

    Performs the Voltage Standing Wave Ratio measurement

    Reflection

    VSWR

    4

    RL

    Performs the Return Loss measurement

    Reflection

    LogMag

    5

    ATT

    Performs the Attenuation measurement

    Transmission

    LogMag

    6

    Isolation

    Performs the Isolation measurement

    Transmission

    LogMag

    7

    BalAmp

    Performs the Imbalance measurement with balanced port. (in magnitude)

    Imbalance

    LogMag

    8

    BalPhase

    Performs the Imbalance measurement with balanced port. (in phase)

    Imbalance

    Phase

    9

    Phase

    Performs the Phase measurement.

    Reflection / Transmission

    Phase

    10

    Group Delay

    Performs the Group Delay measurement.

    Reflection / Transmission

    Group Delay

    11

    Lin Mag

    Performs the measurement in linear magnitude.

    Reflection / Transmission

    LinMag

    12

    Real

    Performs the measurement in real.

    Reflection / Transmission

    Real

    13

    Imag

    Performs the measurement in imaginary.

    Reflection / Transmission

    Imaginary

Note: The limit test is performed by the back-end application with the limit values in the spec column. (Described in Step 8). The sign change is required for the limit test value in case of the IL, RL, ATT or Isolation measurement type. For example, the maximum -5dB of insertion loss is the allowable specification of the DUT, input 5 (dB) in the maximum (Max) value in the spec column. If you need the isolation at least below -80dB in the measured path, you should input 80 (dB) in the minimum (Min) value in the spec column for the limit test.

Spec Sheet (1/2)

  5. Enter the start frequency, the stop frequency and the number of measurement points in the cells in Start, Stop and Pts columns ((5) in Spec Sheet (1/2)) under Frequency [MHz]. These figures will be the sweep settings that are used to perform measurement by the back-end application of the VNA.

  6. Frequency offset mode is available with the MWA by entering the start and stop frequency at the receiver port on the VNA in cells in the Start and Stop columns ((6) in Spec Sheet (1/2)) under Rcv Freq [MHz].

  7. Set the output level, the IF bandwidth and the sweep mode of a port on the output side using cells in the Power, IFBW [Hz] and Sweep Mode columns under Sweep Setting ((7) in Spec Sheet (1/2)). Double-click the sweep mode cell to display a drop-down list and select a sweep mode of the VNA. The following options are available:

    No.

    Sweep Modes

    Description

    1

    Std. Stepped

    Sets the sweep mode to the stepped mode.

    2

    Std. Swept

    Sets the sweep mode to the swept mode.

    3

    Fast Stepped

    Sets the sweep mode to the fast stepped mode (This mode is only for the E5070B/E5071B.)

    4

    Fast Swept

    Sets the sweep mode to the fast swept mode (This mode is only for the E5070B/E5071B.)

  8. Enter the limit values of a measurement parameter in cells in the Min and Max columns ((1) in Spec Sheet (2/2)) under Spec column. The values entered here will be used for the limit test in the back-end application to evaluate measured parameters. If no values are entered in the cells, -999 is assumed for Min (lower limit) and 999 for Max (upper limit).

  9. The measured data can be converted in the back-end application. In such cases enter correction values in cells in the Start and Stop columns under Corr. Multiplier ((2) in Spec Sheet (2/2)) and cells in the Start and Stop columns under Corr. Offset((3) in Spec Sheet (2/2)). The correction is done on the measured data at the start frequency and the stop frequency with the entered multiplier and offset values. The measured data on each point in between the two frequencies is linearly interpolated.

  10. A cell in the Diff (difference) column under Corr. ((4) in Spec Sheet (2/2)) can be checked by double clicking. When a path has a check mark in this cell, the difference between the corrected value in the first path and the other checked paths of the mode can be tested between in the back-end application.

    This feature can be used for harmonic measurement (in dBc) by entering the parameters at the carrier frequency in the first path and the parameters at the harmonic frequencies in the next paths.

Note: The first path in each mode cannot be checked because it is automatically assigned as the measurement reference for calculating differences from the other paths.

Spec Sheet (2/2)

  11. Enter a rank number into a cell in the Rank column ((5) in Spec Sheet (2/2)) Rank can be used to prioritize the test result of measurement paths of the DUT. The rank number can be ranged from 0 to 255 and the lowest number of the rank is outputted to the handler I/O on the VNA by the back-end application after the completion of the limit test. This will indicate the most critical failure of the measurement path of the DUT in the limit test. When the test result gives the pass for all measurement paths, the returned rank number is 0.

  12. A cell in the Selected column ((6) in Spec Sheet (2/2)) can be checked by double-clicking. The measurement of the path with the checked mark in the cell is performed in the back-end application. You can select in the back-end application whether to apply the selective measurement or not.

  13. Enter the tag name of a measurement path in cells into the Tag Name columns ((7) and (8) in Spec Sheet (2/2)). The first part of the tag name ((7) in Spec Sheet (2/2)) is assigned automatically with the corresponding mode and path number, and cannot be modified. The second part of the name ((8) in Spec Sheet (2/2)) can be changed as needed.

  14. Repeat Step 2 through Step 13 as many times as needed to set up measurement path details in each mode.

Generating a Spec Sheet

The procedure explained below is for verifying the contents of the settings and generating a spec sheet for the back-end application in the “Output” sheet.

  1. Select the "Output" tab ((1) in Output Sheet).The channel and trace allocation of each measurement path on the VNA is automatically displayed in the sheet

Note: An error message dialog is displayed if there is any invalid input in the previous sheets of the front-end application. Press Yes in the dialog to return to the portion that caused the error.

  2. Enter the maximum channel number of the VNA in the Max Channel cell ((4) in Output Sheet), the maximum number of traces per channel in the Max Trace cell ((5) in Output Sheet), and the maximum number of measurement points in the Max Point cell ((6) in Output Sheet) at the top of the "Output" sheet.

    Based on the values entered here, all the measurement paths in all the modes are automatically allocated to appropriate channels.

  3. Information on all the measurement paths in all the modes and corresponding channels, traces, and segments is shown in the Output sheet ((2) in Output Sheet). Check the information and correct the corresponding sheet if there are any errors.

  4. Detailed information on each channel including the test set ID, connected port number of the test set, measurement parameters on each trace is displayed ((3) in Output Sheet). Check the information and correct the corresponding sheet if there are any errors.

  5. If all information shown in the Output sheet is correct, press Save Spec Sheet ((7) in Output Sheet) at the top of the sheet to display the Save dialog box. Select a folder and enter a preferred file name and press Save to generate and save a spec sheet, which will be used by the back-end application.

Output Sheet

Importing/Exporting Parameters

The procedure explained below is for importing/exporting the parameters in the csv format with the "System" sheet.

  1. Select the "System" tab ((1) in System Sheet).

  2. Press Export ((3) in System Sheet) to display the Export Data dialog box.

  3. Enter a file name and press OK. All the entered parameters in the front-end application are exported to a file in csv format.

  4. To import the parameters from a csv files, press Import ((2) in System Sheet) to display the Import Data dialog.

  5. Select a csv file to read and press OK. The parameters in the csv file can be imported in the front-end application.

System Sheet

Note: Because the exported file (.csv) is not a spec sheet,(.mwa) generated in the “Output” sheet, it cannot be recalled in the back-end application.


Executing the Back-end Application in VNA

  • Overview

  • Starting MWA Back-end Application

  • Description of Windows

  • Selecting and Clearing Spec Sheets

  • Checking Connections

  • Calibration Procedure

  • Saving State File

  • Measurement Procedure

  • Created Result Files

  • Controlling the Back-End Application From An External PC

  • Operation of Handler I/O by the MWA

  • Error messages in the Back-End Application

Other topics about Measurement Wizard Assistant

Overview

The back-end application of the MWA is a program running on the VNA. The back-end application reads a spec sheet (.mwa) created by the MWA front-end application, and automatically sets up all the measurement parameters on the VNA. Based on the information included in the spec sheet,the back-end application sets up the VNA multiport test set, or the external peripherals,and executes measurement procedure the detailed analysis report of the results.

Starting MWA (Back-end Application)

A method for starting the back-end application of the MWA on the VNA is explained below.

  1. Press Macro > Macro 1 > MWA.

Description of Windows

The back-end application of the MWA has the following windows:

  1. Main Window

  2. Spec Sheet Setting Window

  3. Connection Information Window

  4. Calibration Wizard Window

  5. All Spec Sheets Measurement Window

  6. Measurement by Spec Sheet Window

  7. Results Verification by Mode Window

1. Main Window

This is the first window displayed after startup.

In this window, the following buttons can be selected for enabling functionality available in the back-end application

Main Window

  • Add Spec Sheet Group button (Main Window )

Displays Spec Sheet Setting Window.

  • Clear All Spec Groups button (Main Window )

Clears group files that have been already read in the Spec Sheet Setting Window.

  • Cal Wizard button (Main Window )

Displays Calibration Wizard Window (1/2)for automatic calibration procedure.

  • Save State button (Main Window )

Saves a status file on the VNA. As a status file is automatically saved in the VNA when saving a group file or the necessary calibration is completed in the Calibration Wizard Window, it is not necessary to press this button if the setting on the VNA is not changed.

  • Connection Information button (Main Window )

Displays Connection Information Window for verifying the connectivity of the network analyzer, the multiport test set, and the DUT.

  • Measurement button (Main Window )

Displays All Spec Sheet Measurement Window for launching measurement procedure.

  • Minimize button (Main Window )

Minimizes the window of the back-end application. This function provides easy access to the display of the VNA for changing parameters after recalling a spec sheet.

  • Spec Sheet List (Main Window )

The recalled group files with the list of spec sheets are displayed in the Main Window after the setup in the Spec Sheet Setting Window (link inserted). The name of spec sheets, the number of group files, and the allocated channel number of the VNA are included. The option button for each group file can be enabled for selecting the active group file used in the measurement.

If multiple spec sheets are bundled in a group file, the option button of the first sheet can be enabled for the group file (It is not necessary to select the other spec sheets).

The group with the circle mark (● ) on the option button is the current active group. The calibration performed in the Calibration Wizard Window and the measurement is effective for this active group. The state file is saved by the Save State button (Main Window ) for the active group file as well.

2. Spec Sheet Setting Window

In this window, spec including all the parameters for the setup on the VNA are recalled. The multiple spec sheets are bundled into one group and handled as a group file (.ssg) in the following procedure of the back-end application. Up to 10 different spec sheets can be added in one group file.

Spec Sheet Setting Window

  • Read Group File... button

Recalls a saved group file (.ssg).

  • An error occurs when power value is set to different value by VNA firmware.
    In front-end application, the resolution of power value which can be set is 0.05dBm.

  • Create New Group... button (Spec Sheet Setting Window (x))

Creates a new group file (.ssg).

  • Browse... button (Spec Sheet Setting Window (x))

Displays the file selection dialog for status files of the group.

  • Add Spec Sheets... button (Spec Sheet Setting Window (x))

Adds a spec sheet (.mwa) under the group file. The default name of the group file is named after the recalled spec sheet.

  • Clear All Spec Sheets button (Spec Sheet Setting Window (x))

Clears all the spec sheets that have been already recalled in the window.

  • OK button (Spec Sheet Setting Window (x))

Reflects all the settings on the VNA according to the recalled spec sheets and returns to the Main Window. The state file for the group is saved automatically.

  • Cancel button (Spec Sheet Setting Window (x))

Discards the settings and returns to Main Window.

3. Connection Information Window

This window is displayed when Connection Information in the Main Window is selected.

Using the label names defined in the front-end application, this window shows information on the connection between the VNA, the multiport test set(s),and the DUT.

Connection Information Window

  • Close button

Closes the window and returns to the Main Window.

4. Calibration Wizard Window

This window is displayed when Cal Wizard in the Main Window is selected.

The wizard provides the necessary steps of the calibration procedure with the VNA and the multiport test set in accordance with the contents of recalled spec sheets.

Calibration Wizard Window (1/2)

  • List of Calibration Types

Displays the calibration types that can be performed with the calibration wizard.

These include Mechanical Cal Kit (calibration with the mechanical calibration kit), 4-Port ECal (calibration with the 4-port ECal module), Source Power Cal and Receiver Power Cal (Receiver calibration).

  • Source Power Cal is applied only to the measurement paths whose Receiver frequencies in the spec sheet of front-end application has been filled.

  • List of Calibration Kits

Displays the list of mechanical calibration kits available on the VNA for the calibration. This can be selected when Mechanical Cal Kit is selected as the calibration type.

  • List of ECals

Displays the list of characteristics registered in the ECal modules. User-defined characteristics of the ECal module (User 1 to 5) can be selected for calibration with different types of connectors.

  • Averaging Count Entry

Sets the averaging number for measurements during calibration. This averaging number is used only during calibration and returns to the original number registered in the VNA when calibration is completed.

Calibration Wizard Window (2/2): mechanical calibration kit selected

Calibration Wizard Window (2/2): 4-port ECal selected

  • During execution of the calibration wizard, the port name in Port or the calibration standard in CalKit in Calibration Wizard Window may be grayed-out. This means "the connection between the port and the calibration standard is the same as step in calibration procedure"; therefore it is not necessary to disconnect the standards for the calibration measurement.

  • Measure button

Performs calibration measurement with the displayed connection.

  • <Back button

Goes back to the previous step in the Calibration Wizard.

  • Next > button

Goes to the next step in the Calibration Wizard after the calibration measurement is completed.

  • Cancel button

Aborts the Calibration Wizard and returns to the Main Window.

  • Done button (Cancel button changes)

Performs the correction of error coefficients on every necessary port then returns to Main Window.

  • Calibration data are automatically saved in the status file (.sta) of the group.

5. Measurement Window

All Spec Sheets Measurement Window

This window is displayed after the setup in the Lot Input Window when the Measurement button in the Main window is selected.

Spec sheets and summaries of their measurement results are listed in this window. To check the results by spec sheet, select each spec sheet in this window and press Manual Trigger.

All Spec Sheet Measurement Window

  • Spec Sheet button (All Spec Sheet Measurement Window (x))

Displays Measurement by Spec Sheet Window.

The spec sheet button with the black triangle icon to its left indicates the next sheet to be measured.

  • Measurement ON/OFF check box (All Spec Sheet Measurement Window (x))

Only the spec sheet with a checked mark is measured.

  • Half button

Rescale the Measurement Window of the back-end application with the half size of the screen. The window is located at the bottom half of the screen and the measurement results of the VNA is displayed in the top half. See the Measurement Window in half mode.

  • Minimize button

Minimizes the Measurement Window. See the minimized window.

  • Manual Trigger button

Makes an immediate measurements with manual trigger on the checked spec sheets in the window. (The black triangle icon is displayed to the left of the Spec Sheet button.)

  • Skip button

Skip the measurement of the spec sheet with a black triangle icon on the left.

  • New Measurement button

Ends measurement in the current window, saves the results, and displays All Spec Sheet Measurement Window with a new lot name.

  • End Measurement button

Ends measurement in the current window and returns to the Main Window. The measurement results are saved in the designated directory of the VNA.

Measurement by Spec Sheet Window

This window is displayed by selecting one of the buttons for the spec sheets that are listed in the All Spec Sheets Measurement Window.

This window shows a list of the measurement modes in the selected spec sheet. To make measurements while checking measurement results in different measurement modes, press Manual Trigger in this window.

Measurement by Spec Sheet Window

  • Manual Trigger button (Measurement by Spec Sheet Window (1))

Makes an immediate measurement with manual trigger on the checked spec sheets in the All Spec Sheets Measurement window.(The same function on the Manual Trigger button in the All Spec Sheets Measurement Window).

  • Close button (Measurement by Spec Sheet Window (1))

Returns to the All Spec Sheet Measurement window.

Results Verification by Mode Window

This window is displayed by selecting one of the buttons for the measurement modes listed in the Measurement by Spec Sheet Window.

This window shows a list of measurement results for the measurement paths specified in the selected measurement mode.

Results Verification by Mode Window

  • Measurement results display area

Path: The label name of a measurement path that is defined in the "Spec Sheet" in the front-end application.

Spec Min/Max: The maximum and minimum limit values of the DUT specification for the measurement paths. These values are entered in the "Spec Sheet" in the front-end application.

Worst Value: The limit test by the back-end application is performed for each measurement point and the worst value of the DUT is displayed in the measurement result. The worst value is defined as the farthest value from the average of the maximum and minimum limit values, which corresponds to the typical measured data of the DUT.

Pass/Fail: Indicates the result of the limit test for all data in the measured path.

Rank: The rank value of each measurement path (specified in the Spec Sheet sheet in the front-end application). The result of the limit test can be prioritized and sorted in all the measurement paths with the fail. The back-end application outputs the minimum rank value among the failed measurement paths. For example, by assigning the smallest rank value for a specific measurement path, you can identify the worst performance of the DUT with the output of the rank value after the measurement.

If the result of the limit test gives pass for all the measurement paths, the output rank value is "0".

The definition of the pass/fail result of the measurement can be ranged by the Max Fail Rank specified in the Lot Input Window of the back-end application. When the rank value is greater than the max fail rank value, the failed result of the limit test is treated as pass, and the corresponding rank values for measurement paths are outputted in the result. The following table shows an example of the output rank values, when (the Max Fail Rank is set to 200).

Rank value for path | Pass/Fail | Rank to be output
1 - 200 | Fail | 1 - 200
201 - 255 | Pass | 201 - 255

For the measurement value, Worst Value, and Pass/Fail judgment, refer to step10 of the Setting Up Measurement Parameters in Each Mode.

  • Close button

Returns to Measurement by Spec Sheet Window.

6. Other Windows

Measurement Window in Half mode: This window is shown when half in the All Spec Sheets Measurement Window is pressed.

You can use this window when you want to use the MWA while watching the measurement result displayed in the screen of the VNA. In this window, only a failed measurement path is displayed and you can check the corresponding channel and trace for further investigation of the result.

If the measurement paths cannot be displayed in one screen, the <<Prev button and the Next>> button become effective.

If you check the Disp enable check box, Display Update function of VNA is activated for drawing the image on the screen. It is recommended to disable this function and save time for updating the display when the fast testing speed is really required.

Measurement Window in Half Mode

Lot Input Window

The lot input window is used for the setup of the measurement. For more information, refer to the Measurement Procedure (All Spec Sheets Measurement Window).

Lot Input Window

Selecting and Clearing Spec Sheets

The procedure described below is for selecting or clearing spec sheets in the Main Window or in the Spec Sheet Setting Window.

Selecting Spec sheets

  1. Press Add Spec Sheet Group in the Main Window to display the Spec Sheet Setting Window.

  2. To create a new group, press Create New Group... in the window, type the name of the new group in the file dialog, and press Save.

    To recall an existing group, press Read Group File... in the window, select the group file in the file dialog and press Open.

    The full path name of the group file entered or selected is displayed in the window

  3. To specify the state file to be associated with the group, press Browse... in the State File frame, select the state file to recall and press Open.

    The full path name of the selected state file is displayed in the window.

  4. Press Add Spec Sheets... in the window. Select the spec sheet to use in measurements and press Open.

The name of the selected spec sheet and allocated channel numbers in VNA will be displayed in the window.

  • To select multiple spec sheets, repeat Step 4 as many times as needed to read all necessary spec sheets.

  • When you select a spec sheet without selecting a group file or a status file, the displayed names of these files are the same as that of the spec sheet.

  • If an error message appears, refer to Error messages in the Back-End Application.

  5. After selecting all the necessary spec sheets, press OK to return to the Main Window. The name of the spec sheet and the allocated channel information will be displayed in the Main Window.

    All the functions in the Main Window become available after the spec sheet is imported in the back-end application.

  6. When no spec sheet is imported or all the spec sheets are cleared by Clear All Groups, the buttons in the Main Window are Disabled and the related their functions become unavailable.

Clearing group files

  1. Select Clear All Groups in the Main Window after setting up the group file in the Spec Sheet Setting Window.

  2. All the group files are cleared and all the buttons in the Main Window become Disabled and the related functions become unavailable.

  3. It is not available to clear each group file individually.

Checking Connections

The procedure described below is for checking the connection between the measurement instruments and the DUT in the Connection Information Window.

  1. Select Connection Information in the Main Window after recalling a spec sheet.

  2. The Connection Information Window is displayed. Based on the information on the screen, connect the cables between the VNA, the multiport test set(s) and the DUT.

  3. After checking that the connection is correct, press Close to close the window and return to the Main Window.

  • The connection should be confirmed before the calibration procedure in the Calibration Wizard Window. It is also recommended to check the connection again before starting the measurement in the Measurement Window.

Calibration Procedure

The procedure described below is for performing the calibration procedure by the Calibration Wizard Window of the back-end application.

  1. Select a group file to calibrate with the radio button in the Main Window.

  2. Select Cal Wizard in the Main Window.

  3. The calibration wizard starts up and the Calibration Wizard window (1/2) is displayed. From the list of types of calibration shown in the window, select the type of calibration to perform. The following options are available:

    Type of Calibration

    Description

    Mechanical Cal Kit

    Uses a calibration kit to perform calibration. For information on the selecting a calibration kit, refer to Step 4.

    4 Port ECal

    Uses 4-port ECal to perform calibration.

    Receiver Cal

    Performs Receiver calibration while making FOM measurements.

  4. If Mechanical Cal Kit is selected in Step 3, the list of calibration kits available for selection is displayed in the window. Select the appropriate calibration kit to use.
    If 4-port Ecal has been selected in Step 3, the list of user-defined characteristics of the ECal module is displayed in the window. Select the appropriate characteristics of the ECal module to use. Refer to User-characterized ECal for more detail.

Note: The information on displayed calibration kits has been imported from the VNA firmware. When the parameters of the calibration kit are changed in the VNA, corresponding information will be reflected in the back-end application as well.

  5. Enter the number of averaging during the calibration measurement into the Averaging Count input box. All the parameters on the calibration kit are selected, press Next for the next step in the calibration procedure.

  6. The Calibration Wizard Window (2/2) will be displayed. Both the ports of the VNA or the multiport test set and the calibration standards used for the calibration are displayed. Connect the ports with the standard and press Measure. After the calibration measurement is completed, press Next > for the next step.

  7. Repeat Step 6 as many times as needed for all the calibration steps necessary for the selected spec sheets. After all the calibration measurement is completed, press Done and return to the Main Window. The Calibration data will be saved in the state file of the selected group file automatically.

  1. When performing calibration with ECal,the MWA back-end application shows "Execution error" if active channel is selected for trigger scope on the VNA firmware. Hence, select All Channels for the trigger scope.

Saving State File

The procedure for saving state files in the Main Window is described below.

The State file for a group is automatically saved when you create a group file in the Spec Sheet Setting Window or you perform calibration in the Calibration Wizard Window. If parameters on the VNA are changed without using the functions of the back-end application, a state file should be saved manually in the Main Window.

  1. Press Save State in the Main Window.

  2. The State Files (.sta) of the current active groups are updated.

Measurement Procedure (All Spec Sheets Measurement Window)

The procedure described below is for making measurements by spec sheet in the All Spec Sheets Measurement Window.

  1. After the setup of spec sheets in the Spec Sheet Setting Window, press Measurement in the Main Window. The lot Input Window is displayed.

  2. Enter the lot name of the DUT. Check optional functions in the measurement as necessary and press OK.

  • Output Start/Stop Values

This option allows you to write measured values at the start and stop frequencies to a result file of the measurement. The back-end application automatically generates the result file for each spec sheet after the measurement. Refer to Measurement result by spec sheet.

  • Correction (Limit Test)

This option allows you to reflect the correction on measured values specified in the “Spec Sheet” front-end application, refer to Step 9 in the Setting Measurement Parameters in Each Mode.

  • Enable Manual Measurement

This option enables the Manual Trigger button in the All Spec Sheets Measurement Window and the Measurement by Spec Sheet Window. When this option is not checked, manual measurements using the Manual Trigger button cannot be made.

  • Overwrite Output File

This option allows you to overwrite or add the measurement result when a result output file already exists. When this option is checked, the existing file is overwritten.

  • Max fail rank (1-255)

This option sets the maximum rank value for the fail result in the limit test. For example, when "max fail rank" is set to 10, the result for measurement paths with ranks 1 through 10 treated as fail and 11 through 255 treated as pass. For more information, refer to rank in Measurement results display area.

When you press the OK button, the All Spec Sheet Setting Window is displayed.

  3. Press Skip to place the black triangle icon to the left of the desired spec sheet with which measurements are made.

  4. With the black triangle icon placed to the left of the spec sheet for use during measurement, press Manual Trigger to perform measurement.

To do the measurement for the selected measurement paths that have been checked in the "Spec Sheet” of the front-end application, check Selected Measurement and press Manual Trigger.

To make consecutive measurements using the displayed spec sheets, check the Continuous check box.

  5. When measurements for the spec sheets are completed, the measurement result (Pass or Fail) is displayed to the right of each spec sheet.

Note: To check measurement result for each spec sheet, press the button of the desired spec sheet to display the Measurement by Spec Sheet Window. For information on the Measurement by Spec Sheet Window, refer to Measurement Procedure (Measurement by Spec Sheet Window).

Measurement Procedure (Measurement by Spec Sheet Window)

The procedure described below is for selecting one of the spec sheets in the measurement window, and making detailed measurement in the Measurement by Spec Sheet Window for each measurement mode included in the spec sheet.

  1. In the All Spec Sheets Measurement Window, press the button of the desired spec sheet to display the Measurement by Spec Sheets Window for the spec sheet.

  2. Press Manual Trigger to launch the measurement for each mode in the selected spec sheet.

To do the measurement for the selected measurement paths that have been checked in the Spec Sheet” sheet of the front-end application, check the box for Selected Measurement and press Manual Trigger.

To make consecutive measurements with continuous sweep for all the measurement modes, check the Continuous check box.

  3. When measurements are completed, the letter "P" (for Pass) or "F" (for Fail), is shown to the right of the measurement mode. Press Close, to return to the All Spec Sheets Measurement Window.

Note: To check detailed measurement results for each measurement mode, press the button for the desired measurement mode to display the Results Verification by Mode Window. For information on the Results Verification by Mode Window, refer to Measurement Procedure (Results Verification by Mode Window).

Measurement Procedure (Results Verification by Mode Window)

The procedure described below is for selecting one of the measurement modes and checking results by measurement path in the Results Verification by Mode Window.

  1. To display the Results Verification by Measurement Mode Window, press the button of the desired measurement mode in the Measurement by Spec Sheet Window.

  2. Measurement results for each measurement path are listed in the Results Verification by Measurement Mode Window. For more details in the listed parameters, refer to measurement results display area in the Results Verification by Mode Window.

Created Results File

This section describes measurement result files that are created at the end of a measurement.

  1. Measurement result summary by lot

This file is created at the end of a measurement or when the name of a lot is changed by selecting New Measurement in the All Spec Sheets Measurement Window. It is created in csv format and saved automatically in the VNA.

The content of the created file is shown in Measurement result summary by lot.

Measurement result summary by lot

The first line is the header of a file and the second line or below contains the measurement result for each spec sheet. The following parameters are included in the result:

  • Spec Sheet x: The name of a spec sheet used in the measurement.

  • Total Number: The total number of the measurement for the lot of the DUT.

  • Pass Number: The total number of the pass result for the lot of the DUT.

  • Mode x: The label name of the mode in a spec sheet that gives the fail result in the measurement.

  • Mode x Fail Number: The total number of the fail result for the mode in a spec sheet.

  2. Measurement result by spec sheet

The file of measurement result is created separately for each spec sheet. Each file is created in csv format ("Lot name"-"spec sheet name".csv) and saved automatically in the same folder as each spec sheet (.mwa) of VNA. The content of the created file is changed depending on the selection of the “output start/stop value” check box in the Lot Input Window.

The content of the created file is shown in Measurement result by spec sheet.

Files of measurement results by spec sheet (start/stop value: ON)

"Index","Rank","Mode1-Path1",,,"Mode1-Path2",,,"[GPIB**Address] GPIB Command, ... ,"ModeX-PathY",,

,,"Start","Stop","Worst", ... ,"Meas", ... ,"Start","Stop","Worst", ...

1,Output Rank,Start_Value,Stop_Value,Worst_Value, ... ,GPIB_Response Value, ... ,Start_Value,Stop_Value,Worst_value, ...

2,Output Rank,Start_Value,Stop_Value,Worst_Value, ... ,GPIB_Response Value, ... ,Start_Value,Stop_Value,Worst_Value, ...

...

N,rOutput Rank,Start_Value,Stop_Value,Worst_Value, ... ,GPIB_Response Value, ... ,Start_Value,Stop_Value,Worst_Value, ...

The first and second lines are the header of a file, and the third line or below contains all the measurement result for the spec sheet. The following parameters are included in the file:

  • Index: The number of measurement for the spec sheet.

  • ModeX-PathY: The tag namme of the measurement path for the specific mode in a spec sheet.

  • Output Rank: The output rank value for the spec sheet. See Rank for the details.

  • Start Value: The measured value at the start frequency for the measurement path.

  • Stop Value: The measured value at the stop frequency for the measurement path.

  • Worst Value: The worst value in the measured frequency range for the measurement path. See Worst Value for the details.

  • GPIB Response Value: The measured value that is imported from an external peripheral by a GPIB command. The result value is inserted at the end of results for a measurement mode. The query command is shown in the header with the GPIB address of the used peripheral.

All the measurement values of a single DUT are summarized in one line. When multiple measurements are performed for a spec sheet, the multiple measurement results in additional lines are included in the file.

As the measurement value at the start/stop frequency is not available for the measurement type such as “mean” or “ripple”, no data is recorded in the start/stop values for the path.

Note: Even when the measurement for a spec sheet is skipped by the Skip button in the All Spec Sheets Measurement Window, the result is recorded in the file as well. However, the output rank is fixed to -1 and no measured values are recorded for the start/stop or worst values.

When "Output Start/Stop value" is disabled by the Lot Input Window in advance of the measurement, the contents of the output is shown below:

Measurement result by spec sheet (start/stop value: OFF)

"Index","Rank","Mode1-Path1",,,"Mode1-Path2",,,"[GPIB**Address]GPIB Command", ... ,"ModeX-PathY",,

1,Output Rank,Worst_value, ... ,GPIB Response Value, ... ,Worst_Value, ...

2,Output Rank,Worst_value, ... ,GPIB Response Value, ... ,Worst_Value, ...

...

N,Output Rank,Worst_value, ... ,GPIB Response Value, ... ,Worst_Value, ...

Controlling the Back-End Application From An External PC

The procedure for controlling the back-end application from an external PC is described below.

  1. Send the following commands to the VNA via GPIB.

DISP:WIND1:TITL:DATA (Command Parameter)

The following command parameters are available with the MWA.

Command Parameter

cmd_para function | Argument 1 | Argument 2 | Window that accepts the command
cmd_read | Group file name (.ssg) or spec sheet name (.mwa) |  | Main Window
cmd_clear | - |  | Main Window
cmd_begin | Lot name | Parameters in the Lot Input Window. For more details, refer to Measurement Procedure (All Spec Sheets Measurement Window) | Main Window, Measurement Window
cmd_initiate | - |  | Measurement Window
cmd_skip | - |  | Measurement Window
cmd_settings | Correction values, Manual measurement |  | Measurement Window
cmd_end | - |  | Measurement Window

Each of the cmd_para functions as follows.

cmd_para functions

Description

Corresponding buttons

cmd_read

Reads the group file or spec sheets specified by the argument 1. If you send this command when no file exists or no more files can be read, an error occurs.

To specify multiple spec sheets, specify spec sheets separated with commas when assigning an argument 1 in Step 2.

Main Window

Add Spec Sheet Group

cmd_clear

Clears all spec sheets that are currently read.

Main Window

Clear All Groups

cmd_begin

Displays the All Spec Sheets Measurement Window, specifying a lot name of the DUT by using argument 1.

Argument 2 specifies the option for the measurement (the same setup in the Lot Input Window). For more details, refer to Measurement Procedure (All Spec Sheets Measurement Window). For each option, refer to that page.

  • Output Start/Stop Values

The same as Start/Stop values. Specifies 0 (OFF) or 1 (ON).

  • Correction values

The same as Correction (Limit Test). Specifies 0 (OFF) or 1 (ON).

  • Manual Measurement

The same as enable Manual Measurement. Specifies 0 (OFF) or 1 (ON).

  • Overwrite Output File

The same as Overwrite Output File. Specifies 0 (OFF) or 1 (ON).

  • Max Fail Rank

The same as max fail rank (1-255). Specifies the value from 1 to 255.

If you send this command when each measurement window is displayed, a summary of the results is generated to a file, the current measurement is closed, and the All Spec Sheets Measurement window opens with a new lot name.

Main Window

Measurement

All Spec Sheets Measurement Window

New Measurement

cmd_initiate

Initiates measurement immediately.

All Spec Sheets Measurement Window

Manual Trigger

Measurement by Spec Sheet Window

Manual Trigger

cmd_skip

Skips the measurement of the next spec sheet.

All Spec Sheets Measurement Window

Skip

cmd_settings

Changes the option of correction values and manual measurement during the measurement. For correction values and manual measurement, refer to the descriptions of cmd_begin.

None

cmd_end

Outputs summary of the results and returns to the Main Window.

All Spec Sheets Measurement Window

End Measurement

  2. If it is necessary to set the argument for a command, the following command is required before sending the command in Step 1. If each argument has several items, set all the parameters separated by a comma (,).

  • Setting command of Argument 1

DISP:WIND2:TITL:DATA parameter

  • Setting command of Argument 2

DISP:WIND3:TITL:DATA parameter

For example, to start new measurement using the lot name "lot_gsm001," send the following command. In the following example, the output start/stop value and overwrite output file are turned ON and the max fail rank is set to 100.

10 output 717;"DISP:WIND2:TITL:DATA lot_gsm001"
20 output 717;"DISP:WIND3:TITL:DATA 1,0,0,1,100"
30 output 717;"DISP:WIND1:TITL:DATA cmd_begin"

Note: If you send a command with incorrect arguments, the command is not executed.

When the command process finishes, the return value of DISP:WIND1:TITL:DATA? becomes "cmd_done" If you want to wait for the command process to finish, confirm this by whether the returned value of DISP:WIND1:TITL:DATA? is "cmd_done"

Operation of Handler I/O Port by MWA

A list of pins of the handler I/O operated by the MWA is shown below. The signal notations in the parentheses correspond to those of the VNA. For details, refer to I/O Signal Pin Layout and Description.

Pin number

Signal Name in MWA (signal name in normal mode)

Direction of signal

Description

2

/INPUT

(/INPUT1)

Input

When a negative pulse is applied to this pin, the level of the signal /OUTPUT1 becomes Low.

3

/INIT (/OUTPUT1)

Output

When a negative pulse is applied to pin 2, the level of /OUTPUT1 becomes Low.

The back-end application monitors /OUTPUT1 and when it turns Low, starts measurement. /OUTPUT1 returns to High at the start of a measurement.

In addition, the "CONT:HAND:OUTP1:DATA 1" command can be used to set the signal level to Low or High.

5

/RANK A0

(/PORT A0)

Output

Outputs the minimum rank value for the measurement. The output rank is the 8-bit value (0-255) with A0 as LSB and A7 as MSB.

/PORT A0 is bit 0 of the output rank.

6

/RANK A1

(/PORT A1)

Output

Bit 1 of the output rank.

7

/RANK A2

(/PORT A2)

Output

Bit 2 of the output rank.

8

/RANK A3

(/PORT A3)

Output

Bit 3 of the output rank.

9

/RANK A4

(/PORT A4)

Output

Bit 4 of the output rank.

10

/RANK A5

(/PORT A5)

Output

Bit 5 of the output rank.

11

/RANK A6

(/PORT A6)

Output

Bit 6 of the output rank.

12

/RANK A7

(/PORT A7)

Output

Bit 7 of the output rank.

13

/FAIL

(/PORT B0)

Output

If the limit test fails, /PORT B0 becomes enabled (Low level). If the output rank value (/PORT A0 - /PORT A7)is 0 (which corresponds to the pass for all measurements), /PORT B0 becomes disabled (High level).

This signal transits after the output /RANK (/PORT A0 to A7) transition, but transits almost the same timing of the /INDEX (/PORT B4) transition. Be sure to check /FAIL with some delay after /INDEX transition.

17

/INDEX

(/PORT B4)

Output

A signal that indicates the end of measurement.

The signal transits after the output rank (/PORT A0 - /PORT A7) transition.

The back-end application sets /PORT B4 back to inactive (High level) at the start of measurement.

19

/INDEX_SUB

(/PORT B5)

Output

A reserved signal pin with the same function as /PORT B4. Either pin can be used.

22

/SKIP

(/PORT C0)

Input/Output

This is a skip signal.

If /PORT C0 is enabled (Low level) before measurement, the measurement is not performed and the status shifts to the mode of waiting for the next measurement.

Error messages in the Back-End Application

While working with MWA, an error message may appear due to improper VNA settings. This section explain the various error messages and the method to avoid these errors.

Error Message

Description

Channel Max

This error message appears if the total number channels required for a spec sheet (.mwa) is more than the number of channels set in the VNA.

Note: This error can be avoided by increasing the maximum number of channels in VNA.

Configuration and test set are mismatched.

This error message appears if the configuration of the test set specified in a spec sheet (.mwa) generated by the Front-End Application is different from the test set that is being connected to the VNA.

This error can be avoided by changing the configuration of the Multiport Test Set sheet in the Front-End Application. For more info, refer to Selecting Test Set.

This error may appear if:

  • The configuration in a spec sheet is for the E5091A (E5092A), but the E5092A (E5091A) is connected to the VNA.

  • The configuration in a spec sheet is with the multiport test set (E5091A or E5092A), but no test set is connected to the VNA.

  • The configuration in a spec sheet is "None" (no test set), but the test set is connected to the VNA.

GPIB Error

This error message appears if the GPIB address of peripherals connected to the VNA is different from what you specified in the GPIB sheet of the front-end application.

Invalid number of point

This error message appears if the maximum number of points required for a spec sheet (.mwa) is more than the number of points set in the VNA.

Note: This error can be avoided by increasing the maximum number of channels in VNA.

Invalid Trace

This error message appears if the maximum number of traces required for a spec sheet (.mwa) is more than the number of traces set in the VNA.

Note: This error can be avoided by increasing the maximum number of channels in VNA.


Measurement Example of a Multiport Switch

  • Overview

  • Device Under Test (DUT)

  • Required Equipment

  • Measurement Parameters

  • Measurement Steps

Other topics about Measurement Wizard Assistant

Overview

This section describes how to measure a multiport switch using the MWA software on the VNA. The measurement conditions for this measurement example are those suitable for a SP9T multiport switch. To measure another device under test (DUT), change the measurement conditions to suit the particular DUT.

Device Under Test (DUT)

The DUT adopted in this example is a sample SP9T switch with the following configuration and should be connected to the E5092A with 10-port full crossbar configuration:

DUT Port Name | Port Number | Test Set
ANT | 1 | 5COM
Tx1 | 2 | 8COM
Tx2 | 3 | 6COM
TRx1 | 4 | 9COM
TRx2 | 5 | 7COM
TRx3 | 6 | 10COM
Rx1 | 7 | 1D
Rx2 | 8 | 2D
Rx3 | 9 | 4D
Rx4 | 10 | 3D

Required Equipment

The following test equipment is required for this example:

  • VNA (4-port VNA)

  • E5092A Configurable Multiport Test Set (option 020)

  • RF cables (for the connection between the DUT and the test set)

  • Control line cable

Measurement Parameters

The sample DUT adopted in this example is a SP9T (Single-pole, 9-throw) 10-port switch. Transmission measurement for this switch should be performed for all the transmission paths between arbitrary ports, and reflection measurement for all ports of the DUT. The output port of the DUT is selected by 4-bit logic control DC voltage (2.8V as high and 0V as low).

The truth table for the sample switch is as follows:

 | Group A |  |  |  | Group B
Connected Path | Vc1 | Vc2 | Vc3 | Vc4 | Vc1 | Vc2 | Vc3 | Vc4
Tx1 | H | L | L | L | H | L | L | L
Tx2 | L | H | L | L | H | L | L | L
TRx1 | H | H | L | L | H | L | L | L
TRx2 | L | L | H | L | H | L | L | L
TRx3 | H | L | H | L | H | L | L | L
Rx1 | L | H | H | L | H | L | L | L
Rx2 | H | H | H | L | H | L | L | L
Rx3 | L | L | L | H | H | L | L | L
Rx4 | H | L | L | H | H | L | L | L

Measurement Steps

The measurement for the sample switch will be done using the front-end and the back-end applications of the MWA software. The measurement procedure is:

  1. Generate a spec sheet (.mwa) with the MWA front-end application.

  2. Copy the spec sheet on the VNA directory

  3. Import the spec sheet with the MWA back-end application.

  4. Perform necessary calibration measurement by calibration wizard in the back-end application.

  5. Connect the DUT with the test set (RF cables, control lines)

  6. Perform measurement with the back-end application.

Front-End Application

The Front-end application consist of six sheets in which data for the sample switch will be entered as per the switch specifications. This sheet can be run on a normal PC:

1. Multiport Test Set sheet

Select a configuration of “E5092A X-10-Port” for 10-port full crossbar measurement.

2. DUT sheet

Define the port name of the DUT and the connection with the multiport test set.

3. Mode sheet

Control logic voltage (Vc1 to Vc3) of the control line group A is applied to the DUT (logic A to C) and Vc4 is used for power supply of the DUT.

4. GPIB sheet

The SCPI commands can be sent to peripherals connected to the VNA via GPIB.

5. Spec Sheet sheet

Transmission measurement is performed between all paths for each operation mode of the DUT.

6. Output sheet

A spec sheet is generated by selecting the “Save Spec Sheet” button in the sheet. The traces are allocated automatically in measurement channels.

Back-End Application

The Back-end application is installed on the VNA in which the data in mwa file will be imported as per follows:

1. Importing a spec sheet

Select “Add Spec Sheet Group” in the main window, and select “Add Spec Sheets..” in the displayed window.

2. Performing calibration

Do a series of calibration measurement by following “step-by-step” calibration wizard.

3. Connect the DUT and the test set

The connection between the DUT and the multiport test set is indicated in the connection check window.

4. Performing measurement


Overview and Restrictions of Group

  • Overview of Group Function

  • Restrictions of Group Function

  • Active Group

  • Relationship between Group File and Status File

  • Process Flow

Other topics about Measurement Wizard Assistant

Overview of Group Function

The back-end application has a "Group" function that enables multiple measurements using spec files.

For the back-end application, the following information items are gathered together as a group.

  • Multiple spec files

  • VNA settings (status file)

Each group requires a group file (extension: ssg) that has links to files associated with each group file as shown in the following figure. The group file has no information on the contents of spec files nor the VNA settings but has link information to those files.

Note: If there is no linked file, an error occurs in the process of recalling the group file.

Concept of Group and Link

Restrictions of Group Function

Restrictions on using the group function are given below.

  • A maximum of 10 groups can be defined at a time.

Because the MWA can use up to 10 spec files, assuming one spec file is assigned to each group, the maximum number of groups that can be recalled at a time is 10.

  • The file name of a spec file used in one group cannot be used for spec files of other groups.

The MWA cannot recall spec files of the same name at one time, so groups that have spec files of the same name cannot be recalled simultaneously.

  • The maximum number of channels for each group is the same as that of the VNA.

Because the status file associated with the group is recalled with the VNA, the maximum number of channels for one group is limited to that of the VNA.

Active Group

Each group may have a quite different VNA state, so it is necessary to know which group's state is indicated by the current VNA status.

This "current VNA state" is called the "active group." The VNA keeps the same settings as the active group.

To change the active group, select the radio button to the left of the spec file name displayed in the main window.

If a group file contains more than two spec files, select the spec file at the top of the group. Other spec files are grayed-out and cannot be selected.

When the active group is changed, the VNA state also changes. This means that the status file associated with each group is recalled by using the VNA recall function.

Note: The recall process of the VNA takes a certain time, as does changing the active group.

The calibration wizard function and the status file save function are executed for the active group. When running the calibration wizard with multiple groups recalled, the calibration is performed for the current active group. When you need to calibrate other groups, change the active group and run the calibration wizard function again. This process must also be done for the status file save function.

Note: The active group functions during the measurement. You need to switch the active group in order to measure other groups. When multiple groups are recalled, however, the active group automatically changes when the group is changed.

Relationship between Group File and Status File

One status file is associated with each group. To ensure smooth use of the MWA, read the following information on the status file.

Relationship between Group File and Status File

The results of the calibration wizard function and the VNA settings are recorded and saved in "The status file associated with the group" when the Save State button is pressed. The status file is recalled when the active group changes.

Note: The status file is recalled without confirmation of the file name. Also, the file is overwritten without confirmation.

The timing of saving and recalling the status file is given below. All processes are executed for the status file associated with the group.

1. Timing of saving the status file

  • When the group is recalled (after the contents of the spec files are input to the VNA).

  • When the calibration wizard function is terminated

  • When the Save State button is pressed.

2. Timing of recalling the status file

  • When the group is recalled (before the contents of the spec files are input to the VNA).

  • When the active group changes.

Cautions for Status File

You may have a trouble if the recalled channel/trace setting is different from the current channel/trace setting.
This is because the status file is overwritten in the following process.

  1. Recall the status file when recalling the group.

  2. Recall fails.

  3. The VNA enters the preset state when the recall fails.

  4. Recall the spec file.

  5. Change the VNA state according to the contents of the spec file.

  6. Write the VNA state in the status file.

For example, assume the following conditions:

  • The setting of the status file is correct other than the channel/trace setting of the VNA.

  • The calibration is performed normally.

Recall of this status file fails because it differs from the channel/trace setting of the current VNA, and then the VNA enters the preset state. At this time, the calibration data are discarded.

In process 6, the status file associated with the group is saved. However, this file name is the same as the original status file name in process 1; therefore, the original status file is overwritten with the contents of "preset state and the settings in accordance with the spec file." The original calibration data are lost as well.

To prevent this from happening, a confirmation dialog is displayed between the processes 3 and 4. Confirm the VNA setting when you fail to recall the status file.

Process Flow

This section describes the process flow of three states when using the back-end application.

Process flow when recalling the spec file

The process flow when recalling spec files is shown below. When using multiple groups, this process is repeated for the number of groups.

Process flow when recalling the spec file

Note: During recalling the status file after the OK button is pressed, if the status file associated with the group does not exist, the process goes to the next step, "Recall the spec sheets." There is no intermediary process that changes the VNA settings such as preset.

Process flow before the measurement

The process flow before measurement is shown below.

Process flow before measurement

The following five steps are required before starting measurement.

  1. Recall spec files (group file)

  2. Set up the display with the Minimize function and save the state with the Save State button.

  3. Connect a connector to the calibration edge while checking the connection information screen.

  4. Perform calibration with the calibration wizard function.

  5. Connect a DUT to the calibration edge while checking the connection information screen.

The display setup and calibration are performed to the current active group. If you use the multiple groups, you need to setup the display and perform the calibration for each group by changing the active group with the radio button.

As written in Relationship between Group File and Status File and Cautions, before recalling the spec files of each group, the status file associated with the group is recalled. Therefore, the display setup and the calibration data remain the same as the last time, and thus you can skip this process from the next time.

Note: It is recommended that you perform calibration every time.

Process flow during the measurement

The process flow for a single group is shown below.

Process flow during the measurement (single group)

In this example, three spec files are used, but the process is the same even if there is only one spec file.

The process flow for multiple groups is shown below. The following figure shows the state where State File 1 had been recalled when starting the measurement and the trigger makes each measurement.

Process flow during the measurement (multiple groups)

When measuring multiple groups, the active group switches at the following timing.

  • After measuring Channel 6-9 of Group 1, the MWA becomes "the Waiting for Trigger" state. When a trigger is generated, the active group switches to Group 2.

  • After measuring Channel 5-6 of Group 2, the MWA becomes "the Waiting for Trigger" state. When a trigger is generated, the active group switches to Group 1.

Even after measurement of the last sheet of each group, the active group does not switch to the next group. Since you can switch on/off each spec file during the measurement, if all sheets in the group are off, you do not have to activate the group.

If both Spec Sheet 4 and 5 are off, it is not necessary to move to Group 2, and the measurement of Spec Sheet 1 can be started without recalling State File 2. This process is the same as that of measuring the single group previously described.


Troubleshooting

Troubleshooting the VNA

By running a few checks, you can identify if the analyzer is at fault. Before calling Keysight Technologies or returning the instrument for service, please make the following checks.

  • Check the Basics

  • Check Error Terms

  • Check the Service Guide

  • Error Log Data

Other Support Topics

Check the Basics

A problem can often be solved by repeating the procedure you were following when the problem occurred. Before calling Keysight Technologies or returning the instrument for service, please make the following checks:

Note: Problems with the VNA application (slow or terminates unexpectedly) can be caused by a faulty Solid State Drive (SSD). For more information, see Preventing VNA Hard Drive Problems and The VNA SSD Recovery Process.

  1. Is there power at the power socket? Is the instrument plugged in?

  2. Is the instrument turned on? Check to see if the front panel line switch and at least one of the LED rings around the test ports glows green. This indicates the power supply is on.

  3. If you are experiencing difficulty with the front-panel keypad or peripherals, the USB bus may be overloaded. Remove the USB devices, restart the VNA, and reconnect the USB devices. See Power-up.

  4. If other equipment, cables, and connectors are being used with the instrument, make sure they are connected properly and operating correctly.

  5. Review the procedure for the measurement being performed when the problem appeared. Are all the settings correct?

  6. If the instrument is not functioning as expected, return the unit to a known state by pressing the Preset key.

  7. Is the measurement being performed, and the results that are expected, within the specifications and capabilities of the instrument?

  8. If the problem is thought to be due to firmware, check to see if the instrument has the latest firmware before starting the troubleshooting procedure.

  9. Check that the measurement calibration is valid. See Accurate Measurement Calibrations for more information.

Check Error Terms

If you print the error terms at set intervals (weekly, monthly, and so forth), you can compare current error terms to these records. A stable, repeatable system should generate repeatable error terms over long time intervals, for example, six months. If a subtle failure or mild performance problem is suspected, the magnitude of the error terms should be compared against values generated previously with the same instrument and calibration kit. See the procedure for monitoring error terms.

  • A long-term trend often reflects drift, connector and cable wear, or gradual degradation, indicating the need for further investigation and preventative maintenance. Yet, the system may still conform to specifications. The cure is often as simple as cleaning and gaging connectors or inspecting cables.

  • A sudden shift in error terms reflects a sudden shift in systematic errors, and may indicate the need for further troubleshooting.

Consider the following while troubleshooting:

  • All parts of the system, including cables and calibration devices, can contribute to systematic errors and impact the error terms.

  • Connectors must be clean and gauged, and within specification for error term analysis to be meaningful. See the Chapter 2 in the VNA Service Guide for information on cleaning and gaging connectors.

    • Avoid unnecessary bending and flexing of the cables following measurement calibration, thus minimizing cable instability errors.

    • Use good connection techniques during the measurement calibration. The connector interface must be repeatable. See the VNA Service Guide for information on connection techniques.

  • It is often worthwhile to perform the procedure twice (using two distinct measurement calibrations) to establish the degree of repeatability. If the results do not seem repeatable, check all connectors and cables.

  • Use error-term analysis to troubleshoot minor, subtle performance problems. See Chapter 3, "Troubleshooting," in the VNA Service Guide if a blatant failure or gross measurement error is evident.

Check the Service Guide

Check the VNA Service Guide for specific troubleshooting procedures to help identify problems. You can download a copy of the Service Guide from our Web site: http://www.keysight.com/find/na.

Error Log Data

The VNA creates automatic log of data for troubleshooting purpose. For security reasons, if this data needs to be deleted, then :SERV:LOGG:CLE command can be used to clear the log recorded by the VNA.

The log file stores data related to:

  • Power ON time

  • Number of times of power ON

  • Result of power ON test

  • Number of times of overload

  • Event Log

  • Hardware driver installation/error Log

  • Connected USB device Log

  • User calibration Log

  • Firmware error Log

  • Temperature of analog boards

  • Internal test result

Last modified:

10/16/06

Added phase lock lost


VNA Errors

VNA Error Messages

  • 500 - 750 Calibrate

  • 770 - 1000 Hardware

  • 1000 - 1200 Measure

  • 1281 - 1535 Parser

  • 1536 - 1650 Display

  • 1700 - 2000 Channel

  • 2048 - 2200 General

  • Standard SCPI Errors

Note: The EventID's listed below are provided for COM programming. For more information, see Working with VNA Events

For more information on VNA error messages (see Error Messages).

Memory Overflow Error

Memory overflow. Trigger state set to Hold. Lower the IF bandwidth, or increase dwell or sweep time.

Severity: Informational

Further explanation: The measurement that you are currently making requires that data be stored faster than it can be processed. Very few customers will experience this situation.

Suggestions: To limit the amount of data to be stored, try lowering the IF Bandwidth, slow the sweep time, increase the dwell time, or limit the number of data points. There are many other settings that can be adjusted to solve this problem.

EventID:

Cal Errors

Message: 512

"A secondary parameter (power, IFBW, sweep time, step mode) of the calibrated state has changed."

Severity: Informational

Further explanation: The calibration is questionable when any of these secondary parameters change after the calibration is performed.

Suggestions: If you require an accurate measurement with the new settings, repeat the calibration.

EventID: 68020200 (hex)

Message: 513

"Calibration cannot be completed until you have measured all the necessary standards for your selected Cal Type."

Severity: Informational

Further explanation: You probably received this message because you attempted to turn correction on without first measuring all of the calibration standards

Suggestions: Finish measuring the cal standards

EventID: 68020201 (hex)

Message: 514

"Calibration set has been recalled using a file previously saved on an analyzer that had a different hardware configuration."

Severity: Informational

Further explanation:

Suggestions:

EventID: 68020202 (hex)

Message: 515

"Calibration is required before correction can be turned on. Channel number is <x>, Measurement is <x>."

Severity: Informational

Further explanation: There are no error correction terms to apply for the specified channel and measurement.

Suggestions:Perform or recall a calibration

EventID: 68020203 (hex)

Message: 516

"Critical parameters in your current instrument state do not match the parameters for the calibration set, therefore correction has been turned off. The critical instrument state parameters are sweep type, start frequency, frequency span, and number of points."

Severity: Informational

Further explanation: None

Suggestions: You can either recalibrate using the new settings or change back to the original setting that was used when the calibration was performed.

EventID: 68020204 (hex)

Message: 517

"Interpolation is turned off and you have changed the stimulus settings of the original calibration, so correction has been turned off."

Severity: Informational

Further explanation: The most accurate calibration is maintained only when the original stimulus settings are used.

Suggestions: If reduced accuracy is OK, set interpolation ON to allow stimulus setting changes.

EventID: 68020205 (hex)

Message: 518

"Interpolation is turned off and you have selected correction ON. Correction has been restored with the previous stimulus settings."

Severity: Informational

Further explanation: None

Suggestions: None

EventID: 68020206 (hex)

Message: 519

"Stimulus settings for your current instrument state exceeded the parameters of the original calibration, so correction has been turned off."

Severity: Informational

Further explanation: Correction data outside the stimulus settings does not exist.

Suggestions: Perform a broadband calibration, with increased numbers of points with interpolation ON, to maintain calibration over the widest possible stimulus frequency settings.

EventID: 68020207(hex)

Message: 520

"Cal Type is set to NONE for Channel <x>, Measurement <x>; please select Calibration menu or press Cal hard key."

Severity: Informational

Further explanation: A cal operation can not proceed until a calibration exists or the cal type is selected. This error can occur if the calibration can not be found. Also this error can happen if a calibration type is not specified before attempting to programmatically execute cal acquisitions.

Suggestions To find a calibration, select a Cal Set that contains the calibration needed for the current measurements. OR specify the cal type before beginning a calibration procedure.

EventID: 68020208 (hex)

Message: 521

"The measurement you set up does not have a corresponding calibration type, so correction has been turned off or is not permitted."

Severity: Informational

Further explanation: The calibration for the channel may apply only to certain S-Parameters. For example, a 1-Port calibration for S11 can not be applied to a 1-Port calibration applied to S22.

Suggestions: Select a calibration type, such as full 2-Port cal, that can be applied to all the measurements to be selected.

EventID: 68020209 (hex)

Message: 522

"The calibration type you selected cannot be set up."

Severity: Informational

Further explanation: "Please use the SCPI command ROUTe:PATH:DEFine:PORT <num>,<num> for full 2 port type port assignment."

Suggestions:

EventID: 6802020A (hex)

Message: 523

"The calibration path you selected cannot be set up because it is not valid for the current measurement."

Severity: Informational

Further explanation: "Please use the SCPI command ROUTe:PATH:DEFine:PORT <num>,<num> for full 2 port type port assignment related to your current measurement."

Suggestions:

EventID: 6802020B (hex)

Message: 524

"The source power calibration is complete."

Severity: Informational

Further explanation:

Suggestions:

EventID: 6802020C (hex)

Message: 525

"You have specified more than 7 standards for one or more calibration classes."

Severity: Informational

Further explanation: These have been truncated to 7 selections.

EventID: 6802020D (hex)

Message: 526

"No user calibration found for this channel."

Severity: Informational

Further explanation: A cal operation can not proceed until a calibration exists.

Suggestions: To find a calibration, you can select a Cal Set that contains the calibration needed for the current measurement.

EventID: 6802020E (hex)

Message: 527

"You do not need to acquire this standard for this calibration type."

Severity: Informational

Further explanation: This error can happen as a result of PROGRAMMATICALLY requesting the measurement of an un-needed calibration standard during a calibration procedure.

Suggestions: Check the specified cal type or eliminate the request for the measurement of the standard.

EventID: 6802020F (hex)

Message: 528

"Could not configure the Electronic Calibration system. Check to see if the module is plugged into the proper connector."

Severity: Informational

Further explanation: During an ECal operation, communication could not be established with the ECal module. The calibration will not be initiated until the presence of the ECal module is verified.

Suggestions: Verify the USB cable is connected properly. Disconnect and re-connect the cable to ensure the analyzer recognizes the module.

EventID: 68020210 (hex)

Message: 529

"DATA OUT OF RANGE: Design Limits Exceeded"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020211(hex)

Message: 530

"EXECUTION ERROR: Could not open ECal module memory backup file"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020212 (hex)

Message: 531

"EXECUTION ERROR: Access to ECal module memory backup file was denied"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020213 (hex)

Message: 532

"EXECUTION ERROR: Failure in writing to ECal module memory backup file"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020214 (hex)

Message: 533

"EXECUTION ERROR: Failure in reading from ECal module memory backup file"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020215 (hex)

Message: 534

"EXECUTION ERROR: Array index out of range"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020216 (hex)

Message: 535

"EXECUTION ERROR: Arrays wrong rank"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020217 (hex)

Message: 536

"EXECUTION ERROR: CPU"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020218 (hex)

Message: 537

"EXECUTION ERROR: Cannot ERASE module"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020219 (hex)

Message: 538

"EXECUTION ERROR: Cannot WRITE module"

Severity: Error

Further explanation:

Suggestions:

EventID: E802021A (hex)

Message: 539

"EXECUTION ERROR: Entry Not Found"

Severity: Error

Further explanation:

Suggestions:

EventID: E802021B (hex)

Message: 540

"EXECUTION ERROR: Invalid command while system is busy"

Severity: Error

Further explanation:

Suggestions:

EventID: E802021C (hex)

Message: 541

"Electronic Cal: Unable to orient ECal module. Please ensure the module is connected to the necessary measurement ports."

Severity: Error

Further explanation: There is no RF connection to the ECal module during a calibration step. An ECal orientation measurement has been attempted but the signal was not found.

Suggestions: Connect the ECal module RF connections to ports specified for the calibration step. The ECal module typically requires at least -18dBm for measurements. If your measurement requires the power level to be less than that, clear the Do orientation checkbox to bypass the automatic detection step.

EventID: E802021D (hex)

Message: 542

"EXECUTION ERROR: NO SPACE for NEW CAL, DELETE A CAL"

Severity: Error

Further explanation:

Suggestions:

EventID: E802021E (hex)

Message: 543

"EXECUTION ERROR: No More Room"

Severity: Error

Further explanation:

Suggestions:

EventID: E802021F (hex)

Message: 544

"EXECUTION ERROR: Other array error"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020220 (hex)

Message: 545

"EXECUTION ERROR: Ranks not equal"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020221 (hex)

Message: 546

"EXECUTION ERROR: Too few CONSTANT ranks"

Severity: Error

EventID: E8020222 (hex)

Message: 547

"EXECUTION ERROR: Too few VARYing ranks"

Severity: Error

EventID: E8020223 (hex)

Message: 548

"EXECUTION ERROR: Unknown error"

Severity: Error

EventID: E8020224 (hex)

Message: 549

"EXECUTION ERROR: ecaldrvr.dll bug or invalid module #"

Severity: Error

EventID: E8020225 (hex)

Message: 550

"EXECUTION ERROR: unexpected error code from ecal driver"

Severity: Error

EventID: E8020226 (hex)

Message: 551

"EXECUTION ERROR: unexpected internal driver error"

Severity: Error

EventID: E8020227 (hex)

Message: 552

"HARDWARE ERROR: Can't access ECal Interface Module"

Severity: Error

EventID: E8020228 (hex)

Message: 553

"HARDWARE ERROR: Can't release LPT port, reboot"

Severity: Error

EventID: E8020229 (hex)

Message: 554

"HARDWARE ERROR: VNA Error"

Severity: Error

EventID: E802022A (hex)

Message: 555

"HARDWARE ERROR: not enough data read from ECal module"

Severity: Error

EventID: E802022B (hex)

Message: 556

"OPERATION ABORTED BY HOST COMPUTER"

Severity: Error

EventID: E802022C (hex)

Message: 557

"OPERATION ABORTED BY USER"

Severity: Error

EventID: E802022D (hex)

Message: 558

"OUT OF MEMORY"

Severity: Error

EventID: E802022E (hex)

Message: 559

"QUERY INTERRUPTED:Message(s Abandoned"

Severity: Error

EventID: E802022F (hex)

Message: 560

"QUERY UNTERMINATED: INCOMPLETE PROGRAM Message"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020230 (hex)

Message: 561

"QUERY UNTERMINATED: NOTHING TO SAY"

Severity: Error

Further explanation:

Suggestions:

EventID: E8020231 (hex)

Message: 562

"QUEUE OVERFLOW"

Severity: Error

EventID: E8020232 (hex)

Message: 563

"SETTINGS CONFLICT: ADDITIONAL STANDARDS ARE NEEDED"

Severity: Error

EventID: E8020233 (hex)

Message: 564

"SETTINGS CONFLICT: Adapter Cal is NOT possible"

Severity: Error

EventID: E8020234 (hex)

Message: 565

"SETTINGS CONFLICT: COMMAND OUT OF SEQUENCE"

Severity: Error

EventID: E8020235 (hex)

Message: 566

"SETTINGS CONFLICT: Cal STOPPED - VNA SETUP CHANGED"

Severity: Error

EventID: E8020236 (hex)

Message: 567

"SETTINGS CONFLICT: Calibration is NOT in progress"

Severity: Error

EventID: E8020237 (hex)

Message: 568

"SETTINGS CONFLICT: Can't find specified GPIB board"

Severity: Error

EventID: E8020238 (hex)

Message: 569

"SETTINGS CONFLICT: Can't find/load gpib32.dll"

Severity: Error

EventID: E8020239 (hex)

Message: 570

"SETTINGS CONFLICT: Can't find/load sicl32.dll"

Severity: Error

EventID: E802023A (hex)

Message: 571

"SETTINGS CONFLICT: Can't initialize VNA (bad address?"

Severity: Error

EventID: E802023B (hex)

Message: 572

"SETTINGS CONFLICT: Can't load LPT port driver or USB driver DLL"

Severity: Error

EventID: E802023C (hex)

Message: 573

"SETTINGS CONFLICT: Invalid Calibration Sweep Mode."

Severity: Error

EventID: E802023D (hex)

Message: 574

"SETTINGS CONFLICT: Invalid Calibration Type"

Severity: Error

EventID: E802023E (hex)

Message: 575

"SETTINGS CONFLICT: Invalid Calibration"

Severity: Error

EventID: E802023F (hex)

Message: 576

"SETTINGS CONFLICT: Invalid GPIB board number specified"

Severity: Error

EventID: E8020240 (hex)

Message: 577

"SETTINGS CONFLICT: Invalid GPIB board type specified"

Severity: Error

EventID: E8020241 (hex)

Message: 578

"SETTINGS CONFLICT: Invalid Module Status"

Severity: Error

EventID: E8020242 (hex)

Message: 579

"SETTINGS CONFLICT: Invalid States"

Severity: Error

EventID: E8020243 (hex)

Message: 580

"SETTINGS CONFLICT: LPT port must be between 1 and 4"

Severity: Error

EventID: E8020244 (hex)

Message: 581

"Could not configure the Electronic Calibration system. Check to see if the module is properly connected."

Severity: Error

EventID: E8020245 (hex)

Message: 582

"SETTINGS CONFLICT: Specified LPT port does not exist"

Severity: Error

EventID: E8020246 (hex)

Message: 583

"SETTINGS CONFLICT: Use frequency domain for cal"

Severity: Error

EventID: E8020247 (hex)

Message: 584

"SETTINGS CONFLICT: Use step sweep type for cal."

Severity: Error

EventID: E8020248 (hex)

Message: 585

"SETTINGS CONFLICT: VNA address must be between 0 and 30"

Severity: Error

EventID: E8020249 (hex)

Message: 586

"SETTINGS CONFLICT: Wrong LPT port driver or USB driver DLL"

Severity: Error

EventID: E802024A (hex)

Message: 587

"SYNTAX ERROR: ECAL:DELAY command must have 2 numbers"

Severity: Error

EventID: E802024B (hex)

Message: 588

"SYNTAX ERROR: INCORRECT SYNTAX"

Severity: Error

EventID: E802024C (hex)

Message: 589

"SYNTAX ERROR: UNKNOWN COMMAND"

Severity: Error

EventID: E802024D (hex)

Message: 590

"Wrong port of module in RF path"

Severity: Error

EventID: E802024E (hex)

Message: 591

"User characterization not found in module"

Severity: Error

EventID: E802024F (hex)

Message: 592

Severity:Informational

"No source power calibration found for the channel and source port of the current measurement."

Further explanation: You tried to turn on source power cal but there is no source power cal data.

Suggestions: Perform a source power calibration

EventID: 68020250 (hex)

Message: 593

Severity:Informational

"A source power calibration sweep was not performed, so there is no correction for the channel and source port of the current measurement."

Further explanation: You tried to turn on source power cal but there is incomplete source cal data.

Suggestions:Perform a complete source power calibration

EventID: 68020251 (hex)

Message: 594

Severity: Informational

"A new trace could not be added to the active window for viewing the source power cal sweep, because it would have exceeded the limit on number of traces/window. Please remove a trace from the window before proceeding with source power cal."

Further explanation: The source power cal attempts to add a data trace to the active window. The active window already contains four traces.

Suggestions:Make the active window contain less than four traces.

EventID: 68020252 (hex)

Message: 595

Severity: Informational

"A new measurement could not be added for performing the source power cal sweep, because the limit on number of measurements has been reached. Please remove a measurement before proceeding with source power cal."

Further explanation: The source power cal attempts to add a measurement. The VNA already has the maximum number of measurements.

Suggestions: Delete a measurement.

EventID: 68020253 (hex)

Message: 596

Severity: Informational

"The calibration power value associated with the source power calibration of Port %1 on Channel %2 was changed with the calibration on. The calibration was not turned off, but the power value might no longer represent the calibration."

Further explanation: The source power cal accuracy is questionable.

Suggestions: If high accuracy is required, perform another source power calibration.

EventID: 68020254 (hex)

Message: 597

Severity: Informational

- Message that is passed from the power meter driver for a source power calibration. -

Further explanation: This error is generated by the power meter driver and passed through the VNA.

EventID: 68020255 (hex)

Message: 598

"During the acquisition of the sliding load standard, the slide was not properly moved to perform a circle fit. The standard's raw impedance was used to determine the directivity for one or more points."

Severity: Informational

Further Explanation: To accurately characterize the standard, the sliding load must be move sufficiently to ensure enough samples around the complex circle or Smith Chart. Under-sampling will cause an inaccurate result.

Suggestions: For best results when using a sliding load, be sure to use multiple slide positions that cover the full range of movement from front to back of the slot.

EventID: 68020256 (hex)

Message: 599

"This feature requires an unused channel, but could not find one. Please free up a channel and try again."

Severity: Informational

Further Explanation: You attempted to view an item within a calset. However, the calset viewer requires that the result be displayed in a channel that is not currently in use. All the channels are currently used. The view can not display the requested item.

Suggestions: You must delete at least one channel that is currently in use.

EventID: 68020257 (hex)

Message: 600

"Interpolation of the original calibration is not allowed since it was performed using Segment Sweep. Correction has been turned off."

Severity: Informational

EventID: 68020258 (hex)

Message: 601

"Cal preferences saved. Cal preference settings can be changed from the 'Cal Preferences' drop down Cal menu."

Severity: Informational

Further explanation: See Save Preference

EventID: 68020259 (hex)

Message: 608

"CalType not set."

Severity: Error

Further explanation: A cal operation can not proceed until a calibration exists or the proper cal type is selected.

Suggestions: This error can happen if the calibration can't be found. To find a calibration, you can select a Cal Set that contains the calibration needed for the current measurements. This error can also happen if a calibration type is not specified before attempting to programmatically execute cal acquisitions. Specify the cal type before beginning a calibration procedure.

EventID: E8020260 (hex)

Message: 609

"The Calibration feature requested is not implemented."

Further explanation: The specified cal type can be one of many choices. For example, response calibrations require single standards, 1-Port calibrations require 3 standards, and 2-Port calibrations require up to 12 standards.

Suggestions: Be sure to measure only the standards needed for the specified cal type.

EventID: E8020261 (hex)

Message: 610

"The Calibration Class Acquisition requested is not valid for the selected Calibration Type. Please select a different acquisition or a different Calibration Type."

EventID: E8020262 (hex)

Message: 611

"The Calibration Standard data required for the selected caltype was not found."

Severity: Error

Further explanation: An unsuccessful attempt was made to retrieve a specified standard from the raw measurement buffer. The buffer should contain the raw measurements of cal standards stored during a calibration procedure.

Suggestions: Be sure the requested standard is required for the current cal type. Not all standards are needed for all cal types.

EventID: E8020263 (hex)

Message: 612

" The Error Term data required for the selected caltype was not found."

Severity: Error

Further explanation: An unsuccessful attempt was made to retrieve a specified error term from the error correction buffer. The buffer should contain the error correction arrays for the current calibration.

Suggestions: Be sure the requested error term is required for the current cal type. Not all error terms are needed for all cal types.

EventID: E8020264 (hex)

Message: 613

The Calibration data set was not found.

Severity: Error

Further explanation: An unsuccessful attempt to access a cal set has been made. This may indicate a calset has been deleted or has been corrupted.

Suggestions: Try again or select another cal set. If the cal set appears in the cal set list, it may need to be deleted.

EventID: E8020265 (hex)

Message: 614

"The specified measurement does not have a calibration valid for Confidence Check. Please select a different measurement, or recall or perform a different Calibration Type."

Severity: Error

Further explanation: The measurement choice is prevented so that calibration will not be turned off. Not all cal types support all measurements. For example, an 1-Port cal on S11 can not be used to calibrate an S12 measurement. When a measurement is selected that does not have a calibration which can be applied, an informational message is displayed and calibration is turned off.

Suggestions: Use a full 2-Port calibration to be compatible with any S-Parameter.

EventID: E8020266 (hex)

Message: 615

" New calset created."

Severity: Informational message.

Further explanation: The newly created cal set will be automatically named and time stamped. If this is the beginning of a calibration procedure, the cal set will not be stored to memory until the calibration has completed successfully. The new cal set will be deleted if the calibration is canceled or does not otherwise complete successfully.

Suggestions: Informational

EventID: 68020267

Message: 617

The calset file: <x> appears to be corrupted and cannot be removed. Exit the application, remove the file, and restart.

Severity: Error

Suggestions: The cal set file is stored in the application home directory C:/Program Files/Keysight/Network Analyzer/PNACalSets.dat. Remove this file, then restart the application.

EventID: E8020269 (hex)

Message: 634

"The calset file: <x> load failed."

Severity: Error

Further explanation: The calset file contains a collection of calsets. The file resides on the hard drive.

Suggestions: Try restarting the application. If the failure persists, you may have to delete the cal set data file and restart the application. The cal set file is stored in the application home directory. C:/Program Files/Keysight/Network Analyzer/PNACalSets.dat. Remove this file, then restart the application.

EventID: E802027A (hex)

Message: 635

"The calset file: <x> save failed."

Severity: Error

Further explanation: The file operation detected an error. The save operation was aborted.

Suggestions: Retry.

EventID: E802027B (hex)

Message: 636

"A calset was deleted."

Severity: Informational

Further explanation: One of the calsets has been successfully deleted from the collection of calsets available. This can happen as the result of a user request or intentional operation.

Suggestions: None

EventID: 6802027C (hex)

Message: 637

"The version of the calset file: <x> is not compatible with the current instrument."

Severity: Error

Further explanation: A versioning error can prevent a calset from being used. This can happen as a result of instrument firmware upgrades.

Suggestions: If the versioning error is the result of firmware upgrade, you will have to re-install the old version of firmware to re-use the calset file. Or you can re-create the calsets with the current version of firmware.

The cal set file is stored in the application home directory C:/Program Files/Keysight/Network Analyzer/PNACalSets.dat. Remove this file, then restart the application.

EventID: E802027D (hex)

Message: 638

"Incompatible CalSets found: <x> of <y> stored calsets have been loaded."

Severity: Error

Further explanation: Errors were found on some of the calsets stored in the calset file. The errors may have been caused by versioning issues that may have corrupted the various calset keys.

Suggestions: Use the calset viewer to look at the contents of calset files. Delete the files that are corrupted.

EventID: 6802027E (hex)

Message: 639

"The Calset file: <x> was not found. A new file has been created."

Severity: Informational

Further explanation: The calset file should be stored on the hard drive. When the application is started, a search is done and the file is loaded if it can be found. If the file is not found, the analyzer will create a new file and display this message.

Suggestions: None

EventID: 6802027F (hex)

Message: 640

"The Calset specified is currently in use."

Severity: Error

Further explanation: This may indicate a conflict between multiple calset users attempting calibration tasks.

Suggestions: Save the instrument state. Preset the analyzer and recall the instrument state. This may abort any processes that may be in progress.

EventID: E8020280 (hex)

Message: 641

"The calset specified has not been opened."

Severity: Error

Further explanation: Multiple users may be attempting to access the calset.

Suggestions: Close multiple calset users so that only one user will access the calset.

EventID: E8020281 (hex)

Message: 642

"The maximum number of cal sets has been reached. Delete old or unused cal sets before attempting to create new ones."

Severity: Error

Suggestions: You may also delete the calsets data file.

The cal set file is stored in the application home directory. C:/Program Files/Keysight/Network_Analyzer/PNACalSets.dat. Remove this file, then restart the application.

EventID: E8020282 (hex)

Message: 643

The requested power loss table segment was not found.

Severity: Error

EventID: E8020283 (hex)

Message: 644

"A valid calibration is required before correction can be turned on."

Severity: Error

Further explanation: This usually indicates a calibration procedure has not run to completion or that the selected measurement does not have a valid calibration available from within the currently selected cal set.

Suggestions: To find a calibration, you can select a Cal Set that contains the calibration needed for the current measurements. This error can happen if a calibration type is not specified before attempting to programmatically execute cal acquisitions. Specify the cal type before beginning a calibration procedure.

EventID: E8020284 (hex)

Message: 645

The cal data for <x> is incompatible and was not restored. Please recalibrate."

Severity: Warning

Further explanation: None

Suggestions: None

EventID: A8020285 (hex)

Message: 646

"CalSet not loaded, version is too new."

Severity: Error

Further explanation: An old version of firmware is attempting to run with a new calset version. The version is incompatible.

Suggestions: The calset can be removed. You may also delete the calsets data file if you are migrating between various firmware revisions often and you would like to avoid this error. The cal set file is stored in the application home directory. C:/Program Files/Keysight/Network Analyzer/PNACalSets.dat. Remove this file, then restart the application.

EventID: E8020286 (hex)

Message: 647

"Custom cal type not found."

Severity: Error

Further explanation:

Suggestions:

EventID: E8020287 (hex)

Message: 648

"Custom correction algorithm defers to the client for interpolation."

Severity: Informational

EventID: 68020288 (hex)

Message: 649

"Custom cal dll threw an exception."

Severity: Error

EventID: E8020289 (hex)

Message: 650

"Could not load the ecal.dll library"

Severity: Error

EventID: E802028A (hex)

Message: 656

"The argument specified is not a valid cal type."

Severity: Error

EventID: E8020290 (hex)

Message: 657

"The function found existing interpolated data"

Severity: Informational

EventID: 68020291 (hex)

Message: 658

"The function computed new interpolation values."

Severity: Informational

EventID: 68020292 (hex)

Message: 659

"The source power measurement failed."

Severity: Error

Suggestions: Please check GPIB, power meter settings and sensor connections.

EventID: E8020293 (hex)

Message: 660

"Duplicate session found. Close session and retry."

Severity: Error

EventID: E8020294 (hex)

Message: 661

"The session does not exist. Open the session and try again."

Severity: Error

Further explanation:

EventID: E8020295 (hex)

Message: 662

"Attempt to launch a custom calibration failed."

Severity: Error

Further explanation:

EventID: E8020296 (hex)

Message: 663

"Request to measure a cal standard failed."

Severity: Error

Further explanation: Please ensure you are requesting to measure standards which are defined for this calibration.

EventID: E8020297 (hex)

Message: 664

"Since Electronic Calibration Kit is selected, Mechanical Cal Kit parameter cannot be changed."

Severity: Error

Further explanation:

EventID: E8020298 (hex)

Message: 665

"Frequencies of the active channel are below minimum or above maximum frequencies of the ECal module factory characterization."

Suggestions: Change the channel frequencies, or select another ECal module.

Severity: Error

EventID: E8020299 (hex)

Message: 666

"Calset chosen for characterizing the ECal Module Ports %1 does not contain a calibration for VNA Ports %2."

Severity: Error

Suggestions: Go back to select another calset or to perform another cal.

EventID: E802029A (hex)

Message: 667

"ECal module only has sufficient memory remaining to store a maximum of %1 points in User Characterization %2."

Severity: Error

Suggestions: Decrease your number of points, or choose to overwrite another user characterization.

EventID: E802029B (hex)

Message: 668

Input values are non-monotonic. Cannot interpolate.

Severity: Error

EventID: E802029C (hex)

Message: 669

Interpolation target is out of range. Cannot interpolate.

Severity: Error

EventID: E802029D (hex)

Message: 670

Guided Calibration Error: <>

Severity: Error

EventID: E802029E (hex)

Message: 671

The first call to the guided calibration interface must be Initialize.

Severity: Error

EventID: E802029F (hex)

Message: 672

The selected thru cal method was not recognized.

Severity: Error

EventID: E80202A0 (hex)

Message: 673

Could not generate the error terms.

Severity: Error

EventID: E80202A1 (hex)

Message: 674

Guided calibration must be performed on the active channel

Severity: Error

EventID: E80202A2 (hex)

Message: 675

You can not start using calibration steps until you have successfully called generate steps.

Severity: Error

EventID: E80202A3 (hex)

Message: 676

The step number given is out of range. Step numbers should be between 1 and the number of steps. 0 is not a valid step number.

Severity: Error

EventID: E80202A4 (hex)

Message: 677

A calset was selected for channel: <n> without restoring stimulus.

Severity: Informational

EventID: 680202A5 (hex)

Message: 678

A calset was selected for channel: <n> restoring stimulus.

Severity: Informational

EventID: 680202A6 (hex)

Message: 679

The selected calset stimulus could not be applied to the channel.

Severity: Informational

EventID: 680202A7 (hex)

Message: 680

You attempted to measure power at a frequency outside the frequency range defined for the specified power sensor. Select another sensor or adjust the range for this sensor.

Severity: Error

EventID: E80202A8 (hex)

Message: 681

Specified frequency is outside the frequency ranges currently defined for the power meter's sensors.

Severity: Error

EventID: E80202A9 (hex)

Message: 682

Additional Calibration Standards need to be acquired in order to calibrate over the entire frequency range currently being measured.

Severity: Informational

EventID: 680202AA (hex)

Message: 683

The VNA failed to convert cal kits for use by unguided calibrations. The recommended action is to restore Cal Kit defaults.

Severity: Error

EventID: E80202AB (hex)

Message: 684

The VNA failed to convert cal kits for use by unguided calibrations. CalKit defaults have been restored.

Severity: Error

EventID: E80202AC (hex)

Message: 685

Power meter is reserved by a source power cal acquisition already in progress.

Severity: Error

EventID: E80202AD (hex)

Message: 686

Source power calibration has not been performed or uploaded for the specified channel and source port.

Severity: Error

EventID: E80202AE (hex)

Message: 687

Source power calibration data array size for the specified channel and source port does not match it's associated stimulus number of points.

Severity: Error

EventID: E80202AF (hex)

Message: 688

Source power calibration of Port <n> on Channel <n> was turned off because the correction array no longer exists.

Severity: Error

EventID: E80202B0 (hex)

Message: 689

This command can only be used on a measurement created with a specified calibration loadport.

Severity: Error

EventID: E80202B1 (hex)

Message: 690

Interpolation is turned off and you have changed the stimulus settings of the original calibration, so correction has been turned off.

Severity: Error

EventID: E80202B2 (hex)

Message: 691

Stimulus settings for your current instrument state exceeded the parameters of the original calibration, so correction has been turned off.

Severity: Error

EventID: E80202B3 (hex)

Message: 692

Fixturing: the requested S2P file cannot be read. Possible formatting problem.

Severity: Error

EventID: E80202B4 (hex)

Message: 693

Fixturing: the requested S2P file cannot be opened.

Severity: Error

EventID: E80202B5 (hex)

Message: 694

Fixturing: the requested S2P file cannot be interpolated. This is usually because the frequency range in the file is a subset of the current channel frequency range.

Severity: Error

EventID: E80202B6 (hex)

Message: 695

Cal Registers can only be used by one channel: the channel conveyed in the name of the cal register. The name cannot be changed.

Severity: Error

Further explanation: See Cal Registers

EventID: E80202B7 (hex)

Message: 696

Fixturing: cannot be enabled with Response Calibrations and has been turned off.

Severity: Error

EventID: E80202B8 (hex)

Message: 697

The selected calibration cannot be performed for this measurement.

Severity: Error

EventID: E80202B9 (hex)

Message: 698

Fitting: RemoveAllConnectors() should be called prior to calling AddConnector after a fit has been attempted.

Severity: Error

EventID: E80202BA (hex)

Message: 699

An attempt was made to acquire calibration data before the system was properly initialized.

Severity: Error

EventID: E80202BB (hex)

Message: 700

Use IGuidedCalibration for multiport calibration types.

Severity: Error

EventID: E80202BC (hex)

Message: 701

Guided calibration requires number of thru measurement paths be at least equal to the number of calibration ports minus 1.

Severity: Error

EventID: E80202BD (hex)

Message: 702

A thru path was specified that includes a port which the calibration was not specified to include.

Severity: Error

EventID: E80202BE (hex)

Message: 703

One or more of the ports to be calibrated was not found in the set of specified thru paths.

Severity: Error

EventID: E80202BF (hex)

Hardware Errors

Message: 770

Input power too high. Source power is off.

Severity: Warning

EventID: A8030302 (hex)

Message: 771

Source power restored.

Severity: Informational

EventID: 68030303 (hex)

Message: 772

"The spampnp.sys driver is not working. Check system hardware. ! Data will be simulated. !"

Severity: Error

Further explanation: The Network Analyzer application cannot locate the DSP board. Hardware or a driver may be malfunctioning. This is also common when attempting to run the Network Analyzer on a workstation.

EventID: E8030304 (hex)

Message: 773

"Instrument Serial Bus Not Working."

Severity: Error

Further explanation: The instrument EEPROM appears to contain either all ones or all zeros. A serial bus hardware failure prevents reading the EEPROM.

EventID: E8030305 (hex)

Message: 784

Unleveled, source <n>, out <n>.

Severity: Error

Further explanation: The VNA was unable to set the power on port <n> to the desired level

Message: 848

"Phase lock lost"

Severity: Error

Further explanation: The instrument source was not able to lock properly. This can be the result of broken hardware, poor calibration, or bad EEPROM values.

Suggestions: Perform source calibration. Click System / Service / Adjustments / Source Calibration

EventID: E8030350 (hex)

Message: 849

Phaselock restored.

Severity: Success

EventID: 0x28030351 (hex)

Message: 850

"Unknown hardware error."

Severity: Error

Further explanation: Hardware malfunctioned prevents communication with the DSP.

EventID: E8030352 (hex)

Message: 851

DSP communication lost.

Severity: Error

EventID: E8030353 (hex)

Message: 852

RF power off.

Severity: Error

EventID: E8030354 (hex)

Message: 853

RF power on.

Severity: Success

EventID: 28030355 (hex)

Message: 854

Hardware OK.

Severity: Success

EventID: 28030356 (hex)

Message: 855

"Source unleveled."

Severity: Error

Further explanation: The source was unable to properly level at the requested power. The indicated power may not be accurate.

Suggestions: Try a different power level. Recalibrate source, if problem persists.

EventID: E8030357 (hex)

Message: 856

Source leveled.

Severity: Success

EventID: 28030358 (hex)

Message: 857

Input overloaded.

Severity: Error

EventID: E8030359 (hex)

Message: 858

Input no longer overloaded.

Severity: Success

EventID: 2803035A (hex)

Message: 859

"Yig calibration failed."

Severity: Error

Further explanation: Internal self-calibration of YIG oscillator tuning failed.

EventID: E803035B (hex)

Message: 860

Yig calibrated.

Severity: Success

EventID: 2803035C (hex)

Message: 861

"Analog ramp calibration failed."

Severity: Error

Further explanation: Internal analog sweep ramp calibration has failed.

EventID: E803035D (hex)

Message: 862

Analog ramp calibrated.

Severity: Success

EventID: 2803035E (hex)

Message: 863

Source temperature high.

Severity: Error

EventID: E803035F (hex)

Message: 864

Source temperature OK.

Severity: Success

EventID: 28030360 (hex)

Message: 865

"EEPROM write failed."

Severity: Error

Further explanation: Attempt to store calibration data to EEPROM has failed. There is a possible hardware failure.

EventID: E8030361 (hex)

Message: 866

EEPROM write succeeded.

Severity: Success

EventID: 28030362 (hex)

Message: 867

Attempted I/O write while port set to read only.

Severity: Error

Further explanation: Attempt to write to an I/O data port while the port set to input/read only.

Suggestions: Set data port to write/output before attempting to write to port.

EventID: E8030363 (hex)

Message: 868

" Attempted I/O read from write only port.

Severity: Error

Further explanation: Attempt to read from an I/O data port while the port set to output/write only.

Suggestions: Set data port to read/input before attempting to read from port.

EventID: E8030364 (hex)

Message: 869

Invalid hardware element identifier.

Severity: Error

EventID: E8030365 (hex)

Message: 870

Invalid gain level setting.

Severity: Error

EventID: E8030366 (hex)

Message: 871

Device driver was unable to allocate enough memory. Please try rebooting.

Severity: Error

EventID: E8030367 (hex)

Message: 872

DSP Error. Please Contact Keysight Support. Technical Information: DSP Type 1

Severity: Error

EventID: E8030368 (hex)

Message: 873

DSP Error. Please Contact Keysight Support. Technical Information: DSP Type 2

Severity: Error

EventID: E8030369 (hex)

Message: 874

DSP Error. Please Contact Keysight Support. Technical Information: DSP Type 3

Severity: Error

EventID: E803036A (hex)

Message: 875

DSP Error. Please Contact Keysight Support. Technical Information: DSP Type 4

Severity: Error

EventID: E803036B (hex)

Message: 876

DSP Error. Please Contact Keysight Support. Technical Information: DSP Type 5

Severity: Error

EventID: E803036C (hex)

Message: 910

The trigger connection argument was not recognized as valid by the firmware.

Severity: Error

EventID: 0xE803038E (hex)

Message: 911

The trigger connection specified does not support this trigger behavior

Severity: Error

EventID: E803038F (hex)

Message: 912

The trigger behavior specified was not recognized as valid by the firmware.

Severity: Error

EventID: E8030390 (hex)

Message: 913

The trigger connection specified does not physically exist on this network analyzer

Severity: Error

EventID: E8030391 (hex)

Message: 914

Cannot set "Accept Trigger Before Armed", since this hardware configuration does not support edge triggering.

Severity: Error

EventID: E8030392 (hex)

Message: 915

Cannot set "Trigger Output Enabled", since this hardware configuration does not support BNC2.

Severity: Error

EventID: E8030393 (hex)

Message: 916

Exceeded maximum trigger delay.

Severity: Error

EventID: E8030394 (hex)

Message: 917

Exceeded minimum trigger delay.

Severity: Error

EventID: E8030395 (hex)

Measure Errors

Message: 1024

If you are going to display or otherwise use a memory trace, you must first store a data trace to memory.

Severity: Warning

EventID: A8040400 (hex)

Message: 1025

"The measurement failed to shut down properly. The application is in a corrupt state and should be shut down and restarted."

Severity: Error

Further explanation: This message is displayed if the VNA application becomes corrupt. If you continue to get this error, please call customer service

EventID: E8040401 (hex)

Message: 1026

The measurement failed to shut down properly. The update thread failed to exit properly.

Severity: Warning

EventID: A8040402 (hex)

Message: 1027

"Group Delay format with CW Time or Power sweeps produces invalid data."

Severity: Warning

Further explanation: Group Delay format is incompatible with single-frequency sweeps. Invalid data is produced.

Suggestions: Ignore the data or choose a different format or sweep type.

EventID: A8040403 (hex)

Message: 1028

Severity: Informational

"MSG_LIMIT_FAILED"

Further explanation: Limit line test failed.

EventID: 68040404 (hex)

Message: 1029

Severity: Informational

"MSG_LIMIT_PASSED"

Further explanation: Limit line test passed.

EventID: 68040405 (hex)

Message: 1030

"Exceeded the maximum number of measurements allowed."

Severity: Warning

Further explanation: See Traces, Channels, and Windows on the VNA for learn about maximum measurements.

EventID: A8040406 (hex)

Message: 1031

"Network Analyzer Internal Error. Unexpected error in AddNewMeasurement."

Severity: Warning

Further explanation: If you continue to get this message, contact product support.

EventID: A8040407 (hex)

Message: 1032

"No measurement was found to perform the selected operation. Operation not completed."

Severity: Warning

Further explanation: None

Suggestions:Create a measurement before performing this operation.

EventID: A8040408 (hex)

Message: 1033

The Markers All Off command failed.

Severity: Warning

EventID: A8040409 (hex)

Message: 1034

"A memory trace has not been saved for the selected trace. Save a memory trace before attempting trace math operations."

Severity: Warning

Further explanation: Must have a memory trace when trying to do Trace Math,

EventID: A804040A (hex)

Message: 1035

"MSG_SET_AVERAGE_COMPLETE"

Severity: Informational

Further explanation: Informational for COM programming. Averaging factor has been reached.

EventID: 6804040B (hex)

Message: 1036

"MSG_CLEAR_AVERAGE_COMPLETE"

Further explanation: Informational for COM programming. Averaging factor has NOT been reached.

EventID: 6804040C (hex)

Message: 1037

"Time Domain transform requires at least 3 input points. The transform has been deactivated."

Severity: Informational

Further explanation: None

Suggestions:Increase the number of points.

EventID: 6804040D (hex)

Message: 1038

Smoothing requires a scalar format, and has been deactivated.

Severity: Informational

EventID: 6804040E (hex)

Message: 1039

A receiver power calibration in this instrument state file cannot be recalled into this firmware version.

Severity: Warning

EventID: A804040F (hex)

Message: 1047

Could not achieve target power.

Severity: Error

Further explanation: This indicates that the VNA was unable to find a source power during the THRU step of the cal sufficiently high to boost the measured noise power on port 2 to 6 dB above the noise floor.

Message: 1104

"Exceeded limit on number of measurements."

Severity: Error

Further explanation: See Traces, Channels, and Windows on the VNA for measurement limits.

EventID: E8040450 (hex)

Message: 1105

"Parameter not valid."

Severity: Error

Further explanation: A measurement parameter that was entered programmatically is not valid.

EventID: E8040451 (hex)

Message: 1106

"Measurement not found."

Severity: Error

Further explanation: Any of these could be the cause:

Trying to calibrate but already have maximum measurements.

Trying to do a confidence check but there is not a measurement.

Trying to create, activate, or alter a measurement through COM that has been deleted through the front panel.

Trying to use a trace name through programming that is not unique.

EventID: E8040452 (hex)

Message: 1107

"No valid memory trace."

Severity: Error

Further explanation: Must have a memory trace when trying to do Trace Math,

Suggestions: Store a memory trace.

EventID: E8040453 (hex)

Message: 1108

"The reference marker was not found."

Severity: Error

Further explanation: Attempted to create a delta marker without first creating a reference marker (COM only).

EventID: E8040454 (hex)

Message: 1109

"Data and Memory traces are no longer compatible. Trace Math has been turned off."

Severity: Error

Further explanation: Warning - channel setting has changed while doing trace math.

Suggestions:Store another memory trace and turn trace math back on.

EventID: A8040455 (hex)

Message: 1110

"Data and Memory traces are not compatible. For valid trace math operations, memory and data traces must have similar measurement conditions."

Severity: Error

Further explanation: Tried to do trace math without compatible data and memory traces.

Suggestions: Store another memory trace.

EventID: E8040456 (hex)

Message: 1111

"Marker Bandwidth not found."

Severity: Error

Further explanation: Could not find a portion of trace that meets the specified bandwidth criteria.

EventID: E8040457 (hex)

Message: 1112

"The peak was not found."

Severity: Error

Further explanation: Could not find portion of trace that meets peak criteria.

Suggestions: See Marker Peak criteria.

EventID: E8040458 (hex)

Message: 1113

"The target search value was not found."

Severity: Error

Further explanation: Could not find interpolated data point that meets search value.

EventID: E8040459 (hex)

Message: 1114

"Reflection measurement, such as S11, must supply an auxiliary port to disambiguate 2-port measurements on multiport instruments."

Severity: Error

Further explanation:

EventID: E804045A (hex)

Message: 1115

"The receiver power calibration has been turned off because the type of measurement or source port has changed, so the calibration is no longer valid."

Severity: Warning

Further explanation:

EventID: A804045B (hex)

Message: 1116

"Receiver power cal requires the active measurement to be of unratioed power."

Severity: Warning

Further explanation:

EventID: A804045C (hex)

Message: 1117

"There is currently no source power calibration associated with the channel and source port of the active measurement. A source power cal should be performed or recalled before performing a receiver power calibration."

Severity: Warning

Further explanation:

EventID: A804045D (hex)

Message: 1118

"The attempted operation can only be performed on a standard measurement type."

Severity: Error

Further explanation:

EventID: E804045E (hex)

Message: 1119

"The custom measurement cannot be loaded because it is not compatible with the Network Analyzer hardware."

Severity: Error

Further explanation:

Suggestions:

EventID: E804045F (hex)

Message: 1120

"The custom measurement cannot be loaded because it is not compatible with the Network Analyzer software."

Severity: Error

Further explanation:

EventID: E8040460 (hex)

Message: 1121

"The custom measurement load operation failed for an unspecified reason."

Severity: Error

Further explanation:

EventID: E8040461 (hex)

Message: 1122

"The custom measurement data processing has generated an unhandled exception, and will be terminated. The VNA software may be in an unstable state and it is recommended that the VNA software be shutdown and restarted."

Severity: Error

Further explanation:

EventID: E8040462 (hex)

Message: 1123

"The attempted operation can only be performed on a custom measurement type."

Severity: Error

Further explanation:

EventID: E8040463 (hex)

Message: 1124

"The requested custom measurement is not available."

Severity: Error

Further explanation:

EventID: E8040464 (hex)

Message: 1125

"The requested custom algorithm was not found."

Severity: Error

Further explanation:

EventID: E8040465 (hex)

Message: 1126

"Normalization cannot be turned on because the measurement does not have a valid divisor buffer."

Severity: Error

Further explanation:

EventID: E8040466 (hex)

Message: 1127

"The Raw Data requested by the measurement could not be provided."

Severity: Warning

Further explanation:

EventID: A8040467 (hex)

Message: 1128

"The selected Sweep Type does not allow Transform and Gating. Transform and Gating disabled. "

Severity: Error

Further explanation:

EventID: E8040468 (hex)

Message: 1129

Memory trace can not be applied to this measurement

Severity: Error

EventID: E8040469 (hex)

Message: 1130

Normalization can not be applied to this measurement

Severity: Error

EventID: E804046A (hex)

Message: 1131

The data provided has an invalid number of points. It could not be stored

Severity: Error

EventID: E804046B (hex)

Message: 1132

The measurement stored in the save/recall state has an invalid version. It could not be loaded

Severity: Error

EventID: E804046C (hex)

Message: 1133

This data format argument for this operation must be "naDataFormat_Polar"

Severity: Error

EventID: E804046D (hex)

Message: 1134

This data format argument for this operation must be a scalar data format

Severity: Error

EventID: E804046E (hex)

Message: 1135

The memory trace is not valid for the current measurement setup.

Severity: Error

EventID: E804046F (hex)

Message: 1136

This measurement is incompatible with existing measurements in this channel. Choose another channel.

Severity: Error

EventID: E8040470 (hex)

Message: 1137

Port extension correction is not available for offset frequency measurements. Port extension correction has been disabled.

Severity: Error

EventID: E8040471 (hex)

Message: 1138

Physical port number assignments for logical port mappings must be unique.

Severity: Error

EventID: E8040472 (hex)

Parser Errors

Message: 1281

"You have sent a read command to the analyzer without first requesting data with an appropriate output command. The analyzer has no data in the output queue to satisfy the request."

Severity: Error

EventID: 68050501 (hex)

Message: 1282

"You must remove the active controller from the bus or the controller must relinquish the bus before the analyzer can assume the system controller mode."

Severity: Error

EventID: E8050502(hex)

Message: 1283

"The analyzer did not receive a complete data transmission. This is usually caused by an interruption of the bus transaction."

Severity: Error

EventID: E8050503 (hex)

Message: 1284

"The instrument status byte has changed."

Severity: Informational

EventID: 68050504 (hex)

Message: 1285

"The SCPI command received has caused error number %1: "%2"."

Severity: Informational

EventID: 68050505 (hex)

Message: 1286

"The INET LAN server has been started as process number %1."

Severity: Informational

EventID: 68050506 (hex)

Message: 1360

"Execution of the SCPI command has failed"

Severity: Error

EventID: E8050550 (hex)

Message: 1361

" The INET/LAN device is not accessible."

Severity: Error

EventID: E8050551 (hex)

Message: 1362

"The INET/LAN driver was not found. "

Severity: Error

EventID: E8050552 (hex)

Message: 1363

"The INET/LAN driver was not found."

Severity: Error

EventID: E8050553 (hex)

Message: 1364

"The INET/LAN device is unable to acquire the necessary resources. "

Severity: Error

EventID: E8050554 (hex)

Message: 1365

"The INET/LAN device generated a generic system error. "

Severity: Error

EventID: E8050555 (hex)

Message: 1366

"Invalid address for the INET/LAN device."

Severity: Error

EventID: E8050556 (hex)

Message: 1367

"The INET I/O library was not found. "

Severity: Error

EventID: E8050557 (hex)

Message: 1368

"An error occured in the INET system. "

Severity: Error

EventID: E8050558 (hex)

Message: 1369

"Access to the INET/LAN driver was denied. "

Severity: Error

EventID: E8050559 (hex)

Message: 1370

"Could not load error system message dll."

Severity: Error

EventID: E805055A (hex)

Message: 1371

"ErrorSystemMessage.dll does not export the right function."

Severity: Error

EventID: E805055B (hex)

Message: 1372

"Custom scpi library was not able to be knitted"

Severity: Error

EventID: E805055C (hex)

Message: 1373

"Could not knit the scpi error messages from the ErrorSystemMessage lib"

Severity: Error

EventID: E805055D (hex)

Message: 1374

Command is obsolete with this software version.

Severity: Error

EventID: E808055E (hex)

Message: 1375

CALC measurement selection set to none. Use Calc:Par:Sel

Severity: Error

EventID: E808055F (hex)

Message: 1535

"Parser got command: %1."

Severity: Informational

EventID: 680505FF (hex)

Display Errors 1536 - 1621

Message: 1536

"Exceeded the maximum of 4 traces in each window. The trace for <x> will not be added to window <x>."

Severity: Warning

Further explanation: None

Suggestions: Create the trace in another window. See the VNA window limits.

EventID: A8060600 (hex)

Message: 1537

"Exceeded the maximum of 16 data windows. New window will not be created."

Severity: Warning

Further explanation: None

Suggestions: Create the trace in an existing window. See the VNA window limits.

EventID: A8060601 (hex)

Message: 1538

"No Data Windows are present. Unable to complete operation."

Severity: Warning

Further explanation: Your remote SCPI operation tried to create a new measurement while there were no windows present

Suggestions: Create a new window before creating the measurement. See example Create a measurement using SCPI

EventID: A8060602 (hex)

Message: 1539

"No data traces are present in the selected window. Operation not completed."

Severity: Warning

Further explanation: None

EventID: A8060603 (hex)

Message: 1540

"Cannot complete request to arrange existing measurements in <x> windows due to the limit of <x> traces per window."

Severity: Informational

Further explanation: The arrange window feature cannot put the existing traces into the number of windows you requested because only 4 traces per window are allowed. See Arranging Existing Measurements

Suggestions:Either create more windows or delete some traces.

EventID: 68060604 (hex)

Message: 1541

"Unable to establish a connection with the specified printer."

Severity: Warning

Further explanation: None

Suggestions: Refer to Printer Help

EventID: A8060605 (hex)

Message: 1542

"Printout canceled."

Severity: Informational

EventID: 68060606 (hex)

Message: 1616

"Window not found."

Severity: Error

Further explanation: A window was specified in your program which does not exist.

Suggestions: Query the name of your window before specifying.

EventID: E8060650 (hex)

Message: 1617

"Duplicate window ID specified."

Severity: Error

Further explanation: None

EventID: E8060651 (hex)

Message: 1618

"Exceeded limit on number of windows."

Severity: Error

Further explanation: There is a limit of 4 windows per screen.

EventID: E8060652 (hex)

Message: 1619

"Exceeded limit on number of traces/window."

Severity: Error

Further explanation: There is a limit of 4 traces per window. See the Traces, Channels, and Windows on the VNA.

Suggestions: Create the trace in another window

EventID: E8060653 (hex)

Message: 1620

"Trace not found."

Severity: Error

Further explanation: Your program tried to communicate with a non-existing trace.

Suggestions:Query the trace ID before writing to it.

EventID: E8060654 (hex)

Message: 1621

"The operating system does not recognize this printer."

Severity: Warning

EventID: A8060655 (hex)

Message: 1622

Duplicate trace ID specified.

Severity: Error

EventID: E8060656 (hex)

Channel Errors 1792 -1878

Message: 1792

"Sweep Complete."

Severity: Informational

Further explanation: None

Suggestions:None

EventID: 68070700 (hex)

Message: 1793

"All triggerable acquisitions have completed."

Severity: Informational

Further explanation:

EventID: 68070701 (hex)

Message: 1794

"The last trigger produced an aborted sweep."

Severity: Informational

Further explanation:

EventID: 68070702 (hex)

Message: 1795

"The segment list must be adjusted to have at least one active segment with more than 0 points to use segment sweep."

Severity: Informational

Further explanation: You attempted to change Sweep type to Segment sweep, but there is either no segments defined or no sweep points in the defined segments

Suggestions: Define at least one segment with at least one measurement point. See Segment sweep for more information

EventID: 68070703 (hex)

Message: 1796

"MSG_SET_CHANNEL_DIRTY"

Severity: Informational

Further explanation: This informational message occurs when a channel setting has changed but the channel still has data that was taken with the previous setting. The following CLEAR message occurs when new channel data is taken.

EventID: 68070704 (hex)

Message: 1797

"MSG_CLEAR_CHANNEL_DIRTY"

Severity: Informational

Further explanation: The previous SET message occurs when a channel setting has changed but the channel still has data that was taken with the previous setting. This CLEAR message occurs when new channel data is taken.

EventID: 68070705 (hex)

Message: 1798

Sweep time has changed from Auto to Manual mode. If desired to return to Auto mode, enter sweep time value of 0.

Severity: Informational

EventID: 68070706 (hex)

Message: 1799

"Set Sweep Completed"

Severity: Informational

Further explanation: This event occurs when a sweep and it's associated sweep calculations finish. This is typically when all sweeps on a channel complete.

EventID: 68070707 (hex)

Message: 1800

"Clear Sweep Completed"

Severity: Informational

Further explanation: This event occurs immediately after the SET SWEEP COMPLETED event. These two events set and clear the "Sweep Completed" bit (bit 4) on the SCPI Device Status register.

EventID: 68070708 (hex)

Message: 1801

"All Sweeps Completed and Processed"

Severity: Informational

Further explanation: This event occurs when all of the sweeps and sweep calculations are complete for a channel.

EventID: 68070709 (hex)

Message: 1802

Low Pass : Frequency limits have been changed.

Severity: Informational

EventID: 6807070A (hex)

Message: 1803

Low Pass : Number of points have been changed.

Severity: Informational

EventID: 6807070B (hex)

Message: 1804

Low Pass : Frequency limits and number of points have been changed.

Severity: Informational

EventID: 6807070C (hex)

Message: 1805

"Channel created"

Severity: Informational

EventID: 6807070D (hex)

Message: 1806

"Channel deleted"

Severity: Informational

EventID: 6807070E (hex)

Message: 1872

"Channel not found."

Severity: Error

Further explanation: A non-existent channel is being referenced under program control.

Suggestions: Query the channel number, then refer to it by number.

EventID: E8070750 (hex)

Message: 1873

"The requested sweep segment was not found."

Severity: Error

Further explanation: A non-existent sweep segment is being referenced under program control.

EventID: E8070751 (hex)

Message: 1874

"The sweep segment list is empty."

Severity: Error

Further explanation: Segment Sweep cannot be specified unless there is at least one defined segment. This error will only occur under remote control.

EventID: E8070752 (hex)

Message: 1875

"The number of points in active sweep segment list segments is 0."

Severity: Error

Further explanation: Segment Sweep cannot be specified unless there is at least data point specified in a segment. This error will only occur under remote control.

EventID: E8070753 (hex)

Message: 1876

"The specified source attenuator is not valid."

Severity: Error

Further explanation: You tried to set the Attenuator property on the Channel object on a VNA that doesn't have a source attenuator.

EventID: E8070754 (hex)

Message: 1877

"Log Frequency sweep cannot be selected with the current Number of Points. Please reduce Number of Points."

Severity: Error

Further explanation: The maximum number of points that can be used for Log sweep is 401.

EventID: E8070755 (hex)

Message: 1878

"The requested Number of Points is greater than can be selected for Log Frequency sweep."

Severity: Error

Further explanation: The maximum number of points that can be used for Log sweep is 401.

EventID: E8070756 (hex)

Message: 1879

"Response frequencies exceeded instrument range so Frequency Offset has been turned off."

Severity: Error

Further explanation: This error is returned whenever the instrument detects that the stimulus sweep setup and Frequency Offset settings result in computed response frequencies that exceed instrument limits. When this occurs, the instrument automatically turns off Frequency Offset to avoid the out-of-range conditions.

Suggestions: When this condition has occurred, change settings for either the stimulus frequencies or Frequency Offset so that the Response frequencies are within instrument bounds. Once this is done, Frequency Offset can once again be turned on.

EventID: E8070757 (hex)

Message: 1880

The total number of points for all the given segments exceeds the maximum number of points supported. The segments were not changed.

Severity: Error

EventID: E8070758 (hex)

Message: 1881

This instance of the Channels object was not used to place the channels in Hold, so no channels were resumed.

Severity: Error

EventID: E8070759 (hex)

Message: 1882

The port number was outside the range of allowed port numbers.

Severity: Error

EventID: E807075A (hex)

Message: 1883

More ports than are present are required for this operation.

Severity: Error

EventID: E807075B (hex)

General Errors

Message: 2048

"The function you requested requires a capability provided by an option to the standard analyzer. That option is not currently installed."

Severity: Error

Further explanation: None

Suggestions:To view the options on your analyzer, click Help / About Network Analyzer. For more information see VNA Options

EventID: 68080800 (hex)

Message: 2049

"The feature you requested is not available on the current instrument."

Severity: Error

Further explanation: None

EventID: 68080801 (hex)

Message: 2050

"The feature you requested is incompatible with the current instrument state."

Severity: Error

Further explanation: None

Suggestions: None

EventID: 68080802 (hex)

Message: 2051

"File<x> has been saved."

Severity: Informational

Further explanation: None

EventID: 68080803 (hex)

Message: 2052

"Attempt to save <x> failed."

Severity: Error

Further explanation: None

Suggestions: If using a floppy disk, ensure it is inside the drive and the disk is not full. Check the filename for special characters.

EventID: E8080804 (hex)

Message: 2053

"Attempt to recall file failed because <x> was not found."

Severity: Error

Further explanation: None

EventID: E8080805 (hex)

Message: 2054

"<x> has a bad header."

Severity: Error

Further explanation: None

Suggestions: Recopy the file and / or delete the file.

EventID: E8080806 (hex)

Message: 2056

"Request to enter hibernate state."

Further explanation: None

EventID: 68080808 (hex)

Message: 2057

"Power up from automatic hibernate state. Program received PBT_APMRESUMEAUTOMATIC Message."

Further explanation: None

EventID: 68080809 (hex)

Message: 2058

"Power up from suspend hibernate state. Program received PBT_APMRESUMESUSPEND Message."

Further explanation: None

EventID: 6808080A (hex)

Message: 2059

"Power up from suspend hibernate state. Program received PBT_APMRESUMECRITICAL Message."

Severity: Warning

Further explanation: None

EventID: A808080B (hex)

Message: 2060

"Power up from unknown hibernate state UI recovery called. Program received no PBT_Message within the time allotted and is attempting recovery."

Severity: Warning

Further explanation: None

EventID: A808080C (hex)

Message: 2061

"<x> already exists. File is being overwritten."

Further explanation: Used only for remote applications

EventID: 6808080D (hex)

Message: 2062

"File has not been saved."

Severity: Error

Further explanation: Used only for remote applications

EventID: E808080E (hex)

Message: 2063

"File <x> has been recalled."

Further explanation: Used only for remote applications

EventID: 6808080F (hex)

Message: 2064

"State version in <x> is considered obsolete by this version of this code."

Severity: Error

Further explanation: You attempted to recall a file that is no longer valid.

Suggestions: You must recreate the file manually.

EventID: E8080810 (hex)

Message: 2065

"State version in <x> is newer than the latest version supported by this code."

Severity: Error

Further explanation: You attempted to recall a file that was created by a later version of the VNA application.

Suggestions: You must recreate the file manually.

EventID: E8080811 (hex)

Message: 2066

"Error occurred while reading file <x>"

Severity: Error

Further explanation: The file may be corrupt.

Suggestions: Try to recreate the file.

EventID: E8080812 (hex)

Message: 2067

"Windows shell error: <x>"

Severity: Error

Further explanation: None

EventID: E8080813 (hex)

Message: 2068

Send message timed out returning: <x>.

Severity: Error

Further explanation: None

EventID: E8080814 (hex)

Message: 2069

"Changing GPIB mode to System Controller."

Severity: Informational

Further explanation: None

EventID: 68080815 (hex)

Message: 2070

"Changing GPIB mode to Talker Listener."

Severity: Informational

Further explanation: None

EventID: 68080816 (hex)

Message: 2071

"The Network Analyzer can not be put in GPIB System Controller mode until the GPIB status is Local. Stop any remote GPIB programs which may be using the Network analyzer, press the Macro/Local key and try again. "

Severity: Informational

Further explanation: See LCL and RMT Operation

Suggestions: Press the Macro/Local key and try again.

EventID: 68080817 (hex)

Message: 2120

"This method can not be invoked through a late-bound COM call."

Severity: Error

Further explanation: None

Suggestions: Use the alternate method described in the COM programming documentation

EventID: E8080878 (hex)

Message: 2128

"The specified format is invalid."

Severity:Error

Further explanation: None

EventID: E8080850 (hex)

Message: 2129

"WINNT exception caught by Automation layer."

Severity: Error

Further explanation: None

EventID: E8080851 (hex)

Message: 2130

"Bad port specification."

Severity: Error

Further explanation: None

EventID: E8080852 (hex)

Message: 2131

"Failed to find a printer."

Severity: Error

Further explanation: None

Suggestions: See Connecting to a Printer

EventID: E8080853 (hex)

Message: 2132

"Manual trigger ignored."

Severity: Error

Further explanation: None

EventID: E8080854 (hex)

Message: 2133

"Attempt to set trigger failed."

Severity: Error

Further explanation: None

EventID: E8080855 (hex)

Message: 2134

"Macro execution failed."

Severity: Error

Further explanation: None

EventID: E8080856 (hex)

Message: 2135

"Specified macro definition is incomplete."

Severity: Error

Further explanation:

EventID: E8080857 (hex)

Message: 2137

"Block data length error."

Severity: Error

Further explanation: See Getting Data from the Analyzer

EventID: E8080859 (hex)

Message: 2139

"Requested data not found."

Severity: Error

Further explanation: None

EventID: E808085B (hex)

Message: 2142

"The parameter supplied was out of range, so was limited to a value in range before being applied to the instrument."

Severity: Success

Further explanation: None

Suggestions: View range limits before sending programming commands.

EventID: 2808085E (hex)

Message: 2143

The parameter supplied was out of range, so was limited to a value in range before being applied to the instrument.

Severity: Error

EventID: E808085F (hex)

Message: 2144

"Request failed. The required license was not found."

Severity: Error

Further explanation: None

EventID: E8080860 (hex)

Message: 2145

"A remote call to the front panel has returned hresult <x>"

Severity: Error

Further explanation: This may indicate a problem with the front panel

Suggestions: Contact Technical support

EventID: E8080861 (hex)

Message: 2146

The recall operation failed.

Severity: Error

Further explanation:

EventID: E8080862 (hex)

Message: 2147

Attempt to save file failed.

Severity: Error

Further explanation:

EventID: E8080863 (hex)

Message: 2148

Recall attempt failed because file was not found.

Severity: Error

Further explanation:

EventID: E8080864 (hex)

Message: 2149

Recall file has a bad header.

Severity: Error

Further explanation:

EventID: E8080865 (hex)

Message: 2150

Recall file version is obsolete and no longer compatible with this instrument.

Severity: Error

Further explanation:

EventID: E8080866 (hex)

Message: 2151

The recall file contains an istate version newer than this instrument. A remote call to the front panel has returned hresult %1

Severity: Error

Further explanation:

EventID: E8080867 (hex)

Message 2152

"Front Panel <x>

Severity: Error

Further explanation: None

EventID: E8080868 (hex)

Message 2153

"Front Panel message"

Severity: Informational

Further explanation: None

EventID: 68080869 (hex)

Message 2154

"Power Service <x>

Severity: Error

Further explanation: There is more than 1 instance of powerservice running. There should only be one running. This might happen after running install shield - especially when upgrading the CPU board.

Suggestions: Try rebooting. If this persists, please call Customer Support.

EventID: E808086A (hex)

Message 2155

"Power Service <x>

Severity: Informational

Further explanation: None

EventID: 6808086B (hex)

Message 2156

"The Keysight Technologies GPIB driver can not be loaded or unloaded."

Severity: Error

Further explanation: None

Suggestions: If the problem persists, from the VNA desktop, right-click on My Computer. Click Properties, Click Hardware Tab. Click Device Manager Button. Expand GPIB Devices. Right-click and click Uninstall all GPIB interfaces devices. Reboot the VNA.

EventID: E808086C (hex)

Message 2157

"The National Instruments GPIB driver can not be loaded or unloaded."

Severity: Error

Further explanation: None

Suggestions: If the problem persists, from the VNA desktop, right-click on My Computer. Click Properties, Click Hardware Tab. Click Device Manager Button. Expand GPIB Devices. Right-click and click Uninstall all GPIB interfaces devices. Reboot the VNA.

EventID: E808086D (hex)

Message 2158

"The Keysight GPIB driver is loaded but it can not start its parser."

Severity: Error

Further explanation: None

EventID: E808086E (hex)

Message: 2159

The front panel is in remote mode.

Severity: Warning

EventID: A808086F (hex)

Message: 2160

The Registry Key specified could not be found.

Severity: Error

EventID: E8080870 (hex)

Message: 2161

An overcurrent condition has been detected on a probe plugged into the front panel.

Severity: Warning

EventID: A8080871 (hex)

Message: 2162

The operation timed out.

Severity: Error

EventID: E8080872 (hex)

Message 2163

"The Network Analyzer executed a preset."

Severity:Informational

Further explanation: None

EventID: 68080873 (hex)

Message 2164

"Access to file denied."

Severity: Error

Further explanation: This means that the system can not open an output file for writing. Most likely because the file is write protected.

Suggestions: Pick another file name or file directory, check floppy disk hard disk write access.

EventID: E8080874 (hex)

Message 2165

"File type is structured storage."

Severity: Informational

Further explanation: None

EventID: 68080875 (hex)

Message 2166

"The trigger operation failed."

Severity: Error

Further explanation: None

EventID: E8080876 (hex)

Message 2167

"Argument out of range error."

Severity: Error

Further explanation: None

Suggestions: None

EventID: E8080877 (hex)

Message: 2169

The given COM object is not a custom application

Severity: Error

EventID: E8080879 (hex)

Message: 2170

The eventID supplied was not recognized as a valid VNA eventID

Severity: Error

EventID: E808087A (hex)

Message: 2171

The operation was canceled.

Severity: Error

EventID: E808087B (hex)

Message: 2172

High security level cannot be disabled directly. Only an instrument preset or recall of lower security instrument state will reset this security level.

Severity: Error

EventID: E808087C (hex)

Message: 2173

Local lockout mode is on. The VNA application will not accept input from front panel, keyboard or mouse until this mode is turned off from a remote interface.

Severity: Error

EventID: E808087D (hex)

Message: 2174

The SnP request is not valid for the selected measurement.

Severity: Error

EventID: E808087E (hex)

Message: 2175

Preset is not supported while this dialog or wizard is open. Close the dialog or wizard and then try again.

Severity: Error

EventID: E808087F (hex)

Message: 2176

The function you requested requires a capability provided by an option to the standard analyzer. That option is not currently installed.

Severity: Error

EventID: E8080880 (hex)

Message: 2177

Catastrophic error. Crash dump recorded at <n>

Severity: Error

EventID: E8080881 (hex)

Message: 2178

In the context of a noise calibration, this would occur if the VNA was unable to set the state of the tuner Ecal module.

Severity: Error

EventID: E8080882 (hex)

Message: 2179

Failed to open gen.lic.

Severity: Error

EventID: E8080883 (hex)

Last modified:

5-Jan-2016

First Release


About Error Messages

VNA errors and Operating System errors are displayed and logged in an error file. You can choose how to display VNA errors, or choose to not display VNA errors at all.

  • Error Display

  • View Error Log

  • List of VNA Errors

  • SCPI Errors

Other System topics

Error Display

By default, error messages appear on the status bar. You can choose to have them stay on the screen until you click an OK button, or have them not appear at all. When they stay on the screen, a Help button is available to provide further assistance.

How to select the display of Error Messages

Using Hardkey/SoftTab/Softkey

  1. Press System > Help > Error Display...

Error Display dialog box help

On Preset, these settings revert to their defaults (enabled).

Enable Messages Check to display all VNA error messages as they occur. Clear to suppress the display of VNA error messages. You can still view them in the error log.

Calibration Error Message Windows

Status Bar Displays error messages on the status bar. You can then view the message in the error log and get further assistance.

Confirmation Dialog boxes Displays error messages in a standard dialog box. You then choose OK or Cancel to close the dialog box, or press Help to get further information on the error message.

View Error Log

The VNA Error Log is a list of events that have occurred in exception to SCPI errors/Power On Test errors, etc. (Events are used in programming the VNA using COM.) VNA errors is a subset of VNA events. Only events with severity codes of ERROR are displayed on the VNA screen as they occur. From the error log, you can access further help with an error by selecting the error and clicking Help.

How to view the Error Log

Using Hardkey/SoftTab/Softkey

  1. Press Sweep > Help > View Error Log.

No programming commands

Error Log dialog box help

Network analyzer errors only Select to view only VNA errors. Clear to view all errors that occur on all applications of the computer.

Description Error message that appears on the VNA screen.

A - Event ID Error message number

B - Date the Error occurred

C - Time the Error occurred

D - Severity Code - All events have one of the following severity codes:

  • SUCcess - the operation completed successfully

  • INFormational - events that occur without impact on the measurement integrity

  • WARning - events that occur with potential impact on measurement integrity

  • ERRor - events that occur with serious impact on measurement integrity

E - Application in which the error occurred.

OK Closes the Dialog box

Help Provides further information on the selected Error message

To clear the Error Log:

  1. From the System > Main menu click Minimize Application

  2. On the desktop, select Start >Control Panel

  3. On the Control Panel, click Administrative Tools

  4. On the Administrative Tools window, click Event Viewer

  5. On the Event Viewer window, right-click Application

  6. Select Clear Log

  7. If you want to save a file with the contents of the Event Log, click Save and Clear. Otherwise, click Clear

To restore the VNA application, click on the VNA Analyzer taskbar button at the bottom of the screen

Last Modified:

5-Jan-2016

First Release


Analyzer Accessories

  • Coax Mechanical Calibration Kits

  • Waveguide Mechanical Calibration Kits

  • Electronic Calibration (ECal)

  • Mechanical Verification Kits

  • Adapter and Accessory Kits

  • Test Port Cables

  • USB Peripherals

  • Connector Care and ESD Supplies

Other Support topics

For product and order information:

  • Visit www.keysight.com/find/accessories

  • Use the search function to locate information about a particular accessory or view the entire RF and Microwave Test Accessories Catalog.

Accessories are available in these connector types:

  • 50 ohm Type-N

  • 75 ohm Type-N

  • 3.5 mm

  • 7 mm (APC-7)

  • 7-16

  • 2.92 mm

  • 2.4 mm

  • 1.85 mm

  • 1 mm

Test port cables and a calibration kit are necessary for a complete measurement system.

A verification kit is used to verify corrected system performance.

See the connector type for each VNA model

Coax Mechanical Calibration Kits

Model | Connector Type | Frequency Upper Limit
85032B | Type-N (50 Ohm) | 6 GHz
85032F | Type-N (50 Ohm) | 9 GHz
85054B | Type-N (50 Ohm) | 18 GHz
85036E | Type-N (75 Ohm) | 3 GHz
85050B | 7 mm | 18 GHz
85033D | 3.5 mm | 6 GHz
85038A | 7-16 | 7.5 GHz
85033E | 3.5 mm | 9 GHz
85052B | 3.5 mm | 26.5 GHz
85052C | 3.5 mm TRL | 26.5 GHz
85056K | 2.92 mm | 50 GHz
85056A | 2.4 mm | 50 GHz
85058B/E (data-based) | 1.85 mm | 67 GHz
85059A (data-based) | 1.00 mm | 110 GHz

Waveguide Mechanical Calibration Kits

Model | Connector Type | Frequency Range
X11644A | WR-90 | 8.2-12.4 GHz
P11644A | WR-62 | 12.4-18 GHz
K11644A | WR-42 | 18-26.5 GHz
R11644A | WR-28 | 26.5-40 GHz
Q11644A | WR-22 | 33-50 GHz
U11644A | WR-19 | 40-60 GHz
V11644A | WR-15 | 50-75 GHz

Electronic Calibration (ECal)

Model | Connector Type | Frequency Range
RF Two-Port
85091C | 7 mm (APC-7) | 300 kHz-9 GHz
85092C | Type-N (50 ohm) Port B available with 3.5 mm or 7-16a | 300 kHz-9 GHz
85093C | 3.5 mm Port B available with Type-N (50 ohm) or 7-16a | 300 kHz-9 GHz
85096C | Type-N (75 ohm) | 300 kHz-3 GHz
85098C | 7-16a Port B available with Type-N (50 ohm) or 3.5 mm | 300 kHz-7.5 GHz
85099C | Type-F | 300 kHz-3 GHz
RF Four-Port
N4431B | 3.5mm (f) (four-port), Type-N (f) (four-port), Mixed connector types | 9 kHzb-13.5 GHz
N4432A Option 020 | Type-N (f) (four-port) | 300 kHz-18 GHz (available Feb. 2006)
N4432A Option 030 | APC 7 (four-port) | 300 kHz-18 GHz (available Feb. 2006)
N4433A Option 010 | 3.5mm (f) (four-port) | 300 kHz-20 GHz (available Feb. 2006)
Microwave Two-Port
N4690B | Type-N (50 ohm) | 300 kHz-18 GHz
N4691B | 3.5 mm | 300 kHz-26.5 GHz
N4692A | 2.92 mm | 10 MHz-40 GHz
N4693A | 2.4 mm | 10 MHz-50 GHz
N4694A | 1.85 mm | 10 MHz-67 GHz
N4696B | 7 mm | 300 kHz-18 GHz

a Limits ECal module high frequency to 7.5 GHz.

b Performance from 9 kHz to 300 kHz is valid only for the E5080A and E5071C ENA Network analyzer (firmware version A.09.10 or higher).

Verification Kits

Model | Connector Type | Frequency Range
85055A | Type-N (50 Ohm) | 300 kHz-9 GHz
85053B | 3.5 mm | 300 kHz-26.5 GHz
85057B | 2.4 mm | .045-50 GHz
R11645A | WR-28 | 26.5-40 GHz
Q11645A | WR-22 | 33-50 GHz

Adapters and Accessory Kits

Model | Description
11878A | Type-N to 3.5 mm Adapter Kit
11525A | Type-N (m) to 7 mm (APC-7)
11853A | Type-N Accessory Kit
11900B | 2.4 mm (f) to 2.4 mm (f)
11900C | 2.4 mm (f) to 2.4 mm (m)
85130G | Test Port Adapter Set, 2.4 mm (f) to 2.4 mm (m,f)
11901B | 2.4 mm (f) to 3.5 mm (f)
11901D | 2.4 mm (f) to 3.5 mm (m)
85130F | Test Port Adapter Set, 2.4 mm (f) to 3.5 mm (m,f)
11902B | 2.4 mm (f) to 7 mm (APC-7)
11920A | 1 mm (m) to 1 mm (m)
11920B | 1 mm (f) to 1 mm (f)
11920C | 1 mm (m) to 1 mm (f)
11921A | 1 mm (m) to 1.85 mm (m)
11921B | 1 mm (f) to 1.85 mm (f)
11921C | 1 mm (m) to 1.85 mm (f)
11921D | 1 mm (f) to 1.85 mm (m)
11922A | 1 mm (m) to 2.4 mm (m)
11922B | 1 mm (f) to 2.4 mm (f)
11922C | 1 mm (m) to 2.4 mm (f)
11922D | 1 mm (f) to 2.4 mm (m)

Test Port Cables

Model | Description
N4697E | 1.85 mm (f) to 1.85 mm (rugged f) flexible (single)
N4697F | 1.85 mm (rugged f, f) to 1.85 mm (rugged m, rugged f) flexible (set)
N6315A | Type-N (m) to Type-N (f), 16 in. (single)
N6314A | Type-N (m) to Type-N (m), 24 in. (single)
85133D | 2.4 mm (f) to 2.4 mm (m,f) semi-rigid (set)
85133F | 2.4 mm (f) to 2.4 mm (m,f) flexible (set)
85134D | 2.4 mm (f) to 3.5 mm (m,f) semi-rigid (set)
85134F | 2.4 mm (f) to 3.5 mm (m,f) flexible (set)

USB Peripherals

Model | Description
N4688A | CD RW drive - with USB cable.
N4689A | USB 4-port hub - for connecting additional USB peripherals.
82357B | USB/GPIB Interface - for controlling GPIB devices through USB. Learn more about using the 82357B with the VNA

Connector and ESD Supplies

See ESD topic

See more Connector Care supplies

Part Number | Description
9300-1367 | Adjustable antistatic wrist strap
9300-0980 | Antistatic wrist strap grounding cord (5 foot)
9300-0797 | Static control table mat (2 foot x 4 foot) with earth ground wire
9300-1126 | ESD heel strap
1401-0248 | ESD Safe End-Cap, Type-N (m)
1401-0247 | ESD Safe End-Cap, Type-N (f)
1401-0214 | Standard End-Cap, Type-N (m)
1401-0225 | Standard End-Cap, Type-N (f)

Last Modified:

20-Nov-2014

First release


USB to GPIB Adapter

82357B USB / GPIB Interface

The Keysight 82357B is an adapter that creates a GPIB Interface from one of your unused VNA USB ports.

  • Applications

  • Configuring

  • Connecting

  • Communicating with other Equipment

Applications

The 82357B can be used to connect a GPIB device using the VNA USB for any VNA application. In addition, the 82357B can be used to connect a power meter for a source power calibration.

Configure the 82357B USB/GPIB Interface

When the 82357B is connected to the VNA USB, the following dialog box appears:

Normally, you do NOT need to edit these settings. The 82357B USB/GPIB Interface is configured automatically as the next unused VISA interface. This is usually GPIB2 unless you have already configured it for another purpose.

If the VISA Interface Name appears as GPIB0 or GPIB1, these Interfaces must be returned to their default settings for the 82357B to work properly with the VNA. See Configure for VISA / SICL to learn how.

Connecting the 82357B USB/GPIB Interface

The following diagram illustrates how to connect GPIB test equipment using the USB/GPIB Interface.

  • Plug the USB/GPIB Interface into any unused VNA USB port.

  • The driver installation and connection is performed automatically.

Communicating with Equipment Connected to the USB/GPIB Interface

  • The Frequency Converter Application will automatically find and communicate with test equipment that is connected to the USB/GPIB Interface.

  • Source power calibration: Select GPIB at the Power Meter Settings dialog and specify the GPIB address of the power meter.

  • To control other devices through your own program using the 82357B , you must include the new GPIB Interface number when addressing the devices.

Last modified:

5-Jan-2016

First Release


FW_upgrade

Firmware Update

VNA firmware updates are available to you at no cost in a self-extracting Install Shield file. The update includes the VNA application, Online help, and Service Utilities..

To manually check the version of firmware on the VNA, click System > Help > About NA... .

Tip: Use Move App to Back to cause the VNA application to move behind this application on the screen.

Note: After a firmware update...

  • Custom Cal Kits must be imported. Learn more

  • If a different desktop icon named "Network Analyzer" exists, the shortcut to the VNA application will assume the same icon. Right-click on the desktop, then click Refresh.

Other Support Topics

Updating Firmware

  1. Download the latest firmware from http://www.keysight.com/find/e5080a.

  2. Terminate the VNA application by pressing System > Main > Exit.

  3. Transfer the file from your PC to your VNA using LAN or USB Pen drive.

  4. Double-click the file on the VNA and follow the instruction.

Warning: You can save the update file to your PC, but do not attempt to install the VNA application on your PC. It will alter system settings and can result in system crashes.

Last Modified:

5-Jan-2016

First release


VNA Configurations and Options

This topic presents the available options.

See Also

  • Click Help then About Network Analyzer to view the options that are installed on your VNA.

Other Support Topics

E5080A

Test Port & Frequency Options

  • 245 2-port test set, 9 kHz to 4.5 GHz with bias tees

  • 265 2-port test set, 9 kHz to 6.5 GHz with bias tees

  • 295 2-port test set, 9 kHz to 9 GHz with bias tees

  • 445 4-port test set, 9 kHz to 4.5 GHz with bias tees

  • 465 4-port test set, 9 kHz to 6.5 GHz with bias tees

  • 495 4-port test set, 9 kHz to 9 GHz with bias tees

Software Options

  • 009 Frequency Offset Mode

  • 010 Time Domain Analysis

  • 790 Measurement Wizard Assistant Software

Time Base Options

  • UNQ Standard Stability Timebase

  • 1E5 High Stability Timebase

Storage Options

  • 017 Removable solid state drive

  • 019 Standard solid state drive

Last modified:

29-Sep-2014

First release


Option_Enable

The Keysight License Manager allows you to manage and upgrade the options.

From windows menu, press All Programs > Keysight License Manager.

See the Keysight License Manager Help for more detail.

Last Modified:

5-Jan-2016

First release


Instrument Calibration

An instrument calibration is a process where the VNA performance is measured to ensure that it operates within specifications. If any performance parameter does not conform to the published specifications, adjustments are made to bring the performance into conformance.

Why Should I Get an Instrument Calibrated?

Over time, the active components in the analyzer age and the performance may degrade or drift.

To ensure that the analyzer is performing to the published specifications, you should have an instrument calibration performed periodically.

How Often Should I Get an Instrument Calibrated?

It is your responsibility to determine the calibration period which best meets your requirements. However, a 12 to 18 month calibration cycle is appropriate for most users.

There are two things to consider: performance drift and connector wear.

  • The instrument specifications are set to consider the performance drift that may occur over a 24 month period. Therefore, getting the instrument calibrated at 24 month intervals ensures that the analyzer maintains performance within the operating specifications. If you need the analyzer to maintain more consistent operation, you may want to have the instrument calibrated more often than the recommended 24-month interval.

  • Connector wear is a bigger factor and depends on the number of connections that are made. The test ports become noticeably worn after 500 to 700 connections. This could represent about 12 months with average use. With more frequent connections, the calibration cycle should be sooner. You can extend the time between calibrations and thereby save money by using connector savers and by performing proper Connector Care.

How Do I Get an Instrument Calibrated?

To get the instrument calibrated, send it to one of the Keysight Technologies service centers. See Technical Support.

The VNA must be fully functional when it is sent to the service center, or they will charge for their repair services. If the VNA is being used in a secure environment where the hard drive can not be sent with the VNA, a second hard drive must be purchased and configured for use with the VNA in an "unclassified" environment before the VNA is sent to the service center.

To perform the instrument calibration yourself, you must have the following required items:

  • Instrument Calibration Test Equipment

  • Performance Test Software

What Are My Choices of Instrument Calibration?

The following types of instrument calibration are available from Keysight Technologies at the time of initial order:

Standard | Includes a certificate of calibration stating the instrument has been calibrated and is operating within the published specifications.
Option UK6 | Available ONLY at the initial shipment. Includes the test data from the calibration and the certificate of calibration stating the instrument has been calibrated and is operating within the published specifications.
Option A6J | Available ONLY at the initial shipment. Includes the test data and measurement uncertainties from the calibration and the certificate of calibration stating the instrument has been calibrated using a process in compliance with ANSI Z540 and is operating within the published specifications.
Option 1A7 | Available ONLY at the initial shipment. Includes the test data and measurement uncertainties from the calibration and the certificate of calibration stating the instrument has been calibrated using a process in compliance with ISO 17025 and is operating within the published specifications.

The following types of instrument calibration are available from Keysight Technologies service center:

Keysight Calibration | Includes the test data from the calibration and the certificate of calibration, stating the instrument has been calibrated and is operating within the published specifications.
ANSI Z540 Calibration | Includes the test data from the calibration and the certificate of calibration, stating the instrument has been calibrated using a process in compliance with ANSI Z540.1 and is operating within the published specifications.
ISO 17025 Calibration | Includes the test data from the calibration and the certificate of calibration, stating the instrument has been calibrated using a process in compliance with ISO 17025 and is operating within the published specifications.

For more information on these options, visit www.Keysight.com/find/calibration.

Last Modified:

24-Mar-2010

Updated options and cal cycle


Other Resources

The following network analysis resources are also available.

Document Resources

Application Notes

You can also access application notes at this URL:

http://www.keysight.com/find/na

Third-Party Resources

For information about test fixtures and part handlers, contact:

Inter-Continental Microwave
www.icmicrowave.com

For information about probing equipment and accessories, contact:

Cascade Microtech, Inc.
www.cascademicrotech.com


Operator's Check

  • Overview

Overview

The Operator's Check should be performed when you first receive your VNA, and any time you wish to have confidence that the VNA is working properly.

Notes

  • The Operator's Check does not verify performance to specifications. To verify VNA performance to specifications, run performance test or System Verification.

  • Allow the VNA to warm up for 90 minutes before considering a failed test to be valid.

How to Run the Operator's Check

Using Hardkey/SoftTab/Softkey

  1. Press System > Service > Operator's Check

  1. Follow the instruction to proceed the test.

See Trouble shooting guide for detail

Last Modified:

5-Jan-2016

First Release


SCPI Errors

SCPI Errors

  • -100 to -200 Command Errors

  • -200 to -299 Execution Errors

  • -300 to -399 SCPI Specified Device-Specific Errors

  • -400 to -800 Query and System Errors

  • 100 to 200 VNA-specific Errors

See Also

VNA Error messages.

-100 to -200 Command Errors

A command error indicates that the test set's GPIB parser has detected an IEEE 488.2 syntax error. When one of these errors is generated, the command error bit in the event status register is set.

-100 | std_command | Command - This event bit (Bit 5) indicates a syntax error, or a semantic error, or a GET command was entered, see IEEE 488.2, 11.5.1.1.4.
-101 | std_invalidChar | Invalid character - Indicates a syntactic elements contains a character which is invalid for that type.
-102 | std_syntax | Syntax - Indicates that an unrecognized command or data type was encountered. For example, a string was received when the device does not accept strings.
-103 | std_invalidSeparator | Invalid separator - The parser was expecting a separator and encountered an illegal character. For example, the semicolon was omitted after a program message unit.
-104 | std_wrongParamType | Data type -The parser recognized a data element different than one allowed. For example, numeric or string data was expected but block data was encountered.
-105 | std_GETNotAllowed | GET not allowed - Indicates a Group Execute Trigger was received within a program message. Correct the program so that the GET does not occur within the program code.
-108 | std_tooManyParameters | Parameter not allowed - Indicates that more parameters were received than expected for the header. For example, *ESE common command only accepts one parameter, so *ESE 0,1 is not allowed.
-109 | std_tooFewParameters | Missing parameter - Indicates that less parameters were received than required for the header. For example, *ESE requires one parameter, *ESE is not allowed.
-110 | std_cmdHeader | Command header - Indicates an error was detected in the header. This error is used when the device cannot detect the more specific errors -111 through -119.
-111 | std_headerSeparator | Header separator - Indicates that a character that is not a legal header separator was encountered while parsing the header.
-112 | std_IDTooLong | Program mnemonic too long - Indicates that the header contains more that twelve characters, see IEEE 488.2, 7.6.1.4.1.
-113 | std_undefinedHeader | Undefined header - Indicates the header is syntactically correct, but it is undefined for this specific device. For example, *XYZ is not defined for any device.
-114 | std_suffixOutOfRange | Header suffix out of range - Indicates the value of a header suffix attached to a program mnemonic makes the header invalid.
-120 | std_numericData | Numeric data - This error, as well as errors
-121 | std_invalidCharInNumber | Invalid character in number - Indicates an invalid character for the data type being parsed was encountered. For example, an alpha in a decimal numeric or a "9" in octal data.
-123 | std_exponentTooLarge | Exponent too large - Indicates the magnitude of an exponent was greater than 32000, see IEEE 488.2, 7.7.2.4.1.
-124 | std_decimalTooLong | Too many digits - Indicates the mantissa of a decimal numeric data element contained more than 255 digits excluding leading zeros, see IEEE 488.2, 7.7.2.4.1.
-128 | std_numericNotAllowed | Numeric data not allowed - Indicates that a legal numeric data element was received, but the device does not accept one in this position for the header.
-130 | std_suffix | Suffix - This error, as well as errors -131 through -139, are generated when parsing a suffix. This particular error message is used if the device cannot detect a more specific error.
-131 | std_badSuffix | Invalid suffix - Indicates the suffix does not follow the syntax described in IEEE 488.2, 7.7.3.2, or the suffix is inappropriate for this device.
-134 | std_suffixTooLong | Suffix too long - Indicates the suffix contain more than 12 characters, see IEEE 488.2, 7.7.3.4.
-138 | std_suffixNotAllowed | Suffix not allowed - Indicates that a suffix was encountered after a numeric element that does not allow suffixes.
-140 | std_charData | Character data - This error, as well as errors
-141 | std_invalidCharData | Invalid character data - Indicates that the character data element contains an invalid character or the particular element received is not valid for the header.
-144 | std_charDataTooLong | Character data too long - Indicates the character data element contains more than twelve characters, see IEEE 488.2, 7.7.1.4.
-148 | std_charNotAllowed | Character data not allowed - Indicates a legal character data element was encountered where prohibited by the device.
-150 | std_stringData | String data - This error, as well as errors
-151 | std_stringInvalid | Invalid string data - Indicates that a string data element was expected, but was invalid, see IEEE 488.2, 7.7.5.2. For example, an END message was received before the terminal quote character.
-158 | std_stringNotAllowed | String data not allowed - Indicates that a string data element was encountered but was not allowed by the device at this point in parsing.
-160 | std_blockData | Block data - This error, as well as errors -161 through -169, are generated when parsing a block data element. This particular error message is used if the device cannot detect a more specific error.
-161 | std_badBlock | Invalid block data - Indicates a block data element was expected, but was invalid, see IEEE 488.2, 7.7.6.2. For example, and END message was received before the end length was satisfied.
-168 | std_blockNotAllowed | Block data not allowed - Indicates a legal block data element was encountered, but not allowed by the device at this point in parsing.
-170 | std_expr | Expression - This error, as well as errors -171 through -179, are generated when parsing an expression data element. This particular error message is used if the device cannot detect a more specific error.
-171 | std_invalidExpression | Invalid expression - Indicates the expression data element was invalid, see IEEE 488.2, 7.7.7.2. For example, unmatched parentheses or an illegal character.
-178 | std_exprNotAllowed | Expression data not allowed - Indicates a legal expression data was encountered, but was not allowed by the device at this point in parsing.
-180 | std_macro | Macro - This error, as well as error -181 through -189, are generated when defining a macro or execution a macro. This particular error message is used if the device cannot detect a more specific error.
-181 | std_validOnlyInsideMacro | Invalid outside macro definition - Indicates that a macro parameter place holder was encountered outside of a macro definition.
-183 | std_invalidWithinMacro | Invalid inside macro definition - Indicates that the program message unit sequence, sent with a *DDT or a *DMC command, is syntactically invalid, see IEEE 488.2, 10.7.6.3.
-184 | std_macroParm | Macro parameter - Indicates that a command inside the macro definition had the wrong number or type of parameters.

-200 to -299 Execution Errors

These errors are generated when something occurs that is incorrect in the current state of the instrument. These errors may be generated by a user action from either the remote or the manual user interface

-200 | std_execGen | Execution - This event bit (Bit 4) indicates a PROGRAM DATA element following a header was outside the legal input range or otherwise inconsistent with the device's capabilities, see IEEE 488.2, 11.5.1.1.5.
-201 | std_invalidWhileInLocal | Invalid while in local
-202 | std_settingsLost | Settings lost due to rtl
-203 | std_commandProtected | Command protected - Indicates that a legal password-protected program command or query could not be executed because the command was disabled.
-210 | std_trigger | Trigger
-211 | std_triggerIgnored | Trigger ignored
-212 | std_armIgnored | Arm ignored
-213 | std_initIgnored | Init ignored
-214 | std_triggerDeadlock | Trigger deadlock
-215 | std_armDeadlock | Arm deadlock
-220 | std_parm | Parameter - Indicates that a program data element related error occurred.
-221 | std_settingsConflict | Settings conflict - Indicates that a legal program data element was parsed but could not be executed due to the current device state.
-222 | std_dataOutOfRange | Data out of range - Indicates that a legal program data element was parsed but could not be executed because the interpreted value was outside the legal range defined by the devices
-223 | std_tooMuchData | Too much data - Indicates that a legal program data element of block, expression, or string type was received that contained more data than the device could handle due to memory or related device-specific requirements.
-224 | std_illegalParmValue | Illegal parameter value - Indicates that the value selected was not part of the list of values given.
-225 | std_noMemoryForOp | Out of memory - The device has insufficient memory to perform the requested operation.
-226 | std_listLength | Lists not same length - Attempted to use LIST structure having individual LIST's of unequal lengths.
-230 | std_dataCorruptOrStale | Data corrupt or stale - Indicates invalid data, a new reading started but not completed since the last access.
-231 | std_dataQuestionable | Data questionable - Indicates that measurement accuracy is suspect.
-232 | std_invalidFormat | Invalid format
-233 | std_invalidVersion | Invalid version - Indicates that a legal program data element was parsed but could not be executed because the version of the data is incorrect to the device. For example, a not supported file version, a not supported instrument version.
-240 | std_hardware | Hardware - Indicates that a legal program command or query could not be executed because of a hardware problem in the device.
-241 | std_hardwareMissing | Hardware missing - Indicates that a legal program command or query could not be executed because of missing device hardware. For example, an option was not installed.
-250 | std_massStorage | Mass storage - Indicates that a mass storage error occurred. The device cannot detect the more specific errors described for errors -251 through -259.
-251 | std_missingMassStorage | Missing mass storage - Indicates that a legal program command or query could not be executed because of missing mass storage.
-252 | std_missingMedia | Missing media - Indicates that a legal program command or query could not be executed because of missing media. For example, no disk.
-253 | std_corruptMedia | Corrupt media - Indicates that a legal program command or query could not be executed because of corrupt media. For example, bad disk or wrong format.
-254 | std_mediaFull | Media full- Indicates that a legal program command or query could not be executed because the media is full. For example, there is no room left on the disk.
-255 | std_directoryFull | Directory full - Indicates that a legal program command or query could not be executed because the media directory was full.
-256 | std_fileNotFound | File name not found - Indicates that a legal program command or query could not be executed because the file name was not found on the media.
-257 | std_fileName | File name - Indicates that a legal program command or query could not be executed because the file name on the device media was in error. For example, an attempt was made to read or copy a nonexistent file.
-258 | std_mediaProtected | Media protected - Indicates that a legal program command or query could not be executed becuse the media was protected. For example, the write-protect switch on a memory card was set.
-260 | std_expression | Expression
-261 | std_math | Math in expression
-270 | std_macroExecution | Macro - Indicates that a macro related execution error occurred.
-271 | std_macroSyntax | Macro syntax - Indicates that a syntactically legal macro program data sequence, according to IEEE 488.2, 10.7.2, could not be executed due to a syntax error within the macro definition.
-272 | std_macroExec | Macro execution - Indicates that a syntactically legal macro program data sequence could not be executed due to some error in the macro definition, see IEEE 488.2, 10.7.6.3.
-273 | std_badMacroName | Illegal macro label - Indicates that the macro label was not accepted, it did not agree with the definition in IEEE 488.2, 10.7.3
-274 | std_macroPlaceholderMa | cro parameter - Indicates that the macro definition improperly used a macro parameter placeholder, see IEEE 4882, 10.7.3.
-275 | std_macroTooLong | Macro definition too long - Indicates that a syntactically legal macro program data sequence could not be executed because the string of block contents were too long for the device to handle, IEEE 488.2, 10.7.6.1.
-276 | std_macroRecursion | Macro recursion - Indicates that a syntactically legal macro program data sequence count not be executed because it would be recursive, see IEEE 488.2, 10.7.6.6.
-277 | std_cantRedefineMacro | Macro redefinition not allowed - Indicates that redefining an existing macro label, see IEEE 488.2, 10.7.6.4.
-278 | std_macroNotFound | Macro header not found - Indicates that a legal macro label in the *GMS?, see IEEE 488.2, 10.13, could not be executed because the header was not previously defined.
-280 | std_program | Program
-281 | std_cantCreateProgram | Cannot create program
-282 | std_illegalProgramName | Illegal program name
-283 | std_illegalVarName | Illegal variable name
-284 | std_programRunning | Program currently running
-285 | std_programSyntax | Program syntax
-286 | std_programRuntime | Program runtime
-290 | std_memoryUse | Memory use
-291 | std_execOutOfMemory | Out of memory
-292 | std_nameNotFound | Referenced name does not exist
-293 | std_nameAlreadyExists | Referenced name already exists
-294 | std_incompatibleType | Incompatible type

-300 to -399 SCPI Specified Device-Specific Errors

A device-specific error indicates that the instrument has detected an error that occurred because some operations did not properly complete, possibly due to an abnormal hardware or firmware condition. For example, an attempt by the user to set an out of range value will generate a device specific error. When one of these errors is generated, the device specific error bit in the event status register is set.

-300 | std_deviceSpecific | Device specific - This event bit (Bit 3) indicates that a device operation did not properly complete due to some condition, such as overrange see IEEE 488.2, 11.5.1.1.6.
-310 | std_system | System
-311 | std_memory | Memory - Indicates some physical fault in the devices memory, such as a parity error.
-312 | std_PUDmemoryLost | PUD memory lost - Indicates protected user data saved by the *PUD command has been lost, see IEEE 488.2, 10.27.
-313 | std_calMemoryLost | Calibration memory lost - Indicates that nonvolatile calibration data used by the *CAL? command has been lost, see IEEE 488.2, 10.2.
-314 | std_savRclMemoryLost | Save/recall memory lost - Indicates that the nonvolatile data saved by the *SAV command has been lost, see IEEE 488.2, 10.33.
-315 | std_configMemoryLost | Configuration memory lost - Indicates that nonvolatile configuration data saved by the device has been lost.
-320 | std_storageFault | Storage fault - Indicates that the firmware detected a fault when using data storage. This is not an indication of physical damage or failure of any mass storage element.
-321 | std_outOfMemory | Out of memory - An internal operation needed more memory than was available
-330 | std_selfTestFailed | Self-test failed - Indicates a problem with the device that is not covered by a specific error message. The device may require service.
-340 | std_calFailed | Calibration failed - Indicates a problem during calibration of the device that is not covered by a specific error.
-350 | std_queueOverflow | Queue overflow - Indicates that there is no room in the queue and an error occurred but was not recorded. This code is entered into the queue in lieu of the code that caused the error.
-360 | std_comm | Communication - This is the generic communication error for devices that cannot detect the more specific errors described for error -361 through -363.
-361 | std_parity | Parity in program message - Parity bit not correct when data received for example, on a serial port.
-362 | std_framing | Framing in program message - A stop bit was not detected when data was received for example, on a serial port (for example, a baud rate mismatch).
-363 | std_inputBufferOverrun | Input buffer overrun - Software or hardware input buffer on serial port overflows with data caused by improper or nonexistent pacing.

-400 to -800 Query and System Errors

A Query error is generated either when data in the instrument's GPIB output queue has been lost, or when an attempt is being made to read data from the output queue when no output is present or pending.

-400 | std_queryGen | Query - This event bit (Bit 2) indicates that an attempt to read data from the Output Queues when no output is present or pending, to data in the Output Queue has been lost see IEEE488.2, 11.5.1.1.7.
-410 | std_interrupted | Query INTERRUPTED - Indicates the test set has been interrupted by a new program message before it finishes sending a RESPONSE MESSAGE see IEEE 488.2, 6.3.2.3.
-420 | std_unterminated | Query UNTERMINATED - Indicates an incomplete Query in the program see IEEE 488.2, 6.3.2.2.
-430 | std_deadlocked | Query DEADLOCKED - Indicates that the Input Buffer and Output Queue are full see IEEE 488.2, 6.3.1.7.
-440 | std_responseNotAllowed | Query UNTERMINATED after indefinite response - Indicates that a query was received in the same program message after a query requesting an indefinite response was executed see IEEE 488.2, 6.5.7.5.
-500 | std_powerOn | Power on
-600 | std_userRequest | User request
-700 | std_requestControl | Request control
-800 | std_operationComplete | Operation complete
.

VNA Specific (Positive) SCPI Errors

100 | dupWindNum | "Duplicate window number"
101 | windNumNotFound | "Window number not found"
102 | failedWindCreate | "Window creation failed"
103 | noCalcParamSelection | "CALC measurement selection set to none"
104 | dupMeasName | "Duplicate measurement name"
105 | dataNotFound | "Requested data not available"
106 | measNotFound | "Requested measurement not found"
107 | traceNotFound | "Requested trace not found"
108 | notImplemented | "Mnemonic not yet implemented"
109 | noDocument | "No measurement container found"
110 | dupTraceNum | "Duplicate trace number"
111 | titleStrTooLong | "Title string exceeds 50 characters"
112 | memoryNotFound | "Requested memory not found"
113 | exceedMaxTraces | "Exceeded the maximum number of traces per window"
114 | SerNumNotFound | "The serial number was not found. Please store the serial number."
115 | LoadFailed | "The state was not loaded. Please check the file name."
116 | StoreFailed | "The state was not stored. Please check the file and path names."
117 | File | "An in the File operation occurred. Please check file and path names."
118 | measChanConflict | "Measurement does not belong to specified channel."
119 | exceedMaxWindows | "Exceeded the maximum number of data windows"
120 | markerNotFound | "The specified marker was not found."
121 | diagnostic | "Diagnostic ."
122 | channelNotFound | "The specified channel was not found."
123 | exceedMaxMeasurements | "Exceeded the maximum number of allowed mesurements."
124 | parameterOutOfRange | "The specified value was out of range."
125 | userRangeNotValid | "The currently selected user range is not valid."
126 | referenceMarkerNotFound | "The reference marker is not active."
127 | sweepSegmentNotFound | "The sweep segment was not found."
128 | markerNotDelta | "The specified marker is not a delta marker."
129 | printoutFailed | "Attempt to output to a printer failed."
130 | memory_trace_not_compatible | "Memory not compatible. Trace Math not applied."
131 | trace_math_reset | "Memory not compatible. Trace Math turned off."
132 | hw_read_failed | "Hardware read failed."
133 | hw_write_failed | "Hardware write failed."
134 | dsp_active | "Failed because DSP was not halted."
135 | secure_memory | "Attempt to access secure memory region."
136 | snum_protected | "The serial number is protected."
137 | snum_format_bad | "The serial number format is bad."
138 | snum_already_set | "The serial number is already set."
139 | hw_setting_failed | "Hardware setting failed."
140 | cal_access_failed | "Calibration data access failed."
141 | db_access_failed | "Database access failed."
142 | memory_range_exceeded | "Command exceeds usable memory range."
143 | lost_phase_lock | "Phase lock has been lost."
144 | over_power | "Detected too much power at input."
145 | ee_wrt_failed | "EEPROM write failed."
146 | yig_cal_failed | "YTO calibration failed."
147 | ramp_cal_failed | "Analog ramp calibration failed."
148 | dspcom_bad | "DSP communication failed."
149 | no_license_found | "Request failed. The required license was not found."
150 | argLimited | "The argument was out of range
151 | markerBWNotFound | "The Marker Bandwidth was not found."
153 | peakNotFound | "The Peak was not found."
154 | targetNotFound | "The Target search value was not found."
155 | calNotImpl | "The Calibration feature requested is not implemented."
156 | calClassNotValidForCalType | "SENS:CORR:CCH measurement selection set to none"
158 | calNotValidForConfidenceChe | "Selected measurement does not have a calibration valid for Confidence Check"
159 | invalidPort | "Specified port is out of range"
160 | invalidPortPath | "ROUT:PATH:DEF:PORT x, y does not match measurement; setting to defaults"
161 | ioInvalidWrite | "Attempted I/O write while port set to read only."
162 | ioInvalidRead | "Attempted I/O read from write only port."
163 | calsetNotFound | "Requested Cal Set was not found in Cal Set Storage."
164 | noCalSetSelected | "There is no Cal Set currently selected for the specified channel."
165 | cantDeleteCalSetInUse | "Cannot delete a Cal Set while it is being used."
166 | calsetStimChange | "Channel stimulus settings changed to match selected Cal Set."
167 | exceedMaxCalSets | "Exceeded the maximum number of cal sets."
168 | calCouldNotTurnOn | "A valid calibration is required before correction can be turned on."
169 | standardMeasurementRequired | "The attempted operation can only be performed on a standard measurement type."
170 | noDivisorBuffer | "A valid divisor buffer is required before normalization can be turned on."
171 | InvalidReceiverPowerCalParagraph | "Receiver power cal requires the measurement to be of unratioed power."
172 | ecalCouldNotConfigure | "Could not configure the Electronic Calibration system. Check to see if the module is plugged into the proper connector."
173 | measHasNoMemoryAlg | "This measurement does not support memory operations"
174 | measHasNoNormalizeAlg | "This measurement does not support normalize operations."
175 | userCharacterizationNotFound | "User characterization was not found in the Electronic Calibration module."
176 | measInvalidBufferSize | "The data provided has an invalid number of points. It could not be stored."

Last Modified:

4-Aug-2009

Cosmetic mods


Technical Support

For contact information, visit http://www.keysight.com/find/contactus

Last Modified:

5-Jan-2016

First release


Licenses

  • Open Source Software License

  • Commercial Software License

Open Source Software License

JPEG Software Package

This software is based in part on the work of the Independent JPEG Group. A copy of the license agreement may be found in “c:\opensource" directory."

Commercial Software License

MathWorks MATLAB Complier Runtime v7.14

MathWorks MATLAB Compiler ; Permission to use the MatLab MCR library is defined in a license agreement between MatLab and you, the Licensee. A copy of the license agreement may be found in “c:\thirdparty software” directory."


Display Test

The VNA screen should be bright with all annotations and text readable. The display test allows you to check for non-functioning pixels and other problems.

What Is a Damaged Pixel?

A pixel is a picture element that combines to create the image on the display. They are about the size of a small pin point. Damaged pixels can be either “stuck on” or “dark.”

  • Stuck on pixel - red, green, or blue; always displayed regardless of the display setting. It will be visible on a dark background.

  • Dark pixel - always dark; displayed against a background of its own color.

How to Run the Display Test

Press System > Service > Display Test

A multi-color screen is displayed. Be prepared to look for the symptoms described below. Click the Start Test button. To continue to the next test, click the moving Next Test button. The button moves to allow you to see all of the display. After the test is completed, the display defaults to the network analyzer screen.

How to Identify a Faulty Display

Valid pixels are 99.998 % and more. Below 0.002 % of fixed points of black, blue, green or red are not regarded as failure.

If any of these symptoms occur, your display is considered faulty. See the Service Guide for your VNA model.


System Verification

The performance of the network analyzer is specified in two ways: system specifications, and instrument specifications. It is the end user’s responsibility to determine which set of specifications is applicable to their use of the VNA.

A network analyzer measurement “system” includes the analyzer, calibration kit, test cables, and any necessary adapters. The system verification software in the VNA is used to verify the system’s conformance to the “system” specifications. A “pass” result demonstrates that the analyzer, test cables, and adapters, perform correctly as a system. It DOES NOT demonstrate that any one component performs according to its individual specifications. A change to any part of this measurement system requires a re-verification of the system.

Instrument specifications specify the network analyzer’s uncorrected measurement port characteristics and its output and input behavior. The VNA performance tests are used to verify the analyzer’s conformance to “instrument” specifications.

The system verification utility verifies the VNA system specifications by automatically measuring the magnitude and phase for all four S-parameters for each verification device, and comparing the values against the following:

  • Factory measured data from files on the verification media.

  • Limit lines based on the measurement uncertainty

System Verification requires the use of a calibration kit and verification kit which has been certified within the past 12 months by Keysight. System Verification can NOT be used to perform this kit certification.

Operator's Check should also be performed to verify the basic operation of the VNA.

  • Equipment Used in the System Verification

  • Precautions for Handling Airlines

  • Flow Diagram of Procedure

  • Procedure for System Verification

  • If the System Fails the Verification Test

  • Interpreting the Verification Results

Notes

  • Although the performance for all S-parameters is measured, the S-parameter phase uncertainties are less important for verifying system performance. Therefore, the limit lines will not appear on the printouts.

  • System Verification can NOT be run with a Multiport test set enabled.

Equipment Used in the System Verification

Supported Verification Kit:

  • 85053B, 3.5 mm, 300 kHz - 26.5 GHz

  • 85055A, Type-N, 300 kHz - 18.0 GHz

  • 85051B, 7 mm, 300 kHz - 18 GHz

The combination of Calibration Kit and Verification Kit

The combination of Calibration Kit and Verification Kit that can be used is as follows:

Cal kit | Connector | Kit Type | Verification Kit | Minimum Frequency | Maximum Frequency
85033D | 3.5 mm | Mechanical | 85053B or Anritsu 3666 | - | 6 GHz
85033E | 3.5 mm | Mechanical | 85053B or Anritsu 3666 | - | 9 GHz
85052D | 3.5 mm | Mechanical | 85053B or Anritsu 3666 | - | 26.5 GHz
85052C | 3.5 mm | Mechanical | 85053B or Anritsu 3666 | - | 26.5 GHz
85093B | 3.5 mm | ECal** | 85053B or Anritsu 3666 | 300 kHz | 9 GHz
85093C | 3.5 mm | ECal** | 85053B or Anritsu 3666 | 300 kHz | 9 GHz
N4433A | 3.5 mm | ECal** | 85053B or Anritsu 3666 | 300 kHz | 20 GHz
N4691A | 3.5 mm | ECal** | 85053B or Anritsu 3666 | 10 MHz | 26.5 GHz
N4691B | 3.5 mm | ECal** | 85053B or Anritsu 3666 | 300 kHz | 26.6 GHz
85032B/E | Type-N | Mechanical | 85055A | - | 6 GHz
85032F | Type-N | Mechanical | 85055A | - | 9 GHz
85054D | Type-N | Mechanical | 85055A | - | 18 GHz
85092B | Type-N | ECal** | 85055A | 300 kHz | 9 GHz
85092C | Type-N | ECal** | 85055A | 300 kHz | 9 GHz
N4432A | Type-N | ECal** | 85055A | 300 kHz | 18 GHz
N4690A | Type-N | ECal** | 85055A | 10 MHz | 18 GHz
N4690B | Type-N | ECal** | 85055A | 300 kHz | 18 GHz
85031B | APC-7mm | Mechanical | 85051B or Anritsu 3667 | - | 6 GHz
85050C | APC-7mm | Mechanical | 85051B or Anritsu 3667 | - | 18 GHz
85050D | APC-7mm | Mechanical | 85051B or Anritsu 3667 | - | 18 GHz
85091B | APC-7mm | ECal** | 85051B or Anritsu 3667 | 300 kHz | 9 GHz
85091C | APC-7mm | ECal** | 85051B or Anritsu 3667 | 300 kHz | 9 GHz
N4696A | APC-7mm | ECal** | 85051B or Anritsu 3667 | 10 MHz | 18 GHz
N4696B | APC-7mm | ECal** | 85051B or Anritsu 3667 | 300 kHz | 18 GHz
N4431A* | 3.5 mm | ECal** | 85053B | 300 kHz | 9 GHz
N4431B* | 3.5 mm | ECal** | 85053B | 9 kHz | 13.5 GHz
N4431A* | Type-N | ECal** | 85055A | 300 kHz | 9 GHz
N4431B* | Type-N | ECal** | 85055A | 9 kHz | 13.5 GHz

* The connection of the N4431x is for the thru path A-B, C-D, A-D, and B-C.

** The supported connector type is "male-female" (insertable type). For non-insertable Ecal module, the calibration file (*.csa or *.cst) can be loaded from explorer at 1&2 ot 3&4 port set.

Cable Substitution

The test port cables specified for the VNA have been characterized for connector repeatability, magnitude and phase stability with flexing, return loss, insertion loss, and aging rate. Since test port cable performance is a significant contributor to the system performance, cables of lower performance will increase the uncertainty of your measurement. It is highly recommended that the test port cables be regularly tested.

If the system verification is performed with a non-Keysight cable, ensure that the cable meets or exceeds the operation of the specified cable. Refer to the cable User's Guide for specifications.

Cable Flex Factor

Flex Factor determines how much of the cable phase uncertainty to include in determining the limit lines.

  • Set to 0% (zero) if the cables are held down in a fixture and are not allowed to move during the calibration and verification.

  • Set to 100% if the cables are allowed to move a lot.

Calibration Kit Substitution

Non-Keysight calibration kits are not recommended nor supported.

Precautions for Handling Airlines

When you are using the airlines in the verification kit, observe the following practices to ensure good measurement techniques.

  • Be very careful not to drop the airline's center or outer conductor. Damage will result if these devices are dropped.

  • Use proper Electro-Static Discharge (ESD) procedures.

  • Clean your hands or wear gloves as skin oils will cause a change in electrical performance.

Flow Diagram of Procedure

The operational flow of the software is depicted by the flowchart shown below.

Procedure for System Verification

  1. If you want printed test outputs, connect a printer to the analyzer. Let the analyzer warm up for at least 90 minutes.

  2. Insert the VNA verification kit flash drive into the VNA USB port.

  3. Click System > Service > System Verification. The System Verification window similar to this will be displayed.

System Verification Dialog

  4. In the Calibration Kit box, select the calibration kit or ECal module that is being used. The corresponding verification kit to use appears in the Verification Kit box.

  5. Under Printer Output click on any of the following options.

    • Print Tabular Data: Prints the verification data in tabular form which includes measured data and uncertainty limits. Refer to a tabular data example, later in this topic.

    • Print Graphs: Prints the verification data in graphical form. The graphic form includes the measured data trace, factory supplied data trace and uncertainty limits. Refer to a plot data example, later in this topic.

    • File Tabular Data: Writes the verification data in tabular form to a text file in the c:\users\public\network analyzer\documents directory.

    • File Graphs: Saves a screen image in .PNG format in the c:\users\public\network analyzer\documents directory.

Note: If you want printed output, it is assumed you have already installed the Windows driver for your particular printer, and have tested that you can print to the printer from the network analyzer. This software is designed to print to whichever printer is currently set as the Default printer (see Printers in the Windows Control Panel).

  6. To modify the number of ports to be verified, to change the number of devices to measure, or to use a previously stored verification calibration, click on the Configure tab and make the desired selections.

    • For the system verification to be truly adequate, the software must measure all devices in the kit with a recent calibration applied. Removing and reattaching any test port cables or adapters invalidates all previous calibrations.

  7. Click Run.

  8. Follow the instructions on the analyzer for performing the system verification, inserting the verification devices as prompted.

Note for 4 Port VNA:
The System Verification Procedure is repeated two times. The first time, Ports 1 and 2 are measured as a pair, then Ports 3 and 4 are measured.

Step-by-Step Process Description

  1. Depending upon the selected choice in the Calibration submenu of the Configure menu, the user is either prompted to recall a previous calibrated instrument state, or is guided through a full 2-port calibration using the selected calibration kit. For ECal, the ECal module is connected just once; a standby message is posted while the software is performing the calibration.

  2. The user is prompted to connect the first verification device.

  3. The software reads the factory measured data for that device and uncertainty values for that data (CITIfiles) from the media supplied with the verification kit.

  4. The software sends the factory measured data, calibration kit and instrument state information to the uncertainty calculator DLL, which generates uncertainty values specific to the VNA.

  5. The analyzer first sets up for magnitude measurements of all four S-parameters, each parameter in a separate window (lin mag for S11 and S22, log mag for S21 and S12). Each of the factory measured S-parameters are fed to the appropriate window as a memory trace. Limit line offsets are calculated as the sum of the factory measured data uncertainties and VNA uncertainties reported by the DLL. Upper and lower limits are displayed (factory measured data + uncertainty sum, factory measured data - uncertainty sum). The VNA takes a sweep, limit test is turned on and PASS/FAIL status is reported in each of the four windows.

  6. The user clicks a button when ready to view phase measurements. The four windows get updated for phase format, phase memory traces, phase limits and PASS/FAIL result.

  7. If the limit test of any of the four S-parameters (magnitude or phase) indicates a FAIL status, the software suggests troubleshooting tips and asks if the user would like to repeat measurement of that device or proceed to the next device. If proceeding to the next device, the factory measured data and uncertainties for the next device are read from USB memory, the uncertainty DLL gets called with this next set of factory measured data, and the four measurement windows get updated for magnitude measurement of the next device.

  8. The software follows this same process until all selected devices have been measured, at which point a summary window is displayed containing the set of PASS/FAIL results for all four parameters of each device.

If the System Fails the Verification Test

IMPORTANT: Inspect all connections. Do not remove the cable from the analyzer test port. This will invalidate the calibration that you have done earlier.

  1. Repeat this verification test. Make good connections with correct torque specifications for each verification device.

  2. Disconnect, clean and reconnect the device that failed the verification test. Then measure the device again.

  3. If the analyzer still fails the test, check the measurement calibration.

  4. Refer to the graphic below, for additional troubleshooting steps.

Verification Fails Flowchart

Interpreting the Verification Results

The graphic below shows an example of typical verification results with Tabular Data selected in the Printer Output area of the System Verification window. A graphic later in this topic shows an example of typical verification results with Measurement Plots selected in the Printer Output area of the System Verification windows. These printouts include a comparison of the data from your measurement results with the traceable data and corresponding uncertainty specifications. Use these printouts to determine whether your measured data falls within the total uncertainty limits at all frequencies.

The tabular data consists of:

  • Frequency of the data points (in MHz).

  • Lower limit line as defined by the total system uncertainty specification.

  • Results of the measurement.

  • Upper limit line as defined by the total system uncertainty specification.

  • Test status (PASS or FAIL) of that measurement point.

Printout of Tabular Verification Results

The printed graphical results show:

  • Upper limit points as defined by the total system uncertainty specifications.

  • Lower limit points as defined by the total system uncertainty specifications.

  • Data measured at the factory.

  • Results of measurements.

  • Measurement parameter names and formats (Lin Mag or Log Mag).

  • Serial number of device (00810).

  • Device being measured (Sys Ver 20 dB attenuator).

Printout of Graphical Verification Results

Last Modified:

5-Jan-2016

First Release


Configure an External Device

Once configured (as shown in this topic), an external device will appear in, and be controlled from, relevant VNA dialogs as though it were internal to the VNA.

  • External Device Configuration Dialog Box

The following (separate) topics discuss how to set properties for these types of devices:

  • External Source Properties

  • Power Meter As Receiver (PMAR) Properties

  • External Pulse Generator Properties

External Device Configuration Dialog Box

How to access the External Device Configuration dialog box

VNA Applications have additional methods of launching this dialog.

Using Hardkey/SoftTab/Softkey

  1. Press Setup > External Hardware > External Device....

See Remotely Specifying a Source Port

External Device Configuration Dialog Box Help

Important Notes:

  • This dialog is used to configure the following types of external devices:

    • External Source Properties (Requires FOM option)

    • Power Meter As Receiver (PMAR) Properties

    • External Pulse Generator Properties

  • To configure an external source using this dialog, VNA must have FOM option. Without this option, you must control an external source manually. See Synchronize an External Source for help with manual source control.

  • By default, an external device is de-activated when the VNA is preset or when a Instrument State is recalled. This behavior can be changed with a Preference setting, so that it remains active through a Preset or Instrument State recall.

  • External Device properties are NOT saved in an Instrument State file. However, the reference to the External Device from relevant VNA dialogs is saved. Therefore, recalling a state file that refers to a device that is NOT present will result in a “Device configuration not found” error.

  • Multiple configurations for the same physical device can be Active. However, only one configuration for the same external source can have the I/O Enabled.

External Devices

The devices that are currently configured appear in this list. The number of devices that can be configured is limited by the specified Interface.

New - Click to create a new device configuration. The default name is Device<n>, where <n> is the next number for 'Device'.

Remove - Click to remove the selected device from the list.

Properties

Name - Enter a device name as it will appear when referring to this device in VNA dialog boxes. Edit the name at any time. However, duplicate names are not allowed.

  • Because External Devices can be used with FOM ranges, do NOT name an external device any of the following FOM range names: “primary”, “receivers”, or “source”, “source1”, source2” and so forth. Learn more about FOM ranges.

  • Do NOT use a parameter name such as "S11" or "R1".

Device Type - Select one of the following:

  • Power Meter (PMAR) - Learn more

  • Pulse Generator - Only the Keysight 81110A Pulse Generator is supported. Learn more

  • Source (RF) - Learn more

  • None - returned remotely before setting Device Type.

Driver - Select the appropriate model to be configured.

(AG is short for Keysight).

For Power Meter device type, the driver is automatically choose AGPM.

For Source device type, choose the driver from the following list:

  • AG836XX (8360 and 8340)

  • AGESG (ESG)

  • AGEXG (EXG) See configuration note.

  • AGGeneric - For sources that are NOT listed but can be controlled using SCPI. Click Device Properties, then Edit Commands to send commands to these sources. Learn how.

  • AGMXG (MXG) - The MXG must have at least firmware A.01.44 for FOM power sweep to work correctly.

  • AGPSG (PSG)

  • HP834XX

Note: Any device types have only ONE driver.

Active - Show in UI - Check to make the device available for use in the relevant dialogs. An instrument state that is saved with an Active device (checked) will include the device in the state file. Otherwise, if the Active box is cleared, the device will NOT appear in the state file. Learn more about Instrument State files.

Device Properties - Click to launch the Properties dialog for relevant Device type:

  • Configure External Sources

  • Configure a Power Meter As Receiver

  • Configure an External Pulse Generator

IO Configuration

Interface - Select the interface that is used to connect the device to the VNA. These devices will then appear in the 'Available' field. Choose from:

  • GPIB - Devices connected to the System Controller GPIB port.

  • USB - Devices connected to the VNA USB ports. See Important First-time USB connection note.

  • Aliases - Devices that are connected to ANY interface for which you created an alias. See Configure Alias and LAN devices.

  • LAN - Devices connected to a network using a LAN connection. The VNA must also be connected to the network.

Note: Devices connected to LAN must first be configured in Keysight IO libraries before they will appear on the Available list. See Configure Alias and LAN devices.

Available - Shows a list of devices that are connected to the specified IO Interface.

Refresh - Click to rescan the specified interface for devices.

Selected - Enter the IO configuration or select from the available list of IO Interfaces found.

Enable I/O - Clear this box to disable communication with the selected device. Do this to configure a device that is not yet connected to the VNA.

  • Communication with devices is attempted when Enable I/O is checked, Active is checked and OK is pressed.

  • When communication is attempted, devices with Enable I/O checked are queried for selected limits, such as frequency, power, and number of points. If there are limit problems, the VNA sends an error and the affected channels are put into Hold. These limits are enforced by the dialog box in which they are set. Resolve the reported limit problem and then restore the triggering.

  • If communication with a device is lost the affected channels are put into Hold.

Configure Alias and LAN Devices

Use this procedure to configure a device using a LAN interface. Also, use for ANY device for which you want to set an alias (easily-recognized) name. The alias name appears in the Available field when Aliases is selected as the Interface.

  1. On the VNA, minimize the VNA application (System > Main > Minimize Application).

  2. In the system tray (lower-right corner) right-click the IO icon and then click Keysight Connection Expert.

To Add a LAN Device:

  1. In Keysight Connection Expert, click [image].

  2. Select Add LAN Instrument (TCPIP0) or USB0, then click OK.

  3. Click Add Address and then enter the IP address of the external source.

  4. Click Test Connection to verify communication.

  5. Click OK.

To create an Alias for a connected device:

  1. In the list of connected instruments, right click the external source, then Add VISA Alias.

  2. Enter the same Device name that was, or will be, used in the External Device Configuration dialog.

Last Modified:

5-Jan-2016

First Release


External Source Configuration

Once configured, an external source appears in VNA dialogs as though it were an internal source. This capability requires Frequency Offset Mode (FOM) Option 009.

In this topic:

  • How to Configure an External Source

  • External Source Configuration dialog

  • Trigger Settings and Physical Connection diagrams

  • Generic Source Commands dialog

Configure an External Source

How to Configure an External Source

Important: Create an External Source device by name (one-time). Learn how. (Separate topic)

VNA Applications have additional methods of launching this dialog.

Using Hardkey/SoftTab/Softkey

  1. Press Setup > External Hardware > External Device....

  2. Click Device Properties to Configure the External Source.

See Remotely Specifying a Source Port

External Source Configuration Dialog Box Help

This dialog box is used to make external source settings.

Important Notes about External Sources

  • First create an External Source (device) by name (one-time). Learn how.(Separate topic)

  • Once you create and activate an external source from the Configure an External Device dialog, it becomes available from the following VNA dialog boxes as well as the softkeys and entry toolbar, as if it were an internal VNA source.

Use the following dialogs to set the state, frequency, and power level of the external RF source:

    • Power and Attenuators dialog

    • FOM dialog

    • New Trace/Receivers tab dialog

  • By default, an external source is de-activated when the VNA is Preset or when a Instrument State is recalled. This behavior can be changed with a Preference setting.

  • External Keysight sources are usually limited to 1601 points with List-sweep mode. To 'work around' this limitation, divide the measurement among multiple channels. For example, to attain a sweep of 3200 points, create two channels of 1600 points. You can also use manual source control which supports Step-sweep mode. In this mode an external source can have up to 65,535 points. See Synchronize an External Source for help with manual source control.

  • External sources should always share the same 10 MHz Reference signal as the VNA. Connect a BNC cable from the VNA 10 MHz Ref Output to the External Source Input.

  • All newly-activated sources are preset, with source power OFF. Source power must be turned ON in the Power dialog. Frequency Offset must be enabled in the FOM dialog.

  • The same source can NOT be used more than once in the same channel.

  • The VNA automatically controls all trigger settings for the external source.

  • See EXG Sources configuration note.

Source Settings

Timeout (sec) - Sets a time limit for the source to make contact with the VNA. If this time limit is exceeded, the VNA stops the measurement procedure and displays the following error message.

EXECUTION ERROR;OPC QUERY TIMEOUT ERROR: FREQUENCY NOT SETTLED

If this occurs, check the connections between your VNA and external source.

Dwell per point (ms) - Applies a dwell in Hardware List triggering ONLY. Set the time (in milliseconds) the external source will wait before data acquisition.

Edit Commands - Provides a method to send SCPI commands to AGGeneric (not listed) sources.

Trigger Settings and Physical Connection Diagrams

Note: The VNA controls ALL external source trigger settings automatically (except for those on this dialog). All settings in the External Trigger dialog are ignored.

Trigger Mode

Software CW (GPIB) - Slowest method.

  • The external source receives each CW frequency from the VNA over GPIB, USB, or LAN. No other trigger cables are required. Although a Trigger Port selection may be available, it is NOT used.

Hardware List (BNC) - Fastest method.

  • NOT available for AGGeneric (not listed) sources.

  • The external source receives a list of CW frequencies from the VNA, then receives trigger signals though a rear-panel connector when appropriate from the VNA.

  • If the number of data points used in the measurement exceeds the capability of the external source, the VNA automatically switches to Software CW (GPIB) trigger mode. This will slow the measurement significantly.

  • When daisy-chaining multiple sources, the source to receive the Trigger signal from the VNA must be the first source listed in the Selected column of the External Device Configuration dialog. Devices are listed in the order in which they are created. You may have to delete, then re-create a source to move it down on the list.

Trigger Port - Used ONLY for Hardware List Trigger Mode. Select the VNA rear panel connector to be used for triggering. The sources must be connected as follows:

  • For ONE external source connect directly using AUX 1 or AUX 2 trigger pairs. See rear panel Aux connectors.

  • For multiple sources, connect using the following daisy-chain image.

Notes:

  • Source 1, which receives the trigger out of the VNA, must be the first source listed on the External Devices Configuration dialog box. Devices are listed in the order in which they are created. You may have to delete, then re-create a source to move it down on the list.

  • Configure/translate EXG sources as follows:

EXG rear-panel label | For the VNA:
Trig 1 | Trig In
Trig 2 | Trig Out

Generic Source Commands Dialog Box Help

Enter the SCPI commands that control the following functions on AGGeneric (not listed) source. A field without a SCPI command entered will be ignored and that function will not be set.

Note: Old signal sources that cannot be controlled with SCPI commands are not supported.

To launch this dialog, click Edit Commands on the External Source Properties dialog.

Operation Complete (*OPC)

Preset - Presets the source.

Set CW Frequency - Sets CW Frequency.

Set CW Sweep Mode - Sets source sweep mode.

Set Power - Sets source power.

Set Power State - Turns power ON or OFF.

Last Modified:

5-Jan-2016

First Release


Configure a Power Meter As Receiver

Configure a Power Meter As Receiver (PMAR)

When a power meter is configured as a VNA receiver (in standard measurement channels ONLY), you can

  • Extend the number of measurement receivers

  • Use the power meter as a scalar detector

  • Monitor the power at any point in a measurement system

  • Use multiple power meters in a Guided Power Cal to cover a wide frequency range

  • Use the power meter to level the stimulus power at any point in a measurement system

  • Use the power sensor as a PMAR device to confirm the accuracy of a Source Power Cal Learn how

Once configured, a power meter can be used like any other VNA receiver in the following dialogs:

  • New Trace/Meas dialog - used in Ratioed and Unratioed measurements.

  • Receiver Leveling

  • Frequency Offset Mode - Extend frequencies beyond VNA

See Also

  • Supported Power Meters

  • Important first-time USB connection note

How to Create and Configure a PMAR Device

VNA Applications have additional methods of launching this dialog.

Using Hardkey/SoftTab/Softkey

  1. Press System > External hardware > External Device...

  2. Create a PMAR device by name (one-time).

  3. Click Device Properties to configure the Power Meter/Sensor.

External Device Configuration Dialog Box Help

This dialog allows you to create and configure a power meter to be used as a receiver by the VNA. Once you create and configure a power meter from this dialog box, it becomes available from VNA dialog boxes as well as the softkeys and entry toolbar, as if it were an internal VNA receiver.

  • This dialog is ALSO used to configure an External Source. Learn more.

  • To configure a single power meter for a Source Power Cal, use the Power Meter Settings dialog.

Important Notes:

  • By default, an external PMAR device is de-activated when the VNA is Preset or when an Instrument State is recalled. This behavior can be changed with a Preference setting so that it remains active through a Preset or Instrument State recall.

  • PMAR configuration is NOT saved in an Instrument State file. Therefore, recalling a state file that refers to a device that has been removed or recalling a state file on a different VNA will result in a “Device configuration not found” error.

External Devices

The devices that are currently configured appear in this list. The number of devices that can be configured is limited by the specified Interface.

New - Click to create a new PMAR configuration. The default name is Device<n>, where <n> is the next number for 'Device'.

Remove - Click to remove the selected device from the list.

Properties

Name - Enter a device name as it will appear when referring to this device in all VNA dialog boxes. Edit the name at any time. Duplicate names are not allowed.

Notes:

  • Because External Devices can be used with FOM ranges, do NOT name an external device any of the following FOM range names: “primary”, “receivers”, or “source”, “source1”, source2” and so forth. Learn more about FOM ranges.

  • Do NOT use a parameter name, such as "S11, or "R1".

Device Type - Select Power Meter.

Driver - Use AGPM for all Keysight Power Meters. See Supported Power Meters

Active - Check to make the device available for use in the FOM, New Trace, and Receiver Leveling dialogs. An instrument state that is saved with an Active device (checked) will include the device in the state file. Otherwise, if the Active box is cleared, the device will NOT appear in the state file.

Note: Multiple PMAR configurations for the same physical device can be Active and Enabled.

Device Properties - Click to launch the Configure Power Sensor dialog.

IO Configuration

Interface Select the interface that is used to connect the device to the VNA. These devices will then appear in the 'Available' field. Choose from:

  • GPIB - Devices connected to the System Controller GPIB port.

  • USB - Devices connected to the VNA USB ports. See Important First-time USB connection note.

  • Aliases - Devices that are connected to ANY interface for which you created an alias. See Configure Alias and LAN devices.

  • LAN - Devices connected to a network using a LAN connection. The VNA must also be connected to the network. Note: Devices connected to LAN must first be configured in Keysight IO libraries before they will appear on the Available list. See Configure Alias and LAN devices.

Available - Shows a list of devices that are connected to the specified IO Interface.

Refresh - Click to rescan the specified interface for devices.

Selected - Enter the IO configuration or select from the available list of IO Interfaces found.

Enable I/O - Clear this box to disable communication with the selected device. You would do this to configure a device that is not yet connected to the VNA.

  • Communication with devices is attempted when Enable I/O is checked, Active is checked, and OK is pressed.

  • If communication with a device is lost, the affected channels are put into Hold.

  • When communication is attempted, devices with Enable I/O checked are queried for limits for frequency, power, and number of points. If there are limit problems, the VNA sends an error and the affected channels are put into Hold. These limits are enforced by the dialog box in which they are set. Resolve the reported limit problem and then restore the triggering.

  • Communication is also attempted when clicking the Settings button on the Configure Power Sensor dialog. You can not change any of the sensor settings unless Enable I/O and Active are checked and communication is possible with the sensor.

Configure Alias and LAN Devices

Use this procedure to configure a device using a LAN interface. Also use for ANY device for which you want to set an alias (easily-recognized) name. The alias name appears in the Available field when Aliases is selected as the Interface.

  1. On the VNA, minimize the VNA application.

  2. In the system tray (lower-right corner) right-click the IO icon, then click Keysight Connection Expert.

To Add a LAN Device:

  1. In ACE, click [image].

  2. Select Add LAN Instrument (TCPIP0) or USB0, then click OK.

  3. Click, then enter the IP address of the external source.

  4. Click Test Connection to verify communication.

  5. Click OK.

To create an Alias for a connected device:

  1. In the list of connected instruments, right click the instrument, then Add VISA Alias.

  2. Enter the same Device Name that was, or will be, used in the External Device Configuration dialog.

Power Sensor Configuration Dialog Box Help

To launch this dialog, with the PMAR device selected in the External Device Configuration dialog, click Device Properties .

This dialog is used to configure a power meter / sensor for use as a receiver.

To configure a single power meter for a Source Power Cal, use the Power Meter Settings dialog.

About Power Sensor Calibration

PMAR traces are NOT calibrated using standard VNA calibrations, including response corrections.

PMAR traces are calibrated using methods that are appropriate for the selected sensor. Follow the proper guidelines for zeroing or calibrating the sensors that are in use. Check to ensure that the selected sensor is appropriate for the frequency range and the power level at which PMAR measurements occur.

The VNA does not automatically prompt you to perform a calibration.

To calibrate a power sensor, click Settings on this dialog box, then click Zero/Calibrate Sensor. Learn more.

Note: By default, a PMAR is de-activated when the VNA is Preset or when a Instrument State is recalled. This behavior can be changed with a Preference setting.

Sensor

For power sensors that are connected to a power meter, select a sensor to configure.

Settings - Click to launch the Power Sensor Settings dialog.

When pressed, communication with the sensor is tested. Sensor settings can NOT occur unless Enable I/O is checked on the External Device Configuration dialog, and the sensor is properly connected and configured.

Sensor Settling

Each power meter reading is "settled" when either:

  • two consecutive meter readings are within this Tolerance value or

  • when the Max Number of Readings has been met.

The readings that were taken are averaged together to become the "settled" reading.

Tolerance - When consecutive power meter readings are within this value of each other, then the reading is considered settled.

Max Number of Readings - Sets the maximum number of readings the power meter will take to achieve settling.

Sensor 'N' Loss Compensation

Use Loss Table - Select this checkbox to apply loss data to Source Power calibration correction (such as for an adapter on the power sensor).

Edit Table - Invokes the Power Loss Compensation dialog box.

Power Sensor Settings Dialog Box Help

This dialog appears when you click the Settings button on the Configure Power Sensor dialog.

Note: Be sure that the frequency range of your power sensor covers the frequency range of your measurement. This does NOT occur automatically.

Sensor A (B) - Displays one of the following messages depending on type of sensor.

  • Not connected - The VNA is not detecting a power sensor.

  • Cal factors are contained within this sensor - Internal Reference Cal Factor and Cal Factor data are loaded automatically. The following table settings do not apply.

  • Sensor Data - Allows the following entries for power sensor data:

    • Reference Cal Factor - Specifies the Cal Factor for the 50 MHz reference signal.

    • Cal Factor Table - Specifies the frequency and corresponding Cal Factor for the sensor.

    • Delete Cal Factor - Deletes the indicated row in the table.

    • Delete All - Deletes all data in the table.

    • To Add a Row to the table, click on a row in the table and press the down arrow on either the VNA front panel or keyboard. A row is added to the bottom of the table. The table is automatically sorted by frequency when OK is pressed.

Load Cal Factors - Click to load cal factors from a *.csv file that you create from the cal factors that appear on the sensor. The first line of the file MUST have the reference Cal Factor (typically 100), followed by Freq/Cal Factor pairs as show in the following image:

Save Cal Factors - Click to save the cal factor table to a *csv file.

Limit Frequency Range

  • Check to limit the use of the power sensor to those within the Minimum and Maximum frequency values.

  • Clear to use the power sensor for all measurements. If the measurement frequency is not within the Minimum and Maximum frequency values, the closest min or max correction data is used for the measurement.

Minimum Frequency - Specifies the minimum frequency range for the sensor.

Maximum Frequency - Specifies the maximum frequency range for the sensor.

Zero and Calibrate the Power Sensor

For highest accuracy, Zero AND Calibrate the power sensor before measuring data. Follow prompts that may appear.

Zero - If the following settings are 'greyed', Internal or External zeroing is selected automatically based on the power meter/sensor model. Otherwise, select the appropriate type of zeroing to perform, then press Zero.

  • Internal Zero - A switch inside the power sensor removes the sensor from the incident power.

  • External Zero - Requires that you physically remove the sensor from incident power.

Note: for the U2000 Series USB power sensors

Calibration is NOT available. Select External Zero ONLY when the power to be measured is below the specified level. Otherwise, the U2000 series performs internal zeroing automatically when needed. See your power sensor documentation for more details.

  • U200xA - below -30 dBm

  • U200xH - below -20 dBm

  • U200xB - below 0 dBm

If U2000 power sensor 'hangs' when external zeroing, upgrade the power sensor firmware to Rev. A.01.02.00 or higher to fix this problem.

Calibrate - Available when the selected sensor has calibration capability. Calibration involves measuring an internal 1 mW source.

  • Keysight P-Series sensors have an internal reference so you can calibrate them without connecting to the meter’s reference port.

  • Keysight U2000 USB power sensors do not require calibrating.

  • For other sensors, refer to the documentation to determine if it has calibration capability.

Press Calibrate, then follow the prompts.

Power Loss Compensation Dialog Box Help

Add Row - Add a row at the end of row.

Delete Row - Delete the selected row.

To Edit a value, double-click in the cell to be edited.

Compensates for losses that occur when using an adapter or coupler to connect the power sensor to the measurement port. These components will be removed when the calibration is complete. To account for components that will remain during the measurement, use the Power Offset setting.

The Frequency/Loss pairs define the amount of loss for the entire frequency range. For example, using the entries in the above dialog image:

  • 0.5 dB is used to compensate power sensor measurements up to 1 GHz.

  • Each data point between 1 GHz to 2 GHz is linearly interpolated between 0.5 dB and 1 dB.

  • 1 dB is used above 2 GHz.

  • A single frequency/loss segment is applied to the entire frequency range.

Frequency - Enter a frequency in Hz.

Loss - Enter a loss as a POSITIVE value in dB. To compensate for gain, use NEGATIVE values.

Load Table... - These values can be loaded from an S2P file using the Characterize Adapter/Fixture.

Note: Large segment counts with one or more power sensors can result in long load and close times for the VNA Application.

Save Table... - Save the table into csv file.

Clear Table - Clears all rows and data.

The Power Loss Compensation table survives VNA Preset and Power OFF. To NOT use Loss compensation, clear the Use Loss table checkbox on the Configure Power Sensor dialog.

Use a PMAR Device to confirm a Source Power Cal

Learn how to create and configure PMAR device.

After a Source Power Cal has been performed, use the same sensor as a configured PMAR to analyze the accuracy of the Calibration.

  1. Create a PMAR device with the power sensor that will be used for the Source Power Cal.

  2. Perform a Source Power Cal. Learn how.

  3. Create an unratioed measurement with the PMAR device. Learn how.

  4. With the power sensor still connected to the test port, monitor the corrected source power using Min and Max markers or the Trace Statistics peak-to-peak feature.

Last Modified:

5-Jan-2016

First Release


E5092 TestSet Control

E5092A Test Set Control

The E5092A is a popular Keysight Technologies 7-port / 9-port test set. Although the test set was originally designed to work with the ENA Network Analyzer, it also works well with the VNA. This topic describes how to control the test set from the VNA. For more information about the test set, refer to your E5092A documentation.

  • Overview

  • Connecting the E5092A

  • How to make E5092A test set Control Settings

  • Calibrating with the E5092A

Other System Configuration Topics

Overview

When connected to the VNA, the E5092A test set provides Up to 10-port full crossbar measurement or maximum 22-port measurement capability. The E5092A can be configured to switch a different test set path for each VNA channel. When all channels have been configured, the entire measurement setup and calibration can be saved to a .cst or .csa file to be recalled later. In addition, the Channel Settings Table that is appended to a printed hardcopy of a measurement includes the E5092A Port Control settings.

Notes:

  • Works with all 4-port VNA models.

  • The E5092A test set has a maximum useful frequency of 20 GHz.

  • The E5092A test set Control can be automated using SCPI commands.

  • When enabled, a second status bar row appears which indicates the test set that is being controlled and the current switch state.

  • Test set path switching occurs just before a channel is triggered. If a channel trigger state is Hold, switching for that channel does not occur.

  • VNA sweep speed will be slightly slower when using the E5092A to switch measurement paths.

Connect and Configure the E5092A

The E5092A can be connected to any one of the VNA USB ports. When first installed, Windows will automatically launch the "Add New Hardware" wizard. Click Next to install the E5092A test set.

Note: See the power handling limitations of the VNA USB ports.

Connect the VNA test ports to the E5092A test ports. Match VNA test port 1 to E5092A test port 1, and so forth.

Selecting ID for E5092A

The VNA can control up to two E5092A test sets. Set the Instrument ID bit switch to 1 or 2. The test sets will then be identified automatically and referred to by the DIP switch setting on the E5092A rear-panel. Change the ID bit switch setting before connecting to the VNA USB.

Power ON

Immediately after power-on, all of the port connection indicator LEDs of the E5092A go ON. Then, after the VNA detects the E5092A, the four LEDs that indicate the connected test ports remain ON. If the VNA is not powered on or if the E5092A is not connected using a USB cable, all of the LEDs stay ON.

How to make E5092A test set Control Settings

Using Hardkey/SoftTab/Softkey

  1. Press Setup > External Hardware > External Testset...

No programming commands are available for this feature.

E5092A test set control dialog box help

The title of the dialog shows the test set model and ID number of the active test set..

Select ID ID of the test set to be configured. Up to two E5092A test sets can be controlled. Click to change test set ID. Learn how to set the test set ID.

Enable Test Set Control When cleared, port switching and control line settings are disabled. This selection affects all channels using the selected test set.

Selection | Configuration
E5092_13 | Select the 13-port configuration of the E5092A
E5092_16 | Select the 16-port configuration of the E5092A
E5092_22 | Select the 22-port configuration of the E5092A
E5092_28 | Select the switching independently in the E5092A
E5092_X10 | Select the 10-port full crossbar configuration of the E5092A

Show Test Set Property When checked, the following status bar appears which indicates the test set that is being controlled and the current port control selection. For example, the following image shows the status bar when controlling an E5092A test set.

  1. Configured channel

  2. Port Control settings for E5092A

  3. Port Control settings for Z5623A K64

  4. Test set Label. E5092A control does not use this field. It is shared between Interface Control and External test set Control. The two labels are separated by /.

Port Control Controls mapping of Physical ports to Logical ports.

  • Physical ports are the port numbers that are labeled on the test set front panel.

  • Logical ports are the port numbers that are referred to by most of the VNA application prompts and dialog boxes.

Port Mapping Notes

  • Port Control and Control Line settings affect the channel of the active (selected) measurement. These settings will occur as the channel is being measured.

  • Correction is NOT turned OFF when port mappings are changed. However, the calibration is NO LONGER VALID!

Control Lines Specifies the values of individual control lines. These general purpose control lines on the test set front-panel can be used in your test setup. Each button toggles the control line HIGH and LOW. When first opened, the selections reflect the current control lines. See your test set documentation for more information about the control lines. Groups A to D are assigned as follows.

OK When clicked, the changes to the dialog box are implemented and the port selections and control values are immediately sent to the specified test sets. The Port Control and Control line settings are stored with other channel data and used when those channels are swept.

Cancel (or Escape) Changes to the dialog are not implemented and revert to the settings before the dialog box was opened.

Calibrating with the E5092A

The following are a few changes in the way you calibrate the VNA with the E5092A connected:

  1. Create the measurements for the channel and configure the Port Control (switching) on the E5092A Test Set Control dialog box. Enable Show Test Set Property.

  2. To calibrate, start the Smart Calibration.

  3. Select the DUT connectors that are used at the E5092A measurement reference plane.

  4. When prompted to connect a standard to a VNA port, instead connect the standard to the E5092A port as indicated on the test set status bar. For example, when the cal wizard prompts to connect the standard to port 1, if the status bar indicates 1 A, the connect the standard to port A of the E5092A.

Last Modified:

27-Aug-2014

First Release


Display Colors

You can modify the colors that are used to draw various elements on the VNA screen and on a hardcopy print of the display.

  • Display Colors

  • Print Colors

  • Print Preview Procedure

See Also

Print Preview

Display Colors

How to modify Display Colors

Using Hardkey/SoftTab/Softkey

  1. Press System > System Settings > Preferences....

  2. Click Disp Colors... on Preferences dialog box.

No programming commands are available for this feature.

Print Colors

How to modify Print Colors

Using Hardkey/SoftTab/Softkey

  1. System > Print > Print Colors....

OR

  1. Press System > System Settings > Preferences....

  2. Click Print Colors... on Preferences dialog box.

Display Colors and Print Colors Dialog Box Help

The Display Colors and Print Colors dialog boxes function in exactly the same manner. See Print Preview procedure below.

Pen

"Pen" is a term used to describe the various elements. Each pen can have a unique color.

You can change the color of the following pens:

  • Background - The background color of the inactive windows.

  • Active Background - The background color of the active window.

  • Grid - The inner lines of all grids in all windows, and the grid frame in inactive windows.

  • Active Labels, Grid Frame - The labels and grid frame colors in the active window. Note: when this pen is selected, the current window becomes inactive. Therefore, changes for this pen color will not be visible until OK is pressed.

  • Inactive Window Labels.

  • Failed Trace - Limit Line failed traces or failure indicators (dots) and the word Fail.

  • The following pens for up to 8 Traces:

    • Data and Limits

    • Memory trace

    • Markers

    • Memory markers

About Trace Pens

'1st Trace' is NOT always Trace1 (Tr1). For example, the first trace in a window might be Tr2 which is drawn with the "1st Trace" pen.

The first 8 traces are drawn with the defined pen colors. The next eight traces reuse the same colors, and so forth. For example, if all traces are numbered sequentially, the 9th and 17th traces are drawn using the same color as the 1st trace.

Change Color - Click the button or the color swatch to launch the Change Color dialog.

Reset Color - Restores the default color for the selected pen.

Color Themes

A theme is a complete set of pens and their colors. The current theme persists until you change it. Themes can also be saved to a file and then later recalled. By default, the file is saved in internal hard disk in the C:\ProgramData\Agilent\Network Analyzer\Colors folder with save type as *.colors.

  • Save Theme... - Click to save the current set of pens to a file.

  • Recall Theme... - Click to recall and use a saved theme.

  • Reset Theme... - Click to recall the default VNA color theme.

The colors for the following Display elements can NOT be changed: toolbars, softkeys, menus, dialogs and popup messages.

Change Color Dialog Box Help

To use a basic color, click the color from the 'Basic colors' pallette and then click OK.

To define and use a custom color:

  1. Click Define Custom Colors>> to open the right side of the dialog.

  2. Optionally, pick a Custom color slot to replace. Otherwise, the replacement will occur at the first slot location and continue with subsequent custom color definitions.

  3. Click the color pane, or drag the crosshairs, to the location of the custom color.

  4. Drag the arrow to the desired saturation level of the custom color.

  5. Click Add to Custom Colors.

  6. Continue to define more colors or click OK to close the Color dialog box.

After a custom color has been assigned to a VNA pen, the custom color can be changed. The VNA pen color remains unchanged.

Print Preview Procedure

Use the following procedure to preview your Print Colors on the VNA screen:

  1. From the Print Colors dialog box, select Reset Theme and then Save Theme.... Name the new theme “MyPrintTheme.colors”. This will give you a starting point equal to the default print colors.

  2. Launch the Display Colors dialog box, select Recall Theme, then select “MyPrintTheme.colors”. The display will now show the default print theme.

  3. Customize the display colors. You will be previewed how the hardcopy will appear when printed.

  4. Save the customized display colors to “MyPrintTheme.colors”.

  5. Go to the Print Colors dialog box and recall “MyPrintTheme.colors.

Last Modified:

5-Jan-2016

First Release


Frequency Blanking

For security reasons, you can prevent frequency information from appearing on the VNA screen and printouts.

How to set Frequency Blanking

Using Hardkey/SoftTab/Softkey

  1. Press System > Main > Security....

Security Setting Dialog Box Help

Notes:

  • To learn how to erase memory before moving VNA out of a secure area, see http://na.tm.Keysight.com/pna/security.html.

  • An ECal Data Wipe Utility destroys all user data per US DoD 5220.22-M. Learn more at http://na.tm.Keysight.com/pna/apps/applications.htm

  • VNA 'Undo' is disabled with High and Extra security levels. Learn more.

Security Levels

None - All frequency information is displayed.

Low - No frequency information is displayed. Return to this dialog box to re-enable display of frequencies.

Frequency information is blanked from the following:

  • Display annotatio

  • Calibration properties

  • All tables

  • All toolbars

  • All printouts

  • External sources - See Also: Preference to Deactivate External Devices on Preset

Note: Frequency Blanking is fully supported ONLY on Keysight MXG sources with option 006. On MXG models without option 006 and all PSG models, the window state is turned OFF. When the “local” button is clicked on the source, then frequency is re-displayed.

High - No frequency information is displayed. Only Preset or recall of instrument state can re-enable display of frequencies.

Low security level settings PLUS:

  • GPIB console is inactive.

Extra - Frequency information is not displayed and will not be saved to ASCII file types. Only Preset or recall of instrument state can re-enable display of frequencies.

High security level settings PLUS:

  • All ASCII data saving capability (.snp, .prn, .cti) is saved without frequency information. The X-axis information is replaced with data point numbers.

  • Mixer setup files (*.mxr) can NOT be saved.

For ALL security levels:`

Frequency information is NOT blanked from the following:

  • Service Adjustment Programs.

  • SCPI programs.

Instrument State and Cal Sets

The security level is always saved and recalled with an instrument state. However, the instrument state may contain a Cal Set or link to a Cal Set. Learn more. This may influence the security level when the instrument state is recalled.

  • When a new Cal Set is created at the end of a calibration, the current system security level is stored with it.

  • The only way to change an existing Cal Set’s security level is by writing a new calibration into the Cal Set.

  • When later applied to a channel, if the Cal Set has a higher security level than the current system security level, the system security level will become upgraded to that of the Cal Set.

  • When saving an instrument state to either a *.csa or *.cst file, the security levels of the system and Cal Set are saved separately. When recalled, the higher security level of the two is applied.

  • To view the security level of a Cal Set, see Cal Set Properties.

Re-displaying frequency information

  • When in Low security level, do any of the following:

    • Revisit this dialog box and select None.

    • Perform an instrument preset.

    • Recall an Instrument State/Cal Set with security level of None.

  • When in High or Extra security level, do any of the following:

    • Perform an instrument preset.

    • Recall an Instrument State/Cal Set with security level of None.

Last Modified:

5-Jan-2016

First Release


Power Limit and Power Offset

  • Overview

  • How to access Power Limit and Power Offset settings

Other System Topics

Overview

Power Limit (Global scope)

Global power limit sets a maximum source power level for individual VNA ports. This value limits port power for all channels and all applications. Power levels that attempt to exceed the power limit is clipped at the limit.

Notes

  • Components that are added to the RF path are accounted for by entering their loss (negative) or gain (positive) in the Power Offset section of the dialog box.

  • VNA Applications may change RF path components. For example, IMD for Converters may change the combiner path and add an amplifier for LO input. Compensation is NOT made for these changes and port power may exceed the power limit or port power may be clipped unnecessarily.

  • Power limiting does NOT clip power spikes that may occur during frequency band crossings.

  • External test set ports are also included for power limiting.

Power Offset (Channel scope)

Power Offset provides a method of compensating port power for added attenuation or amplification in the source path. The result is that power at the specified port, all dialogs, and annotation, reflects the added components.

How to access the Offsets and Limits settings

Also accessed through the VNA Preferences dialog.

Using Hardkey/SoftTab/Softkey

  1. Press Power > Leveling & Offset > Offset and Limits....

Offsets and Limits dialog box help

Click a WHITE cell to change values. Shaded cells can NOT be changed.

Remote commands can be sent to lock and unlock the dialog box (UI) settings.

Power Limit

Limits the source power at each VNA port for ALL channels. Use this feature to protect DUTs that are sensitive to overpowering at the input. Power levels that exceed the limit at the specified port are clipped at the limit and an error message is displayed on the screen.

The Power Limit settings survive Instrument Preset. When an Instrument State is recalled, the current Power Limit settings are applied to the recalled state.

To learn more, see Power Limit Overview (scroll up).

State / Limit

  • ON - Power is limited to the adjacent value at the specified source port.

  • OFF - Power is NOT limited to this value, but to the maximum power of the VNA source.

Power Offset

Power Offset provides a method of compensating port power for added attenuation or amplification in the source path. The result is that power at the specified port, all dialogs, and annotation reflects the added components.

  • For amplification, use positive offset.

  • For attenuation, use negative offset.

Important Note: Power Offset is added AUTOMATICALLY when a Source Power Calibration, Guided Power Cal, or Power Compensation is ON with Fixture Embed/Deembed. If you are NOT seeing the correct power level at your DUT, view the power Offset column in this dialog for unexpected offsets.

Optionally change the Source Power or Port Power values so that the following equation reflects your requirement:

Source Power + Power Offset = Port Power

Source Cal ON / OFF

OK Closes the dialog box.

Last Modified:

24-Oct-2014

Initial Release


System Impedance

Setting System Impedance

The system impedance can be changed for measuring devices with an impedance other than 50 ohms, such as waveguide devices. The VNA mathematically transforms and displays the measurement data as though the VNA ports were the specified impedance value. Physically, the test ports are always about 50 ohms.

How to change the System Impedance

Using Hardkey/SoftTab/Softkey

  1. Press Scale > Constants > System Z0

System Z0 softtab help

Allows you to change the system impedance (default setting is 50 ohms).

Z0 Displays the current system impedance.

For 75 ohm devices:

  1. Change the system Z0 to 75 ohms.

  2. Connect minimum loss pads (75 ohm impedance) between the analyzer and the DUT to minimize the physical mismatch.

  3. Perform a calibration with 75 ohm calibration standards.

For waveguide devices

When selecting a Cal Kit with an impedance other than 50 ohms (Waveguide = 1 ohm), it is NO LONGER NECESSARY to change the System Impedance setting before performing a calibration. The impedance for the calibration is now derived from the Cal Kit 'Connector' impedance setting.

Last modified:

5-Jan-2016

First Release


App Notes

VNA Application Notes

The following links require an Internet connection.

Note: Check out the multimedia VNA Demo presentations, including 'Network Analyzer Basics'.

Calibrations

AN1287-11 Specifying Calibration Standards and Kits for Keysight Vector Network Analyzers (5989-4840EN)

PN8510-8A TRL Calibration for Non-Coaxial Measurements (5091-3645E)

Calibrating Standards for In-Fixture Device Characterization (White Paper) (5989-3245EN)

Electronic vs. Mechanical Calibration kits: Calibration methods and accuracy (White Paper) (5988-9477EN)

On-Wafer Calibration Using a 4-port, 20 GHz PNA-L Network Analyzer (N5230A Option 240/245) (5989-2287EN)

ECal

Keysight Electronic vs. Mechanical Calibration Kits: Calibration Methods and Accuracy (5988-9477EN)

User Characterization: Electronic Calibration Feature Allows Users to Customize to Specific Needs (5988-9478EN)

Embedding / De-embedding

De-embedding and Embedding S-Parameter Networks Using a Vector Network Analyzer (5980-2784EN)

Amplifier Measurements

AN1408-7 Amplifier Linear and Gain Measurements (5988-8644EN)

AN1408-8 Amplifier Swept-Harmonic Measurements (5988-9473EN)

AN1408-9 Amplifier and CW Swept Intermodulation-Distortion Measurements (5988-9474EN)

AN1408-10 High-power measurements using the VNA (5989-1349EN)

AN1408-16 Power-Added Efficiency (PAE) 5989-7293EN

AN1408-17 Making Accurate IMD Measurements with the VNA Network Analyzer (5989-7265EN)

AN1408-19 High Power Amplifier Measurements Using NVNA

Antenna Measurements

Triggering VNA Microwave Network Analyzers for Antenna Measurements (5988-9518EN)

New Network Analyzer Methodologies in Antenna/RCS Measurements (5989-1937EN)

Pulsed Antenna Measurements Using VNA Network Analyzers (5989-0221EN)

Antenna and RCS Configurations (White Paper) (5989-0220EN)

Radar Measurements (Application Note) (5989-7575EN)

Balanced Measurements (Although the following refer to the ENA, they are also relevant to the VNA.)

On-wafer Balanced Component Measurement with the Cascade Microtech Probing System (5988-5886EN)

Network De-embedding/Embedding and Balanced Measurement (5988-4923EN)

Backplane Differential Channel Microprobe Characterization in Time and Frequency Domains (White Paper) (5989-3248EN)

Mixer Measurements

AN1408-1 Mixer Transmission Measurements Using the Frequency Conversion Application (5988-8642EN)

AN1408-2 Mixer Conversion-Loss and Group Delay Measurement Techniques and Comparisons (5988-9619EN)

AN1408-3 Improving Measurement and Calibration Accuracy Using the Frequency Converter Application (5988-9642EN)

AN1408-18 Measuring Group Delay of Frequency Converters with Embedded Local Oscillators (5989-7385EN)

Comparison of Mixer Characterization using New Vector Characterization Techniques (5988-7827EN)

Novel Method for Vector Mixer Characterization and Mixer Test System Vector Error Correction (5988-7826EN)

Measuring Absolute Group Delay of Multistage Converters Using VNA Microwave Network Analyzers (5989-0219EN)

Pulsed Measurements

AN1408-11 Accurate Pulsed Measurements (5989-0563EN)

AN1408-12 Pulsed-RF S-Parameter Measurements Using Wideband and Narrowband Detection

AN1408-21 Active-Device Characterization in Pulsed Operation Using the VNA (5990-7781EN)

Pulsed Antenna Measurements Using VNA Network Analyzers (5989-0221EN)

Materials Measurements

Basics of Measuring the Dielectric Properties of Materials (5989-2589EN)

Split Post Dielectric Resonators for Dielectric Measurements of Substrates (5989-5384EN)

Other Measurements

AN1287-12 Time Domain Analysis Using a Network Analyzer (5989-5723EN)

AN1408-14 Using the VNA Series to Analyze Lightwave Components (5989-3385EN)

AN1408-15 Using the VNA for Banded Millimeter-Wave Measurements (5989-4098EN)

AN1408-19 High Power Amplifier Measurements Using NVNA (5990-5039EN)

AN1408-20 High-Accuracy Noise Figure Measurements Using the VNA

MM-Wave Network Analyzers: Analysis of Cable Length on VNA System Performance (5989-1941EN)

Ultra-Low Impedance Measurements Using 2-Port Measurements (White Paper) (5989-5935EN)

Modeling

Utilizing TDR and VNA Data to Develop 4-port Frequency Dependent Models (White Paper) (5989-0638EN)

Advanced Measurements and Modeling of Differential Devices (White Paper) (5989-4518EN)

Automation

AN 1408-13 Introduction to Application Development using the VNA (5980-2666EN)

Connectivity Advances for Component Manufacturers (5980-2782EN)

The 'Need for Speed' in Component Manufacturing Test (5980-2783EN)

Last Modified:

4-Dec-2012 | Fixed TD AN
10-Oct-2012 | Added AN numbers
4-May-2012 | Added PAE
20-May-2011 | Added new pulse
7-Mar-2011 | Added new app notes
22-Oct-2010 | Added Noise Figure
14-Apr-2008 | Added IMD with VNA.


Connector Care

Proper connector care is critical for accurate and repeatable measurements. The following information will help you preserve the precision and extend the life of your connectors - saving both time and money.

  • Connector Care Quick Reference Guide

  • Connector Cleaning Supplies

  • Safety Reminders

  • About Connectors

  • Gaging Fundamentals

  • Connector Care Procedures

See also mmWave Connector Care at http://na.support.keysight.com/pna/connectorcare/Connector_Care.htm

Preventing Test Port Connector Damage

Handling and Storing Connectors
Do | Do Not
Keep connectors clean Protect connectors with plastic end caps Keep connector temperature same as analyzer | Touch mating-plane surfaces Set connectors contact-end down Store connectors loose in box or drawer
Visual Inspection
Do | Do Not
Inspect connectors with magnifying glass. Look for metal debris, deep scratches or dents | Use a connector with a bent or broken center conductor Use a connector with deformed threads
Cleaning Connectors
Do | Do Not
Clean surfaces first with clean, dry compressed air Use lint-free swab or brush Use minimum amount of alcohol Clean outer conductor mating surface and threads | Use high pressure air (>60 psi) Use any abrasives Allow alcohol into connector support beads Apply lateral force to center conductor
Gaging Connectors
Do | Do Not
Inspect and clean gage, gage master and device tested Use correct torque wrench zero gage before use Use multiple measurements and keep record of readings | Use an out of specification connector Hold connector gage by the dial
Making Connections
Do | Do Not
Align connectors first Rotate only the connector nut Use correct torque wrench | Cross thread the connection Twist connector body to make connection Mate different connector types

Connector Care and Cleaning Supplies

Description | Web Site
Swabs | http://www.berkshire.com/swabs.shtml
Lint Free Cloths- Air dusters | http://www.ccrwebstore.com
Isopropyl | http://www.techspray.com
Nitrilite Gloves and Finger Cots | http://www.techni-tool.com

Safety Reminders

When cleaning connectors:

  • Always use protective eyewear when using compressed air or nitrogen.

  • Keep isopropyl alcohol away from heat, sparks and flame. Use with adequate ventilation. Avoid contact with eyes, skin and clothing.

  • Avoid electrostatic discharge (ESD). Wear a grounded wrist strap (having a 1 MW series resistor) when cleaning device, cable or test port connectors.

  • Cleaning connectors with alcohol shall only be done with the instruments power cord removed, and in a well-ventilated area. Allow all residual alcohol moisture to evaporate, and the fumes to dissipate prior to energizing the instrument.

About Connectors

  • Connector Service Life

  • Connector Grades and Performance

  • Adapters as Connector Savers

  • Connector Mating Plane Surfaces

Connector Service Life

Even though calibration standards, cables, and test set connectors are designed and manufactured to the highest standards, all connectors have a limited service life. This means that connectors can become defective due to wear during normal use. For best results, all connectors should be inspected and maintained to maximize their service life.

Visual Inspection should be performed each time a connection is made. Metal particles from connector threads often find their way onto the mating surface when a connection is made or disconnected. See Inspection procedure.

Cleaning the dirt and contamination from the connector mating plane surfaces and threads can extend the service life of the connector and improve the quality of your calibration and measurements. See Cleaning procedure.

Gaging connectors not only provides assurance of proper mechanical tolerances, and thus connector performance, but also indicate situations where the potential for damage to another connector may exist. See Gaging procedure.

Proper connector care and connection techniques yield:

•

Longer Service Life

•

Higher Performance

•

Better Repeatability

Connector Grades and Performance

The three connector grades (levels of quality) for the popular connector families are listed below. Some specialized types may not have all three grades.

  • Production grade connectors are the lowest grade and the least expensive. It is the connector grade most commonly used on the typical device under test (DUT). It has the lowest performance of all connectors due to its loose tolerances. This means that production grade connectors should always be carefully inspected before making a connection to the analyzer. Some production grade connectors are not intended to mate with metrology grade connectors.

  • Instrument grade is the middle grade of connectors. It is mainly used in and with test instruments, most cables and adapters, and some calibration standards. It provides long life with good performance and tighter tolerances. It may have a dielectric supported interface and therefore may not exhibit the excellent match of a metrology grade connector.

  • Metrology grade connectors have the highest performance and the highest cost of all connector grades. This grade is used on calibration standards, verification standards, and precision adapters. Because it is a high precision connector, it can withstand many connections and disconnections and, thus, has the longest life of all connector grades. This connector grade has the closest material and geometric specifications. Pin diameter and pin depth are very closely specified. Metrology grade uses an air dielectric interface and a slotless female contact which provide the highest performance and traceability.

Note: In general, Metrology grade connectors should not be mated with Production grade connectors.

Adapters as Connector Savers

Make sure to use a high quality (Instrument grade or better) adapter when adapting a different connector type to the analyzer test ports. It is a good idea to use an adapter even when the device under test is the same connector type as the analyzer test ports. In both cases, it will help extend service life, and protect the test ports from damage and costly repair.

The adapter must be fully inspected before connecting it to the analyzer test port and inspected and cleaned frequently thereafter. Because calibration standards are connected to the adapter, the adapter should be the highest quality to provide acceptable RF performance and minimize the effects of mismatch.

Connector Mating Plane Surfaces

An important concept in RF and microwave measurements is the reference plane. For a network analyzer, this is the surface that all measurements are referenced to. At calibration, the reference plane is defined as the plane where the mating plane surfaces of the measurement port and the calibration standards meet. Good connections (and calibrations) depend on perfectly flat contact between connectors at all points on the mating plane surfaces (as shown in the following graphic).

Gaging Fundamentals

Connector gages are important tools used to measure center conductor pin depth in connectors. Connector pin depth, measured in terms of recession or protrusion, is generally the distance between the mating plane and the end of the center conductor, or the shoulder of the center conductor for a stepped male pin.

Typical Connector Gage

RECESSION

PROTRUSION

Recession and Protrusion

Pin depth is negative (recession) if the center conductor is recessed below the outer conductor mating plane, usually referred to as the "reference plane". Pin depth is positive (protrusion) if the center conductor projects forward from the connector reference plane.

Pin Depth

1. Recession of female contact

2. Recession of male pin shoulder

Difference with Type-N Connectors

Type-N connectors have the mating plane of the center conductors offset from the connector reference plane. In this case the zero setting "gage masters" generally offset the nominal distance between the center conductor mating plane and the connector reference plane.

When to Gage Connectors

  • Before using a connector or adapter the first time.

  • When visual inspection or electrical performance suggests the connector interface may be out of range.

  • After every 100 connections, depending on use.

Connector Gage Accuracy

Connector gages (those included with calibration and verification kits), are capable of performing coarse measurements only. This is due to the repeatability uncertainties associated with the measurement. It is important to recognize that test port connectors and calibration standards have mechanical specifications that are extremely precise. Only special gaging processes and electrical testing (performed in a calibration lab) can accurately verify the mechanical characteristics of these devices. The pin depth specifications in the Keysight calibration kit manuals provide a compromise between the pin depth accuracy required, and the accuracy of the gages. The gages shipped with calibration and verification kits allow you to measure connector pin depth and avoid damage from out-of-specification connectors.

Note: Before gaging any connector, the mechanical specifications provided with that connector or device should be checked.

To Gage Connectors

  1. Wear a grounded wrist strap (having a 1 MW series resistor).

  2. Select proper gage for device under test (DUT).

  3. Inspect and clean gage, gage master, and DUT.

  4. Zero the connector gage.

    1. While holding gage by the barrel, carefully connect gage master to gage. Finger-tighten connector nut only.

    2. Use proper torque wrench to make final connection. If needed, use additional wrench to prevent gage master (body) from turning. Gently tap the barrel to settle the gage.

    3. The gage pointer should line up exactly with the zero mark on gage. If not, adjust "zero set" knob until gage pointer reads zero. On gages having a dial lock screw and a movable dial, loosen the dial lock screw and move the dial until the gage pointer reads zero. Gages should be zeroed before each set of measurements to make sure zero setting has not changed.

    4. Remove gage master.

  5. Gage the device under test.

    1. While holding gage by the barrel, carefully connect DUT to gage. Finger-tighten connector nut only.

    2. Use proper torque wrench to make final connection and, if needed, use additional wrench to prevent DUT (body) from turning. Gently tap the barrel to settle the gage.

    3. Read gage indicator dial for recession or protrusion and compare reading with device specifications.

Caution: If the gage indicates excessive protrusion or recession, the connector should be marked for disposal or sent out for repair.

  6. For maximum accuracy, measure the device a minimum of three times and take an average of the readings. After each measurement, rotate the gage a quarter-turn to reduce measurement variations.

  7. If there is doubt about measurement accuracy, be sure the temperatures of the parts have stabilized. Then perform the cleaning, zeroing, and measuring procedure again.

Connector Care Procedures

  • Inspecting Connectors

  • Cleaning Connectors

  • Making Connections

  • Using a Torque Wrench

  • Handling and Storing Connectors

To Inspect Connectors

Wear a grounded wrist strap (having a 1 MW series resistor).

Use a magnifying glass (>10X) and inspect connector for the following:

  • Badly worn plating or deep scratches

  • Deformed threads

  • Metal particles on threads and mating plane surfaces

  • Bent, broken, or mis-aligned center conductors

  • Poor connector nut rotation

Caution: A damaged or out-of-specification device can destroy a good connector attached to it even on the first connection. Any connector with an obvious defect should be marked for disposal or sent out for repair.

To Clean Connectors

  1. Wear a grounded wrist strap (having a 1 MW series resistor).

  2. Use clean, low-pressure air to remove loose particles from mating plane surfaces and threads. Inspect connector thoroughly. If additional cleaning is required, continue with the following steps.

  3. Moisten–do not saturate–a lint-free swab with isopropyl alcohol. See Cleaning Supplies for recommended type.

  4. Clean contamination and debris from mating plane surfaces and threads. When cleaning interior surfaces, avoid exerting pressure on center conductor and keep swab fibers from getting trapped in the female center conductor.

  5. Let alcohol evaporate–then use compressed air to blow surfaces clean.

  6. Inspect connector. Make sure no particles or residue remains.

  7. If defects are still visible after cleaning, the connector itself may be damaged and should not be used. Determine the cause of damage before making further connections.

To Make Connections

  1. Wear a grounded wrist strap (having a 1 MW series resistor).

  2. Inspect, clean, and gage connectors. All connectors must be undamaged, clean, and within mechanical specification.

  3. Carefully align center axis of both devices. The center conductor pin–from the male connector–must slip concentrically into the contact finger of the female connector.

  4. Carefully push the connectors straight together so they can engage smoothly. Rotate the connector nut (not the device itself) until finger-tight, being careful not to cross the threads.

  5. Use a torque wrench to make final connection. Tighten until the "break" point of the torque wrench is reached. Do not push beyond initial break point. Use additional wrench, if needed, to prevent device body from turning.

To Separate a Connection

  1. Support the devices to avoid any twisting, rocking or bending force on either connector.

  2. Use an open-end wrench to prevent the device body from turning.

  3. Use another open-end wrench to loosen the connector nut.

  4. Complete the disconnection by hand, turning only the connector nut.

  5. Pull the connectors straight apart.

To Use a Torque Wrench

  1. Make sure torque wrench is set to the correct torque setting.

  2. Position torque wrench and a second wrench (to hold device or cable) within 90° of each other before applying force. Make sure to support the devices to avoid putting stress on the connectors.

 | HOLD |
CORRECT METHOD | INCORRECT METHOD | (TOO MUCH LIFT)

  3. Hold torque wrench lightly at the end of handle–then apply force perpendicular to the torque wrench handle. Tighten until the "break" point of the torque wrench is reached. Do not push beyond initial break point.

TORQUING DIRECTION

STOP WHEN HANDLE BEGINS TO YIELD

To Handle and Store Connectors

  • Install protective end caps when connectors are not in use.

  • Never store connectors, airlines, or calibration standards loose in a box. This is a common cause of connector damage.

  • Keep connector temperature the same as analyzer. Holding the connector in your hand or cleaning connector with compressed air can significantly change the temperature. Wait for connector temperature to stabilize before using in calibration or measurements.

  • Do not touch mating plane surfaces. Natural skin oils and microscopic particles of dirt are difficult to remove from these surfaces.

  • Do not set connectors contact-end down on a hard surface. The plating and mating plane surfaces can be damaged if the interface comes in contact with any hard surface.

  • Wear a grounded wrist strap and work on a grounded, conductive table mat. This helps protect the analyzer and devices from electrostatic discharge (ESD).


ESD Protection

Electrostatic Discharge (ESD) Protection

Protection against electrostatic discharge (ESD) is essential while removing or connecting cables to the network analyzer. Static electricity can build up on your body and can easily damage sensitive internal circuit elements when discharged. Static discharges too small to be felt can cause permanent damage. To prevent damage to the instrument:

  • Always have a grounded, conductive table mat in front of your test equipment.

  • Always wear a grounded wrist strap, connected to a grounded conductive table mat, having a 1 MΩ resistor in series with it, when making test setup connections.

  • Always wear a heel strap when working in an area with a conductive floor. If you are uncertain about the conductivity of your floor, wear a heel strap.

  • Always ground yourself before you clean, inspect, or make a connection to a static-sensitive device or test port. You can, for example, grasp the grounded outer shell of the test port or cable connector briefly.

  • Always ground the center conductor of a test cable before making a connection to the analyzer test port or other static-sensitive device. This can be done as follows:

    1. Connect a short (from your calibration kit) to one end of the cable to short the center conductor to the outer conductor.

    2. While wearing a grounded wrist strap, grasp the outer shell of the cable connector.

    3. Connect the other end of the cable to the test port and remove the short from the cable.

See Analyzer Accessories for ESD part numbers.


Output Power

Absolute Output Power

An absolute output-power measurement displays absolute power versus frequency.

  • What is Absolute Output Power?

  • Why Measure Absolute Output Power?

  • Accuracy Considerations

  • How to Measure Absolute Output Power

See other Amplifier Parameters topics

What is Absolute Output Power?

An absolute-output power measurement displays the power present at the analyzer's input port. This power is absolute-it is not referenced (ratioed) to the incident or source power. In the log mag format, values associated with the grid's vertical axis are in units of dBm, which is the power measured in reference to 1 mW.

  • 0 dBm = 1 mW

  • -10 dBm = 100 mW

  • +10 dBm = 10 mW

In the linear mag format, values associated with the grid's vertical axis are in units of watts (W).

Why Measure Absolute Output Power?

Absolute output power is measured when the amplifier's output must be quantified as absolute power rather than a ratioed relative power measurement. For example, during a gain compression measurement, it is typical to also measure absolute output power. This shows the absolute power out of the amplifier where 1-dB compression occurs.

Accuracy Considerations

The output power of the amplifier should be sufficiently attenuated if necessary. Too much output power could:

    • Damage the analyzer receiver

    • Exceed the input compression level of the analyzer receiver, resulting in inaccurate measurements.

Attenuation of the amplifier's output power can be accomplished using either attenuators or couplers

The amplifier may respond very differently at various temperatures. The tests should be done when the amplifier is at the desired operating temperature.

How to Measure Absolute Power

Do the following to measure absolute output power:

  1. Preset the analyzer.

  2. Select an unratioed power measurement (receiver B). Learn how.

  3. Set the analyzer's source power to 0 dBm.

  4. Select an external attenuator (if needed) so the amplifier's output power will be sufficiently attenuated to avoid causing receiver compression or damage to the analyzer's port-2.

  5. Connect the amplifier as shown in the following graphic, and provide the dc bias.

  6. Select the analyzer settings for your amplifier under test.

  7. Remove the amplifier and connect the measurement ports together. Store the data to memory. Be sure to include the attenuator and cables in the test setup if they will be used when measuring the amplifier.

  8. Save the instrument state to memory.

  9. Reconnect the amplifier.

  10. Select the data math function Data/Memory.

  11. Scale the displayed measurement for optimum viewing and use a marker to measure the absolute output-power at a desired frequency.

  12. Print or save the data to a disk.

Last modified:

25-Jul-2014

First Release


Amplifier Parameters

Amplifier Parameters Reference

  • Gain

  • Gain Flatness

  • Reverse Isolation

  • Gain Drift Versus Time

  • Deviation from Linear Phase

  • Group Delay

  • Return Loss (SWR, r)

  • Complex Impedance

  • Gain Compression

  • AM-to-PM Conversion

See Also

  • High-Gain Amplifiers

  • High Power with VNA

Gain

The ratio of the amplifier's output power (delivered to a Z0 load ) to the input power (delivered from a Z0 source). Z0 is the characteristic impedance , in this case, 50W.

For small signal levels, the output power of the amplifier is proportional to the input power. Small signal gain is the gain in this linear region.

As the input power level increases and the amplifier approaches saturation, the output power reaches a limit and the gain drops. Large signal gain is the gain in this nonlinear region. See Gain Compression.

Gain Flatness

The variation of the gain over the frequency range of the amplifier. See Small Signal Gain and Flatness.

Reverse Isolation

The measure of transmission from output to input. Similar to the gain measurement except the signal stimulus is applied to the output of the amplifier. See Reverse Isolation.

Gain Drift versus Time (temperature, bias)

The maximum variation of gain as a function of time, with all other parameters held constant. Gain drift is also observed with respect to other parameter changes such as temperature, humidity or bias voltage.

Deviation from Linear Phase

The amount of variation from a linear phase shift. Ideally, the phase shift through an amplifier is a linear function of frequency. See Deviation from Linear Phase.

Group Delay

The measure of the transit time through the amplifier as a function of frequency. A perfectly linear phase shift would have a constant rate of change with respect to frequency, yielding a constant group delay. See Group Delay.

Return Loss (SWR, r)

The measure of the reflection mismatch at the input or output of the amplifier relative to the system Z0 characteristic impedance.

Complex Impedance

Complex impedance (1+G). The amount of reflected energy from an amplifier is directly related to its impedance. Complex impedance consists of both a resistive and a reactive component. It is derived from the characteristic impedance of the system and the reflection coefficient. See Complex Impedance.

Gain Compression

See Gain Compression Application.

AM-to-PM Conversion Coefficient

The amount of phase change generated in the output signal of an amplifier as a result of an amplitude change of the input signal.

The AM-to-PM conversion coefficient is expressed in units of degrees/dB at a given power level (usually P1dB, which is the 1 dB gain compression point). See AM-PM Conversion.


Balanced Measurements

  • What are Balanced Devices?

  • Differential and Common Modes Model

  • Measuring Mixed Mode (Balanced) S-Parameters

  • Measuring Imbalance Parameters

  • Measuring CMRR

  • Port Mapping

  • Calibrating Balanced Measurements

  • How the VNA makes Balanced Measurements

Other Measurement Setup Topics

What are Balanced Devices?

Standard Single-ended devices generally have one input port and one output port. Signals on the input and output ports are referenced to ground.

Balanced devices have two pins on either the input, the output, or both. The signal of interest is the difference and average of the two input or output lines, not referenced to ground.

Differential and Common Modes Model

On balanced devices, the signal of interest is the difference and average of the two input or output lines. In balanced device terminology, these signals are known as the Differential and Common modes.

The following model shows how two signals (A and B) combine to create Differential and Common mode signals:

  • Signal A is fixed at 1V peak

  • Signal B is selectable

  • Differential is calculated as A minus B

  • Common is calculated as the AVERAGE of A and B

Note: Click Signal B selections to see various Differential and Common signals.

Signal A =1V |  |
 | Differential (A - B) | Common (Avg) (A + B) / 2
Signal B = SELECTABLE | Calculations
Single-ended0V | 1 - 0 = 1 | (1 + 0)/2 = .5
180° Out of Phase.1V | 1 - (-1) = 2 | (1 + (-1))/2 = 0
180° Out of Phase 2V | 1 - (-2) = 3 | (1 + (-2))/2 = -.5
In Phase 1V | 1 - 1 = 0 | (1 + 1)/2 = 1
In Phase 2V | 1 - 2 = -1 | (1 + 2)/2 = 1.5

Notes:

  • Even when Signal B is 0V, like a Single -ended signal, there is still a unique Differential and Common mode representation of the two individual signals.

  • The above model does not show a DUT. The difference and average of two signals can be calculated for both the balanced INPUT and balanced OUTPUT of a device.

Measuring Mixed Mode (Balanced) S-Parameters

Mixed mode S-parameters combine traditional S-parameter notation with balanced measurement terminology.

Some balanced devices are designed to amplify the differential component and reject the common component. This allows noise that is common to both inputs to be virtually eliminated from the output. For example, a balanced device may amplify the differential signal by a factor of 5, and attenuate the common signal by a factor of 5. Using traditional S-parameter notation, an S21 is a ratio measurement of the device Output / device Input. Mixing this with balanced terminology, we could view the amplifier's Differential Output signal / Differential Input signal. To see this parameter on the VNA, we would select an Sdd21 measurement using the following balanced notation:

Sabxy -

Where

a - device output mode

b - device input mode

(choose from the following for both a and b:)

    • d - differential

    • c - common

    • s - single ended

x - device output "logical" port number

y - device input "logical" port number

See Also

Logical port mapping

Port mapping with External Test Sets

Measuring Imbalance Parameters

Imbalance is a measure of how well two physical ports that make up a balanced port are matched. With a perfectly balanced port, the same amount of energy flows to both ports and the magnitude of the ratio of these ports is 1.

The notation is similar to traditional S-parameters. In the following diagrams, the letters a, b, c, and d are used because any VNA port can be assigned to any logical port using the port mapping process.

For example, in the following single-ended - balanced formula, Sba indicates the device output port is logical port b and the input port is logical port a.

Imbalance parameter when measuring a single-ended - balanced device.

Imbalance parameter when measuring a balanced - single-ended device.

Imbalance1 to 4 parameters when measuring a balanced - balanced device.

Imbalance1 and Imbalance2 parameters when measuring a single-ended - single-ended - balanced device.

Measuring CMRR (Common Mode Rejection Ratio)

CMRR is a ratio of the transmission characteristic in differential mode over the transmission characteristic in the common mode of the balanced port as the measurement parameter. A high value indicates more rejection of common mode, which is desirable in a device that transmits information in the differential portion of the signal. The table below shows the CMRR parameter you can select when measuring each balanced device.

Single-ended - balanced device | Sds21 --------- Scs21 | and | Ssd12 --------- Ssc12
Balanced - single-ended device | Ssd21 --------- Ssc21 | and | Sds12 --------- Scs12
Balanced - balanced device | Sdd21 --------- Scc21 |  |
Single-ended - single-ended - balanced device | Sds31 --------- Scs31 | and | Sds32 --------- Scs32

Device Topology and Port Mapping

As we have seen on balanced inputs and outputs, the signal of interest is the difference or average of two BALANCED input or BALANCED output lines. It is also possible to have single-ended ports AND balanced ports on the same device. The two balanced input or output lines are referred to as a single "logical" port.

When configuring a balanced measurement on the VNA, select a device 'topology'. Then map each VNA test port to the DUT ports. The VNA assigns "logical ports". See how to set device topology in the VNA.

The following device topologies can be measured by a 4-port VNA.

  • Balanced / Balanced
    (2 logical ports - 4 physical ports)

  • Single-ended / Balanced
    (2 logical ports - 3 physical ports)

  • Balanced / Single-ended
    (2 logical ports - 3 physical ports)

  • Single-ended - Single-ended / Balanced
    (3 logical ports - 4 physical ports)

These topologies can be used in the reverse (<==) direction to measure:

  • Balanced / Single-ended topology

  • Balanced / Single-ended - Single-ended topology

For example, to measure a Balanced / Single-ended topology, measure the S12 (reverse direction) of a Single-ended / Balanced topology.

Calibrating Balanced Measurements

Balanced measurements are calibrated in the same manner as single-ended (standard) measurements. However, for highest accuracy, you must choose Thru paths so that each transmission path of the balanced measurement is represented. For a Balanced/Balanced topology, this means that FOUR Thru connections should be made.

For example (see following image):

  • Balanced Port 1 is ports 1 and 3

  • Balanced Port 2 is ports 2 and 4

  • Thru paths to be calibrated should be: 12, 14, 32, 34.

  • Paths 13, and 24 are less important.

To select Thru paths:

  1. From SmartCal, on the Select DUT Connectors and Cal Kits page, check Modify Cal.

  2. Click Next to see the following Cal Wizard page:

How the VNA makes Balanced Measurements

When using standard Balanced measurements, the VNA does not provide true balanced measurements by stimulating both balanced inputs together and measuring both outputs relative to one another. Instead, the VNA makes only Single-ended measurements. On a Balanced/ Balanced device, it stimulates each input and measures each output individually. From the output data, the VNA calculates the Differential and Common outputs from the DUT using the same math formulas as the above model. However, all measurements and calculations on the VNA are performed in frequency domain using complex (magnitude and phase) data. The Balanced S-parameter display data is then calculated from the Differential and Common inputs and outputs.

I

Last Modified:

5-Jan-2016

First Release


Complex Impedance

When making an S11 or S22 measurement of your device under test, you can view complex-impedance data such as series resistance and reactance as well as phase and magnitude information. Complex impedance data can be viewed using either the Smith Chart format or the Polar format.

  • What Is Complex Impedance?

  • Accuracy Considerations

  • How to Measure Complex Impedance

What Is Complex Impedance?

Complex-impedance data is information that can be determined from an S11 or S22 measurement of your device under test, such as:

  • Resistance

  • Reactance

  • Phase

  • Magnitude

The amount of power reflected from a device is directly related to the impedances of both the device and the measuring system. For example, the value of the complex reflection coefficient (G) is equal to 0 only when the device impedance and the system impedance are exactly the same (i.e. maximum power is transferred from the source to the load). Every value for G corresponds uniquely to a complex device impedance (as a function of frequency), according to the equation:

ZL= [(1 + G) / (1 - G)] ´ Z0

where ZL is your test device impedance and Z0 is the measuring system's characteristic impedance.

Complex Impedance is best viewed using either Polar or Smith Chart format.

Accuracy Considerations

  • The Smith chart is most easily understood when used with a full scale value of 1.0.

  • For greater accuracy when using markers in the Smith chart or polar formats, activate the discrete marker mode.

  • The uncertainty of reflection measurements is affected by:

    • Directivity

    • Reflection tracking

    • Source match

    • L oad m atch (with 2-port devices)

With a 2-port calibration, the effects of these factors are reduced. A 1-port calibration provides the same accuracy if the output of the device is well terminated. Refer to the graphic below for the following discussion.

  • If you connect the device between both analyzer ports, it is recommended that you use a 10 dB pad on the output of the device to improve measurement accuracy. This is not necessary if you use a 2-port calibration since it corrects for load match.

  • If you connect a two-port device to only one analyzer port, it is recommended that you use a high-quality load (such as a calibration standard) on the output of the device.

How to Measure Complex Impedance

  1. Connect the device as shown in the previous graphic.

  2. Preset the analyzer.

  3. Set up, calibrate, and perform an S11 or S22 measurement.

  4. View impedance data:

    1. Select the Smith Chart format.

    2. Scale the displayed measurement for optimum viewing.

    3. Position the marker to read the resistive and reactive components of the complex impedance at any point along the trace.

    4. Print the data or save it to a disk.

  5. View the magnitude and phase of the reflection coefficient:

    1. Select the Smith chart format or the Polar format.

    2. Select either Lin Marker or Log Marker formats.

    3. Scale the displayed measurement for optimum viewing.

    4. Position the marker to read the frequency, magnitude, and phase of the reflection coefficient (G) at any point along the trace.

    5. Print the data or save it to a disk.


Comparing the VNA "Delay" Functions

The VNA has three Delay functions which are similar but are used in different ways.

1. Group Delay format is used to display the Group Delay of a network. Group Delay is defined as:

-d(phi)/d(omega) -- where phi is radian angle, and omega is radian frequency.

Since it is defined by a derivative, the value must be determined from an analytic function. However, the VNA makes discrete measurements, so we approximate the group delay by taking the finite difference:

-(1/360)*delta(phi)/delta(f) -- where phi is degree angle and f is frequency in Hz. The 1/360 does the proper conversion of degrees to radians and Hz frequency to radian frequency.

From this we can see that, if the phase response of a network varies with frequency, then the Group Delay must vary as well. In fact, many filters are specified by the variation of their Group Delay.

If we measure the phase response of a lossless cable, it should be a straight line. But, of course, nothing is perfect. The phase response will have a small amount of noise. This is due to trace noise of the VNA, and the loss with real cables or transmission lines, which causes a small amount of non-linear phase change with frequency. So, if we look at the Group Delay of a cable, we will see a small amount of variation. Also, if the frequency spacing is small enough when you make the measurement, the delta(f) in the denominator becomes very small, so the delay can have wide swings with just a little noise.

To overcome this issue, we sometimes add smoothing to a phase trace, which widens the effective delta(f), called the aperture, and provides a less noisy Group Delay response. The Group Delay of a device is only valid for a given frequency aperture. Learn more about Group Delay.

2. Electrical Delay function. On many filters, the passband response is specified for a maximum value of "Deviation from Linear Phase". When looking at the passband of a multi-pole filter, one sees the phase changing very rapidly. This makes it difficult to determine the linearity of the phase response. The Electrical Delay function subtracts out a "LINEAR PHASE" equivalent to the delay time value computed as above. When you use this function, you dial in the Linear Delay such that a CONSTANT PHASE SLOPE is removed from the phase trace, until the phase trace is mostly flat. The remaining variation is the deviation from linear phase.

To make this task a little less tedious, the VNA has a marker function called Marker =>> Delay. This function computes the Group Delay value at the marker position, using a 20% smoothing aperture, then changes the Electrical Delay value to this value. Obviously, if the phase trace is not perfectly linear, moving the marker and recomputing the delay will result in different values. The phase slope added by the electrical delay function applies only to the current measurement. That is, each measurement (S11, S22, S12, S21) can have its own value of electrical delay. Learn more about Deviation from Linear Phase.

3. Port Extension is a function that is similar to calibration. It applies to all the traces in a given channel. It compensates for the phase response change that occurs when the calibration reference plane is not the same as the measurement plane of the device.

Let's look at an example of a DUT that is mounted on a PCB fixture with SMA connectors. We can easily calibrate at the SMA connectors. But if we add the fixture to measure the board-mounted device, the apparent phase of the DUT is changed by the phase of the PCB fixture. We use port extensions to add a LINEAR PHASE (constant delay) to the calibration routines to shift the phase reference plane to that of the DUT. This is ONLY valid if the fixture consists of a transmission line with linear phase response, and this limitation is usually met in practice. The main reason that it is NOT met is that there is mismatch at the SMA-to-PCB interface. This mismatch was not removed with the error correction because it occurs AFTER the SMA connector. Ripple can be seen on the display as signals bounce back and forth between the mismatch and the DUT. If the DUT is well matched, the ripple effect is very small. However, when we use Automatic Port Extension (APE), and we leave the fixture open (the DUT removed), the reflection is large and we see larger ripples. That is why APE uses a curve fitting process to remove the effects of the ripple. For best effect, the wider the IF Bandwidth, the better we can "smooth-out" the ripples with curve fitting. Still, we are fitting a LINEAR PHASE SLOPE to the phase response, and thus we use only a single Port Extension Delay value to represent the phase slope.

The method used by older VNAs to get this same functionality was to add a mechanical line stretcher to the reference channel, which removed a fixed delay amount from the port. Port extensions give 1x the delay for transmission at each port, and 2x the delay for reflection, so it differs somewhat from Electrical Delay above, in that the math function depends upon the measurement being made. The signal passes twice through the fixture for reflection (out and back), but only once for each port on transmission. For S21, the phase slope added is the sum of the port 1 and port 2 Port Extension Delay values.

The "User Range" APE function is used in cases where a fixture has limited bandwidth, perhaps due to tuning elements or bias elements. In this case, the model of constant delay for the fixture over the whole bandwidth is not valid, so a narrower "User Range" of frequencies can be selected to compute the delay. Since the aperture is smaller, there is more uncertainty in the delay computation for port extension. Also, for those who had been using the Marker =>> Delay function to estimate the delay, we added the "Active Marker" selection to APE, which works exactly the same as Marker->Delay. Learn more about Automatic Port Extensions.


Deviation from Linear Phase

Deviation from linear phase is a measure of phase distortion. The electrical delay feature of the analyzer is used to remove the linear portion of the phase shift from the measurement. This results in a high-resolution display of the non-linear portion of the phase shift (deviation from linear phase).

  • What Is Linear Phase Shift?

  • What Is Deviation from Linear Phase?

  • Why Measure Deviation from Linear Phase?

  • Using Electrical Delay

  • Accuracy Considerations

See also Comparing the VNA Delay Functions

See other Tutorials

What Is Linear Phase Shift?

Phase shift occurs because the wavelengths that occupy the electrical length of the device get shorter as the frequency of the incident signal increases. Linear phase-shift occurs when the phase response of a device is linearly proportional to frequency. Displayed on the analyzer, the phase-versus-frequency measurement trace of this ideal linear phase shift is a straight line. The slope is proportional to the electrical length of the device. Linear phase shift is necessary (along with a flat magnitude response) for distortionless transmission of signals.

What Is Deviation from Linear Phase?

In actual practice, many electrical or electronic devices will delay some frequencies more than others, creating non-linear phase-shift (distortion in signals consisting of multiple-frequency components). Measuring deviation from linear phase is a way to quantify this non-linear phase shift.

Since it is only the deviation from linear phase which causes phase distortion, it is desirable to remove the linear portion of the phase response from the measurement. This can be accomplished by using the electrical delay feature of the analyzer to mathematically cancel the electrical length of the device under test. What remains is the deviation from linear phase, or phase distortion.

Why Measure Deviation from Linear Phase?

The deviation from linear phase measurement accomplishes the following:

  • Presents data in units of phase rather than units of seconds (group delay). For devices that pass modulated signals, units of phase may be most practical.

  • Provides a less noisy measurement than a group delay measurement.

Using Electrical Delay

The electrical delay feature is the electronic version of the mechanical "line stretcher" of earlier analyzers. This feature does the following:

  • Simulates a variable-length lossless transmission line, which is effectively added to or removed from the reference signal path.

  • Compensates for the electrical length of the device under test.

  • Flattens the measurement trace on the analyzer's display. This allows the trace to be viewed at high resolution in order to see the details of the phase nonlinearity.

  • Provides a convenient method to view the deviation from linear phase of the device under test. See the following graphic.

Learn how to set Electrical Delay.

Accuracy Considerations

The frequency response of the test setup is the dominant error in a deviation from linear phase measurement. To reduce this error, perform a 2-port measurement calibration.

How to Measure Deviation from Linear Phase:

  1. Preset the analyzer.

  2. If your device under test is an amplifier, it may be necessary to adjust the analyzer's source power:

    • Set the analyzer's source power to be in the linear region of the amplifier's output response (typically 10-dB below the 1-dB compression point).

    • Select an external attenuator (if needed) so the amplifier's output power will be sufficiently attenuated to avoid causing receiver compression or damage to the analyzer's port 2.

  3. Connect the device under test as shown in the following graphic.

  3. Select an S21 measurement.

  4. Select the settings for your device under test, including the following:

    • Format: phase

    • Scale: autoscale

  5. Remove the device and perform a calibration.

  6. Reconnect the device.

  7. Scale the displayed measurement for optimum viewing.

  8. Create a marker in the middle of the trace.

  9. Press the >Delay key to invoke the Marker to Electrical Delay function. This flattens the phase trace.

  10. If desired, on the Scale menu, click Electrical Delay to fine-tune the flatness of the phase trace.

  11. Use the markers to measure the maximum peak-to-peak deviation from linear phase.

  12. Print the data or save it to a disk.


Gain and Flatness

Small Signal Gain and Flatness

Small signal gain is the gain in the amplifier's linear region of operation. This is typically measured at a constant input power over a swept frequency. Gain flatness is the measure of the variation of gain over a specified frequency range.

  • What Is Gain?

  • What Is Flatness?

  • Why Measure Gain and Flatness?

  • Accuracy Considerations

  • How to Measure Gain and Flatness

See other Amplifier Parameter topics

What Is Gain?

RF amplifier gain is defined as the difference in power between the amplifier output signal and the input signal. It is assumed that both input and output impedances of the amplifier are the same as the characteristic impedance of the system.

  • Gain is called S21 using S-parameter terminology

  • Gain is expressed in dB-a logarithmic ratio of the output power relative to the input power.

  • Gain can be calculated by subtracting the input from the output levels when both are expressed in dBm, which is power relative to 1 milliwatt.

  • Amplifier gain is most commonly specified as a minimum value over a specified frequency range. Some amplifiers specify both minimum and maximum gain, to ensure that subsequent stages in a system are not under or over driven.

What Is Flatness?

F latness specifies how much the amplifier's gain can vary over the specified frequency range. Variations in the flatness of the amplifier's gain can cause distortion of signals passing through the amplifier.

Why Measure Small-Signal Gain and Flatness?

Deviations in gain over the bandwidth of interest will induce distortion in the transmitted signal because frequency components are not amplified equally. Small-signal gain allows you to quantify the amplifier's gain at a particular frequency in a 50-ohm system. Flatness allows you to view the deviations in the amplifier's gain over a specified frequency range in a 50-ohm system.

Accuracy Considerations

  • The amplifier may respond very differently at various temperatures. The tests should be done when the amplifier is at the desired operating temperature.

  • The output power of the amplifier should be sufficiently attenuated if necessary. Too much output power could:

    • damage the analyzer receiver

    • exceed the input compression level of the analyzer receiver, resulting in inaccurate measurements.

A ttenuation of the amplifier's output power can be accomplished using:

    • attenuators

    • couplers

The frequency-response effects and mismatches of the attenuators and couplers must be accounted for during calibration since they are part of the test system. Proper error-correction techniques can reduce these effects.

  • The frequency response is the dominant error in a small-signal gain and flatness measurement setup. Performing a thru-response measurement calibration significantly reduces this error. For greater accuracy, perform a 2-port measurement calibration.

  • Reducing IF bandwidth or using averaging improves measurement d ynamic range and accuracy, at the expense of measurement speed.

How to Measure Gain and Flatness

  1. Preset the analyzer.

  2. Select an S21 measurement parameter.

  3. Set the analyzer's source power to be in the linear region of the amplifier's output response (typically 10-dB below the 1-dB compression point).

  4. Select an external attenuator (if needed) so the amplifier's output power will be sufficiently attenuated to avoid causing receiver compression or damage to the analyzer's port-2.

  5. Connect the amplifier as shown in the following graphic, and provide the dc bias.

  6. Select the analyzer settings for your amplifier under test.

  7. Remove the amplifier and perform a measurement calibration. Be sure to include the attenuator and cables in the calibration setup if they will be used when measuring the amplifier.

  8. Save the instrument-state to memory.

  9. Reconnect the amplifier.

  10. Scale the displayed measurement for optimum viewing and use a marker to measure the small signal gain at a desired frequency.

  11. Measure the gain flatness over a frequency range by using markers to view the peak-to-peak ripple.

  12. Print or save the data to a disk.

  13. This type of measurement can be automated.


Group Delay

Group delay is a measure of phase distortion. Group delay is the actual transit time of a signal through a device under test as a function of frequency. When specifying group delay, it is important to specify the aperture used for the measurement.

  • What is Group Delay?

  • Group Delay versus Deviation from Linear Phase

  • What Is Aperture?

  • Accuracy Considerations

  • How to Measure Group Delay

See also Comparing the VNA Delay Functions.

See other Amplifier Parameter topics

What Is Group Delay?

Group delay is:

  • A measure of device phase distortion.

  • The transit time of a signal through a device versus frequency.

  • The derivative of the device's phase characteristic with respect to frequency.

Refer to the graphic below for the following discussion:

The phase characteristic of a device typically consists of both linear and higher order (deviations from linear) phase-shift components.

Linear phase-shift component: | Higher-order phase-shift component:
Represents average signal transit time. | Represents variations in transit time for different frequencies.
Attributed to electrical length of test device. | Source of signal distortion.

Refer to the graphic below for the following discussion:

In a group delay measurement:

  • The linear phase shift component is converted to a constant value (representing the average delay).

  • The higher order phase shift component is transformed into deviations from constant group delay (or group delay ripple).

  • The deviations in group delay cause signal distortion, just as deviations from linear phase cause distortion.

  • The measurement trace depicts the amount of time it takes for each frequency to travel through the device under test.

Refer to the following equation for this discussion on how the VNA computes group delay:

  • Phase data is used to find the phase change (-df).

  • A specified frequency aperture is used to find the frequency change (dw).

  • Using the two values above, an approximation is calculated for the rate of change of phase with frequency.

  • This approximation represents group delay in seconds (assuming linear phase change over the specified frequency aperture).

Group Delay versus Deviation from Linear Phase

Group delay is often a more accurate indication of phase distortion than Deviation from Linear Phase.

Deviation from linear phase results are shown in the upper region of the following graphic: Device 1 and device 2 have the same value, despite different appearances.

Group Delay results are shown in the lower region: Device 1 and device 2 have different values of group delay. This is because in determining group delay, the analyzer calculates slope of phase ripple, which is dependent on number of ripples which occur per unit of frequency.

What Is Aperture?

During a group delay measurement, the VNA measures the phase at two closely spaced frequencies and then computes the phase slope. The frequency interval (frequency delta) between the two phase measurement points is called the aperture. Changing the aperture can result in different values of group delay. The computed slope ( -delta phase / delta frequency) varies as the aperture is increased. This is why when you are comparing group delay data, you must know the aperture that was used to make the measurements.

Refer to the graphic below for the following discussion:

Narrow aperture: | Wide aperture:
Provides more detail in phase linearity. | Provides less detail in phase linearity because some phase response averaged-out or not measured.
Makes measurement susceptible to noise (smaller signal-to-noise ratio) and VNA phase detector resolution. | Makes measurement less susceptible to noise (larger signal-to-noise ratio).

Group delay measurements can be made using the following sweep types:

  • Linear frequency

  • List frequency sweep segment - The group delay aperture varies depending on the frequency spacing and point density. Therefore the aperture is not constant in segment sweep. In segment sweep, extra frequency points can be defined to ensure the desired aperture.

How to set Group Delay Aperture

Using Hardkey/SoftTab/Softkey

  1. Press Format > Format 1 > Group Delay Aperture...

or

  1. Press Ave > Delay Aperture.

  2. Press the desired softkey and set the value.

Ave > Group Delay / Group Delay Aperture dialog box help

Although the Group Delay Aperture is defined as the difference in frequency between two data points (see What Is Aperture?), the group delay calculation can be averaged over many adjacent data points, similar to the VNA smoothing feature. The number of adjacent data points can be set using any of the following methods:

Note: You can change the default Group Delay Aperture to two points using a VNA Preference. Learn how.

Points Number of adjacent data points to average. Default setting is 11 points. Choose a value between 2 and the current number of points in the channel.

Percent of Span The data points within this percentage of the current frequency span are averaged. Choose a value between (2 points / current number of points) and 100 percent. The span must contain at least two data points.

Frequency The data points within this frequency range are averaged. The frequency range must contain at least two data points.

When the frequency span or number of points is reduced so that the current Group Delay Aperture is NOT attainable, the Aperture is adjusted to the new frequency span or number of points.

OK Applies setting changes and closes the dialog box.

Cancel Closes the dialog. Setting changes are NOT applied.

Accuracy Considerations

It is important to keep the phase difference between two adjacent measurement points less than 180° (see the following graphic). Otherwise, incorrect phase and delay information may result. Undersampling may occur when measuring devices with long electrical length. You can verify that the phase difference measured between two adjacent points is less than 180° by adjusting the following settings until the measurement trace no longer changes:

  • Increase the number of points

  • Narrow the frequency span

Electrical delay may also be used to compensate for this effect.

The frequency response is the dominant error in a group delay test setup. Performing a thru-response measurement calibration significantly reduces this error. For greater accuracy, perform a 2-port measurement calibration.

Particularly for an amplifier, the response may vary differently at various temperatures. The tests should be done when the amplifier is at the desired operating temperature.

How to Measure Group Delay

  1. Preset the analyzer.

  2. If your DUT is an amplifier, it may be necessary to adjust the VNA source power:

    • Set the source power to be in the linear region of the amplifier's output response, typically 10 dB below the 1 dB compression point.

    • If needed, use an external attenuator so the amplifier output power will be sufficiently attenuated to avoid causing receiver compression or damage to the VNA port 2.

  3. Connect the DUT as shown in the following graphic.

  4. Select an S21 measurement.

  5. Select the settings for your DUT:

    • frequency range

    • number of measurement points.

    • format: delay

    • scale: autoscale

  6. Remove the DUT and perform a measurement calibration.

  7. Reconnect the DUT.

  8. Scale the displayed measurement for optimum viewing.

  9. Use the Group Delay Aperture setting to increase the aperture, reducing noise on the trace while maintaining meaningful detail.

  10. Use the markers to measure group delay (expressed in seconds) at a particular frequency of interest.

  11. Print the data or save it to a disk.

Last Modified:

25-Jul-2014

First Release


Phase Measurements

Knowledge of both magnitude and phase characteristics is needed for successful higher-level component integration.

  • What are Phase Measurements?

  • Why Measure Phase?

  • Using the Analyzer's Phase Format

  • Types of Phase Measurements

See other Tutorials

What are Phase Measurements?

Phase measurements are made using S-parameters, just like amplitude measurements. A phase measurement is a relative (ratio) measurement and not an absolute measurement. Phase measurements compare the phase of the signal going into a device (the incident signal) to the phase of the device's response signal. The response signal can be either reflected or transmitted. Assuming an accurate calibration has been performed, the difference in phase between the two signals (known as phase shift) is a result of the electrical characteristics of the device under test.

The following graphic shows the phase shift (in time or degrees) between an incident signal and a transmitted signal (as might be seen on an oscilloscope display).

Why Measure Phase?

Measuring phase is a critical element of network analysis. The following graphic lists five reasons for measuring both magnitude and phase.

When used in communications systems to pass signals, components or circuits must not cause excessive signal distortion. This distortion can be:

  • Linear, where flat magnitude and linear phase shift versus frequency is not maintained over the bandwidth of interest.

  • Nonlinear, such as AM-to-PM conversion.

It is important to measure how reflective a component or circuit is, to ensure that it transmits or absorbs energy efficiently. Measuring the complex impedance of an antenna is a good example.

Using the Analyzer's Phase Format

The analyzer's phase format displays a phase-versus-frequency or phase-versus-power measurement. The analyzer does not display more than ±180 degrees phase difference between the reference and test signals. As the phase value varies between +180 degrees and -180 degrees, the analyzer display creates the sawtooth pattern as shown in the following graphic.

The sawtooth pattern does not always reach +180 degrees and -180 degrees. This is because the measurement is made at discrete frequencies, and the data point at +180 degrees and -180 degrees may not be measured for the selected sweep.

Types of Phase Measurements

Complex impedance data is information such as resistance, reactance, phase, and magnitude that can be determined from an S11 or S22 measurement. Complex impedance data can be viewed using either the Smith Chart format or the Polar format.

AM-to-PM conversion is a measure of the amount of undesired phase deviation (PM) that is caused by amplitude variations (AM) of the system. AM-to-PM conversion is usually defined as the change in output phase for a 1-dB increment in the input power to an amplifier (i.e. at the 1 dB gain compression point). This is expressed in degrees-per-dB (°/dB).

Deviation from linear phase is a measure of phase distortion caused by a device. Ideally, the phase shift through a device is a linear function of frequency. The amount of variation from this theoretical phase shift is known as its deviation from linear phase (also called phase linearity).

Group delay is another way to look at phase distortion caused by a device. Group delay is a measure of transit time through a device at a particular frequency. The analyzer computes group delay from the derivative of the measured phase response.

Deviation from Linear Phase Versus Group Delay

Although deviation from linear phase and group delay are similar measurements, they each have their purpose.

The following are the advantages of deviation from linear phase measurements:

  • Less noisy than group delay.

  • Able to characterize devices that pass phase modulated signals, and show units of phase rather than units of seconds.

The following are the advantages of group delay measurements:

  • More easily interpreted indication of phase distortion than deviation from linear p hase.

  • Able to most accurately characterize a device under test. This is because in determining group delay, the analyzer calculates the slope of the phase ripple, which is dependent on the number of ripples which occur per unit of frequency. Comparing two phase responses with equal peak-to-peak phase ripple, the response with the larger phase slope results in:

    • More group delay variation.

    • More signal distortion.

See also Comparing the VNA Delay Functions.


Reverse Isolation

Reverse i solation is a measure of amplifier reverse transmission response- from output to input.

  • What is Reverse Isolation

  • Why Measure Reverse Isolation?

  • Accuracy Considerations

  • How to Measure Reverse Isolation

See other Tutorials

What is Reverse Isolation?

Reverse isolation is a measure of how well a signal applied to the device output is "isolated" from its input.

The measurement of reverse isolation is similar to that of forward gain, except:

  • The stimulus signal is applied to the amplifier's output port.

  • The response is measured at the amplifier's input port.

The equivalent S-parameter is S12.

Why Measure Reverse Isolation?

An ideal amplifier would have infinite reverse isolation-no signal would be transmitted from the output back to the input. However, reflected signals can pass through the amplifier in the reverse direction. This unwanted reverse transmission can cause the reflected signals to interfere with the desired fundamental signal flowing in the forward direction. Therefore, reverse isolation is important to quantify.

Accuracy Considerations

Since amplifiers often exhibit high loss in the reverse direction, generally there is no need for any attenuation that may have been used to protect the port 2 receiver during forward transmission measurements. Removing the attenuation will:

  • Increase the d ynamic range, resulting in improved measurement accuracy.

  • Require a new calibration for maximum accuracy.

The RF source power can be increased to provide more dynamic range and accuracy.

Note: With the attenuation removed and the RF source power increased, a forward sweep could damage the analyzer's port 2 receiver. Do not perform a forward sweep or use 2-port calibration unless the forward power is set low enough to avoid causing port 2 receiver compression or damage.

If the i solation of the amplifier under test is very large, the transmitted signal level may be near the noise floor or c rosstalk level of the receiver. To lower the noise floor:

  • Use or increase measurement averages.

  • Reduce the IF bandwidth of the analyzer.

Note: Reducing IF bandwidth or using averaging improves measurement dynamic range and accuracy, at the expense of reduced measurement speed.

  • When crosstalk levels affect the measurement accuracy, reduce the crosstalk error term by performing a response and isolation calibration. When performing the isolation part of the calibration it is important to use the same average factor and IF bandwidth during the calibration and measurement.

  • The frequency response of the test setup is the dominant error in a reverse isolation measurement. Performing a thru-response measurement calibration significantly reduces this error. This calibration can be done as part of the response and isolation calibration.

  • The amplifier may respond very differently at various temperatures. The tests should be done when the amplifier is at the desired operating temperature.

How to Measure Reverse Isolation

  1. Connect the amplifier as shown in the following graphic.

  2. Preset the analyzer.

  3. Select an S12 measurement.

  4. Select the settings for your amplifier under test.

  5. Remove the amplifier and perform a thru-response calibration or a response and i solation calibration.

  6. Scale the displayed measurement for optimum viewing and use a marker to measure the reverse isolation at a desired frequency.

  7. Print or save the data to a disk.


Reflection Measurements

Reflection measurements are an important part of network analysis.

  • What are Reflection Measurements?

  • Why Make Reflection Measurements?

  • Expressing Reflected Waves

    • Return Loss

    • VSWR

    • Reflection Coefficient

    • Impedance

    • Summary of Expressions

See other Tutorials

What are Reflection Measurements?

To understand reflection measurements, it is helpful to think of traveling waves along a transmission line in terms of a lightwave analogy. We can imagine incident light striking some optical component like a clear lens. Some of the light is reflected off the surface of the lens, but most of the light continues on through the lens. If the lens had mirrored surfaces, then most of the light would be reflected and little or none would be transmitted.

1. Incident 2. Reflected 3. Transmitted

With RF energy, reflections occur when the impedance of two mated devices are not the same. A reflection measurement is the ratio of the reflected signal to the incident signal. Network analyzers measure the incident wave with the R (for reference) channel and the reflected wave with the A channel. Therefore, reflection is often shown as the ratio of A over R (A/R). We can completely quantify the reflection characteristics of our device under test (DUT) with the amplitude and phase information available at both the A and R channel. In S-parameter terminology, S11 is a reflection measurement of port1 of the device (the input port); S22 is a reflection measurement of the port 2 (the output port)

Why Make Reflection Measurements?

One reason we make reflection measurements to assure efficient transfer of RF power. We do this because:

  1. RF energy is not cheap. When energy is reflected, that means less energy is transmitted to where it is intended to go.

  2. If the reflected energy is large, it can damage components, like amplifiers.

For example, in the following graphic, the radio station on the left is not operating at peak efficiency. The amplifier impedance is not the same as the transmission line, and the transmission line impedance is not the same as the antenna. Both of these conditions cause high reflected power. This condition results in less transmitted power, and the high reflected power could damage the amplifier.

The radio station on the right installed properly "matched" transmission line and antenna. Very little of the transmitted signal is reflected, resulting in increased broadcast power, more listeners, more advertising revenue, and more profit. The amplifier, transmission, and antenna all need to be measured to ensure that reflected power is minimized.

Expressing Reflected Waves

After making a reflection measurement, the reflection data can be expressed in a number of ways, depending on what you are trying to learn. The various expressions are all calculated by the analyzer from the same reflection measurement data. Each method of expressing reflection data can be graphically displayed in one or more formats. For more information, see display formats.

Return Loss

The easiest way to convey reflection data is return loss. Return loss is expressed in dB, and is a scalar (amplitude only) quantity. Return loss can be thought of as the absolute value or dB that the reflected signal is below the incident signal. Return loss varies between infinity for a perfect impedance match and 0 dB for an open or short circuit, or a lossless reactance. For example, using the log magnitude format on the analyzer, the measured reflection value on the screen may be -18dB. The minus sign is ignored when expressing return loss, so the component is said to have 18dB of return loss.

VSWR

Two waves traveling in opposite directions on the same transmission line cause a "standing wave". This condition can be measured in terms of the voltage standing wave ratio (VSWR or SWR for short). VSWR is defined as the maximum reflected voltage over the minimum reflected voltage at a given frequency. VSWR is a scalar (amplitude only) quantity. VSWR varies between one for a perfect match, and infinity for an open or short circuit or lossless reactance.

Reflection Coefficient

Another way of expressing reflection measurements is reflection coefficient gamma (G). Gamma includes both magnitude and phase.

The magnitude portion of gamma is called rho (r). Reflection coefficient is the ratio of the reflected signal voltage to the incident signal voltage. The range of possible values for r is between zero and one. A transmission line terminated in its characteristic impedance will have all energy transferred to the load; zero energy will be reflected and r = 0. When a transmission line terminated in a short or open circuit, all energy is reflected and r = 1. The value of rho is unitless.

Now for the phase information. At high frequencies, where the wavelength of the signal is smaller than the length of conductors, reflections are best thought of as waves moving in the opposite direction of the incident waves. The incident and reflected waves combine to produce a single "standing" wave with voltage that varies with position along the transmission line.

When a transmission line is terminated in its characteristic impedance (Zo) there is no reflected signal. All of the incident signal is transferred to the load, as shown in the following graphic. There is energy flowing in one direction along the transmission line.

 | Zo
Incident Voltage | Reflected Voltage = 0
 | (All the incident power is absorbed in the load)

When a transmission line is terminated in a short circuit termination, all of the energy is reflected back to the source. The reflected wave is equal in magnitude to the incident wave (r = 1). The voltage across any short circuit is zero volts. Therefore, the voltage of the reflected wave will be 180 degrees out of phase with the incident wave, canceling the voltage at the load.

When a transmission line is terminated in an open circuit termination, all of the energy is reflected back to the source. The reflected wave is equal in magnitude to the incident wave (r = 1). However, no current can flow in an open circuit. Therefore, the voltage of the reflected wave will be in phase with the voltage of the incident wave.

When a transmission line is terminated in a 25 ohm resistor, some but not all of the incident energy will be absorbed, and some will be reflected back towards the source. The reflected wave will have an amplitude 1/3 that of the incident wave and the voltage of the two waves will be out of phase by 180 degrees at the load. The phase relationship will change as a function of distance along the transmission line from the load. The valleys of the standing wave pattern will no longer go to zero, and the peaks will be less than that of the open / short circuit.

For more information, see Phase Measurements.

Impedance

Impedance is another way of expressing reflection data. For more information on Impedance, see Smith Charts.

Summary of the Expressions of Reflection Measurements:


Avg

Main

  • Averaging

  • Averaging Restart

  • IF Bandwidth

  • LF Auto BW

Smoothing

  • Smoothing

  • Smooth Percent

  • Smooth Points

Delay Aperture

  • Aperture Percent

  • Aperture Points

  • Aperture Freq


Cal

Main

  • Basic Cal...

  • Other Cals

    • Cal All...

    • Smart Cal...

    • E Cal...

    • Receiver Power Cal...

    • Source Power Cal...

  • Correction

  • Interpolation

  • Correction Method

  • Property

Port Extension

  • Select

  • Port Extension

  • Time

  • Distance

  • Velocity Factor

  • DC Loss

  • Port Extensions...

  • Auto Port Extend...

Cal Sets & Cal Kits

  • Cal Set...

  • Cal Set Viewer

  • Cal Kit...

  • Ecal

    • Show Connected Module

    • Restore Module Memory..

    • Confidence Check...

    • Characterize Module...

    • Manage Ecal Disk Memory...

Fixtures

  • Apply Fixtures

  • Power Comp...

  • Fixture Setup

    • Port Match...

    • Port Z...

    • 2-port DeEmbed...

    • N-port DeEmbed...

    • Diff Port Match...

    • Differential Z...

    • Common Z...

  • Cal Plane Manager...

Cal (SMC)

Main

  • SMC Cal

  • Correction

  • Interpolation

  • Correction Method

  • Property

Other Cal

  • Cal All...

  • Source Power Cal...

Last modified:

5-Jan-2016

New topic


Channel

Channel 1-8

  • Channel 1-8

Channel Setup

  • Select

  • Meas Class...

  • Add Channel

  • Copy Channel

  • Delete Channel

Last modified:

5-Jan-2016

New topic


Display

Window 1-8

  • Windows 1-8

Window Setup

  • Select: Select the desired window.

  • Window Title...

  • Add Window

  • Delete Window

  • Window Max

Sheet Setup

  • Select

  • Sheet Title...

  • Add Sheet

  • Delete Sheet

  • Sheet Layout

Display Setup

  • Customize Display...

  • Touch screen : Enable/disable touch screen operation

  • Calibration Touchscreen... : Click Calibrate button and follow the instruction to calibrate the touchscreen positioning.

  • Display Update

Last modified:

5-Jan-2016

New topic


Format

Format 1

  • Log Mag

  • Lin Mag

  • Phase

  • Delay

  • Smith

  • Polar

  • SWR

  • Group Delay Aperture...

Format 2

  • Real

  • Imaginary

  • Unwrapped Phase

  • Positive Phase

  • Inverted Smith


Freq

Main

  • Start, Stop, Center, Span, Step

  • CW

  • Frequency Offset...

Freq (SMC)

Main

  • SMC Setup...

Last modified:

5-Jan-2016

New topic


Macro

Favorite1-3

To Add a Favorite, press and hold any softkey for three seconds and select the desired Favorite number (Favorite 1 to 3).

Macro1-3

  • MWA

  • VMC

Key Setup

  • Macro Setup...

  • Clear Favorites : Clear all favorites items


Marker

Marker 1-7

  • Marker 1 to 7

  • Reference

Marker 8-15

  • Market 8 to 15

Marker Setup

  • Delta

  • Discrete

  • Type

  • Format

  • Coupled

  • Marker Display...

  • Marker Table

  • All Off

Marker -> Functions

  • Marker -> Start

  • Marker -> Stop

  • Marker -> Center

  • Marker -> Span

  • Marker -> Ref Level

  • Marker -> Delay

  • Marker -> CW Freq


Math

Memory

  • Memory -> Data

  • Normalize

  • Data Math

  • Display

  • 8510 Mode

Analysis

  • Conversions

  • Equation Editor...

  • Statistics...

  • Limits...

  • Limit Table

Time Domain

  • Transform

  • Start Time

  • Stop Time

  • Center Time

  • Span Time

  • TD Mode

  • TD Toolbar

  • Time Domain Setup...

Time Gating

  • Gating

  • Gate Start

  • Gate Stop

  • Gate Center

  • Gate Span

  • Gate Type

  • Gate Shape

  • Gating Setup...


Meas

S-param

  • Sxy

  • Meas Class...

Balanced

  • Sssxy, Sdsxy, Ssdxy, Sddxy

  • Topology

Receivers

  • A-D/R1-4 Source Port 1-4

Waves

  • a1-4/b1-4 Source Port 1-4

Auxiliary

  • AuxIn1-2 Source Port 1-4

  • AuxIn1-2 Range

Meas Setup

  • Conversions

  • Correction

  • Trace Hold

  • Equation Editor

  • Memory

  • Time Domain

Meas (SMC)

Main

  • SC21

  • SC12

  • S11

  • S22

Power

  • IPwr

  • OPwr

  • RevIPwr

  • RevOPwr


Power

Main

  • Power Level

  • RF Power

  • Start Power

  • Stop Power

  • Power and Attenuators...

Port Power

  • Select

  • Power Level

  • Start Power

  • Stop Power

  • Source State

  • Coupling

Leveling & Offset

  • Select

  • Slope

  • Offset

  • Limit

  • Offset and Limits...

Power (SMC)

Main

  • Power Level

  • RF Power

  • Power and Attenuators...

  • Mixer Setup...


Preset

Main

  • Preset

  • User Preset ...

  • Confirm Preset

Last modified:

5-Jan-2016

New topic


Save Recall

Recall

  • Recall State

  • Recall State

  • Recall State...

  • Recall Register

  • Recall Cal Set...

  • Recall Data...

  • Recall Order

Save State

  • Save State

  • Auto Save

  • Save State...

  • Save Register

  • Save Type

  • Delete State

Save Other

  • Save Calset...

  • Save Data...

  • Save Screen...

  • Save User Preset...

  • Manage Files...

Last modified:

5-Jan-2016

New topic


Scale

Main

  • Auto Scale

  • Auto Scale All

  • Scale

  • Reference Level

  • Reference Position

  • Scale Coupling

Electrical Delay

  • Delay Time

  • Delay Distance

  • Distance Units

  • Velocity Factor

  • Media

  • Waved Cutoff

Constants

  • System Z0

  • Phase Offset

  • Mag Offset

  • Mag Slope


Search

Main

  • Max Search

  • Min Search

  • Domain

  • Domain Start

  • Domain Stop

  • Tracking

Peak

  • Peak Search

  • Peak Right >> Search

  • << Peak Left Search

  • Next Peak Search

  • Threshold

  • Excursion

  • Peak Polarity

  • Tracking

Target

  • Target Search

  • Target Right >> Search

  • << Target Left Search

  • Target Value

  • Transition

  • Tracking

Multi Peak & Target

  • Multi Peak Search

  • Peak Threshold

  • Peak Excursion

  • Peak Polarity

  • Multi Target Search

  • Target Value

  • Transition

  • Tracking

Bandwidth & Notch

  • Bandwidth Search

  • BW Ref To

  • BW Level

  • Notch Search

  • Notch Ref To

  • Notch Level

  • Tracking

Comp & Sat

  • Compression Search

  • Comp Level

  • Saturation Search

  • Pmax Backoff

  • Tracking

Normal Op Pt

  • Normal OP Search

  • Backoff

  • Pin Offset

  • Tracking


Setup

Main

  • Sweep Setup...

  • Meas Class...

  • Quick Start

Layout

  • New Trace

  • New Channel

  • New Window

  • Delete

  • Select

  • Measure

  • Meas Class...

Internal Hardware

  • Interface Control..

External Hardware

  • External Device...

  • Power Meter Settings...

  • External Testset...

Last modified:

5-Jan-2016

New topic


Sweep

Main

  • Number of Points

  • Sweep Type

  • Start (Frequency sweep, Power Sweep)

  • Stop (Frequency sweep, Power Sweep)

  • Sweep Setup...

Sweep Timing

  • Sweep Time

  • Dwell Time

  • Sweep Delay

  • Sweep Mode

Source Control

  • Frequency Offset...

  • Balanced Source...

  • Shift LO

Segment Table

  • Add Segment, Insert Segment, Delete Segment, Delete All Segment

  • Segment Table...

  • Show Table

Sweep (SMC)

Main

  • Number of Points

  • X-Axis Type: Select X-Axis from Input output, LO1 or LO2.

  • Mixer Setup...

Last modified:

5-Jan-2016

New topic


System

Main

  • Show Taskbar: Show the Windows Taskbar

  • Move App to Back

  • Minimize Application

  • Exit: Exit the VNA application

  • Security...

  • Control Panel... : Open Windows Control Panel

  • Manage Files... : Open Windows File Explore

System Setup

  • Next/Prev Keys : Select Next/Previous window/channel/trace for the selected one

  • Preferences...

  • Sound: Turn On/Off beep sound

  • Remote Interface...

  • LAN Status...

  • Code Emulation

Print

  • Print...

  • Print to File...

  • Page Setup...

  • Print Colors...

Help

  • NA Help...

  • On The Web... : Connect to the Web on the keysight.com.

  • Error Display...

  • View Error Log...

  • About NA...

Service

  • Operator's Check

  • System Verification

  • Display Test

  • Front Panel Test : Check the front panel functionality.


Trace

Trace 1-8 / 9-16

  • Trace 1-16

Trace Setup

  • Select

  • Measure

  • Trace Title...

  • Add Trace

  • Delete Trace

  • Move Trace...

  • Trace Hold

  • Trace Max

Last modified:

5-Jan-2016

New topic


Trigger

Main

  • Hold

  • Single

  • Groups

  • Continuous

  • Manual Trigger

  • Restart

  • Trigger Source

  • Trigger...

Last modified:

5-Jan-2016

New topic


Undo

Main

  • Undo

  • Redo

  • Clear Undo History


Applications

VNA Applications

E5080A

Option | Application
010 | Time Domain
009 | Frequency Offset
790 | Measurement Assistant Wizard

See Also

  • All VNA Models and Options

Last modified:

22-Aug-2014

First Release


Conversion Compression

  • What is Conversion Compression?

  • Why Measure Conversion Compression?

  • How to Measure Conversion Compression

  • Measurement Accuracy Considerations

See other Frequency Converting Device Measurements

What is Conversion Compression?

Conversion compression is a measure of the maximum input signal level for which a mixer will produce linear operation. It is very similar to the gain compression experienced in amplifiers.

To understand conversion compression, you must first understand conversion loss. This is the ratio of the mixer output level to the mixer input level. This value remains constant over a specified input power range. When the input power level exceeds a certain maximum level, the constant ratio between input and output power levels begins to change. The point at which the ratio has decreased 1 dB is called the 1-dB compression point. This is illustrated in the graphic below.

Why Measure Conversion Compression?

Conversion compression is an indicator of the dynamic range of a device. Dynamic range is generally defined as the difference between the noise floor and the 1-dB compression point.

How to Measure Conversion Compression

The equipment and setup used to measure conversion compression are essentially the same as for measuring conversion loss and is illustrated in the following graphic.

The VNA performs a power sweep using frequency-offset mode and the resulting display shows the mixer's output power as a function of its input power. The 1-dB compression point (or others such as 3-dB) can be determined using markers.

Measurement Accuracy Considerations

Equipment Setup Considerations

  • The couplers in the VNA have very good directivity. If the return loss of the DUT is bad, the reflected signal gets sampled by the VNA and can result in errors. This relates to error in DUT gain. To increase the accuracy, an attenuator can be added between the VNA's source port and the DUT's input port. Normally a 6- to 10-dB attenuator is sufficient. Addition of this attenuator, however, decreases the available drive to the DUT.

  • With high drive levels the VNA can be driven into compression resulting in measurement error. With excessive drive levels, the VNA can be damaged. Add an attenuator between the output of the DUT and the receiver input of the VNA to avoid these problems.

Calibration Considerations

  • Source power calibration can be used to provide a high level of accuracy for this measurement.


Conversion Loss

Conversion Loss (or Gain)

  • What is Conversion Loss?

  • Why Measure Conversion Loss?

  • How to Measure Conversion Loss

See other Frequency Converting Device Measurements

What is Conversion Loss?

Conversion loss is defined as the ratio of the power at the output frequency to the power at the input frequency with a given LO (local oscillator) power. This is illustrated in the graphic below. A specified LO power is necessary because conversion loss varies with the level of the LO, as the impedance of the mixer diode changes.

Why Measure Conversion Loss?

Conversion loss (or gain in the case of many converters and tuners) is a measure of how efficiently a mixer converts energy from the input frequency to the output frequency. If the conversion loss response of a mixer or converter is not flat over the frequency span of intended operation, valuable information may be lost from the resulting output signal.

How to Measure Conversion Loss

Conversion loss is a transmission measurement. It is measured by applying an input signal (stimulus) and an LO signal at specific known power levels, and measuring the resulting output signal level. Because the output frequency is different from the input frequency, frequency offset mode must be used for this measurement.

Note: This measurement is made much easier if your VNA has the Frequency Converter Application

Equipment Setup

Example: A calibrated Conversion Loss (Down-converter) measurement

Swept Input with Fixed LO = Swept Output

  • RF Input: 3.1 - 3.3 GHz

  • LO: 2.2 GHz

  • IF Output: 900 - 1100 MHz

VNA setup and calibrate on channel 1

  1. On channel 1 create an unratioed R measurement over the ENTIRE input and output frequency span (.9 - 3.3 GHz). This will be the base source power cal that will be copied to the R and B channel measurements.

  2. Perform a source calibration using a power meter. This makes the power level at the input of the mixer very accurate.

Setup Reference measurement on channel 2

  1. Copy channel 1 to channel 2 which will display the reference input to the mixer. The channel 1 source power cal is copied with the other channel settings.

  2. Change measurement to R1 unratioed.

  3. Change RF Input frequency to 3.1 - 3.3 GHz. The source power cal becomes interpolated.

  4. Perform receiver power cal. Do not need to make physical connections. The VNA source is internally connected to the R1 receiver. Makes the R receiver read the source power level.

Setup B measurement on channel 3

  1. Copy channel 1 to channel 3. This channel will display the output of the mixer. The channel 1 source power cal is copied with the other channel settings.

  2. Change measurement to B unratioed.

  3. Change IF Output frequency to .9 - 1.1 GHz. This causes the source power cal becomes interpolated.

  4. Connect thru line from port 1 to port 2.

  5. Perform receiver power cal. This makes the B receiver read the source power at the IF Output frequencies.

  6. Turn OFF receiver power cal. This prevents an error when changing to input frequencies (next step).

  7. Change RF Input frequency to 3.1 - 3.3 GHz. This changes the channel back to the mixer RF Input frequencies.

  8. Enable Frequency Offset.

  9. Change Offset to (-2.2 GHz). This tunes the B receiver to the IF Output frequencies .9 to 1.1 GHz. Note: The minus sign indicates a down-converter measurement.

  10. Turn ON receiver power cal.

Measure the Mixer

  1. Connect the mixer.

  2. Adjust scale to suit your needs.

  3. Enable markers to read power levels for each trace.

The display below shows:

  • Ch3 B receiver (bottom trace) absolute output power.

  • Ch2 R1 receiver measurement (top trace) absolute input power to the mixer.

With this method, the conversion loss math (B/R1) can be performed with Equation Editor (not shown). The B/R1 ratio measurement is not supported with receiver power Cal turned on. However, conversion loss (C21) measurements can be made directly and are much easier using the Frequency Converter Application, FCA (Opt 083).


Frequency Converting Device Measurements Overview

Frequency Converting Device Measurements

Many frequency offset measurements can be made using the VNA with option 080. The following is a list of some of those measurements and how they are made.

  • Conversion Loss

  • Conversion Compression

  • Return Loss and VSWR

  • Isolation

  • Harmonic Distortion

See Also: Frequency Offset Measurement Accuracy


Frequency Offset Calibration

Frequency Offset Measurement Accuracy

This topic discuss methods that can be used to make accurate frequency offset measurements.

  • Calibrations

  • Mismatch Errors

  • Accurate and Stable LO

See other Mixer Measurement topics

Calibrations

With Frequency Offset measurements, the stimulus and response frequencies are different. Standard calibration error terms are calculated using reference measurements. Therefore, traditional calibration methods such as full 2-port SOLT cannot be used with frequency offset.

Source and Receiver Power calibrations can be used to calibrate your Frequency Offset measurements.

Source Power calibration:

  • Sets accurate power level at stimulus frequencies regardless of the receiver that will be used in the measurement.

  • Can be copied to other channels with copy channels feature.

  • Can be interpolated.

Receiver Power Cal:

  • Requires a source cal to have already been performed and applied.

  • Cannot be copied to other channels.

Therefore:

  • Start by performing a source power cal over the combined stimulus and response frequencies.

  • Copy the channel to other needed channels and the source power cal is copied.

  • Change the frequency range of the copied channel to response frequencies.

  • Perform a receiver cal at the response frequencies on individual channels.

  • Change the frequency range to stimulus frequency and switch frequency offset ON.

  • On Status Bar, ensure that source and receiver cals are ON (source cal will be interpolated).

See Frequency Offset Conversion Loss Measurements to see a step-by-step example.

Mismatch Errors

Mismatch errors result when there is a connection between two ports that have different impedances. With S-parameter measurements, these mismatches are measured and mathematically removed during a full 2-port calibration. This is much more difficult with frequency offset measurements. A much easier solution is to use high-quality attenuators on the input and output of the mixer.

By adding a high-quality attenuator to a port, the effective port match can be improved by up to twice the value of the attenuation. For example, a 10-dB attenuator, with a port match of 32 dB, can transform an original port match of 10 dB into an effective match of 25 dB. However, as the match of the attenuator approaches the match of the original source, the improvement diminishes.

The larger the attenuation, the more nearly the resulting match approaches that of the attenuator, as shown in the following graphic. However, excessive attenuation is not desired because that will decrease the dynamic range of the measurement system.

Accurate and Stable LO

When using frequency offset mode, if the LO signal is not accurate and stable, the output signal will not be at the expected response frequency. As a result, the output signal can fall on the skirts of the VNA receiver IF filter, or fall completely outside of the receiver filter passband.

Also, the LO power level is critical in mixer measurements. Be sure to monitor these power levels closely.


Harmonic Distortion

  • What is Harmonic Distortion?

  • Why Measure Harmonic Distortion?

  • How to Measure Harmonic Distortion

  • Measurement and Accuracy Considerations

See other Frequency Converting Device Measurements

What is Harmonic Distortion?

Harmonics are multiples of any signal appearing at the mixer input and also multiples of the LO input. The distortion of the mixer's output characteristics caused by these harmonics is referred to as harmonic distortion. Harmonic distortion is caused by non-linearities in the device.

Harmonics are NOT signals created by two or more signals interacting (mixing); these signals are known as intermodulation products, which result in intermodulation distortion.

Why Measure Harmonic Distortion?

  • It can degrade the performance of devices connected to the output of the mixer.

  • The harmonics can also mix with other signals present in the mixer, adding to the intermodulation distortion of the mixer.

How to measure Harmonic Distortion

The harmonics can be measured using the VNA with Frequency Offset. The frequency of the LO to the mixer is set to zero and multiplier of the RF input is used to set the IF frequency (the harmonic). The equipment setup is shown below.

Since harmonics are specified in dBc, the fundamental RF and both the second and third harmonics are measured and the differences calculated. Multiple channels can be used to do this.

  1. Connect the equipment.

  2. Setup the measurement for calibration. See also Measurement and Accuracy Considerations.

Use three channels and frequency offset mode:

Channel 1 = F1 to F2

Channel 2 = F1 to 2F2 (frequency offset mode, multiplier = 1)

Channel 3 = F1 to 3F2 (frequency offset mode, multiplier = 1)

  • Perform a source power calibration and receiver power calibration over the entire frequency range. See Measurement and Accuracy Considerations.

  • Reduce the frequency span and increase the frequency offset multiplier on Channels 2 and 3:

Channel 2 = F1 to F2 (frequency offset mode, multiplier = 2)

Channel 3 = F1 to F2 (frequency offset mode, multiplier = 3)

Note: Because the frequency span has been changed from that used for calibration, the source and receiver calibrations will be interpolated.

  • Connect the DUT, make the measurement, and calculate the harmonic response:

Set up markers on Channels 1, 2 and 3, and determine the difference between the marker values to get the dBc value of each harmonic.

Channel 1 - Channel 2 = 2nd harmonic (dBc)

Channel 1 - Channel 3 = 3rd harmonic (dBc)

Note: Be sure to set the markers to the appropriate stimulus. Channel 2 markers should be set to twice the frequency of Channel 1 markers. Channel 3 markers should be set to three times the frequency of Channel 1 markers.

Measurement and Accuracy Considerations

Equipment Setup Considerations

  • A filter must be used at the input of the mixer to remove the VNA source harmonics.


Isolation

Isolation Measurements of Frequency Converting Devices

  • What is Isolation?

  • Why Measure Isolation?

  • How to Measure Isolation

See other Frequency Converting Device Measurements

What is Isolation?

Isolation is a measure of the leakage, or feedthrough, from one port to another. The more isolation a mixer provides, the lower the amount of feedthrough. Isolation is measured at the same frequency as the stimulus, not the converted or shifted frequency. Therefore, Frequency Offset capability is not necessary for these measurements.

Three main isolation terms are of interest for mixer measurements:

  • LO-to-OUT isolation (VLO)

  • LO-to-IN isolation (VLO)

  • IN-to-OUT feedthrough (VIN)

Why Measure Isolation?

Any unwanted signal "leaking" through the device will mix with the desired output signal creating intermodulation products, adding to intermodulation distortion. These unwanted signals may be difficult to filter out.

How to Measure Isolation

Use the following setups to measure the isolation of a mixer:

Note the following:

  • The Input to Output isolation is very dependent on the LO power level. Isolation should be measured with the LO power at its normal operating level.

  • Each of the ports not being tested should be terminated with an impedance typical of actual operation. This may not always be the characteristic impedance, Z0 (usually 50 or 75 ohms). For example, if the OUT port of a mixer is intended to be directly connected to a filter, then this filter should be used when measuring the LO-to-IN feedthrough.

LO-TO-IN ISOLATION

LO-TO-OUT ISOLATION

IN-TO-OUT ISOLATION

Measuring Converters vs. Mixers

Measuring IN-to-OUT feedthrough of a converter is identical to that of a mixer. The IN-to-OUT feedthrough is generally very small for a converter due to the inclusion of an IF filter in the device. Because of this, the measurement may require the VNA to have increased dynamic range.

Measuring LO leakage (LO-to-OUT and LO-to-IN) of a converter requires a different technique because the LO port is typically not accessible:

  • The VNA can be tuned to the frequency of the LO signal and either the OUT or IN port connected to the VNA receiver port. The VNA source port is not connected.

  • A spectrum analyzer can be connected to either the OUT or IN port and tuned to the frequency of the LO signal.


Return Loss and VSWR

  • What are Return Loss and VSWR?

  • Why Measure Return Loss and VSWR?

  • How to Measure Return Loss and VSWR

See other Frequency Converting Device Measurements

What is Return Loss and VSWR?

Return loss and VSWR are both linear reflection measurements, even when testing frequency conversion devices, because the reflected frequency is not converted. These measurements are essentially the same as for filters and amplifiers. Learn more about Reflection Measurements.

Why Measure Return Loss and VSWR?

Devices which have poor return loss and VSWR result in loss of signal power or degradation of signal information.

How to Measure Return Loss and VSWR

Setup the VNA measure return loss and VSWR as you would any two-port device. Connect your frequency converting device as shown in the following diagrams:

RETURN LOSS AND VSWR OF MIXER INPUT PORT

RETURN LOSS AND VSWR OF MIXER OUTPUT PORT

RETURN LOSS AND VSWR OF MIXER LO PORT


Measurement Wizard Assistant

  • Introduction of the MWA Software

  • MWA Operational Requirements

  • Installation of the MWA Software

  • Creating Spec Sheets using the MWA Front-end Application

  • Executing the Back-end Application in VNA

  • Measurement Example of a Multiport Switch

  • Overview and Restrictions of Group


Accessing Data

Click a box or circle to view details:

See 8510 data processing mode.

See larger Data Processing map.

Measurement - VNA receivers gather complex trace data which is ratioed if required by the parameter, such as S11 or A/B. Otherwise it is raw receiver data, such as A or B. See Measurement Parameters.

Averaging - If turned ON, data is averaged with specified number of measurement traces. See Averaging.

Data Access Point 0 - Get or Put RAW MEASUREMENT data using:

SCPI - Write data using Calc:Meas:Data:SDATA - Read data from Data Access Point 1

Formatting Note:

SCPI - you can only request data in the displayed format.

Acquired Cal Data - Calibration standards are measured. When the calibration is complete, complex data is stored in a Cal Set.

Data Access Point 6 - Get or Put RAW CAL ACQUISITION data using:

SCPI - None

Calculate Error Terms - Error terms are calculated from Acquisition data using formulas which are appropriate for the selected calibration method. Complex error terms are stored in a Cal Set. See Systematic Errors.

Data Access Point 5 - Get or Put ERROR TERM data using:

SCPI - Calc:Meas:Data Error Terms

Note: Normalization, formerly access location 5, no longer exists and was used ONLY by Receiver Power Cal. That cal type now uses Acquire Cal Data and Calculate Error Terms like all other Cals.

Apply Error Terms - If error correction is ON, error terms are applied to the raw measurement data. Otherwise, this data is identical to Raw Measurement Data.

Data Access Point 1 - Get or Put CORRECTED data using:

SCPI - Read data using Calc:Meas:Data:SDATA - Write data to Data Access Point 0

See Formatting Note

Equation Editor - Allows custom equations to perform advanced math operations between data traces. See Equation Editor

See Equation Editor Notes:

SCPI: Calc:Meas:Data

Normalization - No longer available

Data Access Point 5 - - No longer available

Trace Math - When turned ON, memory data is combined with measurement data using the selected math function. Available functions are: Data+Mem, Data-Mem, Data*Mem, and Data/Mem. See Math Operations.

Memory - Data that is stored as a result of a Data-To-Memory operation. Each measurement can have one memory trace. The memory data parallels the measurement data through the remaining processing blocks. For example, turning smoothing ON will smooth both the measurement and memory traces.

Data Access Point 3 - Get or Put MEMORY data using:

SCPI - Calc:Meas:Data:SMEM

See Formatting Note

Gating - When turned ON, Filter Gating is applied to the measurement data. Gating "virtually" removes undesired responses from selected regions of the trace. See Gating.

Phase Correction - When turned ON, applies electrical delay, phase offset, and port extensions. These are all separate features that are controlled individually.

Magnitude Offset - When entered, offset values are applied to the magnitude (real) portion of the data. See Magnitude Offset.

Time Domain - When turned ON, transforms the data from the frequency domain to the time domain. See Time Domain

Formatter - Complex data is converted into scalar data formats for screen display and remote access. For smoothed data, request the data in the same format as the displayed data. See Data Format

Smoother - When turned ON, removes discontinuities in the measurement and memory trace. See Smoothing.

Display - Displays the processed measurement, memory data, or both, in the format of your choice.

Data Access Point 2 - Get or Put MEAS RESULT data using:

SCPI - Calc:Meas:Data:FDATA

Data Access Point 4 - Get or Put MEMORY RESULT data using:

SCPI - Calc:Meas:Data:FMEM

See Formatting Note

Last Modified:

5-Jan-2016

First release


CFCal Topic

Unguided | SmartCal(Guided) | ECAL | Guided Power Cal | Cal All | Save-Recall | Cal Sets | Cal Types | Prefer's |Correction | Port Ext | Fixturing | Delta Match | Cal Kits | Standards | Multiple Sensors | Source Pwr Cal | Power Sensors | Receiver Cal | Cal Data | CalPod | Custom Cal Window

Description | SCPI See Calibrating the VNA Using SCPI See Also: Calibration commands for Apps | COM
Perform an Unguided Calibration
Launch Cal Wizard | SYST:CORR:WIZard |
Set Cal Type | SENS:CORR:COLL:METHod |
Select a Cal Kit | SENS:CORR:COLLect:CKIT |
Get a Handle to the Active Cal Kit | N/A |
Simultaneous 2-Port Calibration | SENS:CORR:TSTandards |
Acquisition Direction | SENS:CORR:SFORward |
Measure a Standard | SENS:CORR:COLLect |
Calculate Errors | SENS:CORR:COLL:SAVE |
Do Isolation | SENS:CORR:COLLect |
Perform and apply Response (Normalization) cal | SENS:CORR:COLL:METHod |

Perform a Guided Cal
Initiate a Guided Cal | SENS:CORR:COLL:GUID:INIT
List valid Connector Types for a Port | SENS:CORR:COLL:GUID:CONN:CAT?
List valid Cal Kits for a Connector type. | SENSe:CORR:COLL:GUID:CKIT:CAT?
Select a Connector Type | SENS:CORR:COLL:GUID:CONN:PORT
Select a Cal Kit | SENS:CORR:COLL:GUID:CKIT:PORT
Set cal method for each port pair. | SENS:CORR:COLL:GUID:PATH:CMET
Set Thru Method for each port pair. | SENS:CORR:COLL:GUID:PATH:TMET
Set Thru Port Pairs | SENS:CORR:COLL:GUID:THRU:PORT
Return Number of Steps in a Cal | SENS:CORR:COLL:GUID:STEPs?
Return a Description of a Cal Step | SENS:CORR:COLL:GUID:DESC?
Measure a Cal Standard in a Guided Cal | SENS:CORR:COLL:GUID:ACQuire
Save Cal | SENS:CORR:COLL:GUID:SAVE
Adapter settings for Unknown Thru or Adapter Removal
Sets use of a THRU adapter | SENS:CORR:COLL:GUID:ADAP:CREate
Set adapter delay | SENS:CORR:COLL:GUID:ADAP:DELay
Set adapter description | SENS:CORR:COLL:GUID:ADAP:DESC
Set port pairs for adapter | SENS:CORR:COLL:GUID:ADAP:PATH
Clear the settings | SENS:CORR:COLL:GUID:ADAP:COUNt:ZERO
Return number of adapters | SENS:CORR:COLL:GUID:ADAP:COUNt?

Optional Guided Cal commands
Auto-Orient ECal | SENS:CORR:PREF:ECAL:ORI
Manual orient ECAL | SENS:CORR:PREF:ECAL:PMAP
Read orientation | SENS:CORR:CKIT:ECAL:ORI?
Calculate Error Terms from a Guided Cal | SENS:CORR:COLL:GUID:SAVE
Save Cal to an existing Cal Set GUID | SENS:CORR:COLL:GUID:SAVE:CSET
Load Eterms during a cal | SENS:CORR:COLL:GUID:ETERms:LOAD
Perform Isolation | SENS:CORR:COLL:GUID:ISOL:PATHs
Increment Avg for Isolation | SENS:CORR:COLL:GUID:ISOL:AVER:INCR
Abort Guided cal | SENS:CORR:COLL:GUID:ABORt

Perform Enhanced Response Cal
Set guided Cal method | SENS:CORR:COLL:GUID:PATH:CMET
Set guided Thru method | SENS:CORR:COLL:GUID:PATH:TMET

Perform Sliding Load Acquisition
Set preference to not prompt | SENS:CORR:COLL:GUID:PREF:SLID
Read iteration step | SENS:CORR:COLL:GUID:ITER:COUNt?
Read minimum iterations | SENS:CORR:COLL:GUID:ITER:MIN?
Reset iterations | SENS:CORR:COLL:GUID:ITER:RESet

Perform an ECAL
Specify Module and Characterization | SENS:CORR:COLL:ACQ
Do ECAL 1-Port | SENS:CORR:COLL:CKIT 99
Do ECAL 2-Port | SENS:CORR:COLL:CKIT 99
Get ECAL Module Info | SENS:CORR:COLL:CKIT:INF? SENS:CORR:CKIT:ECAL:INF?
Get list of ECal Modules attached to VNA | SENS:CORR:CKIT:ECAL:LIST?
Get list of characterizations in ECal module | SENS:CORR:CKIT:ECAL:CLISt?
Perform Module Orientation during calibration | SENS:CORR:PREF:ECAL:ORI
Maps ECAL Module to VNA Ports | SENS:CORR:PREF:ECAL:PMAP
Reads ECal orientation | SENS:CORR:CKIT:ECAL:ORI?
Perform ECal Isolation | SENS:CORR:COLL:ISOL:ECAL
Increment Avg for ECal Isolation | SENS:CORR:COLL:ISOL:AVER:INCR

Perform ECal User Characterizations
Perform User ECal Characterization | All SCPI commands
Manage VNA Disk Memory Characterizations
Delete disk memory characterizations. | SENSe:CORR:CKIT:ECAL:DMEMory:CLEar
Saves a disk memory characterization to an archive file. | SENS:CORR:CKIT:ECAL:EXPort
Imports the ECal characterization from the specified archive file. | SENSe:CORR:CKIT:ECAL:DMEMory:IMPort
Reads the user-characterization info from ECal module or VNA disk memory. | SENS:CORR:CKIT:ECAL:KNAM:INF?

ECal Confidence Check
Confidence Check Parameter | SENS:CORR:CCH:PAR
Confidence Check Acquire | SENS:CORR:CCHeck
Confidence Check Done | SENS:CORR:CCH:DONE
Set/Read ECal State
Sets the state of an ECAL module | CONT:ECAL:MOD:PATH:STATe
Read ECal state data | SENS:CORR:CKIT:ECAL:PATH:DATA?
Read number of ECal states for specified path | CONT:ECAL:MOD:PATH:COUNt? SENS:CORR:CKIT:ECAL:PATH:COUNt?

Calibrate All Channels
Select the channels to be calibrated. | SYST:CAL:ALL:CHAN:SEL
Set the IFBW | SYST:CAL:ALL:IFBW
Set the power level | SYST:CAL:ALL:PORT:SOUR:POW
Set the power offset | SYST:CAL:ALL:PORT:SOUR:POW:OFFS
Set the receiver atten | SYST:CAL:ALL:PORT:SOUR:POW:REC:ATT
Set the source atten | SYST:CAL:ALL:PORT:SOUR:POW:ATT
Set the User Calset Prefix | SYST:CAL:ALL:CSET:PREFix
Set Path Configuration | SYST:CAL:ALL:PATH:CONF:ELEM
Read unique Cal properties | SYST:CAL:ALL:MCL:PROP:NAME:CAT?
Read unique property values | SYST:CAL:ALL:MCL:PROP:VAL:CAT?
Set property name/value | SYST:CAL:ALL:MCL:PROP:VAL
Read Cal channel | SYST:CAL:ALL:GUID:CHAN?
Get GuidedCal handle | N/A
For each channel, sets the ports to be calibrated. | SYST:CAL:ALL:CHAN:PORT
Returns a final list of ports to be calibrated. | SYST:CAL:ALL:GUID:PORT?
Read generated Cal Sets | SYST:CAL:ALL:CSET:CATalog?

Recall / Save / Apply a Calibration or Error Term
Recall a Calibration | SENS:CORR:CSET
Apply a Calibration to a measurement | SENS:CORR:CSET
Save a Calibration | SENS:CORR:CSET:SAVE
Save or Recall an Error Term | CALC:DATA Scorr
Read/ Write Cal Set data | SENS:CORR:CSET:DATA
Apply an Error Term after Uploading | SENS:CORR:COLLect:APPLy
Cal Sets
Create a Cal Set | SENS:CORR:CSET:CREate
Delete a Cal Set | SENS:CORR:CSET:DEL
List Cal Sets | SENS:CORR:CSET:CAT?
List Cal Sets in VNA | None
Get Cal Set Information | None
List Cal Set Error Terms | SENS:CORR:CSET:ETERM:CAT?
Return if a Cal Set exists | CSET:EXISts?
Select a Cal Set by GUID | SENS:CORR:CSET:GUID
Apply a Cal Set to a channel | SENS:CORR:CSET:ACTivate
Copy a Cal Set | SENSe:CORR:CSET:COPY
Save a Cal Set | SENS:CORR:CSET:SAVE
Save Cal Sets | None
Automatically save to User Cal Set | SENS:CORR:PREF:CSET:SAVE
Change the Description of a Cal Set | SENS:CORR:CSET:DESC
Change the Name of a Cal Set | SENS:CORR:CSET:NAME
Recall a Cal File | SENS:CORR:CSET
Save 'in-memory' Cal Set to disk. | SENS:CORR:CSET:FLATten
Create Cal Set with De-embeded fixture removed. | CSET:FIXTure:DEEMbed
Create Cal Set with Matching Network included. | CSET:FIXTure:EMBed
Adds stimulus data to a specific buffer. | None
Returns the stimulus values over which the specific error term was acquired. | None
Returns FOM stimulus values from a Calset. | SENS:CORR:CSET:STIM?
Cal Set Items
Set or get name-value pair from cal set | None
Remove name-value pair from cal set | None
Enumerate name-value pair items in the cal set. | None

Apply Cal Types
Catalog ALL Cal Types for the VNA | SENS:CORR:TYPE:CAT?
Catalog Cal Types in the Cal Set | SENS:CORR:CSET:TYPE:CAT?
Is a specific Cal Type contained in the Cal Set? | None
Set and return the measurement Cal Type | CALC:CORR:TYPE ?
Set port to measure QSOLT reflection standards. | None

Correction Settings
Turn Correction ON|OFF for a channel | SENS:CORR
Turn Correction ON|OFF for a measurement | CALC:CORR
Interpolation ON|OFF | SENS:CORR:INT
Returns the error correction state for the measurement | CALC:CORR:INDicator?

Preferences
Set default Cal Set Save behavior | SENS:CORR:PREF:CSET:SAVE
Sets behavior for simulated cal | SENS:CORR:PREF:SIMCal
External or internal trigger during cal | SENS:CORR:PREF:TRIG:FREE
Set ECal Auto-orient | SENS:CORR:PREF:ECAL:ORI
Set ECal Port Map | SENS:CORR:PREF:ECAL:PMAP
Set default Cal Type | None

Port Extensions
Extensions ON|OFF | SENS:CORR:EXT
Port 1 Extensions Value | SENS:CORR:EXT:PORT
Port 2 Extensions Value | SENS:CORR:EXT:PORT
Set Freq 1|2 | SENS:CORR:EXT:PORT:FREQ
Set Loss 1|2 | SENS:CORR:EXT:PORT:LOSS
Use 1|2 | SENS:CORR:EXT:PORT:INCL
Set Loss at DC | SENS:CORR:EXT:PORT:LDC
Relative Velocity | SENS:CORR:RVEL:COAX
Port Ext in distance | SENS:CORR:EXT:PORT:DIST
Set distance units | SENS:CORR:EXT:PORT:UNIT
Set Media per port | SENS:CORR:EXT:PORT:MEDium
Set waveguide cutoff freq per port | SENS:CORR:EXT:PORT:WGCutoff
Set Velocity Factor per port | SENS:CORR:EXT:PORT:VELF
Couple to system Velocity Factor | SENS:CORR:EXT:PORT:SYSV
Couple to system Media type | SENS:CORR:EXT:PORT:SYSM

Auto Port Extensions
Measure OPEN or SHORT for Auto Port Ext. | SENS:CORR:EXT:AUTO:MEASure
Sets the frequencies used for Auto Port Ext. calculation. | SENS:CORR:EXT:AUTO:CONFig
Include loss correction in Auto Port Ext.? | SENS:CORR:EXT:AUTO:LOSS
Include DC Offset in Auto Port Ext.? | SENS:CORR:EXT:AUTO:DCOF
Enable specified port for Auto Port Ext.. | SENS:CORR:EXT:AUTO:PORT<n>
Clears old port extension delay and loss data. | SENS:CORR:EXT:AUTO:RESet
Set user span start frequency for Auto Port Ext. | SENS:CORR:EXT:AUTO:STARt
Set user span stop frequency for Auto Port Ext. | SENS:CORR:EXT:AUTO:STOP

Fixturing Commands
Turn fixturing ON and OFF | CALC:FSIM:STAT
Change order of operations | CALC:FSIM:SEND:OORD
2and 4-port Extrapolate | CALC:FSIM:SNP:EXTR
2-Port Fixturing
Port matching ON and OFF | CALC:FSIM:SEND:PMC:STAT
Reverse ports | CALC:FSIM:SEND:DEEM:PORT<n>:SNP:REV
Sets Port Matching circuit model. | CALC:FSIM:SEND:PMC:PORT:TYPE
Sets Port Matching 'S2P' file name. | CALC:FSIM:SEND:PMC:PORT:USER:FIL
Sets Capacitance 'C' value. | CALC:FSIM:SEND:PMC:PORT:PAR:C
Sets Conductance 'G' value. | CALC:FSIM:SEND:PMC:PORT:PAR:G
Sets Inductance 'L' value. | CALC:FSIM:SEND:PMC:PORT:PAR:L
Sets Resistance 'R' value. | CALC:FSIM:SEND:PMC:PORT:PAR:R
De-embed ON and OFF | CALC:FSIM:SEND:DEEM:PORT:STAT
Sets De-embedding circuit model. | CALC:FSIM:SEND:DEEM:PORT
Sets De-embedding 'S2P' file name. | CALC:FSIM:SEND:DEEM:PORT:USER:FIL
Port Impedance ON and OFF | CALC:FSIM:SEND:ZCON:STAT
Port Z Real | CALC:FSIM:SEND:ZCON:PORT:REAL
Port Z Imag | CALC:FSIM:SEND:ZCON:PORT:IMAG
Port Z Real and Imag | CALC:FSIM:SEND:ZCON:PORT:Z0
4-Port Network Embed/De-embed commands
Specifies the VNA / DUT topology | CALC:FSIM:EMB:TYPE
Specifies the 4-port touchstone file | CALC:FSIM:EMB:NETW:FIL
Embed|De-embed? | CALC:FSIM:EMB:NETW:TYPE
Specify VNA port connections | CALC:FSIM:EMB:TOP:A:PORT CALC:FSIM:EMB:TOP:B:PORT CALC:FSIM:EMB:TOP:C:PORT
4-port remap | CALC:FSIM:EMB:NETW<n>:PMAP
Turn ON or OFF | CALC:FSIM:EMB:STAT
Differential Port Arbitrary Impedance
Sets the impedance value | CALC:FSIM:BAL:DZC:BPOR:Z0
Sets real part of impedance | CALC:FSIM:BAL:DZC:BPOR:REAL
Sets imaginary part of impedance | CALC:FSIM:BAL:DZC:BPOR:IMAG
Turn ON or OFF | CALC:FSIM:BAL:DZC:STAT
Common Mode Port Arbitrary Impedance
Sets the impedance value | CALC:FSIM:BAL:CZC:BPOR:Z0
Sets real part of impedance | CALC:FSIM:BAL:CZC:BPOR:REAL
Sets imaginary part of impedance | CALC:FSIM:BAL:CZC:BPOR:IMAG
Turn ON or OFF | CALC:FSIM:BAL:CZC:STAT
Differential Port Matching
Sets type of circuit to embed. | CALC:FSIM:BAL:DMC:BPOR
Specifies the 2-port touchstone file | CALC:FSIM:BAL:DMC:BPOR:USER:FIL
Sets Capacitance value | CALC:FSIM:BAL:DMC:BPOR:PAR:C
Sets Conductance value | CALC:FSIM:BAL:DMC:BPOR:PAR:G
Sets Inductance value | CALC:FSIM:BAL:DMC:BPOR:PAR:L
Sets Resistance value | CALC:FSIM:BAL:DMC:BPOR:PAR:R
Turns ON/OFF | CALC:FSIM:BAL:DMC:STAT
Power Compensation
Compensate source power | CALC:FSIM:SEND:POW:PORT:COMP
Remote ONLY
Create Cal Set with De-embeded fixture removed. | CSET:FIXTure:DEEMbed
Create Cal Set with Matching network included. | CSET:FIXTure:EMBed

Global Delta Match Cal
Initiate Cal | SENS:CORR:COLL:GUID:DMAT
Read ports that require Cal | SENS:CORR:COLL:GUID:DMAT:APPLy:PORT?
Apply a Cal | SENS:CORR:COLL:GUID:DMAT:APPLy

Manage and Modify Cal Kits
Set a Cal Kit Active | SENS:CORR:COLL:CKIT
Clear all Cal Kits from VNA | SENS:CORR:CKIT:CLE
Get a Handle to the Active Cal Kit |
Save All Cal Kits after Modifying |
Load collection of Kits | SENS:CORR:CKIT:LOAD
Load (Recall) All Cal Kits |
Import a specified kit. | SENS:CORR:CKIT:IMPort
Restore Cal Kit Default | SENS:CORR:COLL:CKIT:RESet
Restore ALL Cal Kits Default | SENS:CORR:CKIT:INITialize
Build a Hybrid Cal Kit |
Set the Name of a Cal Kit | SENS:CORR:COLL:CKIT:NAME
Set a description of a Cal Kit | SENS:CORR:COLL:CKIT:DESC
Get the amount of installed kits | SENS:CORR:CKIT:COUNt?
Set the Port Label of a Cal Kit |
Saves a Cal Kit to a file. | SENS:CORR:CKIT:EXP
Modify TRL Cal Kit
Set reference plane | SENS:CORR:COLL:CKIT:TRL:RPLane
Set impedance standard | SENS:CORR:COLL:CKIT:TRL:IMPedance
Set LRL auto-characterization | SENS:CORR:COLL:CKIT:TRL:LRLChar

Modify Cal Standards
Select a Cal Standard | SENS:CORR:COLL:CKIT:STAN
Delete a standard | SENS:CORR:COLL:CKIT:STAN:REM
Change description of a standard | SENS:CORR:COLL:CKIT:STAN:SDES
Assign a Class to a Standard | SENS:CORR:COLL:CKIT:ORD1
Set Standard Type | SENS:CORR:COLL:CKIT:STAN:TYPE
Add connector family name | SENS:CORR:COLL:CKIT:CONN:ADD
Delete connector family name | SENS:CORR:COLL:CKIT:CONN:DEL
List connector family names used in a Cal Kit | SENS:CORR:COLL:CKIT:CONN:CAT?
Replace connector family name. | SENS:CORR:COLL:CKIT:CONN:FNAM
Assign connector family name to a standard | SENS:CORR:COLL:CKIT:CONN:SNAMe
Set Delay | SENS:CORR:COLL:CKIT:STAN:DEL
Set Loss | SENS:CORR:COLL:CKIT:STAN:LOSS
Set Impedance | SENS:CORR:COLL:CKIT:STAN:IMP
Set Max Frequency | SENS:CORR:COLL:CKIT:STAN:FMAX
Set Min Frequency | SENS:CORR:COLL:CKIT:STAN:FMIN
Set Label | SENS:CORR:COLL:CKIT:STAN:LAB
Set Medium (coax | waveguide) | SENS:CORR:COLL:CKIT:STAN:CHAR
Set Capacitance (C0 to C3) | SENS:CORR:COLL:CKIT:STAN:C0
Set Inductance (L0 to L3) | SENS:CORR:COLL:CKIT:STAN:L0
Set Arbitrary Impedance (TZReal, TZImag) | SENS:CORR:COLL:CKIT:STAN:TZReal
Modify TRL Cal Kit
Set reference plane | SENS:CORR:COLL:CKIT:TRL:RPLane
Set impedance standard | SENS:CORR:COLL:CKIT:TRL:IMPedance
Set LRL auto-characterization | SENS:CORR:COLL:CKIT:TRL:LRLChar

Guided Power Cal Use standard Source Power commands to make advanced settings. Use Power Sensor commands to configure the power sensor.
Perform power cal | SENS:CORR:COLL:GUID:PSENsor
Power sensor connector type | SENS:CORR:COLL:GUID:PSEN:CONN
Cal Kit for power cal | SENS:CORR:COLL:GUID:PSEN:CKIT
Power Level for cal | SENS:CORR:COLL:GUID:PSEN:POWer:LEVel
Perform match-correction | SENS:CORR:METHods:MATCh

Multiple Power Sensors See commands to configure a Power Meter as Receiver (PMAR)
Enable multiple sensors | SENS:CORR:COLL:GUID:PSEN:MULT
Add sensors | SENS:CORR:COLL:GUID:PSEN:MULT:ADD
Assign power sensor name | SENS:CORR:COLL:GUID:PSEN:MULT:NAME
Remove sensors | SENS:CORR:COLL:GUID:PSEN:MULT:REM
Read the number of configured sensors | SENS:CORR:COLL:GUID:PSEN:MULT:COUNt?
Set start freq | SENS:CORR:COLL:GUID:PSEN:MULT:FREQ:STAR
Set stop freq | SENS:CORR:COLL:GUID:PSEN:MULT:FREQ:STOP
Set connector type | SENS:CORR:COLL:GUID:PSEN:MULT:CONN
Set Cal Kit | SENS:CORR:COLL:GUID:PSEN:MULT:CKIT

Source Power Calibration
Copy Source Power cal to another channel | SYST:MACR:COPY:CHAN
GPIB Power Meter Address | SYST:COMM:GPIB:PMET:ADDR
Set source power cal method | SOUR:POW:CORR:COLL:ACQ
Turn correction ON|OFF | SOUR:POW:CORR
Applies correction values after completing a source power cal acquisition sweep. Optionally do reference receiver cal. | SOUR:POW:CORR:COLL:SAVE
Returns the currently-selected power sensor channel (A or B) for use at a specific frequency. | N/A
Set power level | SOUR:POW:CORR:LEV
Set power offset | SOUR:POW:CORR:OFFS
Set settling tolerance | SOUR:POW:CORR:COLL:AVER:NTOL
Set max readings for settling | SOUR:POW:CORR:COLL:AVER:COUNt
Set accuracy tolerance | SOUR:POW:CORR:COLL:ITER:NTOL
Set max readings for accuracy | SOUR:POW:CORR:COLL:ITER:COUNt
Turn ON|OFF display of readings | SOUR:POW:CORR:COLL:DISP
Acquire receiver-only readings | SOUR:POW:CORR:COLL:ACQ:REC
Initiates a source power cal acquisition. | SOUR:POW:CORR:COLL:ACQ
Aborts a source power cal acquisition sweep that is currently in progress. | SOUR:POW:CORR:COLL:ABOR
Launches the Power Meter Settings dialog on the VNA. | None
Frequency checking (ON|OFF) | SOUR:POW:CORR:COLL:FCH
Check test port power | None
Calibrate the source at multiple power levels. | None

Power Meter/Sensor settings See commands to configure a Power Meter as Receiver (PMAR) See commands to configure multiple power sensors for guided Power Cal
Specifies the type of power sensor to be used | SYST:COMM:PSEN
Specifies the location of the power sensor to be used. | SYST:COMM:PSEN
Returns the ID string of connected USB power meters / sensors. | SYST:COMM:USB:PMET:CAT?
Pwr meter Max Readings for settling | SOUR:POW:CORR:COLL:AVER:COUNt
Pwr meter settling tolerance | SOUR:POW:CORR:COLL:AVER:NTOL
Minimum Frequency | SOUR:POW:CORR:COLL:<>SEN
Maximum Frequency | SOUR:POW:CORR:COLL:<>SEN
Power meter channel |
Set sensor cal factor | SOUR:POW:CORR:COLL:<>SEN:RCF
Set table type | SOUR:POW:CORR:COLL:TABL <>SEN
Read/Write cal data | SOUR:POW:CORR:DATA
Use Loss table? | SOUR:POW:CORR:COLL:TABL:LOSS
Cal Factor Table | SOUR:POW:CORR:COLL:TABL:SEL
Read number of segments in table | SOUR:POW:CORR:COLL:TABL:POIN?
Segment number |
Add segment |
Cal factor of the segment | SOUR:POW:CORR:COLL:TABL:DATA
Frequency of the segment | SOUR:POW:CORR:COLL:TABL:FREQ
Power Loss Table | SOUR:POW:CORR:COLL:TABL:SEL
Read number of segments in table | SOUR:POW:CORR:COLL:TABL:POIN?
Segment number |
Add segment |
Frequency | SOUR:POW:CORR:COLL:TABL:FREQ
Loss value | SOUR:POW:CORR:COLL:TABL:DATA
Receiver Cal
Set offset from test port power | SENS:CORR:RPOWer:OFFSet[:AMPLitude]
Set cal method to receiver cal | SENS:CORR:COLL:METH RPOWer
Take measurement | SENS:CORR:COLL[:ACQ] POWer
Turn receiver cal ON | OFF | SENS:CORR[:STATe] ON|OFF
Do interpolation | SENS:CORR:INT[:STATe] ON|OFF

CalPod
Command used to send other commands as arguments | CONTrol:CALPod:COMMand
Start the CalPod software | Calpod:LAUNch
Assign Calpod serial number to a port. | Calpod:ENABle
Unassign Calpod serial number from a port. | Calpod:Disable
Initialize the selected channel | Calpod:INITialize:ACTive
Initialize ALL channels | Calpod:INITialize:ALL
Recorrect the selected channel | Calpod:Recorrect:ACTive
Recorrect ALL channels | Calpod:Recorrect:ALL
Show refresh dialog | Calpod:SHOW
Hide refresh dialog | Calpod:HIDE
Sets impedance state | Calpod:STATe
Read Calpod temperature | Calpod:TEMP?

Custom Cal Window
Turn ON | OFF Custom Cal window. | SENS:CORR:COLL:DISP:WIND
Show NO Custom Cal windows. | SENS:CORR:COLL:DISP:WIND:AOFF
Specify channel to sweep before Cal acquisition. | SENS:CORR:COLL:SWE:CHAN
Sweep NO channel before Cal acquisition. | SENS:CORR:COLL:SWE:CHAN:AOFF
Preview sweep before remote Cal acquisition. | SENS:CORR:COLL:GUID:PACQuire

Retrieve and Put Calibration Data
Retrieve Cal Data from the VNA | SENS:CORR:CSET:DATA
Put Cal Data in the VNA | SENS:CORR:CSET:DATA

Last Modified:

5-Dec-2014

Initial release


Data Access Map

Raw Measurement Data Standard Acquisition Data Calibration Error Terms Memory Error Correction Trace Math Filter Gating Display Formatting Data Smoothing Display


Control Handler SCPI

Control Handler Commands

Specifies the settings to remotely control the Material Handler IO connector.

CONTrol:HANDler:

A|B|C|D|E|F|G|H[DATA]

C:MODE

D:MODE

[EXTension]

| INDex[STATe]

| RTRigger[STATe]

INPut?

LOGic

OUTPut

| [DATA]

| USER[DATA]

PASSfail

| LOGic

| MODE

| POLicy

| SCOPe

| STATus?

| SWEepend

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

  • Learn about the Handler IO port

CONTrol:HANDler:<port>[:DATA] <num>

Applicable Models: E5080A

(Read-Write) Writes and reads data on the specified port.
Parameters |
<port> | Port identifier to set bits for. Choose from: A,B,C,D,E,F,G,H
<num> | The number of the data bits to set. Refer to the following table for the maximum number for each port. The minimum number for each port is 0.
Port | Max allowable <num> | MSB...........................................LSB 23...................................................0 |
A | 255 | A7...A0 | Write-only
B | 255 | B7...B0 | Write-only
C | 15 | C3...C0 | Read-Write
D | 15 | D3...D0 | Read-Write
E | 255 | D3...D0 + C3...C0 | Read-Write
F | 65535 | B7...B0 + A7...A0 | Write-only
G | 1048575 | C3...C0 + B7...B0 + A7...A0 | Write-only
H | 16777215 | D3...D0 + C3...C0 + B7...B0 + A7...A0 | Write-only
 | Note: When writing to port G, port C must be set to output mode When writing to port H, both port C and port D must be set to output mode. Use CONT:HAND:C:MODE OUTP and CONT:HAND:D:MODE OUTP
Examples | CONT:HAND:A 254 control:handler:c:data 12
Query Syntax | CONTrol:HANDler:<port>:DATA?
Return Type | Numeric
Default | Not Applicable

CONTrol:HANDler:C:MODE <char>

Applicable Models: E5080A

(Read-Write) Sets and reads the direction of data flow for Port C.
Parameters |
<char> | Direction of flow. Choose from: INPut - Port C is used to input data OUTPut - Port C is used to output data
Examples | CONT:HAND:C:MODE INP control:handler:c:mode output
Query Syntax | CONTrol:HANDler:C:MODE?
Return Type | Character
Default | INPut

CONTrol:HANDler:D:MODE <char>

Applicable Models: E5080A

(Read-Write) Sets and reads the direction of data flow for Port D.
Parameters |
<char> | Direction of flow. Choose from: INPut - Port D is used to input data OUTPut - Port D is used to output data
Examples | CONT:HAND:D:MOD INP control:handler:d:mode output
Query Syntax | CONTrol:HANDler:D:MODe?
Return Type | Character
Default | Input

CONTrol:HANDler[:EXTension]:INDex[:STATe] <bool>

Applicable Models: E5080A

(Read-Write) Determines the control of Material Handler connector Pin 20. A "Mnemonic not implemented" error is returned if the VNA does NOT have this capability.
Parameters |
<bool> | Choose from: ON (1) - Pin 20 is controlled by the Index signal OFF (0) - Pin 20 is controlled by Output Port B6
Examples | CONT:HAND:IND 1 control:handler:extension:index:state off
Query Syntax | CONTrol:HANDler[:EXTension]:INDex[:STATe]?
Return Type | Boolean
Default | OFF

CONTrol:HANDler[:EXTension]:RTRigger[:STATe] <bool>

Applicable Models: E5080A

(Read-Write) Determines the control of Material Handler connector Pin 21. A "Mnemonic not implemented" error is returned if the VNA does NOT have this capability.
Parameters |
<bool> | Choose from: ON or 1 - Pin 21 is controlled by the Ready for Trigger signal OFF or 0 - Pin 21 is controlled by Output Port B7
Examples | CONT:HAND:RTR 1 control:handler:extension:rtrigger:state off
Query Syntax | CONTrol:HANDler[:EXTension]:RTRigger[:STATe]?
Return Type | Boolean
Default | OFF

CONTrol:HANDler:INPut?

Applicable Models: E5080A. M9485A

(Read-Only) Reads a hardware latch that captures high to low transitions on Input1 of the Material Handler IO. Reading the latch causes it to reset and is ready for the next transition. The hardware latch is only capable of capturing one transition per query. Additional transitions are ignored until after the next query. Momentarily driving Input1 high, then low, will cause a transition to be detected and latched.
Examples | CONT:HAND:INP? control:handler:input?
Return Type | Integer - Returns a value of zero or one. 0 - No transition detected since last query. 1 - Transition detected.
Default | Not Applicable

CONTrol:HANDler:LOGic <char>

Applicable Models: E5080A

(Read-Write) Sets the logic of the Data ports A-H on the Handler connector. Some of these lines are connected internally to the AuxIO.

Parameters

<char>

Choose from:
POSitive- Causes the Port lines to have positive logic (high = 1, low = 0).

NEGative- Causes the Port lines to have negative logic (high = 0, low = 1).

For ports that are in output (write) mode, a change in logic causes the output lines to change state immediately. For example, Low levels change immediately to High levels.

For ports that are in input (read) mode (C,D,E only), a change in logic will be reflected when data is read from that port. For example, if a line read 0, the next read after a logic change will read 1.

Examples

CONT:HAND:LOG POS
control:handler:logic negative

Query Syntax

CONTrol:HANDler:LOGic?

Return Type

Character

Default

NEGative

CONTrol:HANDler:OUTPut<port>[:DATA] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or reads the specified output line. Type 1 and Type 2 configurations: Returns the last value written to the selected output pin. Type 3 configuration: Returns the current state of the selected output pin. If an Input1 trigger occurs, the state may not be the same value as was written.
Parameters |
<port> | Output port. Choose from: 1 - output 1(default) 2 - output 2
<num> | 0 - Low 1 - High
Examples | CONT:HAND:OUTPut1 1 control:handler:output2:data 0
Query Syntax | CONTrol:HANDler:OUTPut<num>:DATA?
Return Type | Boolean
Default | 0 - Low

CONTrol:HANDler:OUTPut<port>:USER[:DATA] <num>

Applicable Models: E5080A, M9485A

(Read-Write) Sets or reads the specified USER output line. Type 1 and Type2 configurations: Returns the last value written to the selected output pin. Type3 configuration: Returns the current state of the selected output pin. If an Input1 trigger occurs, the state may not be the same value as was written. Learn about User Output.
Parameters |
<port> | USER Output port. Choose from: 1 - User output 1(default) 2 - User output port
<num> | 0 - Low 1 - High
Examples | CONT:HAND:OUTPut1:USER 1 control:handler:output2:user:data 0
Query Syntax | CONTrol:HANDler:OUTPut<num>:USER:DATA?
Return Type | Boolean
Default | 0 - Low

CONTrol:HANDler:PASSfail:LOGic <char>

Applicable Models: E5080A

(Read-Write) Sets the logic of the PassFail line of the Material Handler IO (pin 33).
Parameters |
<char> | Choose from: POSitive- Causes the PassFail line to have positive logic (high = pass, low = fail). NEGative- Causes the PassFail line to have negative logic (high = fail, low = pass).
Examples | CONT:HAND:PASS:LOG POS control:handler:passfail:logic negative
Query Syntax | CONTrol:HANDler:PASSfail:LOGic?
Return Type | Character
Default | POSitive

CONTrol:HANDler:PASSfail:MODE <char>

Applicable Models: E5080A

(Read-Write) Sets and reads the default logical pass/fail state. This is the state the pass/fail line stays in until a failure occurs (if the mode is NOWait), or until an end-of-sweep condition occurs (if the mode is PASS or FAIL).

The end-of-sweep condition is determined by the CONTrol:HANDler:PASSfail:SCOPe command.

Parameters

<char>

Choose from:

PASS- the line stays in PASS state until the end-of-sweep condition occurs, at which time the pass/fail line is set, and the pass/fail strobe (line 36) is activated.

FAIL- the line stays in FAIL state until the end-of-sweep condition occurs, at which time the pass/fail line is set, and the pass/fail strobe (line 36) is activated.

NOWait- the pass/fail line is set, and the pass/fail strobe (line 36) is activated as soon as a failure condition occurs.

Examples

CONT:HAND:PASS:MODE NOW
control:handler:passfail:mode fail

Query Syntax

CONTrol:HANDler:PASSfail:MODE?

Return Type

Character

Default

NOWait

CONTrol:HANDler:PASSfail:POLicy <char>

Applicable Models: E5080A

(Read-Write) Sets the policy used to determine how global pass/fail is computed.
Parameters |
<char> | Name of the policy to use. Choose from: ALLTests - Pass/Fail Status returns PASS if all tests on all measurements pass. ALLMeas - Pass/Fail Status returns PASS if all measurements have associated tests, and all tests pass. FAIL is returned if even one measurement has no associated limit test. Only those measurements which are not in HOLD mode contribute to the pass/fail result.
Examples | CONT:HAND:PASS:POL control:handler:passfail:policy
Query Syntax | CONTrol:HANDler:PASSfail:POLicy?
Return Type | Character
Default | ALLTests

CONTrol:HANDler:PASSfail:SCOPe <char>

Applicable Models: E5080A

(Read-Write) Sets and reads the scope of pass/fail testing. The pass/fail line on the material handler port can report the status of all measurements on each channel, or all measurements on all channels. This command selects which option to use.

Parameters

<char>

Choose from:

CHANnel - A pass/fail result is computed and written to the output pins at the end of all sweeps on a channel.

GLOBal - A pass/fail result is computed and written to the output pins at the end of all sweeps on a channel.

If the pass/fail mode is NOWait (as set by CONTrol:HANDler:PASSfail:MODe), the status and strobe pins are written immediately. Otherwise the pins are written as indicated above. Regardless of the mode value, the pass/fail line is returned to its default state (as set by the MODE command) at the end of channel or group of channels.

Examples

CONT:HAND:PASS:SCOP CHAN
control:handler:passfail:scope sweep

Query Syntax

CONTrol:HANDler:PASSfail:SCOPe?

Return Type

Character

Default

GLOBal

CONTrol:HANDler:PASSfail:STATus?

Applicable Models: E5080A

(Read-Only) Returns the most recent pass/fail status value. Use this command as follows:

  1. Set the VNA trigger scope to GLOBAL

  2. Set the VNA trigger source to MANUAL or EXTERNAL.

  3. Configure and enable Limit Testing.

  4. Trigger the VNA.

  5. Use the *OPC? command to determine when the sweep is complete.

  6. Use the CONT:HAND:PASS:STAT? query to obtain the global pass/fail result.

Return Type

Character - One of the following is returned:

PASS - all measurements not in HOLD mode have been swept, and all associated limit tests have passed.

FAIL - all measurements not in HOLD mode have been swept, and one or more limit tests failed according to the specified Pass/Fail policy.

NONE - status cannot be determined because measurements are in progress.

Default

Not Applicable

CONTrol:HANDler:SWEepend <char>

Applicable Models: E5080A

(Read-Write) Specifies the event that will cause the Handler Sweep End line to strobe. The strobe is at least 10ms in duration, and is activated when all calculations for the associated measurement are complete. This line is connected internally to the Sweep End line of the AUX IO connector.
Parameters |
<char> | Choose from: SWEep - the line goes low when each sweep is complete CHANnel - the line goes low when all the sweeps for each channel is complete. GLOBal - the line goes low when all sweeps for all channels are complete. The default state of the passFail line (before a measurement occurs) and after a failure occurs is set by CONTrol:HANDler:PASSfail:MODe
Examples | CONT:HAND:SWE SWE control:handler:sweepend channel
Query Syntax | CONTrol:HANDler:SWEepend?
Return Type | Character
Default | GLOBal

Last Modified:

5-Jan-2016

First Release


Display Colors

Display Color Commands

Controls the color settings of the VNA display.

DISPlay:COLor

ABACkground

IBACKground | IBACkground

GRAT1

GRAT2

ILABel

LIM1

LOAD

RESet

STORe

TRACe

| DATA

| MARKer

| MEMory

| MMARker

Click on a Red keyword to view the command details.

See Also

  • Synchronizing the VNA and Controller

  • Learn about Display and Print Colors

  • SCPI Command Tree

DISPlay:COLor<n>:ABACkground <num, num, num>

(Read-Write) Set and return the background color for the active window on the VNA display or hardcopy print.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:ABAC 10,10,10 display:color1:abackground 80,80,80
Query Syntax | DISPlay:COLor<n>:ABACkground?
Return Type | Numeric (n,n,n)
Default | Display = 0,0,24 (Black) Print = 255,255,255 (White)

DISPlay:COLor<n>:IBACKground | IBACkground <num, num, num>

(Read-Write) Set and return the background color for the inactive windows on the VNA display or hardcopy print.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:BACK 10,10,10 display:color1:background 80,80,80
Query Syntax | DISPlay:COLor<n>:IBACKground | IBACkground?
Return Type | Numeric (n,n,n)
Default | Display = 0,0,0 (Black) Print = 255,255,255 (White)

DISPlay:COLor<n>:GRAT1 <num, num, num>

(Read-Write) Set and return the labels and grid frame colors in the active window for the VNA display or hardcopy print. (Active labels, Grid frame)
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:GRAT1 10,10,10 display:color1:grat1 80,80,80
Query Syntax | DISPlay:COLor<n>:GRAT1?
Return Type | Numeric (n,n,n)
Default | Display = 175,175,175 Print = 0,0,0 (Black)

DISPlay:COLor<n>:GRAT2 <num, num, num>

(Read-Write) Set and return the inner lines of all grid in all windows, and the grid frame in inactive windows for the VNA display or hardcopy print. (GRID)
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:GRAT2 10,10,10 display:color1:grat2 80,80,80
Query Syntax | DISPlay:COLor<n>:GRAT2?
Return Type | Numeric (n,n,n)
Default | Display = 100,100,100 Print = 50,50,50

DISPlay:COLor<n>:ILABel <num, num, num>

(Read-Write) Set and return the Inactive (not selected) Window Labels for the VNA display or hardcopy print.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:ILAB 10,10,10 display:color1:ilabel 80,80,80
Query Syntax | DISPlay:COLor<n>:ILABel?
Return Type | Numeric (n,n,n)
Default | Display = 160,160,160 Print = 0,0,0 (Black)

DISPlay:COLor<n>:LIM1 <num, num, num>

(Read-Write) Set and return the limit line color of failed traces or failure indicators (dots) and the word Fail.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:LIM1 10,10,10 display:color1:lim1 80,80,80
Query Syntax | DISPlay:COLor<n>:LIM1?
Return Type | Numeric (n,n,n)
Default | Display = 255,20,20 Print = 255,20,20

DISPlay:COLor<n>:LOAD <value>

(Write-only) Load a color theme from a disc file.
Parameters |
<n> | Colors to load. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<value> | String. Filename of the stored theme. The .colors suffix is automatically appended. By default, files are stored in C:/Program Files/Keysight/Network Analyzer/Colors/. To store and load files from a different folder, specify the full path and filename.
Examples | DISP:COL:LOAD "myDisplayTheme" display:color2:load "myPrintTheme"
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:COLor<n>:RESet

(Write-only) Resets the current theme to the default VNA colors.
Parameters |
<n> | Colors to reset. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
Examples | DISP:COL:RES display:color2:reset
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:COLor<n>:STORe <value>

(Write-only) Saves the current color theme to a disc file.
Parameters |
<n> | Colors to store. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<value> | String. Filename. The .colors suffix is automatically appended. By default, files are stored in C:/Program Files/Keysight/Network Analyzer/Colors/. To store and load files from a different folder, specify the full path and filename.
Examples | DISP:COL:STOR "myDisplayTheme" display:color2:store "myPrintTheme"
Query Syntax | Not Applicable
Default | Not Applicable

DISPlay:COLor<n>:TRACe<nth>:DATA <num, num, num>

(Read-Write) Set and return the color of Data and Limit Lines for nth trace in a window.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<nth> | Numeric. Relative trace number in the window for which colors are set. This is not necessarily the trace number. Learn more. Choose from 1 to 8. If unspecified, <nth> is set to 1 (first trace).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:TRAC2:DATA 10,10,10 display:color1:trace5:data 80,80,80
Query Syntax | DISPlay:COLor<n>:TRACe<nth>:DATA?
Return Type | Numeric (n,n,n)
Default | Varies for each trace.

DISPlay:COLor<n>:TRACe<nth>:MARKer <num, num, num>

(Read-Write) Set and return the color of data trace markers for nth trace in a window.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<nth> | Numeric. Relative trace number in the window for which colors are set. This is not necessarily the trace number. Learn more. Choose from 1 to 8. If unspecified, <nth> is set to 1 (first trace).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:TRAC2:MARK 10,10,10 display:color1:trace5:marker 80,80,80
Query Syntax | DISPlay:COLor<n>:TRACe<nth>:MARKer?
Return Type | Numeric (n,n,n)
Default | Varies for each trace.

DISPlay:COLor<n>:TRACe<nth>:MEMory <num, num, num>

(Read-Write) Set and return the memory trace color for nth trace in a window.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<nth> | Numeric. Relative trace number in the window for which colors are set. This is not necessarily the trace number. Learn more. Choose from 1 to 8. If unspecified, <nth> is set to 1 (first trace).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:TRAC2:MEM 10,10,10 display:color1:trace5:memory 80,80,80
Query Syntax | DISPlay:COLor<n>:TRACe<nth>:MEMory?
Return Type | Numeric (n,n,n)
Default | Varies for each trace.

DISPlay:COLor<n>:TRACe<nth>:MMARker <num, num, num>

(Read-Write) Set and return the color of memory trace markers for nth trace in a window.
Parameters |
<n> | Colors to modify. Choose from: 1 - Display colors 2 - Print colors If unspecified, <n> is set to 1 (Display colors).
<nth> | Numeric. Relative trace number in the window for which colors are set. This is not necessarily the trace number. Learn more. Choose from 1 to 8. If unspecified, <nth> is set to 1 (first trace).
<num, num, num> | Numeric. Red, Green, and Blue (RGB values) that specify a color. To find RGB values: from the Display Colors dialog, click Change Color, then Define Custom Color.
Examples | DISP:COL:TRAC2:MMAR 10,10,10 display:color1:trace5:mmarker 80,80,80
Query Syntax | DISPlay:COLor<n>:TRACe<nth>:MMARker?
Return Type | Numeric (n,n,n)
Default | Varies for each trace.

Last modified:

5-Jan-2016

First Release


Local Lockout

Local Lockout (LLO) Message

Normally, a GPIB instrument is put in remote mode by asserting the Remote Enable (REN) GPIB line. At that time, all front panel keys (except the Local key) are locked to prevent user interaction.

Sending the LLO message over the GPIB further locks out the keyboard, mouse, and Local key during execution of your GPIB program. The syntax of the LLO message depends on the GPIB driver you are using. Consult your GPIB driver software users manual.

The VNA requires these two actions to occur in order:

  1. Controller sends the LLO (Local Lockout) message

  2. Controller asserts the REN (Remote Enable) GPIB line

The VNA will then go into remote mode with full lockout capability.

This feature is also supported using SICL over LAN.

Use the LocalLockoutState COM command when using TCPIP/LAN.

Last Modified:

5-Jan-2016

Added COM command


LXI

LXI Command

SCPI Command Tree

LXI:IDENtify[:STATe] <bool>

(Read-Write) Sets and returns the status of the LXI LAN status indicator on the LAN Status dialog.

Parameters

<bool>

Choose from:

OFF or 0 - Changes the LXI Status indicator to ‘NORMAL’ and closes the dialog if it was opened by this command.

ON or 1 - Changes the LXI Status indicator to ‘IDENTIFY’ and opens the dialog if it was not already open.

Examples

LXI:IDEN 1
lxi:identify:state off

Query Syntax

LXI:IDENtify[:STATe]?

Return Type

Boolean

Default

OFF


SourceRxLeveling

Source:POWer:ALC:MODE:RECeiver Commands

Controls Receiver Leveling.

SOUR:POW:ALC[:MODE]:RECeiver:

FAST

FTYPe

IFBW

ITERation

LSPC

OFFSet

RATio?

REFerence

SAFE

| MAX

| MIN

| STEP

TOLerance

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Receiver Leveling

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

  • Remotely Specifying a Source Port

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver <bool>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the state of Receiver Leveling for the specified source port.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<bool>

Receiver Leveling state.

ON or 1 - Receiver Leveling ON

OFF or 0 - Receiver Leveling OFF

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC 1

source2:power2:alc:mode:receiver on

source:power:alc:mode:receiver off,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver? [src]

Return Type

Boolean

Default

OFF

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:FAST <bool>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the state of a separate IFBW setting for leveling sweeps. ON allows a higher (faster) IFBW than the measurement sweep. It also causes leveling sweeps to be noisier.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<bool>

Separate IFBW setting state.

ON or 1 - Separate IFBW setting. Specify IFBW using SOUR:POW:ALC:MODE:REC:IFBW

OFF or 0 - Same IFBW as the measurement sweep. Specify IFBW using Sens:BWID

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:FAST 1

source2:power2:alc:mode:receiver:fast off

source:power:alc:mode:receiver:fast off,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:FAST? [src]

Return Type

Boolean

Default

ON

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:FTYPe <char>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the frequency range to use for receiver leveling. On the user interface, this is the "Receiver frequency is determined by:" setting.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<char>

Frequency range. Choose from:

AUTO - always uses the frequency range that is assigned to the measurement receiver.

INPut - Mixer/Converter input frequency range.

OUTPut - Mixer/Converter input frequency range.

RECeiver - FOM Receiver frequency range.

SOURce - FOM Source frequency range

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:FTYP AUTO

source2:power2:alc:mode:receiver:ftype input

source:power:alc:mode:receiver:ftype output,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:FTYPe? [src]

Return Type

Character

Default

AUTO

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:IFBW <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the IFBW to be used for leveling sweeps. Enable separate IFBW for leveling sweeps using SOUR:POW:ALC:MODE:REC:FAST 1

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling..If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

IFBW for leveling sweeps in Hz. The list of valid IF Bandwidths is different depending on the VNA model. (Click to see the lists.) If an invalid number is specified, the analyzer will round up to the closest valid number.

This parameter supports MIN and MAX as arguments. Learn more.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:IFBW 100E3

source2:power2:alc:mode:receiver:ifbw 100khz

source:power:alc:mode:receiver:ifbw 70e3,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:IFBW? [src]

Return Type

Numeric

Default

100 kHz

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:ITERation <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the maximum iterations to be used in order to achieve the tolerance setting.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

Max iterations. Choose a value between 1 and 25.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:ITER 5

source2:power2:alc:mode:receiver:iteration 10

source:power:alc:mode:receiver:iteration 7,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:ITERation? [src]

Return Type

Numeric

Default

5

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:LSPC <bool>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the state of Use Last Result for Source Power Cal. When Leveling Mode is switched back to Internal, this feature turns Source Power Cal correction ON using the latest receiver leveling correction data.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<bool>

State of Use Last Result for Source Power Cal.

ON or 1 - When Leveling Mode is switched back to Internal, Source Power Cal correction is turned ON using the latest receiver leveling correction data.

OFF or 0 - When Leveling Mode is switched back to Internal, Source Power Cal correction is NOT turned ON.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:LSPC 1

source2:power2:alc:mode:receiver:lspc off

source:power:alc:mode:receiver:lspc off,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:LSPC? [src]

Return Type

Boolean

Default

OFF

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:OFFSet <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the power level offset value.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

Power level offset in dB. Choose a value between +200 and -200.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:OFFS 10

source2:power2:alc:mode:receiver:offset 5

source:power:alc:mode:receiver:offset 7,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:OFFSet? [src]

Return Type

Numeric

Default

0

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:REFerence <rec>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the reference receiver to be used with Receiver Leveling.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<rec>

(String) VNA receiver. Choose the VNA physical receiver that works with the source port <port>.

For example:<port 1> = "R1"

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:REF 'r1'

source2:power2:alc:mode:receiver:reference 'r2'

source:power:alc:mode:receiver:reference "r1","Port 1 Src2"

'Read the last setting back

source:power:alc:mode:receiver:reference? "Port 1 Src2"

'Returns:

"R1,1"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:REFerence? [src]

Return Type

String - Name of the reference receiver.

Default

Not Applicable

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE <bool>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the state of Safe Mode.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<bool>

Safe mode state.

ON or 1 - Safe mode ON

OFF or 0 - Safe mode OFF

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:SAFE 1

source2:power2:alc:mode:receiver:safe on

source:power:alc:mode:receiver:safe off,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE? [src]

Return Type

Boolean

Default

OFF

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE:MAX <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the maximum power level for Safe Mode.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

Maximum power level in dB.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:SAFE:MAX 10

source2:power2:alc:mode:receiver:safe:max 20

source:power:alc:mode:receiver:safe:max 15,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE:MAX? [src]

Return Type

Numeric

Default

30 dB

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE:MIN <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the minimum power level for Safe Mode.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

Minimum power level in dB.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:SAFE:MIN -50

source2:power2:alc:mode:receiver:safe:min -80

source:power:alc:mode:receiver:safe:min -40,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE:MIN? [src]

Return Type

Numeric

Default

-95 dB

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE:STEP <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the maximum step power level for Safe Mode.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

Maximum Step power level in dB.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:SAFE:STEP 2

source2:power2:alc:mode:receiver:safe:step 1.5

source:power:alc:mode:receiver:safe:min 2,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:SAFE:STEP? [src]

Return Type

Numeric

Default

1 dB

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:TOLerance <value>, [src]

Applicable Models: M9485A

(Read-Write) Sets and returns the tolerance value for leveling sweeps.

Learn more about Receiver Leveling

Parameters

<ch>

Channel number to be receiver leveled. If unspecified, value is set to 1

<port>

Source port being used for Receiver Leveling. If unspecified, value is set to 1. To make settings for ports that are not simple numbers, use the [src] argument.

<value>

Tolerance level in dB.

[src]

String. (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2". Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

Examples

SOUR:POW:ALC:REC:TOL .01

source2:power2:alc:mode:receiver:tolerance .5

source:power:alc:mode:receiver:tolerance .2,"Port 1 Src2"

See ReceiverLeveling example

Query Syntax

SOURce<ch>:POWer<port>:ALC[:MODE]:RECeiver:TOLerance? [src]

Return Type

Numeric

Default

.1 dB

Last Modified:

5-Jan-2016

First Release


Status Keywords SCPI

Status Command Keywords

The following keywords can be appended to the node or nodes that represent the Status register you want to control.

  • :CONDition?

  • :ENABle

  • :ENABle?

  • :EVENt?

  • :MAP

  • :NTRansition

  • :PTRansition

Learn about Status Registers

SCPI Command Tree

:CONDition?

(Read-only) Monitors the conditions as they occur REAL TIME. That is, a condition may occur, and then clear before the condition is read. Reading this register returns a 16-bit decimal weighted number.

:ENABle <bit>

Enables register bits that will monitored using the service request (SRQ) method. (To use the direct read method, you do not have to enable the bit.)

Default value for STATus:QUEStionable:ENABle and STATus:OPERation:ENABle is 0: No bits enabled.

Default value for all other registers :ENABle <bits> is 32767; ALL BITS ENABLED.

Therefore it is ONLY necessary to send the ENABle keyword if you want to DISABLE some conditions. For example, to enable ONLY Trace1 (bit 2) of the LIMIT1 register (disable all other traces) , send: STATus:QUEStionable:LIMit1:ENABle 4

:ENABle?

Read the enable register to verify the bits that you enabled. Returns a 16 bit weighted sum of the bits that are enabled.

[:EVENt]?

(Read-only) This is the Default keyword for most registers. Use it to determine if a condition has occured. These bits remain set until they are read or otherwise cleared.

:MAP <bit>,<error>

Associates a bit is the User register with an error number. For example

STATus:QUEStionable:DEFine:USER2:MAP 0,-113

0 is the bit that will be set

-113 is the error

When error -113 "Undefined Header" occurs, bit 0 in the USER2 register will be set to 1.

:NTRansition <bits>

Write-Read - Negative Transition register bits set the condition to be set on the Negative going (True to False) transition. Use this register if you are only interested in a condition changing from True to False.

:NTRansition?

queries the register to verify that you set a negative transition.

:PTRansition <bits>

Write-Read - Positive Transition register bits set the condition to be set on the False to True transition. Use this register if you are only interested in the change of a condition from False to True.

:PTRansition?

Queries the register to verify that you set a positive transition.


SystCommunicate

SYSTem: COMMunicate Commands

Controls and queries settings that affect the VNA system.

SYSTem:COMMunicate:

ECAL:CAT

GPIB

| ADDRess

LAN:HOSTname

PSENsor

TCPip:CONTrol?

USB:PMETer:CAT?

Click on a blue keyword to view the command details.

See Also

  • Referring to Traces Channels Windows and Meas Using SCPI

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:COMMunicate:ECAL:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the ID string of ECals that are connected to the VNA USB. Use the list to select a Ecal for Ecal calibration.
Parameters |
Examples | SYST:COMM:ECAL:CAT? system:communicate:ecal:catalog?
Return Type | Comma-delimited strings.
Default | Not applicable

SYSTem:COMMunicate:LAN:HOSTname?

Applicable Models: E5080A, M9485A

(Read-only) Returns the LAN hostname that is visible in the Help, About Network Analyzer dialog box. Learn more. This is the same information that is visible on the LXI compliance dialog.
Parameters | None
Example | SYST:CONF:LAN:HOSTname?
Return Type | String
Default | Not applicable

SYSTem:COMMunicate:PSENsor <char>, <string>

Applicable Models: E5080A, M9485A

This command replaces SYST:COMM:GPIB:PMET:ADDR.

(Read-Write) Specifies the type and location of the power meter to be used in a source power calibration.

Parameters

<char>

Type of power meter/ sensor. Choose from:

  • GPIB GPIB power meter

  • USB USB power sensor or USB power sensor

  • LAN LAN enabled power meter

  • ANY Any VISA resource string or a visa alias

<string>

For GPIB, address of the power meter. Choose any integer between 0 and 30.

For USB, the ID string of the power meter or power sensor. Use SYST:COMM:USB:PMET:CAT? to see a list of ID strings of connected power meters and sensors.

For LAN, the hostname or IP address of the power meter.

For ANY, any VISA resource string or a visa alias.

Examples

SYST:COMM:PSEN gpib, "14"

system:communicate:psensor usb, "Agilent Technologies,U2000A,MY12345678"

syst:comm:psen lan, "mymeter.agilent.com"

syst:comm:psen any, "TCPIP0::mymeter.agilent.com::5025::SOCKET"

Query Syntax

SYSTem:COMMunicate:PSENsor?

Return Type

Character / String

Default

GPIB

SYSTem:COMMunicate:USB:PMETer:CATalog?

Applicable Models: E5080A, M9485A

(Read-only) Returns the ID string of power meters / sensors that are connected to the VNA USB. Use the list to select a power sensor for a source power cal.

These meter/sensor ID strings can NOT be used as the resource string for configuring a USB-based PMAR (SYST:CONF:EDEV:IOConfig).

Parameters

Examples

SYST:COMM:USB:PMET:CAT?

system:communicate:usb:pmeter:catalog?

Return Type

Comma-delimited strings. Two power sensor strings are separate by a semicolon.

Default

Not applicable

SYSTem:COMMunicate:TCPip:CONTrol?

Applicable Models: E5080A, M9485A

(Read-only) Queries the TCP/IP port number to use for opening a TCP/IP socket control connection to the VNA. The control connection is used for two purposes:

  1. To perform a Device Clear operation on the VNA

  2. To detect when a Service Request (SRQ) event occurs on the VNA.

The port number can range from 5000 to 5099. The VNA will skip over 5025 as it is being used for the primary socket connection.

To detect an SRQ, your program sends the appropriate commands via the regular socket connection to set up for a SRQ event to occur the same sequence of commands as if you were sending them via GPIB. You write your program so that while your program is doing SCPI transactions on the standard socket connection, a second thread of execution in your program detects the SRQ on the control connection and responds to the event. When the SRQ event occurs, the VNA sends a SRQ +xxx/n message on the control connection (where /n is linefeed character, ASCII value 10 decimal). The xxx value in the SRQ +xxx/n string is the IEEE 488.2 status byte at the time the SRQ was generated. So listening for that on the control connection is how your program detects the event. If for your socket communication youre using a software API that provides for asynchronous communication via a callback mechanism (for example, if youre using Microsofts winsock API, or their .NET Socket class as in the example program below), in that case your listener execution thread is created implicitly for you so your program doesnt have to create one explicitly.

Note: If this SCPI query is sent to the VNA via a SCPI parser other than a TCP/IP socket connection (for example, if sent via GPIB), the query is not applicable in that case and will return value of 0.

Parameters

None

Example

See example program

Return Type

Integer

Default

Not applicable


SystConfigExtPulseGen

SYSTem:CONF:EDEVice:PULSe Commands

Configures and makes settings for an external Keysight 81110A Pulse Generator.

SYST:CONF:EDEVice:PULSe

| CHAN

| HAMP

| LAMP

| LIMP

| MMODe

| SIMP

Click on a blue keyword to view the command details.

See Also

  • Root SYST:CONF:EDEV commands

  • All Integrated Pulse App commands

  • Learn about: Configure an External Pulse Generator

  • Learn about Configure and External Device

  • SYST:PREF:ITEM:EDEV:DPOL - Determines whether External Devices remain activated or are de-activated when the VNA is Preset or when a Instrument State is recalled.

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SYSTem:CONFigure:EDEVice:PULSe:CHAN <name>,<value>

Applicable Models: M9485A

(Read-Write) Sets and returns the output channel of the pulse generator.
Parameters |
<name> | String - Name of the external pulse generator.
<value> | Pulse Generator output port. Choose from 1 or 2.
Examples | SYST:CONF:EDEV:PULS:CHAN "81110",1 system:configure:edevice:pulse:chan "myPG",2
Query Syntax | SYSTem:CONFigure:EDEVice:DC:PULSe:CHAN? <name>
Return Type | Numeric
Default | 1

SYSTem:CONFigure:EDEVice:PULSe:HAMP <name>,<value>

Applicable Models: M9485A

(Read-Write) Sets and returns the High amplitude (voltage) of the pulse generator.
Parameters |
<name> | String - Name of the external pulse generator.
<value> | Pulse Generator high amplitude voltage.
Examples | SYST:CONF:EDEV:PULS:HAMP "81110",3 system:configure:edevice:pulse:HAMP "myPG",4
Query Syntax | SYSTem:CONFigure:EDEVice:DC:PULSe:HAMP? <name>
Return Type | Numeric
Default | 5

SYSTem:CONFigure:EDEVice:PULSe:LAMP <name>,<value>

Applicable Models: M9485A

(Write-only) Adds an external device to the list of configured devices. This is the same as pressing New on the Select an external device dialog.

Upon creation, all settings on the new device are set to the defaults. The device is not active until set using SYST:CONF:EDEV:STAT

Parameters

<name>

String - Model and type of the external device.

To see a list of configured external devices, use SYST:CONF:EDEV:CAT?

Examples

SYST:CONF:EDEV:ADD "myDevice"

system:configure:edevice:add "myDevice"

Query Syntax

Not Applicable

Default

Not Applicable

(Read-Write) Pulse Generator low amplitude voltage.
Parameters |
<name> | String - Name of the external pulse generator.
<value> | Pulse Generator low amplitude voltage.
Examples | SYST:CONF:EDEV:PULS:LAMP "81110",.2 system:configure:edevice:pulse:lamp "myPG",1
Query Syntax | SYSTem:CONFigure:EDEVice:DC:PULSe:LAMP? <name>
Return Type | Numeric
Default | 0

SYSTem:CONFigure:EDEVice:PULSe:LIMP <name>,<value>

Applicable Models: M9485A

(Read-Write) Sets and returns the load impedance of the pulse generator.
Parameters |
<name> | String - Name of the external pulse generator.
<value> | Pulse generator load impedance.
Examples | SYST:CONF:EDEV:PULS:LIMP "81110",52 system:configure:edevice:pulse:limp "myPG",49
Query Syntax | SYSTem:CONFigure:EDEVice:DC:PULSe:LIMP? <name>
Return Type | Numeric
Default | 50

SYSTem:CONFigure:EDEVice:PULSe:MMODe <name>,<bool>

Applicable Models: M9485A

(Read-Write) Sets and returns the Master (On/Off) setting of the external pulse generator. The ON setting allows the external pulse generator to set the master clock frequency for the other pulse generators.
Parameters |
<name> | String - Name of the external pulse generator.
<bool> | Master setting. Choose from: ON or 1 - Use the external pulse generator becomes the master clock frequency. OFF or 0 - Use the internal pulse generator as the master clock frequency.
Examples | SYST:CONF:EDEV:PULS:MMOD "81110",OFF system:configure:edevice:pulse:mmode "myPG",1
Query Syntax | SYSTem:CONFigure:EDEVice:DC:PULSe:MMODe? <name>
Return Type | Boolean
Default | OFF or 0

SYSTem:CONFigure:EDEVice:PULSe:SIMP <name>,<value>

Applicable Models: M9485A

(Read-Write) Sets and returns the source impedance of the pulse generator.
Parameters |
<name> | String - Name of the external pulse generator.
<value> | Pulse generator source impedance.
Examples | SYST:CONF:EDEV:PULS:SIMP "81110",52 system:configure:edevice:pulse:simp "myPG",49
Query Syntax | SYSTem:CONFigure:EDEVice:DC:PULSe:SIMP? <name>
Return Type | Numeric
Default | 50

Last modified:

5-Jan-2016

First Release


FSimulatorBalun

Calculate:FSimulator:Balun Commands

CALCulate:FSIMulator:BALun:

BPORt

| OFFSet

| PHASe

| POWer

| SWEep

| PHASe

| STARt

| STOP

CZConversion

| BPOrt

| IMAG

| REAL

| Z0

| R

| LPOrt

| IMAG

| REAL

| Z0

| R

| STATe

DEVice

DMCircuit

| BPOrt

| PARameters

| C

| G

| L

| R

| [TYPE]

| USER

| FILename

| LPOrt

| PARameters

| C

| G

| L

| R

| [TYPE]

| USER

| FILename

| STATe

DZConversion

| BPOrt

| IMAG

| REAL

| Z0

| R

| LPOrt

| IMAG

| REAL

| Z0

| R

| STATe

PHASe

| SWEEP | SWEep

| STATe

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Balanced Measurements

  • Learn about iTMSA

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Notes:

Critical Note: CALCulate commands act on the selected measurement. You can select one measurement for each channel using Calc:Par:MNUM or Calc:Par:Select. Learn more.

  • CALC:PAR:CAT? alone can NOT be used to return a balanced measurement parameter. If a balanced measurement transform is being performed, then additional querying of the CALC:FSIM system is required to determine the balanced parameter type. See an example.

  • BPORt versus LPORt commands - For each command in this subsystem that includes a BPORt keyword, there is an LPORt equivalent. The commands are identical except for the way in which the balanced / logical port numbers are specified:

    • The BPORt commands refer to the Balanced port number. There can only be up to two balanced ports. This method is compatible with the ENA network analyzer.

    • The LPORt commands refer to the Logical port number. A balanced port can appear as either logical port 1, 2, or 3. These are the references as they appear in the front-panel user interface.

Topology | Logical Port | Balanced Port
Single-Bal | 1 | N/A
 | 2 | 1
Single-Single-Bal | 1 | N/A
 | 2 | N/A
 | 3 | 1
Bal-Bal | 1 | 1
 | 2 | 2

Learn more about logical ports.

CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:OFFSet:PHASe <value>

Applicable Models: E5080A

(Read-Write) Sets the phase offset between the two balanced stimulus ports. This command only applies when CALC:FSIM:BAL:STIM:MOD is set to a True Mode - Not Single-Ended. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2.
<value> | Phase offset value in degrees.
Examples | CALC:FSIM:BAL:BPOR:OFFS:PHAS 10 calculate2:fsimulator:balun:bport:offset:phase 300
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:OFFSet:PHASe?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:OFFSet:POWer <value>

Applicable Models: E5080A

(Read-Write) Sets the phase offset between the two balanced stimulus ports. This command only applies when CALC:FSIM:BAL:STIM:MOD is set to a True Mode - Not Single-Ended. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2.
<value> | Power offset value in dB.
Examples | CALC:FSIM:BAL:BPOR:OFFS:POW 2 calculate2:fsimulator:balun:bport:offset:power .2 See example iTMSA program
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:OFFSet:POWer?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:SWEep:PHASe:STARt <value>

Applicable Models: E5080A

(Read-Write) Sets the start value for a phase sweep. Learn more about Phase Sweep. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose any VNA port. Only one port can have phase sweep.
<value> | Phase sweep start value in degrees. Choose a value between 0 and 360.
Examples | CALC:FSIM:BAL:BPOR:SWE:PHAS:STAR 10 calculate2:fsimulator:balun:bport:sweep:phase:start 5
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:SWEep:PHASe:STARt?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:SWEep:PHASe:STOP <value>

Applicable Models: E5080A

(Read-Write) Sets the stop value for a phase sweep. Learn more about Phase Sweep. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose any VNA port. Only one port can have phase sweep.
<value> | Phase sweep stop value in degrees. Choose a value between 0 and 360.
Examples | CALC:FSIM:BAL:BPOR:SWE:PHAS:STOP 10 calculate2:fsimulator:balun:bport:sweep:phase:stop 5
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:BPORt<pnum>:SWEep:PHASe:STOP?
Return Type | Numeric
Default | 360

CALCulate<cnum>:FSIMulator:BALun:CZConversion:BPORt<pnum>:IMAG <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the imaginary part of the impedance value for the common port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Imaginary part of the Impedance value in Units. Choose a number between 0 and 1E18.
Examples | CALC:FSIM:BAL:CZC:BPOR:IMAG 0 calculate2:fsimulator:balun:czconversion:bport:imag 300
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:BPORt<pnum>:IMAG?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:CZConversion:BPORt<pnum>:REAL <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the real part of the impedance value for the common port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Real part of the Impedance value in Units. Choose a number between 0 and 1E18.
Examples | CALC:FSIM:BAL:CZC:BPOR:REAL 25 calculate2:fsimulator:balun:czconversion:bport:real 50
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:BPORt<pnum>:REAL?
Return Type | Numeric
Default | 25

CALCulate<cnum>:FSIMulator:BALun:CZConversion:BPORt<pnum>:Z0[:R] <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the real part of the impedance value for the common port impedance conversion function. Set either this single value or set the real and imaginary parts separately. The imaginary part is set to 0.0 using this command. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Impedance value in ohms. Choose a number between 0 to 1E7.
Examples | CALC:FSIM:BAL:CZC:BPOR:Z0 50 calculate2:fsimulator:balun:czconversion:bport:z0:r 75
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:BPORt<pnum>:Z0[:R]?
Return Type | Numeric
Default | See Common Mode Port Z Conversion Default

CALCulate<cnum>:FSIMulator:BALun:CZConversion:LPORt<pnum>:IMAG <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the imaginary part of the impedance value for the common port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2, or 3. Note: See Balanced port versus Logical port.
<value> | Imaginary part of the Impedance value in Units. Choose a number between 0 and 1E18.
Examples | CALC:FSIM:BAL:CZC:LPOR:IMAG 0 calculate2:fsimulator:balun:czconversion:lport:imag 300
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:LPORt<pnum>:IMAG?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:CZConversion:LPORt<pnum>:REAL <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the real part of the impedance value for the common port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2, or 3. Note: See Balanced port versus Logical port.
<value> | Real part of the Impedance value in Units. Choose a number between 0 and 1E18.
Examples | CALC:FSIM:BAL:CZC:LPOR:REAL 25 calculate2:fsimulator:balun:czconversion:lport:real 50
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:LPORt<pnum>:REAL?
Return Type | Numeric
Default | See Common Mode Port Z Conversion Default

CALCulate<cnum>:FSIMulator:BALun:CZConversion:LPORt<pnum>:Z0[:R] <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the real part of the impedance value for the common port impedance conversion function. Set either this single value or set the real and imaginary parts separately. The imaginary part is set to 0.0 using this command. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<value> | Impedance value in ohms. Choose a number between 0 to 1E7.
Examples | CALC:FSIM:BAL:CZC:LPOR:Z0 50 calculate2:fsimulator:balun:czconversion:lport:z0:r 75
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:LPORt<pnum>:Z0[:R]?
Return Type | Numeric
Default | See Common Mode Port Z Conversion Default

CALCulate<cnum>:FSIMulator:BALun:CZConversion:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the common port impedance conversion function ON/OFF. Must also set the fixture simulator function to ON using CALC:FSIM:STAT. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of common port impedance conversion function. Choose from ON or 1 - Conversion ON OFF or 0 - Conversion OFF
Examples | CALC:FSIM:BAL:CZC:STAT 1 calculate2:fsimulator:balun:czconversion:state off
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:CZConversion:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:BALun:DEVice <char>

Applicable Models: E5080A, M9485A

(Read-Write) Selects the device type for the balanced measurement. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<char> | BBALanced - Balanced - Balanced device (4 ports). BALSended - Balanced - Single-ended device (3 ports). SBALanced - Single-ended - Balanced device (3 ports). SSBalanced - Single-ended - Single-ended - Balanced device (4 ports).
Examples | CALC:FSIM:BAL:DEV SSB calculate2:fsimulator:balun:device bbal
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DEVice?
Return Type | Character
Default | SBALanced

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:C <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Capacitance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Capacitance value in farads. Choose a number between -1E18 to 1E18
Examples | CALC:FSIM:BAL:DMC:BPOR:PARameters:C 10E-6 calculate2:fsimulator:balun:dmcircuit:bport:parameters:c 1E-9
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:C?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:G <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Conductance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Conductance value in siemens. Choose a number between -1E18 to 1E18.
Examples | CALC:FSIM:BAL:DMC:BPOR:PARameters:G 1E3 calculate2:fsimulator:balun:dmcircuit:bport:parameters:g 1E-3
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:G?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:L <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Inductance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Inductance value in henries. Choose a number between -1E18 to 1E18.
Examples | CALC:FSIM:BAL:DMC:BPOR:PARameters:L 3E-3 calculate2:fsimulator:balun:dmcircuit:bport:parameters:lE-10
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:L?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:R <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Resistance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Resistance value in ohms. Choose a number between -1E18 to 1E18.
Examples | CALC:FSIM:BAL:DMC:BPOR:PARameters:R 100 calculate2:fsimulator:balun:dmcircuit:bport:parameters:r 4E3
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:PARameters:R?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>[:TYPE] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the differential matching circuit type. To select a user-defined circuit, specify IN ADVANCE the 2-port touchstone filename with CALC:FSIM:BAL:DMC:BPOR:USER:FILename. If you do not specify the appropriate file and you select USER, an error occurs and NONE is automatically selected. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<char> | Circuit type. Choose from: NONE - Specifies no-circuit. PLPC - Specifies the circuit that consists of shunt L and shunt C. USER - Specifies the user-defined circuit.
Examples | CALC:FSIM:BAL:DMC:BPOR2 PLPC calculate2:fsimulator:balun:dmcircuit:bport1:type none
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:TYPE?
Return Type | Character
Default | PLPC

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:USER:FILename <string>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the 2-port touchstone file in which the information on the user-defined differential matching circuit is saved. Following this command, send CALC:FSIM:BAL:DMC:BPOR2 USER. If the specified file does not exist, an error occurs when you set the type of differential matching circuit to USER. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<string> | File name and extension (.s2P) of the differential matching circuit. Files are stored in the default folder "C:/Program Files/Keysight/Network Analyzer/Documents". To recall from a different folder, specify the full path name.
Examples | CALC:FSIM:BAL:DMC:BPOR:USER:FIL 'myfile.s2p' calculate2:fsimulator:balun:dmcircuit:bport:user:filename "C:/Program Files/Keysight/Network Analyzer/Documents/myFile.s2P"
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:BPORt<pnum>:USER:FILename?
Return Type | String
Default | Not Applicable

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:C <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Capacitance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<value> | Capacitance value in farads. Choose a number between -1E18 to 1E18
Examples | CALC:FSIM:BAL:DMC:LPOR:PARameters:C 10E-6 calculate2:fsimulator:balun:dmcircuit:lport:parameters:c 1E-9
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:C?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:G <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Conductance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2, or 3. Note: See Balanced port versus Logical port.
<value> | Conductance value in siemens. Choose a number between -1E18 to 1E18.
Examples | CALC:FSIM:BAL:DMC:LPOR:PARameters:G 1E3 calculate2:fsimulator:balun:dmcircuit:lport:parameters:g 1E-3
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:G?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:L <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Inductance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2, or 3. Note: See Balanced port versus Logical port.
<value> | Inductance value in henries. Choose a number between -1E18 to 1E18.
Examples | CALC:FSIM:BAL:DMC:LPOR:PARameters:L 3E-3 calculate2:fsimulator:balun:dmcircuit:lport:parameters:lE-10
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:L?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:R <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the Resistance value of the differential matching circuit. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<value> | Resistance value in ohms. Choose a number between -1E18 to 1E18.
Examples | CALC:FSIM:BAL:DMC:LPOR:PARameters:R 100 calculate2:fsimulator:balun:dmcircuit:lport:parameters:r 4E3
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:PARameters:R?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>[:TYPE] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the differential matching circuit type. To select a user-defined circuit, specify IN ADVANCE the 2-port touchstone filename with CALC:FSIM:BAL:DMC:LPOR:USER:FILename. If you do not specify the appropriate file and you select USER, an error occurs and NONE is automatically selected. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2, or 3. Note: See Balanced port versus Logical port.
<char> | Circuit type. Choose from: NONE - Specifies no-circuit. PLPC - Specifies the circuit that consists of shunt L and shunt C. USER - Specifies the user-defined circuit.
Examples | CALC:FSIM:BAL:DMC:LPOR2 PLPC calculate2:fsimulator:balun:dmcircuit:lport1:type none
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:TYPE?
Return Type | Character
Default | PLPC

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:USER:FILename <string>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the 2-port touchstone file in which the information on the user-defined differential matching circuit is saved. Following this command, send CALC:FSIM:BAL:DMC:BPOR2 USER. If the specified file does not exist, an error occurs when you set the type of differential matching circuit to USER. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<string> | File name and extension (.s2P) of the differential matching circuit. Files are stored in the default folder "C:/Program Files/Keysight/Network Analyzer/Documents". To recall from a different folder, specify the full path name.
Examples | CALC:FSIM:BAL:DMC:LPOR:USER:FIL 'myfile.s2p' calculate2:fsimulator:balun:dmcircuit:lport:user:filename "C:/Program Files/Keysight/Network Analyzer/Documents/myFile.s2P"
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:LPORt<pnum>:USER:FILename?
Return Type | String
Default | Not Applicable

CALCulate<cnum>:FSIMulator:BALun:DMCircuit:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the differential matching circuit embedding function ON/OFF. Must also set the fixture simulator function to ON using CALC:FSIM:STAT. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of differential matching circuit embedding function. Choose from OFF or 0 - Matching circuit OFF ON or 1 - Matching circuit ON
Examples | CALC:FSIM:BAL:DMC:STAT 1 calculate2:fsimulator:balun:dmcircuit:state off
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DMCircuit:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:BALun:DZConversion:BPORt<pnum>:IMAG <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the imaginary part of the impedance value for the differential port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Imaginary part of the Impedance value in Units. Choose a number between 0 and 1E18.
Examples | CALC:FSIM:BAL:DZC:BPOR:IMAG 0 calculate2:fsimulator:balun:dczconversion:bport:imag 300
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:BPORt<pnum>:IMAG?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DZConversion:BPORt<pnum>:REAL <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the real part of the impedance value for the differential port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Real part of the Impedance value in Units. Choose a number between 0 and 1E18
Examples | CALC:FSIM:BAL:DZC:BPOR:REAL 50 calculate2:fsimulator:balun:dzconversion:bport:real 75
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:BPORt<pnum>:REAL?
Return Type | Numeric
Default | 100

CALCulate<cnum>:FSIMulator:BALun:DZConversion:BPORt<pnum>:Z0[:R] <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the impedance value for the differential port impedance conversion function. Set either this single value or set the real and imaginary parts separately. The imaginary part is set to 0.0 using this command. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Balanced port number. Choose from ports 1 or 2. Note: The numbering of logical ports is different from balanced ports. This command works the same as the ENA network analyzer. If there is only one balanced port, it is Balanced Port 1, regardless of the port mapping assignment. Learn more.
<value> | Impedance value in ohms. Choose a number between 0 to 1E7
Examples | CALC:FSIM:BAL:DZC:BPOR:Z0 50 calculate2:fsimulator:balun:dzconversion:bport:z0:r 75
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:BPORt<pnum>:Z0[:R]?
Return Type | Numeric
Default | See Differential Port Z Conversion Default

CALCulate<cnum>:FSIMulator:BALun:DZConversion:LPORt<pnum>:IMAG <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the imaginary part of the impedance value for the differential port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<value> | Imaginary part of the Impedance value in Units. Choose a number between 0 and 1E18.
Examples | CALC:FSIM:BAL:DZC:LPOR:IMAG 0 calculate2:fsimulator:balun:dczconversion:lport:imag 300
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:LPORt<pnum>:IMAG?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:BALun:DZConversion:LPORt<pnum>:REAL <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the real part of the impedance value for the differential port impedance conversion function. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<value> | Real part of the Impedance value in Units. Choose a number between 0 and 1E18
Examples | CALC:FSIM:BAL:DZC:LPOR:REAL 50 calculate2:fsimulator:balun:dzconversion:lport:real 75
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:LPORt<pnum>:REAL?
Return Type | Numeric
Default | See Differential Port Z Conversion Default

CALCulate<cnum>:FSIMulator:BALun:DZConversion:LPORt<pnum>:Z0[:R] <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the impedance value for the differential port impedance conversion function. Set either this single value or set the real and imaginary parts separately. The imaginary part is set to 0.0 using this command. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<pnum> | Logical port number. Choose from logical ports 1, 2 or 3. Note: See Balanced port versus Logical port.
<value> | Impedance value in ohms. Choose a number between 0 to 1E7
Examples | CALC:FSIM:BAL:DZC:LPOR:Z0 50 calculate2:fsimulator:balun:dzconversion:lport:z0:r 75
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:LPORt<pnum>:Z0[:R]?
Return Type | Numeric
Default | See Differential Port Z Conversion Default

CALCulate<cnum>:FSIMulator:BALun:DZConversion:STATe <ON |OFF>

Applicable Models: E5080A, M9485A

(Read-Write) Sets the differential port impedance conversion function ON/OFF. Must also set the fixture simulator function to ON using CALC:FSIM:STAT. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of the differential port impedance conversion function. Choose from OFF or 0 - Differential port impedance conversion OFF ON or 1 - Differential port impedance conversion ON
Examples | CALC:FSIM:BAL:DZC:STAT 1 calculate2:fsimulator:balun:dzconversion:state off
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:DZConversion:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:BALun:FIXTure:OFFSet:PHASe <bool>

Applicable Models: E5080A

(Read-Write) Sets and reads the state of "Phase Offset - Offset as Fixture" with True Mode balanced measurements. Learn more about iTMSA phase and power offset. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected true mode balanced measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of phase Offset as Fixture. OFF or 0 - Offset is applied but is NOT included as a fixture in the output calculations. ON or 1 - Offset is applied and included as a fixture in the output calculations.
Examples | CALC:FSIM:BAL:FIXT:OFFS:PHAS 0 calculate2:fsimulator:balun:fixture:offset:phase on See example iTMSA program
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:FIXTureOFFSet:PHASe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:BALun:FIXTure:OFFSet:POWer <bool>

Applicable Models: E5080A

(Read-Write) Sets and reads the state of "Power Offset - Offset as Fixture" with True Mode balanced measurements. Learn more about iTMSA phase and power offset. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected true mode balanced measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of power Offset as Fixture. OFF or 0 - Offset is applied but is NOT included as a fixture in the output calculations. ON or 1 - Offset is applied and included as a fixture in the output calculations.
Examples | CALC:FSIM:BAL:FIXT:OFFS:POW 0 calculate2:fsimulator:balun:fixture:offset:power on See example iTMSA program
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:FIXTureOFFSet:POWer?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:BALun:FIXTure:PHASe <bool>

Applicable Models: E5080A

(Read-Write) Sets and reads the state of "Phase Sweep - Offset as Fixture" (labeling on GUI). Learn more about iTMSA Phase Sweep. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected true mode balanced measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of phase sweep offset as a fixture: OFF or 0 - Phase Sweep offset disabled. ON or 1 - Phase Sweep offset enabled.
Examples | CALC:FSIM:BAL:FIXT:PHAS 0 calculate2:fsimulator:balun:fixture:phase on
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:FIXTure:PHASe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:BALun:PHASe:SWEEP | SWEep:STATe <bool>

Applicable Models: E5080A

(Read-Write) Sets and reads the state of phase sweep. Learn more about iTMSA Phase Sweep. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected true mode balanced measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | State of phase sweep: OFF or 0 - Phase Sweep disabled. ON or 1 - Phase Sweep enabled.
Examples | CALC:FSIM:BAL:PHAS:SWE:STAT 0 calculate2:fsimulator:balun:phase:sweep:state on
Query Syntax | CALCulate<cnum>:FSIMulator:BALun:PHASe:SWEep:STATe?
Return Type | Boolean
Default | OFF

Last modified:

5-Jan-2016

First Release


FSimulatorEmbed

Calculate:FSimulator:Embed Commands

Specifies settings for embedding and de-embedding balanced (4-port) fixturing circuits.

CALCulate:FSIMulator:EMBed:

NETWork

| FILename

| PMAP

| TYPE

STATe

TOPology

| A:PORTs

| B:PORTs

| C:PORTs

TYPE

Click a Red keyword to view the command details.

See Also

  • Example Programs

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:FSIMulator:EMBed:NETWork<n>:FILename <string>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the 4-port touchstone file (*.s4p) in which the network to embed or de-embed resides. Following this command, send CALC:FSIM:EMB:NETW:TYPE. If the specified file does not exist, an error occurs when type command is sent. Learn about 4-port network embedding.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<n> | Network position. Choose from 1 or 2.
<string> | File name and extension (.s4p) of the circuit. Files are stored in the default folder "D:\". To recall from a different folder, specify the full path name.
Examples | 10 calculate2:fsimulator:embed:network2: filename "D:\trace01.s4p" 20 calculate2:fsimulator:embed:network2:type embed
Query Syntax | CALCulate<cnum>:FSIMulator:EMBed:NETWork<n>:FILename?
Return Type | String
Default | Not Applicable

CALCulate<cnum>:FSIMulator:EMBed:NETWork<n>:PMAP <inA>,<inB>,<outA>,<outB>

Applicable Models: E5080A, M9485A

(Read-Write) Set and return the port mapping for a 4-port SNP file to be embedded. Learn about 4-port network embedding.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<n> | Network position. Choose from 1 or 2.
<inA> <inB> <outA> <outB> | Port Mapping. Use four port numbers in any order.
Example | CALC:FSIM:EMB:NETW1:PMAP 1,3,2,4
Query Syntax | CALCulate<cnum>:FSIMulator:EMBed:NETWork<n>:PMAP?
Return Type | Comma-separated numeric
Default | 1,2,3,4

CALCulate<cnum>:FSIMulator:EMBed:NETWork<n>:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specify the type of processing to take place on the specified 4-port network. First specify the network filename with CALC:FSIM:EMB:NETW:FIL. Learn about 4-port network embedding.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<n> | Network position. Choose from 1 or 2.
<char> | Processing type. Choose from : NONE - The same as disabling. EMBed - Add Network circuit. DEEMbed - Remove Network circuit.
Example | 10 CALC:FSIM:EMB:NETW2:FIL 'myFile.s4p' 20 CALC:FSIM:EMB:NETW2:TYPE EMBed
Query Syntax | CALCulate<cnum>:FSIMulator:EMBed:NETWork<n>:TYPE?
Return Type | Character
Default | NONE

CALCulate<cnum>:FSIMulator:EMBed:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns ON or OFF 4-port Network Embedding/De-embedding for all ports on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | Choose from: ON or 1 - Turns 4-port Network Embedding/De-embedding ON. OFF or 0 - Turns 4-port Network Embedding/De-embedding OFF.
Examples | CALC:FSIM:EMB:STAT 1 calculate2:fsimulator:embed:state 0
Query Syntax | CALCulate<cnum>:FSIMulator:EMBed:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:EMBed:TOPology:A:PORTs <p1>,<p2>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the VNA port connections when topology A is selected. Specify topology using CALC:FSIM:EMB:TYPE.

Topology A

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<p1>

VNA Port number assigned to a in above graphic.

<p2>

VNA Port number assigned to b in above graphic.

Examples

CALC:FSIM:EMB:TOP:A:PORT 2,1
calculate2:fsimulator:embed:topology:a:ports 1,2

Query Syntax

CALCulate<cnum>:FSIMulator:EMBed:TOPology:A:PORTs?

Return Type

Numeric

Default

1, 2

CALCulate<cnum>:FSIMulator:EMBed:TOPology:B:PORTs <p1>,<p2>,<p3>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the VNA port connections when topology B is selected. Specify topology using CALC:FSIM:EMB:TYPE.

Topology B

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<p1>

VNA Port number assigned to a in above graphic.

<p2>

VNA Port number assigned to b in above graphic.

<p3>

VNA Port number assigned to c in above graphic.

Examples

CALC:FSIM:EMB:TOP:B:PORT 2,1,4
calculate2:fsimulator:embed:topology:b:ports 1,2,3

Query Syntax

CALCulate<cnum>:FSIMulator:EMBed:TOPology:B:PORTs?

Return Type

Numeric

Default

1,2,3

CALCulate<cnum>:FSIMulator:EMBed:TOPology:C:PORTs <p1>,<p2>,<p3>,<p4>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the VNA port connections when topology C is selected. Specify topology using CALC:FSIM:EMB:TYPE.

Topology C

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<p1>

VNA Port number assigned to a in above graphic.

<p2>

VNA Port number assigned to b in above graphic.

<p3>

VNA Port number assigned to c in above graphic.

<p4>

VNA Port number assigned to d in above graphic.

Examples

CALC:FSIM:EMB:TOP:C:PORT 2,1,4,3
calculate2:fsimulator:embed:topology:c:ports 1,2,3,4

Query Syntax

CALCulate<cnum>:FSIMulator:EMBed:TOPology:C:PORTs?

Return Type

Numeric

Default

1,2,3,4

CALCulate<cnum>:FSIMulator:EMBed:TYPE <char>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the VNA / DUT topology. Learn more about these and other VNA/DUT configurations.

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<char>

VNA / DUT topology. Choose from:

  • A - 2 VNA/DUT Ports

  • B - 3 VNA/DUT Ports

  • C - 4 VNA/DUT Ports

Click links to see topologies and port assignment commands.

Examples

CALC:FSIM:EMB:TYPE A
calculate2:fsimulator:embed:type c

Query Syntax

CALCulate<cnum>:FSIMulator:EMBed:TYPE?

Return Type

Character

Default

A

Last modified:

5-Jan-2016

First Release


FSimulatorSend

Calculate:FSimulator:Sended Commands

Specifies settings for embedding and de-embedding Single-Ended (2-port) fixturing circuits.

CALCulate:FSIMulator:SENDed:

DEEMbed

| PORT

| SNP:REVerse

| [TYPE]

| USER:FILename

| STATe

OORDer

PMCircuit

| PORT

| PARameters

| C

| G

| L

| R

| [TYPE]

| USER:FILename

| STATe

POWer:PORT:COMPensation

ZCONversion

| PORT

| IMAG

| REAL

| Z0[R]

| STATe

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about Fixturing

  • Set Port Extensions with SCPI

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Note: CALC:FSIM commands affect ALL measurements on the specified channel.

CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:PORT<n>:SNP:REVerse <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Set and read whether or not to reverse ports on a 2-port fixture or adapter to be de-embedded. Learn more.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | VNA port number to which SNP file is to be de-embedded.
<bool> | Choose from: ON or 1 - Reverse ports. OFF or 0 - Do NOT Reverse ports.
Examples | CALC:FSIM:SEND:DEEM:PORT1:SNP:REV 1 calculate2:fsimulator:sended:deembed:port2:snp:reverse 0
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:PORT<n>:SNP:REVerse?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:PORT<n>[:TYPE] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Select whether or not to load a 2-port De-embedding circuit model for the specified port number. Circuit model USER is valid when an associated .s2p file is specified with CALC:FSIM:SEND:DEEM:PORT1:USER:FILename. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive circuit model.
<char> | Choose from: NONE - Port does not have a circuit model. USER - Circuit model for the port will be loaded from VNA drive.
Examples | CALC:FSIM:SEND:DEEM:PORT1 USER calculate2:fsimulator:sended:deembed:port2:type none
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:PORT<n>[:TYPE]?
Return Type | Character
Default | None

CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:PORT<n>:USER:FILename <string>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the filename of the circuit model to be used for de-embedding. Circuit model is applied when both CALC:FSIM:SEND:DEEM:PORT1 USER is selected and the filename is specified with this command. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive circuit model.
<string> | File name and extension (.s2P) of the de-embedding circuit. Files are stored in the default folder "C:/Program Files/Keysight/Network Analyzer/Documents" To recall from a different folder, specify the full path name.
Examples | CALC:FSIM:SEND:DEEM:PORT1:USER:FIL 'myFile.s2P' calculate2:fsimulator:deembed:port2:user:file "C:/Program Files/Keysight/Network Analyzer/Documents/myFile.s2P"
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:PORT<n>:USER:FILename?
Return Type | String
Default | Not Applicable

CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns de-embedding ON or OFF for all ports on the specified channel. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | Choose from: ON or 1 - Turns de-embedding ON. OFF or 0 - Turns de-embedding OFF.
Examples | CALC:FSIM:SEND:DEEM:STAT 1 calculate2:fsimulator:sended:deembed:state 0
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:DEEMbed:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:SENDed:OORDer <a,b,c,d>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the order in which Single-ended Fixture Operations occur. Learn more about these operations. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<a,b,c,d> | Order of operations, where: 0 - Port Extension operation 1 - 2-Port DeEmbedding operation 2 - Port Matching operation 3 - Arbitrary Impedance operation
Examples | CALC:FSIM:SEND:OORD 1,2,3,0 calculate2:fsimulator:sended:oorder 1,2,3,0
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:OORDer?
Return Type | Comma-separated values
Default | 0,1,2,3

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:C <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Capacitance, 'C' value for the specified port number. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive value.
<value> | Capacitance value in farads. Choose a value between -1E18 to 1E18.
Examples | CALC:FSIM:SEND:PMC:PORT1:PAR:C 0.00002 calculate2:fsimulator:sended:pmcircuit:port2:parameters:c 0.00003
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:C?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:G <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Conductance, 'G' value for the specified port number. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive value.
<value> | Conductance value in siemens. Choose a value between -1E18 to 1E18.
Examples | CALC:FSIM:SEND:PMC:PORT1:PAR:G 0.00002 calculate2:fsimulator:sended:pmcircuit:port2:parameters:g 0.00003
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:G?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:L <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Inductance, 'L' value for the specified port number. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive value.
<value> | Inductance value in henries. Choose a value between -1E18 to 1E18.
Examples | CALC:FSIM:SEND:PMC:PORT1:PAR:L 0.00002 calculate2:fsimulator:sended:pmcircuit:port2:parameters:l 0.00003
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:L?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:R <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Resistance, 'R' value for the specified port number. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive value.
<value> | Resistance value in ohms. Choose a value between -1E18 to 1E18.
Examples | CALC:FSIM:SEND:PMC:PORT1:PAR:R 0.00002 calculate2:fsimulator:sended:pmcircuit:port2:parameters:r 0.00003
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:PARameters:R?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>[:TYPE] <char>

Applicable Models: E5080A, M9485A

(Read-Write) Select whether of not to load a 2 port matching circuit model for the specified port number. Circuit model USER is valid when an associated .s2p file is specified with CALC:FSIM:SEND:PMC:PORT1:USER:FIL Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive circuit model.
<char> | Circuit model. Choose from NONE No circuit model SLPC Series L - Parallel C PCSL Parallel C - Series L PLSC Parallel L - Series C SCPL Series C - Parallel L PLPC Parallel L - Parallel C USER Load S2P file
Examples | CALC:FSIM:SEND:PMC:PORT1:USER calculate2:fsimulator:sended:pmcircuit:port2:type slpc
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>[:TYPE]?
Return Type | Character
Default | None - No circuit model

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:USER:FILename <string>

Applicable Models: E5080A, M9485A

(Read-Write) Specifies the filename of the circuit model to be used for port matching. Circuit model is applied when both CALC:FSIM:SEND:PMC:PORT1 USER is selected and the filename is specified with this command. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive circuit model.
<string> | File name and extension (.s2P) of the de-embedding circuit. Files are stored in the default folder "C:/Program Files/Keysight/Network Analyzer/Documents" To recall from a different folder, specify the full path name.
Examples | CALC:FSIM:SEND:PMC:PORT1:USER:FIL 'myFile.s2P' calculate2:fsimulator:pmcircuit:port2:user:file "C:/Program Files/Keysight/Network Analyzer/Documents/myFile.s2P"
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:PORT<n>:USER:FILename?
Return Type | String
Default | Not Applicable

CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns Port Matching ON or OFF for all ports on the specified channel. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | Choose from: ON or 1 - Turns Port Matching ON. OFF or 0 - Turns Port Matching OFF.
Examples | CALC:FSIM:SEND:PMC:STAT 1 calculate2:fsimulator:sended:pmcircuit:state 0
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:PMCircuit:STATe?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:SENDed:POWer:PORT<n>:COMPensation <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Adjusts the source power at the specified port by the combined amount of loss through ALL enabled fixturing operations. Use this function to set the power level at the DUT input. Learn more. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<port> | Port number to receive power compensation.
<bool> | Choose from: ON or 1 - Compensate source power. OFF or 0 - Do NOT compensate source power.
Examples | CALC:FSIM:SEND:POW:PORT1:COMP 1 calculate2:fsimulator:power:port2:compensation off
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:POWer:PORT<n>:COMPensation?
Return Type | Boolean
Default | OFF

CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:PORT<n>:IMAG <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Imaginary portion of the impedance value for the specified single-ended port. Use CALC:FSIM:SEND:ZCON:PORT:REAL to set the real value. Or use CALC:FSIM:SEND:ZCON:PORT:Z0 to set both values together. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<n> | Port number to receive value.
<value> | Imaginary impedance value. Choose a value between -1E18 and 1E18.
Examples | CALC:FSIM:SEND:ZCON:PORT1:IMAG 75 calculate2:fsimulator:sended:zconversion:port2:imag 150
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:PORT<n>:IMAG?
Return Type | Numeric
Default | 0

CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:PORT<n>:REAL <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Real portion of the impedance value for the specified single-ended port. Use CALC:FSIM:SEND:ZCON:PORT:IMAG to set the imaginary value. Or use CALC:FSIM:SEND:ZCON:PORT:Z0 to set both values together. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<n> | Port number to receive value.
<value> | Real Impedance value in ohms. Choose a value between 0 to 1E7.
Examples | CALC:FSIM:SEND:ZCON:PORT1:REAL 51 calculate2:fsimulator:sended:zconversion:port2:real 75
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:PORT<n>:REAL?
Return Type | Numeric
Default | 50

CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:PORT<n>:Z0[:R] <value>

Applicable Models: E5080A, M9485A

(Read-Write) Sets and returns the Real portion of the impedance value for the specified single-ended port. The imaginary portion is automatically set to 0.0. To set both values separately, use CALC:FSIM:SEND:ZCON:PORT:REAL and CALC:FSIM:SEND:ZCON:PORT:IMAG. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<n> | Port number to receive value.
<value> | Port Impedance value in ohms. Choose a value between 0 to 1E7.
Examples | CALC:FSIM:SEND:ZCON:PORT1:Z0 51 calculate2:fsimulator:sended:zconversion:port2:z0:r 75
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:PORT<n>:Z0[:R]?
Return Type | Numeric
Default | 50

CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:STATe <bool>

Applicable Models: E5080A, M9485A

(Read-Write) Turns Port Impedance ON or OFF for all ports on the specified channel. Note: This command affects ALL measurements on the specified channel.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<bool> | Choose from: ON or 1 - Turns Port Impedance ON. OFF or 0 - Turns Port Impedance OFF.
Examples | CALC:FSIM:SEND:ZCON:STAT 1 calculate2:fsimulator:sended:zconversion:state 0
Query Syntax | CALCulate<cnum>:FSIMulator:SENDed:ZCONversion:STATe?
Return Type | Boolean
Default | OFF

Last modified:

5-Jan-2016

First Release


Hold

Calculate:Hold

CALCulate:MEASURE:HOLD

CLEar

TYPE

CALCulate<cnum>:MEASure<mnum>:HOLD:CLEar

(Write only) Clears the trace for trace hold function.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
Examples | CALC:MEAS:HOLD:CLE calculate2:measure2:hold:clear
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:TYPE <char>

(Read-Write) Specify sets/gets maximum/minimum trace hold function to hold the active trace at the maximum or minimum point.
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<char> | Hold type. Choose from : NONE - Turns off the trace hold function MINimum - Holds the active trace at the minimum point. MAXimum - Holds the active trace at the maximum point.
Example | CALC:MEAS:TYPE "MIN" calculate1:measure1:type "MAXimum"
Query Syntax | CALCulate<cnum>:MEASure<mnum>:HOLD:TYPE?
Return Type | Character
Default | NONE


MarkerPNOP

Calculate:Marker:PNOP Commands

Initiates a Power Normal Operating Point marker search and reads the results.

CALCulate:MEASure:MARKer:PNOP:

BACKoff

| GAIN?

| PIN?

| POUT?

COMPression?

| MAXimum?

GAIN?

| MAXimum?

PIN?

| MAXimum?

POFFset

POUT?

| MAXimum?

Click on a Red keyword to view the command details.

See Also

  • Learn about PNOP Markers

  • Other SCPI Marker commands

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:BACKoff <num>

(Read-Write) Turns on and sets markers 1, 2, 3, and 4 to calculate various PNOP parameters. Either this command, or the POFFset command, will initiate the PNOP search markers. To turn off the PNOP markers, either turn them off individually or turn them All Off. To search a User Range with the PNOP search, first activate marker 1 and set the desired User Range. Then send CALC:MARK:PNOP:BACK. The user range used with the PNOP search only applies to marker 1 searching for the linear gain value. The other markers may fall outside the user range. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Backoff value. Choose any number between :-500 and 500
Examples | CALC:MEAS:MARK:PNOP:BACK 100 calculate2:measure2:marker:pnop:backoff -300
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:BACKoff?
Return Type | Numeric
Default | 0 dB

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:BACKoff:GAIN?

(Read-only) Reads the power backoff gain value from a PNOP marker search. PBO Gain = PBO Out - PBO In Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:BACK:GAIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:BACKoff:PIN?

(Read-only) Reads the power backoff input value from a PNOP marker search. PBO In = Marker 2 X-axis Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:BACK:PIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:BACKoff:POUT?

(Read-only) Reads the power backoff output value from a PNOP marker search. PBO Out = Marker 2 Y-axis Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:BACK:POUT?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:COMPression?

(Read-only) Reads the PNOP compression value from a PNOP marker search. Pnop Comp = Pnop Gain - Linear Gain (not shown on marker readout). Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS;MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:COMP?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:COMPression:MAXimum?

(Read-only) Reads the max compression value from a PNOP marker search. Comp Max = Gain Max - Linear Gain (not shown on marker readout). Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:COMP:MAX?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:GAIN?

(Read-only) Reads the PNOP gain value from a PNOP marker search. Pnop Gain = Pnop Out - Pnop In. Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:GAIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:GAIN:MAXimum?

(Read-only) Reads the max gain from a PNOP marker search. Gain Max = PMax Out - PMax In Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:GAIN:MAX?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:PIN?

(Read-only) Reads the PNOP input value from a PNOP marker search. Pnop In = Marker 4 X-axis value Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:PIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:PIN:MAXimum?

(Read-only) Reads the max input power from a PNOP marker search. PMax In = Marker 3 X-axis value Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:PIN:MAX?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:POFFset <num>

(Read-Write) Turns on and sets markers 1, 2, 3, and 4 to calculate various PNOP parameters. Either this command, or the Backoff command, will initiate the PNOP search markers. To turn off the PNOP markers, either turn them off individually or turn them All Off. To search a User Range with the PNOP search, first activate marker 1 and set the desired User Range. Then send the CALC:MEAS:MARK:PNOP:POFF command. The user range used with the PNOP search only applies to marker 1 searching for the linear gain value. The other markers may fall outside the user range. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
<num> | Power Offset value in dB. Choose any number between :-500 and 500
Examples | CALC:MEAS:MARK:PNOP:POFF 3 calculate2:measure2:marker:pnop:poffset 10
Query Syntax | CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:POFFset?
Return Type | Numeric
Default | 0 dB

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:POUT?

(Read-only) Reads the output power value of the offset marker from a PNOP marker search. Pnop Out = Marker 4 Y-axis value Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:POUT?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PNOP:POUT:MAXimum?

(Read-only) Reads the max output power from a PNOP marker search. PMax Out = Marker 3 Y-axis value Use CALC:MEAS:MARK:PNOP:BACK or CALC:MEAS:MARK:PNOP:POFF to initiate a PNOP search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PNOP:POUT:MAX?
Default | Not Applicable

Last modified:

5-Jan-2016

First Release


MarkerPSAT

Calculate:Marker:PSaturation Commands

Initiates a Power Saturation marker search and reads the results.

CALCulate:MEASure:MARKer:PSATuration:

BACKoff

COMPression

| MAXimum?

| SATuration?

GAIN?

| LINear?

| MAXimum?

PIN?

| MAXimum?

POUT?

| MAXimum?

Click on a Red keyword to view the command details.

See Also

  • Learn about PSAT Markers

  • Other SCPI Marker commands

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:BACKoff <num>

(Read-Write) Turns on and sets markers 1, 2, and 3 to calculate various Power Saturation parameters.

The <num> parameter sets and reads the back-off value for a Power Saturation marker search.

To turn off the Power Saturation markers, either turn them off individually or turn them All Off.

To search a User Range with the PSAT search, first activate marker 1 and set the desired User Range. Then send the CALC:MARK:PSAT:BACK command. The user range used with the PSAT search only applies to marker 1 searching for the linear gain value. The other markers may fall outside the user range.

See Critical Note

Parameters

<cnum>

Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.

<mnum>

Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.

<mkr>

Any marker number from 1 to 15; if unspecified, value is set to 1.

<num>

Backoff value. Choose any number between :-500 and 500

Examples

CALC:MEAS:MARK:PSAT:BACK 3
calculate2:measure2:marker:psaturation:backoff 10

Query Syntax

CALCulate<cnum>:MARKer:PSATuration:BACKoff?

Return Type

Numeric

Default

0 dB

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:COMPression:MAXimum?

(Read-only) Reads the compression maximum value from a PSAT marker search. Comp Max = Gain Max - Gain Linear Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:COMP:MAX?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:COMPression:SATuration?

(Read-only) Reads the compression saturation value from a PSAT marker search. Comp Sat = Gain Sat - Gain Linear Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:COMP:SAT?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:GAIN?

(Read-only) Reads the saturation gain value from a PSAT marker search. Gain Sat = Psat Out - Psat In Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:GAIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:GAIN:LINear?

(Read-only) Reads the linear gain value from a PSAT marker search. Gain Linear = Marker 1 - Y-axis value MINUS X-axis value. Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:GAIN:LIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:GAIN:MAXimum?

(Read-only) Reads the maximum gain value from a PSAT marker search. Gain Max = PMax Out - PMax In Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:GAIN:MAX?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:PIN?

(Read-only) Reads the power saturation input value from a PSAT marker search. Psat In = Marker 2 X-axis value Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:PIN?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:PIN:MAXimum?

(Read-only) Reads the maximum input power from a PSAT marker search. PMax In = Marker 3 X-axis value Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:PIN:MAX?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:POUT?

(Read-only) Reads the back-off output power from a PSAT marker search. PSat Out = Marker 2 Y-axis value Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:POUT?
Default | Not Applicable

CALCulate<cnum>:MEASure<mnum>:MARKer<mkr>:PSATuration:POUT:MAXimum?

(Read-only) Reads the back-off output power from a PSAT marker search. PMaxOut = Marker 3 Y-axis value Use CALC:MEAS:MARK:PSAT:BACK to initiate a PSAT search. See Critical Note
Parameters |
<cnum> | Channel number of the measurement. There must be a selected measurement on that channel. If unspecified, <cnum> is set to 1.
<mnum> | Measurement number for each measurement. There must be a selected measurement on the trace. If unspecified, <mnum> is set to 1.
<mkr> | Any marker number from 1 to 15; if unspecified, value is set to 1.
Examples | CALC:MEAS:MARK:PSAT:POUT:MAX?
Default | Not Applicable

Last modified:

5-Jan-2016

First Release


CorrCollGuidPSens

Sense:Correction:Collect:Guided:PSensor Commands

Configures the power sensors to be used during a SmartCal (Guided) Power Calibration.

Three of these commands can be used with Applications Channels. Learn more.

SENSe:CORRection:COLLect:GUIDed:PSENsor

CKIT

CONNector

MULTiple

| ADD

| CKIT

| CONNector

| COUNt?

| FREQuency

| STARt

| STOP

| NAME

| REMove

| [STATe]

POWer

| LEVel

[STATe]

Click on a blue keyword to view the command details.

Red keywords are superseded commands.

Notes

The "multiple sensors" commands are supported ONLY on standard channels. The following THREE commands can be used with Application channels. See NFX example.

  • SENS:CORR:COLL:GUID:PSEN<n>:CKIT

  • SENS:CORR:COLL:GUID:PSEN<n>:CONN

  • SENS:CORR:COLL:GUID:PSEN<n>:POW:LEV

  • In addition, when using two sensors with a Dual Power Meter, use SOUR:POW:CORR:COLL:<pmChan>SEN:SEL to select a power sensor.

See Also

SENSe:CORRection:COLLect:GUIDed commands

Calibrating the VNA Using SCPI

Learn about Measurement Calibration

Synchronizing the VNA and Controller

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:CKIT <kit>, [src]

(Read-Write) Specifies the calibration kit to be used when an adapter is necessary to connect the power sensor to the port <pnum> during a guided calibration.

This command can also be used with Application channels. See NFX example.

When used with Guided Power Cal, first enable a power cal using SENS:CORR:COLL:GUID:PSEN ON

  1. Specify the connector type for the adapter with SENS:CORR:COLL:GUID:PSEN:CONN

  2. Query the valid available kits for the connector with SENS:CORR:COLL:GUID:CKIT:CAT? <conn>

  3. Specify the kit using this command.

  4. Perform a query of this command. If the <kit> parameter was incorrectly entered, an error will be returned.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1. For NFX cals, port number must be 1.

<kit>

Calibration kit to be used for the specified port.

When using an ECal module, include the characterization name in the <kit> string. Use SENSe:CORR:COLL:GUID:CKIT:CAT? to read the list of characterizations available in the module and in VNA disk memory.

If two or more identical ECal modules are connected to the VNA, the serial number must be included to distinguish the ECal modules.

[src]

String - (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2".

Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

See Remotely Specifying a Source Port

Examples

SENS:CORR:COLL:GUID:PSEN1:CKIT '85055A'

'The following includes a serial number when two or more ECal mods are connected

sense:correction:collect:guided:psensor2:ckit '85092-60010 ECal 10685'

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:CKIT?

Return Type

String

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:CONNector <conn>, [src]

(Read-Write) Specifies the connector type for a power sensor when a power calibration is part of the Guided Calibration process. Valid connector names are stored within calibration kits. Some cal kits may include both male and female connectors. Therefore, specifying connector gender may be required.

This command can also be used with Application channels. See NFX example.

Follow these steps to ensure port connectors are specified correctly:

When used with Guided Power Cal, first enable a power cal using SENS:CORR:COLL:GUID:PSEN ON

  1. Use SENS:CORR:COLL:GUID:CONN:CAT? to query available connectors before specifying the port connector.

  2. Set a connector type for each port using this command.

  3. Perform a query of this command. If the connector type was incorrectly entered, an error will be returned.

  4. Specify the cal kit to use for each port with SENS:CORR:COLL:GUID:PSENsor:CKIT

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<conn>

String - Power sensor connector type to connect to the specified VNA port <pnum>.

Because the default for this argument is 'Ignored", by specifying a connector type, you imply that you want to calibrate and correct for the effects of the adapter.

[src]

String - (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2".

Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

See Remotely Specifying a Source Port

Examples

SENS:CORR:COLL:GUID:PSEN1:CONN "3.5 mm (50) male"

sense:correction:collect:guided:psensor1:connector "3.5 mm (50) female"

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:CONNector?

Return Type

String

Default

"Ignored"

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple:ADD <string>

(Write-only) Adds a power sensor to be used during a Guided Power Calibration. Use when multiple power sensors are to be used to calibrate the entire frequency span. The Name argument is used to recognize the sensor in the User Interface.

An item number is automatically assigned to the sensor. Use that number to refer to the sensor. The item number of the newly-added sensor is always equal to the number returned by SENS:CORR:COLL:GUID:PSEN:MULT:COUN? after the ADD.

Note: The "multiple sensors" commands are supported ONLY on standard channels.

Learn about using multiple power sensors

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<string>

Power sensor name to add. The power sensor must be already configured as a PMAR device using this name. Learn how to remotely configure a PMAR device.

Examples

SENS:CORR:COLL:GUID:PSEN1:MULT:ADD "26GHzPwrSensor"

See example program

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:CKIT <string>

(Read-Write) Set and read the Cal Kit to be used when an adapter is necessary to connect the power sensor to the cal plane and you choose to remove its effects from the measurement. Use this command when multiple power sensors are to be used to calibrate the entire frequency span. Learn about using multiple power sensors.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<id>

Power sensor item number. This 1-based number is assigned automatically when a power sensor is added using SENS:CORR:COLL:GUID:PSEN:MULT:ADD.

Use SENS:CORR:COLL:GUID:PSEN:MULT:COUN? to return the number of power sensor items that are configured for use on the channel.

<string>

Calibration kit to be used for the specified source port.

When using an ECal module, include the characterization name in the <kit> string. Use SENSe:CORR:COLL:GUID:CKIT:CAT? to read the list of characterizations available in the module and in VNA disk memory.

If two or more identical ECal modules are connected to the VNA, the serial number must be included to distinguish the ECal modules.

Examples

SENS:CORR:COLL:GUID:PSEN1:MULT2:CKIT '85055A'

'The following includes a serial number when two or more ECal mods are connected.

sense:correction:collect:guided:psensor2:multiple1:ckit '85092-60010 ECal 10685'

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:CKIT?

Return Type

String

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:CONNector <conn>

(Read-Write) Set and read the connector type of a power sensor to be used when an adapter is necessary to connect the power sensor to the cal plane and you choose to remove its effects from the measurement. Use this command when multiple power sensors are to be used to calibrate the entire frequency span. Learn about using multiple power sensors

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<id>

Power sensor item number. This 1-based number is assigned automatically when a power sensor is added using SENS:CORR:COLL:GUID:PSEN:MULT:ADD.

Use SENS:CORR:COLL:GUID:PSEN:MULT:COUN? to return the number of power sensor items that are configured for use on the channel.

<conn>

String - Power sensor connector type to connect to the specified source port <pnum>.

Because the default for this argument is 'Ignored", by specifying a connector type, you imply that you want to calibrate and correct for the effects of the adapter.

Examples

SENS:CORR:COLL:GUID:PSEN1:MULT1:CONN "3.5 mm (50) male"

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:CONNector?

Return Type

String

Default

"Ignored"

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple:COUNt?

(Read-only) Returns the number of configured power sensors to be used during a Guided Power Calibration. Learn about using multiple power sensors
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<pnum> | Source port being calibrated. If unspecified, value is set to 1.
Examples | SENS:CORR:COLL:GUID:PSEN1:MULT1:COUN? See example program
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:FREQuency:STARt <num>

(Read-Write) Set and read the start frequency for the specified power sensor (port number). Use this command when multiple power sensors are to be used to calibrate the entire frequency span. Learn about using multiple power sensors

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<id>

Power sensor item number. This 1-based number is assigned automatically when a power sensor is added using SENS:CORR:COLL:GUID:PSEN:MULT:ADD.

Use SENS:CORR:COLL:GUID:PSEN:MULT:COUN? to return the number of power sensor items that are configured for use on the channel.

<num>

Start frequency in Hz. Choose a value between the start frequency and stop frequency of the VNA.

Examples

SENS:CORR:COLL:GUID:PSEN1:MULT1:FREQ:STAR 1e9

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:FREQuency:STARt?

Return Type

Numeric

Default

Start frequency of the VNA

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:FREQuency:STOP <num>

(Read-Write) Set and read the stop frequency for the specified power sensor (port number). Use this command when multiple power sensors are to be used to calibrate the entire frequency span. Learn about using multiple power sensors

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<id>

Power sensor item number. This 1-based number is assigned automatically when a power sensor is added using SENS:CORR:COLL:GUID:PSEN:MULT:ADD.

Use SENS:CORR:COLL:GUID:PSEN:MULT:COUN? to return the number of power sensor items that are configured for use on the channel.

<num>

Stop frequency in Hz. Choose a value between the start frequency and stop frequency of the VNA.

Examples

SENS:CORR:COLL:GUID:PSEN1:MULT1:FREQ:STOP 2e9

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:FREQuency:STOP?

Return Type

Numeric

Default

Stop frequency of the VNA

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:NAME <string>

(Read-Write) Set and read the name of the power sensor. Learn about using multiple power sensors.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1.

<id>

Power sensor item number. This 1-based number is assigned automatically when a power sensor is added using SENS:CORR:COLL:GUID:PSEN:MULT:ADD.

Use SENS:CORR:COLL:GUID:PSEN:MULT:COUN? to return the number of power sensor items that are configured for use on the channel.

<string>

Sensor name. The power sensor must be already configured as a PMAR device using this name. Learn how to remotely configure a PMAR device.

Examples

SENS:CORR:COLL:GUID:PSEN1:MULT1:NAME "26GHzPwrSensor"

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:NAME?

Return Type

String

Default

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple<id>:REMove

(Write-only) Deletes a power sensor from the sensors to be used during a Guided Power Calibration.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<pnum> | Source port being calibrated. If unspecified, value is set to 1.
<id> | Power sensor item number to remove. Use SENS:CORR:COLL:GUID:PSEN:MULT:COUN? to return the number of power sensor items that are configured for use on the channel.
Examples | SENS:CORR:COLL:GUID:PSEN1:MULT1:REM See example program
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple[:STATe] <value>

(Read-Write) Enables the use of multiple power sensors to calibrate the entire frequency span of the channel. Learn about using multiple power sensors.
Parameters |
<ch> | Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.
<pnum> | Source port being calibrated. If unspecified, value is set to 1. ONLY one port may be calibrated with a Guided Power Cal.
<value> | Boolean ON (or 1) Use multiple power sensors. OFF (or 0) Do NOT use multiple power sensors.
Examples | SENS:CORR:COLL:GUID:PSEN1:MULT 0 sense:correction:collect:guided:psensor2:multiple:state ON See example program
Query Syntax | SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:MULTiple[:STATe]?
Return Type | Boolean
Default | OFF (0)

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:POWer:LEVel <value>, [src]

(Read-Write) Specifies the power level at which to perform a power calibration during a guided calibration.

This command can also be used with Application channels. See NFX example.

When used with Guided Power Cal, first enable a power cal using SENS:CORR:COLL:GUID:PSEN ON.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1. For NFX cals, port number must be 1.

<value>

Power level in dBm at which to perform the power calibration. Learn more.

[src]

String - (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2".

Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

See Remotely Specifying a Source Port

Examples

SENS:CORR:COLL:GUID:PSEN1:POW:LEV 0

sense:correction:collect:guided:psensor2:power:level -5

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>:POWer:LEVel?

Return Type

Numeric

Default

0

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>[:STATe] <value>, [src]

(Read-Write) Enables Guided Power Cal and sets the source port to be calibrated.

Parameters

<ch>

Channel being calibrated, depending on the CHAN:MODE setting. If unspecified, value is set to 1.

<pnum>

Source port being calibrated. If unspecified, value is set to 1. ONLY one port may be calibrated with a Guided Power Cal.

<value>

Boolean

ON (or 1) Perform Power Cal.

OFF (or 0) Do NOT perform Power Cal.

[src]

String - (NOT case sensitive). Source port. Optional. Use SOUR:CAT? to return a list of valid port names.

While this argument can be used to make settings for ALL ports, it is designed to access ports such as an external source, true mode balanced port, or one of the Source 2 outputs on the 2-port 2-source VNA model such as "Port 1 Src2".

Otherwise, the <port> argument performs the same function. If both arguments are specified, [src] takes priority.

See Remotely Specifying a Source Port

Examples

SENS:CORR:COLL:GUID:PSEN1 0

sense:correction:collect:guided:psensor2:state ON

See example program

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:PSENsor<pnum>[:STATe]?

Return Type

Boolean

Default

OFF (0)

Last Modified:

25-Sep-2014

First Release


CorrCollGuidSMC

Sense:Correction:Collect:Guided:SMC Commands

These commands, along with the standard Guided commands, performs a SMC calibration on a frequency converting device.

Note: These commands replace the SENSe:CORRectionCOLLect:Session:SMC commands. These commands allow the entire SMC cal to be performed from the Guided cal interface.

These commands are also used to perform a GCx Calibration. See an example.

SENSe:CORRectionCOLLect:GUIDed:SMC

FSIMulator

| NETWork

| FILename

| MODE

IMPort

LO:PCAL[:STATe]

PWRCal

| CANCel

| RECeiver

| SEParate

Click on a blue keyword to view the command details.

Red keywords are obsolete.

See Also

  • All GUIDed commands

  • Example Programs

  • Learn about SMC Calibrations

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

NOTE: To configure a power meter and sensor see SOURce:POWer: commands.

SENSe<ch>:CORRection:COLLect:GUIDed :SMC:FSIMulator:NETWork<p>:FILename <string>

(Read-Write) Specifies the S2P filename to embed or de-embed on the input or output of your mixer measurement. Learn more.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
<p> | Apply network to input or output of mixer. Choose from: 1 - Input of mixer 2 - Output of mixer
<string> | Filename of the S2P used for embedding or de-embedding. Use the full path name, file name, and .S2P suffix, enclosed in quotes.
Examples | SENS:CORR:COLL:GUID:SMC:FSIM:NETW1:FIL "c:\users\public\network analyzer\documents/WaveguideAdapt.S2P"
Query Syntax | SENS<ch>:CORRection:COLLect:GUIDed:SMC:FSIMulator:NETWork<x>:FILename?
Return Type | String
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:FSIMulator:NETWork<p>:MODE <char>

(Read-Write) Allows you to embed (add) or de-embed (remove) circuit network effects on the input and output of your mixer measurement. Learn more.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
<p> | Apply network to input or output of mixer. Choose from: 1 - Input of mixer 2 - Output of mixer
<char> | Choose from: NONE - Do nothing with effects of S2P file. EMBed - Add effects of S2P file from the measurement results. DEEMbed - Remove effects of S2P file from the measurement results.
Examples | SENS:CORR:COLL:GUID:SMC:FSIM:NETW1:MODE EMB
Query Syntax | SENS<ch>:CORRection:COLLect:GUIDed:SMC:FSIMulator:NETWork<x>:MODE?
Return Type | Character
Default | NONE

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:IMPort <calName>, <dataset>

(Write-only) Imports Guided Power Cal or Phase Reference Cal into the current SMC calibrations.

For the Guided Power Cal:

The port of the mixer input must have the same source attenuator setting between the SMC channel and the Guided Power Cal Set. The frequencies of the Guided Power Cal must include all the mixer frequencies. Interpolation will be applied to the Guided Power Cal frequencies if they do not exactly match.

For the Phase Reference Cal:

The port of the mixer input must have the same source attenuator setting as used in the phase reference cal. The phase reference cal must include all the mixer frequencies. Interpolation will be applied to the phase reference cal frequencies if they do not exactly match. Learn more about Phase Reference Cal.

The following error message may appear (it is not written to the VNA Error Log):

  • Interpolation target is out of range. Cannot interpolate when incompatible frequency ranges occur.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<calName>

(String) Name of existing Cal Set from which to import power data.

<dataset>

(String) Name of the data set. Choose from:

  • POWER_STEP -Iimport the Guided Power Cal data.

  • "POWER_AND_PHASE" - Import the Phase Reference + power cal data. When this command is sent, the SMC Cal Method is automatically set to Use Phase Reference Cal. Learn more. There is no other command to set this.

Examples

SENS2:CORR:COLL:GUID:SMC:IMP "MyPowerCal","POWER_STEP"

See example program

SENS:CORR:COLL:GUID:SMC:IMP "MyPhaseRefCal","POWER_AND_PHASE"

See example program

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:LO<n>:PCAL[:STATe] <bool>

(Read-Write) Sets and returns whether or not the LO power cal step is included in the cal steps when an SMC or GCx cal is performed. Learn more.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | LO Stage. Choose 1.
<bool> | LO Power Cal state. Choose from: O or OFF - Skips over the LO Power Cal when calibrating. 1 or ON - Includes a step for LO Power Cal when calibrating
Examples | SENS:CORR:COLL:GUID:SMC:LO1:PCAL 0
Query Syntax | SENSe<ch>:CORRection:COLLect:GUIDed:SMC:LO<n>:PCAL[:STATe]
Return Type | Boolean
Default | OFF or 0

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:PWRCal:CANCel

(Write-only) Aborts a power cal. This command should be sent when a power cal is running.
Parameters |
<ch> | Channel number of the SMC cal being performed. If unspecified, value is set to 1
Examples | SENS:CORR:COLL:GUID:SMC:PWRC:CANC
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:PWRCal:RECeiver <bool>

(Read-Write) Set whether to use the reference receiver for faster iteration during power cal or use a power meter. This command should be set during calibration setup. Learn more.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1
<bool> | OFF or 0 - Use a power meter only. ON or 1 - Use a power meter for the first reading and the reference receiver for all subsequent readings.
Examples | SENS:CORR:COLL:GUID:SMC:PWRC:REC 1
Query Syntax | SENSe<ch>:CORRection:COLLect:GUIDed:SMC:PWRCal:RECeiver?
Return Type | Boolean
Default | ON or 1

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:PWRCal:SEParate <bool>

(Read-Write) Specifies whether to use a Thru standard or to use two power sensor connections during the power cal of an SMC calibration.

Note: This command must be sent immediately after SENS:CORR:COLL:GUID:INIT and before all the other calibration commands.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<bool>

OFF or 0 - Perform Cal with Thru standard.

ON or 1 - Do NOT use a Thru, but instead perform separate power cals on Input and Output reference planes.

Examples

SENS:CORR:COLL:GUID:SMC:PWRC:SEP 1

SENS:CORR:COLL:GUID:INIT "SMC"

Query Syntax

SENSe<ch>:CORRection:COLLect:GUIDed:SMC:PWRCal:SEParate?

Return Type

Boolean

Default

OFF or 0

Last Modified:

8-Jan-2015

Initial Release


ECalCharacterize

SENSe:CORR:CKIT:ECAL:CHARacterize Commands

Controls the settings used to perform an ECal User Characterization. These commands do NOT perform the calibration that is required before measuring the ECal module. An S-Parameter channel must already be calibrated. Learn more.

SENSe:CORR:CKIT:ECAL:CHARacterize:

ACQuire

CNUMber

CONNector

| CATalog?

| PORT<n>[:SELect]

DESCription

| PORT<n>[:SELect]

| [STEP]?

| USER

| VNA

DMEMory

| SAVE

ID

INITiate

SAVE

STEPs?

Click on a blue keyword to view the command details.

Notes:

These commands provide for the following:

  • Measure the ECal module with adapters, cables, or fixtures to be included in the User Characterization.

  • Allow descriptive text to be entered.

  • Save the User Characterization to the ECal module or VNA disk memory. Up to 12 User Characterizations can be stored in an ECal module. Learn more.

You can NOT perform a remote User Characterization of a 4-port ECal module using a 2-port VNA. This can only be done from the front panel user interface.

See Also

  • Example - Perform an ECal User Characterization

  • Learn about ECal User Characterization

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:ACQuire STAN<step>

(Write-only) Initiates the measurement of the ECal module. The user characterization process must have been initiated first using SENS:CORR:CKIT:ECAL:CHAR:INIT.

Currently, only ONE step is required to measure the ECal module.

Note: This command is an overlapped command. When *OPC is issued with it, the OPC bit in the VNAs Standard Event Status Register is not set until this command has completed its operation. Learn more.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1. Channel number being calibrated.

<step>

Integer User characterization step number to be measured.

Examples

SENS:CORR:CKIT:ECAL:CHAR:ACQ STAN1, *OPC

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:CNUMber <n>

(Read-Write) Sets and reads the number to which the User Characterization will be stored in the ECal module. The number must be set before sending SENS:CORR:CKIT:ECAL:CHAR:INIT or the default value (1) will be used. This command is NOT necessary when saving the User Characterization to the VNA disk memory.
Parameters |
<ch> | Channel number being calibrated. If unspecified, value is set to 1
<n> | User Characterization number. Choose a value between 1 and 12.
Examples | SENSe:CORR:CKIT:ECAL:CHAR:CNUM 2
Query Syntax | SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:CNUMber?
Return Type | Numeric
Default | 1

SENSe:CORRection:CKIT:ECAL:CHARacterize:CONNector:CATalog?

(Read-only) Returns a list of connector names that are valid for use with user-characterized ECal modules. Use an item from the returned list to specify a connector for SENS:CORR:CKIT:ECAL:CHAR:CONN:PORT.

Use only factory-defined connector types when you store a user characterization to VNA disk memory.

Parameters

None

Examples

SENS:CORR:CKIT:ECAL:CHAR:CONN:CAT?

'Example returned string: "APC 3.5 male, APC 3.5 female, Type N (50) female, Type N (50) male, APC 7, Type A (50), Type B"

Return Type

Comma-separated string

Default

Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:CONNector:PORT<n>[:SELect] <string>

(Read-Write) Specifies a connector type name for every ECal module port used during the user characterization. Valid connector names are returned using SENS:CORR:CKIT:ECAL:CHAR:CONN:CAT?

This command refers to the ECal ports by number instead of letter (1 = Port A, 2 = Port B, and so forth). The connector names should be set for the ports before sending SENS:CORR:CKIT:ECAL:CHAR:INIT.

The following steps could be followed to ensure port connectors are specified correctly:

  1. Use SENS:CORR:CKIT:ECAL:CHAR:CONN:CAT? to query available connectors before specifying the port connector.

  2. Specify a connector type using this command. If the <string> parameter was incorrectly entered, an error will be returned.

Note: Use only factory-defined connector types when you store a user characterization to VNA disk memory.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1

<n>

ECal test port number for which a connector type will be specified. Choose 1 to 2 for a 2-port ECal module, 1 through 4 for a 4-port module.

<string>

ECal connector type and gender (if applicable).

When the User Characterization is to be stored in the ECal module, then the connector type is limited to a Factory-defined connector type. See the list.

When the User Characterization is to be stored in VNA disk memory, then the connector type can also be a User-defined connector type.

Examples

SENS:CORR:CKIT:ECAL:CHAR:CONN:PORT2 "APC 3.5 female"

Query Syntax

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:CONNector:PORT<n>[:SELect]?

Return Type

String

Default

"No adapter"

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription[:STEP]? <stepN>

(Read-only) Returns the connection description for the specified step of the ECal user characterization process. The user characterization process must have been initiated first using SENS:CORR:CKIT:ECAL:CHAR:INIT.
Parameters |
<ch> | Channel number being calibrated. If unspecified, value is set to 1
<stepN> | Integer - User characterization step number for which a description will be returned. Use SENS:CORR:CKIT:ECAL:CHAR:STEP? to query the number of steps.
Examples | SENSe:CORR:CKIT:ECAL:CHAR:DESC? 2 ''Example return string: Connect ECal Module Ports A and B to VNA Ports 1 and 2
Return Type | String
Default | Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription:USER <string>

(Read-Write) Sets and reads the description of the person and/or company who is producing the ECal user characterization. This description is stored with the characterization.

Set this description before sending SENS:CORR:CKIT:ECAL:CHAR:INIT or the default (empty string) will be used.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1

<string>

Descriptive text, limited to 19 characters maximum.

Examples

SENSe:CORR:CKIT:ECAL:CHAR:DESC:USER "John Doe, Acme Inc."

Query Syntax

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription:USER?

Return Type

String

Default

" " (Empty String)

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription:VNA <string>

(Read-Write) Sets and reads a description of the Vector Network Analyzer used to perform the User Characterization. This description is stored with the user characterization.

Set this description before sending SENS:CORR:CKIT:ECAL:CHAR:INIT or the default (empty string) will be used.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1

<string>

Descriptive text, limited to 14 characters maximum.

Examples

SENSe:CORR:CKIT:ECAL:CHAR:DESC:VNA "My VNA"

Query Syntax

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription:VNA?

Return Type

String

Default

" " (Empty String)

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription:PORT<n>[:SELect] <string>

(Read-Write) For each port of the ECal module that is going to be characterized, sets and reads the description of the adapters, cable, or fixture to be included in the user characterization. This command refers to the ECal ports by number instead of letter (1 = Port A, 2 = Port B, and so forth). This description is stored with the user characterization.

Set this description before sending SENS:CORR:CKIT:ECAL:CHAR:INIT or the default (empty string) will be used.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1

<n>

ECal port number. Choose 1 to 2 for a 2-port ECal module, 1 to 4 for a 4-port module.

<string>

Descriptive text, limited to 24 characters maximum.

Examples

SENSe:CORR:CKIT:ECAL:CHAR:DESC:PORT1 "3.5 mm adapter, SN 00001"

Query Syntax

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DESCription:PORT<n>[:SELect]?

Return Type

String

Default

" " (Empty String)

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:DMEMory:SAVE <charName>

(Write-only) Completes an ECal user characterization by writing the characterization data to the VNA disk. To write the characterization data to the ECal module, use SENS:CORR:CKIT:ECAL:CHAR:SAVE. A User Characterization can be saved to both VNA disk memory and ECal module memory.

Use this <charName> for performing future calibrations with this User Characterization. See SENS:CORR:CKIT:ECAL:KNAM:INF?

Note: An ECal confidence check can NOT be performed remotely from User Characterizations that are stored on the VNA disk.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1.

<charName>

String. User characterization name. Although there is no limit to the number of characters, only about 10 characters appear in the Cal Wizard dialog when selecting a user characterization for use.

Examples

SENS:CORR:CKIT:ECAL:CHAR:DMEM:SAVE "DUT1 User Char"

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:ID <model, sn>

(Read-Write) Selects the model and serial number of the ECal module to be characterized. This command does not Set the model and serial number of the ECal module.
Parameters |
<ch> | Channel number being calibrated. If unspecified, value is set to 1
<model, sn> | Model and serial number of the ECal module to be characterized.
Examples | SENSe:CORR:CKIT:ECAL:CHAR:ID "N4433A,00001"
Query Syntax | SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:ID?
Return Type | String
Default | " " (Empty String)

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:INITiate [bool]

(Write-only) Initiates an ECal User Characterization. The specified channel number must be an S-parameter measurement channel. The channel must already be calibrated using the same, or greater number of VNA ports as the ECal module. Also, the calibrated VNA ports must begin with Port 1 and use sequential port numbers.

After this command is executed, subsequent commands can be used to query the number of measurement steps, issue the acquisition commands, query the connection description strings, and subsequently complete an Ecal User characterization.

Parameters

<ch>

Channel number of a calibrated S-parameter channel. If unspecified, value is set to 1

[bool]

Optional argument. If unspecified, value is set to 1.

ON (or 1) Check ECal memory to ensure that a new characterization with the channels current number of points will fit in the module memory. Select for User Characterizations to be stored in internal ECal memory.

OFF (or 0) Skip the check. Select for User Characterizations to be stored to VNA disk memory.

Examples

SENS:CORR:CKIT:ECAL:CHAR:INIT

sense2:correction:ckit:ecal:characterize:initiate off

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:SAVE

(Write-only) Completes an ECal user characterization by writing the characterization data to the ECal module memory. To write the characterization data to VNA disk memory, use SENS:CORR:CKIT:ECAL:CHAR:DMEM:SAVE. A User Characterization can be saved to both VNA disk memory and ECal module memory.

Note: This command is an overlapped command. When *OPC is issued with it, the OPC bit in the PNAs Standard Event Status Register is not set until this command has completed its operation. Learn more.

Parameters

<ch>

Channel number being calibrated. If unspecified, value is set to 1.

Examples

SENS:CORR:CKIT:ECAL:CHAR:SAVE, *OPC

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:CORRection:CKIT:ECAL:CHARacterize:STEPs?

(Read-only) Returns the number of steps required to measure the ECal module. Currently, only ONE is required.
Parameters |
<ch> | Channel number being calibrated. If unspecified, value is set to 1
Examples | SENS:CORR:CKIT:ECAL:CHAR:STEP?
Return Type | Numeric
Default | Not Applicable

Last Modified:

24-Sep-2014

First Release


MixerSegment

SENSe:MIXer:SEGMent Commands

Configures Mixer Segments.

SENSe:MIXer:SEGMent:

ADD

BWIDth

CALCulate

COUNt?

DELete

| ALL

DWELI

IF:FREQuency

| SIDeband

INPut

| FREQuency

| FIXed

| MODE

| STARt

| STOP

| POWer

LO:FREQuency

| FIXed

| ILTI

| MODE

| STARt

| STOP

LO:POWer

OUTPut:FREQuency

| FIXed

| MODE

| SIDeband

| STARt

| STOP

OUTPut:POWer

POINts

STATe

Click on a Red keyword to view the command details.

See Also

  • Example Programs

  • Learn about the Frequency Converter Application

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Scratch vs Applied Mixer Properties

Each mixer configuration has two sets of properties:

  1. Scratch mixer contains the properties that have been set, but NOT YET applied. Send the SENSe<ch>:MIXer:APPLy command to copy these properties to the Applied mixer.

  2. Applied mixer contains the properties that makeup the current mixer configuration.

Power settings are immediately applied to both the Scratch and Applied mixer.

A successful Calculate also perform an Apply.

Note: Queries always return the Applied mixer properties. Therefore, first send SENSe<ch>:MIXer:APPLy before querying new settings.

SENSe<ch>:MIXer:SEGMent<n>:ADD <value>

(Write only) Adds the specified number of segments to the scratch mixer beginning at the last segment position. All segments are added with default settings.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Position at which to add segments. Valid range is between 1 and the current segment count +1. Using count +1 adds segments to the end of the segment table. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Optional argument. Number of segments to add. If unspecified, 1 segment is added.
Examples | SENS:MIX:SEGM1:ADD 3 'Adds 3 segments beginning at position 1. For a preset state, this results in a total of 4 segments.
Query Syntax | Not Applicable
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:SEGMent<n>:BWIDth <value>

(Read-Write) Sets and returns the IF Bandwidth for the sweep segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which IF Bandwidth is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | IF Bandwidth in Hz. The list of valid IF Bandwidths is different depending on the VNA model. (Click to see the lists.) If an invalid number is specified, the analyzer will round up to the closest valid number. This parameter supports MIN and MAX as arguments. Learn more.
Examples | SENS:MIX:SEGM1:BWID 1e3
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:BWIDth? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | 100 kHz

SENSe<ch>:MIXer:SEGMent<n>:CALCulate <char>

(Write-only) Calculates the Input, IF, or Output frequencies of the mixer setup and updates the channel settings.

Parameters

<ch>

Any existing channel number. If unspecified, value is set to 1

<n>

Existing segment to calculate. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.

<char>

Mixer port to be calculated. Choose from:

<char>

1st or only stage requires:

In addition, 2nd stage requires:

INPut

  • Output Start and Stop frequencies

  • LO frequency

  • Output sideband (High or Low)

  • IF Start and Stop frequencies

  • 2nd LO frequency

  • IF sideband (High or Low)

BOTH

NA

  • IF Start and Stop frequencies

  • Both LO frequencies

OUTPut

  • Input Start and Stop frequencies

  • LO frequency

  • Output sideband (High or Low)

  • IF Start and Stop frequencies

  • 2nd LO frequency

  • IF sideband (High or Low)

LO_1

  • Input Start and Stop frequencies

  • Output frequency

  • Output sideband (High or Low)

  • IF Start and Stop frequencies

  • 2nd LO frequency

  • IF sideband (High or Low)

LO_2

NA
  • Input Start and stop frequencies
  • 1st LO start and stop frequencies
  • Output frequency
  • IF sideband(High or Low
  • Output sideband(High or Low)

Examples

SENS:MIX:SEGM2:CALC Output

Query Syntax

Not Applicable

Default

Not Applicable

SENSe<ch>:MIXer:SEGMent:COUNt?

(Read-only) Returns the number of segments on the Applied mixer.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
Examples | SENS:MIX:SEGM:COUN?
Return Type | Numeric
Default | Not Applicable

SENSe<ch>:MIXer:SEGMent<n>:DELete <value>

(Write-only) Removes the specified number of segments from the scratch mixer starting at the index position.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Position at which to start removing segments. Valid index range is between 1 and the current segment count. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Optional argument. Number of segments to remove. If unspecified, 1 segment is removed.
Examples | SENS:MIX:SEGM1:DEL 5 'Removes 5 segments beginning at the first position.
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:MIXer:SEGMent:DELete:ALL

(Write-only) Removes all segments from the scratch mixer.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
Examples | SENS:MIX:SEGM:DEL:ALL
Query Syntax | Not Applicable
Default | Not Applicable

SENSe<ch>:MIXer:SEGMent<n>:DWELI

(Read-Write) Sets or returns the Input sweep mode of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Input frequency mode is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
Examples | SENS:MIX:SEGM2:DWELI
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:DWELI? Send Apply before sending this query. Learn more.
Return Type | Character
Default | Swept

SENSe<ch>:MIXer:SEGMent<n>:IF:FREQuency:SIDeband <char>

(Read-Write) When two LO stages are used, sets or returns whether to select the sum or difference for the IF1 product. (Input + or - LO1 = IF1)

  • This setting corresponds to the [image] buttons on LO1 on the Mixer Setup dialog.

  • This setting is ignored when ONE LO stage is selected.

  • Also set SENS:MIX:OUTP:FREQ:SID to LOW or HIGH to set the output frequency of the mixer.

Parameters

<ch>

Channel number of the mixer measurement. If unspecified, value is set to 1.

<n>

Existing segment for which IF Sideband is to be set.

Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.

<char>

Sideband value. Choose from

LOW - Difference (-)

HIGH - Sum (+)

Examples

SENS:MIX:SEGM2:IF:FREQ:SID LOW

Query Syntax

SENSe<ch>:MIXer:SEGMent<n>:IF:FREQuency:SIDeband?

Send Apply before sending this query. Learn more.

Return Type

Character

Default

LOW

SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:FIXed <value>

(Read-Write) Sets or returns the Input fixed frequency of the segment. Also, set SENS:MIX:SEGM:INP:FREQ:MODE FIXED.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which input fixed frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Input fixed frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:INPut:FREQ:FIX 1e9
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:FIXed? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Start frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:MODE <char>

(Read-Write) Sets or returns the Input sweep mode of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Input frequency mode is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<char> | Input sweep mode. Choose either FIXED or SWEPT
Examples | SENS:MIX:SEGM2:INP:FREQ:MODE FIXED
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:MODE? Send Apply before sending this query. Learn more.
Return Type | Character
Default | Swept

SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:STARt <value>

(Read-Write) Sets or returns the Input start frequency value of the segment. Also, set SENS:MIX:SEGM:FREQ:MODE SWEPT.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Input start frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Input Start frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:INPut:FREQ:STARt 1000000000
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:STARt? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Start frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:STOP <value>

(Read-Write) Sets or returns the Input stop frequency value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Input stop frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Input Stop frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:INPut:FREQ:STOP 1000000000
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:INPut:FREQuency:STOP? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Stop frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:INPut:POWer <value>

(Read-Write) Sets or returns the Input power value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Input power is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Input power level in dBm. Choose a value within the power range of the VNA.
Examples | SENSe2:MIXer:SEGMent2:INPut:POWer 0
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:INPut:POWer? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | -15 dBm

SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:FIXed <value>

(Read-Write) Sets or returns the LO1 and LO2 fixed frequency value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which the LO1 and LO2 fixed frequency value is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<x> | LO stage number for which the fixed frequency is to be set. Choose 1 or 2. Set number of stages for the mixer using SENSe<ch>:MIXer:STAGe.
<value> | The LO1 and LO2 fixed frequency value in Hz. Choose a value within the frequency range of the source.
Examples | SENSe2:MIXer:SEGMent2:LO1:FREQ:FIX 1e9
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:FIXed? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | 0 Hz

SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:ILTI <bool>

(Read-Write) Specifies whether to use the Input frequency that is greater than the LO or less than the LO. To learn more, see the mixer setup dialog box help.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which the LO1 and LO2 fixed frequency value is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<x> | LO stage number for which ILT is to be set. Choose 1 or 2. Set number of stages for the mixer using SENSe<ch>:MIXer:STAGe.
<bool> | ON (1) - Use the Input that is Greater than the specified LO. OFF (0) - Use the Input that is Less than the specified LO.
Examples | SENSe2:MIXer:SEGMent2:LO1:FREQ:ILTI 1
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:ILTI? Send Apply before sending this query. Learn more.
Return Type | Boolean
Default | OFF

SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:MODE <char>

(Read-Write) Sets or returns the LO1 or LO2 sweep mode of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which LO frequency mode is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<x> | LO stage number for which ILT is to be set. Choose 1 or 2. Set number of stages for the mixer using SENSe<ch>:MIXer:STAGe.
<char> | LO sweep mode. Choose either FIXED or SWEPT
Examples | SENS:MIX:SEGM2:LO1:FREQ:MODE FIXED
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:LO<n>:FREQuency:MODE? Send Apply before sending this query. Learn more.
Return Type | Character
Default | Fixed

SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:STARt <value>

(Read-Write) Sets or returns the LO start frequency value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which LO start frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<x> | LO stage number. Choose 1 or 2. Set number of stages for the mixer using SENSe<ch>:MIXer:STAGe.
<value> | LO Start frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:LO1:FREQ:STARt 1000000000
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:STARt? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Start frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:STOP <value>

(Read-Write) Sets or returns the LO stop frequency value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which LO stop frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<x> | LO stage number. Choose 1 or 2. Set number of stages for the mixer using SENSe<ch>:MIXer:STAGe.
<value> | LO Stop frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:LO<x>:FREQ:STOP 1000000000
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:LO<x>:FREQuency:STOP? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Stop frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:LO<x>:POWer <value>

(Read-Write) Sets or returns the LO power of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which LO power is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<x> | LO stage number. Choose 1 or 2. Set number of stages for the mixer using SENSe<ch>:MIXer:STAGe.
<value> | LO power level in dBm. Choose a value within the power range of the VNA.
Examples | SENSe2:MIXer:SEGMent2:INPut:POWer 0
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:INPut:POWer? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | -10 dBm

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:FIXed <value>

(Read-Write) Sets or returns the Output fixed frequency of the segment. Also, set SENS:MIX:SEGM:INP:FREQ:MODE FIXED.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Output fixed frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Output fixed frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:OUTP:FREQ:FIX 1e9
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:FIXed? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Start frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:MODE <char>

(Read-Write) Sets or returns the Output sweep mode of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Output frequency mode is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<char> | Output sweep mode. Choose either FIXED or SWEPT
Examples | SENS:MIX:SEGM2:OUTP:FREQ:MODE FIXED
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:MODE? Send Apply before sending this query. Learn more.
Return Type | Character
Default | Swept

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:SIDeband <char>

(Read-Write) When two LO stages are used, sets or returns whether to select the sum or difference for the Output product. Use for both 1 or 2 stage mixers.

  • This setting corresponds to the [image] buttons on the Output on the Mixer Frequency dialog.

  • Also set SENS:MIX:IF:FREQ:SID to LOW or HIGH to determine the IF frequency for 2-stage mixers.

Parameters

<ch>

Channel number of the mixer measurement. If unspecified, value is set to 1.

<n>

Existing segment for which Output Sideband is to be set.

Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.

<char>

Sideband value. Choose from

LOW - Difference (-)

HIGH - Sum (+)

Examples

SENS:MIX:SEGM2:OUTP:FREQ:SID LOW

Query Syntax

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:SIDeband?

Send Apply before sending this query. Learn more.

Return Type

Character

Default

LOW

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:STARt <value>

(Read-Write) Sets or returns the Output start frequency value of the segment. Also, set SENS:MIX:SEGM:FREQ:MODE SWEPT.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Output start frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Output Start frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:OUTPut:FREQ:STARt 1000000000
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:STARt? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Start frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:STOP <value>

(Read-Write) Sets or returns the Output stop frequency value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Output stop frequency is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Output Stop frequency. Choose a value between the start and stop frequency of the VNA.
Examples | SENSe2:MIXer:SEGMent2:OUTPut:FREQ:STOP 1000000000
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:OUTPut:FREQuency:STOP? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | Stop frequency of the VNA.

SENSe<ch>:MIXer:SEGMent<n>:OUTPut:POWer <value>

(Read-Write) Sets or returns the Output power value of the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which Output power is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Output power level in dBm. Choose a value within the power range of the VNA.
Examples | SENSe2:MIXer:SEGMent2:OUTPut:POWer 0
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:OUTPut:POWer? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | -10 dBm

SENSe<ch>:MIXer:SEGMent<n>:POINts <value>

(Read/Write) Sets and returns the number of data points for the sweep segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment for which number of points is to be set. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<value> | Number of data points. Choose any number between 1 and the VNA maximum number of points. This parameter supports MIN and MAX as arguments. Learn more.
Examples | SENS:MIX:SEGM1:POIN 3
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:POINts? Send Apply before sending this query. Learn more.
Return Type | Numeric
Default | 21

SENSe<ch>:MIXer:SEGMent<n>:STATe <bool>

(Read/Write) Sets and returns the ON/OFF state for the segment.
Parameters |
<ch> | Channel number of the mixer measurement. If unspecified, value is set to 1.
<n> | Existing segment to be set ON or OFF. Use SENS:MIX:SEGM:COUN? to read the current count in the Applied Mixer.
<bool> | Segment state. Choose from: ON (or 1) - Turns the segment ON. OFF (or 0) - Turns the segment OFF
Examples | SENS:MIX:SEGM1:STATe 1
Query Syntax | SENSe<ch>:MIXer:SEGMent<n>:STATe? Send Apply before sending this query. Learn more.
Return Type | Boolean
Default | ON

Last modified:

5-Jan-2016

First Release


Pulse

Sense:Pulse Commands

Configures the 5 pulse generators in the VNA.

These commands can also be used to control an external Pulse Generator. Learn more.

SENSe:PULSe

| CATalog?

| DELay

| INVert

| PERiod

| STATe

| TPOLarity

| WIDTh

Click on a blue keyword to view the command details.

To make other Pulse settings, such as enabling the internal pulse modulators, use this command:

  • SENSe<ch>:PATH:CONFig:ELEMent[:STATe] <elem>, <setting>

  • At that command help topic, click the IF Configuration elements and values link to see the Pulse element and setting (in the middle box ) to configure.

See Also

  • SENS:SWEep:PULSE - configures the channel for pulse measurements

  • External Pulse Generator configuration commands

  • SENS:IF configuration commands

  • Example Programs

  • VNA Integrated Pulse Application

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

Pulse Definitions

  • D = Delay; the time before each pulse begins

  • W = Width; the time the pulse is ON

  • P = Period; one complete pulse cycle

  • Duty Cycle = W/P

Important: If D + W is greater than P, then undefined VNA behavior results. There is NO error message or warning.

SENSe:PULSe:CATalog?

Applicable Models: M9485A

(Write-only) Adds a segment.
Parameters |
<cnum> | Any existing channel number; if unspecified, value is set to 1.
<n> | Range number. If unspecified, value is set to 1.
<s> | Segment number to add. If unspecified, value is set to 1. Segment numbers must be sequential. If a new number is added where one currently exists, the existing segment and those following are incremented by one.
Examples | Two Segments exist (1 and 2). The following command will add a new segment (1). The existing (1 and 2) will become (2 and 3) respectively. sense2:fom:range2:segment:add
Query Syntax | Not Applicable
Default | Not Applicable
(Read-only) Returns the string names of internal and configured external pulse generators.
Parameters | None
Examples | SENS:PULS:CAT?
Default | Not Applicable

SENSe<ch>:PULSe<n>:DELay <value>[,<name>]

Applicable Models: M9485A

(Read-Write) Sets the pulse delay. The amount of time before a new pulse begins. See Pulse Definition diagram.
Parameters |
<ch> | Any existing channel number; if unspecified, value is set to 1.
<n> | Internal pulse generator number. Choose from 0 to 4. 0 is the generator that pulses the ADC.
<value> | Delay value in seconds. Choose a value from about 33ns to about 70 seconds.
<name> | Optional. String name of the pulse generator. Required for use with external pulse generators. Use SENSe:PULSe:CAT? to return the names of configured pulse generators. If specified, <n> is ignored. If unspecified, <n> is required for internal pulse generators.
Examples | SENS:PULS1:DEL .5 SENS:PULS:DEL .5, "My81110"
Query Syntax | SENSe<ch>:PULSe<n>:DELay? [<name>]
Return Type | Numeric
Default | 0

SENSe<ch>:PULSe<n>:INVert <value>[,<name>]

Applicable Models: M9485A

(Read-Write) Sets whether to invert the polarity of the pulse.
Parameters |
<ch> | Any existing channel number; if unspecified, value is set to 1.
<n> | Pulse generator number. Choose from 0 to 4. 0 is the generator that pulses the ADC.
<value> | Boolean ON (or 1) - Invert the pulse generator polarity. This causes the pulse ON time to be active low and OFF be active high. OFF (or 0) - Do NOT Invert the pulse generator polarity.
<name> | Optional. String name of the pulse generator. Required for use with external pulse generators. Use SENSe:PULSe:CAT? to return the names of configured pulse generators. If specified, <n> is ignored. If unspecified, <n> is required for internal pulse generators.
Examples | SENS:PULS1:INV 1 SENS:PULS:INV 1, "My81110"
Query Syntax | SENSe<ch>:PULSe:INVert? [<name>]
Return Type | Boolean
Default | OFF (0)

SENSe<ch>:PULSe:PERiod <value>[,<name>]

Applicable Models: M9485A

(Read-Write) Sets the pulse-period (1/PRF) for ALL pulse generators. The resolution of the period is: DSP version: 4.0 = 16.667nS. DSP version: 5.0 = 10nS Learn more about DSP version. See Pulse Definition diagram.
Parameters |
<ch> | Any existing channel number; if unspecified, value is set to 1.
<value> | Pulse period in seconds. Choose a value from about 33ns to about 70 seconds.
<name> | Required for use with an external pulse generator. String name of the external pulse generator. If unspecified, the period for the internal pulse generators are set. Use SENSe:PULSe:CAT? to return the names of configured pulse generators.
Examples | SENS:PULS:PERiod .05 SENS:PULS:PER .01, "My81110"
Query Syntax | SENSe<ch>:PULSe:PERiod? [<name>]
Return Type | Numeric
Default | 1e-3 sec

SENSe<ch>:PULSe<n>[:STATe] <value>[,<name>]

Applicable Models: M9485A

(Read-Write) Turns the pulse output ON and OFF.
Parameters |
<ch> | Any existing channel number; if unspecified, value is set to 1.
<n> | Pulse generator number. Choose from 0 to 4. 0 is the generator that pulses the ADC.
<value> | Boolean ON (or 1) - turns pulse output ON. OFF (or 0) - turns pulse output OFF.
<name> | Optional. String name of the pulse generator. Required for use with external pulse generators. Use SENSe:PULSe:CAT? to return the names of configured pulse generators. If specified, <n> is ignored. If unspecified, <n> is required for internal pulse generators.
Examples | SENS:PULS1 1 SENS:PULS 1, "My81110"
Query Syntax | SENSe<ch>:PULSe[:STATe]? [<name>]
Return Type | Boolean
Default | OFF

SENSe<ch>:PULSe:TPOLarity <char>

Applicable Models: M9485A

(Read-Write) Sets the polarity of the trigger signal to which the internal pulse generators will respond when being externally triggered at the PulseSyncIn pin. Learn more about the VNA pulse generators.
Parameters |
<ch> | Any existing channel number; if unspecified, value is set to 1.
<char> | Pulse polarity. Choose from: POSitive - VNA responds to rising edge or HIGH level NEGative - VNA responds to falling edge or LOW level. Set Edge or Level triggering using SENS:PULS:TTYPe.
Examples | SENS:PULS:TPOL NEG
Query Syntax | SENSe<ch>:PULSe:TPOLarity?
Return Type | Character
Default | POSitive - Also the polarity used when the VNA does not have the required DSP hardware.

SENSe<ch>:PULSe<n>:WIDTh <value>[,<name>]

Applicable Models: M9485A

(Read-Write) Sets the pulse width. The amount of time that the pulse is ON. See Pulse Definition diagram.
Parameters |
<ch> | Any existing channel number; if unspecified, value is set to 1.
<n> | Pulse generator number. Choose from 0 to 4. 0 is the generator that pulses the ADC.
<value> | Pulse width in seconds. Choose a value from about 33ns to about 70 seconds.
<name> | Optional. String name of the pulse generator. Required for use with external pulse generators. Use SENSe:PULSe:CAT? to return the names of configured pulse generators. If specified, <n> is ignored. If unspecified, <n> is required for internal pulse generators.
Examples | SENS:PULS:WIDT .5 SENS:PULS:WIDT .5, "My81110"
Query Syntax | SENSe<ch>:PULSe<n>:WIDTh? [<name>]
Return Type | Numeric
Default | 1e-4 sec

Last Modified:

5-Jan-2016

New topic


SweepPulse

Sense:Sweep:Pulse Commands

Configures the channel to make pulse measurements using the Pulse Application.

SENSe:SWEep:PULSe

CWTime

DRIVe[:AUTO]

MASTer:

| FREQuency

| PERiod

| WIDTh

MODE

TIMing[:AUTO]

Click on a blue keyword to view the command details.

See Also

  • Example Program using these commands.

  • SENS:PULSe commands used to configure the pulse generators.

  • VNA IF Path Block diagram

  • SENS:IF configuration commands

  • Synchronizing the VNA and Controller

  • SCPI Command Tree

SENSe<ch>:SWEep:PULSe:CWTime[:AUTO] <bool>

Applicable Models: M9485A

(Read-Write) Sets and returns the state of automatic CW sweep time (used in Pulse Profile mode). This setting is labeled Autoselect Profile Sweep Time on the UI.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<bool> | Choose from: OFF (or O) - The Sweep Time is not changed automatically. ON (or 1) - In Pulse Profile mode, adjusts the default X-axis start time to zero and the stop time to double the Pulse Width. This allows you to see one complete pulse.
Examples | SENS:SWE:PULS:CWT 1 sense2:sweep:pulse:cwtime:auto off
Query Syntax | SENSe<ch>:SWEep:PULSe:CWTime[:AUTO]?
Return Type | Boolean
Default | ON

SENSe<ch>:SWEep:PULSe:DRIVe[:AUTO] <bool>

Applicable Models: M9485A

(Read-Write) Set the drive for the source modulation automatically or manually. This setting is labeled Autoselect Pulse Generator on the UI.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<bool> | Choose from: OFF (or O) - Manually set source modulation. ON (or 1) - Automatically set pulse gen 1 as the modulation source and pulse gen 2 as the gate source for all gates.
Examples | SENS:SWE:PULS:DRIV 1 sense2:sweep:pulse:drive:auto off
Query Syntax | SENSe<ch>:SWEep:PULSe:DRIVe[:AUTO]?
Return Type | Boolean
Default | ON

SENSe<ch>:SWEep:PULSe:MASTer:FREQuency <value>

Applicable Models: M9485A

(Read-Write) Sets and returns the master pulse measurement frequency. The frequency is 1/period, so this value can also be set using SENS:SWE:PULS:MAST:PERiod. Note: On the Pulse Setup dialog, this command is a 'Basic setting, which is intended to be used with the 'Auto' selections set to ON.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<value> | Master frequency. Choose a value between
Examples | SENS:SWE:PULS:MAST:FREQ 1e9 sense2:sweep:pulse:master:frequency 1e6
Query Syntax | SENSe<ch>:SWEep:PULSe:MASTer:FREQuency
Return Type | Value
Default | 1 kHz

SENSe<ch>:SWEep:PULSe:MASTer:PERiod <value>

Applicable Models: M9485A

(Read-Write) Sets and returns the master pulse period. The period is 1/frequency, so this value can also be set using SENS:SWE:PULS:MAST:FREQ. Note: On the Pulse Setup dialog, this command is a 'Basic' setting, which is intended to be used with the 'Auto' selections set to ON.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<value> | Master period in seconds.
Examples | SENS:SWE:PULS:MAST:PER 1e-6 sense2:sweep:pulse:master:period 1e-3
Query Syntax | SENSe<ch>:SWEep:PULSe:MASTer:PERiod?
Return Type | Value
Default | 1 msec

SENSe<ch>:SWEep:PULSe:MASTer:WIDth <value>

Applicable Models: M9485A

(Read-Write) Sets and returns the master pulse width. Note: On the Pulse Setup dialog, this command is a 'Basic' setting, which is intended to be used with the 'Auto' selections set to ON.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<value> | Master pulse width in seconds..
Examples | SENS:SWE:PULS:MAST:WIDTh sense2:sweep:pulse:master:width
Query Syntax | SENSe<ch>:SWEep:PULSe:MASTer:WIDTh?
Return Type | Value
Default | 100 microseconds

SENSe<ch>:SWEep:PULSe:MODE <char>

Applicable Models: M9485A

(Read-Write) Sets and returns the pulse measurement state for the channel.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<char> | Choose from: OFF - Turn OFF pulse measurements. STD - Turn ON standard pulse measurements. PROFILE - Turn ON pulse profile measurements.
Examples | SENS:SWE:PULS:MODE PROFILE sense2:sweep:pulse:mode off
Query Syntax | SENSe<ch>:SWEep:PULSe:MODE?
Return Type | Character
Default | OFF

SENSe<ch>:SWEep:PULSe:TIMing[:AUTO] <bool>

Applicable Models: M9485A

(Read-Write) Choose to set the delay and width automatically or manually. This setting is labeled Autoselect Width and Delay on the UI.
Parameters |
<ch> | Channel number of the pulse measurement. If unspecified, value is set to 1.
<bool> | Choose from: OFF (or O) - Manually set the delay and width for the measurement. ON (or 1) - Automatically set the delay and width for the measurement.
Examples | SENS:SWE:PULS:TIM 1 sense2:sweep:pulse:timing:auto off
Query Syntax | SENSe<ch>:SWEep:PULSe:TIMing[:AUTO]?
Return Type | Boolean
Default | ON

Last Modified:

2016-01-05

New topic


Voltage

Sense:Voltage Command

SENSe<ch>:VOLTage<Auxpt>[:DC]:RANGe[:UPPer] <value><units>

(Read-Write) Sets or gets the DC voltage range of selected channel.
Parameters |
<ch> | Any existing channel number. If unspecified, value is set to 1.
<Auxpt> | AUX port (1 or 2)
<value> | 1 to 10
<units> | Volts (V)
Examples | SENS:VOLT:RANG 8 sense:voltage:dc:range:upper 1
Query Syntax | SENSe<ch>:VOLTage<Auxpt>[:DC]:RANGe[:UPPer]?
Return Type | Numeric
Default | 10

Last modified:

5-Jan-2016

New topic


SCPI Example Programs

Setup Measurements | Environment
Create an S-parameter Measurement | VBScript
Channels, Windows, and Measurements using GPIB | Visual Basic
Setup Sweep Parameters | Visual Basic
Triggering the VNA | Visual Basic
Calibrations See Calibrating the VNA Using SCPI |
Guided ECal | Visual Basic, VBScript
Guided Mechanical Calibration | Visual Basic, VBScript
Response Cal | Visual Basic
Miscellaneous |
Getting and Putting Data | Visual Basic
Upload and Download a Segment List | Visual Basic, VBScript

Last modified:

27-Nov-2014

First release


Learning about GPIB

The following topics can help you learn more about controlling the VNA using SCPI and the GPIB.

  • COM versus SCPI

  • GPIB Fundamentals

  • The Rules and Syntax of SCPI Commands

  • Configure for SCPI / SICL over GPIB

  • Configure for VISA / SICL over LAN

  • Calibrating the VNA Using SCPI

  • Getting Data from the VNA using SCPI

  • The VNA as a USB Device

  • Remote Control of SCPI USB Devices Connected to a VNA

  • Reading the VNA Status Registers

  • Referring to Traces, Measurements, Channels, and Windows Using SCPI

  • Synchronizing the VNA and Controller

  • Shut Down the VNA Remotely


Avg BW Com Finder

Avg BW Settings: Main | Smoothing | Delay Aperture

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Main
Averaging | ON |  | SENS:AVER[:STAT]
 | OFF |  | SENS:AVER[:STAT]
Averaging Restart |  |  | SENS:AVER:CLE
IF Bandwidth |  |  | SENS:BAND | BWID[:RES]
LF Auto BW | ON |  | SENS:BAND | BWID:TRAC
 | OFF |  | SENS:BAND | BWID:TRAC
Smoothing
Smoothing | ON | CALC:MEAS:SMO[:STAT]
 | OFF | CALC:MEAS:SMO[:STAT]
Smooth Percent |  | CALC:MEAS:SMO:APER
Smooth Points |  | CALC:MEAS:SMO:POIN
Delay Aperture
Aperture Percent | CALC:MEAS:GDEL:PERC
Aperture Points | CALC:MEAS:GDEL:POIN
Aperture Freq | CALC:MEAS:GDEL:FREQ

Last modified:

5-Jan-2016

New topic


Channel Com Finder

Channel Settings: Channel 1-8 | Channel Setup

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Channel 1-8
Channel 1 to 8 | ON |  | None
 | OFF |  | None
Channel 2 | ON |  | None
 | OFF |  | None
Channel 3 | ON |  | None
 | OFF |  | None
Channel 4 | ON |  | None
 | OFF |  | None
Channel 5 | ON |  | None
 | OFF |  | None
Channel 6 | ON |  | None
 | OFF |  | None
Channel 7 | ON |  | None
 | OFF |  | None
Channel 8 | ON |  | None
 | OFF |  | None
Channel Setup
Select | ChN |  | None
Meas Class | Standard |  | SENS:CLAS:NAME?
 | SMC |  | SENS:CLAS:NAME?
 | Measurement Class... | Standard Scalar Mixer/Converter | SENS:CLAS:NAME?
Add Channel | New Trace + Channel |  | None
 | New Trace + Channel + Window |  | None
Copy Channel | Copy to Active Window |  | None
 | Copy to New Window |  | None
 | Copy Channel... | Copy channel - To Channel Stimulus Channel State | SYST:MACR:COPY:CHAN[:TO] None None
Delete Channel | ChN |  | SYST:CHAN:DEL

Last modified:

5-Jan-2016

New topic


Display Com Finder

Display Settings: Window 1-8 | Window Setup | Display Settings

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Window 1-8
Window 1 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 2 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 3 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 4 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 5 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 6 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 7 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window 8 | ON |  | DISP:WIND[:STAT]
 | OFF |  | DISP:WIND[:STAT]
Window Setup
Select |  |  | DISP:WIND:TRAC:SEL
Window Title... |  | Enable Title | DISP:WIND:TITL[:STAT] DISP:WIND:TITL:DATA
Add Window | New Window |  | DISP:WIND[:STAT]
 | New Trace + window |  | DISP:WIND:TRAC[:STAT]
 | New Trace + Channel + Window |  | None
Delete Window |  |  | DISP:WIND[:STAT]
Tile |  |  | DISP:ARR or DISP[:TILE]
Window Max | ON |  | DISP:WIND:SIZ
 | OFF |  | DISP:WIND:SIZ
Sheet Setup
Select... | Sheet # | None
Sheet Title... |  | DISP:SHE:TIT:DATA
Add Sheet | New Sheet New Trace + Sheet New Trace + Channel + Sheet | DISP:SHE:STAT DISP:WIND:FEED DISP:SHE:CAT
Delete Sheet | Sheet # | DISP:SHE:STAT DISP:WIND:FEED DISP:SHE:CAT
Sheet Layout | 1 Sheet 1 Trace per Sheet 1 Channel per Sheet 1 Window per sheet | DISP:ARR SYST:ACT:SHE SYST:SHE:CAT
Display Settings
Customize Display... |  | Labels Trace Status Y-axis Labels X-axis Labels Markers Marker Readouts Large Readout Readout Per Trace Symbol - Triangle, Flag and Line Decimal Places - Stimulus and Response Readout Position - X and Y Marker Colors... Grid Grid Lines - Solid | Dotted Y-axis Divisions - 2 to 30 Show Table - None, Marker, Limit, Ripple and Segment Toolbars Softkey Hardkey Port Extensions Transform Marker Cal Set Viewer Main Title Active Entry Status Bar - 2 Bars - Clock Tools Tool Active Entry Softkey Toolbar | - DISP:WIND:ANN[:TRAC][:STAT] DISP:WIND:ANN: Y[:STAT] None - DISP:WIND:ANN:MARK[:STAT] DISP:WIND:ANN:MARK:SIZE | SIZ DISP:WIND:ANN:MARK:NUMB DISP:WIN:ANN:MARK:SYMB DISP:WIND:ANN:MARK:RES:RESP DISP:WIND:ANN:MARK:RES:STIM DISP:WIND:ANN:MARK:XPOS DISP:WIND:ANN:MARK:YPOS [Refer to Display Colors...] - DISP:WIND:TRAC:GRAT:GRID:LTYPE DISP:WIND:TRAC:Y[:SCAL]:PDIV DISP:WIND:TABL - None None None None DISP:TOOL:MARK[:STAT] DISP:TOOL:CSET[:STAT] None DISP:TOOL:ENTR[:STATe] DISP:ANN[:STAT] None SYST:CLOC[:STAT] - None None None
Display Colors... |  | Pen Background Active Background Grid Active Labels, Grid frame Inactive Window Labels Failed Trace N Trace: Data and Limits N Trace: Memory N Trace: Markers N Trace: Memory Markers Change Color... Reset Color Color Theme Save Theme... Recall Theme... Reset Theme... | - DISP:COL:IBACK | IBAC DISP:COL:ABAC DISP:COL:GRAT2 DISP:COL:GRAT1 DISP:COL:ILAB DISP:COL:LIM1 DISP:COL:TRAC:DATA DISP:COL:TRAC:MEM DISP:COL:TRAC:MARK DISP:COL:TRAC:MMAR None None - DISP:COL:STOR None DISP:COL:RES
Color Theme | Default |  | None
 | Light Gray |  | None
 | Dark Gray |  | None
 | Blue |  | None
Touchscreen | ON |  | None
 | OFF |  | None
Calibrate Touchscreen... |  |  | None
Display Update | ON |  | DISP:UPD[:STAT]
 | OFF |  | DISP:UPD[:STAT]

Last modified:

5-Jan-2016

New topic


Format Com Finder

Format Settings : Format1 | Format 2

SoftTab & Softkey | Command in Dialog Box | SCPI
Format 1
Log Mag |  | CALC:MEAS:FORM
Lin Mag |  | CALC:MEAS:FORM
Phase |  | CALC:MEAS:FORM
Delay |  | CALC:MEAS:FORM
Smith |  | CALC:MEAS:FORM
Polar |  | CALC:MEAS:FORM
SWR |  | CALC:MEAS:FORM
Group Delay Aperture... | Points Percent of Span Frequency | CALC:MEAS:GDEL:POIN CALC:MEAS:GDEL:PERC CALC:MEAS:GDEL:FREQ
Format 2
Real | CALC:MEAS:FORM
Imaginary | CALC:MEAS:FORM
Unwrapped Phase | CALC:MEAS:FORM
Positive Phase | CALC:MEAS:FORM
Inverted Smith | CALC:MEAS:FORM

Last modified:

5-Jan-2016

New topic


Frequency Com Finder

Frequency Settings : Main

SoftTab & Softkey | Command in Dialog Box | SCPI
Main
Start |  | SENS:FREQ:STAR SOUR:POW:STAR
Stop |  | SENS:FREQ:STOP SOUR:POW:STOP
Center |  | SENS:FREQ:CENT SOUR:POW:CENT
Span |  | SENS:FREQ:SPAN SOUR:POW:SPAN
Step |  | SENS:SWE:STEP
CW |  | SENS:FREQ:CW
Frequency Offset... | Frequency Offset (ON/OFF) Mode - Coupled and Un-coupled Sweep Type Settings - Start and Stop Annotation - Primary, Source and Receivers X-Axis Point Spacing | SENS:FOM[:STAT] SENS:FOM:RANG:COUP SENS:FOM:RANG:SEGM SENS:FOM:RANG:FREQ:STAR SENS:FOM:RANG:FREQ:STOP SENS:FOM:RNUM?

Last modified:

5-Jan-2016

New topic


Marker Com Finder

Marker Settings : Marker 1-7 | Marker 8-15 | Marker Setup | Marker -> Functions

SoftTab & Softkey | Command in Dialog Box | SCPI
Marker 1-7
Marker 1 |  | CALC:MEAS:MARK[:STAT]
Marker 2 |  | CALC:MEAS:MARK[:STAT]
Marker 3 |  | CALC:MEAS:MARK[:STAT]
Marker 4 |  | CALC:MEAS:MARK[:STAT]
Marker 5 |  | CALC:MEAS:MARK[:STAT]
Marker 6 |  | CALC:MEAS:MARK[:STAT]
Marker 7 |  | CALC:MEAS:MARK[:STAT]
Reference |  | CALC:MEAS:MARK:REF[:STAT]
Marker 8-15
Marker 8 | CALC:MEAS:MARK[:STAT]
Marker 9 | CALC:MEAS:MARK[:STAT]
Marker 10 | CALC:MEAS:MARK[:STAT]
Marker 11 | CALC:MEAS:MARK[:STAT]
Marker 12 | CALC:MEAS:MARK[:STAT]
Marker 13 | CALC:MEAS:MARK[:STAT]
Marker 14 | CALC:MEAS:MARK[:STAT]
Marker 15 | CALC:MEAS:MARK[:STAT]
Marker Setup
Delta | ON |  | CALC:MEAS:MARK:DELT
 | OFF |  | CALC:MEAS:MARK:DELT
Discrete | ON |  | CALC:MEAS:MARK:DISC
 | OFF |  | CALC:MEAS:MARK:DISC
Type | Normal |  | CALC:MEAS:MARK:TYPE
 | Fixed |  | CALC:MEAS:MARK:TYPE
Format | Trace default |  | CALC:MEAS:MARK:FORM
 | Log / Phase |  | CALC:MEAS:MARK:FORM
 | Lin / Phase |  | CALC:MEAS:MARK:FORM
 | Re / Im |  | CALC:MEAS:MARK:FORM
 | R+jX |  | CALC:MEAS:MARK:FORM
 | G+jB |  | CALC:MEAS:MARK:FORM
 | Log Magnitude |  | CALC:MEAS:MARK:FORM
 | Linear Magnitude |  | CALC:MEAS:MARK:FORM
 | Phase |  | CALC:MEAS:MARK:FORM
 | SWR |  | CALC:MEAS:MARK:FORM
 | Delay |  | CALC:MEAS:MARK:FORM
 | Real |  | CALC:MEAS:MARK:FORM
 | Imaginary |  | CALC:MEAS:MARK:FORM
Coupled | Off |  | CALC:MEAS:MARK:COUP
 | Channel |  | CALC:MEAS:MARK:COUP
 | All |  | CALC:MEAS:MARK:COUP
Marker Display... |  | Labels Trace Status Y-axis Labels X-axis Labels Markers Marker Readouts Large Readout Readout Per Trace Symbol - Triangle, Flag and Line Decimal Places - Stimulus and Response Readout Position - X and Y Marker Colors... Grid Grid Lines - Solid | Dotted Y-axis Divisions - 2 to 30 Show Table - None, Marker, Limit, Ripple and Segment Toolbars Show Toolbar Softkey Hardkey Port Extensions Transform Marker Cal Set Viewer Other Bars Main Title Active Entry Status Bar - 2 Bars - Clock Tools Tool Active Entry Softkey Toolbar | - DISP:WIND:ANN[:TRAC][:STAT] DISP:WIND:ANN: Y[:STAT] None - DISP:WIND:ANN:MARK[:STAT] DISP:WIND:ANN:MARK:SIZE | SIZ DISP:WIND:ANN:MARK:NUMB DISP:WIN:ANN:MARK:SYMB DISP:WIND:ANN:MARK:RES:RESP DISP:WIND:ANN:MARK:RES:STIM DISP:WIND:ANN:MARK:XPOS DISP:WIND:ANN:MARK:YPOS Refer to Display Colors... - DISP:WIND:TRAC:GRAT:GRID:LTYPE DISP:WIND:TRAC:Y[:SCAL]:PDIV DISP:WIND:TABL - - None None None None DISP:TOOL:MARK[:STAT] DISP:TOOL:CSET[:STAT] - None DISP:TOOL:ENTR[:STATe] DISP:ANN[:STAT] None SYST:CLOC[:STAT] - None None None
Marker Table | ON |  | DISP:WIND:TABL
 | OFF |  | DISP:WIND:TABL
All Off |  |  | CALC:MEAS:MARK:AOFF
Marker -> Functions
Marker -> Start | CALC:MARK:SET
Marker -> Stop | CALC:MARK:SET
Marker -> Center | CALC:MARK:SET
Marker -> Span | CALC:MARK:SET
Marker -> Ref Level | CALC:MARK:SET
Marker -> Delay | CALC:MARK:SET
Marker -> CW Freq | CALC:MARK:SET

Last modified:

5-Jan-2016

New topic


Math Com Finder

Math Settings: Main | Analysis | Time Domain | Time Gating

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Main
Data -> Memory |  |  | CALC:MATH:MEM
Normalize |  |  | None
Data Math | Off |  | CALC:MEAS:MATH:FUNC
 | Data / Memory |  | CALC:MEAS:MATH:FUNC
 | Data * Memory |  | CALC:MEAS:MATH:FUNC
 | Data - Memory |  | CALC:MEAS:MATH:FUNC
 | Data + Memory |  | CALC:MEAS:MATH:FUNC
Display | Data Trace |  | :DISP:WIND:TRAC[:STAT]
 | Memory Trace |  | DISP:WIND:TRAC:MEM[:STAT]
 | Data and Memory |  | Both of above
8510 Mode | ON |  | None
 | OFF |  | None
Analysis
Conversions | Off |  | CALC:MEAS:CONV:FUNC
Equation Editor... | ON |  | CALC:MEAS:EQU[:STAT]
 | OFF |  | CALC:MEAS:EQU[:STAT]
 |  | Equation Enable Equation Function Trace Data Parameter Store Equation Delete Equation Use Short Names Enable Matlab Import... Import Library Remove Library | CALC:EQU:TEXT CALC:MEAS:EQU[:STAT] CALC:EQU:LIBR:FUNC? None None None None None None - CALC:EQU:LIBR:IMP CALC:EQU:LIBR:REM
Statistics... | ON |  | CALC:MEAS:FUNC:STAT[:STAT]
 | OFF |  | CALC:MEAS:FUNC:STAT[:STAT]
 |  | Statistics - Mean, Standard Deviation, Peak to Peak User Range - Full Span, User 1 to 16 Start Stop | CALC:MEAS:FUNC:STAT[:STAT] CALC:MEAS:FUNC:DOM:USER[:RANG] CALC:MEAS:FUNC:DOM:USER:STAR CALC:MEAS:FUNC:DOM:USER:STOP
Limit... |  | Limit Limit Test ON Limit Line ON Sound ON Fail X Pass/Fail Position Y Pass/Fail Position Show Table Load Table Save Table Global Pass/Fail ON Ripple Ripple Test ON Ripple Line ON sound ON Fail Type - Off, Absolute or Margin Segment Show Table Load Table Save Table Bandwidth Bandwidth Test ON Bandwidth Marker ON Sound ON Fail N dB Points Min Bandwidth Max Bandwidth | - CALC:MEAS:LIM[:STAT] CALC:MEAS:LIM:DISP CALC:MEAS:LIM:SOUN[:STAT] DISP:WIND:ANN:LIM:XPOS DISP:WIND:ANN:LIM:YPOS DISP:WIND:TABL MMEM:LOAD:LIM MMEM:STOR:LIM DISP:FSIG - CALC:MEAS:RLIM:STAT CALC:MEAS:RLIM:DISP:LINE:STAT CALC:MEAS:LIM:SOUN[:STAT] CALC:MEAS:RLIM:DISP:TYPE CALC:MEAS:RLIM:DATA DISP:WIND:TABL MMEM:LOAD:RLIM MMEM:STOR:RLIM - CALC:MEAS:BLIM:STAT CALC:BLIM:DISP:MARK:STAT CALC:MEAS:LIM:SOUN[:STAT] CALC:MEAS:BLIM:BWID:THR CALC:MEAS:BLIM:MIN CALC:MEAS:BLIM:MAX
Limit Table | Off |  | DISP:WIND:TABL
 | Limit |  | DISP:WIND:TABL
 | Ripple |  | DISP:WIND:TABL
Time Domain
Transform | ON |  | CALC:MEAS:TRAN:TIME:STAT
 | OFF |  | CALC:MEAS:TRAN:TIME:STAT
Start Time |  |  | CALC:MEAS:TRAN:TIME:STAR
Stop Time |  |  | CALC:MEAS:TRAN:TIME:STOP
Center Time |  |  | CALC:MEAS:TRAN:TIME:CENT
Span Time |  |  | CALC:MEAS:TRAN:TIME:SPAN
TD Mode | Low Pass Impulse |  | CALC:MEAS:TRAN:TIME:STIM
 | Low Pass Step |  | CALC:MEAS:TRAN:TIME:STIM
 | Band Pass |  | CALC:MEAS:TRAN:TIME:TYPE
TD Toolbar | ON |  | None
 | OFF |  | None
Time Domain Setup... |  | Transform On Start Stop Center Span Transform Mode Low Pass Impulse Low Pass Step Band Pass Set Low Pass Frequencies | CALC:MEAS:TRAN:TIME:STAT CALC:MEAS:TRAN:TIME:STAR CALC:MEAS:TRAN:TIME:STOP CALC:MEAS:TRAN:TIME:CENT CALC:MEAS:TRAN:TIME:SPAN - CALC:MEAS:TRAN:TIME:STIM CALC:MEAS:TRAN:TIME:STIM CALC:MEAS:TRAN:TIME:TYPE CALC:MEAS:TRAN:TIME:LPFREQ | LPFREQ
Time Gating
Gating | ON |  | CALC:MEAS:FILT[:GATE]:TIME:STAT
 | OFF |  | CALC:MEAS:FILT[:GATE]:TIME:STAT
Gate Start |  |  | CALC:MEAS:FILT[:GATE]:TIME:STAR
Gate Stop |  |  | CALC:MEAS:FILT[:GATE]:TIME:STOP
Gate Center |  |  | CALC:MEAS:FILT[:GATE]:TIME:CENT
Gate Span |  |  | CALC:MEAS:FILT[:GATE]:TIME:SPAN
Gate Type | Band Pass |  | CALC:MEAS:FILT[:GATE]:TIME[:TYPE]
 | Notch |  | CALC:MEAS:FILT[:GATE]:TIME[:TYPE]
Gate Shape | Maximum |  | CALC:MEAS:FILT[:GATE]:TIME:SHAP
 | Wide |  | CALC:MEAS:FILT[:GATE]:TIME:SHAP
 | Normal |  | CALC:MEAS:FILT[:GATE]:TIME:SHAP
 | Minimum |  | CALC:MEAS:FILT[:GATE]:TIME:SHAP
Gating Setup... |  | Gating On Start Stop Center Span Gate Type Gate Shape | CALC:MEAS:FILT[:GATE]:TIME:STAT CALC:MEAS:FILT[:GATE]:TIME:STAR CALC:MEAS:FILT[:GATE]:TIME:STOP CALC:MEAS:FILT[:GATE]:TIME:CENT CALC:MEAS:FILT[:GATE]:TIME:SPAN CALC:MEAS:FILT[:GATE]:TIME[:TYPE] CALC:MEAS:FILT[:GATE]:TIME:SHAP

Last modified:

5-Jan-2016

New topic


Meas Com Finder

Meas Settings: S-Param | Balanced | Receivers | Waves | Auxiliary | Meas Overview

SoftTab & Softkey |  | Command in Dialog Box | SCPI
S-Param
S11 |  |  | CALC:MEAS:DEF
S21 |  |  | CALC:MEAS:DEF
S12 |  |  | CALC:MEAS:DEF
S22 |  |  | CALC:MEAS:DEF
Other | S11,S12,S13,S14, S21,S22,S23,S24, S31,S32,S33,S34, S41,S42,S43,S44, ... | S-Parameter Balanced Receivers | CALC:MEAS:DEF
Balanced
Sss11 |  |  | CALC:FSIM:BAL
Sds21 |  |  | CALC:FSIM:BAL
Ssd12 |  |  | CALC:FSIM:BAL
Sdd22 |  |  | CALC:FSIM:BAL
Other | Sss11,Ssd12,Ssc12, Sds21,Sdd22, Sdc22, Scs21,scd22,Scc22, ... | S-Parameter Balanced Receivers | CALC:FSIM:BAL:PAR:SBAL[:DEF] CALC:FSIM:BAL:PAR:SSB[:DEF] CALC:FSIM:BAL:PAR:BBAL[:DEF] CALC:FSIM:BAL:PAR:BALS[:DEF] CALC:FSIM:BAL:PAR:BAL[:DEF] CALC:MEAS:DEF CALC:MEAS:DEF CALC:MEAS:DEF
Topology... |  | SE-BAL SE-SE-BAL BAL-BAL BAL-SE BAL | CALC:DTOP CALC:FSIM:BAL:TOP:SBAL[:PPOR] CALC:FSIM:BAL:TOP:SSB[:PPOR] CALC:FSIM:BAL:TOP:BBAL[:PPOR] CALC:FSIM:BAL:TOP:BALS[:PPOR] CALC:FSIM:BAL:TOP:BAL[:PPOR]
Receivers
A Source Port 1 |  |  | CALC:MEAS:DEF
A Source Port 2 |  |  | CALC:MEAS:DEF
B Source Port 1 |  |  | CALC:MEAS:DEF
B Source Port 2 |  |  | CALC:MEAS:DEF
R2 Source Port 1 |  |  | CALC:MEAS:DEF
R2 Source Port 2 |  |  | CALC:MEAS:DEF
Other | (A,1), (A,2), (A,3), (A,4), (B,1), (B,2), (B,3), (B,4), (C,1), (C,2), (C,3), (C,4), (D,1), (D,2), (D,3), (D,4), (R1,1), (R2,2), (R3,3), (R4,4), ... | S-Parameter Balanced Receivers | CALC:MEAS:DEF
Waves
a1 Source Port 1 |  |  | CALC:MEAS:DEF
a2 Source Port 2 |  |  | CALC:MEAS:DEF
b1 Source Port 1 |  |  | CALC:MEAS:DEF
b1 Source Port 2 |  |  | CALC:MEAS:DEF
b2 Source Port 1 |  |  | CALC:MEAS:DEF
b2 Source Port 2 |  |  | CALC:MEAS:DEF
Other | (a1,1), (a2,2), (a3,3), (a4,4), (b1,1), (b1,2), (b1,3), (b1,4), (b2,1), (b2,2), (b2,3), (b2,4), (b3,1), (b3,2), (b3,3), (b3,4), (b4,1), (b4,2), (b4,3), (b4,4), ... | S-Parameter Balanced Receivers | CALC:MEAS:DEF
Auxiliary
AuxIn1 Source Port 1 |  |  | CALC:MEAS:DEF
AuxIn1 Source Port 2 |  |  | CALC:MEAS:DEF
AuxIn2 Source Port 1 |  |  | CALC:MEAS:DEF
AuxIn2 Source Port 2 |  |  | CALC:MEAS:DEF
Other | (AuxIn1,1), (AuxIn1,2), (AuxIn1,3), (AuxIn1,4), (AuxIn2,1), (AuxIn2,2), (AuxIn2,3), (AuxIn2,4), ... | S-Parameter Balanced Receivers | CALC:MEAS:DEF
AuxIn1 Range | 1 V |  | SENS:VOLT[:DC]:RANG[:UPP]
 | 10 V |  | SENS:VOLT[:DC]:RANG[:UPP]
AuxIn2 Range | 1 V |  | SENS:VOLT[:DC]:RANG[:UPP]
 | 10 V |  | SENS:VOLT[:DC]:RANG[:UPP]
Meas Overview
Meas Class | Standard |  | SENS:CLAS:NAME?
 | SMC |  | SENS:CLAS:NAME?
 | Measurement Class... | Standard Scalar Mixer/Converter | SENS:CLAS:NAME?
Conversions | Off |  | CALC[:SEL]:CONV:FUNC
Correction | Channel Correction On |  | SENS:CORR:CSET:ACT
 | Channel Correction Off |  | SENS:CORR:CSET:ACT
 | Cal Set... | Select calset from list or type new name below Delete Existing calsets Copy Apply Cal Edit Description Edit Name | SENS:CORR:CSET:CRE SENS:CORR:CSET:DEL SENS:CORR:CSET:CAT? SENS:CORR:CSET:COPY SENS:CORR:CSET:SAVE SENS:CORR:CSET:DESC SENS:CORR:CSET:NAME
 | Basic Cal... | Connector Cal Kit Port Cal Type Save as CalSet | SYST:CORR:WIZ SENS:CORR:COLL:GUID:CONN:PORT SENSe:CORR:COLL:CKIT SENS:CORR:TST SENS:CORR:COLL:METH SENS:CORR:CSET:SAVE
 | Smart Cal... | Cal Type Selection 2 Port Cal Configuration Calibrate source and receive power DUT Connections Cal Kits Modify Cal: Change Cal Method, standards Power cal at [Port #] Use Multiple Sensors De-emded adapter Power Sensor Connector Cal Kit Accuracy: Tolerance Max Number of Readings Power Meter Settings: GPIB USB LAN Any Sensors Tolerance Max Number of Readings Measure (Measure calibration standard) Port 1 Measure (Measure calibration standard) Port 2 | SENS:CORR:COLL:GUID:INIT SENS:CORR:TST SYST:CAL:ALL:PATH:CONF:ELEM SOUR:POW:CORR:COLL:ACQ SENS:CORR:COLL:METH RPOW None SENSe:CORR:COLL:CKIT None SENS:CORR:COLL:GUID:PSEN SENS:CORR:COLL:GUID:PSEN:MULT None SENS:CORR:COLL:GUID:PSEN:CONN SENSe:CORR:COLL:CKIT SOUR:POW:CORR:COLL:AVER:NTOL SOUR:POWer:CORR:COLL:AVER:COUN - None None None None SENS:CORR:COLL:GUID:PSEN:MULT:ADD SOUR:POW:CORR:COLL:AVER:NTOL SOUR:POW:CORR:COLL:AVER:COUN SENS:CORR:COLL SENS:CORR:COLL
Trace Hold | Off |  | None
 | Max |  | None
 | Min |  | None
 | Restart |  | None
Equation Editor... | ON |  | CALC:MEAS:EQU[:STAT]
 | OFF |  | CALC:MEAS:EQU[:STAT]
 |  | Equation Enable Equation Function Trace Data Parameter Store Equation Delete Equation Use Short Names Enable Matlab Import... Import Library Remove Library | CALC:EQU:TEXT CALC:MEAS:EQU[:STAT] CALC:EQU:LIBR:FUNC? None None None None None None - CALC:EQU:LIBR:IMP CALC:EQU:LIBR:REM
Memory... |  |  | See Math Hardkey
Time Domain... |  | Transform On Start Stop Center Span Transform Mode Low Pass Impulse Low Pass Step Band Pass Set Low Pass Frequencies | CALC:MEAS:TRAN:TIME:STAT CALC:MEAS:TRAN:TIME:STAR CALC:MEAS:TRAN:TIME:STOP CALC:MEAS:TRAN:TIME:CENT CALC:MEAS:TRAN:TIME:SPAN - CALC:MEAS:TRAN:TIME:TYPE CALC:MEAS:TRAN:TIME:TYPE CALC:MEAS:TRAN:TIME:TYPE CALC:MEAS:TRAN:TIME:LPFREQ | LPFREQ

Last modified:

5-Jan-2016

New topic


Power Com Finder

Power Settings : Main | Port Power | Leveling & Offsets

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Main
Power Level |  |  | SOUR:POW
RF Power | ON |  | SOUR:POW:MODE
 | OFF |  | SOUR:POW:MODE
Start Power |  |  | SOUR:POW:STAR
Stop Power |  |  | SOUR:POW:STOP
Power and Attenuators... |  |  | SENS:POW:ATT
Port Power
Select | Port 1 | SENS:SWE:SRCP
 | Port 2 | SENS:SWE:SRCP
 | Port 3 | SENS:SWE:SRCP
 | Port 4 | SENS:SWE:SRCP
Power Level |  | SOUR:POW
Start Power |  | SOUR:POW:STAR
Stop Power |  | SOUR:POW:STOP
Source State | AUTO | SOUR:POWer:MODE
 | ON | SOUR:POWer:MODE
 | OFF | SOUR:POWer:MODE
Coupling | ON | SOUR:POW:COUP
 | OFF | SOUR:POW:COUP
Leveling & Offsets
Select | Port 1 |  | SENS:SWE:SRCP
 | Port 2 |  | SENS:SWE:SRCP
 | Port 3 |  | SENS:SWE:SRCP
 | Port 4 |  | SENS:SWE:SRCP
Slope | ON |  | SOUR:POW:SLOP:STAT
 | OFF |  | SOUR:POW:SLOP:STAT
Slope Value |  |  | SOUR:POW:SLOP
Offset |  |  | SOUR:POW:CORR:OFFS:MAGN
Limit | ON |  | SYST:POW:LIM:STAT
 | OFF |  | SYST:POW:LIM:STAT
Limit Value |  |  | SYST:POWer:LIM
Offsets and Limits... |  | Power Limit - State Power Limit -Limit Source Power Power Offset Port Power | SYST:POW:LIM:STAT SYST:POWer:LIM SOUR:POW SOUR:POW:CORR:OFFS:MAGN None

Last modified:

5-Jan-2016

New topic


Preset Com Finder

Preset Settings : Main

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Main
Preset |  |  | SYST:PRES
User Preset... |  | User Preset Enable Save current state as User Preset Load existing file as User Preset | SYST:UPR:FPAN[:STAT] SYST:UPR:SAVE[:STAT] SYST:UPR:LOAD[:FILE]
Confirm Preset | ON |  | None
 | OFF |  | None

Last modified:

5-Jan-2016

New topic


Save Recall Com Finder

Save Recall Settings : Recall | Save State | Save Other

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Recall
Recall State |  |  | MMEM:LOAD:STAT
Recall State |  |  | MMEM:LOAD:STAT
Recall State... |  |  | MMEM:LOAD:STAT
Recall Register |  |  | MMEM:LOAD:STAT
Recall Calset... |  |  | MMEM:LOAD:STAT
Recall Data... |  |  | MMEM:LOAD:STAT
Recall Order | NAME |  | MMEM:LOAD:STAT
 | RECENT |  | MMEM:LOAD:STAT
Save State
Save State |  | MMEM:STOR:STAT
Auto Save |  | MMEM:STOR:STAT
Save State As... |  | MMEM:STOR:STAT
Save Register |  | MMEM:STOR:STAT
Save Type | State | MMEM:STOR:STAT
 | State + Cal Data | MMEM:STOR:STAT
 | State + Cal Link | MMEM:STOR:STAT
Delete State |  | MMEM:STOR:STAT
Save Other
Save Calset... | SENS:CORR:CSET:SAVE
Save Data... | MMEM:STOR:STAT
Save Screen... | MMEM:STOR:STAT
Save User Preset | MMEM:STOR:STAT
Manage Files... | None

Last modified:

5-Jan-2016

New topic


Scale Com Finder

Scale Settings: Main | Electrical Delay | Constants

SoftTab & Softkey | Command in Dialog Box | SCPI
Main
Autoscale |  | DISP:WIND:TRAC:Y:AUTO
Autoscale All |  | DISP:WIND:Y:AUTO
Scale |  | DISP:MEAS:Y[:SCAL]:PDIV
Reference Level |  | DISP:WIND:TRAC:Y[:SCAL]:RLEV
Reference Position |  | DISP:WIND:TRAC:Y[:SCAL]:RPOS
Scale Coupling... | Coupling Method - Off - Window - All : couple between all selected windows Selected Windows | DISP:WIND:TRAC:Y[:SCAL]:COUP:METH DISP:WIND:TRAC:SEL
Electrical Delay
Delay Time |  | CALC:MEAS:CORR:EDEL[:TIME]
Delay Distance |  | CALC:MEAS:CORR:EDELay:DIST
Distance Units | Meters | CALC:MEAS:CORR:EDEL:UNIT
 | Feet | CALC:MEAS:CORR:EDEL:UNIT
 | Inches | CALC:MEAS:CORR:EDEL:UNIT
Velocity Factor |  | SENS:CORR:RVEL:COAX
Media | COAX | CALC:MEAS:CORR:EDEL:MED
 | WAVEGD | CALC:MEAS:CORR:EDEL:MED
Waved Cutoff |  | CALC:MEAS:CORR:EDEL:WGC
Constants
System Z0 | SENS:CORR:IMP:INP:MAGN
Phase Offset | CALC:OFFS:PHAS
Mag Offset | CALC:MEAS:OFFS:MAGN
Mag Slope | CALC:MEAS:OFFS:MAGN:SLOP

Last modified:

5-Jan-2016

New topic


Search Com Finder

Search Settings : Main | Peak | Target | Multi Peak & Target | Bandwidth & Notch | Comp & Sat | Normal Op Pt

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Main
Max Search |  |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Min Search |  |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Domain |  |  | CALC:MEAS:MARK:FUNC:DOM:USER[:RANG]
Domain Start |  |  | CALC:MEAS:MARK:FUNC:DOM:USER:STAR
Domain Stop |  |  | CALC:MEAS:MARK:FUNC:DOM:USER:STOP
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point |  | CALC:MEAS:MARK:FUNC:TRAC
Peak
Peak Search |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Peak Right Search >> |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
<< Peak Left Search |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Next Peak Search |  | CALC:MEAS:MARK:FUNC:EXEC
Threshold |  | CALC:MEAS:MARK:FUNC:APE:THR CALC:MEAS:MARK:FUNC:PEAK:THR
Excursion |  | CALC:MEAS:MARK:FUNC:APE:EXC CALC:MEAS:MARK:FUNC:PEAK:EXC
Peak Polarity | Positive | CALC:MEAS:MARK:FUNC:APE:POL
 | Negative | CALC:MEAS:MARK:FUNC:APE:POL
 | Both | CALC:MEAS:MARK:FUNC:APE:POL
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point | CALC:MEAS:MARK:FUNC:TRAC
Target
Target Search |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Target Right Search >> |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
<< Target Left Search |  | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Target Value |  | CALC:MEAS:MARK:FUNC::TARG[:VAL]
Transition | Positive | CALC:MEAS:MARK:FUNC:TARG[:VAL]:TRAN
 | Negative | CALC:MEAS:MARK:FUNC:TARG[:VAL]:TRAN
 | Both | CALC:MEAS:MARK:FUNC:TARG[:VAL]:TRAN
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point | CALC:MEAS:MARK:FUNC:TRAC
Multi Peak &Target
Multi Peak Search |  | CALC:MEAS:MARK:FUNC:MULT:TYPE
Peak Threshold |  | None
Peak Excursion |  | CALC:MEAS:MARK:FUNC:MULT:PEXC
Peak Polarity | Positive | CALC:MEAS:MARK:FUNC:MULT:PPOL
 | Negative | CALC:MEAS:MARK:FUNC:MULT:PPOL
 | Both | CALC:MEAS:MARK:FUNC:MULT:PPOL
Multi Target Search |  | CALC:MEAS:MARK:FUNC:MULT:TYPE
Target Value |  | CALC:MEAS:MARK:FUNC:MULT:TARG[:VAL]
Transition | Positive | CALC:MEAS:MARK:FUNC:MULT:TTRAN
 | Negative | CALC:MEAS:MARK:FUNC:MULT:TTRAN
 | Both | CALC:MEAS:MARK:FUNC:MULT:TTRAN
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point | CALC:MEAS:MARK:FUNC:MULT:TRAC
Bandwidth & Notch
Bandwidth Search |  | CALC:MEAS:MARK:BWID[:STAT]
BW Ref To | Marker | CALC:MEAS:MARK:BWID:REF
 | Peak | CALC:MEAS:MARK:BWID:REF
BW Level |  | CALC:MEAS:MARK:BWID:THR
Notch Search | ON | CALC:MEAS:MARK:NOTC[:STAT]
 | OFF | CALC:MEAS:MARK:NOTC[:STAT]
Notch Ref To | Marker | CALC:MEAS:MARK:NOTC:REF
 | Peak | CALC:MEAS:MARK:NOTC:REF
Notch Level |  | CALC:MEAS:MARK:NOTC:THR
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point | CALC:MEAS:MARK:FUNC:TRAC
Comp & Sat
Compression Search | ON | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
 | OFF | CALC:MEAS:MARK:FUNC[:SEL] CALC:MEAS:MARK:FUNC:EXEC
Comp Level |  | CALC:MEAS:MARK:COMP:LEV
Saturation Search | ON | CALC:MEAS:MARK:PSAT:BACK
 | OFF | CALC:MEAS:MARK:AOFF
Pmax Backoff |  | CALC:MEAS:MARK:PSAT:BACK CALC:MEAS:MARK:PSAT:PIN:MAX?
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point | CALC:MEAS:MARK:FUNC:TRAC
Normal Op Pt
Normal OP Search | ON | CALC:MEAS:MARK:PNOP:BACK
 | OFF | CALC:MEAS:MARK:AOFF
Backoff |  | CALC:MEAS:MARK:PNOP:BACK
Pin Offset |  | CALC:MEAS:MARK:PNOP:POFF CALC:MEAS:MARK:PNOP:BACK:PIN?
Tracking | Off, Max, Min, Peak, Target, Multi Peak, Multi Target, Bandwidth, Notch, Compression, Saturation, Normal Operating Point | CALC:MEAS:MARK:FUNC:TRAC

Last modified:

5-Jan-2016

New topic


Setup Com Finder

Setup Settings: Main | Customize Meas | Internal Hardware | External Hardware

SoftTab & Softkey | Command in Dialog Box | SCPI
Main
Sweep Setup... | Sweep Type Sweep Properties Start Stop Power Points IF Bandwidth Start Power Stop Power CW Freq Segment Table... X-axis Point Spacing Allow arbitrary Segments Display Center/Span Freq Save Table Load Table Independent Settings Per Segment Power Level IF Bandwidth IF Bandwidth Per Port Sweep Time Delay Sweep Mode Shift LO Timing Sweep Time Dwell Time Sweep Delay Auto Sweep Time Sweep Mode Sweep sequence | SENS:SWE:TYPE - SENS:FREQ:STAR SENS:FREQ:STOP SOUR:POW SENS:SWE:POIN SENS:BAND | BWID[:RES] SOUR:POW:STAR SOUR:POW:STOP SENS:FREQ:CW - SENS:SEGM:X:SPAC SENS:SEGM:ARB SENS:SEGM:FREQ:CENT or SENS:SEGM:FREQ:SPAN None None - SENS:SEGM:POW[:LEV]:CONT SENS:SEGM:BAND | BWID[:RES]:CONT SENS:SEGM:BAND | BWID:PORT[:RES]:CONT SENS:SEGM:SWE:TIME:CONT SENS:SEGM:SWE:DEL:CONT SENS:SEGM:SWE:GEN:CONT SENS:SEGM:SHLO:CONT - SENS:SWE:TIME SENS:SWE:DWELI SENS:SWE:DWELl:SDEL SENS:SWE:TIME:AUTO SENS:SWE:GEN SENS:SWE:GEN:POIN
Quick Start... | S-Parameter Balanced Other | CALC:MEAS:DEF CALC:MEAS:DEF CALC:MEAS:DEF
Customize Meas
New Trace |  |  | DISP:WIND:TRAC[:STAT]
New Channel |  |  | None
New Window |  |  | DISP:WIND[:STAT]
Delete | TrN |  | DISP:WIND:TRAC:DEL
 | ChN |  | SYST:CHAN:DEL
 | WinN |  | DISP:WIND[:STAT]
Select | TrN |  | DISP:WIND:TRAC:SEL
 | ChN |  | None
 | WinN |  | DISP:WIND:TRAC:SEL
Measure... |  | S-Parameter Balanced Receivers | CALC:MEAS:DEF CALC:MEAS:DEF CALC:MEAS:DEF
Meas Class | Standard |  | SENS:CLAS:NAME?
 | SMC |  | SENS:CLAS:NAME?
 | Measurement Class... | Standard Scalar Mixer/Converter | SENS:CLAS:NAME?

Internal Hardware

Interface Control...

Enable Interface Control

Channel

Channel Control Label

Before Sweep Start

After Sweep End

Reset All

Save

Recall

CONT:CHAN:INT:CONT[:STAT]

None

None

None

None

CALC:MEAS:DEL:ALL

None

CONT:CHAN:INT:CONT:CONF:REC[:STAT]

External Hardware
External Device... | New Remove Name Device Type Driver Active - Show in UI Device Properties Interface Available Selected Enable IO | SYST:CONF:EDEV:ADD SYST:CONF:EDEV:REM SYST:CONF:EDEV:ADD SYST:CONF:EDEV:DTYP SYST:CONF:EDEV:DRIV None None None None None SYST:CONF:EDEV:IOEN
Power Meter Settings... | Interface Sensors Tolerance Max Number of Readings Use Loss Table Edit Table | None SYST:CONF:EDEV:PMAR:SENS SYST:CONF:EDEV:PMAR:READ:NTOL SYST:CONF:EDEV:PMAR:READ:COUN SYST:CONF:EDEV:PMAR:LOSS:DATA SYST:CONF:EDEV:PMAR:LOSS:DATA
External Testset... | Select ID Test Set Enable Test Set Control Show Test Set Properties Port Control Control Lines Line X DC Source | None None None None None None None SYST:CONF:EDEV:DC

Last modified:

5-Jan-2016

New topic


Sweep Com Finder

Sweep Settings : Main | Sweep Timing | Source Control | Segment Table

SoftTab & Softkey |  | Command in Dialog Box | SCPI | COM
Main
Number of points |  |  | SENS:SWE:POIN |
Sweep Type | Linear Frequency |  | SENS:SWE:TYPE |
 | Log Frequency |  | SENS:SWE:TYPE |
 | Power Sweep |  | SENS:SWE:TYPE |
 | CW Time |  | SENS:SWE:TYPE |
 | Segment Sweep |  | SENS:SWE:TYPE |
Start |  |  | SENS:FREQ:STAR |
Stop |  |  | SENS:FREQ:STOP |
Sweep Timing
Sweep Time | Auto | SENS:SWE:TIME:AUTO
 | Manual | SENS:SWE:TIME
Dwell Time |  | SENS:SWE:DWELI
Sweep Delay |  | SENS:SWE:DWELl:SDEL
Sweep Mode | Auto | SENS:SWE:GEN
 | Stepped | SENS:SWE:GEN
Source Control
Frequency Offset... |  | Frequency Offset (ON/OFF) Mode - Coupled and Un-coupled Sweep Type Settings - Start and Stop Annotation - Primary, Source and Receivers X-Axis Point Spacing | SENS:FOM[:STAT] SENS:FOM:RANG:COUP SENS:FOM:RANG:SEGM SENS:FOM:RANG:FREQ:STAR SENS:FOM:RANG:FREQ:STOP SENS:FOM:RNUM?
Shift LO | ON |  | SENS:SWE:SLOC:STAT
 | OFF |  | SENS:SWE:SLOC:STAT
 | Maximum Frequency |  | SENS:SWE:SLOC:MAX
Segment Table
Add Segment |  |  | SENS:SEGM:ADD
Insert Segment |  |  | None
Delete Segment |  |  | SENS:SEGM:DEL
Delete All Segments |  |  | SENS:SEGM:DEL:ALL
Segment Table... |  | X-axis Point Spacing Allow arbitrary Segments Display Center/Span Freq Save Table Load Table Independent Settings Per Segment Power Level IF Bandwidth IF Bandwidth Per Port Sweep Time Delay Dwell Sweep Mode Shift LO | SENS:SEGM:X:SPAC SENS:SEGM:ARB SENS:SEGM:FREQ:CENT or SENS:SEGM:FREQ:SPAN None None - SENS:SEGM:POW[:LEV]:CONT SENS:SEGM:BAND | BWID[:RES]:CONT SENS:SEGM:BAND | BWID:PORT[:RES]:CONT SENS:SEGM:SWE:TIME:CONT SENS:SEGM:SWE:DEL:CONT SENS:SEGM:SWE:DWEL:CONT SENS:SEGM:SWE:GEN:CONT SENS:SEGM:SHLO:CONT
Show Table | Auto |  | None
 | On |  | DISP:WIND:TABL

Last modified:

5-Jan-2016

New topic


System Com Finder

System:..Main | System Settings | Print | Help | Services

SoftTab & Softkey | Command in DialogBox | SCPI
Main
Show Taskbar |  | None
Move App to Back |  | None
Minimize Application |  | None
Exit |  | None
Security... | Security Level | None
Control Panel... |  | None
Manage Files... |  | None

System Settings

Next/Prev Keys

Trace

Channel

Window

None

None

None

Preferences

Avg: On Preset set two-point Group Delay Aperture

Cal: Auto-save to User Cal Set

Cal: Auto-save to current Cal Set

Cal: For Frequency Offset, use Primary frequencies

Cal: Use External Trigger, if selected, during cal

Display: Selected trace changes width briefly

Display: Selected trace is wider

Display: Touchscreen On

Ext Device: De-activate on Preset and Recall

Limit: Test the nearest measurement point

Marker: Coupling controls on|off state of markers

Marker: On Preset, Coupling Method is Channel

Marker: On Preset, Coupling Method is On

Marker: Programming treats Mkr 10 as Reference

Marker: Use single marker for marker search

Meas: Draw failed trace segments in red

Meas: Draw limit lines in red

Memory: Data Math 8510 Mode

Power: On Preset turn power on

Power: Report source unleveled events as errors

Preset: Confirm preset

Preset: On Preset show Quick Start dialog

Recall: Softkey order is most recently used

Scale: On Preset Couple Scale to Window

Sweep: On Preset set Sweep Mode to Stepped

Sweep: Use only ramp sweeps for Auto Sweep Mode

[TODO: Remove before SRR] Show Menu bar

System: Enable sound

System: Use keyboard to navigate softkeys

Data Saves...

Power Limit...

Transparency...

User Preset...

Page Setup...

Disp Colors...

Print Colors...

None

SENSe:CORRection:PREFerence:CSET:SAVE

None

SENSe:CORRection:PREFerence:CALibration:RANGe

SYSTem:CONFigure:EDEVice:SOURce:TMODe

None

None

SYSTem:TOUCh

SYSTem:PREFerence:ITEM:EDEV:DPOLicy

None

None

None

None

None

None

SYSTem:PREFerence:ITEM:RTOF

None

None

SYSTem:PREFerence:ITEM:PRESet:POWer

None

None

None

None

None

None

None

None

None

None

MMEMory:STORe:DATA

None

None

SYSTem:UPReset

Hardcopy

Refer to Print Colors...

Refer to Print Colors...

Sound

ON | OFF

SYSTem:BEEP:STATe ON|OFF

SICL/GPIB.

GPIB Address

SICL Enabled

SICL Address

Automatically Enable on Startup

Sockets Enabled

Telnet Enabled

HiSlip Enabled

HiSlip Address

Show SCPI Parser Console

Monitor GPIB Bus

None

None

None

None

None

None

None

None

None

None

Lan Status...

LAN Reset

None

Code Emulation

None

Print
Print... |  | None
Print to File... |  | None
Page Setup... |  | None
Print Colors... | Pen Background Active Background Grid Active Labels, Grid frame Inactive Window Labels Failed Trace N Trace: Data and Limits N Trace: Memory N Trace: Markers N Trace: Memory Markers Change Color... Reset Color Color Theme Save Theme... Recall Theme... Reset Theme... | DISPlay:COLor:IBACKground | IBACkground DISPlay:COLor:ABACkground DISPlay:COLor:GRAT2 DISPlay:COLor:GRAT1 DISPlay:COLor:ILABel DISPlay:COLor:LIMit1 DISPlay:COLor:TRACe:DATA DISPlay:COLor:TRACe:MEMory DISPlay:COLor:TRACe:MARKer DISPlay:COLor:TRACe:MMARker None None None DISPlay:COLor:STORe None DISPlay:COLor:RESet
Help
NA Help... |  | None
On the Web... |  | None
Error Display... | Enable Messages Status bar Display Confirmation Dialog boxes | DISPlay:ANNotation:MESSage:STATe? None None
View Error Log... |  | None
About NA... |  | None
Services
Operator's Check | None
System Verification | None
Display Test | None
Front Panel Test | None
Restore Ecal Memory | None

Last Modified:

4-Nov-2014

Initial Release


Trace Com Finder

Trace Settings: Trace 1-8 | Trace 9-16 | Trace Setup

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Trace 1-8
Trace 1 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 2 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 3 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 4 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 5 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 6 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 7 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 8 | ON |  | DISP:WIND:TRAC[:STAT]
 | OFF |  | DISP:WIND:TRAC[:STAT]
Trace 9-16
Trace 9 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 10 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 11 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 12 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 13 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 14 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 15 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace 16 | ON | DISP:WIND:TRAC[:STAT]
 | OFF | DISP:WIND:TRAC[:STAT]
Trace Setup
Select | TrN |  | DISP:WIND:TRAC:SEL
Measure... |  | S-Parameter Balanced Receivers | CALC:MEAS:DEF
Trace Title... |  | Enable (ON | OFF) Title | DISP:WIND:TRAC:TITL[:STAT] DISP:WIND:TRAC:TITL:DATA
Add Trace | New Trace |  | None
 | New Trace + Channel |  | None
 | New Trace + Window |  | DISP:WIND:TRAC[:STAT]
 | New Trace + Channel + Window |  | None
 | Create Traces... | S-Parameter Balanced Receivers | CALC:MEAS:DEF
Delete | TrN |  | DISP:WIND:TRAC:DEL DISP:MEAS:DEL
Move Trace... |  | Move Trace 1 to window | DISP:WIND:TRAC:MOVE
Trace Hold |  |  | :CALC:MEAS:HOLD:TYPE
 | Restart |  | :CALC:MEAS:HOLD:CLE
Trace Max | ON |  | DISP:TMAX
 | OFF |  | DISP:TMAX

Last modified:

5-Jan-2016

New topic


Trigger Com Finder

Trigger Settings : Main

SoftTab & Softkey |  | Command in Dialog Box | SCPI
Main
Hold |  |  | SENS:SWE:MODE
Single |  |  | SENS:SWE:MODE
Groups |  |  | SENS:SWE:MODE
Continuous |  |  | SENS:SWE:MODE
Manual Trigger |  |  | INIT[:IMM]
Restart |  |  | INIT[:IMM]
Trigger Source | Internal |  | TRIG[:SEQ]:SOUR
 | Manual |  | TRIG[:SEQ]:SOUR
 | External |  | TRIG[:SEQ]:SOUR
Trigger... |  | Trigger Source Internal Manual External (uses MEAS TRIG IN) Manual Trigger! Trigger Scope Global Channel Active Channel Channel Trigger State Trigger Mode - Point - Channel - Sweep Continuous Groups Single Hold | - TRIG[:SEQ]:SOUR TRIG[:SEQ]:SOUR TRIG[:SEQ]:SOUR INIT[:IMM] - TRIG[:SEQ]:SCOP TRIG[:SEQ]:SCOP TRIG[:SEQ]:SCOP - SENS:SWE:TRIG:MODE SENS:SWE:TRIG:MODE SENS:SWE:TRIG:MODE SENS:SWE:TRIG:MODE SENS:SWE:MODE SENS:SWE:MODE SENS:SWE:MODE SENS:SWE:MODE

Last modified:

5-Jan-2016

First Release


Administrative Tasks Guide

Perform Administrative Tasks

  • VNA Users and Passwords

  • VNA Computer Properties

  • Operating System Recovery

See Also

Windows Considerations


Quick Start Guide

Quick Start

The following topics can help you become familiar with VNA:

  • Quick Start Measurements

  • Front Panel Tour

  • Rear Panel Tours

  • Screen Display Tour

  • Powering the VNA ON and OFF

  • Traces, Channels, and Windows

  • Basic Measurement Sequence

  • VNA Preferences

  • Dialog Transparency

  • Using Help

  • Operating System Recovery

  • Windows Considerations

  • Networking and Connecting the Analyzer

  • Perform Administrative Tasks

Read: VERY IMPORTANT NOTES:


Searching VNA Help

Search VNA Help

Search is limited to http://na.tm.Keysight.com/pna/help/latest/

See Google Search Help


Setup Guide

Set Up Measurements

Set up your measurement using the following information:

Basic Settings

  • Preset the VNA

  • Measurement Classes

  • Select a Measurement Parameter

  • Set Frequency Range

  • Set Power Level

  • Set Sweep Type

  • Set Number of Points

  • Set Triggering

  • Set Data Format

  • Set Scale

  • Customize the VNA Screen

  • Undo/Redo Settings

Advanced Settings

  • Copy Channels

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Move App to Back

When running an external program on the VNA, such as a support program, the program may have a dialog that becomes blocked by the VNA application. When this happens, there are several ways to cause your program to again have focus on top of the VNA. An easy way to do this is to cause the VNA App to move to the back of the applications.

This operation must be performed each time the VNA application is selected, which again moves it to the top of another application.

How to Move the VNA App to the Back

Using Hardkey/SoftTab/Softkey

Using a keyboard

  1. Press System > Main > Move App to Back

  1. shortcut: Alt-f-b

This setting is not programmable


Optimize Measurements Guide

Optimize Measurements

A measurement has many interdependent settings. You can modify the settings to achieve the goals of your measurement application: faster throughput or greater measurement accuracy.

Increase Measurement Throughput

  • Achieve Fastest Sweep

  • Switch Between Multiple Measurements

  • Using Macros

Improve Measurement Accuracy

  • Increase Dynamic Range

  • Reduce Noise

    • Averaging

    • IFBW

    • Smoothing

  • Group Delay (Separate Topic)

  • Improve Phase Measurement Accuracy

  • Improve Accuracy for Electrically Long Devices

  • Improve Reflection Accuracy on Low-Loss 2-Port Devices

  • Increase Measurement Stability

  • Decrease Receiver Crosstalk

  • Reduce the Effects of Test Accessories

  • Reduce the unnecessary image response

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Calibration

Calibration Topics

Cal Basics

  • Calibration Wizard

  • Select a Calibration

  • Using Cal Sets

To learn about calibrating Application channels, refer to the help topic for the Application.

Cal Types

  • Using ECal

  • Perform a 4-Port Cal with a 2-Port ECal Module

  • TRL C al

  • Power Cal

  • Guided Power Cal

  • Calibrate All Channels

Cal Concepts

  • Calibration Overview

  • About Calibration Standards

  • Error Correction and Interpolation

  • Calibration Thru Methods

  • Accurate Calibrations

  • Validity of a Calibration

Advanced Cal Topics

  • ECal User Characterization

  • Port Extensions

  • Fixture Simulator

  • Swap Adapters Method

  • Measurement Errors

  • Modify Cal Kits

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Analyze Data Guide

Analyze Data

  • Markers

  • Math / Memory Operations

  • Equation Editor

    • Import Functions

  • Limit Lines

  • Conversion

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Equation Editor and MATLAB®

MATLAB can be used with Equation Editor:

Compile a MATLAB *.dll using the full version on your PC. Then import the *.dll into Equation Editor.

Learn how to Import Functions into Equation Editor

The MATLAB Compile Runtime on the VNA is currently 7.14, which is shipped with R2010b (7.11).

If you compile your *.dll using that version of MATLAB, then you don't need to change the version of MCR on the VNA.

  1. Determine the version of MATLAB you will use.

    • You will need this version of MATLAB installed on your development machine (Step 2). You will also need a C++ compiler (Step 3).

    • You will need the appropriate version of MATLAB Compiler Runtime (MCR) installed on your target machines (Step 5).

      • To see installed version of MCR, check the following locations:

        • On a 32-bit Windows system:

          • C:\Program Files\Matlab\Matlab Compiler Runtime\

          • C:\Program Files\Matlab\Matlab Component Runtime\

        • On a 64-bit Windows system:

          • C:\Program Files (x86)\Matlab\Matlab Compiler Runtime\

          • C:\Program Files (x86)\Matlab\Matlab Component Runtime\

    • Use the chart below to compare MATLAB, MCR, and Compiler versions.

  2. Install MATLAB (32-bit) on your development machine.

    • If your development system is 64-bit, manually navigate to \bin\win32\ on your install disk and run setup.exe to use the 32-bit installer. This requirement will be removed in future releases.

    • You must install with the MATLAB Compiler toolbox.

  3. Install a compatible C++ compiler on your development machine.

    • For R2011b through R2013b, Windows SDK 7.1 with .NET 4.0 is sufficient.

      • Due to issues with the SDK installer, it is recommended to separately install .NET first, if not already installed.

      • The current SDK installer will also fail if Visual Studio redistributables are installed.

    • For a list of compatible compilers, see http://www.mathworks.com/support/compilers/.

    • Note that LCC is only a C compiler, not C++, and is not an acceptable option.

  4. In MATLAB, select your installed compiler by running the command: >> mbuild -setup.

  5. Install the correct MCR on all target machines. This requires a reboot even if not prompted to do so by the installer.

Creating a MATLAB DLL

  1. Open the MATLAB Compiler Deployment Tool, either through the user interface or with >> deploytool and choose to make a "C++ Shared Library" project.

  2. Add any .m files to your project that you need in the DLL through the Deployment Tool window. This includes any helpers for functions need to execute.

    1. Functions must take in 0 to 32 arguments and return 1 value to be used on traces.

    2. The return value can be an array the size of a trace or a single value.

    3. Functions not conforming aren't directly accessible from Equation Editor but must be included if other functions rely on them.

  3. Optional: Add function descriptors. These are separate functions which provide prototype (default) arguments for another function, named ‘myFuncdesc’ for every function.

    1. These functions must take no arguments and return a single string, of the form:
      ‘arg1,arg2,…’ or ‘arg1,arg2,…;tooltip’
      where arg1,arg2,… is a list of arguments, and tooltip is an optional tooltip text to be used in future releases.

  4. Build the project. This may take a few minutes and, if there are no errors, will generate project, src and distrib folders. The DLL will be under the distrib folder.

    1. Some of the other generated files may be useful but are not needed for Equation Editor.

  5. Optional: Package all the distributable files.

    1. This package can also include the appropriate MCR installer (as large as 0.5 GB).

    2. In general this step isn't needed, only the generated DLL is required.

Notes about Writing Scripts

The MATLAB functions that will be accessed directly by the Equation Editor must follow a specific format, as noted briefly above.

  • Inputs: 0 to 32 vectors with dimensions [1, Sweep Size].

    • Constants (0, e, channel(), etc.) are expanded and passed as [1, Sweep Size] vectors.

  • Outputs: 1 vector with dimensions [1, Sweep Size] or [1, 1].

    • Outputs size [1, 1] are expanded to [1, Sweep Size] vectors automatically.

Functions with other input/output sets are not directly accessible from Equation Editor but may be included in your DLL and used by other functions, meaning helpers can be used without risk.

Existing functions that do not fit these parameters can be included along with wrapper functions which convert the parameters and outputs within the MATLAB environment.

Last Modified:

5-Jan-2016

First Release


Equation Editor Import Functions

Import Functions

Several additional functions are provided with the VNA. In addition, you can create custom functions which are compiled into a DLL. Import these functions for use in the Equation Editor.

  • How to Import Functions

  • Supplied User Functions

    • BestFit.dll

    • EqnErrorTerms.dll

    • Expansion.dll

See Also

Custom Equations In VNA.pdf Detailed directions. (This link requires an internet connection)

Create custom functions for Equation Editor Template. (This link requires an internet connection)

Equation Editor Main topic.

How to Import Functions

From the main Equation Editor dialog, click Import....

Import Functions Dialog Box Help

Imports and removes libraries that are used with Equation Editor. A library is a *.DLL file that contains one or more functions.

Although not all functions are applicable to all channels or data sets, they will still appear in the "Function/Constants" list.

Once imported, each library is automatically loaded when the VNA application starts. If a function is not found or if an error occurs while loading, the VNA will not attempt to reload the library when starting.

Import Library tab

Browse - Click to navigate to the .DLL file on the VNA. The recommended location for the custom equation DLLs is the “C:\Program Files (x86)\Agilent\Network Analyzer\UserFunctions” directory on the VNA.

Library Preview - Lists the functions that are contained in the library.

Click OK or Apply to load the library.

Remove Library tab

Left pane - Lists the imported libraries. These also appear in the Equation Editor main dialog and remain until removed from the VNA.

Arrows - Click the relevant arrows to move some (>) or all (>>) libraries from the VNA.

Right Pane - Lists the libraries to remove.

Click OK or Apply to remove the library.

Supplied User Functions

The following functions are supplied with the VNA, but must be imported into Equation Editor. They are available on the VNA at: 'C:\Program Files (x86)\Agilent\Network Analyzer\UserFunctions'.

  • BestFit.dll

  • EqnErrorTerms.dll

  • Expansion.dll

BestFit.dll

d_best_fit_dB()

d_best_fit_dB(getNumPoints(),xAxisIndex(),xAxisArray(),traceDataArray(PARAM))

Draws the best fit linear regression line to data specified by PARAM. The best fit line minimizes the RSS (root-sum-square) of the trace data in log-magnitude format. The phase of the regression line is identically zero.

d_channelPower()

d_channelPower(FA,FB,CHANNELNUM,xAxisIndex(),TRACETYPE,traceDataArray(PARAM))

Computes the channel power for the specified measurement on the given channel number between the given frequencies.

  • FA and FB specify the frequency start/stop values in Hz.

  • CHANNELNUM is the 1-based channel number to use.

  • PARAM indicates the measurement to compute channel power for.

  • TRACETYPE indicates how to display the computed result.

    • If TRACETYPE= 0, the display is a flat line with value equal to the channel power;

    • if TRACETYPE= 1 (default), the display is set to the trace minimum for frequencies outside the range from FA to FB. See examples below.

  • If CHANNELNUM is hosting an IM Spectrum measurement, the channel power is computed from the formula:

channelPower = 10Log10( (area under PARAM trace between FA and FB)/resolutionBandwidth

  • For all other measurement types, the formula is:

channelPower = 10Log10( (area under PARAM trace between FA and FB)/IFBandwidth )

TraceType Example 1: FA=7.75 GHz, FB=8.5 GHz, CHANNELNUM=1. TRACETYPE is 0. Computed channel power is displayed over the entire frequency range.

TraceType Example 2: As above, but TRACETYPE is 1 (the default). Displayed result is set to trace minimum outside of specified range.

d_DFLP()

d_DFLP( FreqStart, FreqStop, xAxisIndex(), getNumPoints(), xAxisArray(), traceDataArray(PARAM))

Computes the deviation from linear phase data of the specified trace, PARAM, such that if the resulting trace is displayed in Phase format, the displayed data will be residual phase response of the parameter after the group delay slope has been removed. The FreqStart and FreqStop arguments allow the user to specify a subset of the channel span for this computation. To cover the channel’s entire span, set the FreqStart to 0 and FreqStop to a very large number such as 1E100.

d_flatness_dB()

d_flatness_dB(getNumPoints(),xAxisIndex(),xAxisArray(),traceDataArray(PARAM))

Computes the magnitude flatness of the trace data in PARAM, by first removing any gain slope and then normalizing the results to 0 dB.

d_mean()

d_mean(traceNum)

Computes the mean of the specified trace and creates a resulting trace whose real part is the mean at each stimulus point. The traceNum argument should be replaced by an integer number that represents the existing trace number of the trace for which you want to compute the mean. This function does not operate on parameter names (such as S11) or trace names (such as Tr1). The result of this function is the same value displayed by the Trace Statistics analysis function.

d_min_max_dev()

d_min_max_dev(getNumPoints(),xAxisIndex(),xAxisArray(),traceDataArray(PARAM))

Computes the slope and intercept of the line which minimizes that maximum absolute deviation between the line and the data specified by PARAM. This is done in two phases. First, the trace data in PARAM is converted to log magnitude, and a minimum-deviation line is fitted to it. Second, the phase data in PARAM is unwrapped, and another minimum-deviation line is fitted to that. The magnitude and phase values are then combined to form a complex-valued trace. The displayed traces represent the deltas between the measured values in PARAM and the best-fit data. This function is typically used when you wish to measure worst-case deviation from linear behavior.

d_min_max_dev_d2()

d_min_max_dev_d2(getNumPoints(),xAxisIndex(),xAxisArray(),traceDataArray(PARAM))

Computes the parameters of the parabola which minimizes that maximum deviation between the parabola and the data specified by PARAM. This is done in two phases. First, the trace data in PARAM is converted to log magnitude, and a minimum-deviation quadratic is fitted to it. Second, the phase data in PARAM is unwrapped, and another minimum-deviation quadratic is fitted to that. The magnitude and phase values are then combined to form a complex-valued trace. The displayed traces represent the deltas between the measured values in PARAM and the best-fit data. This function is typically used when you wish to measure worst-case deviation from quadratic behavior.

d_min_max_dev_range()

d_min_max_dev_range(FSTART,FSTOP,xAxisIndex(),getNumPoints(),xAxisArray(),traceDataArray(PARAM))

Identical to the function d_min_max_dev(), but only operates on data in the frequency range from FSTART to FSTOP.

d_min_sum_dev()

d_min_sum_dev(getNumPoints(),xAxisIndex(),xAxisArray(),traceDataArray(PARAM))

Computes the slope and intercept of the line which minimizes that sum of the absolute deviations between the line and the data specified by PARAM. This is done in two phases. First, the trace data in PARAM is converted to log magnitude, and a minimum-deviation line is fitted to it. Second, the phase data in PARAM is unwrapped, and another minimum-deviation line is fitted to that. The magnitude and phase values are then combined to form a complex-valued trace. The displayed trace represents the sum of the deviations. This function is less sensitive to outliers than d_min_max_dev().

d_tilt_dB()

d_tilt_dB(getNumPoints(),xAxisIndex(),xAxisArray(),traceDataArray(PARAM)) – The result of the tilt() function when displayed in LogMag format is the total deltaY of the best fit line for the specified trace or parameter.

d_unwrap()

d_unwrap(getNumPoints(),xAxisIndex(),traceDataArray(PARAM))

The result of the unwrap() function when displayed in Real format is the unwrapped phase response of the specified trace or Parameter in degrees.

EqnErrorTerms.dll

d_Corr1P()

d_Corr1P(chan, xAxisIndex(),rcvr, src, RAWDATA )

Computes and displays 1 port corrected data for the trace data supplied in the RAWDATA placeholder.

chan - the channel of interest.

xAxisIndex() - the bucket (data point) number.

rcvr - the port number of the receiver used to acquire the data.

src - the port being driven. The rcvr and src arguments are needed to select the appropriate error terms used in the correction process.

RAWDATA - Select the data to be corrected by substituting in a trace number or parameter name.

d_DIR()

d_DIR(chanNum, xAxisIndex(), rcvr, src)

Displays the directivity term from the cal set used by the channel <chanNum>.

Set chanNum to the desired channel.

Set rcvr and src to the port number for the desired directivity term.

d_EnhResp()

d_EnhResp(chan,xAxisIndex(),rcvr, src,RAWMATCH,RAWGAIN)

Computes the corrected gain using enhanced response correction techniques. This technique is useful in cases where you want to ignore the output match of a device or the output match cannot be accurately measured. In this the raw input match and gain are supplied to equation (via RAWMATCH and RAWGAIN placeholders). To use this equation select a trace (TR n) or parameter to use in place of the raw match and gain terms.

chan - the channel number

xAxisIndex() - the bucket number (do not modify)

rcv - The port where the data is acquired.

Sr - The port being driven. The src and rcvr ports are required so that the appropriate error terms are used to calculate the result.

d_LDM()

d_LDM(chanNum, xAxisIndex(), rcvr, src)

Displays the loadmatch term from the calset used by the channel <chanNum>.

Set chanNum to the desired channel.

Set rcvr to the load port, and src to the source port for the desired load match term.

LDM(ch, xAxisIndex(), 2,1) gives you the match presented by port 2 while driving port 1.

d_RFT()

d_RFT(chanNum, xAxisIndex(), rcvr, src)

Displays the reflection tracking term from the calset used by the channel <chanNum>.

Set chanNum to the desired channel.

Set rcvr and src to the port number for the desired reflection tracking term.

d_SRM()

d_SRM(chanNum, xAxisIndex(), rcvr, src)

Displays the sourcematch term from the calset used by the channel <chanNum>.

Set chanNum to the desired channel.

Set rcvr and src to the port number for the desired source match term.

d_TRT()

d_TRT(chanNum, xAxisIndex(), rcvr, src)

Displays the transmission tracking term from the calset used by the channel <chanNum>.

Set chanNum to the desired channel.

Set rcvr to the receive port and src to the source port such that TRT( ch, xAxisIndex(), 2, 1) gives you the transmission tracking term for the port 2 input receiver driven by port 1, or in other words, the raw S21 tracking term.

d_XTLK()

d_XTLK(chanNum, xAxisIndex(), rcvr, src)

Displays the isolation term from the calset used by the channel <chanNum>.

Set chanNum to the desired channel.

Set rcvr to the receive port and src to the source port such that XTLK( ch, xAxisIndex(), 2, 1) gives you the isolation term for the port 2 input receiver while port 1 is on.

Expansion.dll

admittance(x)

Admittance(x) = 1/x

Calculate the admittance

max_hold(x)

(KEY, getNumPoints(),xAxisIndex(),PARAM)

Shows maximum value of each point

min_hold(x)

(KEY, getNumPoints(), xAxisIndex(), PARAM)

Shows minimum value of each point.

PAE(B,S21,AI1,AI2,R,SCALE)

.001 * (B - (B/S21)) / ( SCALE^2*AI1(AI1 - AI2)/R )

Power Added Efficiency.

  • B - power out

  • S21 - corrected amplifier gain

  • AI1 - DC power supply

  • AI2 - DC power amp

  • R - resistance

  • SCALE - scale

reset(x)

x - a number.

Resets the max_hold() or min_hold() function.

To reset a given max_hold() or min_hold() function, call reset with the same key.

SDD11(S11,S21,S12,S22)

(S11 - S21 - S12 + S22)/2

Differential mode reflection

SDC11(S11,S21,S12,S22)

(S11 - S21 + S12 - S22)/2

C to D mode conversion reflection

SCD11(S11,S21,S12,S22)

(S11 + S21 - S12 - S22)/2

D to C mode conversion reflection

SCC11(S11,S21,S12,S22)

(S21 + S12 + S11 + S22)/2

Common mode reflection

Use the following two equations to display impedance versus frequency.

Replace 'LOAD' with the value for Z0 (usually 50).

Note: You can read out impedance versus time (not using this function) by creating a marker on a Time Domain trace, then changing the marker format to R+jX. Learn how.

zReflect(S11,LOAD)

LOAD*(1 + S11)/(1-S11)

zTransfer(S21,LOAD)

2 * LOAD * (1 - S21)/S21

Last Modified:

5-Jan-2016

First Release


Outputting Data Guide

Print, Save, and Recall Data

  • Save and Recall a File

  • Print a Displayed Measurement

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Specs: Manual-identify the VNA

Specifications

An internet connection is required to view specification documents.

Doc Number | Model
5992-0291EN | E5080A


u_curve_equations

Equations Used to Generate Uncertainty Curves

This topic contains the measurement uncertainty equations used to generate the uncertainty curves in VNA Specifications documents. It also contains general information about determining system measurement uncertainties.

Note: RSS Computations were included, along with worst case computations, in VNA Rev. A.09.20

Learn about the following subjects in this topic:

  • Measurement Uncertainty Equations

  • Forward Reflection Uncertainty

  • Forward Transmission Uncertainty

  • Reverse Transmission Uncertainty

  • Reverse Reflection Uncertainty

  • Sources of Systematic Errors

  • Sources of Random Errors

  • Determining Expected System Performance

  • Determining Cable Stability Terms (CR1, CR2, CTM1, CTM2, CTP1, CTP2)

See Also

  • Measurement Errors

  • What is Measurement Calibration?

  • Why is Calibration Necessary?

Measurement Uncertainty Equations

Any measurement result is the vector sum of the actual test device response plus all error terms. The precise effect of each error term depends on its magnitude and phase relationship to the actual test device response. When the phase of an error response is not known, phase is assumed to be worst case (-l80x° to +180°).

View the abbreviations for residual systematic errors used in the equations.

View the abbreviations for random errors used in the error models and equations.

Forward Reflection Uncertainty

Equation 1: Forward Reflection Magnitude Uncertainty (Worst Case Computation)

Equation 2: Forward Reflection Phase Uncertainty (Worst Case Computation)

Equation 3: Forward Reflection Magnitude Uncertainty (RSS Computation)

Equation 4: Forward Reflection Phase Uncertainty (RSS Computation)

Forward Transmission Uncertainty

Equation 5: Forward Transmission Magnitude Uncertainty (Worst Case Computation)

Equation 6: Forward Transmission Phase Uncertainty (Worst Case Computation)

Equation 7: Forward Transmission Magnitude Uncertainty (RSS Computation)

Equation 8: Forward Transmission Phase Uncertainty (RSS Computation)

Reverse Transmission Uncertainty

Equation 9: Reverse Transmission Magnitude Uncertainty (Worst Case Computation)

Equation 10: Reverse Transmission Phase Uncertainty (Worst Case Computation)

Equation 11: Reverse Transmission Magnitude Uncertainty (RSS Computation)

Equation 12: Reverse Transmission Phase Uncertainty (RSS Computation)

Reverse Reflection Uncertainty

Equation 13: Reverse Reflection Magnitude Uncertainty (Worst Case Computation)

Equation 14: Reverse Reflection Phase Uncertainty (Worst Case Computation)

Equation 15: Reverse Reflection Magnitude Uncertainty (RSS Computation)

Equation 16: Reverse Reflection Phase Uncertainty (RSS Computation)

Sources of Systematic Errors

The residual (after measurement calibration) systematic errors result from imperfections in the calibration standards.
For reflection measurements, the associated residual errors are:

  • residual directivity

  • residual source match

  • residual load match

  • residual reflection tracking

For transmission measurements, the additional residual errors are:

  • residual crosstalk

  • residual source match

  • residual load match

  • residual transmission tracking

The listing below shows the abbreviations used for residual systematic errors that are in the uncertainty equations.

  • EDF = forward residual directivity

  • ESF = forward residual source match

  • ERF = forward residual reflection tracking

  • EXF = forward crosstalk

  • ELF = forward load match

  • ETF = forward transmission tracking

  • EDR = reverse residual directivity

  • ESR = reverse residual source match

  • ERR = reverse residual reflection tracking

  • EXR = reverse crosstalk

  • ELR = reverse load match

  • ETR = reverse transmission tracking

  • AM = magnitude dynamic accuracy

  • AP = phase dynamic accuracy

All measurements are affected by dynamic accuracy. Dynamic accuracy includes: errors during internal self-calibration routines, gain compression in the microwave frequency converter (sampler) at high signal levels, errors generated in the synchronous detectors, localized non-linearities in the IF filter system, and from LO leakage into the IF signal paths.

Sources of Random Errors

The random error sources are

  • noise

  • connector repeatability

  • interconnecting cable stability

There are two types of noise in any measurement system:

  1. low level noise (noise floor)

  2. high level noise (trace noise)

Low level noise is the broadband noise floor of the receiver which can be reduced through averaging or by changing the IF bandwidth.

High level noise or trace noise is due to the noise floor of the receiver, and the phase noise of the LO source inside the test set. It is worsened by reducing the IF bandwidth. Using a high stability 10 MHz time base can reduce high level noise.

Connector repeatability is the random variation encountered when connecting a pair of RF connectors. Variations in both reflection and transmission can be observed.

Cable stability is dependent on the cable used and the amount of cable movement between calibration and measurement.

The listing below shows the abbreviations used for random errors in the error models and uncertainty equations.

  • NF = noise floor

  • NT = trace noise

  • CR1 = port 1 cable reflection stability

  • CTM1 = port 1 cable magnitude transmission stability

  • CTP1 = port 1 cable phase transmission stability

  • CR2 = port 2 cable reflection stability

  • CTM2 = port 2 cable magnitude transmission stability

  • CTP2 = port 2 cable phase transmission stability

  • RR1 = port 1 connector reflection repeatability

  • RT1 = port 1 connector transmission repeatability

  • RR2 = port 2 connector reflection repeatability

  • RT2 = port 2 connector transmission repeatability

Determining Expected System Performance

Improper connection techniques and contact surfaces can degrade measurement accuracy.

Proper connection techniques include using a torque wrench with proper torque limits, ensuring that the connector pin depths meet specifications, ensuring that the center conductor of sliding loads is properly set, and observing proper handling procedures for beadless airlines.

Contact surface errors are caused by improper cleaning procedures, scratches, worn plating, and rough seating. View more information on connector care

If proper connection techniques and connector care is observed, the following table provides an indication of connector repeatability.

Connector Repeatability (RR1, RR2, RT1, and RT2)
Connector Type |  | Connector Type
Frequency Range | Repeatability | Frequency Range | Repeatability
2.4-mm |  | 3.5-mm
0 to 2 GHz | 0.0002 | 0 to 2 GHz | 0.0001
2 to 20 GHz | 0.0004 | 2 to 8 GHz | 0.0003
20 to 36 GHz | 0.0006 | 8 to 20 GHz | 0.0006
36 to 40 GHz | 0.0008 | 20 to 26.5 GHz | 0.0010
7-mm |  | Type-N
0 to 2 GHz | 0.0001 | 0 to 2 GHz | 0.0006
2 to 8 GHz | 0.0003 | 2 to 8 GHz | 0.0006
8 to 18 GHz | 0.0006 | 8 to 18 GHz | 0.0010
Type-F |  | Waveguide
0 to 3 GHz | 0.0006 | 0 to 40 GHz | 0.0002

Determining Cable Stability Terms
(CR1, CR2, CTM1, CTM2, CTP1, CTP2)

Cable stability is dependent on the cable used and the amount of cable movement between calibration and measurement. Values for cable reflection stability are determined by connecting a fixed load to the free end of the cable and measuring the change in reflection coefficient after flexing the cable through the normal range of cable movement for a particular setup. Cable transmission stability is determined by connecting a short to the free end of the cable and measuring the change in reflection coefficient due to changes in cable position.

Graphics 1-3 demonstrate concepts useful in determining cable stability. In each case, a cable (part number 8120-4779) was connected to port 1, with a fixed load connected to the free end. A reference trace is obtained by measuring S11 with the free end held close to port 2 and storing the results in memory. Two additional S11 measurements are made; one with the cable flexed out to its straight position and the other with the cable positioned back to the same location as reference trace. As shown in Graphic 1, the flexed position demonstrates the effect of moving the cable after calibration. The repeatability trace demonstrates the stability of the cable when moved to its original position.

Graphic 1

Graphic 1 demonstrates the concepts useful in determining cable reflection stability. A fixed load is connected to the free end. The DATA-MEM feature provides an indication of the cable reflection stability. A 60-dB peak on the chart yields a reflection stability estimated as 10(−60/20) or 0.001.

Graphic 2

Graphic 2 and Graphic 3 demonstrate the concepts useful in determining cable transmission stability. A short is connected to the free end. The DATA/MEM feature provides an indication of the two-way cable transmission stability. The one-way transmission magnitude stability is determined by dividing the two-way magnitude measurement by two before it is converted to linear. A 0.013-dB peak on the chart yields transmission magnitude stability estimated as 10(0.013/40) −1 or 0.00075. The one-way transmission phase stability is determined by dividing the two-way phase measurement by two.

Graphic 3

Cable movement often has a much larger effect on phase measurements than magnitude measurements.

See Also

Measurement Errors

What is Measurement Calibration?

Why is Calibration Necessary?

Last Modified:

3-Mar-2010

Added RSS uncerts


Adjust Overview

Diagnostic Tools

The following Tools are available to help you keep your VNA at peak performance.

Diagnostic Tools

  • Operators Check

  • System Verification

  • Display Test


Preventing VNA SSD Problems

Preventing VNA Solid State Drive Problems - CRITICAL

The leading cause of VNA failures is problems with the VNA Solid State Drive (SSD). These problems are usually preventable, and in many cases, recoverable (see Recovering from VNA SSD Problems). The following could save you weeks of downtime and the cost of replacing your VNA SSD.

Do NOT Modify or Reconfigure the Operating System

The Microsoft Windows operating system has been modified and optimized by Keysight to improve the performance of the VNA.

  • Do NOT install a standard version of the Windows operating system on the VNA.

  • Do NOT change advanced performance settings or group policies.

  • Do NOT add or delete any Solid State Drive partitions on the VNA.

  • Do NOT modify any of the Keysight software registry entries.

Install Antivirus Protection

The VNA does NOT have antivirus protection when shipped. Use of an antivirus program is strongly recommended if you connect the VNA to the Internet.

In addition, the use of a firewall could help to protect the VNA from viruses. However, some firewalls could limit DCOM connectivity of the VNA.

Install Windows Critical Updates

The VNA is always shipped with the latest service packs and critical updates that were available at the time that the VNA is produced. We recommend that you maintain the latest available protection for your VNA by automatically accepting and installing the latest critical security patches from the Microsoft Windows Update website: http://windowsupdate.microsoft.com

Remove Power from the VNA ONLY when the Power Button is Yellow

Unplugging the power cord, or otherwise removing power when the power button is green, can damage the VNA SSD. Learn more about powering the VNA ON and OFF.

Having VNA SSD Problems?

If you are experiencing problems which may be caused by a faulty VNA SSD, please see Recovering from VNA SSD Problems.


Support Overview

Product Support Overview

Learn about your VNA

  • Specifications

  • VNA Configurations and Options

  • Analyzer Accessories

Upgrade your VNA

  • Firmware Update

  • Option Enable

  • Instrument Calibration

Problems with your VNA

  • Troubleshoot the VNA

  • About Error Messages

  • Diagnostic Tools, Utilities, and Adjustments

Resources for your VNA

  • Technical Support

  • Other Resources

Tip: Use Move App to Back to cause the VNA application to move behind these support applications on the screen.

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Display Update

How to set Display Update

Using Hardkey/SoftTab/Softkey

  1. Press Display > Display Settings > Display Update (Turns ON display update).

  2. press Display > Display Settings > click left side small button of Display Update (Turns OFF display update).

Notes:

  1. Turn ON/OFF the Display update will result on the Status Bar.

  2. Update State ON/OFF is part of the save/recall state.

  3. Softkey(s) exist for update state ON/OFF and immediate update.

  4. Disable the display update will yield the most significant performance improvements. The performance improvement (due to disabling updates) for a single channel and window state seems negligible. However, with a large number of channels, windows and traces, it should make more of a difference (but disabling the display update will provide more performance improvement). For example, Performance Oddities, the following is looking at the INDEX line (Handler I/O) for a 1.0GHz to 1.2GHz with 201 point sweep (otherwise Preset condition apply). When high, the box is sweeping. There is 20ms of dead time between many of sweeps.

Last modified:

5-Jan-2016

First Release


System Topics

System Settings and Configuration

VNA System Settings

  • Display Colors

  • Frequency Blanking (For security purposes)

  • Receiver Temperature

  • VNA Preferences

  • Power Limit and Power Offset (Prevents overpowering DUTs)

  • Preset the Analyzer

  • System Impedance

  • About Error Messages

External Hardware Setup Topics

  • Configure an External Device

    • Configure an External RF Source

    • Configure a Power Meter As Receiver (PMAR)

  • E5092A Test Set Control

  • Interface Control

See Also

Administrative Tasks Guide

Connectivity Guide

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.

Last Modified:

5-Jan-2016

First Release


Tutorials Guide

Tutorials

  • Videos

  • Application Notes

  • Connector Care

  • Electrostatic Discharge (ESD) Protection

Measurement Tutorials

  • Absolute Output Power

  • Amplifier Parameters

  • Balanced Measurements

  • Complex Impedance

  • Comparing the VNA Delay Functions

  • Deviation from Linear Phase

  • Gain and Flatness

  • Group Delay

  • Phase Measurements

  • Reverse Isolation

  • Reflection Measurements

  • Time Domain Measurements

Caution: Avoid expensive repairs to your VNA. Read Electrostatic Discharge Protection.


Videos

Watch and subscribe to the latest Keysight Network Analyzer videos at:

https://www.youtube.com/user/keysightnetworkanlyz

(Internet connection required)